<?php
/*******************************************************************************
 *   Admin Main page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '../');
include CHEMIN.'inc/includes.inc';
include_once CHEMIN.'inc/func_blogboxes.php';

if (import('pass', 'GET') != NULL) die('STOP ! Variable $pass: illegal origine !');

$logout  = import('logout');
$action  = import('action');
$pass    = import('pass', 'POST');
$regit   = import('regit');
$replace = import('replace');
$plug    = import('plug');
$try     = import('try');
$wri     = import('wri');
$pg      = import('pg', 'GET');

if ($logout == 1) {
    setcookie(ADM_COOKIE, '');
    header('location:'.CHEMIN.'index.php?lng='.$lng);
    exit;
}

$imgdroite = ' <img src="'.CHEMIN.'admin/inc/img/general/droite.png" alt="=>" />';
$imggauche = '<img src="'.CHEMIN.'admin/inc/img/general/gauche.png" alt="<=" /> ';

switch ($action) {
case 'admin':
    header('location:admin.php?lng='.$lng.'&wri=admin&try=1');
    break;

case 'redac':
    header('location:admin.php?lng='.$lng.'&wri='.(!isset($wri) ? $userprefs[1] : $wri).'&try=1');
    break;
}

if ($userprefs[10] == '') $userprefs[10] = $page[14];
if (isset($selskin)) $userprefs[10] = $selskin;

if (FileDBExist(REDACREP.$userprefs[1].INCEXT)) {
    $wri = $userprefs[1];
    include REDACREP.$wri.INCEXT;
    $mdp = $drtuser[38];
}
else {
    $wri = 'admin';
    include 'mdp.php';
}

$ctrlmdp = crc32($mdp);

if (md5($pass) == $mdp)  {
    setcookie(ADM_COOKIE, $ctrlmdp.CONNECTOR.'img'.CONNECTOR.'file'.CONNECTOR.'flash'.CONNECTOR.'img'.CONNECTOR.'3'.CONNECTOR.'1'.CONNECTOR.'1');
	$adminprefs = explode(CONNECTOR, $_COOKIE[ADM_COOKIE]);
}

$widepage = 'on';

################################################################################
if ((isset($_COOKIE[ADM_COOKIE]) && substr($_COOKIE[ADM_COOKIE], 0, strpos($_COOKIE[ADM_COOKIE], CONNECTOR)) == $ctrlmdp || md5($pass) == $mdp) && empty($pg)) {
    // Page d'accueil d'admin.
    $topmess = $admin[1];
    include CHEMIN.'inc/hpage.inc';
    if (FileDBExist(REDACREP.$wri.INCEXT) && (substr($_COOKIE[ADM_COOKIE], 0, strpos($_COOKIE[ADM_COOKIE], CONNECTOR)) == $ctrlmdp) && $serviz[42] == "on") {
        // Rédacteur
        include 'adminredac.php';
		htable($admin[1], "100%");
		echo '
<section>
<div style="text-align:center;">'.ToHelp($lng, 'administrateur').'
  <p><br />
    <strong>'.$admin[2].'</strong><br />
    '.$admin[3].'<br />
    '.$admin[4].'<br />
  </p>
</div>';
		$realurl = "http://".str_replace("/admin","/",$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])); //real site url
		if ($site[3] != $realurl || $mdp == md5('pass')) {
			include 'inc/check_config.inc';
		}
		elseif (file_exists(CHEMIN.'install/install.php')) {
			include 'inc/check_install.inc';
		}

		include_once 'inc/notes.inc';
		$dirinc = CHEMIN.'admin/incadmin';
		if (is_dir($dirinc)) { 
			$hd = opendir($dirinc);
			while ($file = readdir($hd)) { 
				if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
					include $dirinc.'/'.$file;
				}
			}
		}
    }
    elseif (($wri == "admin") && (substr($_COOKIE[ADM_COOKIE], 0, strpos($_COOKIE[ADM_COOKIE], CONNECTOR)) == $ctrlmdp)) {
        // Administrateur
        include 'administrateur.php';
		htable($admin[1], "100%");
		echo '
<section>
<div style="text-align:center;">'.ToHelp($lng, 'administrateur').'
  <p><br />
    <strong>'.$admin[2].'</strong><br />
    '.$admin[3].'<br />
    '.$admin[4].'<br />
  </p>
</div>';
		$realurl = "http://".str_replace("/admin","/",$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])); //real site url
		if ($site[3] != $realurl || $mdp == md5('pass')) {
			include 'inc/check_config.inc';
		}
		elseif (file_exists(CHEMIN.'install/install.php')) {
			include 'inc/check_install.inc';
		}

		include_once 'inc/notes.inc';
		$dirinc = CHEMIN.'admin/incadmin';
		if (is_dir($dirinc)) { 
			$hd = opendir($dirinc);
			while ($file = readdir($hd)) { 
				if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
					include $dirinc.'/'.$file;
				}
			}
		}
    }
    else {
        // Vous n'avez accès à l'administration
		htable($admin[1], "100%");
        echo '
<section>
<br />
<p style="text-align:center;"><b>'.$admin[849].'</b></p>';

    }
	echo '
</section>';
    btable();
    include CHEMIN.'inc/bpage.inc';
}
################################################################################
elseif (isset($_COOKIE[ADM_COOKIE]) && substr($_COOKIE[ADM_COOKIE], 0, strpos($_COOKIE[ADM_COOKIE], CONNECTOR)) == $ctrlmdp && !empty($pg)) {
    // Autres pages d'admin.
    if (($pg == 'plugin') && (file_exists('plugins/'.$plug.'.inc'))) {
        // pages de plugin
		setcookie(ADM_COOKIE, $ctrlmdp.CONNECTOR.'img'.CONNECTOR.'file'.CONNECTOR.'flash'.CONNECTOR.'img'.CONNECTOR.'3'.CONNECTOR.'1'.CONNECTOR.'1');
        $plugindir = substr($plug, 0, strpos($plug,'/'));
        include 'plugins/'.$plugindir.'/plugin.inc';
        if(FileDBExist(REDACREP.$userprefs[1].INCEXT) && $drtuserplg[$plugindir] == '') {
            $nomzone = $plugin_admin_name;
            include 'inc/access.inc';
        }
        else {
            include 'plugins/'.$plug.'.inc';
        }
		exit;
    }
    elseif (file_exists('inc/'.$pg.'.inc')) {
        // Pages standards
        include 'inc/'.$pg.'.inc';
		exit;
    }
    else {
        // Pages inexistantes
		$topmess = $admin[1];
		include CHEMIN.'inc/hpage.inc';
		if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
		if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
		htable($admin[1], "100%");
        echo '
<section>
<br />
<p style="text-align:center;"><b>'.$admin[20].'</b> '.$admin[21].'</p>
<br />
<p style="text-align:center;"><a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'">'.$admin[22].'</a></p>
</section>';
		btable();
		include CHEMIN.'inc/bpage.inc';
    }
}
################################################################################
else {
    if (!empty($try) && $try != 0)  {
        echo BeginJavascript().'
alert("'.$admin[24].' '.$admin[20].'");
window.location = "admin.php?lng='.$lng.'";'.EndJavascript();
        die('STOP ! Variable $pass : illegal value ('.$pass.')');
    }
    
    if (!empty($userprefs[1]) && !FileDBExist(MSGREP.$userprefs[1].DBEXT) && $serviz[42] == "on") {
        echo BeginJavascript().'
alert("'.$admin[716].'");
window.location = "'.CHEMIN.'user.php?lng='.$lng.'"'.EndJavascript().$admin[716];
		header("location:".CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-8-'.$admin[716]: 'user.php?lng='.$lng.'&erreur='.$admin[716]));
        exit;
    }

    $topmess = $admin[23];
    include CHEMIN.'inc/hpage.inc';
    htable($admin[23], '100%');

    if ($serviz[42] == "on" && (FileDBExist(REDACREP.$userprefs[1].INCEXT))) {
        $pseudo = $userprefs[1];
        $pvalue = 'redac';

    } else {
        $pseudo = $admin[714];
        $pvalue = 'admin';
    }
    echo '
<section>
<br />
<hr />
<p style="text-align:center;">
<a href="'.CHEMIN.'index.php?lng='.$lng.'">'.$admin[464].'</a>
</p>
<hr />
<form name="login" action="admin.php?lng='.$lng.'" method="post">
<input type="hidden" name="action" value="'.$pvalue.'">
<input type="hidden" name="try" value="1" />
  <table style="margin:auto;">
    <tr>
      <td style="text-align:center;white-space:nowrap;">
        <p style="text-align:center;font-weight:bold">'.$admin[710].'</p>
        ---<br /><br />
        <b>'.$pseudo.'</b>,<br />
        <br />'.$admin[713].' <b>'.$admin[24].'</b><br />
        <input class="texte" type="password" name="pass" size="15" /><br />
        <br />'.SubmitButton($admin[25]).'
      </td>
    </tr>
  </table>
</form>'.BeginJavascript().'
document.login.pass.focus()'.EndJavascript().'
<br />
<hr />
<p style="text-align:center;">
  <b>'.$admin[26].'</b> '.$admin[27].'
  <br />
  '.$admin[28].'
</p>
</section>';
    btable();
    include CHEMIN.'inc/bpage.inc';
}
?>

