<?php
/*******************************************************************************
 *   Admin Routine
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'admin.inc')) {
    header('location:../index.php');
    die();
}

$idpg      = import('idpg');
$id        = import('id');
$form      = import('form');
$act       = import('act');
$add       = import('add');
$del       = import('del');
$mod       = import('mod');
$dup       = import('dup');
$tri       = import('tri');
$cat1      = import('cat1',     'POST', FALSE);
$cat2      = import('cat2',     'POST', FALSE);
$titre1    = import('titre1',   'POST', FALSE);
$titre2    = import('titre2',   'POST', FALSE);
$contenu1  = import('contenu1', 'POST', FALSE);
$contenu2  = import('contenu2', 'POST', FALSE);
$nouveau1  = import('nouveau1', 'POST', FALSE);
$nouveau2  = import('nouveau2', 'POST', FALSE);
$fieldweb  = import('fieldweb');
$fieldmail = import('fieldmail');
$fieldmod  = import('fieldmod');
$pseudo1   = import('pseudo1');
$email1    = import('email1');
$annee     = import('annee');
$mois      = import('mois');
$day       = import('day');
$status    = import('status');
$hh1       = import('hh1');
$mn1       = import('mn1');
$sth1      = import('sth1');
$hh2       = import('hh2');
$mn2       = import('mn2');
$sth2      = import('sth2');
$group     = import('group');
$cbrpt     = import('cbrpt');
$typrpt    = import('typrpt');
$drpt      = import('drpt');
$drpt      = $drpt == '' ? '1' : $drpt;
$wrpt      = import('wrpt');
$wrpt      = $wrpt == '' ? '1' : $wrpt;
$mrpt      = import('mrpt');
$mrpt      = $mrpt == '' ? '1' : $mrpt;
$dayrpt    = import('dayrpt');
$nodayrpt  = import('nodayrpt');
$torpt     = import('torpt', 'POST', FALSE);
$menubox   = import('menubox');
$ddmenubox = import('ddmenubox');
$majfile   = import('majfile');
$datecrea  = import('datecrea');
$datemod   = import('datemod');
$datedeb   = import('datedeb');
$datefin   = import('datefin');
$svart     = import('svart');

$erreur       = '';
$err_datedeb  = false;
$err_datefin  = false;
$err_pseudo1  = false;
$err_email1   = false;
$err_hhmn     = false;
$err_cat1     = false;
$err_cat2     = false;
$err_titre1   = false;
$err_titre2   = false;
$err_nouveau1 = false;
$err_nouveau2 = false;
if (!in_array($qtype, array(TYP_GUESTBK, TYP_FORUM, TYP_NWL,TYP_REACT, TYP_REBLOG, TYP_RULES, TYP_RSS, TYP_BSS, TYP_SOCNET))) {
	if ($datedeb != '') {
		$err_datedeb = 1 != preg_match('/^[0-9]{12,12}$/', $datedeb) && ($add == 1 || $mod == 1) ? true : false;
		$erreur     .= $err_datedeb ? '<li>'.$web[545].$admin[1407].$web[554].' => '.$admin[1409].'</li>': '';
	}
	if ($datefin != '') {
		$err_datefin = 1 != preg_match('/^[0-9]{12,12}$/', $datefin) && ($add == 1 || $mod == 1) ? true : false;
		$erreur     .= $err_datefin ? '<li>'.$web[545].$admin[1408].$web[554].' => '.$admin[1409].'</li>': '';
		$debdate     = $datedeb != '' ? $datedeb : date('Ymdhi');
		$err_datefin = $debdate >= $datefin && ($add == 1 || $mod == 1) ? true : false;
		$erreur     .= $err_datefin ? '<li>'.$web[545].$admin[1408].$web[554].' => '.$admin[1423].'</li>': '';
	}
}
if ($bname == 1) {
	$err_pseudo1 = 1 != preg_match('/^[a-zA-Z0-9_]{2,20}$/', $pseudo1) && ($add == 1 || $mod == 1) ? true : false;
	$erreur     .= $err_pseudo1 ? '<li>'.$web[266].'</li>': '';
}
if ($bemail == 1) {
	$err_email1 = 1 != preg_match('/^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/', $email1) && ($add == 1 || $mod == 1) ? true : false;
	$erreur    .= $err_email1 ? '<li>'.$web[42].'</li>': '';
}
if ($bcat == 1) {
	if ($qtype == TYP_AGENDA) {
        if ($site[22] == 'H3') {
			$sdh1 = $sdh2 = $shh1 = $shh2 = $smn1 = $smn2=0;
			if ($sth1 == 'PM') $sdh1 = 12;
			if ($sth2 == 'PM') $sdh2 = 12;
			if ($hh1 > '') $shh1 = (intval($hh1) + $sdh1) * 60;
			if ($mn1 > '') $shh1 = $shh1 + intval($mn1);
			$txt = $hh2.$mn2;
			if (txt == '') {
				$shh2 = $shh1;
			}
			else {
				if ($hh2 > '') $shh2 = (intval($hh2) + $sdh2) * 60; 
				if ($mn2 > '') $shh2 = $shh2 + intval($mn2);
			}
        } else {
			$sdh1 = $sdh2 = $shh1 = $shh2 = $smn1 = $smn2=0;
			$txt = '';
			if ($hh1 > '') $shh1 = intval($hh1) * 60;
			if ($mn1 > '') $shh1 = $shh1 + intval($mn1);
			$txt = $hh2.$mn2;
			if ($txt == '') {
				$shh2 = $shh1;
			}
			else {
				if ($hh2 > '') $shh2 = intval($hh2) * 60; 
				if ($mn2 > '') $shh2 = $shh2 + intval($mn2);
			}
        }
		$err_hhmn = $shh1 > $shh2 && ($add == 1 || $mod == 1) ? true : false;
		$erreur     .= $err_hhmn ? '<li>'.$web[532].'</li>': '';
	}
    if ($qtype == TYP_MENUICO) {
		$err_cat1 = 1 != preg_match('/^[a-zA-Z0-9_]{2,8}$/', $cat1) && ($add == 1 || $mod == 1) ? true : false;
		$erreur  .= $err_cat1 ? '<li>'.$web[545].$qcat.$web[546].'</li>': '';
	}
    if (($qtype == TYP_OPTDDMENU && $typmenu != 'DDL')) {
		$err_cat1 = 1 != preg_match('/^[0-9-]+$/', $cat1) && ($add == 1 || $mod == 1) ? true : false;
		$erreur  .= $err_cat1 ? '<li>'.$web[545].$qcat.$web[546].'</li>': '';
	}
    if ($qtype == TYP_BANNER || $qtype == TYP_RSS || $qtype == TYP_BSS) {
		$err_cat1 = 1 != preg_match('/[A-Za-z0-9.-_]/', $cat1) && ($add == 1 || $mod == 1) ? true : false;
		$erreur  .= $err_cat1 ? '<li>'.$web[545].$qcat.$web[554].($lang[1] != '' ? $admin[1177] : '').'</li>': '';
		if ($lang[1] != '') {
			$err_cat2 = 1 != preg_match('/[A-Za-z0-9.-_]/', $cat2) && ($add == 1 || $mod == 1) ? true : false;
			$erreur  .= $err_cat2 ? '<li>'.$web[545].$qcat.$web[554].$admin[1178].'</li>': '';
		}
	}
}
if (($btitre == 1 && !in_array($qtype, array(TYP_GUESTBK, TYP_THINK, TYP_RECO))) || ($btitre == 2 && $qtype == TYP_FAQ)) { 
	if ($qtype == TYP_RSS || $qtype == TYP_BSS) {
		$err_titre1 = 1 != preg_match('/(ftp|http|https):\/\/[a-z0-9à-ö-]+(.[a-z0-9à-ö-]+)*(:[0-9]+)?(\/.*)?$/i', $titre1) && ($add == 1 || $mod == 1) ? true : false;
		$erreur    .= $err_titre1 ? '<li>'.$web[545].$qtitre.$web[554].($lang[1] != '' ? $admin[1177] : '').'</li>': '';
		if ($lang[1] != '') {
			$err_titre2 = 1 != preg_match('/(ftp|http|https):\/\/[a-z0-9à-ö-]+(.[a-z0-9à-ö-]+)*(:[0-9]+)?(\/.*)?$/i', $titre2) && ($add == 1 || $mod == 1) ? true : false;
			$erreur    .= $err_titre2 ? '<li>'.$web[545].$qtitre.$web[554].$admin[1178].'</li>': '';
		}
	} else {
		$err_titre1 = empty($titre1) && ($add == 1 || $mod == 1) ? true : false;
		$erreur    .= $err_titre1 ? '<li>'.$web[545].$qtitre.$web[546].($lang[1] != '' ? $admin[1177] : '').'</li>': '';
        if ($qtype != TYP_FORUM && $qtype != TYP_SOCNET && $lang[1] != '') {
			$err_titre2 = empty($titre2) && ($add == 1 || $mod == 1) ? true : false;
			$erreur    .= $err_titre2 ? '<li>'.$web[545].$qtitre.$web[546].$admin[1178].'</li>': '';
		}
	}
}
if ($bnouveau == 1 && $qtype != TYP_MENUBOX && $qtype != TYP_DDMENUBOX && $qtype != TYP_FREEBOX) {
	if ($qtype == TYP_DNLOAD) $pattern = '/[A-Za-z0-9.-_]/';
	elseif ($qtype == TYP_LINKS) $pattern = '/(ftp|http|https):\/\/[a-z0-9à-ö-]+(.[a-z0-9à-ö-]+)*(:[0-9]+)?(\/.*)?$/i';
	elseif ($qtype == TYP_OPTMENU || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL')) $pattern = '/[a-z0-9à-ö.-_\|?]/';
	elseif ($qtype != TYP_ART) $pattern = '/[A-Za-z0-9.-_]/';
    if ($qtype != TYP_ART && $qtype != TYP_BANNER) {
		$err_nouveau1 = 1 != preg_match($pattern, $nouveau1) && ($add == 1 || $mod == 1) ? true : false;
		$erreur      .= $err_nouveau1 ? '<li>'.$web[545].$qnouveau.$web[554].($lang[1] != '' ? $admin[1177] : '').'</li>': '';
		if ($lang[1] != '' && $qtype != TYP_SOCNET) {
			$err_nouveau2 = 1 != preg_match($pattern, $nouveau2) && ($add == 1 || $mod == 1) ? true : false;
			$erreur      .= $err_nouveau2 ? '<li>'.$web[545].$qnouveau.$web[554].$admin[1178].'</li>': '';
		}
	}
    if ($qtype != TYP_ART && $qtype != TYP_SOCNET) {
		if ($lang[1] != '') {
			$err_nouveau2 = 1 != preg_match($pattern, $nouveau2) && ($add == 1 || $mod == 1) ? true : false;
			$erreur      .= $err_nouveau1 ? '<li>'.$web[545].$qnouveau.$web[554].($lang[1] != '' ? $admin[1178] : '').'</li>': '';
		}
	}
    if ($qtype == TYP_BANNER) {
		$err_nouveau1 = empty($nouveau1) && ($add == 1 || $mod == 1) ? true : false;
		$erreur      .= $err_nouveau1 ? '<li>'.$web[545].$qnouveau.$web[546].($lang[1] != '' ? $admin[1177] : '').'</li>': '';
		if ($lang[1] != '') {
			$err_nouveau2 = empty($nouveau2) && ($add == 1 || $mod == 1) ? true : false;
			$erreur      .= $err_nouveau2 ? '<li>'.$web[545].$qnouveau.$web[546].$admin[1178].'</li>': '';
		}
	}
}
if ($add == 1 && !empty($erreur)) $form = 1;
if ($mod == 1 && !empty($erreur)) $form = 2;

function TimeInterval($h1, $m1, $s1, $h2, $m2, $s2) {
    global $site;
    if ($m1 < 0 || $m1 > 60) $m1 = 0;
    if ($m2 < 0 || $m2 > 60) $m2 = 0;
    if ($site[22] == 'H3') {
        if ($h1 < 0 || $h1 > 12) {
            $h1 = 0;
        }
        if ($h2 < 0 || $h2 > 12) {
            $h2 = 0;
        }
    } else {
        if ($h1 < 0 || $h1 > 24) {
            $h1 = 0;
        }
        if ($h2 < 0 || $h2 > 24) {
            $h2 = 0;
        }
        $s1 = $s2 = '';
    }
    if ($h1 == 0 && $m1 == 0) {
        $d1 = '';
    } else {
        $d1 = sprintf('%02d:%02d', $h1, $m1).$s1;
    }
    if ($h2 == 0 && $m2 == 0) {
        $d2 = '';
    } else {
        $d2 = sprintf('%02d:%02d', $h2, $m2).$s2;
    }
    return $d1.'-'.$d2;
}

if (!empty($userprefs[1])) {
	$myname  = $userprefs[1];
	$myemail = $userprefs[2];
}
else {
	$myname  = $user[0];
	$myemail = $user[1];
}

$keywords1 = $keywords2 = '';
if ($qtype == TYP_ART) {
	if ($form == 2) {
		$dbks = ReadDBFields(DBKEYWORDS);
		foreach ($dbks as $dbk) {
			if ($id == $dbk[0]) {
				$keywords1 = $dbk[3];
				$keywords2 = $dbk[4];
				break;
			}
		}
	}
}

if ($qtype == TYP_FORUM) {
    $dbcat = ReadDBFields(DBFORUMCAT);
    $ilng = ($lng == $lang[0] ? 1 : 2);
    for ($i = 0; $i < count($dbcat); $i++) {
        $dbfcat[$i][0] = $dbcat[$i][0];
        $dbfcat[$i][1] = $dbcat[$i][$ilng];
    }
    unset($dbcat);
}
require CHEMIN.'admin/editors/editors_functions.php';
$contenu1 = PathAbsoluteRelative($contenu1);
$contenu2 = PathAbsoluteRelative($contenu2);

$canduplicate = array('art', 'news', 'blog', 'dnload', 'links', 'faq', 'nwl', 'agenda', 'freebox', 'optmenu', 'optddmenu');
$jours        = array(0 => $admin[1162], $admin[1163], $admin[1164], $admin[1165], $admin[1166], $admin[1167], $admin[1168]);

if ($act == 'fast') {
    $dbids = explode(' ', trim(import('ids')));
    $data = array();
    for ($ij = 0; $ij < count($dbids); $ij++) {
        $ii = $dbids[$ij];
        if (isset($_POST['a_'.$ii]) && $_POST['a_'.$ii] == 'on') {
            ActionOnFields('act', array($qtype, $ii, 'a'), FALSE);
        }
        elseif (isset($_POST['i_'.$ii]) && $_POST['i_'.$ii] == 'on') {
            ActionOnFields('act', array($qtype, $ii, 'i'), FALSE);
        }
        elseif (isset($_POST['d_'.$ii]) && $_POST['d_'.$ii] == 'on') {
            ActionOnFields('del', array($qtype, $ii), FALSE);
        }
    }
    unset($dbids);
    ActionOnFields('reindex', array($qtype, 0));
}
elseif ($act == 'a' || $act == 'i') {
    ActionOnFields('act', array($qtype, $id, $act));
}
elseif (!empty($del)) {
    ActionOnFields('del', array($qtype, $del, 'd'));
}
elseif ($add == 1 && empty($erreur)) {
    $data[0] = $qtype;
    $data[1] = '';
    $data[2] = $status == 'on' ? 'a' : 'i';
    $data[3] = ($datedeb.$datefin == '') ? '' : $datedeb.'-'.$datefin;
    $data[4] = '';
    $data[5] = $bname == 0  ? $myname  : $pseudo1;
    $data[6] = $bemail == 0 ? $myemail : $email1;
    if ($qtype == TYP_FREEBOX || $qtype == TYP_MENUBOX || $qtype == TYP_DDMENUBOX) {
        $cat1 = isset($_POST['valid']) ? implode('', array_keys($_POST['valid'])) : '';
        if (empty($cat1)) {
            $cat1 = 'TLAEURB';
        }
    }
    $data[7] = $cat1;
    if ($qtype == TYP_AGENDA) {
        $cat2 = TimeInterval($hh1, $mn1, $sth1, $hh2, $mn2, $sth2);
    }
    $data[8]  = $cat2;
    $data[9]  = $titre1;
    $data[10] = $titre2;
    $data[11] = $qtype == TYP_OPTMENU || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL') || $qtype == TYP_MENUICO || $qtype == TYP_SOCNET ? $contenu1 : putBR($contenu1);
    $data[12] = $qtype == TYP_OPTMENU || $qtype == TYP_MENUICO || $qtype == TYP_SOCNET || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL') ? $contenu2 : putBR($contenu2);
	if ($qtype == TYP_DNLOAD) {
        if (is_file(CHEMIN.$nouveau1)) {
            $checksum  = md5(@file_get_contents(CHEMIN.$nouveau1));
            $nouveau1 .= CONNECTOR.$checksum;
        } else
            $nouveau1 .= CONNECTOR.'-1';
	}
    $data[13] = $nouveau1;
	if ($qtype == TYP_DNLOAD) {
        if (is_file(CHEMIN.$nouveau2)) {
            $checksum  = md5(@file_get_contents(CHEMIN.$nouveau2));
            $nouveau2 .= CONNECTOR.$checksum;
        } else
            $nouveau2 .= CONNECTOR.'-1';
	}
    $data[14] = $qtype == TYP_SOCNET ? putBR($nouveau2) : $nouveau2;
	if ($qtype == TYP_OPTMENU) $fieldweb = $menubox;
	if ($qtype == TYP_OPTDDMENU) $fieldweb = $ddmenubox;
    $data[15] = $fieldweb;
    $data[16] = $fieldmail;
    $data[17] = $group;
	$tconf    = $fieldmail;
    if ($qtype == TYP_AGENDA && $cbrpt == 'on' && $typrpt != '' && $torpt != '') {
        $d     = intval($day);
        $m     = intval($mois);
        $a     = intval($annee);
        $today = date('Ymd', mktime(0, 0, 0, strval($m), strval($d), strval($a)));
        $dbto  = explode('-', $torpt);
        if (count($dbto) != 3) {
            $torpt = $today;
        } else {
            $at    = intval($dbto[0]);
            $mt    = intval($dbto[1]);
            $dt    = intval($dbto[2]);
            $torpt = substr('0000'.strval($at), -4).substr('00'.strval($mt), -2).substr('00'.strval($dt), -2);
        }
        if ($torpt > $today) {
            $id = ActionOnFields('add', $data);
            if ($typrpt == '0' && ($drpt % 7) == 0) { $typrpt = '1'; $wrpt = strval(intval($drpt / 7)); }
			set_time_limit(0);
            do {
                $nbj = intval(date('t', mktime(0, 0, 0, strval($m), strval($d), strval($a))));
                switch ($typrpt) {
                case "0" :
                case "1" :
                    $t        = $typrpt == "0" ? intval($drpt) : intval($wrpt * 7); 
                    $d        = $d + $t;
                    $datenext = date('Ymd', mktime(0, 0, 0, strval($m), strval($d), strval($a)));
                    break;
                case "2" :
                    $m        = $m + intval($mrpt);
                    $t        = intval(date('t', mktime(0, 0, 0, strval($m), strval($d), strval($a))));
                    $datenext = date('Ymd', mktime(0, 0, 0, strval($m), strval($d), strval($a)));
                    break;
                case "3" :
                    $m++;
                    if ($m > 12) { $m = 1; $a++; }
                    $t  = intval(date('t', mktime(0, 0, 0, strval($m), strval($d), strval($a))));
                    $nd = 0;
                    for ($i = 1; $i <= $t; $i++) {
                        $dj       = date('w', mktime(0, 0, 0, strval($m), strval($i), strval($a)));
                        $datenext = date('Ymd', mktime(0, 0, 0, strval($m), strval($i), strval($a)));
                        if ($dj == $dayrpt) {
                            $nd++;
                            if ($nd == $nodayrpt) break;
                        }
                    }
                    break;
                }
                if (intval($datenext) > intval($torpt)) break;
                $data[7] = substr(FormatDate($datenext."00000"), 0, 10);
                $data[9] = substr($datenext, 4, 2).substr($datenext, 0, 4);
                $id = ActionOnFields('add', $data);
            } while (intval($datenext) <= intval($torpt) - $t);
			set_time_limit(30);
        }
    } else {
        $id      = ActionOnFields('add', $data);
		$oid     = $id;
		$ocol    = $fieldweb;
        if ($qtype == TYP_ART && substr($nouveau1, 0, 3) == 'MNU') {
            $mnu_id   = substr($nouveau1, 4);
			$url1     = 'articles.php?lng='.$lang[0].'&pg='.$id.'&mnuid='.$mnu_id.'&tconfig='.$tconf.'||'.$lang[0].'-'.$urlrw[20].'-103-'.$id.'-'.$mnu_id.'-'.$tconf;
			$url2     = 'articles.php?lng='.$lang[1].'&pg='.$id.'&mnuid='.$mnu_id.'&tconfig='.$tconf.'||'.$lang[1].'-'.$urlrw[20].'-103-'.$id.'-'.$mnu_id.'-'.$tconf;
            $data[0]  = TYP_OPTMENU;
			$data[3]  = ($datedeb.$datefin == '') ? '' : $datedeb.'-'.$datefin;
            $data[11] = '_SELF';
            $data[12] = $ocol;
            $data[13] = $url1;
            $data[14] = $url2;
            $data[15] = $mnu_id;
            $data[16] = $tconf;
            $id = ActionOnFields('add', $data);
        }
		$id = $oid;
		if ($qtype == TYP_ART) {
			$keywords1 = import('keywords1');
			$keywords2 = import('keywords2');
			UpdateKeywords($id, $titre1, $titre2, $keywords1, $keywords2, $fieldmail);
		}
    }
    if ($dup == 2 || $cbrpt == 'on') {
        $form = 2;
    } else
		$form = import('retform') == 'on' ? 0 : 2;
	$dup = 0;
}
elseif ($mod == 1 && empty($erreur)) {
    $data[0] = $qtype;
    $data[1] = $id;
    $data[2] = '';
    $data[3] = ($datecrea == $datedeb.'-'.$datefin) ? $datecrea : ($datedeb.$datefin == '' ? '' : $datedeb.'-'.$datefin);
    $data[4] = $majfile == 'on' ? ($datemod > $datedeb ? $datemod : $datedeb) : GetCurrentDateTime();
    $data[5] = $bname == 0  ? $myname  : $pseudo1;
    $data[6] = $bemail == 0 ? $myemail : $email1;
    if ($qtype == TYP_FREEBOX || $qtype == TYP_MENUBOX || $qtype == TYP_DDMENUBOX) {
        $xcat1 = empty($_POST['valid']) ? array() : $_POST['valid'];
        $cat1 = implode('', array_keys($xcat1));
        if (empty($cat1)) $cat1 = 'TLAEURB';
    }
    $data[7] = $cat1;
    if ($qtype == TYP_AGENDA) {
        $cat2 = TimeInterval($hh1, $mn1, $sth1, $hh2, $mn2, $sth2);
    }
    $data[8]  = $cat2;
    $data[9]  = $titre1;
    $data[10] = $titre2;
    $data[11] = $qtype == TYP_OPTMENU || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL') || $qtype == TYP_MENUICO || $qtype == TYP_SOCNET ? $contenu1 : putBR($contenu1);
    $data[12] = $qtype == TYP_MENUICO || $qtype == TYP_SOCNET || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL') ? $contenu2 : putBR($contenu2);
	if ($qtype == TYP_DNLOAD) {
        if (is_file(CHEMIN.$nouveau1)) {
            $checksum  = md5(@file_get_contents(CHEMIN.$nouveau1));
            $nouveau1 .= CONNECTOR.$checksum;
        } else
            $nouveau1 .= CONNECTOR.'-1';
	}
	if ($qtype == TYP_FORUM) $nouveau1 = empty($nouveau1) ? 'on' : '';
	if ($qtype == TYP_OPTMENU && strpos($nouveau1, 'articles.php') !== false) {
		$pos      = strpos($nouveau1, 'pg=');
		$pg       = $pos !== false ? substr($nouveau1, $pos + 3) : 0;
		$pos      = strpos($pg, '&');
		$pg       = $pos === false ? $pg : substr($pg, 0, $pos);
		$nouveau1 = 'articles.php?lng='.$lang[0].'&pg='.$pg.'&mnuid='.$menubox.'&tconfig='.$fieldmail.'||'.$lang[0].'-'.$urlrw[20].'-103-'.$pg.'-'.$menubox.'-'.$fieldmail;
	}
    $data[13] = $nouveau1;
	if ($qtype == TYP_DNLOAD) {
        if (is_file(CHEMIN.$nouveau2)) {
            $checksum  = md5(@file_get_contents(CHEMIN.$nouveau2));
            $nouveau2 .= CONNECTOR.$checksum;
        } else
            $nouveau2 .= CONNECTOR.'-1';
	}
	if ($qtype == TYP_OPTMENU && strpos($nouveau2, 'articles.php') !== false) {
		$pos      = strpos($nouveau2, 'pg=');
		$pg       = $pos !== false ? substr($nouveau2, $pos + 3) : 0;
		$pos      = strpos($pg, '&');
		$pg       = $pos === false ? $pg : substr($pg, 0, $pos);
		$nouveau2 = 'articles.php?lng='.$lang[1].'&pg='.$pg.'&mnuid='.$menubox.'&tconfig='.$fieldmail.'||'.$lang[1].'-'.$urlrw[20].'-103-'.$pg.'-'.$menubox.'-'.$fieldmail;
	}
    $data[14] = $qtype == TYP_SOCNET ? putBR($nouveau2) : $nouveau2;
	if ($qtype == TYP_OPTMENU) $fieldweb = $menubox;
	if ($qtype == TYP_OPTDDMENU) $fieldweb = $ddmenubox;
    $data[15] = $fieldweb;
    $data[16] = $fieldmail;
    $data[17] = $fieldmod; 
	$tconf    = $fieldmail;
    if ($qtype == TYP_ART) {
		$idart = $id;
		$grp   = $fieldmod;
        ReadDoc($id);
        $old_mnu = $fieldd1;				
    }
    ActionOnFields('mod', $data);
    if ($qtype == TYP_ART) {
		$keywords1 = import('keywords1');
		$keywords2 = import('keywords2');
		UpdateKeywords($id, $titre1, $titre2, $keywords1, $keywords2, $fieldmail);
		$oid     = $id;
		$ocol    = $fieldweb;
        if ($dup == 1 && $qtype == TYP_ART && substr($nouveau1, 0, 3) == 'MNU') {
            $mnu_id   = substr($nouveau1, 4);
			$url1     = 'articles.php?lng='.$lang[0].'&pg='.$id.'&mnuid='.$mnu_id.'&tconfig='.$tconf.'||'.$lang[0].'-'.$urlrw[20].'-103-'.$id.'-'.$mnu_id.'-'.$tconf;
			$url2     = 'articles.php?lng='.$lang[1].'&pg='.$id.'&mnuid='.$mnu_id.'&tconfig='.$tconf.'||'.$lang[1].'-'.$urlrw[20].'-103-'.$id.'-'.$mnu_id.'-'.$tconf;
            $data[0]  = TYP_OPTMENU;
			$data[3]  = ($datedeb.$datefin == '') ? '' : $datedeb.'-'.$datefin;
            $data[11] = '_SELF';
            $data[12] = $ocol;
            $data[13] = $url1;
            $data[14] = $url2;
            $data[15] = $mnu_id;
            $data[16] = $tconf;
            $id  = ActionOnFields('add', $data);
			$dup = 0;
        }
		$id = $oid;
    }
    if ($qtype == TYP_RULES) {
        ReadDoc($id);
        $fieldc1 = addslashes(stripslashes($fieldc1));
        $fieldc2 = addslashes(stripslashes($fieldc2));
        $txt = "<?php
\$rule1 = stripslashes(\"$fieldc1\");
\$rule2 = stripslashes(\"$fieldc2\");
";
        WriteFullDB(DBRULES,$txt);
    }
    $form = import('retform') == 'on' ? 0 : 2;
}

if (($add == 1 || $mod == 1) && empty($erreur)) {
	switch ($qtype) {
	case TYP_ART :
		if ($svart == 'on') {
			$eSub  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' '.($add == 1 ? $admin[1448] : $admin[1449]);
			$eMsg  = $web[107].$userprefs[1].' ('.$userprefs[2].')<br />';
			$eMsg .= $web[354].$id.' - '.$web[108].($lng == $lang[0] ? $titre1 : $titre2).'<br />';
			$eMsg .= "<br />".$web[350].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=art&form=2&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=art&form=2&id=".$id.'</a>';
			eMailHtmlTo($eSub, $eMsg);
			$maillist = GetListCollaboratorEmail(TYP_ART);
			foreach($maillist as $email) eMailHtmlTo($eSub, $eMsg, $email);
		}
		break;
	}
}

$pgreturn[TYP_AGENDA]    = 'agenda';
$pgreturn[TYP_ART]       = 'art';
$pgreturn[TYP_BANNER]    = 'banner';
$pgreturn[TYP_DNLOAD]    = 'dnload';
$pgreturn[TYP_FAQ]       = 'faq';
$pgreturn[TYP_FORUM]     = 'forum';
$pgreturn[TYP_FREEBOX]   = 'freebox';
$pgreturn[TYP_GUESTBK]   = 'guestbk';
$pgreturn[TYP_LINKS]     = 'links';
$pgreturn[TYP_NEWS]      = 'news';
$pgreturn[TYP_BLOG]      = 'blog';
$pgreturn[TYP_NWL]       = 'nwl';
$pgreturn[TYP_PHOTO]     = 'photo';
$pgreturn[TYP_REACT]     = 'react';
$pgreturn[TYP_REBLOG]    = 'reblog';
$pgreturn[TYP_RECO]      = 'reco';
$pgreturn[TYP_RULES]     = 'rules';
$pgreturn[TYP_RSS]       = 'rss';
$pgreturn[TYP_BSS]       = 'bss';
$pgreturn[TYP_THINK]     = 'think';
$pgreturn[TYP_MENUBOX]   = 'menu';
$pgreturn[TYP_OPTMENU]   = 'optmenu&amp;menubox='.$menubox;
$pgreturn[TYP_DDMENUBOX] = 'ddmenu';
$pgreturn[TYP_OPTDDMENU] = 'optddmenu&amp;ddmenubox='.$ddmenubox;
$pgreturn[TYP_MENUICO]   = 'menuico';
$pgreturn[TYP_SOCNET]    = 'socnet';

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
    var lng2   = "'.$lang[1].'";
';
if ($bname == 1) {
    $headinc .= '
    if (document.adminsend.pseudo1.value == "") {
        sto += "  - '.addslashes($web[40]).'\n";
		document.adminsend.pseudo1.className = "errorInputText";
        erreur = true;
    } else {
        regexp = /^[a-zA-Z0-9_]{2,20}$/;
        if (!regexp.test(document.adminsend.pseudo1.value)) {
            sto += "  - '.addslashes($web[266]).'\n";
			document.adminsend.pseudo1.className = "errorInputText";
            erreur = true;
        }
    }';
}
if (!in_array($qtype, array(TYP_GUESTBK, TYP_FORUM, TYP_NWL,TYP_REACT, TYP_REBLOG, TYP_RULES, TYP_RSS, TYP_BSS, TYP_SOCNET))) {
    $headinc .= '
    if (document.adminsend.datedeb.value != "") {
		regexp = /^[0-9]{12,12}$/;
        if (!regexp.test(document.adminsend.datedeb.value)) {
            sto += "  - '.addslashes($web[545].$admin[1407].$web[554].' => '.$admin[1409]).'\n";
			document.adminsend.datedeb.className = "errorInputText";
            erreur = true;
        }
	}
    if (document.adminsend.datefin.value != "") {
		regexp = /^[0-9]{12,12}$/;
        if (!regexp.test(document.adminsend.datefin.value)) {
            sto += "  - '.addslashes($web[545].$admin[1408].$web[554].' => '.$admin[1409]).'\n";
			document.adminsend.datefin.className = "errorInputText";
            erreur = true;
        } else {
			var deb = "'.date('YmdHi').'";
			if (document.adminsend.datedeb.value != "") deb = document.adminsend.datedeb.value;
			if (document.adminsend.datefin.value <= deb) {
				sto += "  - '.addslashes($web[545].$admin[1408].$web[554].' => '.$admin[1423]).'\n";
				document.adminsend.datefin.className = "errorInputText";
				erreur = true;
			}
		}
	}';
}
if ($bemail == 1) {
    $headinc .= '
	regexp = /^[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]+(\.[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]+)*@(([a-z0-9à-ö]([-a-z0-9à-ö]*[a-z0-9à-ö]+)?){1,63}\.)+([a-z0-9à-ö]([-a-z0-9à-ö]*[a-z0-9à-ö]+)?){2,63}$/i;
    if (!regexp.test(document.adminsend.email1.value)) {
        sto += "  - '.addslashes($web[42]).'\n";
		document.adminsend.email1.className = "errorInputText";
        erreur = true;
    }';
}
if ($bcat == 1) {
    if ($qtype == TYP_AGENDA) {
        if ($site[22] == 'H3') {
            $headinc .= '
    var dh1=0, dh2=0, hh1=0, hh2=0, mn1=0, mn2=0;
    if (document.adminsend.sth1.value == "PM") dh1 = 12;
    if (document.adminsend.sth2.value == "PM") dh2 = 12;
    if (document.adminsend.hh1.value > "") hh1 = (parseInt(document.adminsend.hh1.value) + dh1) * 60;
    if (document.adminsend.mn1.value > "") hh1 = hh1 + parseInt(document.adminsend.mn1.value);
    txt = document.adminsend.hh2.value + document.adminsend.mn2.value;
    if (txt == "") {
        hh2 = hh1;
    }
    else {
        if (document.adminsend.hh2.value > "") hh2 = (parseInt(document.adminsend.hh2.value) + dh2) * 60; 
        if (document.adminsend.mn2.value > "") hh2 = hh2 + parseInt(document.adminsend.mn2.value);
    }';
        } else {
            $headinc .= '
    var hh1=0, hh2=0, mn1=0, mn2=0, txt="";
    if (document.adminsend.hh1.value > "") hh1 = parseInt(document.adminsend.hh1.value) * 60;
    if (document.adminsend.mn1.value > "") hh1 = hh1 + parseInt(document.adminsend.mn1.value);
    txt = document.adminsend.hh2.value + document.adminsend.mn2.value;
    if (txt == "") {
        hh2 = hh1;
    }
    else {
        if (document.adminsend.hh2.value > "") hh2 = parseInt(document.adminsend.hh2.value) * 60; 
        if (document.adminsend.mn2.value > "") hh2 = hh2 + parseInt(document.adminsend.mn2.value);
    }';
        }
        $headinc .= '
    if (hh1 > hh2) {
        sto += "  - '.addslashes($web[532]).'\n";
		document.adminsend.hh1.className = "errorInputText";
		document.adminsend.mn1.className = "errorInputText";
		document.adminsend.hh2.className = "errorInputText";
		document.adminsend.mn2.className = "errorInputText";
        erreur = true;
    }';
    }
    if ($qtype == TYP_MENUICO) {
        $headinc .= '
    regexp = /^[a-zA-Z0-9_]{2,8}$/;
    if (!regexp.test(document.adminsend.cat1.value)) {
        sto += "  - '.addslashes($web[545].$qcat.$web[546]).'\n";
		document.adminsend.cat1.className = "errorInputText";
        erreur = true;
    }';
    }
    if ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL') {
        $headinc .= '
    regexp = /^[0-9-]+$/;
    if (!regexp.test(document.adminsend.cat1.value)) {
        sto += "  - '.addslashes($web[545].$qcat.$web[546]).'\n";
		document.adminsend.cat1.className = "errorInputText";
        erreur = true;
    }';
    }
    if ($qtype == TYP_BANNER) {
        $headinc .= '
    regexp = /[A-Za-z0-9.-_]/;
    if (!regexp.test(document.adminsend.cat1.value)) {
        sto += "  - '.addslashes($web[545].$qcat.$web[554].($lang[1] != '' ? $admin[1177] : '')).'\n";
		document.adminsend.cat1.className = "errorInputText";
        erreur = true;
    }
    if (lng2 > "") {
        if (!regexp.test(document.adminsend.cat2.value)) {
            sto += "  - '.addslashes($web[545].$qcat.$web[554].$admin[1178]).'\n";
			document.adminsend.cat2.className = "errorInputText";
            erreur = true;
        }
    }';
    }
    if ($qtype == TYP_RSS || $qtype == TYP_BSS) {
        $headinc .= '
    var ct1 = document.adminsend.cat1.value;
    if (ct1.length < 3) {
        sto += "  - '.addslashes($web[545].$qcat.$web[546].($lang[1] != '' ? $admin[1177] : '')).'\n";
		document.adminsend.cat1.className = "errorInputText";
        erreur = true;
    }
    if (lng2 > "") {
        var ct2 = document.adminsend.cat2.value;
        if (ct2.length < 3) {
            sto += "  - '.addslashes($web[545].$qcat.$web[546].$admin[1178]).'\n";
			document.adminsend.cat2.className = "errorInputText";
            erreur = true;
        }
    }';
    }
}
if (($btitre == 1 && !in_array($qtype, array(TYP_GUESTBK, TYP_THINK, TYP_RECO))) || ($btitre == 2 && $qtype == TYP_FAQ)) { 
    if ($qtype == TYP_RSS || $qtype == TYP_BSS) {
        $headinc .= '
	regexp = /(ftp|http|https):\/\/[a-z0-9à-ö-]+(.[a-z0-9à-ö-]+)*(:[0-9]+)?(\/.*)?$/i;
    if (!regexp.test(document.adminsend.titre1.value)) {
        sto += "  - '.addslashes($web[545].$qtitre.$web[554].($lang[1] != '' ? $admin[1177] : '')).'\n";
		document.adminsend.titre1.className = "errorInputText";
        erreur = true;
    }
    if (lng2 > "" && (document.adminsend.titre2.value != "") && (document.adminsend.titre2.value != "http://")) { 
        if (!regexp.test(document.adminsend.titre2.value)) {
            sto += "  - '.addslashes($web[545].$qtitre.$web[554].$admin[1178]).'\n";
			document.adminsend.titre2.className = "errorInputText";
            erreur = true;
        }
    }';
    } else {
        $headinc .= '
    var tit1 = document.adminsend.titre1.value;
    if (tit1.length < 1) {
        sto += "  - '.addslashes($web[545].$qtitre.$web[546].($lang[1] != '' ? $admin[1177] : '')).'\n";
		document.adminsend.titre1.className = "errorInputText";
        erreur = true;
    }';
        if ($qtype != TYP_FORUM && $qtype != TYP_SOCNET) {
            $headinc .= '
    if (lng2 > "") {
        var tit2 = document.adminsend.titre2.value;
        if (tit2.length < 3) {
            sto += "  - '.addslashes($web[545].$qtitre.$web[546].$admin[1178]).'\n";
			document.adminsend.titre2.className = "errorInputText";
            erreur = true;
        }
    }';
        }
    }
}
if ($bnouveau == 1 && $qtype != TYP_MENUBOX && $qtype != TYP_DDMENUBOX && $qtype != TYP_FREEBOX) {
    if ($qtype == TYP_DNLOAD)
        $headinc .= '
    regexp = /[A-Za-z0-9.-_]/;';
    elseif ($qtype == TYP_LINKS)
        $headinc .= '
	regexp = /(ftp|http|https):\/\/[a-z0-9à-ö-]+(.[a-z0-9à-ö-]+)*(:[0-9]+)?(\/.*)?$/i;';
    elseif ($qtype == TYP_OPTMENU || $qtype == TYP_OPTDDMENU)
        $headinc .= '
    regexp = /[a-z0-9à-ö.-_\|?]/;';
    elseif ($qtype != TYP_ART)
        $headinc .= '
    regexp = /[A-Za-z0-9.-_]/;';
    if ($qtype != TYP_ART && $qtype != TYP_BANNER)
        $headinc .= '
    if (!regexp.test(document.adminsend.nouveau1.value)) {
        sto += "  - '.addslashes($web[545].$qnouveau.$web[554].($lang[1] != '' ? $admin[1177] : '')).'\n";
		document.adminsend.nouveau1.className = "errorInputText";
        erreur = true;
    }';
    if ($qtype != TYP_ART && $qtype != TYP_SOCNET)
		$headinc .= '
    if (lng2 > "") {
        if (!regexp.test(document.adminsend.nouveau2.value)) {
            sto += "  - '.addslashes($web[545].$qnouveau.$web[554].$admin[1178]).'\n";
			document.adminsend.nouveau2.className = "errorInputText";
            erreur = true;
        }
    }';
    if ($qtype == TYP_BANNER) {
        $headinc .= '
    var nouv1 = document.adminsend.nouveau1.value;
    if (nouv1.length < 3) {
        sto += "  - '.addslashes($web[545].$qnouveau.$web[546].($lang[1] != '' ? $admin[1177] : '')).'\n";
		document.adminsend.nouveau1.className = "errorInputText";
        erreur = true;
    }
    if (lng2 > "") {
        var nouv2 = document.adminsend.nouveau2.value;
        if (nouv2.length < 3) {
            sto += "  - '.addslashes($web[545].$qnouveau.$web[546].$admin[1178]).'\n";
			document.adminsend.nouveau2.className = "errorInputText";
            erreur = true;
        }
    }';
	}
}
$headinc .= '
    if (erreur == true) {
        sto = "'.addslashes($web[531]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $qtitle);
$wysiwyg = $serviz[49] == 'on' ? true : false;
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
$langue0 = $lang[0];
$langue1 = $lang[1];
if ($serviz[49] != 'on') {
	$path_minieditortextarea_config ='admin/editors/guppy_config/';
	require CHEMIN.'admin/editors/minieditortextarea/minieditortextarea.inc';
}
if (in_array($qtype, array(TYP_ART, TYP_BLOG, TYP_FAQ, TYP_DNLOAD, TYP_LINKS, TYP_OPTMENU, TYP_OPTDDMENU, TYP_PHOTO))) {
    echo BeginJavascript().'
function set(form) {
  form.cat1.value = form.list1.value;
}
function set2(form) {
  selindex = form.list1.selectedIndex;
  form.list2.selectedIndex=selindex;
  form.cat1.value = form.list1.value;
  form.cat2.value = form.list2.value;
}
function reset(form) {
    form.list1.selectedIndex = 0;
}
function reset2(form) {
    form.list1.selectedIndex = 0;
    form.list2.selectedIndex = 0;
}
    '.EndJavascript();
}

$mem_lang = $lang;
if (in_array($qtype, array(TYP_GUESTBK, TYP_FORUM, TYP_REACT, TYP_REBLOG))) {
    $flag1 = CHEMIN.'inc/lang/lang.gif';
    $lang[0] = 'lang';
    $lang[1] = '';
}
htable($qtitle, '100%');
if ($qformonly == 2) {
    $form = 2;
}
echo '
<div style="text-align:center;">';
if ($qintro != '') {
    echo $qintro.'
  <br />
  <hr />';
}
if ($qseeall != '') {
    if ($qtype == TYP_OPTMENU) {
       echo '
  <a href="admin.php?lng='.$lng.'&amp;pg=menubox&amp;act=1">'.$admin[1235].'</a><br />';
    }
    if ($qtype == TYP_OPTDDMENU) {
       echo '
  <a href="admin.php?lng='.$lng.'&amp;pg=menubox&amp;act=2">'.$admin[1235].'</a><br />';
    }
    echo '
  <a href="admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'&amp;tri='.$tri.'">'.$qseeall.'</a> ';
    if ($qwrite != '') {
        echo '||
  <a href="admin.php?lng='.$lng.'&amp;pg='. $pgreturn[$qtype].'&amp;tri='.$tri.'&amp;form='.(isset($qwriteform) ? $qwriteform : '1').'">'.$qwrite.'</a>';
    }
    echo '
  <br />
  <hr />
  ';
}

################################################################################
if (empty($form)) {
    if (empty($tri)) {
        $tri = '-id';
    }
    if ($qtype == TYP_OPTMENU) {
        $dbw    = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields(DOCID),$qtype),'d');
        $dbwork = array();
        for ($i = 0; $i < count($dbw); $i++) {
            ReadDoc($dbw[$i][1]);
            if ($fieldweb == $menubox) {
                $dbwork[] = $dbw[$i];
            }
        }
	}
    elseif ($qtype == TYP_OPTDDMENU) {
        $dbw    = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields(DOCID),$qtype),'d');
        $dbwork = array();
        for ($i = 0; $i < count($dbw); $i++) {
            ReadDoc($dbw[$i][1]);
            if ($fieldweb == $ddmenubox) {
                $dbwork[] = $dbw[$i];
            }
        }
    } else {
        $dbwork = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields(DOCID),$qtype),'d');
    }	
    @rsort($dbwork);
    $tmpi   = 0;
    $tmp[0] = array();
    $tmp[1] = array();
    $tmp[2] = array();
    $tmp[3] = array();
    $tmp[4] = array();
	$tmp[5] = array();
	$tmp[6] = array();
    $mbs    = ReadDbFields(DBMENUBOX);
    $flng   = ($lng == $mem_lang[0]);
    $format_nextid = '%'.ceil(log10(ReadCounter(NEXTID))).'u';
    $format_fr     = '%'.ceil(log10(ReadCounter(DBFORUMCOUNTER))).'u';
    for ($i = 0; $i < count($dbwork); $i++) {
        ReadDoc($dbwork[$i][1]);
        $flda1 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fielda1)));
        $flda2 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fielda2)));
        $fldb1 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fieldb1)));
        $fldb2 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fieldb2)));
        $fldc1 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fieldc1)));
        $fldc2 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fieldc2)));
        $champs0 = '';
        $champs1 = '';
        $champs2 = '';
        $champs3 = '';
        if ($fileid != $dbwork[$i][1] || $type != $dbwork[$i][0]) {
            $fid = '*'.$dbwork[$i][1];
            $champs0 = $admin[796].': ';
            $champs1 = $admin[797];
        }
        switch ($type) {
        case TYP_GUESTBK :
            $champs1 = $admin[175].$flda1.' - ';
            $champs2 = $author;
            break;
        case TYP_BANNER :
            $champs0 = $fielda1.' - ';
            $champs1 = $fieldb1.' - ';
            $champs2 = $fieldd1;
            break;
        case TYP_REACT :
            $tmp0 = SelectDbFieldsByField($dbart, 4, $fielda2);
            if (empty($tmp0)) echo "### DEBUG : article $fielda2 non trouvé dans dbart car inactif ! ###<br>";
            $champs0 = $web[292].Formatage($format_nextid, $fielda2).' : '.(empty($tmp0)? '' : ($flng ? $tmp0[0][2] : $tmp0[0][3])).' - ';
            $champs1 = $web[379].Formatage('%2u', $fielda1).' - ';
            $champs2 = $web[6].' '.$author;
            break;
        case TYP_REBLOG :
            $tmp0 = SelectDbFieldsByField($dbblog, 4, $fielda2);
            if (empty($tmp0)) echo "### DEBUG : billet $fielda2 non trouvé dans dbblog car inactif ! ###<br>";
            $champs0 = $admin[1117].Formatage($format_nextid, $fielda2).' : '.(empty($tmp0)? '' : ($flng ? $tmp0[0][2] : $tmp0[0][3])).' - ';
            $champs1 = $web[379].Formatage('%2u', $fielda1).' - ';
            $champs2 = $web[6].' '.$author;
            break;
        case TYP_NEWS :
        case TYP_BLOG :
            $champs0 = ($flng ? $fielda1 : $fielda2).' - ';
            $champs1 = ($flng ? $fieldb1 : $fieldb2).' - ';
            $champs2 = $author;
            break;
        case TYP_MENUBOX :
        case TYP_MENUICO :
        case TYP_FREEBOX :
        case TYP_NWL     :
            $champs1 = ($flng ? $fieldb1 : $fieldb2);
            break;
        case TYP_SOCNET  :
            $champs1 = $fieldb1;
            break;
        case TYP_DDMENUBOX :
            $champs1 = $fielda2.' - '.($flng ? $fieldb1 : $fieldb2);
            break;
        case TYP_FORUM :
            if ($fielda2 == '0') {
                $champs1 = $admin[208].Formatage($format_fr, $fielda1).' + ';
                $champs2 = '<strong>'.$fieldb1.'</strong>';
            }
            else {
                $champs1 = $admin[208].Formatage($format_fr, $fielda1).' - ';
                $champs2 = $admin[209].Formatage('%2u', $fielda2);
            }
            break;
        case TYP_ART :
            $champs0 = GetArtOptMenu($fileid);
            $champs2 = strip_tags($flng ? $fieldb1 : $fieldb2);
            break;
        case TYP_OPTMENU   :
        case TYP_OPTDDMENU :
        case TYP_PHOTO     :
        case TYP_DNLOAD    :
        case TYP_FAQ       :
        case TYP_LINKS     :
        case TYP_BSS       :
        case TYP_RSS       :
            $champs1 = ($flng ? $fielda1 : $fielda2).' - ';
            $champs2 = ($flng ? $fieldb1 : $fieldb2);
            break;
        case TYP_THINK :
            $champs1 = ($flng ? $fieldb1 : $fieldb2).' - ';
            $champs2 = strip_tags(CutLongWord(($flng ? $fieldc1 : $fieldc2), 142));
            break;
        case TYP_RECO :
            $champs1 = $fieldb1.' - ';
            $champs2 = ($flng ? $fieldc1 : $fieldc2);
            break;
        case TYP_AGENDA :
			$day     = substr($fielda1, 6, 2);
			$mois    = substr($fielda1, 4, 2);
			$annee   = substr($fielda1, 0, 4);
			$champs3 = substr(FormatDate($annee.$mois.$day."00000"), 0, 10);
            $champs1 = $fielda1.' - ';
            if ($fielda2 == '' || $fielda2 == '-') {
                $champs1 = $champs3.' - ';
            } else {
                $champs1 = $champs3.' - '.$fielda2.' - ';
            }
            $champs2 = ($flng ? $fieldc1 : $fieldc2);
			$champs2 = strip_tags(str_replace('<br />', '', str_replace('</p>', '', str_replace('<p>', '', $champs2))));
            if (strlen($champs2) > 142) {
                $champs2 = CutLongWord($champs2,142).' .../...';
            }
            break;
        }
		
        $tmp[0][$tmpi] = (TYP_ART == $type ? '' : $champs0).'<strong>'.$champs1.'</strong>'.$champs2;
        $tmp[1][$tmpi] = $fileid;
        $tmp[2][$tmpi] = $status;
        $tmp[3][$tmpi] = $champs3;
		$tmp[4][$tmpi] = $fieldd1;
        $tmp[5][$tmpi] = $champs0;
		$tmp[6][$tmpi] = $moddate;
        $tmpi++;
    }
    unset($dbwork);
    if ($tmpi > 0) {
        $href = CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg='.$pg.($qtype == TYP_OPTMENU ? '&amp;menubox='.$menubox : '').($qtype == TYP_OPTDDMENU ? '&amp;ddmenubox='.$ddmenubox : '');
        switch ($tri) {
        case 'id' :
            $cr = array_multisort($tmp[1], SORT_NUMERIC, SORT_ASC, $tmp[0], $tmp[2], $tmp[3], $tmp[4], $tmp[5], $tmp[6]);
            break;
        case '-id' :
            $cr = array_multisort($tmp[1], SORT_NUMERIC, SORT_DESC, $tmp[0], $tmp[2], $tmp[3], $tmp[4], $tmp[5], $tmp[6]);
            break;
        case 'ch' :
			$cr = array_multisort($tmp[0], SORT_ASC, $tmp[1], $tmp[2], $tmp[3], $tmp[4], $tmp[5], $tmp[6]);
            break;
        case '-ch' :
			$cr = array_multisort($tmp[0], SORT_DESC, $tmp[1], $tmp[2], $tmp[3], $tmp[4], $tmp[5], $tmp[6]);
            break;
        case 'dt' :
            $cr = array_multisort($tmp[3], SORT_NUMERIC, SORT_ASC, $tmp[0], $tmp[1], $tmp[2], $tmp[4], $tmp[5], $tmp[6]);
            break;
        case '-dt' :
            $cr = array_multisort($tmp[3], SORT_NUMERIC, SORT_DESC, $tmp[0], $tmp[1], $tmp[2], $tmp[4], $tmp[5], $tmp[6]);
            break;
        case 'md' :
            $cr = array_multisort($tmp[6], SORT_NUMERIC, SORT_ASC, $tmp[0], $tmp[1], $tmp[2], $tmp[3], $tmp[4], $tmp[5]);
            break;
        case '-md' :
            $cr = array_multisort($tmp[6], SORT_NUMERIC, SORT_DESC, $tmp[0], $tmp[1], $tmp[2], $tmp[3], $tmp[4], $tmp[5]);
            break;
        }
    }
    if (empty($idpg)) {
        $idpg = 1;
    }
    else {
        while ($tmpi <= ($idpg - 1)* $serviz[75]) $idpg--;
    }
	if ($tmpi > 0) {
        $navbar = GetNavBar('admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'&amp;tri='.$tri.'&amp;idpg=', $tmpi, $idpg, $serviz[75]);
        echo $navbar.'
  <form name="fast_actions" id="fast_actions" action="admin.php?lng='.$lng.'&amp;idpg='.$idpg.'&amp;pg='.$pgreturn[$qtype].'&amp;tri='.$tri.'&amp;act=fast" method="post">
    <fieldset style="width:90%; margin:auto;">
    <div style="text-align:right; padding-right:30px; margin-bottom:4px;">'.SubmitButton($web[361]).'
      <img src="'.$reptheme.'/bas.png" alt="" title="" />
    </div>
    <table style="width:100%;margin:auto;">';
		$idup     = $tri == 'id' ? 'up1': 'up';
		$iddown   = $tri == '-id' ? 'down1': 'down';
		$descup   = $tri == 'ch' ? 'up1': 'up';
		$descdown = $tri == '-ch' ? 'down1': 'down';
		$moddup   = $tri == 'md' ? 'up1': 'up';
		$modddown = $tri == '-md' ? 'down1': 'down';
		echo '
      <tr class="forum">
        <td style="padding:5px;white-space:nowrap;text-align:center;width:8%;">
		  <a href="'.$href.'&amp;tri=id" title="'.$admin[674].'" style="top:-1px;left:1px;"><img src="inc/img/general/'.$idup.'.png" alt="'.$idup.'" /></a>
		  '.$admin[678].'
	      <a href="'.$href.'&amp;tri=-id" title="'.$admin[675].'" style="top:-1px;left:1px;"><img src="inc/img/general/'.$iddown.'.png" alt="'.$iddown.'" /></a>
		</td>';
		if ($type == TYP_AGENDA) {
			$datup   = $tri == 'dt' ? 'up1': 'up';
			$datdown = $tri == '-dt' ? 'down1': 'down';
			echo '
        <td style="padding:5px;white-space:nowrap;text-align:center;width:10%;">
		  <a href="'.$href.'&amp;tri=dt" title="'.$admin[1339].'" style="top:-1px;left:1px;"><img src="inc/img/general/'.$datup.'.png" alt="'.$datup.'" /></a>
		  '.trim(str_replace(':', '', $web[453])).'
	      <a href="'.$href.'&amp;tri=-dt" title="'.$admin[1340].'" style="top:-1px;left:1px;"><img src="inc/img/general/'.$datdown.'.png" alt="'.$datdown.'" /></a>
		</td>';
		}
		echo '
		<td style="padding:5px;width:'.($type == TYP_AGENDA ? 65 : 75).'%;">
		  <a href="'.$href.'&amp;tri=ch" title="'.$admin[676].'" style="top:-1px;left:1px;"><img src="inc/img/general/'.$descup.'.png" alt="'.$descup.'" /></a>
		  '.$admin[679].'
	      <a href="'.$href.'&amp;tri=-ch" title="'.$admin[677].'" style="top:-1px;left:1px;"><img src="inc/img/general/'.$descdown.'.png" alt="'.$descdown.'" /></a>
		</td>
        <td style="padding:5px;white-space:nowrap;text-align:center;width:10%;">
	      <a href="'.$href.'&amp;tri=md" title="'.$admin[1442].'" style="top:-1px;left:1px;"><img src="inc/img/general/'.$moddup.'.png" alt="'.$moddup.'" /></a>
		  '.$admin[1441].'
	      <a href="'.$href.'&amp;tri=-md" title="'.$admin[1443].'" style="top:-1px;left:1px;"><img src="inc/img/general/'.$modddown.'.png" alt="'.$modddown.'" /></a>
		</td>
		<td style="padding:5px;width:7%;">'.$admin[680].'</td>
      </tr>';
        $ids = '';
        for ($i = $serviz[75]*($idpg-1); $i < Min($serviz[75]*$idpg, $tmpi); $i++) {
            $fileid  = $tmp[1][$i];
            $status  = $tmp[2][$i];
			$fieldd1 = $tmp[4][$i];
            echo '
      <tr class="'.($i %2 == 0 ? 'rep' : 'quest').'">';
            echo '
        <td style="padding:5px;white-space:nowrap;text-align:center;">'.$tmp[1][$i].' </td>
        <td colspan="'.($type == TYP_AGENDA ? 3 : 2).'" style="padding:5px;width:100%;text-align:left;">'.(TYP_ART == $type ? $tmp[5][$i] : '').'
          <span style="float:left;">
            <a href="admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'&amp;tri='.$tri .'&amp;form=2&amp;idpg='.$idpg.'&amp;id='.$fileid.'" title="'.$admin[33].'">
			  <img src="inc/img/files/edit.gif" alt="'.$admin[33].'" title="'.$admin[33].'" /> '.$tmp[0][$i].'
			</a>
          </span>';
            if (in_array($pg, $canduplicate)) {
                if ($pg == "agenda") {
                    echo '
          <span style="float:right;padding-left:4px;"> 
		    <a href="admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'&amp;tri='.$tri.'&amp;form=3&amp;idpg='.$idpg.'&amp;id='.$fileid.'&amp;dup=2" title="'.$admin[915].'">
			  <img src="inc/img/files/paste.gif" alt="'.$admin[915].'" title="'.$admin[915].'" />
			</a>
		  </span>';
                } else {
					echo '
          <span style="float:right;padding-left:4px;"> 
		    <a href="admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'&amp;tri='.$tri.'&amp;form=2&amp;idpg='.$idpg.'&amp;id='.$fileid.'&amp;dup=1" title="'.$admin[915].'">
			  <img src="inc/img/files/paste.gif" alt="'.$admin[915].'" title="'.$admin[915].'" />
			</a>
		  </span>';
                }
            }
			// Renommer une catégorie dans une boîte menu
            if (TYP_MENUBOX == $type) {
                echo '
          <span style="float:right;padding-right:4px;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=rencat&amp;tri='.$tri.'&amp;id='.$fileid.'" title="'.$admin[1365].'">
			  <img src="inc/img/files/edit.gif" alt="'.$admin[1365].'" title="'.$admin[1365].'" />
			</a>
          </span>';
            }
            if (TYP_OPTMENU == $type) {
				if (strpos($fieldd1, 'articles') !== false) {
					$pgart = substr($fieldd1, strpos($fieldd1, 'pg=') + 3);
					$pgart = strpos($pgart, CONNECTOR) > 0 ? substr($pgart, 0, strpos($pgart, CONNECTOR)) : $pgart;
					$pgart = strpos($pgart, '&') > 0 ? substr($pgart, 0, strpos($pgart, '&')) : $pgart;				
					echo '
            <span style="float:right;padding-right:4px;">
		      <a href="admin.php?lng='.$lng.'&amp;pg=art&amp;tri='.$tri.'&amp;form=2$amp;idpg='.$idpg.'&amp;id='.$pgart.'" title="'.$admin[1371].'">
			    <img src="inc/img/files/edit.gif" alt="'.$admin[1371].'" title="'.$admin[1371].'" />
			  </a>
            </span>';
				}
            }
            echo '
          <span style="clear:both"></span>
        </td>
        <td  style="padding:5px;white-space:nowrap;text-align:center;">';
            if ($status == "a") {
                MakeRadioGroup(array( array("a", "i", $fileid), array("a", "d", $fileid) ));
            }
            elseif ($status == "i") {
                MakeRadioGroup(array( array("i", "a", $fileid), array("i", "d", $fileid) ));
            }
            elseif ($status == "d") {
                MakeRadioGroup(array( array("d", "s", $fileid), array("d", "i", $fileid) ));
            }
            else {
                echo '
          <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=dbcheck" title="'.$admin[278].'"><img src="inc/img/admin/dbcheck.gif" /></a>';
            }
            echo '
        </td>
      </tr>';
            $ids .= $tmp[1][$i]." ";
        }
        echo '
    </table>
    <p style="text-align:center"><input type="hidden" name="ids" value="'.$ids.'" /></p>
    <div style="text-align:right; padding-right:30px;">'.SubmitButton($web[361]).'
      <img src="'.$reptheme.'/up1.png" alt="" style="padding-bottom: 3px;" />
    </div>';
		if (in_array($qtype, array(TYP_FREEBOX, TYP_MENUBOX, TYP_DDMENUBOX, TYP_SOCNET, TYP_BANNER, TYP_THINK, TYP_RSS)))
			echo '
    <div style="float:left;margin-top:6px;">
	  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=config6&amp;selskin='.$page[14].'">'.$admin[346].'
	    <img src="'.CHEMIN.'admin/inc/img/general/cfgboites.png" alt="'.$admin[346].'" title="'.$admin[346].'" style="width:11px;height:11px;vertical-align:top;" />
	  </a>&nbsp;||&nbsp;
	  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=config3&amp;selskin='.$page[14].'&amp;conf='.$tconfig.'">'.$admin[469].'
	    <img src="'.CHEMIN.'admin/inc/img/general/cfgaccueil.png" alt="'.$admin[469].'" title="'.$admin[469].'" style="width:11px;height:11px;vertical-align:top;" />
	  </a>
    </div>';
		echo '
    </fieldset>
  </form>';
        echo $navbar;
	}
	else {
        echo '
  <p style="text-align:center">'.$admin[854].'</p>';
	}
}
################################################################################
elseif ($form == 1) {
	if (!empty($erreur))
		echo displayErrorMsg($web[531], $erreur);
	if (!empty($id) && $qtype == TYP_OPTMENU) {
		$nouveau1 = 'articles.php?lng='.$lang[0].'&pg='.$id;
		$nouveau2 = 'articles.php?lng='.$lang[1].'&pg='.$id;
	}
    echo '
  <form name="adminsend" id="adminsend" action="admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'" method="post" onsubmit="return VerifyForm(); return false;">
    <input type="hidden" name="add" value="1" />
    <input type="hidden" name="tri" value="'.$tri.'" />
    <input type="hidden" name="idpg" value="'.$idpg.'" />
	<fieldset>
      <br />'.$admin[764].'
      <select name="status" style="vertical-align:middle">
        <option value="on" selected="selected">'.$admin[765].'</option>
        <option value="">'.$admin[766].'</option>
      </select>';
    /// début modif accès privé
    if ($qtype == TYP_ART || $qtype == TYP_AGENDA || $qtype == TYP_BLOG || $qtype == TYP_DNLOAD || $qtype == TYP_FAQ || $qtype == TYP_LINKS || 
        $qtype == TYP_NEWS || $qtype == TYP_PHOTO || $qtype == TYP_FREEBOX || $qtype == TYP_MENUBOX || $qtype == TYP_OPTMENU || 
		$qtype == TYP_DDMENUBOX || $qtype == TYP_OPTDDMENU || $qtype == TYP_MENUICO ||	$qtype == TYP_SOCNET) {
        $dbgroup = ReadDBFields(GROUPS);
        echo '
      <br /><br />'.$admin[932].' :&nbsp;
      <select name="group" style="width:100px;">
        <option value = ""> -- '.$web[314].' -- </option>
        <option value = "all_members">'.$admin[690].'</option>';
        for ($x = 0; $x < count($dbgroup); $x++) {
            echo '
        <option value = "'.$dbgroup[$x][0].'">'.$dbgroup[$x][0].'</option>';
        }
        echo '
      </select><br />&nbsp;';
    }
    /// fin modif accès privé
    echo '
    <table style="width:100%;margin:auto;">';
	if (!in_array($qtype, array(TYP_GUESTBK, TYP_FORUM, TYP_NWL,TYP_REACT, TYP_REBLOG, TYP_RULES, TYP_RSS, TYP_BSS, TYP_SOCNET))) {
		echo '
      <tr>
	    <td style="text-align:center">
		  <div style="width:174px;margin:auto;">
		    <div style="float:left;">'.$admin[1406].'</div>
  	        <div class="pop" style="width:32px;margin: -3px 0 0 4px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-260px; width:280px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[14].'</span></a>
		    </div>
		  </div>
	    </td>
	  </tr>';
		echo '
      <tr>
	    <td style="text-align:center">
		  '.$admin[1407].' : <input class="'.($err_datedeb ? 'errorInputText' : 'texte').'" type="text" name="datedeb" size="10" value="'.$datedeb.'" />&nbsp;&nbsp;
		  '.$admin[1408].' : <input class="'.($err_datefin ? 'errorInputText' : 'texte').'" type="text" name="datefin" size="10" value="'.$datefin.'" />
		</td>
	  </tr>';
	}
    if ($bname == 1) {
        echo '
      <tr><td style="text-align:center">'.$admin[114].'</td></tr>
      <tr><td style="text-align:center"><input class="'.($err_pseudo1 ? 'errorInputText' : 'texte').'" type="text" name="pseudo1" size="40" value="'.$myname.'" /></td></tr>';
    }
    if ($bemail == 1) {
        echo '
      <tr><td style="text-align:center"><br />'.$admin[115].'</td></tr>
      <tr><td style="text-align:center"><input class="'.($err_email1 ? 'errorInputText' : 'texte').'" type="text" name="email1" size="40" value="'.$myemail.'" /></td></tr>';
    }
    if ($bnouveau == 2 && $qtype == TYP_NEWS) {
        echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="nouveau1" /></td></tr>';
    }
    if ($bcat == 1 && !in_array($qtype, array(TYP_AGENDA, TYP_FREEBOX, TYP_MENUBOX, TYP_DDMENUBOX, TYP_MENUICO, TYP_SOCNET))) {
        if ($qtype == TYP_ART || $qtype == TYP_OPTMENU) {
			echo '
	  <tr>
	    <td style="text-align:center;margin:auto;"><br />
		  <div style="text-align:center;width:270px;margin:auto;">
		    <div style="float:left;padding-left:56px;">'.$qcat.'</div>
		    <div class="pop" style="width:32px;margin: -3px 0 0 4px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-240px; width:260px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[13].($qtype == TYP_ART ? $help[16] : '').'</span></a>
		    </div>
		  </div>
        </td>
	  </tr>';
		} else
			echo '
      <tr><td style="text-align:center"><br />'.$qcat.'</td></tr>';
        if ($qtype == TYP_BANNER) {
            echo '
      <tr>
        <td style="text-align:center">
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />
          <input id="cat1" class="'.($err_cat1 ? 'errorInputText' : 'texte').'" name="cat1" style="vertical-align:middle;" type="text" value="" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver1" id="browserver1" onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\'cat1\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />';
            if ($lang[1] != "") {
                echo '
        </td>
      </tr>
      <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />
          <input id="cat2" class="'.($err_cat2 ? 'errorInputText' : 'texte').'" name="cat2" style="vertical-align:middle;" type="text" value="" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver2" id="browserver2" onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\'cat2\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />';
            }
		  echo '
        </td>
      </tr>';
        }
        elseif ($qtype == TYP_BSS || $qtype == TYP_RSS) {
            echo '
      <tr>
        <td style="text-align:center;">
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />
          <input class="'.($err_cat1 ? 'errorInputText' : 'texte').'" type="text" name="cat1" value="" size="38" />';
            if ($lang[1] != "") {
                echo '
        </td>
      </tr>
      <tr>
        <td style="text-align:center;">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />
          <input class="'.($err_cat2 ? 'errorInputText' : 'texte').'" type="text" name="cat2" value="" size="38" />';
            }
            echo '
        </td>
      </tr>';
        }
        elseif ($qtype == TYP_OPTDDMENU) {
            echo '
      <tr>
        <td style="text-align:center;">
		  <div style="text-align:center;width:284px;margin:auto;">
		    <div style="float:left;padding-left:24px;">
              <input id="cat1" class="'.($err_cat1 ? 'errorInputText' : 'texte').'" name="cat1" style="width:200px;" type="text" value="" />&nbsp;
		    </div>
		    <div class="pop" style="width:32px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-260px; width:280px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[11].'</span></a>
		    </div>
		  </div>
        </td>
      </tr>';
		}
        else {
            $cat1 = $cat2 = '';
			$nlg = $lang[1] != '' ? '2' : '';
            echo '
      <tr>
        <td style="text-align:center;">
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />&nbsp;
          <select name="list1" id="list1" onchange="set'.$nlg.'(this.form);" style="width:220px;">
            <option value="" selected="selected"> -- '.$admin[917].' -- </option>
            <option value=""> -- '.$admin[1125].' -- </option>';
            $dbw = ReadDBFields(DBINDEX.$qtype.DBEXT);
            sort($dbw);
            if (!empty($dbw)) {
                $curr_cat = "";
                for ($i = 0; $i < count($dbw); $i++) {
                    if ($dbw[$i][0].$dbw[$i][1] != $curr_cat) {
                        $cat = str_replace('<!--', '&#60;!--', str_replace('-->', '--&#62;', $dbw[$i][0]));
                        $curr_cat = $dbw[$i][0].$dbw[$i][1];
                        echo '
            <option value="'.htmlspecialchars($dbw[$i][0], ENT_QUOTES, $charset).'">'.$cat.'</option>';
                    }
                }
            }
            echo '
          </select> >>
          <input class="texte" type="text" name="cat1" value="'.htmlspecialchars($cat1, ENT_QUOTES, $charset).'" size="38" onfocus="reset'.$nlg.'(this.form);" />
        </td>
      </tr>';
            if ($lang[1] != "") {
                echo '
      <tr>
        <td style="text-align:center;vertical-align:middle;white-space:nowrap;">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />&nbsp;
          <select name="list2" id="list2" onchange="set'.$nlg.'(this.form);" style="width:220px;">
            <option value="" selected="selected"> -- '.$admin[917].' -- </option>
            <option value=""> -- '.$admin[1125].' -- </option>';
                if (!empty($dbw)) {
                    reset($dbw);
                    $curr_cat = "";
                    for ($i = 0; $i < count($dbw); $i++) {
                        if ($dbw[$i][0].$dbw[$i][1] != $curr_cat) {
                            $cat = str_replace('<!--', '&#60;!--', str_replace('-->', '--&#62;', $dbw[$i][1]));
                            $curr_cat = $dbw[$i][0].$dbw[$i][1];
                            echo '
            <option value="'.htmlspecialchars($dbw[$i][1], ENT_QUOTES, $charset).'">'.$cat.'</option>';
                        }
                    }
                }
                echo '
          </select> >>
          <input class="texte" type="text" name="cat2" value="'.htmlspecialchars($cat2, ENT_QUOTES, $charset).'" size="38" onfocus="this.value=\'\';this.form.list2.selectedIndex=0;" />
        </td>
      </tr>';
            }
        }
    }
    elseif ($bcat == 1 && $qtype == TYP_AGENDA) {
        $dd = date('w', mktime(0, 0, 0, intval($mois), intval($day), intval($annee)));
        $jour = $jours[$dd];
        $datevent = substr(FormatDate($annee.$mois.$day."00000"), 0, 10);
        if ($web[284]=='0') $datevent = $jour.' '.$datevent; else $datevent = $datevent.', '.$jour;
        echo '
      <tr>
        <td>
          <p style="text-align:center">'.$qtitre.$admin[630].'
            <br />
            <input class="texte" type="text" name="cat0" size="45" value="'.$datevent.'" readonly="readonly" />
            <input type="hidden" name="cat1" size="45" value="'.date('YmdHi', mktime(0, 0, 0, intval($mois), intval($day), intval($annee))).'" />
            <input type="hidden" name="titre1" size="45" value="'.$mois.$annee.'" />
          </p>
        </td>
      </tr>
      <tr>
        <td>'.$admin[923].'
          <input class="'.($err_hhmn ? 'errorInputText' : 'texte').'" type="texte" name="hh1" value="" maxlength="2" style="width:20px;" /> :&nbsp;
          <input class="'.($err_hhmn ? 'errorInputText' : 'texte').'" type="texte" name="mn1" value="" maxlength="2" style="width:20px;" />';
        if ($site[22] == "H3") {
            echo '
          <select name="sth1" class="select" style="vertical-align:middle">
            <option value=" AM" selected="selected">AM</option>
            <option value=" PM">PM</option>
          </select>';
        }
        echo '
        </td>
      </tr>
      <tr>
        <td>'.$admin[924].'
          <input class="'.($err_hhmn ? 'errorInputText' : 'texte').'" type="texte" name="hh2" value="" maxlength="2" style="width:20px;" /> :&nbsp;
          <input class="'.($err_hhmn ? 'errorInputText' : 'texte').'" type="texte" name="mn2" value="" maxlength="2" style="width:20px;" />';
        if ($site[22] == "H3") {
            echo '
          <select name="sth2" class="select" style="vertical-align:middle">
            <option value=" AM" selected="selected">AM</option>
            <option value=" PM">PM</option>
          </select>';
        }
        echo '
        </td>
      </tr>';
        echo '
      <tr>
        <td style="text-align:center;">
          <fieldset style="width:260px;margin:auto;text-align:left;">'.legend('<label>'.$admin[1154].'<input type="checkbox" id="cbrpt" name="cbrpt" value="on" /></label> ').'
            <input type="hidden" name="day" value="'.$day.'" />
            <input type="hidden" name="mois" value="'.$mois.'" />
            <input type="hidden" name="annee" value="'.$annee.'" />
            <span><label><input type="radio" name="typrpt" value="0" onclick="document.adminsend.cbrpt.checked=true;" /> '.$admin[1155].'</label>
            <input class="texte" type="texte" name="drpt" value="'.$drpt.'" maxlength="2" style="width:20px;" />'.$admin[1173].'</span><br />
            <span><label><input type="radio" name="typrpt" value="1" onclick="document.adminsend.cbrpt.checked=true;" /> '.$admin[1156].'</label>
            <input class="texte" type="texte" name="wrpt" value="'.$wrpt.'" maxlength="2" style="width:20px;" />'.$admin[1157].'</span><br />
            <span><label><input type="radio" name="typrpt" value="2" onclick="document.adminsend.cbrpt.checked=true;" /> '.$admin[1155].'</label>
            <input class="texte" type="texte" name="mrpt" value="'.$mrpt.'" maxlength="2" style="width:20px;" />'.$admin[1158].'</span><br />
            <span><label><input type="radio" name="typrpt" value="3" onclick="document.adminsend.cbrpt.checked=true;" /> '.$admin[1159].'</label>
            <select name="nodayrpt" class="select" style="width:54px;">
                <option value="1">'.$admin[1169].'</option>
                <option value="2">'.$admin[1170].'</option>
                <option value="3">'.$admin[1171].'</option>
                <option value="4">'.$admin[1172].'</option>
            </select>
            <select name="dayrpt" class="select" style="width:76px;">';
        for ($jj = 1; $jj < count($jours); $jj++)
            echo '
                <option value="'.$jj.'">'.$jours[$jj].'</option>';
        echo '
                <option value="0">'.$jours[0].'</option>
            </select>'.$admin[1160].'</span><br />
            <span>'.$admin[1161].'
            <input class="texte" type="texte" name="torpt" value="" maxlength="10" style="width:68px;" /></span><br />
          </fieldset>
        </td>
      </tr>';
    }
    elseif ($bcat == 1 && $qtype == TYP_MENUICO) {
        echo '
      <tr>
        <td style="text-align:center;">
		  <div style="text-align:center;width:158px;margin:auto;"><br />
		    <div style="float:left;">'.$qcat.'
              <input id="cat1" class="'.($err_cat1 ? 'errorInputText' : 'texte').'" name="cat1" style="width:80px;" type="text" value="" />&nbsp;
		    </div>
		    <div class="pop" style="width:32px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-200px; width:220px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[10].'</span></a>
		    </div>
		  </div>
        </td>
      </tr>';
    }
    elseif ($bcat == 1 && ($qtype == TYP_FREEBOX || $qtype == TYP_MENUBOX)) {
        if ($qtype == TYP_MENUBOX) {
			$types_menu = array($admin[397], $admin[398], $admin[504], $admin[621], $admin[1354]);
			echo '
      <tr>
        <td style="text-align:center">
          <br />'.$qcat.' : 
            <select name="fieldweb">';
			for ($jj = 0; $jj < count($types_menu); $jj++) {
				echo '
              <option value="'.$jj.'"'.Selected($fieldweb == $jj).'>'.$types_menu[$jj].'</option>';
			}
				echo '
            </select>
        </td>
      </tr>';
		}
		echo '
      <tr>
        <td style="text-align:center">
          <p>'.$admin[357].' : 
            <select name="cat2">
              <option value="off"'.Selected($cat2 == 'off').'>'.$admin[358].'</option>
              <option value="open"'.Selected($cat2 == 'open').'>'.$admin[359].'</option>
              <option value="close"'.Selected($cat2 == 'close').'>'.$admin[360].'</option>
            </select>
          </p>
        </td>
      </tr>';
    }
    elseif ($bcat == 1 && $qtype == TYP_DDMENUBOX) {
		$types_menu = array('DDV'=>$admin[1351], 'DDH'=>$admin[1352], 'DDL'=>$admin[1387]);
		echo '
      <tr>
        <td style="text-align:center">
          <br />'.$qcat.' : 
            <select name="cat2">';
			foreach ($types_menu as $key=>$value) {
				echo '
              <option value="'.$key.'"'.Selected($cat2 == $key).'>'.$value.'</option>';
			}
				echo '
            </select>
        </td>
      </tr>';
    }
    if ($btitre >= 1) {
        echo '
      <tr><td style="text-align:center"><br />'.$qtitre.'</td></tr>
      <tr>
        <td style="text-align:center">';
		if ($qtype != TYP_SOCNET)
			echo '
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle;" />';
		echo '
          <input class="'.($err_titre1 ? 'errorInputText' : 'texte').'" type="text" name="titre1" size="45" />
        </td>
      </tr>';
        if ($lang[1] != '' && $qtype != TYP_SOCNET) {
            echo '
      <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle;" />
          <input class="'.($err_titre2 ? 'errorInputText' : 'texte').'" type="text" name="titre2" size="45" />
        </td>
      </tr>';
        }
    }
    if ($bnouveau == 1) {
        if ($qtype == TYP_FREEBOX) {
            echo '
      <tr><td style="text-align:center;"><br />'.$qnouveau.'</td></tr>
      <tr><td style="text-align:center;">'.ShowValidBoxes().'</td></tr>';
        } 
        elseif ($qtype == TYP_MENUBOX || $qtype == TYP_DDMENUBOX) {
            echo '
      <tr><td style="text-align:center;"><br />'.$qnouveau.'</td></tr>
      <tr><td style="text-align:center;">'.ShowValidMenus().'</td></tr>';
        }
        elseif ($qtype == TYP_ART) {
            $mbs = ReadDbFields(DBMENUBOX);
            echo '
      <tr>
        <td style="text-align:center;">
          <br />'.$qnouveau.'
            <select name="nouveau1">
              <option value="none"'.Selected($nouveau1 == "none" || $nouveau1 == "").'>'.$admin[681].'</option>';
            foreach ($mbs as $mb) {
                $boxname = $lng == $lang[0] ? $mb[2] : $mb[3];
                $mnu_id  = sprintf('MNU %d', $mb[4]);
                echo '
              <option value="'.$mnu_id.'"'.Selected($nouveau1 == $mnu_id).'>'.$mnu_id.' : '.$boxname.'</option>';
            }
            echo '
            </select>
        </td>
      </tr>';
        }
        elseif ($qtype == TYP_DNLOAD) {
            echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'</td></tr>
      <tr>
        <td style="text-align:center">';
            if ($lang[1] != "") {
                echo '
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle;" /> ';
            }
            echo '
          <input class="'.($err_nouveau1 ? 'errorInputText' : 'texte').'" id="nouveau1" name="nouveau1" style="vertical-align:middle;width:240px;" type="text" value="" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver1" id="browserver1" onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Link&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\'nouveau1\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />
        </td>
      </tr>';
            if ($lang[1] != "") {
                echo '
      <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle;" />
          <input class="'.($err_nouveau2 ? 'errorInputText' : 'texte').'" id="nouveau2" name="nouveau2" style="vertical-align:middle;width:240px;" type="text" value="" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver2" id="browserver2" onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Link&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\'nouveau2\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />
  	    </td>
      </tr>';
            }
        }
        elseif ($qtype == TYP_SOCNET) {
            echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'</td></tr>
      <tr>
        <td style="text-align:center">
          <input class="'.($err_nouveau1 ? 'errorInputText' : 'texte').'" type="text" name="nouveau1" size="45" />
        </td>
      </tr>
      <tr><td style="text-align:center"><p>'.$admin[501].'</p></td></tr>
      <tr>
        <td style="text-align:center">
          <textarea name="nouveau2" cols="48" rows="6">'.$nouveau2.'</textarea>
        </td>
      </tr>';
		}
        else {
			if ($qtype == TYP_OPTDDMENU) {
				echo '
	  <tr>
	    <td style="text-align:center"><br />
		  <div style="text-align:center;width:164px;margin:auto;">
		    <div style="float:left;padding-left:36px;">'.$qnouveau.'</div>
		    <div class="pop" style="width:32px;margin: -3px 0 0 4px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-200px; width:220px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[12].'</span></a>
		    </div>
		  </div>
        </td>
      </tr>';
			} else {
				echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'</td></tr>';
			}
			echo '
      <tr>
        <td style="text-align:center"><img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle;" />
          <input class="'.($err_nouveau1 ? 'errorInputText' : 'texte').'" type="text" name="nouveau1" size="45" value="'.$nouveau1.'" />
        </td>
      </tr>';
            if ($lang[1] != "") {
                echo '
      <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle;" />
          <input class="'.($err_nouveau2 ? 'errorInputText' : 'texte').'" type="text" name="nouveau2" size="45" value="'.$nouveau2.'" />
        </td>
      </tr>';
            }
        }
        if ($qtype == TYP_DNLOAD) {
            $dblicences = ReadDbFields(LICENCES);
            echo '
      <tr>
        <td style="text-align:center">
          <br />'.$admin[717].'
            <select name="fieldweb">
              <option value=""'.Selected($fieldweb == "").'> -- '.$web[314].' -- </option>';
            foreach ($dblicences as $lic) {
                echo '
              <option value="'.$lic[0].'"'.Selected($fieldweb == $lic[0]).'>'.$lic[1].'</option>';
            }
            echo '
            </select>
        </td>
      </tr>';
        }
    }
    if ($qtype == TYP_ART || $qtype == TYP_OPTMENU) {
		switch ($qtype) {        
        case TYP_ART     : $fname = 'fieldweb'; break;
		case TYP_OPTMENU : $fname = 'contenu2'; break;
        }
        echo '
      <tr>
        <td style="text-align:center">
          <br />'.$admin[78].'<br />
            <select name="'.$fname.'">';
		foreach (array(array('S', $admin[1315]), array('W', $admin[1316]), array('L', $admin[1319]), array('R', $admin[1320])) as $opt) {
			echo '
			  <option value="'.$opt[0].'">'.$opt[1].'</option>';
		}
        echo '
            </select>
        </td>
      </tr>';
	}
    if ($qtype == TYP_OPTMENU || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL') || $qtype == TYP_ART) {
		if (count($templates) > 1) {
			echo '
      <tr>
        <td style="text-align:center">
          <br />'.$admin[1335].'
            <select name="fieldmail" style="width:140px;">';
            foreach ($templates as $key=>$value) {
                echo '
              <option value="'.$key.'">'.$key.' - '.$value.'</option>';
            }
            echo '
            </select>
        </td>
      </tr>';
		} else {
			echo '
	  <input type="hidden" name="fieldmail" value="0">';
		}
	}
    if ($qtype == TYP_ART || $qtype == TYP_NEWS || $qtype == TYP_BLOG || $qtype == TYP_MENUICO || $qtype == TYP_SOCNET || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL')) {
		switch ($qtype) {        
        case TYP_ART       : 
        case TYP_BLOG      : $label = $admin[461];  $fname = 'nouveau2'; break;
        case TYP_NEWS      : $label = $admin[462];  $fname = 'nouveau2'; break;
        case TYP_MENUICO   : 
		case TYP_OPTDDMENU : $label = $admin[1240]; $fname = 'contenu2'; break;
        case TYP_SOCNET    : $label = $admin[499];  $fname = 'contenu2'; break;
        }
        echo '
      <tr>
        <td style="text-align:center">
          <br />'.$label.'<br />
          <input id="'.$fname.'" class="texte" name="'.$fname.'" style="vertical-align:middle;width:240px;" type="text" value="" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver3" id="browserver3" 
            onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\''.$fname.'\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />
		  <br />&nbsp;
  	    </td>
      </tr>';
    }
    if ($qtype == TYP_MENUICO) {
		if (count($templates) > 1) {
			echo '
      <tr>
        <td style="text-align:center">
          <br />'.$admin[1335].'
            <select name="fieldweb" style="width:140px;">
              <option value="ALL">'.$admin[1363].'</option>';
            foreach ($templates as $key=>$value) {
                echo '
              <option value="'.$key.'">'.$key.' - '.$value.'</option>';
            }
            echo '
            </select>
          </p>
        </td>
      </tr>';
		} else {
			echo '
	  <input type="hidden" name="fieldweb" value="0">';
		}
	}
    if ($bcontenu == 1) {
        if ($qtype == TYP_OPTMENU || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL') || $qtype == TYP_MENUICO || $qtype == TYP_SOCNET) {
            echo '
      <tr>
        <td style="text-align:center">
          '.$qcontenu.'
            <select name="contenu1">
              <option value="_SELF"'.Selected($contenu1 == '_SELF').'>'.$admin[1232].'</option>
              <option value="_BLANK"'.Selected($contenu1 == '_BLANK').'>'.$admin[1233].'</option>';
			if ($qtype != TYP_SOCNET) {
				echo '
              <option value="_POPUP"'.Selected($contenu1 == '_POPUP').'>'.$admin[1243].'</option>';
			}
            echo '
            </select>
        </td>
      </tr>';
        }
        else {
            if ($qtype == TYP_ART && $serviz[113] != 'on') {
				echo '
      <tr><td style="text-align:center"><br />'.$admin[1347].'<br /></td></tr>
	  <tr>
        <td style="text-align:center">
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle;" />
		  <input class="texte" type="text" name="keywords1" size="70" value="'.$keywords1.'" />
        </td>
	  </tr>';
				if ($lang[1] != "") {
					echo '
	  <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle;" />
		  <input class="texte" type="text" name="keywords2" size="70" value="'.$keywords2.'" />
        </td>
	  </tr>';
				}
			}
            echo '
      <tr>
        <td style="text-align:center">
          <br />'.$qcontenu.'
          <br />
        </td>
      </tr>
      <tr>
        <td style="text-align:center;">
          <img src="'.$flag1.'" alt="'.$lang[0].'" style="vertical-align:middle;" />
          <br /><br />
        </td>
      </tr>
      <tr>
	    <td>
		  <div style="text-align:center;width:'.$serviz[101].';margin:auto;">';
            $hedit = in_array($qtype, array(TYP_MENUBOX, TYP_PHOTO)) ? '120px' : '320px';
            display_admin_editor('contenu1', $serviz[101], $hedit, '', $wysiwyg);
			echo '
		  </div>
	  	</td>
	  </tr>';
            if ($lang[1] != '') {
                echo '
      <tr>
        <td>
		  <div style="text-align:center;width:'.$serviz[101].';margin:auto;">
		    <br /><br />
            <img src="'.$flag2.'" alt="'.$lang[1].'" style="vertical-align:middle;" />
            <br /><br />';
                display_admin_editor('contenu2', $serviz[101], $hedit, '', $wysiwyg);
				echo '
		  </div>
        </td>
      </tr>';
            }
        }
    }
    echo '
    </table>';
    echo '
	</fieldset>
    <div class="quest" style="padding:2px 20px;">';
	if (in_array($qtype, array(TYP_FREEBOX, TYP_MENUBOX, TYP_DDMENUBOX, TYP_SOCNET, TYP_BANNER, TYP_THINK, TYP_RSS)))
		echo '
      <div style="float:left;margin-top:6px;">
	    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=config6&amp;selskin='.$page[14].'&amp;conf='.$tconfig.'">'.$admin[346].'
	      <img src="'.CHEMIN.'admin/inc/img/general/cfgboites.png" alt="'.$admin[346].'" title="'.$admin[346].'" style="width:11px;height:11px;vertical-align:top;" />
	    </a>&nbsp;||&nbsp;
	    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=config3&amp;selskin='.$page[14].'&amp;conf='.$tconfig.'">'.$admin[469].'
	      <img src="'.CHEMIN.'admin/inc/img/general/cfgaccueil.png" alt="'.$admin[469].'" title="'.$admin[469].'" style="width:11px;height:11px;vertical-align:top;" />
	    </a>
      </div>';
	echo '
      <div style="float:right;">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>'.
	  ($qseeall == '' ? '' : '<div style="float:right;margin-right:24px;padding-top:4px;"><label>'.$admin[857].$qseeall.'<input type="checkbox" name="retform" style="vertical-align:middle;" /></label></div>').
	  ($qtype == TYP_ART ? '<div style="float:right;margin-right:24px;padding-top:4px;"><label>'.$admin[1014].' admins<input type="checkbox" name="svart" style="vertical-align:middle;" /></label></div>' : '').'
      <div style="clear:both"></div>
    </div>
  </form>';
}
################################################################################
elseif ($form == 2) {
	if (!empty($erreur))
		echo displayErrorMsg($web[531], $erreur);
    ReadDoc($id);
	if (!in_array($qtype, array(TYP_GUESTBK, TYP_FORUM, TYP_NWL,TYP_REACT, TYP_REBLOG, TYP_RULES, TYP_RSS, TYP_BSS, TYP_SOCNET))) {
		$datespub = explode('-', $creadate);
		$datedeb  = $datespub[0];
		$datefin  = empty($datespub[1]) ? '' : $datespub[1];
	}
	$cdate = $creadate;
	$mdate = $moddate;
    echo '
  <form name="adminsend" id="adminsend" action="admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'" method="post" onsubmit="return VerifyForm(); return false;">
    <input type="hidden" name="tri" value="'.$tri.'" />
    <div class="quest" style="padding:2px 20px;">';
	if (in_array($qtype, array(TYP_GUESTBK, TYP_FREEBOX, TYP_MENUBOX, TYP_DDMENUBOX, TYP_SOCNET, TYP_BANNER, TYP_THINK, TYP_RSS)))
		echo '
      <div style="float:left;margin-top:6px;">
	    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=config6&amp;selskin='.$page[14].'&amp;conf='.$tconfig.'">'.$admin[346].'
	      <img src="'.CHEMIN.'admin/inc/img/general/cfgboites.png" alt="'.$admin[346].'" title="'.$admin[346].'" style="width:11px;height:11px;vertical-align:top;" />
	    </a>&nbsp;||&nbsp;
	    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=config3&amp;selskin='.$page[14].'&amp;conf='.$tconfig.'">'.$admin[469].'
	      <img src="'.CHEMIN.'admin/inc/img/general/cfgaccueil.png" alt="'.$admin[469].'" title="'.$admin[469].'" style="width:11px;height:11px;vertical-align:top;" />
	    </a>
      </div>';
	echo '
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>'.
	  ($qseeall == '' ? '' : '<div style="float:right;margin-right:24px;padding-top:4px;"><label>'.$admin[857].$qseeall.'<input type="checkbox" name="retform" style="vertical-align:middle;" /></label></div>').'
	  <div style="float:right;margin-right:24px;padding-top:4px;"><label>'.$admin[1381].'<input type="checkbox" checked="checked" name="majfile" style="vertical-align:middle;" /></label></div>'.
	  ($qtype == TYP_ART ? '<div style="float:right;margin-right:24px;padding-top:4px;"><label>'.$admin[1014].' admins<input type="checkbox" name="svart" style="vertical-align:middle;" /></label></div>' : '').'
      <div style="clear:both"></div>
    </div>
	<fieldset>';
    if ($dup == 1 || $dup == 2) {
        echo '
      <br />'.$admin[921].'
      <input type="hidden" name="dup" value="'.$dup.'" />
      <select name="status" style="vertical-align:middle">
        <option value="on" selected="selected">'.$admin[765].'</option>
        <option value="">'.$admin[766].'</option>\n
      </select><br />
      <input type="hidden" name="add" value="1" />';
	  $datedeb = date('YmdHi');
	  $datefin = '';
    } else {
        echo '
      <input type="hidden" name="mod" value="1" />';
    }
    echo '
      <input type="hidden" name="form" value="2" />
      <input type="hidden" name="idpg" value="'.$idpg.'" />
      <input type="hidden" name="id" value="'.$id.'" />
	  <input type="hidden" name="datecrea" value="'.$cdate.'" />
	  <input type="hidden" name="datemod" value="'.$mdate.'" />';
    if ($bcat == 1 && $qtype == TYP_AGENDA) {
        if ($dup == 2) {
            $fieldb1 = $mois.$annee;
        }
        echo '
      <input type="hidden" name="titre1" value="'.$fieldb1.'" />';
    }
    if ($qtype == TYP_GUESTBK || $qtype == TYP_FORUM || $qtype == TYP_REACT || $qtype == TYP_REBLOG) {
        echo '
      <input type="hidden" name="cat1" value="'.$fielda1.'" />';
    }
    if ($qtype == TYP_FORUM || $qtype == TYP_REACT || $qtype == TYP_REBLOG) {
        echo '
      <input type="hidden" name="cat2" value="'.$fielda2.'" />';
    }
    if ($btitre = 1 && $qtype == TYP_FORUM) {
        echo '
      <input type="hidden" name="titre1" value="'.$fielda2.'" />';
	}
    echo '
    <table style="margin:auto;">';
	if (!in_array($qtype, array(TYP_GUESTBK, TYP_FORUM, TYP_NWL,TYP_REACT, TYP_REBLOG, TYP_RULES, TYP_RSS, TYP_BSS, TYP_SOCNET))) {
		echo '
      <tr>
	    <td style="text-align:center">
		  <div style="width:174px;margin:auto;">
		    <div style="float:left;">'.$admin[1406].'</div>
  	        <div class="pop" style="width:32px;margin: -3px 0 0 4px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-260px; width:280px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[14].'</span></a>
		    </div>
		  </div>
	    </td>
	  </tr>';
		echo '
      <tr>
	    <td style="text-align:center">
		  '.$admin[1407].' : <input class="'.($err_datedeb ? 'errorInputText' : 'texte').'" type="text" name="datedeb" size="10" value="'.$datedeb.'" />&nbsp;&nbsp;
		  '.$admin[1408].' : <input class="'.($err_datefin ? 'errorInputText' : 'texte').'" type="text" name="datefin" size="10" value="'.$datefin.'" />
		</td>
	  </tr>';
	}
    if ($bname == 1) {
        echo '
      <tr><td style="text-align:center"><br />'.$admin[114].'</td></tr>
      <tr><td style="text-align:center"><input class="'.($err_pseudo1 ? 'errorInputText' : 'texte').'" type="text" name="pseudo1" size="40" value="'.$author.'" /></td></tr>';
    }
    if ($bemail == 1) {
        echo '
      <tr><td style="text-align:center"><br />'.$admin[115].'</td></tr>
      <tr><td style="text-align:center"><input class="'.($err_email1 ? 'errorInputText' : 'texte').'" type="text" name="email1" size="40" value="'.$email.'" /></td></tr>';
    }
    if ($bnouveau == 2) {
		$chk = $qtype == TYP_FORUM  ?  '' : 'on';
        echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="nouveau1"'.Checked($fieldd1 == $chk).' /></td></tr>';
    }
    /// début modif accès privé
    if ($qtype == TYP_ART || $qtype == TYP_AGENDA || $qtype == TYP_BLOG || $qtype == TYP_DNLOAD || $qtype == TYP_FAQ || $qtype == TYP_LINKS || 
        $qtype == TYP_NEWS || $qtype == TYP_PHOTO || $qtype == TYP_FREEBOX || $qtype == TYP_MENUBOX || $qtype == TYP_OPTMENU || 
		$qtype == TYP_DDMENUBOX || $qtype == TYP_OPTDDMENU || $qtype == TYP_MENUICO ||	$qtype == TYP_SOCNET) {
        $dbgroup = ReadDBFields(GROUPS);
        echo '
      <tr>
        <td style="text-align:center">
          <br />'.$admin[932].' :&nbsp;
          <select name="fieldmod" style="width:100px;">
            <option value=""> -- '.$web[314].' -- </option>
			<option value = "all_members"'.Selected($fieldmod == 'all_members').'>'.$admin[690].'</option>';
        for ($x = 0; $x < count($dbgroup); $x++) {
            echo '
            <option value = "'.$dbgroup[$x][0].'"'.Selected($fieldmod == $dbgroup[$x][0]).'>'.$dbgroup[$x][0].'</option>'."\n";
        }
        echo '
          </select>
        </td>
      </tr>';
    }
    /// fin modif accès privé
    if ($bcat == 1) {
        if ($qtype == TYP_AGENDA) {
            if ($dup == 2) {
                $fielda1 = substr(FormatDate($annee.$mois.$day."00000"), 0, 10);
            } else {
				$day   = substr($fielda1, 6, 2);
				$mois  = substr($fielda1, 4, 2);
				$annee = substr($fielda1, 0, 4);
            }
            $dd = date('w', mktime(0, 0, 0, intval($mois), intval($day), intval($annee)));
            $jour = $jours[$dd];
            $datevent = substr(FormatDate($annee.$mois.$day."00000"), 0, 10);
            if ($web[284] == '0') $datevent = $jour.' '.$datevent; else $datevent = $datevent.', '.$jour;
            echo '
      <tr><td style="text-align:center"><br /'.$qcat.'</td></tr>
      <tr><td style="text-align:center"><input class="texte" type="text" name="cat0" size="45" value="'.$datevent.'" readonly="readonly" /></td></tr>
      <input type="hidden" name="cat1" size="45" value="'.date('YmdHi', mktime(0, 0, 0, intval($mois), intval($day), intval($annee))).'" />';
            $timed = $timef = array('', '');
            $sthh1 = $sthh2 = '';
            if ('-' != $fielda2) {
                $timeag = explode('-', $fielda2);
                if ($site[22] == 'H3') {
                    $sthh1 = explode(' ', $timeag[0]);
                    $timed = explode(':', $sthh1[0]);
                    $sthh2 = explode(' ', (empty($timeag[1])? '': $timeag[1]));
                    $timef = explode(':', $sthh2[0]);
                } else {
                    $timed = explode(':', $timeag[0]);
                    $timef = explode(':', (empty($timeag[1])? '': $timeag[1]));
                }
            }
            echo '
      <tr>
        <td>'.$admin[923].'
          <input class="'.($err_hhmn ? 'errorInputText' : 'texte').'" type="texte" name="hh1" size="2" value="'.$timed[0].'" maxlength="2" style="width:30px;" /> :&nbsp;
          <input class="'.($err_hhmn ? 'errorInputText' : 'texte').'" type="texte" name="mn1" size="2" value="'.(empty($timed[1])? '': $timed[1]).'" maxlength="2" style="width:30px;" />';
            if ($site[22] == 'H3') {
                echo '
          <select name="sth1" class="select">
            <option value=" AM"'.Selected($sthh1[1] == " AM").'> AM </option>
            <option value=" PM"'.Selected($sthh1[1] == " PM").'> PM </option>
          </select>';
            }
            echo '
        </td>
      </tr>
      <tr>
        <td>'.$admin[924].'
          <input class="'.($err_hhmn ? 'errorInputText' : 'texte').'" type="texte" name="hh2" size="2" value="'.$timef[0].'" maxlength="2" style="width:30px;" /> :&nbsp;
          <input class="'.($err_hhmn ? 'errorInputText' : 'texte').'" type="texte" name="mn2" size="2" value="'.(empty($timef[1])? '': $timef[1]).'" maxlength="2" style="width:30px;" />';
            if ($site[22] == 'H3') {
                echo '
          <select name="sth2" class="select">
            <option value=" AM"'.Selected($sthh2[1] == " AM").'> AM </option>
            <option value=" PM"'.Selected($sthh2[1] == " PM").'> PM </option>
          </select>';
            }
			echo '
		</td>
	  </tr>';
        }
        elseif ($qtype == TYP_MENUICO) {
            echo '
      <tr>
        <td style="text-align:center;">
		  <div style="text-align:center;width:158px;margin:auto;"><br />
		    <div style="float:left;">'.$qcat.'
              <input id="cat1" class="'.($err_cat1 ? 'errorInputText' : 'texte').'" name="cat1" style="width:80px;" type="text" value="'.$fielda1.'" />&nbsp;
		    </div>
		    <div class="pop" style="width:32px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-200px; width:220px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[10].'</span></a>
		    </div>
		  </div>
        </td>
      </tr>';
        }
		elseif ($qtype == TYP_FREEBOX || $qtype == TYP_MENUBOX) {
			if ($qtype == TYP_MENUBOX) {
				$types_menu = array($admin[397], $admin[398], $admin[504], $admin[621], $admin[1354]);
				echo '
      <tr>
        <td style="text-align:center">
          <br />'.$qcat.' : 
            <select name="fieldweb">';
				for ($jj = 0; $jj < count($types_menu); $jj++) {
					echo '
              <option value="'.$jj.'"'.Selected($fieldweb == $jj).'>'.$types_menu[$jj].'</option>';
				}
				echo '
            </select>
        </td>
      </tr>';
			}
			echo '
      <tr>
        <td style="text-align:center">
          <br />'.$admin[357].' : 
            <select name="cat2">
              <option value="off"'.Selected($fielda2 == 'off').'>'.$admin[358].'</option>
              <option value="open"'.Selected($fielda2 == 'open').'>'.$admin[359].'</option>
              <option value="close"'.Selected($fielda2 == 'close').'>'.$admin[360].'</option>
            </select>
        </td>
      </tr>';
        }
		elseif ($qtype == TYP_DDMENUBOX) {
			$types_menu = array('DDV'=>$admin[1351], 'DDH'=>$admin[1352], 'DDL'=>$admin[1387]);
			echo '
      <tr>
        <td style="text-align:center">
          <br />'.$qcat.' : 
            <select name="cat2">';
			foreach ($types_menu as $key=>$value) {
				echo '
              <option value="'.$key.'"'.Selected($fielda2 == $key).'>'.$value.'</option>';
			}
				echo '
            </select>
        </td>
      </tr>';
		}
        elseif ($qtype != TYP_FORUM ) {
			if (($dup == 1 && $qtype == TYP_ART) || $qtype == TYP_OPTMENU) {
				echo '
	  <tr>
	    <td style="text-align:center"><br />
		  <div style="text-align:center;width:270px;margin:auto;">
		    <div style="float:left;padding-left:56px;">'.$qcat.'</div>
		    <div class="pop" style="width:32px;margin: -3px 0 0 4px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-200px; width:270px; text-align:justify;"><em style="left:auto;right:70px;"></em>'.$help[13].'</span></a>
		    </div>
		  </div>
        </td>
	  </tr>';
			} 
			elseif ($qtype != TYP_ART)
				echo '
      <tr><td style="text-align:center"><br />'.$qcat.'</td></tr>';
            if ($qtype == TYP_BANNER) {
	           echo '
      <tr>
        <td style="text-align:center">
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />
          <input id="cat1" class="'.($err_cat1 ? 'errorInputText' : 'texte').'" name="cat1" style="vertical-align:middle;" type="text" value="'.$fielda1.'" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver1" id="browserver1" onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\'cat1\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />';
                if ($lang[1] != "") {
                    echo '
        </td>
      </tr>
      <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />
          <input id="cat2" class="'.($err_cat2 ? 'errorInputText' : 'texte').'" name="cat2" style="vertical-align:middle;" type="text" value="'.$fielda2.'" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver2" id="browserver2" onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\'cat2\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />';
                }
                echo '
        </td>
      </tr>';
            }
            elseif ($qtype == TYP_BSS || $qtype == TYP_RSS) {
                echo '
      <tr>
        <td style="text-align:center;">
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />
          <input class="'.($err_cat1 ? 'errorInputText' : 'texte').'" type="text" name="cat1" value="'.$fielda1.'" size="38" />';
                if ($lang[1] != "") {
                    echo '
        </td>
      </tr>
      <tr>
        <td style="text-align:center;">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />
          <input class="'.($err_cat2 ? 'errorInputText' : 'texte').'" type="text" name="cat2" value="'.$fielda2.'" size="38" />';
                }
                echo '
        </td>
      </tr>';
            }
			elseif ($qtype == TYP_OPTDDMENU) {
				echo '
      <tr>
        <td style="text-align:center;">
		  <div style="text-align:center;width:284px;margin:auto;">
		    <div style="float:left;padding-left:24px;">
              <input id="cat1" class="'.($err_cat1 ? 'errorInputText' : 'texte').'" name="cat1" style="width:200px;" type="text" value="'.$fielda1.'" />&nbsp;
		    </div>
		    <div class="pop" style="width:32px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-260px; width:280px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[11].'</span></a>
		    </div>
		  </div>
        </td>
      </tr>';
			}
            elseif ($dup != 1 && $qtype == TYP_ART) {
				echo '
	  <input type="hidden" name="cat1" value="'.$fielda1.'" />
	  <input type="hidden" name="cat2" value="'.$fielda2.'" />';
			} else {
                echo '
      <tr>
        <td style="text-align:center;">
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />&nbsp;';
                $nlg = $lang[1] != '' ? '2' : '';
                echo '
          <select name="list1" id="list1" style="width:220px;" onchange="set'.$nlg.'(this.form);">
            <option value=""> -- '.$admin[917].' -- </option>
            <option value=""'.Selected('' == $fielda1.$fielda2).'> -- '.$admin[1125].' -- </option>';
				$dbw = ReadDBFields(DBINDEX.$qtype.DBEXT);
				sort($dbw);
				if (!empty($dbw)) {
					$curr_cat = "";
					for ($i = 0; $i < count($dbw); $i++) {
						if ($dbw[$i][0].$dbw[$i][1] != $curr_cat) {
							$sel= "";
							$cat = str_replace('<!--', '&#60;!--', str_replace('-->', '--&#62;', $dbw[$i][0]));
							$curr_cat = $dbw[$i][0].$dbw[$i][1];
							echo '
              <option value="'.htmlspecialchars($dbw[$i][0], ENT_QUOTES, $charset).'"'.Selected($dbw[$i][0].$dbw[$i][1] == $fielda1.$fielda2).'>'.$cat.'</option>';
						}
					}
				}
				echo '
          </select> >>
          <input class="texte" type="text" name="cat1" value="'.htmlspecialchars($fielda1, ENT_QUOTES, $charset).'" size="36" onfocus="reset'.$nlg.'(this.form);" />
        </td>
      </tr>';
				if ($lang[1] != "") {
					echo '
      <tr>
        <td style="text-align:center;white-space:nowrap;">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />&nbsp;
          <select name="list2" id="list2" style="width:220px;" onchange="set'.$nlg.'(this.form);">
            <option value=""> -- '.$admin[917].' -- </option>
            <option value=""'.Selected('' == $fielda1.$fielda2).'> -- '.$admin[1125].' -- </option>';
					if (!empty($dbw)) {
						reset($dbw);
						$curr_cat = "";
						for ($i = 0; $i < count($dbw); $i++) {
							if ($dbw[$i][0].$dbw[$i][1] != $curr_cat) {
								$sel= "";
								$cat = str_replace('<!--', '&#60;!--', str_replace('-->', '--&#62;', $dbw[$i][1]));
								$curr_cat = $dbw[$i][0].$dbw[$i][1];
								echo '
            <option value="'.htmlspecialchars($dbw[$i][1], ENT_QUOTES, $charset).'"'.Selected($dbw[$i][0].$dbw[$i][1] == $fielda1.$fielda2).'>'.$cat.'</option>';
							}
						}
					}
					echo '
          </select> >>
          <input class="texte" type="text" name="cat2" value="'.htmlspecialchars($fielda2, ENT_QUOTES, $charset).'" size="36" onfocus="reset'.$nlg.'(this.form);" />
        </td>
      </tr>';
                }
            }
        }
        elseif ($fielda2 == "0") {
            echo '
      <tr><td style="text-align:center"><br />'.$admin[260].'</td></tr>
      <tr>
        <td style="text-align:center">
          <select name="titre2">
            <option value="">'.$admin[259].'</option>';
            for ($i = 0; $i < count($dbfcat); $i++) {
                echo '
            <option value="'.$dbfcat[$i][0].'"'.Selected($dbfcat[$i][0] == $fieldb2).'>'.$dbfcat[$i][1].'</option>';
            }
            echo '
          </select>
        </td>
      </tr>';
        }
    }
    if (($qtype != TYP_FORUM && $qtype != TYP_AGENDA) || ($qtype == TYP_FORUM && $fielda2 == "0")) {
        $fieldb1 = str_replace('"','&#34;',$fieldb1);
        echo '
      <tr><td style="text-align:center"><br />'.$qtitre.'</td></tr>
      <tr>
        <td style="text-align:center">';
		if ($qtype != TYP_SOCNET)
			echo '
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle;" />';
		echo '
          <input class="'.($err_titre1 ? 'errorInputText' : 'texte').'" type="text" name="titre1" size="45" value="'.$fieldb1.'" />
        </td>
      </tr>';
        if ($lang[1] != "" && $qtype != TYP_SOCNET) {
            $fieldb2 = str_replace('"','&#34;',$fieldb2);
            echo '
      <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle;" />
          <input class="'.($err_titre2 ? 'errorInputText' : 'texte').'" type="text" name="titre2" size="45" value="'.$fieldb2.'" />
        </td>
      </tr>';
        }
    }
    if ($bnouveau == 1) {
        if ($qtype == TYP_FREEBOX) {
            echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'</td></tr>
      <tr><td style="text-align:center">'.ShowValidBoxes($fielda1).'</td></tr>';
        } 
        elseif ($qtype == TYP_MENUBOX || $qtype == TYP_DDMENUBOX) {
            echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'</td></tr>
      <tr><td style="text-align:center">'.ShowValidMenus($fielda1).'</td></tr>';
        }
        elseif ($qtype == TYP_ART) {
			if ($dup == 1) {
				$mbs = ReadDbFields(DBMENUBOX);
				echo '
      <tr>
        <td style="text-align:center;">
          <br />'.$qnouveau.'
            <select name="nouveau1">
              <option value="none"'.Selected($nouveau1 == "none" || $nouveau1 == "").'>'.$admin[681].'</option>';
            foreach ($mbs as $mb) {
                $boxname = $lng == $lang[0] ? $mb[2] : $mb[3];
                $mnu_id  = sprintf('MNU %d', $mb[4]);
                echo '
              <option value="'.$mnu_id.'"'.Selected($nouveau1 == $mnu_id).'>'.$mnu_id.' : '.$boxname.'</option>';
            }
            echo '
            </select>
        </td>
      </tr>';
			}
			else
				echo '
	  <input type="hidden" name="nouveau1" value="'.$fieldd1.'" />
	  <input type="hidden" name="fieldweb" value="'.$fieldweb.'" />';
        } elseif ($qtype == TYP_DNLOAD) {
            echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'</td></tr>
      <tr>
        <td style="text-align:center">';
            if ($lang[1] != "") {
                echo '
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle;" /> ';
            }
			$p  = mb_strpos($fieldd1, CONNECTOR);
			$d1 = ($p > 0) ? mb_substr($fieldd1, 0, $p): $fieldd1;
            echo '
          <input id="nouveau1" class="'.($err_nouveau1 ? 'errorInputText' : 'texte').'" name="nouveau1" style="vertical-align:middle;width:240px;" type="text" value="'.$d1.'" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver1" id="browserver1" onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Link&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\'nouveau1\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />
        </td>
      </tr>';
            if ($lang[1] != "") {
				$p  = mb_strpos($fieldd2, CONNECTOR);
				$d2 = ($p > 0) ? mb_substr($fieldd2, 0, $p): $fieldd2;
                echo '
      <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle;" />
          <input id="nouveau2" class="'.($err_nouveau2 ? 'errorInputText' : 'texte').'" name="nouveau2" style="vertical-align:middle;width:240px;" type="text" value="'.$d2.'" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver2" id="browserver2" onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Link&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\'nouveau2\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />
        </td>
      </tr>';
            }
        }
        elseif ($qtype == TYP_SOCNET) {
            echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'</td></tr>
      <tr>
        <td style="text-align:center">
          <input class="'.($err_nouveau1 ? 'errorInputText' : 'texte').'" type="text" name="nouveau1" size="45" value="'.$fieldd1.'" />
        </td>
      </tr>
      <tr><td style="text-align:center"><br />'.$admin[501].'</td></tr>
      <tr>
        <td style="text-align:center">
          <textarea name="nouveau2" cols="48" rows="6">'.$fieldd2.'</textarea>
        </td>
      </tr>';
		}
        else {
			if ($qtype == TYP_OPTDDMENU) {
				echo '
	  <tr>
	    <td style="text-align:center"><br />
		  <div style="text-align:center;width:164px;margin:auto;">
		    <div style="float:left;padding-left:36px;">'.$qnouveau.'</div>
		    <div class="pop" style="width:32px;margin: -3px 0 0 4px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-200px; width:220px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[12].'</span></a>
		    </div>
		  </div>
        </td>
      </tr>';
			} else {
				echo '
      <tr><td style="text-align:center"><br />'.$qnouveau.'</td></tr>';
			}
			echo '
      <tr>
        <td style="text-align:center">
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle;" />
          <input class="'.($err_nouveau1 ? 'errorInputText' : 'texte').'" type="text" name="nouveau1" size="55" value="'.$fieldd1.'" />
        </td>
      </tr>';
            if ($lang[1] != "") {
                echo '
      <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle;" />
          <input class="'.($err_nouveau2 ? 'errorInputText' : 'texte').'" type="text" name="nouveau2" size="55" value="'.$fieldd2.'" />
        </td>
      </tr>';
            }
        }
        if ($qtype == TYP_DNLOAD) {
            $dblicences = ReadDbFields(LICENCES);
            echo '
      <tr>
        <td style="text-align:center">
          '.$admin[717].'
            <select name="fieldweb">
              <option value=""'.Selected($fieldweb == "").'> -- '.$web[314].' -- </option>';
            foreach ($dblicences as $lic) {
                echo '
              <option value="'.$lic[0].'"'.Selected($fieldweb == $lic[0]).'>'.$lic[1].'</option>';
            }
            echo '
            </select>
        </td>
      </tr>';
        }
    }
    if ($qtype == TYP_FORUM) {
        echo '
      <tr>
        <td style="text-align:center">
          <input class="texte" type="hidden" name="contenu2" size="55" value="'.$fieldc2.'" />
          <input class="texte" type="hidden" name="nouveau2" size="55" value="'.$fieldd2.'" />
          <input class="texte" type="hidden" name="fieldweb" size="55" value="'.$fieldweb.'" />
          <input class="texte" type="hidden" name="fieldmod" size="55" value="'.$fieldmod.'" />
        </td>
      </tr>';
    }
    if ($qtype == TYP_OPTMENU) {
        $mbs = ReadDbFields(DBMENUBOX);
        echo '
      <tr>
        <td style="text-align:center;">
          <br />'.$admin[880].' : 
            <select name="menubox">';
            foreach ($mbs as $mb) {
                echo '
              <option value="'.$mb[4].'"'.Selected($fieldweb == $mb[4]).'>'.sprintf('MNU %d', $mb[4]).' : '.$mb[$lng == $lang[0] ? 2 : 3].'</option>';
            }
            echo '
            </select>
        </td>
      </tr>';
    }
    if ($qtype == TYP_ART || $qtype == TYP_OPTMENU) {
		switch ($qtype) {        
        case TYP_ART     : $fname = 'fieldweb'; $value = $fieldweb; break;
		case TYP_OPTMENU : $fname = 'contenu2'; $value = $fieldc2; break;
        }
        echo '
      <tr>
        <td style="text-align:center">
          <br />'.$admin[78].'<br />
            <select name="'.$fname.'">';
		foreach (array(array('S', $admin[1315]), array('W', $admin[1316]), array('L', $admin[1319]), array('R', $admin[1320])) as $opt) {
			echo '
			  <option value="'.$opt[0].'"'.Selected($value == $opt[0]).'>'.$opt[1].'</option>';
		}
        echo '
            </select>
        </td>
      </tr>';
	}
    if ($qtype == TYP_OPTMENU || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL') || $qtype == TYP_ART) {
		if (count($templates) > 1) {
			if ($dup != 1 && $qtype == TYP_ART)
				echo '
	  <input type="hidden" name="fieldmail" value="'.$fieldmail.'">';
			else {
				echo '
      <tr>
        <td style="text-align:center">
		  '.($dup == 1 ? '<br />' : '').$admin[1335].'
            <select name="fieldmail" style="width:140px;">';
				foreach ($templates as $key=>$value) {
					echo '
              <option value="'.$key.'"'.Selected($fieldmail == $key).'>'.$key.' - '.$value.'</option>';
				}
				echo '
            </select>
        </td>
      </tr>';
			}
		} else {
			echo '
	  <input type="hidden" name="fieldmail" value="0">';
		}
	}
	if ($qtype == TYP_ART || $qtype == TYP_NEWS || $qtype == TYP_BLOG || $qtype == TYP_MENUICO || $qtype == TYP_SOCNET || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL')) {
        switch ($qtype) {        
        case TYP_ART       : 
        case TYP_BLOG      : $label = $admin[461];  $fname = 'nouveau2'; $value = $fieldd2; break;
        case TYP_NEWS      : $label = $admin[462];  $fname = 'nouveau2'; $value = $fieldd2; break;
        case TYP_MENUICO   :
		case TYP_OPTDDMENU : $label = $admin[1240]; $fname = 'contenu2'; $value = $fieldc2; break;
        case TYP_SOCNET    : $label = $admin[499];  $fname = 'contenu2'; $value = $fieldc2; break;
        }
        echo '
      <tr>
        <td style="text-align:center">
          <br />'.$label.'<br />
          <input id="'.$fname.'" class="texte" name="'.$fname.'" style="vertical-align:middle;width:240px;" type="text" value="'.$value.'" />
          <input type="button" class="bouton" style="vertical-align:middle;" name="browserver3" id="browserver3" 
            onclick="PopupWindow(\''.CHEMIN.'admin/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=guppy_config&amp;pathconfig=admin/editors/\',\''.$fname.'\',\'700\',\'515\', \'yes\');" value="'.$admin[793].'" />
  	    </td>
      </tr>';
    }
    if ($qtype == TYP_MENUICO) {
		if (count($templates) > 1) {
			echo '
      <tr>
        <td style="text-align:center">
          <br />'.$admin[1335].'
            <select name="fieldweb" style="width:140px;">
              <option value="ALL"'.Selected($fieldweb == 'ALL').'>'.$admin[1363].'</option>';
            foreach ($templates as $key=>$value) {
                echo '
              <option value="'.$key.'"'.Selected($fieldweb != 'ALL' && $fieldweb == $key).'>'.$key.' - '.$value.'</option>';
            }
            echo '
            </select>
        </td>
      </tr>';
		} else {
			echo '
	  <input type="hidden" name="fieldweb" value="0">';
		}
	}
    if ($bcontenu == 1) {
        if ($qtype == TYP_OPTMENU || ($qtype == TYP_OPTDDMENU && $typmenu != 'DDL') || $qtype == TYP_MENUICO || $qtype == TYP_SOCNET) {
			function GetTypMenu($mnu) {
				global $fieldweb;
				ReadDoc($mnu);
				return $fieldweb;
			}
            function GetTargetMenu($mnu) {
				global $fieldc1;
                ReadDoc($mnu);
                return $fieldc1;
            }
			if ($qtype == TYP_OPTMENU && GetTypMenu($menubox) == '1') {
				echo '
      <tr><td style="text-align:center">'.$admin[1234].'</td></tr>';
				$contenu1 = '_SELF';
            } else {
				$target = GetTargetMenu($id);
                echo '
      <tr>
        <td style="text-align:center">
          <br />'.$qcontenu.'
            <select name="contenu1">
              <option value="_SELF"'.Selected($target == '_SELF').'>'.$admin[1232].'</option>
              <option value="_BLANK"'.Selected($target == '_BLANK').'>'.$admin[1233].'</option>';
				if ($qtype != TYP_SOCNET) {
					echo '
              <option value="_POPUP"'.Selected($target == '_POPUP').'>'.$admin[1243].'</option>';
				}
                echo '
            </select>
        </td>
      </tr>';
            }
        }
        else {
            if ($qtype == TYP_ART && $serviz[113] != 'on') {
				echo '
      <tr><td style="text-align:center"><br />'.$admin[1347].'<br /></td></tr>
	  <tr>
        <td style="text-align:center">
          <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle;" />
		  <input class="texte" type="text" name="keywords1" size="70" value="'.$keywords1.'" />
        </td>
	  </tr>';
				if ($lang[1] != "") {
					echo '
	  <tr>
        <td style="text-align:center">
          <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle;" />
		  <input class="texte" type="text" name="keywords2" size="70" value="'.$keywords2.'" />
        </td>
	  </tr>';
				}
			}
            echo '
      <tr><td style="text-align:center"><br />'.$qcontenu.'<br /></td></tr>
      <tr>
        <td style="text-align:center">
          <img src="'.$flag1.'" alt="'.$lang[0].'" style="vertical-align:middle;" />
          <br /><br />
        </td>
      </tr>
	  <tr>
	    <td style="text-align:center">';
            $hedit = in_array($qtype, array(TYP_MENUBOX, TYP_PHOTO)) ? '120px' : '320px';
            display_admin_editor('contenu1', $serviz[101], $hedit, $fieldc1, $wysiwyg);
            if ($qtype == TYP_FORUM && $fieldb1 != ""){
                echo '
		  <p style="text-align:center">'.$web[206].' :
		    <select name="modif2" style="vertical-align:middle;">
			  <option value=""'.Selected($fieldmod == '').'>'.$web[367].'</option>
			  <option value="c"'.Selected($fieldmod != '').'>'.$web[368].'</option>
			</select>
		  </p>';
            }
            if ($qtype == TYP_FORUM) {
                echo '
		  <p style="text-align:center">'.$admin[173].' <input type="text" class="texte" name="fieldweb" value="'.$fieldweb.'" size="60" /></p>';
            }
			echo '
		</td>
	  </tr>';
            if ($lang[1] != "") {
                echo '
      <tr>
        <td style="text-align:center">
		  <br /><br />
          <img src="'.$flag2.'" alt="'.$lang[1].'" style="vertical-align:middle;" />
          <br /><br />';
                display_admin_editor('contenu2', $serviz[101], $hedit, $fieldc2, $wysiwyg);
				echo '
		  </td>
	  </tr>';
            }
        }
    }
    echo '
    </table>';
    echo '
    </fieldset>
    <div class="quest" style="padding:2px 20px;">';
	if (in_array($qtype, array(TYP_FREEBOX, TYP_MENUBOX, TYP_DDMENUBOX, TYP_SOCNET, TYP_BANNER, TYP_THINK, TYP_RSS)))
		echo '
      <div style="float:left;margin-top:6px;">
	    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=config6&amp;selskin='.$page[14].'&amp;conf='.$tconfig.'">'.$admin[346].'
	      <img src="'.CHEMIN.'admin/inc/img/general/cfgboites.png" alt="'.$admin[346].'" title="'.$admin[346].'" style="width:11px;height:11px;vertical-align:top;" />
	    </a>&nbsp;||&nbsp;
	    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=config3&amp;selskin='.$page[14].'&amp;conf='.$tconfig.'">'.$admin[469].'
	      <img src="'.CHEMIN.'admin/inc/img/general/cfgaccueil.png" alt="'.$admin[469].'" title="'.$admin[469].'" style="width:11px;height:11px;vertical-align:top;" />
	    </a>
      </div>';
	echo '
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>'.
	  ($qseeall == '' ? '' : '<div style="float:right;margin-right:24px;padding-top:4px;"><label>'.$admin[857].$qseeall.'<input type="checkbox" name="retform" style="vertical-align:middle;" /></label></div>').
	  ($qtype == TYP_ART ? '<div style="float:right;margin-right:24px;padding-top:4px;"><label>'.$admin[1014].' admins<input type="checkbox" name="svart" style="vertical-align:middle;" /></label></div>' : '').'
      <div style="clear:both"></div>
    </div>
  </form>';
}
################################################################################
elseif ($form == 3) {
    include('inc/cal.inc');
}
################################################################################
echo '
</div>
<hr />
<p style="text-align:center;">';

btable();
$lang[0] = $langue0;
$lang[1] = $langue1;
include CHEMIN.'inc/bpage.inc';
?>
