<?php
/*******************************************************************************
 *   BATCH Forum Archiving
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '../../');
include_once CHEMIN.'inc/includes.inc';
include_once CHEMIN.'inc/funcarch.php';

/// nombre d'itération en phase d'archivage des fichiers ($followup = vide)
$delta1 = 100;
/// nombre d'itération en contrôle d'intégrité
$delta2 = 500;

$archdate = import('archdate');
$archbl   = import('archbl');
$archne   = import('archne');
$archag   = import('archag');
$archfr   = import('archfr');
$checkid  = import('checkid');
$followup = import('followup');

function ArchiveOneFile($fic1, $fic2) {
    $archive1ok = false;
    if (@copy($fic1,$fic2)) {
        @chmod($fic1,0777);
        $archive1ok = @unlink($fic1);
    }
    return $archive1ok;
}

function ArchiveFile($id, $typ) {
    $archivedok = false;
    if (FileDBExist(DBBASE.TestFileId($id).INCEXT)) {
        $archivedok = ArchiveOneFile(DBBASE.TestFileId($id).INCEXT, ARCHDBBASE.TestFileId($id).INCEXT);
        if ($archivedok) {
            $db = array($typ, $id, 'a');
            AppendDBFields(DOCIDARCH, $db);
        }
        if (FileDBExist(DBCOUNT.TestFileId($id).DBEXT)) {
            ArchiveOneFile(DBCOUNT.TestFileId($id).DBEXT, ARCHDBCOUNT.TestFileId($id).DBEXT);
        }
        if (FileDBExist(DBIPBASE.TestFileId($id).DBEXT)) {
            ArchiveOneFile(DBIPBASE.TestFileId($id).DBEXT, ARCHDBIPBASE.TestFileId($id).DBEXT);
        }
    }
    return $archivedok;
}

if (empty($followup)) {
	$dbwbl = array();
	$dbwre = array();
	$dbwne = array();
	$dbwag = array();
	$dbwfr = array();
	if ($archbl == 'on') {
		$dbw   = ReadDBFields(DBBLOG);
		foreach ($dbw as $arch) {
			if ($archdate >= $arch[5]) $dbwbl[] = $arch[7].CONNECTOR.$arch[5].CONNECTOR.'0'.CONNECTOR.'0'.CONNECTOR.$arch[4];
		}
		$dbw   = ReadDBFields(DBREBLOG);
		foreach ($dbw as $arch) {
			if ($archdate >= $arch[5]) $dbwbl[] = $arch[7].CONNECTOR.$arch[5].CONNECTOR.'0'.CONNECTOR.'0'.CONNECTOR.$arch[4];
		}
	}
	if ($archne == 'on') {
		$dbw   = ReadDBFields(DBNEWS);
		foreach ($dbw as $arch) {
			if ($archdate >= $arch[5]) $dbwbl[] = $arch[7].CONNECTOR.$arch[5].CONNECTOR.'0'.CONNECTOR.'0'.CONNECTOR.$arch[4];
		}
	}
	if ($archag == 'on') {
		$dbw   = ReadDBFields(DBAGENDA);
		foreach ($dbw as $arch) {
			if ($archdate >= $arch[5]) $dbwbl[] = $arch[7].CONNECTOR.$arch[5].CONNECTOR.'0'.CONNECTOR.'0'.CONNECTOR.$arch[4];
		}
	}
	if ($archfr == 'on') {
		$dbw   = ReadDBFields(DBTHREAD);
		foreach ($dbw as $arch) {
			if ($archdate.'0000' >= $arch[0]) $dbwfr[] = $arch[10].CONNECTOR.$arch[0].CONNECTOR.$arch[1].CONNECTOR.$arch[2].CONNECTOR.$arch[3];
		}
	}
	$dbwork = array_merge($dbwbl, $dbwre, $dbwne, $dbwag, $dbwfr);
    @rsort($dbwork);
}

if (empty($checkid)) {
    // $archdate = $archdate."0000";
    for ($i = 0; $i < count($dbwork); $i++) {
        $checkid = Max($checkid, $dbwork[$i][3]);
    }
}

$args = '&archbl='.$archbl.'&archne='.$archne.'&archag='.$archag.'&archfr='.$archfr.'&archdate='.$archdate;

echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>'.$admin[577].'</title>
<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
<meta name="Robots" content="NONE" />
'.JavascriptFile(CHEMIN.'inc/hpage.js').'
</head>
<body bgcolor="'.$page[0].'" style="overflow: hidden; margin:0 5px;">
<fieldset><font color="'.$texte[0].'">
<br />';
if (empty($followup)) {
    echo '
<p style="text-align:center;">'.$admin[584].$checkid.'</p>';
    $nbcheck = $delta1;
    while ($checkid > 0 && $nbcheck > 0) {
        $checkit = 0;
        $i = 0;
        while (($i < count($dbwork)) && ($checkit == 0)) {
            if ($dbwork[$i][1] == $checkid) {
                $checkit = 1;
                // if ($archdate >= $dbwork[$i][0]) {
                    $nbcheck = 0; /// arrêt car archivage réalisé
                    echo $admin[585].$dbwork[$i][2].'<br />';
                    for ($j = $i; $j < count($dbwork); $j++) {
                        if ($dbwork[$j][2] == $checkid) {
                            if ($dbwork[$j][3] == 0) {
                                echo '&nbsp;&nbsp;- '.$admin[592].'<br />';
                            }
                            else {
                                echo '&nbsp;&nbsp;- '.$admin[586].$dbwork[$j][3].'<br />';
                            }
                            if (ArchiveFile($dbwork[$j][4], $dbwork[$j][0])) {
								if (TYP_THREAD == $dbwork[$j][0]) 
							}
                        }
                    }
                // }
            }
            $i++;
        }
        $checkid--;
        $nbcheck--;
    }
    if ($checkid > 0) {
        $nextstep = 'PopupWindow(\'archbatch.php?lng='.$lng.$args.'&checkid='.$checkid.'\',\'archbatch\',400,300,\'no\',\'no\')';
    }
    else {
        $nextstep = 'PopupWindow(\'archbatch.php?lng='.$lng.$args.'&checkid=-1&followup=1\',\'archbatch\',400,300,\'no\',\'no\')';
    }
}
elseif ($followup == 1) {
    echo '
<p style="text-align:center;">'.$admin[587].'</p><br /><br />';
    $dbworknew = ReadDBFields(DOCIDARCH);
    @sort($dbworknew);
    WriteDBFields(DOCIDARCH, $dbworknew);
    $nextstep = 'PopupWindow("archbatch.php?lng='.$lng.$args.'&checkid=-1&followup=2","archbatch",400,300,"no","no")';
}
elseif ($followup == 2) {
    echo '
<p style="text-align:center;">'.$admin[588].'</p>
<br /><br />';
    set_time_limit(0);
    UpdateDBforumArch();
    $nextstep = 'PopupWindow("archbatch.php?lng='.$lng.$args.'&checkid=-1&followup=3","archbatch",400,300,"no","no")';
}
else {
    echo '
<p style="text-align:center;">'.$admin[589].'</p>
<br /><br />';
    if ($archbl == 'on') WriteCounter(DBBLOGARCHDATE, $archdate);
    if ($archne == 'on') WriteCounter(DBNEWSARCHDATE, $archdate);
    if ($archag == 'on') WriteCounter(DBAGENDAARCHDATE, $archdate);
    if ($archfr == 'on') WriteCounter(DBFORUMARCHDATE, $archdate);
    $nextstep = 'PopupWindow("dbbatch.php?lng='.$lng.'&checkquiet=1&delta='.$delta2.'","dbbatch",400,300,"no","no")';
}
echo '
<p style="text-align:right;"><a href="#" onclick="window.close();"><b>Close&nbsp;</b></a></p>
</fieldset>';
if ($nextstep != '') {
    echo BeginJavascript().$nextstep.EndJavascript();
}
echo '
</body>
</html>';
?>
