<?php
/*******************************************************************************
 *   Datas Archiving
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'archive.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[7] == '') {
        $nomzone = $admin[577];
        include 'access.inc';
        exit();
    }
}

$archgo   = import('archgo', 'POST', false);
$nextstep = import('nextstep');
$archdate = import('archdate');
$archbl   = import('archbl');
$archne   = import('archne');
$archag   = import('archag');
$archfr   = import('archfr');

$err_arch = $archbl != 'on' && $archne != 'on' && $archag != 'on' && $archfr != 'on' && $archgo == 1 ? true: false;
$err_date = 1 != preg_match('/[0-9]{8}/', $archdate) && $archgo == 1 ? true: false;

$erreur  = '';
$erreur .= $err_arch ? '<li>'.$admin[1297].'</li>': '';
$erreur .= $err_date ? '<li>'.$admin[591].'</li>': '';

function ArchiveOneFile($fic1, $fic2) {
    $archiveok = false;
    if (@copy($fic1, $fic2)) {
        @chmod($fic1, 0777);
        $archiveok = @unlink($fic1);
    }
    return $archiveok;
}

function ArchiveFile($id, $typ) {
    $archivedok = false;
    if (FileDBExist(DBBASE.TestFileId($id).INCEXT)) {
        $archivedok = ArchiveOneFile(DBBASE.TestFileId($id).INCEXT, ARCHDBBASE.TestFileId($id).INCEXT);
        if ($archivedok) {
            $db = array($typ, $id, 'a');
            AppendDBFields(DOCIDARCH, $db);
        }
        if (FileDBExist(DBCOUNT.TestFileId($id).DBEXT)) {
            ArchiveOneFile(DBCOUNT.TestFileId($id).DBEXT, ARCHDBCOUNT.TestFileId($id).DBEXT);
        }
        if (FileDBExist(DBIPBASE.TestFileId($id).DBEXT)) {
            ArchiveOneFile(DBIPBASE.TestFileId($id).DBEXT, ARCHDBIPBASE.TestFileId($id).DBEXT);
        }
    }
    return $archivedok;
}

function UpdateDBdtbArch($id, $dtb) {
    global $type,$fileid,$status,$creadate,$moddate,$author,$email,
        $fielda1,$fielda2,$fieldb1,$fieldb2,$fieldc1,$fieldc2,$fieldd1,$fieldd2,$fieldweb,$fieldmail,$fieldmod;
	set_time_limit(0);
    ReadDoc($id, ARCHDBBASE);
    $dba = array(
		$fielda1,
		$fielda2,
		$fieldb1,
		$fieldb2,
		$fileid,
		$creadate,
		$fieldmod,
		);
    AppendDBFields($dtb, $dba);
}

function UpdateDBreblogArch($id) {
    global $type, $fileid, $status, $creadate, $moddate, $author, $email, 
        $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2,
        $fieldweb, $fieldmail, $fieldmod;
	set_time_limit(0);
    $db = array();
	ReadDoc($id, ARCHDBBASE);
	$db = array_pad(array(), 7, '');
	$db[0] = $fileid;
	$db[1] = $fielda2;
	$db[5] = $creadate;
	ReadDoc($fielda2, ARCHDBBASE);
	$db[2] = $fieldb1;
	$db[3] = $fieldb2;
	$db[6] = $fieldmod;
	AppendDBFields(DBREBLOGARCH, $db);
}

function UpdateDBforumArch($id) {
    global $site,$type,$fileid,$status,$creadate,$moddate,$author,$email,
        $fielda1,$fielda2,$fieldb1,$fieldb2,$fieldc1,$fieldc2,$fieldd1,$fieldd2;
	set_time_limit(0);
    ReadDoc($id, ARCHDBBASE);
	$dbf[0] = $creadate;
	$dbf[1] = $fielda1;
	$dbf[2] = $fielda2;
	$dbf[3] = $fileid;
	$dbf[4] = RemoveConnector($author);
	$dbf[5] = RemoveConnector($email);
	$dbf[6] = RemoveConnector($fieldb1);
	$dbf[7] = $fieldd1;
	$dbf[8] = $fieldb2;
    AppendDBFields(DBTHREADARCH, $dbf);
    $db = array();
    $db = ReadDBFields(DBTHREADARCH);
    $dbf = array();
    $j = 0;
    for ($i = 0; $i < count($db); $i++) {
        if ($db[$i][2] == "0") {
            $dbf[$j][0] = $db[$i][0];
            $dbf[$j][1] = $db[$i][1];
            $dbf[$j][2] = $db[$i][3];
            $dbf[$j][3] = $db[$i][4];
            $dbf[$j][4] = $db[$i][5];
            $dbf[$j][5] = $db[$i][6];
            $dbf[$j][6] = $db[$i][0];
            $dbf[$j][7] = 0;
            $dbf[$j][8] = "";
            $dbf[$j][9] = "";
            $dbf[$j][10] = $db[$i][7];
            $dbf[$j][11] = "";
            $dbf[$j][12] = $db[$i][8];
            for ($k = $i + 1; $k < count($db); $k++) {
                if ($db[$k][1] == $dbf[$j][1]) {
                    $dbf[$j][0] = $db[$k][0];
                    $dbf[$j][7] = $dbf[$j][7]+1;
                    $dbf[$j][8] = $db[$k][4];
                    $dbf[$j][9] = $db[$k][5];
                    $dbf[$j][11] = $db[$k][7];
                }
            }
            $j++;
        }
    }
    @rsort($dbf, SORT_REGULAR);
    WriteDBFields(DBFORUMARCH, $dbf);
}

if (!isset($nextstep)) $nextstep = 0;
if ($archgo == 1 && empty($erreur)) {
    if ($archbl == 'on' && ($archdate*10000 <= ReadCounter(DBBLOGARCHDATE) || $archdate*10000 > GetCurrentDateTime())) $archbl = 'off';
	if ($archne == 'on' && ($archdate*10000 <= ReadCounter(DBNEWSARCHDATE) || $archdate*10000 > GetCurrentDateTime())) $archne = 'off';
	if ($archag == 'on' && ($archdate*10000 <= ReadCounter(DBAGENDAARCHDATE) || $archdate*10000 > GetCurrentDateTime())) $archag = 'off';
	if ($archfr == 'on' && ($archdate*10000 <= ReadCounter(DBFORUMARCHDATE) || $archdate*10000 > GetCurrentDateTime())) $archfr = 'off';
    $nextstep = 1;
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
	if (document.archiveit.archbl.checked != true &&
		document.archiveit.archne.checked != true &&
		document.archiveit.archag.checked != true &&
		document.archiveit.archfr.checked != true) {
        sto += "  - '.addslashes($admin[1297]).'\n";
        erreur = true;
	}
	regexp = /[0-9]{8}/;
	if (!regexp.test(document.archiveit.archdate.value)) {
		sto += "  - '.addslashes($admin[591]).'\n";
		document.archiveit.archdate.className = "errorInputText";
		erreur = true;
	}
    if (erreur == true) {
        sto = "'.addslashes($admin[1298]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[578]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[578], '100%');

if (!empty($erreur))
	echo displayErrorMsg($web[1298], $erreur);
echo '
<p style="text-align:center;">'.ToHelp($lng, 'archive').$admin[579].' '.$admin[580].'<br />'.$admin[581].'</p>
<hr />
<div style="width:480px; margin:auto;">
';
if ($nextstep == 0) {
	echo '
<p class="forum" style="text-align:left; padding:5px 20px;">'.$admin[1296].'</p>
<form name="archiveit" id="archiveit" action="admin.php?lng='.$lng.'&amp;pg=archive" method="post" onsubmit="return VerifyForm(); return false;">
  <input type="hidden" name="archgo" value="1" />
  <fieldset>
  <table style="width:100%;">
    <tr>
	  <td style="text-align:right;width:50%;">&nbsp;</td>
	  <td style="text-align:left;width:20%;">&nbsp;</td>
      <td style="text-align:center;width:30%;font-size:x-small;padding-bottom:8px;">'.$admin[590].'</td>
    </tr>
    <tr>
      <td style="text-align:right;">'.$admin[770].' : </td>
      <td style="text-align:left;"><input name="archbl" type="checkbox"'.Checked($archbl == 'on').' /></td>
	  <td style="text-align:center;">'.(ReadCounter(DBBLOGARCHDATE) > 0 ? FormatDate(ReadCounter(DBBLOGARCHDATE)) : '-').'</td>
    </tr>
    <tr>
      <td style="text-align:right;">'.$admin[13].' : </td>
      <td style="text-align:left;"><input name="archne" type="checkbox"'.Checked($archne == 'on').' /></td>
	  <td style="text-align:center;">'.(ReadCounter(DBNEWSARCHDATE) > 0 ? FormatDate(ReadCounter(DBNEWSARCHDATE)) : '-').'</td>
    </tr>
    <tr>
      <td style="text-align:right;">'.$admin[624].' : </td>
      <td style="text-align:left;"><input name="archag" type="checkbox"'.Checked($archag == 'on').' /></td>
	  <td style="text-align:center;">'.(ReadCounter(DBAGENDAARCHDATE) > 0 ? FormatDate(ReadCounter(DBAGENDAARCHDATE)) : '-').'</td>
    </tr>
    <tr>
      <td style="text-align:right;">'.$admin[9].' : </td>
      <td style="text-align:left;"><input name="archfr" type="checkbox"'.Checked($archfr == 'on').' /></td>
	  <td style="text-align:center;">'.(ReadCounter(DBFORUMARCHDATE) > 0 ? FormatDate(ReadCounter(DBFORUMARCHDATE)) : '-').'</td>
    </tr>
    <tr>
      <td style="text-align:right;">'.$admin[582].'</td>
      <td style="text-align:left;"><input name="archdate" class="'.($err_date ? 'errorInputText' : 'texte').'" type="text" size="10" value="'.$archdate.'" title="'.$archdate.'" /></td>
	  <td>&nbsp;</td>
    </tr>
  </table>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[583], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>
';
} elseif ($nextstep == 1) {
	$bl = $ne = $ag = $fr = 0;
	$dbwork = array();
	if ($archbl == 'on') {
		$dbw = ReadDBFields(DBBLOG);
		foreach ($dbw as $arch) {
			if ($archdate.'0000' >= substr($arch[5], 0, 12)) {
				$dbwork[] = $arch[7].CONNECTOR.$arch[4];
				$bl++;
			}
		}
		$dbw = ReadDBFields(DBREBLOG);
		foreach ($dbw as $arch) {
			if ($archdate.'0000' >= substr($arch[5], 0, 12)) {
				$dbwork[] = $arch[7].CONNECTOR.$arch[0];
				$bl++;
			}
		}
	}
	if ($archne == 'on') {
		$dbw = ReadDBFields(DBNEWS);
		foreach ($dbw as $arch) {
			if ($archdate.'0000' >= substr($arch[5], 0, 12)) { 
				$dbwork[] = $arch[7].CONNECTOR.$arch[4];
				$ne++;
			}
		}
	}
	if ($archag == 'on') {
		$dbw = ReadDBFields(DBAGENDA);
		foreach ($dbw as $arch) {
			if ($site[19] == 'E1' || $site[19] == 'E2') $datecrea = substr($arch[0], 6, 4).substr($arch[0], 3, 2).substr($arch[0], 0, 2);
			if ($site[19] == 'U1' || $site[19] == 'U2') $datecrea = substr($arch[0], 6, 4).substr($arch[0], 0, 2).substr($arch[0], 3, 2);
			if ($site[19] == 'C1' || $site[19] == 'C2') $datecrea = substr($arch[0], 0, 4).substr($arch[0], 5, 2).substr($arch[0], 8, 2);
			if ($archdate >= $datecrea) {
				$dbwork[] = $arch[7].CONNECTOR.$arch[4];
				$ag++;
			}
		}
	}
	if ($archfr == 'on') {
		$dbw = ReadDBFields(DBTHREAD);
		foreach ($dbw as $arch) {
			if ($archdate.'0000' >= substr($arch[0], 0, 12)) {
				$dbwork[] = $arch[10].CONNECTOR.$arch[3];
				$fr++;
			}
		}
	}
    @rsort($dbwork);
	if (!empty($dbwork)) {
		echo '
<p class="forum" style="text-align:left; padding:5px 20px;">'.$admin[585].'</p>
<form name="archivego" id="archivego" action="admin.php?lng='.$lng.'&amp;pg=archive" method="post">
  <input type="hidden" name="nextstep" value="2" />
  <input type="hidden" name="archbl" value="'.$archbl.'" />
  <input type="hidden" name="archne" value="'.$archne.'" />
  <input type="hidden" name="archag" value="'.$archag.'" />
  <input type="hidden" name="archfr" value="'.$archfr.'" />
  <input type="hidden" name="archdate" value="'.$archdate.'" />
  <fieldset>
    <div style="padding:12px 0;">
	  <table style="width100%;">';
		if ($bl > 0) {
			echo '
		<tr>
		  <td style="text-align:right;width:50%;">'.$admin[770].' : </td>
		  <td style="text-align:left;width:50%;"> =>
		    <input type="text" class="texte" style="width:100px; text-align: right; background: transparent; border: none;" size="5" name="curbl" /> / 
			<span class="texte">'.$bl.'</span>
		  </td>
		</tr>';
		}
		if ($ne > 0) {
			echo '
		<tr>
		  <td style="text-align:right;width:50%;">'.$admin[13].' : </td>
		  <td style="text-align:left;width:50%;"> =>
		    <input type="text" class="texte" style="width:100px; text-align: right; background: transparent; border: none;" size="5" name="curne" /> / 
			<span class="texte">'.$ne.'</span>
		  </td>
		</tr>';
		}
		if ($ag > 0) {
			echo '
		<tr>
		  <td style="text-align:right;width:50%;">'.$admin[624].' : </td>
		  <td style="text-align:left;width:50%;"> =>
		    <input type="text" class="texte" style="width:100px; text-align: right; background: transparent; border: none;" size="5" name="curag" /> / 
			<span class="texte">'.$ag.'</span>
		  </td>
		</tr>';
		}
		if ($fr > 0) {
			echo '
		<tr>
		  <td style="text-align:right;width:50%;">'.$admin[9].' : </td>
		  <td style="text-align:left;width:50%;"> =>
		    <input type="text" class="texte" style="width:100px; text-align: right; background: transparent; border: none;" size="5" name="curfr" /> / 
			<span class="texte">'.$fr.'</span>
		  </td>
		</tr>';
		}
		echo '
	  </table>
	</div>
  </fieldset>';
		$cntbl = $cntne = $cntag = $cntfr = 0;
		foreach ($dbwork as $docarch) {
			$dbarch = explode(CONNECTOR, $docarch);
			if (ArchiveFile($dbarch[1], $dbarch[0])) {
				switch ($dbarch[0]) {
				case TYP_BLOG :				
					UpdateDBdtbArch($dbarch[1], DBBLOGARCH);
					$cntbl++;
					echo BeginJavascript().'document.forms["archivego"].elements["curbl"].value = '.$cntbl.';'.EndJavascript();
					break;			
				case TYP_NEWS :
					UpdateDBdtbArch($dbarch[1], DBNEWSARCH);
					$cntne++;
					echo BeginJavascript().'document.forms["archivego"].elements["curne"].value = '.$cntne.';'.EndJavascript();
					break;			
				case TYP_AGENDA :
					UpdateDBdtbArch($dbarch[1], DBAGENDAARCH);
					$cntag++;
					echo BeginJavascript().'document.forms["archivego"].elements["curag"].value = '.$cntag.';'.EndJavascript();
					break;			
				case TYP_REBLOG :
					UpdateDBreblogArch($dbarch[1]);
					$cntbl++;
					echo BeginJavascript().'document.forms["archivego"].elements["curbl"].value = '.$cntbl.';'.EndJavascript();
					break;
				case TYP_FORUM :
					UpdateDBforumArch($dbarch[1]);
					$cntfr++;
					echo BeginJavascript().'document.forms["archivego"].elements["curfr"].value = '.$cntfr.';'.EndJavascript();
					break;
				}
			}
			$i++;
		}
		if ($archbl == 'on') WriteCounter(DBBLOGARCHDATE, $archdate);
		if ($archne == 'on') WriteCounter(DBNEWSARCHDATE, $archdate);
		if ($archag == 'on') WriteCounter(DBAGENDAARCHDATE, $archdate);
		if ($archfr == 'on') WriteCounter(DBFORUMARCHDATE, $archdate);
		echo '
  <input type="hidden" name="cntbl" value="'.$cntbl.'" />
  <input type="hidden" name="cntne" value="'.$cntne.'" />
  <input type="hidden" name="cntag" value="'.$cntag.'" />
  <input type="hidden" name="cntfr" value="'.$cntfr.'" />
  <input type="hidden" name="bl" value="'.$bl.'" />
  <input type="hidden" name="ne" value="'.$ne.'" />
  <input type="hidden" name="ag" value="'.$ag.'" />
  <input type="hidden" name="fr" value="'.$fr.'" />
  <div class="quest" style="padding:2px 20px;">
    <div style="float:left">'
	.$imggauche.'<button type="button" title="'.$admin[586].'" onclick="self.location.href=\'admin.php?lng='.$lng.'&amp;pg=archive\'">'.$admin[586].'</button>
	</div>
    <div style="float:right">'.SubmitButton($admin[584], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>';
	} else {
		echo '
  <fieldset>
    <div style="text-align:center; padding:12px 0;">'.$admin[588].'</div>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:left">'.SubmitButton($admin[586], 'self.location.href=\'admin.php?lng='.$lng.'&amp;pg=archive\'', $imggauche, '').'</div>
    <div style="clear:both"></div>
  </div>';
	}
}
elseif ($nextstep == 2) {
	include 'inc/funcdbchk.inc';
	$cntbl = import('cntbl');
	$cntne = import('cntne');
	$cntag = import('cntag');
	$cntfr = import('cntfr');
	$bl    = import('bl');
	$ne    = import('ne');
	$ag    = import('ag');
	$fr    = import('fr');
	echo '
<p class="forum" style="text-align:left; padding:5px 20px;">'.$admin[587].'</p>
  <fieldset>
    <div style="text-align:center; padding:12px 0;">';
    $delta  = DBCHK_DEFAULT;
    $range1 = 1;
    $range2 = 10 * ceil((ReadCounter(NEXTID) + 10) / 10);
    if ($range2 < $range1) {
        $range2 = $range1;
    }
    echo $admin[589].'<br />'.
	($archbl == 'on' ? $admin[770].' : '.$cntbl.' / '.$bl.'<br />' : '').
	($archne == 'on' ? $admin[13].' : '.$cntne.' / '.$ne.'<br />' : '').
	($archag == 'on' ? $admin[624].' : '.$cntag.' / '.$ag.'<br />' : '').
	($archfr == 'on' ? $admin[9].' : '.$cntfr.' / '.$fr.'<br />' : '');
    echo $admin[685].'<br />
'.BeginJavascript().'
PopupWindow("inc/dbbatch.php?lng='.$lng.'&range1='.$range1.'&range2='.$range2.'&delta='.$delta.'&checkit='.$range1.'","dbbatch",400,250,"no","no")
'.EndJavascript();
    echo $admin[298].'
	</div>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:left">'
  	  .$imggauche.'<button type="button" title="'.$admin[586].'" onclick="self.location.href=\'admin.php?lng='.$lng.'&amp;pg=archive\'">'.$admin[586].'</button>
	</div>
    <div style="clear:both"></div>
  </div>';
}
echo '
</div>';
btable();
include CHEMIN.'inc/bpage.inc';
?>
