<?php
/*******************************************************************************
 *   Admin Droits
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'attribdroits.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[12] == '') {
        $nomzone = $admin[818];
        include 'access.inc';
        exit();
    }
}

$etape      = import('etape');
$namedroits = import('namedroits');
$maxdiv     = 6;

function GetBeginFieldset($name, $title, $droits = TRUE) {
    global $admin;
    return '
    <fieldset>'.
    legend('<label><input type="checkbox" name="'.$name.'" title="'.$admin[893].'" style="vertical-align:middle"'.
    Checked($droits).' onclick="selectAllDroits(this)" /> '.$title.'</label>');
}

function GetDiv($index, $label, $image, $actif=true) {
    global $drtuser, $cntdiv, $maxdiv;
	$finlgn = '';
	$cntdiv += $actif ? 1 : 0;
	if ($cntdiv == $maxdiv) {
		$finlgn = '<div style="clear:both;"></div><br />';
		$cntdiv = 0;
	}
    return '
      <div style="float:left; width:'.intval(100 / $maxdiv).'%; text-align:center; margin:2px 0; padding:4px 0; display:'.($actif ? 'block' : 'none').'">
	    <label>
          <img src="inc/img/admin/'.$image.'" alt="'.$label.'" title="'.$label.'" />
          <br />'.$label.'<br />
          <input type="'.($actif ? 'checkbox' : 'hidden').'" name="drtuser'.$index.'"'.Checked($drtuser[$index] == 'on').' />
		</label>
      </div>'.$finlgn;
}

function GetDivPlugin($index, $label, $image, $droit) {
	global $cntdiv, $maxdiv;
	$finlgn = '';
	$cntdiv++;
	if ($cntdiv == $maxdiv) {
		$finlgn = '<div style="clear:both;"></div><br />';
		$cntdiv = 0;
	}
    return '
      <div style="float:left; width:'.intval(100 / $maxdiv).'%; text-align:center; margin:2px 0; padding:4px 0; display:block;">
	    <label>
          <img src="plugins/'.$image.'" alt="'.$label.'" title="'.$label.'" />
          <br />'.$label.'<br />
          <input type="checkbox" name="drtuserplgform['.$index.']"'.Checked($droit).' />
		</label>
      </div>'.$finlgn;
}

function GetEndFieldset() {
    return '
      <div style="clear:both;"></div>
    </fieldset>
';
}

function LineCB($label, $name, $value) {
    return '
	  <p>
		<label for="'.$name.'" style="padding-left:270px;"><b>&bull;</b>&nbsp;&nbsp;'.$label.'
		<input style="margin-top:4px; position:absolute; left:60%;" type="checkbox" id="'.$name.'" name="'.$name.'"'.Checked($value).' />
		</label>
	  </p>';
}

$pluginlist = ExploreDir('plugins/');
for ($i = 0; $i < count($pluginlist); $i++) {
    if (!is_file('plugins/'.$pluginlist[$i].'/plugin.inc')) {
        unset($pluginlist[$i]);
    }
}
$headinc .= BeginJavascript().'
function selectAllDroits(opt) {
	var option = opt.name;
	var allSelected = opt.checked;
	switch (option) {
		case "droitsGeneral" :
			var dtrName = "drtuser";
			var dtrId = new Array(11, 48);
			break;
		case "droitsConfig" :
			var dtrName = "drtuser";
			var dtrId = new Array(0, 1, 2, 3, 4, 5, 13, 24, 43, 49);
			break;
		case "droitsAdmGen" :
			var dtrName = "drtuser";
			var dtrId = new Array(6, 7, 8, 10, 12, 31, 32, 35, 36, 44, 46, 45, 47);
			break;
		case "droitsStructure" :
			var dtrName = "drtuser";
			var dtrId = new Array(17, 25, 26, 27, 28, 29, 34, 50);
			break;
		case "droitsDatas" :
			var dtrName = "drtuser";
			var dtrId = new Array(14, 15, 16, 18, 19, 20, 21, 22, 23, 33, 37, 39, 40, 41);
			var dtrName = "drtuser";
			break;
		case "droitsPlugin" :
			var dtrName = "";
			var dtrId = new Array();
			var nbPlug = '.count($pluginlist).';
			for(i = 0; i < nbPlug; i++) {
				dtrId[i] = "drtuserplgform["+ i +"]";
			}
			break;
		default :
			return false;
	}

	if (dtrId.length != undefined) {
		for (i = 0; i < dtrId.length; i++) {
			document.forms["droitsUser"].elements[dtrName + dtrId[i]].checked = allSelected ? true : false;
		}
	}
	return false;
}'.EndJavascript();

if ($namedroits == '') {
    $etape = 1;
}

$adroits1 = array('modo', 'admin');
$adroits2 = array('webm', 'admin');
$adroits3 = array('admin');
$adroits4 = array('webm', 'admin', 'redac');
$adroits5 = array('admin', 'redac');
$adroits6 = array('modo', 'admin', 'redac');

if ($etape == 3) {
	$drtuser9  ='on';
    $drtuser30 = import('drtuser30');
    $drtuser38 = import('drtuser38');
    $drtuser42 = import('drtuser42');
	
    $drtuser0  = in_array($drtuser42, $adroits2) ? import('drtuser0')  : '';
    $drtuser1  = in_array($drtuser42, $adroits2) ? import('drtuser1')  : '';
    $drtuser2  = in_array($drtuser42, $adroits2) ? import('drtuser2')  : '';
    $drtuser3  = in_array($drtuser42, $adroits2) ? import('drtuser3')  : '';
    $drtuser4  = in_array($drtuser42, $adroits2) ? import('drtuser4')  : '';
    $drtuser5  = in_array($drtuser42, $adroits2) ? import('drtuser5')  : '';
    $drtuser6  = in_array($drtuser42, $adroits2) ? import('drtuser6')  : '';
    $drtuser7  = $serviz[13] == 'on' && in_array($drtuser42, $adroits2) ? import('drtuser7')  : '';
    $drtuser8  = in_array($drtuser42, $adroits2) ? import('drtuser8')  : '';
    $drtuser10 = in_array($drtuser42, $adroits2) ? import('drtuser10') : '';
    $drtuser11 = in_array($drtuser42, $adroits2) ? import('drtuser11') : '';
    $drtuser12 = $serviz[42] == 'on' && in_array($drtuser42, $adroits3) ? import('drtuser12') : '';
    $drtuser13 = $serviz[99] == 'on' && in_array($drtuser42, $adroits2) ? import('drtuser13') : '';
    $drtuser14 = $serviz[8] == 'on' && in_array($drtuser42, $adroits6) ? import('drtuser14') : '';
    $drtuser15 = in_array($drtuser42, $adroits5) ? import('drtuser15') : '';
    $drtuser16 = $serviz[29] != '2' && in_array($drtuser42, $adroits1) ? import('drtuser16') : '';
    $drtuser17 = in_array($drtuser42, $adroits4) ? import('drtuser17') : '';
    $drtuser18 = $serviz[9] == 'on' && in_array($drtuser42, $adroits4) ? import('drtuser18') : '';
    $drtuser19 = $serviz[10] == 'on' && in_array($drtuser42, $adroits2) ? import('drtuser19') : '';
    $drtuser20 = $serviz[11] == 'on' && in_array($drtuser42, $adroits2) ? import('drtuser20') : '';
    $drtuser21 = $serviz[14] == 'on' && in_array($drtuser42, $adroits4) ? import('drtuser21') : '';
    $drtuser22 = $serviz[12] == 'on' && in_array($drtuser42, $adroits1) ? import('drtuser22') : '';
    $drtuser23 = $serviz[13] == 'on' && in_array($drtuser42, $adroits1) ? import('drtuser23') : '';
    $drtuser24 = $serviz[13] == 'on' && in_array($drtuser42, $adroits3) ? import('drtuser24') : '';
    $drtuser25 = $serviz[23] == 'on' && in_array($drtuser42, $adroits2) ? import('drtuser25') : '';
    $drtuser26 = in_array($drtuser42, $adroits4) ? import('drtuser26') : '';
    $drtuser27 = $serviz[19] == 'on' && in_array($drtuser42, $adroits2) ? import('drtuser27') : '';
    $drtuser28 = $serviz[0] == 'on' && in_array($drtuser42, $adroits4) ? import('drtuser28') : '';
    $drtuser29 = in_array($drtuser42, $adroits2) ? import('drtuser29') : '';
    $drtuser31 = in_array($drtuser42, $adroits2) ? import('drtuser31') : '';
    $drtuser32 = in_array($drtuser42, $adroits2) ? import('drtuser32') : '';
    $drtuser33 = $serviz[36] != '' && in_array($drtuser42, $adroits2) ? import('drtuser33') : '';
    $drtuser34 = $serviz[27] == 'on' && in_array($drtuser42, $adroits2) ? import('drtuser34') : '';
    $drtuser35 = in_array($drtuser42, $adroits2) ? import('drtuser35') : '';
    $drtuser36 = in_array($drtuser42, $adroits2) ? import('drtuser36') : '';
    $drtuser37 = $serviz[47] == 'on' && in_array($drtuser42, $adroits4) ? import('drtuser37') : '';
    $drtuser39 = $serviz[53] == 'on' && in_array($drtuser42, $adroits6) ? import('drtuser39') : '';
    $drtuser40 = $serviz[53] == 'on' && in_array($drtuser42, $adroits1) ? import('drtuser40') : '';
    $drtuser41 = $serviz[53] == 'on' && in_array($drtuser42, $adroits2) ? import('drtuser41') : '';
    $drtuser43 = in_array($drtuser42, $adroits2) ? import('drtuser43') : '';
    $drtuser44 = in_array($drtuser42, $adroits5) ? import('drtuser44') : '';
    $drtuser45 = in_array($drtuser42, $adroits2) ? import('drtuser45') : '';
    $drtuser46 = in_array($drtuser42, $adroits2) ? import('drtuser46') : '';
    $drtuser47 = in_array($drtuser42, $adroits2) ? import('drtuser47') : '';
    $drtuser48 = in_array($drtuser42, $adroits2) ? import('drtuser48') : '';
    $drtuser49 = in_array($drtuser42, $adroits2) ? import('drtuser49') : '';
    $drtuser50 = in_array($drtuser42, $adroits2) ? import('drtuser50') : '';
	
	$drtusersv0 = import('drtusersv0'); // e-mail publication article
	$drtusersv1 = import('drtusersv1'); // e-mail publication réaction article
	$drtusersv2 = import('drtusersv2'); // e-mail publication nouvelle
	$drtusersv3 = import('drtusersv3'); // e-mail publication blog
	$drtusersv4 = import('drtusersv4'); // e-mail publication commentaire blog
	$drtusersv5 = import('drtusersv5'); // e-mail publication livre d'or
	$drtusersv6 = import('drtusersv6'); // e-mail publication forum
    
    $filedroit = REDACREP.$namedroits.INCEXT;
    $mettre    = "<?php
if (stristr(\$_SERVER['SCRIPT_NAME'], '".$namedroits.".inc')) {
    header('location:../index.php');
    die();
}

\$drtuser[0]  = \"".$drtuser0."\";  // Accès à config générale
\$drtuser[1]  = \"".$drtuser1."\";  // Accès à config thèmes
\$drtuser[2]  = \"".$drtuser2."\";  // Accès à config accueil
\$drtuser[3]  = \"".$drtuser3."\";  // Accès à config section
\$drtuser[4]  = \"".$drtuser4."\";  // Accès à Config services
\$drtuser[5]  = \"".$drtuser5."\";  // Accès à Config boites
\$drtuser[6]  = \"".$drtuser6."\";  // Accès à Maintenance
\$drtuser[7]  = \"".$drtuser7."\";  // Accès à Archivage Forum
\$drtuser[8]  = \"".$drtuser8."\";  // Accès à Contrôle d'intégrité DB
\$drtuser[9]  = \"".$drtuser9."\";  // Accès à Mot de passe Collaborateur
\$drtuser[10] = \"".$drtuser10."\"; // Accès à Config zone membres
\$drtuser[11] = \"".$drtuser11."\"; // Accès à Travaux
\$drtuser[12] = \"".$drtuser12."\"; // Accès à Droits
\$drtuser[13] = \"".$drtuser13."\"; // Accès à Contact avancé
\$drtuser[14] = \"".$drtuser14."\"; // Accès à Nouvelles
\$drtuser[15] = \"".$drtuser15."\"; // Accès à Articles
\$drtuser[16] = \"".$drtuser16."\"; // Accès à Réactions Articles
\$drtuser[17] = \"".$drtuser17."\"; // Accès à Boîtes menus
\$drtuser[18] = \"".$drtuser18."\"; // Accès à Photos
\$drtuser[19] = \"".$drtuser19."\"; // Accès à Téléchargements
\$drtuser[20] = \"".$drtuser20."\"; // Accès à Liens
\$drtuser[21] = \"".$drtuser21."\"; // Accès à FAQ
\$drtuser[22] = \"".$drtuser22."\"; // Accès à Livre d'or
\$drtuser[23] = \"".$drtuser23."\"; // Accès à Forum
\$drtuser[24] = \"".$drtuser24."\"; // Accès à Config Forum
\$drtuser[25] = \"".$drtuser25."\"; // Accès à Sondage
\$drtuser[26] = \"".$drtuser26."\"; // Accès à Boites libres
\$drtuser[27] = \"".$drtuser27."\"; // Accès à Bannières
\$drtuser[28] = \"".$drtuser28."\"; // Accès à Citations
\$drtuser[29] = \"".$drtuser29."\"; // Accès à Menu icônes
\$drtuser[30] = \"".$drtuser30."\"; // Statut à afficher
\$drtuser[31] = \"".$drtuser31."\"; // Accès à Compteur
\$drtuser[32] = \"".$drtuser32."\"; // Accès à Statistiques
\$drtuser[33] = \"".$drtuser33."\"; // Accès à Newsletter
\$drtuser[34] = \"".$drtuser34."\"; // Accès à Nouvelles RSS
\$drtuser[35] = \"".$drtuser35."\"; // Accès à Logs
\$drtuser[36] = \"".$drtuser36."\"; // Accès à Fichiers
\$drtuser[37] = \"".$drtuser37."\"; // Accès à Agenda
\$drtuser[38] = \"".$drtuser38."\"; // Password
\$drtuser[39] = \"".$drtuser39."\"; // Accès à Blogs
\$drtuser[40] = \"".$drtuser40."\"; // Accès à Réactions Blogs
\$drtuser[41] = \"".$drtuser41."\"; // Accès à Blog RSS
\$drtuser[42] = \"".$drtuser42."\"; // Fonction
\$drtuser[43] = \"".$drtuser43."\"; // Accès à Config Style
\$drtuser[44] = \"".$drtuser44."\"; // Accès à Import
\$drtuser[45] = \"".$drtuser45."\"; // Accès à Sécurité
\$drtuser[46] = \"".$drtuser46."\"; // Accès à Mise à jour / Extension
\$drtuser[47] = \"".$drtuser47."\"; // Accès à Sauvegarde du site
\$drtuser[48] = \"".$drtuser48."\"; // Accès à Version de GuppY
\$drtuser[49] = \"".$drtuser49."\"; // Accès à Config Recherche
\$drtuser[50] = \"".$drtuser50."\"; // Accès à Réseaux sociaux
\$drtusersv[0] = \"".$drtusersv0."\"; // e-mail publication article
\$drtusersv[1] = \"".$drtusersv1."\"; // e-mail publication réaction article
\$drtusersv[2] = \"".$drtusersv2."\"; // e-mail publication nouvelle
\$drtusersv[3] = \"".$drtusersv3."\"; // e-mail publication blog
\$drtusersv[4] = \"".$drtusersv4."\"; // e-mail publication commentaire blog
\$drtusersv[5] = \"".$drtusersv5."\"; // e-mail publication livre d\'or
\$drtusersv[6] = \"".$drtusersv6."\"; // e-mail publication forum";

    $drtuserplgform = import('drtuserplgform', 'POST', FALSE);
    $listplug       = import('listplug');
    $listplug       = explode("::", $listplug);
    foreach ($listplug as $i => $value) {
        $mettre .= "
\$drtuserplg['$value'] = \"".(isset($drtuserplgform[$i]) && in_array($drtuser42, $adroits2) ? $drtuserplgform[$i] : '')."\"; // Accès plugin $value";
    }
    $mettre .='
?>';
    WriteFullDB($filedroit, $mettre);

    $adm   = array($namedroits, $drtuser42, $drtuser23, $drtuser30);
    $dbadm = ReadDBFields(ADMINS);
    for ($k = 0; $k < count($dbadm); $k++) {
        if ($dbadm[$k][0] == $namedroits) {
            unset($dbadm);
            DeleteDBFieldById(ADMINS, $id = $k);
            break;
        }
    }
    AppendDBFields(ADMINS, $adm);
}

################################################################################
if ($etape == 1) {
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[819]);
	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
	htable($admin[819], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'attribdroits').$admin[822].'</p>
<hr />
<form action="admin.php?lng='.$lng.'&amp;pg=attribdroits" method="post">
  <input type="hidden" name="etape" value="2" />
  <div style="margin:auto;text-align:center;width:50%;">
    <select name="namedroits" onchange="submit();">';
	$dbadmins = ReadDBFields(ADMINS);
	$dbadms   = array();
	foreach ($dbadmins as $row) $dbadms[] = $row[0];
    $dbusersmsg = array();
    $file_users = opendir(MSGREP);
    while ($nomfichier = readdir($file_users)) {
        if (substr($nomfichier, -3) == 'dtb') {
            $dbusersmsg[] = str_replace(substr($nomfichier, -4), '', $nomfichier);
        }
    }
    closedir($file_users);
    @usort($dbusersmsg, 'AsciiCompare');
    echo '
      <option value="" select="selected">'.$admin[823].'</option>';
    foreach ($dbusersmsg as $user) {
        if ($user != $userprefs[1] && $user != $user[0] && !in_array($user, $dbadms)) {
            echo '
      <option value="'.$user.'">'.$user.'</option>';
        }
    }
    echo '
        </select>
	<noscript>
	  <br />
	  '.SubmitButton($web[52]).'
	</noscript>
  </div>
  <br />&nbsp;
</form>';
}
################################################################################
elseif ($etape == 2 || $etape == 3) {
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > <a href="admin.php?lng='.$lng.'&amp;pg=attribdroits&amp;etape=1">'.str_replace('Admin - ', '', $admin[819]).'</a> > '.$admin[820];
	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
	htable($admin[820], '100%');
    if (FileDBExist(REDACREP.$namedroits.INCEXT)) {
        include REDACREP.$namedroits.INCEXT;
    }
    else {
        if ($etape == 3) {
            echo BeginJavascript().'
alert("'.addslashes('ERROR : the file '.REDACREP.$namedroits.INCEXT.' does not exists : STOP !').'");
            '.EndJavascript();
            exit();
        } else {
            $drtuser = array();
            for ($i = 0; $i <= 50; $i++) $drtuser[] = '';
            $drtuserplg = array();
            foreach ($pluginlist as $plugin) $drtuserplg[$plugin] = '';
        }
    }

   echo '
<div style="text-align:center;">
  <br />'.ToHelp($lng, 'attribdroits').$admin[824].' <b>'.$namedroits.'</b><br />'.$admin[825].'
</div>
<hr />
<form  name="droitsUser" action="admin.php?lng='.$lng.'&amp;pg=attribdroits" method="post">
  <input type="hidden" name="namedroits" value="'.$namedroits.'" />
  <input type="hidden" name="etape" value="3" />';
    if (is_file(MSGREP.$namedroits.DBEXT)) {
        $userdb = ReadDBFields(MSGREP.$namedroits.DBEXT);
        $drtuser[38] = $userdb[0][0];
    }
    echo '
  <p style="text-align:center;">
    <b>'.$admin[827].' : </b> '.$namedroits.'
    <br />
    <input type ="hidden" name="drtuser38" value="'.$drtuser[38].'" size="15" />
    <b> '.$web[437].' : </b>
    <select name="drtuser42" onchange="this.form.submit()">
      <option value="">'.$admin[1312].'</option>
      <option value="redac"'.Selected($drtuser[42] == "redac").'>'.$admin[715].'</option>
      <option value="modo"'.Selected($drtuser[42] == "modo").'>'.$admin[712].'</option>
      <option value="webm"'.Selected($drtuser[42] == "webm").'>'.$admin[718].'</option>
      <option value="admin"'.Selected($drtuser[42] == "admin").'>'.$admin[1261].'</option>
    </select>&nbsp;
    <noscript>
	  <span style="padding:4px;">'.SubmitButton($web[52]).'</span>
    </noscript>
  </p>
  <p style="text-align:center;">
    <b>'.$admin[1440].'</b>&nbsp;<input type="text" class="texte" name="drtuser30" size="20" value="'.$drtuser[30].'" />
  </p>
  <hr />';
	$cntdiv = 0;
	echo 
GetBeginFieldset('droitsGeneral', $admin[1355], 
	$drtuser[48] && $drtuser[11]).
GetDiv(48, $admin[904], 'update.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(11, $admin[817], 'maintenance.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetEndFieldset();
	$cntdiv = 0; 
	echo 
GetBeginFieldset('droitsConfig', $admin[1356],
    $drtuser[0] && $drtuser[3] && $drtuser[4] && ($drtuser[13] || $serviz[99] != '') && 
	$drtuser[49] && ($drtuser[24] || $serviz[13] != '') && $drtuser[1] && $drtuser[5] && $drtuser[2] && $drtuser[43]).
GetDiv(0, $admin[7], 'config1.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(4, $admin[169], 'config5.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(3, $admin[166], 'config4.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(13, $admin[1183], 'contact.gif', $serviz[99] == 'on' && in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(49, $admin[1264], 'search.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(24, $admin[253], 'config7.gif', $serviz[13] == 'on' && in_array($drtuser[42], $adroits3) ? true : false).
GetDiv(1, $admin[888], 'config2.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(5, $admin[346], 'config6.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(2, $admin[469], 'config3.gif',in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(43, $admin[719], 'css.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetEndFieldset();
	$cntdiv = 0;
	echo 
GetBeginFieldset('droitsAdmGen', $admin[881],
    $drtuser[10] && ($drtuser[12] || $serviz[42] != '') && $drtuser[8] && $drtuser[6] &&
    ($drtuser[7] || $serviz[13] != '') && $drtuser[46] && $drtuser[47] && $drtuser[44] && $drtuser[36] && 
	$drtuser[31] && $drtuser[32] && $drtuser[45] && $drtuser[35]).
GetDiv(10, $admin[816], 'members.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(12, $admin[818], 'droits.gif', $serviz[42] == 'on' && in_array($drtuser[42], $adroits3) ? true : false).
GetDiv(8, $admin[278], 'dbcheck.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(6, $admin[170], 'maintain.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(7, $admin[577], 'archive.gif', $serviz[13] == 'on' && in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(46, $admin[1126], 'install.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(47, $admin[1245], 'save.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(44, $admin[1093], 'import.gif', in_array($drtuser[42], $adroits5) ? true : false).
GetDiv(36, $admin[171], 'upload.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(31, $admin[17], 'counter.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(32, $admin[212], 'stats.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(45, $admin[940], 'security.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(35, $admin[553], 'eye.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetEndFieldset();
	$cntdiv = 0;
	echo 
GetBeginFieldset('droitsStructure', $admin[1357],
	$drtuser[26] && ($drtuser[34] || $serviz[27] != '') && ($drtuser[27] || $serviz[19] != '') &&
	($drtuser[28] || $serviz[0] != '') && ($drtuser[25] || $serviz[23] != '') && $drtuser[29] && 
	$drtuser[17] && $drtuser[50]).
GetDiv(26, $admin[270], 'freebox.gif', in_array($drtuser[42], $adroits4) ? true : false).
GetDiv(34, $admin[602], 'newsrss.gif', $serviz[27] == 'on' && in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(27, $admin[263], 'banner.gif', $serviz[19] == 'on' && in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(28, $admin[6], 'think.gif', $serviz[0] == 'on' && in_array($drtuser[42], $adroits4) ? true : false).
GetDiv(25, $admin[15], 'poll.gif', $serviz[23] == 'on' && in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(29, $admin[876], 'menuico.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(17, $admin[1216], 'menu.gif', in_array($drtuser[42], $adroits4) ? true : false).
GetDiv(50, $admin[336], 'socnet.gif', in_array($drtuser[42], $adroits2) ? true : false).
GetEndFieldset();
	$cntdiv = 0; 
	echo 
GetBeginFieldset('droitsDatas', $admin[882],
    ($drtuser[14] || $serviz[8] != '') && $drtuser[15] && ($drtuser[16] || $serviz[29] != '2') && 
	($drtuser[19] || $serviz[10] != '') && ($drtuser[20] || $serviz[11] != '') && ($drtuser[21] || $serviz[14] != '') && 
	($drtuser[22] || $serviz[12] != '') && ($drtuser[37] || $serviz[47] != '') && ($drtuser[23] || $serviz[13] != '') && 
	($drtuser[39] || $serviz[53] != '') && ($drtuser[40] || $serviz[53] != '') && ($drtuser[41] || $serviz[53] != '') && 
	($drtuser[33] || $serviz[36] != '') && ($drtuser[18] || $serviz[9] != '')).
GetDiv(14, $admin[13], 'news.gif', $serviz[8] == 'on' && in_array($drtuser[42], $adroits6) ? true : false).
GetDiv(15, $admin[5], 'article.gif', in_array($drtuser[42], $adroits5) ? true : false).
GetDiv(16, $admin[476], 'react.gif', $serviz[29] != '2' && in_array($drtuser[42], $adroits1) ? true : false).
GetDiv(19, $admin[18], 'download.gif', $serviz[10] == 'on' && in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(20, $admin[10], 'links.gif', $serviz[11] == 'on' && in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(21, $admin[206], 'faq.gif', $serviz[14] == 'on' && in_array($drtuser[42], $adroits4) ? true : false).
GetDiv(22, $admin[11], 'guestbook.gif', $serviz[12] == 'on' && in_array($drtuser[42], $adroits1) ? true : false).
GetDiv(37, $admin[624], 'agenda.gif', $serviz[47] == 'on' && in_array($drtuser[42], $adroits4) ? true : false).
GetDiv(23, $admin[9], 'forum.gif', $serviz[13] == 'on' && in_array($drtuser[42], $adroits1) ? true : false).
GetDiv(39, $admin[770], 'blog.gif', $serviz[53] == 'on' && in_array($drtuser[42], $adroits6) ? true : false).
GetDiv(40, $admin[776], 'reblog.gif', $serviz[53] == 'on' && in_array($drtuser[42], $adroits1) ? true : false).
GetDiv(41, $admin[791], 'blogrss.gif', $serviz[53] == 'on' && in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(33, $admin[546], 'newsletter.gif', $serviz[36] != '' && in_array($drtuser[42], $adroits2) ? true : false).
GetDiv(18, $admin[322], 'photo.gif', $serviz[9] == 'on' && in_array($drtuser[42], $adroits4) ? true : false).
GetEndFieldset();

    if (!empty($pluginlist) && in_array($drtuser[42], $adroits2)) {
		$cntdiv = 0;
        echo 
GetBeginFieldset('droitsPlugin', $admin[883], false);
        $i = 0;
        $dtrAllPlugs = TRUE;
        foreach ($pluginlist as $plugin) {
            include 'plugins/'.$plugin.'/plugin.inc';
            echo GetDivPlugin($i++, $plugin_admin_name, $plugin_admin_icon, FileDBExist(REDACREP.$namedroits.INCEXT) && (isset($drtuserplg[$plugin]) ? $drtuserplg[$plugin] == 'on' : false));
            $dtrAllPlugs = $dtrAllPlugs && (isset($drtuserplg[$plugin]) ? $drtuserplg[$plugin] == 'on' : false);
        }

        if ($dtrAllPlugs) {
        	echo BeginJavascript().'
document.forms["droitsUser"].elements["droitsPlugin"].checked = true;'.EndJavascript();
        }
    }
    echo GetEndFieldset().'
  <input type="hidden" name="listplug" value="'.implode('::', $pluginlist).'" />';
	echo '
  <fieldset>'.legend($admin[229]).'
	'.LineCB($admin[1447], 'drtusersv0', $drtusersv[0]).'
	'.LineCB($admin[473],  'drtusersv1', $drtusersv[1]).'
	'.LineCB($admin[235],  'drtusersv2', $drtusersv[2]).'
	'.LineCB($admin[786],  'drtusersv3', $drtusersv[3]).'
	'.LineCB($admin[1424], 'drtusersv4', $drtusersv[4]).'
	'.LineCB($admin[236],  'drtusersv5', $drtusersv[5]).'
	'.LineCB($admin[237],  'drtusersv6', $drtusersv[6]).'    
  </fieldset>';
    echo '
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>
<br />';
}
################################################################################
  
btable();
include CHEMIN.'inc/bpage.inc';
?>
