<?php
/*******************************************************************************
 *   Admin Configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER["SCRIPT_NAME"], "config1.inc")) {
    header("location:../index.php");
    die();
}

// FONCTIONS DE MISE EN PAGE /////////////////////////////////////////////////////////////////////////
function checkboxConfigGuppy($inputName, $inputValue, $libelle = '', $lang = 'fr', $flag = '') {
	return '
	<span style="float:left;width:260px;text-align:left;padding:2px 0px;margin-left:15px;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').$libelle.'
	</span>
	<div style="padding:4px 0 0 235px;text-align:left;">
	  <input type="checkbox" name="'.$inputName.'" id="'.$inputName.'" '.Checked($inputValue).' />
	</div>
	<div style="clear:left;"></div>';
}

function inputConfigGuppy($inputName, $inputValue, $width, $libelle = '', $lang = 'fr', $flag = '') {
	global $charset;
	return '
	<span style="float:left;width:230px;text-align:left;padding:2px 0px;margin-left:15px;">'.$libelle.'</span>
	<span style="float:left;width:auto;text-align:left;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').'
	</span>
	<div style="padding-left:275px;text-align:left;">
	  <input class="texte" type="text" name="'.$inputName.'" id="'.$inputName.'" value="'.htmlentities($inputValue, ENT_QUOTES, $charset).'" style="vertical-align:middle;margin-top:4px;width:'.$width.';" />
	</div>
	<div style="clear:both;"></div>';
}

function inputURLConfigGuppy($inputName, $inputValue, $width, $libelle = '', $lang = 'fr', $flag = '') {
    global $realurl, $lng, $admin, $charset;
    if ($realurl == $inputValue) {
        $msg = '';
    } else {
        $msg = $admin[919].'
	<span style="font-weight:bold;">'.$realurl.'</span>
    <a href="admin.php?lng='.$lng.'&amp;pg=config1&amp;replace='.$inputName.'" title="'.$admin[920].'" style="display:inline;">&nbsp;
      <img src="inc/img/general/run.gif" alt="'.$admin[920].'" title="'.$admin[920].'" style="cursor:pointer;vertical-align:middle;" />&nbsp;
    </a>';
    }
	return '
	<span style="float:left;width:260px;text-align:left;padding:2px 0px;margin-left:15px;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').$libelle.'
	</span>
	<div style="padding-left:235px;text-align:left;">
	  <input class="texte" type="text" name="'.$inputName.'" id="'.$inputName.'" value="'.htmlentities($inputValue, NULL, $charset).'" style="vertical-align:middle;width:'.$width.';" />
	</div>
	<div style="clear:left;text-align:center;background-color:#F66;color:#ff0;margin:0 15px;">'.$msg.'</div>';
}

function textareaConfigGuppy($textareaName, $textareaValue, $width, $height, $libelle = '', $lang = 'fr', $flag = '') {
	return '
	<span style="float:left;width:260px;text-align:left;padding:5px 0px;margin-left:15px;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').$libelle.'
	</span>
	<div style="padding-left:235px;text-align:left;">
	  <textarea name="'.$textareaName.'" id="'.$textareaName.'" style="vertical-align:middle;width:'.$width.';height:'.$height.';margin:4px 5px 0 0;" rows="6" cols="30">'.$textareaValue.'</textarea>
	</div>
	<div style="clear:left;"></div>';
}

function selectConfigGuppy($selectName,$options,$optionsValueSelect = '',$libelle = '', $lang = 'fr', $flag = '') {
	global $charset;
	$out = '
	<span style="float:left;width:260px;text-align:left;padding:5px 0px;margin-left:15px;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').$libelle.'
	</span>
	<div style="padding-left:235px;margin-top:4px;text-align:left;">
	  <select id="'.$selectName.'" name="'.$selectName.'" size="1">';
	foreach($options as $optionsName => $optionsValue) {
		$optionsName = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $optionsName)));
		$out .= '
		<option value="'.htmlentities($optionsValue, NULL, $charset).'" '.Selected($optionsValueSelect == stripslashes($optionsValue)).'>'.stripslashes($optionsName).'</option>';
	}
	return $out.'
	  </select>
	</div>
	<div style="clear:left;"></div>';
}

//////////////////////////////////////////////////////////////////////////////////////////////////////

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[0] == '') {
        $nomzone = $admin[7];
        include 'access.inc';
        exit();
    }
}

$realurl = "http://".str_replace("/admin","/",$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])); //real site url

function checkURL($actual) {
    global $realurl;
    if (empty($actual)) {
        /// URL vide => on change
        return $realurl;
    }
    $actual .= '/' != $actual[strlen($actual) - 1] ? '/' : '';
    if ($realurl == $actual) {
        return $actual;
    } else {
        if (strpos($realurl, 'http://localhost/') !== 0
        and
           (strpos($actual, 'http://127.0.0.1/') === 0
        or  strpos($actual, 'http://localhost/') === 0))
        {   /// Le site n'est pas en local, mais l'url est restée en local => on change
            return $realurl;
        } else {
            return $actual;
        }
    }
}

function replaceURLart() {
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
        $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2,
        $fieldweb, $fieldmail, $fieldmod;
	global $lang, $urlrw;
	$dbw = ReadDBFields(DBOPTMENU);
	foreach($dbw as $opt) {
		ReadDoc($opt[4]);
		if ($fieldc1 == '_SELF') {
			$urls    = explode('||', $fieldd1);
			$id      = substr($urls[0], strpos($urls[0], 'pg=') + 3);
			$pos     = strpos($id, '&');
			$id      = $pos === false ? $id : substr($id, 0, $pos);
			$fielda1 = addslashes($fielda1);
			$fielda2 = addslashes($fielda2);
			$fieldb1 = addslashes($fieldb1);
			$fieldb2 = addslashes($fieldb2);
			$fieldd1 = 'articles.php?lng='.$lang[0].'&pg='.$id.'&mnuid='.$opt[5].'&tconfig='.$fieldmail.'||'.$lang[0].'-'.$urlrw[20].'-103-'.$id.'-'.$opt[5].'-'.$fieldmail;
			$fieldd2 = 'articles.php?lng='.$lang[1].'&pg='.$id.'&mnuid='.$opt[5].'&tconfig='.$fieldmail.'||'.$lang[1].'-'.$urlrw[20].'-103-'.$id.'-'.$opt[5].'-'.$fieldmail;
			WriteDoc();
			UpdateDocdates('mod', $opt[4]);
		}
	}
}

$regit = import('regit');

if ($regit == 1) {
	include(CONFIG);
	$ctrl1 = '';
	foreach($urlrw as $st) $ctrl1 .= $st;
	$old_u20 = $urlrw[20];
	
	$site[0] = import('site0'); // Titre du site pour l'Editorial langue principale
	$site[0] = addslashes(mb_ereg_replace('['.chr(39).']', ' ', $site[0]));
	
	$site[1] = RemoveBR(import('site1')); // Meta Description du site
	$site[2] = RemoveBR(import('site2')); // Meta Mots-clés du site
	$site[3] = checkURL(import('site3'));
	// $site[6] = RemoveQuote(import('site6')); // Meta Titre du site pour les moteurs de recherche
	$site[7] = import('site7'); // Meta Méthode d'indexation du site pour les robots
	$site[8] = import('site8'); // Meta Délai d'attente du robot avant une prochaine indexation
	$site[9] = RemoveQuote(import('site9')); // Meta Auteur du site
	// $site[10] = RemoveQuote(import('site10')); // Meta Propriétaire du site
	
	$site[11] = addslashes(import('site11')); // Titre du site pour l'Editorial langue secondaire
	$site[11] = addslashes(mb_ereg_replace('['.chr(39).']', ' ', $site[11]));
	
	$site[12] = import('site12'); // Meta Catégorie du public visé
	// $site[13] = import('site13'); // Meta Mode de diffusion du site
	// $site[14] = RemoveQuote(import('site14')); // Meta Copyright de l'auteur du site
	// $site[15] = import('site15'); // Meta language
	// $site[16] = checkURL(import('site16'));
	$site[19] = import('site19'); // Format Dates
	$site[22] = import('site22'); // Format Heure
	$site[23] = import('site23'); // Séparateur Date & Heure
	$site[24] = import('site24'); // Logo Copyright
	$site[25] = import('site25'); // Position Logo Copyright
	$site[26] = import('site26'); // Compression des Pages
	$site[32] = import('site32'); // Icônes validator W3C
	$site['TZ'] = import('siteTZ'); // Fuseau horaire
	$site['URLR'] = import('siteURLR'); // URL rewriting

	$urlrw[0] = import('urlrw0'); // Accueil / Admin / Error
	$urlrw[1] = import('urlrw1'); // Blog
	$urlrw[2] = import('urlrw2'); // Contact
	$urlrw[3] = import('urlrw3'); // Connexion / Compte
	$urlrw[4] = import('urlrw4'); // FAQ
	$urlrw[5] = import('urlrw5'); // Forum
	$urlrw[6] = import('urlrw6'); // Liens
	$urlrw[7] = import('urlrw7'); // Livre d'or
	$urlrw[8] = import('urlrw8'); // Nouvelles
	$urlrw[9] = import('urlrw9'); // Photos
	$urlrw[10] = import('urlrw10'); // Statistiques
	$urlrw[11] = import('urlrw11'); // Téléchargements
	$urlrw[12] = import('urlrw12'); // Recherches
	$urlrw[13] = import('urlrw13'); // Messages privés
	$urlrw[14] = import('urlrw14'); // Mesages publics
	$urlrw[15] = import('urlrw15'); // Utilisateurs
	$urlrw[16] = import('urlrw16'); // Sondage
	$urlrw[17] = import('urlrw17'); // Calendrier / Agenda
	$urlrw[18] = import('urlrw18'); // Lettre d'information
	$urlrw[19] = import('urlrw19'); // Documents RSS
	$urlrw[20] = import('urlrw20'); // Articles
	
	$ctrl2 = '';
	foreach($urlrw as $st) $ctrl2 .= $st;
	
	$lang[0] = import('lang0'); // Langue principale du site
	$lang[1] = import('lang1'); // Deuxième langue du site
	$user[0] = import('user0'); // Webmaster
	$user[1] = import('user1'); // e-mail du responsable du site
 	$user[2] = import('user2'); // Identifiant messagerie instantanée
	$user[3] = import('user3'); // formulaire mail PHP  ON / OFF
	$user[4] = import('user4'); // messagerie instantanée
	
	include 'inc/confupdt.inc';
	if ($lng != $lang[0] && $lng != $lang[1]) {
  		$lng = $lang[0];
	}

	if ($ctrl1 != $ctrl2) setURLrewriting('');
	setURLrewriting($site['URLR']); // active/désactive l'URL rewriting
	if ($old_u20 != $urlrw[20]) replaceURLart();
} else {
    $site[3]  = checkURL($site[3]);
    // $site[16] = checkURL($site[16]);
    if ('site3' == $replace) {
        // $site[3] = $site[16] = $realurl;
        $site[3] = $realurl;
    // } elseif ('site16' == $replace) {
        // $site[16] = $realurl;
    }
	include 'inc/confupdt.inc';
}

$adm = array($admin[1322], $admin[780], $admin[1323], $admin[1324], $admin[207], $admin[164], $admin[75], 
             $admin[76], $admin[72], $admin[74], $admin[213], $admin[73], $admin[1325], $admin[1326], $admin[1327],
			 $admin[1328], $admin[1329], $admin[1330], $admin[1331], $admin[1332], $admin[1333]);

$err_user0 = empty($user[0]) && $regit == 1;
$err_user1 = (empty($user[1]) || 1 != preg_match('/^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/', $user[1])) && $regit == 1;
for ($i = 0; $i < count($urlrw); $i++) {
	$err_urlrw[$i] = (empty($urlrw[$i]) || 1 != preg_match('/^[a-zA-Z0-9_-]{3,32}$/', $urlrw[$i])) && $regit == 1;
}
$erreur    = '';
$erreur   .= $err_user0 ? '<li>'.$web[545].$admin[63].$web[546].'</li>': '';
$erreur   .= $err_user1 ? '<li>'.$web[545].$admin[64].$web[554].'</li>': '';
if ($site['URLR'] == 'on') {
	for ($i = 0; $i < count($urlrw); $i++) {
		$erreur .= $err_urlrw[$i] ? '<li>'.$web[545].$adm[$i].$web[554].'</li>': '';
	}
}
$activateItem = 3;
$activateItem = $err_user0 || $err_user1 ? 5 : $activateItem;
if ($site['URLR'] == 'on') {
	for ($i = 0; $i < count($urlrw); $i++) {
		if ($err_urlrw[$i]) {
			$activateItem = 4;
			break;
		}
	}
}

$langue  = array();
$dossier = opendir(CHEMIN.'inc/lang/');
while ($fichier = readdir($dossier)) {
	if (is_file(CHEMIN."inc/lang/".$fichier)) {
  		$basefic = basename($fichier);
  		$path_parts = substr($basefic,strrpos($basefic,".")+1);
  		if ($path_parts == "inc") {
    		if (strpos($basefic, "-web") !== false) {
      			$langue[] = substr($basefic,0,strlen($basefic)-8);
    		}
  		}
	}
}
closedir($dossier);
@sort($langue);
include CONFIG;
if (is_file ($meskin.'confskin.inc')) {
    include $meskin.'confskin.inc';
} else {
    include CHEMIN.'skins/no_skin/confskin.inc';
}

$headinc .= '
    <script type="text/javascript">
        $(document).ready( function() {
            $("#gyaccordion").hoverAccordion({
                keepHeight: false,
                activateItem: '.$activateItem.',
				onClickOnly: true,
                speed: 400
            });
            $("#gyaccordion").children("li:first").addClass("firstitem");
            $("#gyaccordion").children("li:last").addClass("lastitem");
        });
    </script>
';

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
    if (document.conf1.user0.value == "") {
        sto += "  - '.addslashes($web[545].$admin[63].$web[546]).'\n";
		document.conf1.user0.className = "errorInputText";
        erreur = true;
    }
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.conf1.user1.value)) {
		sto += \'  - '.addslashes($web[545].$admin[64].$web[554]).'\n\';
		document.conf1.user1.className = "errorInputText";
        erreur = true;
    }';
for ($i = 0; $i < count($urlrw); $i++) {	
	$headinc .= '
	if (document.conf1.siteURLR.checked == true) {
		regexp = /^[a-zA-Z0-9_-]{3,32}$/;
		if (!regexp.test(document.conf1.urlrw'.$i.'.value)) {
			sto += "  - '.addslashes($web[545].$adm[$i].$web[554]).'\n";
			document.conf1.urlrw'.$i.'.className = "errorInputText";
			erreur = true;
		}
	}';
}
$headinc .= '
    if (erreur == true) {
        sto = "'.addslashes($web[531]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[46]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[46], "100%");
if (!empty($erreur))
	echo displayErrorMsg($web[531], $erreur);
echo '
<p style="text-align:center;">'.ToHelp($lng, 'config1').$admin[47].'<br /><br />'. $admin[318].'</p>
<hr style="margin-top:15px;" />
<form name="conf1" id="config1" action="admin.php?lng='.$lng.'&amp;pg=config1" method="post" onsubmit="return VerifyForm(); return false;">
  <input type="hidden" name="regit" value="1" />
  <div style="margin-right:auto;margin-left:auto;width:auto;">';
echo '
<ul id="gyaccordion" style="max-width:580px; margin:auto;">
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>';
// OPTIMISATION VITESSE
echo '
  <li>
    <a href="#">'.$admin[506].'</a>
    <ul>
	  <li>';
echo '
    <div style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
      '.checkboxConfigGuppy('site26', $site[26], '&bull;&nbsp;'.$admin[505]).'
    </div>';
echo '
      </li>
	</ul>
  </li>';
// FUSEAU HORAIRE
echo '
  <li>
    <a href="#">'.$admin[935].'</a>
    <ul>
	  <li>';
echo '
    <div style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
      <div style="margin-top:10px;">
        <span style="float:left;width:230px;text-align:left;padding:2px 0px;margin-left:15px;">&bull;&nbsp;'.$admin[936].'</span>
        <div style="padding-left:235px;text-align:left;">'.SelectTimeZone($site['TZ'], 'siteTZ', 'siteTZ', 5).'</div>
        <div style="clear:left;"></div>
      </div>
    </div>';
echo '
      </li>
	</ul>
  </li>';
// INFOS SUR LE SITE
echo '
  <li>
    <a href="#">'.$admin[49].'</a>
    <ul>
	  <li>';
echo '
    <div style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
      '.inputConfigGuppy('site0', $site[0], '260px', '&bull;&nbsp;'.$admin[50], $lang[0], $flag1).'
      '.inputConfigGuppy('site11', $site[11], '260px', '', $lang[1], $flag2).'
      '.inputURLConfigGuppy('site3', $site[3], '260px', '&bull;&nbsp;'.$admin[53]);

$menuOptionsSelect = array();
for ($i = 0; $i < count($langue); $i++) {
	$menuOptionsSelect[$langue[$i]] = $langue[$i];
}
echo selectConfigGuppy('lang0', $menuOptionsSelect, $lang[0], '&bull;&nbsp;'.$admin[54]);

$menuOptionsSelect[$admin[57]] = '';
echo selectConfigGuppy('lang1', $menuOptionsSelect, $lang[1], '&bull;&nbsp;'.$admin[56]);

$menuOptionsSelect = array($admin[452] => 'E1', $admin[485] => 'E2', $admin[453] => 'U1', $admin[486] => 'U2', $admin[487] => 'C1', $admin[488] => 'C2');
echo selectConfigGuppy('site19', $menuOptionsSelect, $site[19], '&bull;&nbsp;'.$admin[451]);

$menuOptionsSelect = array($admin[490] => 'H1', $admin[491] => 'H2', $admin[492] => 'H3');
echo selectConfigGuppy('site22', $menuOptionsSelect, $site[22], '&bull;&nbsp;'.$admin[489]);

$menuOptionsSelect = array("&nbsp;" => " ","!" => "!","#" => "#","*" => "*","+" => "+","-" => "-","." => ".",":" => ":","&lt;" => "&lt;",
							"=" => "=","&gt;" => "&gt;","@" => "@","^" => "^","~" => "~","&deg;" => "&deg;","&curren;" => "&curren;",
							"&middot;" => "&middot;","&ordm;" => "&ordm;","&plusmn;" => "&plusmn;","&raquo;" => "&raquo;","&times;" => "&times;","&bull;" => "&bull;");
echo selectConfigGuppy('site23', $menuOptionsSelect, $site[23], '&bull;&nbsp;'.$admin[493]);
echo '
      </div>';
echo '
      </li>
	</ul>
  </li>';
// REECRITURE D'ADRESSES
echo '
  <li>
    <a href="#">'.$admin[1321].'</a>
    <ul>
	  <li>';
echo '
    <div style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">';
echo checkboxConfigGuppy('siteURLR', $site['URLR'], $admin[1314]);
for ($i = 0; $i < count($urlrw); $i++) {
	echo inputConfigGuppy('urlrw'.$i, $urlrw[$i], '230px', '&bull;&nbsp;'.$adm[$i]);
}
echo '
      </div>';
echo '
      </li>
	</ul>
  </li>';
//INFOS SUR LE Webmestre
echo '
  <li>
    <a href="#">'.$admin[62].'</a>
    <ul>
	  <li>';
echo '
    <div style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">';
echo inputConfigGuppy('user0', $user[0], '230px', '&bull;&nbsp;'.$admin[63]);
echo inputConfigGuppy('user1', $user[1], '230px', '&bull;&nbsp;'.$admin[64]);
echo checkboxConfigGuppy('user3', $user[3], '&nbsp;&nbsp;&nbsp; -&nbsp;'.$admin[232]);

$menuOptionsSelect = array('&nbsp;' => '', 'ICQ' => 'ICQ', 'Yahoo' => 'Yahoo', 'Gtalk' => 'Gtalk', 'Skype' => 'Skype', 'Teamspeak' => 'Teamspeak', 'AIM' => 'AIM');
echo selectConfigGuppy('user4', $menuOptionsSelect, $user[4], '&bull;&nbsp;'.$admin[730]);

echo inputConfigGuppy('user2', $user[2], '230px', '&nbsp;&nbsp;&nbsp; -&nbsp;'.$admin[65]);
echo '
    </div>';
echo '
      </li>
	</ul>
  </li>';
//BALISES META
echo '
  <li>
    <a href="#">'.$admin[308].'</a>
    <ul>
	  <li>';
echo '
    <div style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">';
// $menuOptionsSelect = array();
// for ($i = 0; $i < count($langue); $i++) {
	// $menuOptionsSelect[$langue[$i]] = $langue[$i];
// }
// echo selectConfigGuppy('site15', $menuOptionsSelect, $site[15], '&bull;&nbsp;'.$admin[319]);

// echo inputConfigGuppy('site6', $site[6], '260px', '&bull;&nbsp;'.$admin[309]);
echo textareaConfigGuppy('site1', $site[1], '260px', '150px', '&bull;&nbsp;'.$admin[51]);
echo textareaConfigGuppy('site2', $site[2], '260px', '150px', '&bull;&nbsp;'.$admin[52]);
// echo inputURLConfigGuppy('site16', $site[16], '230px', '&bull;&nbsp;'.$admin[320]);

$menuOptionsSelect = array('Index, Follow' => 'Index, Follow', 'Index, NoFollow' => 'Index, NoFollow', 'All' => 'All', 'None' => 'None');
echo selectConfigGuppy('site7', $menuOptionsSelect, $site[7], '&bull;&nbsp;'.$admin[310]);

$menuOptionsSelect = array('14 days' => '14 days', '21 days' => '21 days', '30 days' => '30 days', '60 days' => '60 days');
echo selectConfigGuppy('site8', $menuOptionsSelect, $site[8], '&bull;&nbsp;'.$admin[311]);

echo inputConfigGuppy('site9', $site[9], '230px', '&bull;&nbsp;'.$admin[312]);
// echo inputConfigGuppy('site10', $site[10], '230px', '&bull;&nbsp;'.$admin[313]);

$menuOptionsSelect = array('General' => 'General', 'Mature' => 'Mature', 'Restricted' => 'Restricted');
echo selectConfigGuppy('site12', $menuOptionsSelect, $site[12], '&bull;&nbsp;'.$admin[315]);

// $menuOptionsSelect = array('Global' => 'Global', 'Local' => 'Local');
// echo selectConfigGuppy('site13', $menuOptionsSelect, $site[13], '&bull;&nbsp;'.$admin[316]);

// echo inputConfigGuppy('site14', $site[14], '230px', '&bull;&nbsp;'.$admin[317]);
echo '
    </div>';
echo '
      </li>
	</ul>
  </li>';
//COPYRIGHT GUPPY
echo '
  <li>
    <a href="#">'.$admin[515].'</a>
    <ul>
	  <li>';
echo '
    <div style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">';
$menuOptionsSelect = array($admin[513] => 'N', $admin[512] => '', $admin[511] => 's', $admin[510] => 't');
echo selectConfigGuppy('site24', $menuOptionsSelect, $site[24], '&bull;&nbsp;'.$admin[514]);

$menuOptionsSelect = array($admin[508] => 'T', $admin[494] => 'L', $admin[495] => 'R', $admin[507] => 'B');
echo selectConfigGuppy('site25', $menuOptionsSelect, $site[25], '&bull;&nbsp;'.$admin[509]);

echo checkboxConfigGuppy('site32', $site[32], '&bull;&nbsp;Logos validator W3C :');
echo '
    </div>';
echo '
      </li>
	</ul>
  </li>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</ul>';
echo '
  </div>
</form>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
