<?php
/*******************************************************************************
 *   Admin Configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'config2.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[1] == '') {
        $nomzone = $admin[45];
        include 'access.inc';
        exit();
    }
}

$mycss = import('mycss');
$regit = import('regit');

$messreg  = '';
$messreg2 = '';
if ($regit == 1) {
	$messreg = " OK";
	include CONFIG;
	$meskin = CHEMIN.'skins/'.$selskin.'/';
	if (is_file ($meskin.'confskin.inc')) {
		include $meskin.'confskin.inc';
	} else {
		include CHEMIN.'skins/no_skin/confskin.inc';
	}

	if ($mod_css != "off") {
		$citation[0] = import('citation0', '', true); // Police des citations
		$citation[1] = import('citation1', '', true); // Taille de la police des citations
		$citation[2] = import('citation2', '', true, 'inherit'); // Couleur de la police des citations

		$lien[0] = import('lien0', '', true, 'inherit'); // Lien OFF des boites centrales
		$lien[1] = import('lien1', '', true, 'inherit'); // Lien ON des boites centrales
		$lien[2] = import('lien2', '', true, 'inherit'); // Lien OFF des boites latérales
		$lien[3] = import('lien3', '', true, 'inherit'); // Lien ON des boites latérales
		$lien[4] = import('lien4', '', true, 'inherit'); // Lien OFF de la barre de menu haute
		$lien[5] = import('lien5', '', true, 'inherit'); // Lien ON de la barre de menu haute

		$page[0] = import('page0', '', true, 'inherit'); // Arrière-plan de la page
		$page[1] = import('page1', '', true); // Police des boites centrales
		$page[2] = import('page2', '', true); // Taille des textes des boites centrales
		$page[3] = import('page3', '', true); // Image de fond du site
		$page[5] = import('page5', '', true, 'transparent'); // Arrière-plan du bandeau
		$page[6] = import('page6', '', true); // Image de fond du bandeau
	}
	
	$page[4] = import('page4', '', true); // Logo du site
	$page[7] = import('page7', '', true); // Affichage alerte Javascript désactivé
	$page[8] = import('page8', '', true); // Affichage Temps de chargement de page ON / OFF
		
	if ($mod_css != "off") {
		$page[10] = import('page10', '', true); // Image de fond fixe / mouvante
	}
	
	$page[13] = import('page13', '', true); // Image Page en cours de chargement
	
	if ($mod_css != "off") {
		$page[15] = import('page15', '', true); // Effet animation liens
		$page[16] = import('page16', '', true); // Police des boites latérales
		$page[17] = import('page17', '', true); // Taille des textes des boites latérales
		$page[18] = import('page18', '', true); // Police du menu de navigation
		$page[19] = import('page19', '', true); // Taille des liens du menu de navigation
		$page[20] = import('page20', '', true); // Rollover sur les icônes
		$page[21] = import('page21', '', true); // Image de fond menu icônes
	}
	
	$page[22] = import('page22', '', true); // utilisation titres longs
	$page[28] = import('page28', '', true); // Largeur de page <=> $screen_choice

	if ($mod_css != "off") {
		$bordure[0] = import('bordure0', '', true, 'inherit'); // Couleur des bordures des boites
		$bordure[1] = import('bordure1', '', true, 'inherit'); // Couleur de la base de la barre de défilement
		$bordure[2] = import('bordure2', '', true, 'inherit'); // Couleur des flèches de la barre de défilement
		$bordure[3] = import('bordure3', '', true, 'inherit'); // Couleur des bordures bandeau et pied de page
		$bordure[4] = import('bordure4', '', true, '0px'); // Taille des bordures bandeau et pied de page
		$bordure[5] = import('bordure5', '', true, '0px'); // Taille coins arrondis bandeau et pied de page
		$bordure[6] = import('bordure6', '', true, '0px'); // Taille coins arrondis pages
		$bordure[7] = import('bordure7', '', true, 'inherit'); // Couleur des bordures titre boîtes centrales
		$bordure[8] = import('bordure8', '', true, '0px'); // Taille des bordures titre boîtes centrales
		$bordure[9] = import('bordure9', '', true, '0px'); // Taille coins arrondis titre boîtes centrales
		$bordure[10] = import('bordure10', '', true, 'inherit'); // Couleur des bordures corps boîtes centrales
		$bordure[11] = import('bordure11', '', true, '0px'); // Taille des bordures corps boîtes centrales
		$bordure[12] = import('bordure12', '', true, '0px'); // Taille coins arrondis corps boîtes centrales
		$bordure[13] = import('bordure13', '', true, 'inherit'); // Couleur des bordures titre boîtes latérales
		$bordure[14] = import('bordure14', '', true, '0px'); // Taille des bordures titre boîtes latérales
		$bordure[15] = import('bordure15', '', true, '0px'); // Taille coins arrondis titre boîtes latérales
		$bordure[16] = import('bordure16', '', true, 'inherit'); // Couleur des bordures corps boîtes latérales
		$bordure[17] = import('bordure17', '', true, '0px'); // Taille des bordures corps boîtes latérales
		$bordure[18] = import('bordure18', '', true, '0px'); // Taille coins arrondis corps boîtes latérales

		$barre[0] = import('barre0', '', true, 'inherit'); // Couleur des HR
		$barre[1] = import('barre1', '', true); // Taille des HR
		$barre[2] = import('barre2', '', true); // Style des HR

		$titre[0] = import('titre0', '', true, 'inherit'); // Couleur du titre des boites centrales
		$titre[1] = import('titre1', '', true, 'inherit'); // Arrière-plan du titre des boites centrales
		$titre[2] = import('titre2', '', true); // Police des titres des boites centrales
		$titre[3] = import('titre3', '', true); // Taille des titres des boites centrales
		$titre[4] = import('titre4', '', true, 'inherit'); // Couleur du titre des boites latérales
		$titre[5] = import('titre5', '', true, 'inherit'); // Arrière-plan du titre des boites latérales
		$titre[6] = import('titre6', '', true); // Police des titres des boites latérales
		$titre[7] = import('titre7', '', true); // Taille des titres des boites latérales
		$titre[8] = import('titre8', '', true); // Image de fond des titres des boites centrales
		$titre[9] = import('titre9', '', true); // Image de fond des titres des boites latérales
		$titre[10] = import('titre10', '', true); // Largeur des boîtes et colonnes latérales

		$texte[0] = import('texte0', '', true, 'inherit'); // Couleur des textes des boites centrales
		$texte[1] = import('texte1', '', true, 'inherit'); // Arrière-plan OFF des boites centrales
		$texte[2] = import('texte2', '', true, 'inherit'); // Arrière-plan ON des boites centrales
		$texte[4] = import('texte4', '', true, 'inherit'); // Taille des bordures
		$texte[5] = import('texte5', '', true, 'inherit'); // Couleur des textes des boites latérales
		$texte[6] = import('texte6', '', true, 'inherit'); // Arrière-plan OFF des boites latérales
		$texte[7] = import('texte7', '', true, 'inherit'); // Arrière-plan ON des boites latérales
		$texte[8] = import('texte8', '', true, 'inherit'); // Couleur des textes de bas de page

		$forum[0] = import('forum0', '', true, 'inherit'); // Arrière-plan entêtes forum
		$forum[1] = import('forum1', '', true, 'inherit'); // Arrière-plan du sujet
		$forum[2] = import('forum2', '', true, 'inherit'); // Arrière-plan de la réponse
		$forum[11] = import('forum11', '', true, 'inherit'); // Couleur texte dans entêtes

		$presform[0] = import('presform0', '', true, 'inherit'); // Couleur des textes dans les boites de choix et boutons de commande
		$presform[1] = import('presform1', '', true, 'inherit'); // Couleur des boites de choix
		$presform[2] = import('presform2', '', true, 'inherit'); // Couleur des boutons de commande
		$presform[3] = import('presform3', '', true, 'inherit'); // Couleur des zone de texte
		$presform[4] = import('presform4', '', true); // Police dans la présentation des formulaires
		$presform[5] = import('presform5', '', true); // Taille de la police dans la présentation des formulaires
		$presform[6] = import('presform6', '', true, 'inherit'); // Couleur de fond des textarea
		$presform[7] = import('presform7', '', true); // Taille de la bordure
		$presform[8] = import('presform8', '', true, 'inherit'); // Couleur de la bordure
		$presform[9] = import('presform9', '', true, '0px'); // Taille coins arrondis

		$calendar[0]  = import('calendar0', '', true, 'inherit'); // Couleur de fond des jours libre du mois
		$calendar[1]  = import('calendar1', '', true, 'inherit'); // Couleur de fond des jours du mois
		$calendar[2]  = import('calendar2', '', true, 'inherit'); // Couleur de fond de la journée
		$calendar[3]  = import('calendar4', '', true, 'inherit'); // Couleur de fond des dimanches
		$calendar[4]  = import('calendar1', '', true, 'inherit'); // Couleur de fond de la journée si dimanche
		$calendar[5]  = import('calendar5', '', true); // Police du calendrier
		$calendar[6]  = import('calendar6', '', true); // Taille de la police du calendrier
		$calendar[7]  = import('calendar7', '', true, 'inherit'); // Couleurs de la police des chiffres
		$calendar[8]  = import('calendar8', '', true, 'inherit'); // Couleurs de la police des jours de la semaine
		$calendar[9]  = import('calendar9', '', true, '0px'); // Espacement des bordures du calendrier
		$calendar[10] = import('calendar10', '', true, 'inherit'); // Couleur évènement
		$calendar[11] = import('calendar11', '', true, 'inherit'); // Couleur de fond du calendrier/bordure
		$calendar[12] = import('calendar12', '', true, '0px'); // Taille des bordures du calendrier
		$calendar[13] = import('calendar13', '', true, 'inherit'); // Couleur bordure calendrier
		$calendar[14] = import('calendar14', '', true, '0px'); // Taille coins arrondis calendrier
	}

	include 'inc/confskin.inc';
}

if($regit == 2) {
	$messreg2 = " OK";
    $cssbody  = '';
    if (!empty($page[0]))  $cssbody .= '    background-color: '.$page[0].';';
    $css0 = (!empty($page[0]))? '    background: '.$page[0].';' : '';
    $css1 = ($page[15] == 'on')? '    position: relative;  top: 1px;  left: 1px;' : '';
    $css3 = (!empty($page[10]))? '    background-attachment: fixed;' : '';
    $css4 = (!empty($page[3]))? $css3."\n".'    background-image: url(../../img/'.$page[3].');' : '';
    $css5 = (!empty($page[5]))? '    background-color: '.$page[5].';' : '    background-color: transparent;';
    $css6 = (!empty($page[6]))? $css3."\n".'    background-image: url(../../img/'.$page[6].');' : '';
    $css7 = (!empty($page[21]))? '    background-image: url(../../img/'.$page[21].');' : '';
    $css8 = (!empty($titre[8]))? '    background-image: url(../../img/'.$titre[8].');' : '';
    $css9 = (!empty($titre[9]))? '    background-image: url(../../img/'.$titre[9].');' : '';
    $css10 = (!empty($calendar[0]))? '    background-color: '.$calendar[0].';' : '    background-color: inherit;';
    $css11 = ($boutoncenter != '')? '    border: 0px inset;'."\n".'    height: 20px;'."\n".'    margin: 2px 0px;'."\n".'    padding-bottom: 2px;'."\n".'    vertical-align: top;'."\n".'    text-decoration: none;'."\n".'    background-color: transparent;'."\n".'    background-image: url('.$boutoncenter.');'."\n".'    background-repeat: repeat-x;'."\n".'    font-size: 9px;' : '';
    $css12 = ($texte[4] == '0px')? '    border-width: 0;' : '    border: '.$texte[4].' solid '.$bordure[0].';';
    $css13 = (!empty($titre[10]))? '    width: '.$titre[10].';' : '    width: 172px;';
	$css14 = ($bordure[4] == '0px')? '    border-width: 0;' : '    border: '.$bordure[4].' solid '.$bordure[3].';'."\n".'    border-radius: '.$bordure[5].';';
	$css15 = ($bordure[8] == '0px')? '    border-width: 0;' : '    border: '.$bordure[8].' solid '.$bordure[7].';'."\n".'    border-radius: '.$bordure[9].';';
	$css16 = ($bordure[11] == '0px')? '    border-width: 0;' : '    border: '.$bordure[11].' solid '.$bordure[10].';'."\n".'    border-radius: '.$bordure[12].';';
	$css17 = ($bordure[14] == '0px')? '    border-width: 0;' : '    border: '.$bordure[14].' solid '.$bordure[13].';'."\n".'    border-radius: '.$bordure[15].';';
	$css18 = ($bordure[17] == '0px')? '    border-width: 0;' : '    border: '.$bordure[17].' solid '.$bordure[16].';'."\n".'    border-radius: '.$bordure[18].';';
    /**********************************
     * Construction de la feuille CSS *
     **********************************/
    $csslist = "/*  ---------  CSS generated for ".$mycss."  ----------- */

html { /*  document */
    font: ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
    background: inherit;
}
body { /*  corps du document */
    margin: 0;
    font: ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
".$cssbody."
}
/************
 * Général */
a { /* lien */
    color: ".$lien[0].";
    background: inherit;
    text-decoration: none;
}
a.titre { /* lien titres */
    color: ".$texte[0].";
    background-color: inherit;
    text-decoration: none;
}
a:hover { /* lien survolé */
    color: ".$lien[1].";
    text-decoration: none;
    font-weight: bold;
    background-color: inherit;
".$css1."
}
p { /* paragraphe */
    margin: 16px 0;
    color: inherit;
    background: inherit;
}
hr { /* ligne horizontale */
    height: ".$barre[1].";
    border: ".$barre[1]." ".$barre[2]." ".$barre[0].";
    width: 98%;
}
ul, ol, dl, dd, dt { /* listes */
    padding: 0;
    margin: 0;
}
h1 { /* titre niveau 1 */
    font-size: 24px;
}
h2 { /* titre niveau 2 */
    font-size: 18px;
}
h3 { /* titre niveau 3 */
    font-size: 16px;
}
h4 { /* titre niveau 4 */
    font-size: 14px;
}
img {
    border-style: none !important;
}
/******************************************
* Mise en page des blocks div principaux */
#noscriptWarning {
    background: #B5121B;
    color: #FFF;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 24px;
    line-height: 24px;
    font-weight: 700;
    font-size: 11px;
    font-family: Arial, sans-serif;
}
#screen_choice {
    z-index: 20;
    position: absolute;
    top: 2px;
    right: 4px;
    padding: 0px;
    margin: 0;
    text-align: right;
}
#page{ /* all the page */
    padding-top: 8px;
    color: inherit;
    background-color: ".$page[0].";
".$css4."
}
#header { /* header */
    color: inherit;
    background-color: inherit;
}
#TopBoxes { /* header top and middle (logo-banner + citation) */
    height: auto;
    margin: 0;
    padding: 0;
    color: inherit;
".$css14."
".$css5."
".$css6."
}
#MainContent { /* main page */
    margin: 0 4px;
    padding: 0;
}
#LeftBoxes { /* leftboxes area */
    margin: 0;
    padding-right: 4px;
".$css13."
}
#RightBoxes { /* right boxes area */
    margin: 0;
    padding-left: 4px;
".$css13."
}
#AboveBoxes { /* boîtes au-dessus dans la partie centrale */
    background : inherit;
}
#EditoBoxes { /* boîtes qui apparaissent dans la page d'accueil - CONFIG ACCUEIL */
    background: inherit;
}
#UnderBoxes { /*boîtes en-dessous dans la partie centrale */
    background: inherit;
}
#BottomBoxes { /* optionnal area between main page and bottom */
    margin: 4px 8px;
    text-align: left;
".$css7."
}
#footer { /* footer Copyright */
    font-family: ".$titre[2].";
    text-align: center;
    color: ".$texte[8].";
".$css5."
".$css14."
    padding: 0 8px;
}
#skinCopyright {
    width: 100%;
    text-align: center;
}
#BlogTop {
    width: 100%;
    padding: 0;
    margin: 0;
    color: inherit;
    background-color : inherit;
}
#BlogLeftBoxes { /* colonne gauche du blog */
    padding: 0;
    margin: 0;
    color: inherit;
    background-color : transparent;
".$css13."
}
#BlogRightBoxes { /* colonne droite du blog */
    padding: 0;
    margin: 0;
    color: inherit;
    background-color : transparent;
".$css13."
}
/*******************************************
 * Mise en page des blocks dans le header */
div.logo { /* block logo */
    padding: 0 8px;
    text-align: center;
}
div.banner { /* block bannière */
    background-repeat: no-repeat;
    padding: 8px;
    text-align: center;
}
/*************************
 * block boite citation */
div.quote { /* block citation */
    text-align: center;
    padding: 0 4px;
}
div.quote span.labelcita { /* label */
    font: bold ".$citation[1]." ".$citation[0].";
    color: ".$citation[2].";
    background: inherit;
    border: 0;
    margin: 0;
    padding: 0 8px;
}
div.quote span.cita { /* texte */
    font: ".$citation[1]." ".$citation[0].";
    color: ".$citation[2].";
    background: inherit;
    font-style: normal;
    text-align: center;
    border: 0;
    margin: 0;
    padding: 0 8px;
}
div.quote span.author { /* auteur */
    font: italic ".$citation[1]." ".$citation[0].";
    color: ".$citation[2].";
    background: inherit;
}

/***********************************
 * block box Header Menu sections */
div.menuIcons { /* block menu */
    padding: 8px 0;
}
div.menuIcons ul { /* block liste du menu */
    margin: 0;
    padding: 0;
    list-style: none;
    width: 100%;
}
div.menuIcons ul li { /* toutes les sections */
    float: left;
    margin-right: 8px;
    text-align: center;
}
div.menuIcons ul li span { /* toutes les sections */
    display: block;
    white-space: nowrap;
}
div.menuIcons ul li.menu_flags { /* section drapeau */
    float: left;
    margin-right: 10px;
    text-align: center;
}
div.menuIcons ul li.menu_flags img { /* séparation drapeau */
    margin: 0;
}
div.menuIcons ul li.menu_admin { /* section admin */
    float: right;
    padding-right: 3px;
}
div.menuIcons ul li a span { /* lien */
    color: ".$lien[4].";
    background-color: inherit;
    text-decoration: none;
    font: bold ".$page[19]." ".$page[18].";
}
div.menuIcons ul li a span.current { /* lien actif */
    color:".$lien[5].";
    background-color: ".$lien[4].";
    text-decoration: underline;
}
div.menuIcons ul li a:hover span { /* lien survolé*/
    color: ".$lien[5].";
    text-decoration: underline;
    background-color: inherit;
".$css1."
}
/************************************
 * block box lateral Menu Sections */
ul.boxmenu { /* block liste */
    margin: 0;
    padding: 5px 0;
    list-style: none;
}
ul.boxmenu li { /* items liste */
    margin-bottom: 10px;
}
ul.boxmenu li .cur_item { /* items actifs liste */
    margin-bottom: 10px;
}
ul.boxmenu li img { /* icons */
    vertical-align: middle;
    margin-right: 10px;
}
/*****************
 * Fil d'ariane */
.ariane { /* bloc fil d'ariane */
    text-align: left;
    padding: 4px;
    margin: 0px;
}
div.ariane span.arianeOn { /* adresses actives */
    font-style: italic;
    color: inherit;
}
div.ariane span.arianeOff { /* page courante */
    font-style: italic;
    color: #FF0000;
}
/******************************************
 * Mise en page des blocks dans le corps */
/* block lateral boxes */
.htable {
    margin-bottom: 8px;
}
.htable1 {
    margin-bottom: 8px;
}
.tblbox {  /* Corps */
    color:inherit;
".$css12."
".$css18."
    padding: 4px;
    margin-bottom: 8px;
    text-align:left;
}
.tblboxover { /* Corps survolé */
    background-color: ".$texte[7].";
}
.tblboxout { /* Corps non survolé */
    background-color: ".$texte[6].";
}
.titrebox { /* Titre */
    background-color: ".$titre[5].";
".$css9."
".$css12."
".$css17."
    padding: 4px;
    white-space: nowrap;
    font: bold ".$titre[7]." ".$titre[6].";
    color: ".$titre[4].";
    text-align: left;
}
/* block central boxes */
.titre, .titre a {
    background-color: ".$titre[1].";
".$css8."
".$css12."
".$css15."
    padding: 5px;
    white-space: nowrap;
    font: bold ".$titre[3]." ".$titre[2].";
    color: ".$titre[0].";
    text-align: left;
}
.tbl {
".$css12."
".$css16."
    font: ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
    padding: 4px;
    margin-bottom: 8px;
    text-align:left;
}
.tblout {
    background-color: ".$texte[1].";
}
.tblover {
    background-color: ".$texte[2].";
}
div ul, ol { /* listes */
    padding: 8px 0 8px 8px;
    margin-left: 16px;
}
div li{
    padding: 0;
    margin-left: 12px;
}
.box {
    font: ".$page[17]." ".$page[16].";
    color: ".$texte[5].";
    background-color: inherit;
    text-align: left;
}
p.box {
    margin: 0;
    font: ".$page[17]." ".$page[16].";
    color: ".$texte[5].";
    background-color: inherit;
}
.box a, .item a {
    color: ".$lien[2].";
    background-color: inherit;
    text-decoration: none;
    font: ".$page[17]." ".$page[16].";
}
.box a:hover, .item a:hover {
    color: ".$lien[3].";
    text-decoration: none;
    background-color: inherit;
".$css1."
}
.boxnet {
    width: 100%;
    margin: auto;
    text-align: center;
    background-color: transparent;
}
.boxprint { 
    margin: 0;
    font: ".$page[2]." ".$page[1].";
    color: inherit;
    background-color: inherit;
}
.thinboxsearch {
    background-color: inherit;
    text-align: center;
}
.wideboxsearch {
    background-color: inherit;
    text-align: center;
}
.thinboxsearch1 {
    background-color: inherit;
    text-align: center;
}
.wideboxsearch1 {
    background-color: inherit;
    padding-bottom: 8px;
    margin: auto;
    text-align: center;
    width: 172px;
}
.thinboxsearch2 {
    background-color: inherit;
    text-align: center;
}
.wideboxsearch2 {
    background-color: inherit;
    padding-bottom: 8px;
    margin: -10px auto auto;
    text-align: center;
    width: 172px;
}
/****************************
 * block box lateral Article
 * (menu list, menu dynamic 1, menu dynamic 2) */
.rubr { /* catégories des articles */
    font: bold ".$page[17]." ".$page[16].";
    color: ".$lien[2].";
    background-color: inherit;
    text-align: left;
    margin: 1px;
    padding: 4px 2px;
}
p.rubr { 
    padding: 0 2px;
    margin: 1px;
    font: inherit;
    color: inherit;
    background-color: inherit;
    text-align: left;
}
.item {
    font: ".$page[17]." ".$page[16].";
    color: ".$lien[2].";
    background-color: inherit;
    text-align: left;
    list-style: none;
    margin: 0;
    padding: 2px 0;
}
ul.item {
    margin: 0;
    padding: 0;
}
ul.item li.item { /* titres des articles */
    font: ".$page[17]." ".$page[16].";
    color: ".$lien[2].";
    background-color: inherit;
    text-align: left;
    list-style: none;
    padding: 2px 0 2px 10px;
}
.curr_item {
    font: ".$page[17]." ".$page[16].";
    color: ".$forum[11].";
    background-color: ".$forum[0].";
    text-align: left;
    list-style: none;
    padding: 2px 0;
}
ul.item li.curr_item a { /* titre article est affiché */
    font: ".$page[17]." ".$page[16].";
    color: ".$forum[11].";
    background-color: ".$forum[0].";
    text-align: left;
    list-style: none;
    padding: 2px 0 2px 10px;
}
/***************
 * info bulle */
.pop {
    text-align: justify;
    cursor: help;
    float: left;
	position: relative;
    z-index: 30;
}
.pop a {
    display: block;
}
.pop span {
    display: none;
    z-index: 30;
}
.pop a:hover span {
    color: ".$texte[0].";
    background-color: ".$presform[6].";
    font: normal ".$page[2]." ".$page[1].";
    border: 1px solid ".$presform[8].";
    border-radius: 6px;
    display: block;
    position: absolute;
    width: 280px;
    text-decoration: none;
    padding: 4px;
    margin-top: 8px;
    text-shadow: 0px 0px 0px;
}
.pop a:hover span em {
    position: absolute;
    top: -7px;
    left: 8px;
    height: 7px;
    width: 11px;
    background: transparent url(img/infobullet.png);
    border: none;
}
/*************
 * Calendar */
.cal {
    width: 100%;
    text-align: center;
    margin: auto;
    border-collapse: separate;
    border: ".$calendar[12]." solid ".$calendar[13].";
    border-radius: ".$calendar[14].";
    border-spacing: ".$calendar[9].";
    color: inherit;
    background-color: ".$calendar[11].";
}
tr.cal { /* calendar nav bar */
    font: ".$calendar[6]." ".$calendar[5].";
    color: ".$calendar[8].";
    background-color: ".$calendar[3].";
    text-align: center;
}
td.cals { /* week */
    font: ".$calendar[6]." ".$calendar[5].";
    color: ".$calendar[8].";
    background-color: ".$calendar[11].";
".$css9."
    width: 14%;
    text-align: center;
}
td.cal0 { /* empty cell*/
    font: ".$calendar[6]." ".$calendar[5].";
    color: ".$calendar[7].";
".$css10."
    width: 14%;
    text-align: center;
}
td.cal1 { /* days */
    font: ".$calendar[6]." ".$calendar[5].";
    color: ".$calendar[7].";
    background-color: ".$calendar[1].";
    width: 14%;
    text-align: center;
}
td.cal2 { /* today */
    font: ".$calendar[6]." ".$calendar[5].";
    color: ".$calendar[7].";
    background-color: ".$calendar[2].";
    border: ".$calendar[12]." solid ".$calendar[13].";
    border-radius: ".$calendar[14].";
    width: 14%;
    text-align: center;
}
td.cal3 { /* sunday or special */
    font: ".$calendar[6]." ".$calendar[5].";
    color: ".$calendar[7].";
    background-color: ".$calendar[3].";
    border: ".$calendar[12]." solid ".$calendar[13].";
    border-radius: ".$calendar[14].";
    width: 14%;
    text-align: center;
}
td.cal4 { /* today is sunday or special */
    font: ".$calendar[6]." ".$calendar[5].";
    color: ".$calendar[7].";
    background-color: ".$calendar[4].";
    border: ".$calendar[12]." solid ".$calendar[13].";
    border-radius: ".$calendar[14].";
    width: 14%;
    text-align: center;
}
td.calevt { /* planner event */
    font: bold ".$calendar[6]." ".$calendar[5].";
    color: ".$calendar[8].";
    background-color: ".$calendar[10].";
    text-decoration: underline;
    text-align: center;
    width: 14%;
}
/************************
 * Formulaires (Forms) */
form { /* formulaire */
    margin: 3px 0;
}
fieldset { /* Encadrement des champs */
    border: ".$presform[7]." solid ".$forum[0].";
    border-radius: ".$presform[9].";
    margin: 8px;
}
legend { /* légende des encadrements */
    font: ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
    background-color: inherit;
    font-weight: bold;
}
input.bouton, button { /* bouton */
    cursor: pointer;
    margin: 4px 0;
    color: ".$presform[0].";
    border: 1px inset ".$presform[8].";
    background-color: ".$presform[2].";
    font: ".$presform[5]." ".$presform[4].";
".$css11."
}
input.texte { /* champ texte */
    background-color: ".$presform[3].";
    font: ".$presform[5]." ".$presform[4].";
    color: ".$presform[0].";
    border: ".$presform[7]." solid ".$presform[8].";
    margin: 4px 0;
}
select { /* champ select */
    color: ".$presform[0].";
    background-color: ".$presform[1].";
    font: ".$presform[5]." ".$presform[4].";
    border: ".$presform[7]." solid ".$presform[8].";
    margin: 4px 0;
}
textarea { /* champ textarea */
    color: ".$presform[0].";
    background-color: ".$presform[6].";
    border: ".$presform[7]." solid ".$presform[8].";
    overflow: auto;
    margin: 4px 0;
}
/*************************************
 * block box central forum - tables */
.row {
    width: 100%;
    border: none;
}
.col {
    width: 100%;
    vertical-align: top;
}
.forum, .forum a {
    background-color: ".$forum[0].";
    padding: 5px 5px;
    font: bold ".$page[2]." ".$page[1].";
    color: ".$forum[11].";
    text-align: center;
}
.forum2, .forum2 td a {
    background-color: ".$forum[0].";
    padding: 5px 5px;
    font: ".$page[2]." ".$page[1].";
    color: ".$forum[11].";
    text-align: left;
}
tr.forum2 {
    background-color: ".$forum[0].";
".$css8."
    padding: 5px 5px;
    font: bold ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
    text-align: left;
}
.quest {
    background-color: ".$forum[1].";
    padding: 5px 5px 5px 5px;
    font: ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
    text-align: left;
}
.rep {
    background-color: ".$forum[2].";
    padding: 10px 5px 5px 5px;
    font: ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
    text-align: left;
}
.bord {
    border: 1px solid ".$forum[0].";
    padding: 1px;
}
.bord2 {
    border: 2px double ".$forum[2].";
}
/**********************
 * Editeur CKEditor */
.Code {
    border: 1px solid ".$forum[0].";
    padding-right: 5px;
    padding-left: 5px;
    color: ".$texte[5].";
    font: 11px ".$titre[2].", Monospace;
    background-color: ".$forum[2].";
}
/*********************
 * Editeur pgeditor */
div.pgeditor {
    color: inherit;
    background-color: inherit;
}
div #toolbarIcons_ptxt, div #toolbarSmileys_ptxt {
    color: inherit;
    background-color: ".$forum[0].";
    border: 1px solid ".$forum[0].";
}
/************************
 * Divers, inclassables */
.f-right {
    float: right;
}
.f-left {
    float: left;
}
.c-right {
    clear: right;
	display: none;
}
.c-left {
    clear: left;
	display: none;
}
.c-both {
    clear: both;
	display: none;
}
.top {
    font: 0.8em ".$titre[2].";
    color: ".$texte[8].";
    background-color: inherit;
    text-align: center;
}
.timer {
    font: italic 0.9em ".$titre[2].";
    color: ".$texte[8].";
    background-color: inherit;
    text-align: center;
    padding: 8px;
}
.clsCursor {
    cursor: pointer;
}
.notice { 
    color: red;
    background-color: #FF9;
    padding: 2px;
}
.errorInputText {
    background-color: #FFE5E5;
    font: 11px Arial, Helvetica, sans-serif;
    color: #000099;
    border: 1px solid #8F916A;
    margin: 4px 0;
}
/********************
 * Menus déroulants */
ul.dropdown {
    font-weight: bold;
    list-style: none;
    margin: 0; 
    padding: 0;
    position: relative;
    float: left;
}
ul.dropdown li {
    padding: 7px 10px;
    border: 1px solid ".$forum[2].";
".$css5."
    color: #000;
    list-style: none;
    margin: 0;
    float: left;
    line-height: 1.3em;
    vertical-align: middle;
}
ul.dropdown li:hover {
".$css5."
    color: #000;
    position: relative;
    z-index: 599;
    cursor: pointer;
}
ul.dropdown a:link, ul.dropdown a:visited	{
    color: #000;
    text-decoration: none;
}
ul.dropdown a:hover {
    color: #000;
}
ul.dropdown ul {
    width: 150px;
    margin-top: 1px;
    list-style: none;
    margin: 0;
    padding: 0;
    visibility: hidden;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 598;
}
ul.dropdown ul li {
    font-weight: normal;
    float: none;
}
ul.dropdown ul ul {
    top: 1px;
    left: 99%;
}
ul.dropdown li *.dir {
    padding-right: 20px;
}
ul.dropdown-horizontal ul li *.dir {
    padding-right: 20px;
}
ul.dropdown li:hover > ul {
    visibility: visible;
}
ul.dropdown-vertical {
    width: 160px;
}
ul.dropdown-vertical ul {
    top: 1px;
    left: 99%;
}
ul.dropdown-vertical li {
    float: none;
}
ul.dropdown-linear {
    width: 100%;
}
ul.dropdown-linear li {
    font: bold ".$page[19]." ".$page[18].";
}
ul.dropdown-linear ul li {
    float: left;
}
ul.dropdown-linear li:hover {
    position: static;
}
ul.dropdown-linear ul li:hover {
".$css5."
}
ul.dropdown-linear ul ul {
    display: none !important;
}
/*************
 * Mots-clés */
ul.keyword {
    list-style: none;
    margin: 0; 
    padding: 0;
    position: relative;
    float: left;
}
ul.keyword li {
    margin: 0;
	padding: 0 6px;
    background-color: transparent;
    color: #000;
    list-style: none;
    float: left;
	line-height: 2.0em;
	vertical-align: bottom;
}
ul.keyword li:hover {
    background-color: transparent;
    color: #000;
    position: relative;
    z-index: 599;
    cursor: pointer;
}
ul.keyword ul {
    width: 180px;
    list-style: none;
    margin: 0;
    padding: 0;
    visibility: hidden;
    position: absolute;
    top: 75%;
    left: 0;
    z-index: 598;
}
ul.keyword-horizontal ul li *.dir {
    padding-right: 20px;
}
ul.keyword li:hover > ul {
    visibility: visible;
}
ul.keyword div {
    border: 1px solid #000;
	border-radius: 4px;
	background-color: ".$forum[2].";
	padding: 4px 8px;
	line-height: 1.3em;
}
.keyword0 { /* nombre d'occurrences nulle */
    font-size : 0.8em;
}
.keyword1 { /* entre 1 et 3 */ 
    font-size : 1.2em;
}
.keyword2 { /* entre 4 et 5 */
    font-size : 1.6em;
}
.keyword3 { /* plus de 5 */
    font-size : 2.0em;
}
/************************
 * Cryptogrammes texte */
.cryptogram0 {
    color: #000;
	background-color: #FFF;
	border: 2px solid #000;
	border-radius: 4px;
}
.cryptogram1 {
    color: #000;
	background-color: #FFF;
	border: 2px solid #000;
	border-radius: 4px;
}
.cryptogram2 {
    color: #000;
	background-color: #FFF;
	border: 2px solid #000;
	border-radius: 4px;
}
";

    if (FileDBExist($meskin.'styleplus.css')) { // add particular css list
        $plus = fopen($meskin.'styleplus.css', 'r');
        while (!feof($plus)) {
            $csslist .= fgets($plus, 255);
        }
        fclose($plus);
    }
    @chmod(CHEMIN.'skins', 0777);
    @chmod(CHEMIN.'skins/'.$mycss, 0777);
    @chmod(CHEMIN.'skins/'.$mycss.'/style.css', 0666);
    $csslist = str_replace('\'', '"', $csslist);
    WriteFullDB(CHEMIN.'skins/'.$mycss.'/style.css', $csslist);
	
    /****************************************
     * Construction de la feuille CSS jQuery*
     ****************************************/
    $csslist = "/*  ---------  CSS jQuery generated for ".$mycss."  ----------- */

/************
 * Onglets */
#gytabs{
    display: none;
    margin-left: -4px;
}
#gytabs li{
    position: relative;
    float: left;
    list-style: none;
    padding: 2px 5px 7px;
    margin-right : -8px;
    border: 1px solid ".$forum[0].";
    cursor: pointer;
    background-color: inherit;
    color: ".$texte[0].";
    z-index: 1;
}
#gytabs .gyactif{
    margin-bottom : 1px;
    background-color: ".$forum[0].";
    font-weight: bold;
    color: ".$titre[0].";
    z-index: 10;
}
#gytabcontent{
    clear: both;
    position: relative;
    margin: 0 2px;
    padding: 0 4px;
    border: 1px solid ".$forum[0].";
    top: -2px;
    background-color: ".$forum[1].";
    color: ".$texte[0].";
    width: auto;
    overflow: hidden;
    z-index: 5;
}

/********************
Accordéon vertical */
#gyaccordion {
    width: auto;
    height: auto;
    list-style-type: none;
    background-color: inherit;
    color: inherit;
}
#gyaccordion a {
    display: block;
    font-weight: bold;
    text-decoration: none;
}
#gyaccordion ul {
    overflow: hidden;
    margin: 0;
    padding: 0;
}
#gyaccordion li {
    margin: auto;
    list-style-type: none;
    height:auto;
}
#gyaccordion li a {
    width: auto;
    height: auto;
    padding: 4px;
    display: block;
    color: ".$titre[0].";
}
#gyaccordion li a.closed {
    color: ".$texte[0]." !important;
    background-color: ".$forum[1].";
    border: 1px solid ".$titre[1].";
    margin: 4px 0;
}
#gyaccordion li.firstitem a.closed {
    color: ".$texte[0]." !important;
    background-color: ".$forum[1].";
    border: 1px solid ".$titre[1].";
}
#gyaccordion li.lastitem a.closed {
    color: ".$texte[0]." !important;
    background-color: ".$forum[1].";
    border: 1px solid ".$titre[1].";
}
#gyaccordion li  li {
    width: auto;
    height: auto;
    margin: auto;
    line-height: 28px;
    border: 1px solid ".$titre[1].";
}
#gyaccordion li a.opened {
    color: ".$titre[0].";
    font-weight: bold;
    background-color: ".$titre[1].";
    border: 1px solid ".$titre[1].";
    margin: 4px 0;
}
#gyaccordion li.firstitem a.opened {
    color: ".$titre[0].";
    font-weight: bold;
    background-color: ".$titre[1].";
    border: 1px solid ".$titre[1].";
    margin: 4px 0;
}
#gyaccordion li.lastitem li {
    margin: 4px 0 12px 0;
}
#gyaccordion li.lastitem ul {
    padding-bottom: 4px;
    margin: 0;
}

/* fenêtre modale */
#gyfade {
    display: none;
    background: ".$texte[0]."; 
    position: fixed; 
    left: 0;
    top: 0; 
    z-index: 10;
    width: 100%;
    height: 100%;
    opacity: .60;
    z-index: 9999;
}
.gypopup_block{
    display: none;
    background: ".$page[0].";
    color: ".$texte[0].";
    padding: 20px; 	
    float: left;
    font-size: 1.2em;
    position: fixed;
    top: 50%; left: 50%;
    z-index: 99999;
    box-shadow: 0px 0px 20px ".$texte[0].";
    border: 14px solid ".$titre[1].";
    border-radius: ".$bordure[9].";
}
.gypopup_block a { /* lien pop */
    color : ".$texte[0].";
    text-decoration: underline;
}
img.gybtn_close {
    float: right; 
    margin: -50px -50px 0 0;
    border: none;
    color: ".$titre[0].";
}
.gypopup p {
    padding: 5px 10px;
    margin: 5px 0;
}
";
	
    @chmod(CHEMIN.'skins/'.$mycss.'/jqstyle.css', 0666);
    $csslist = str_replace('\'', '"', $csslist);
    WriteFullDB(CHEMIN.'skins/'.$mycss.'/jqstyle.css', $csslist);
}

if ($regit == 3) {
	$nameskin = import('nameskin');
	if (preg_match('/^[a-z0-9_]{4,20}$/', $nameskin) && !is_dir(CHEMIN.'skins/'.$nameskin)) {
		recursiveCopy(CHEMIN.'skins/no_skin', CHEMIN.'skins/'.$nameskin);
		$selskin = $userprefs[10] = $page[14] = $nameskin;
	}
}

include CONFIG;
$selskin = is_file(CHEMIN.'skins/'.$selskin.'/confskin.inc') ? $selskin : 'no_skin';
$meskin = CHEMIN.'skins/'.$selskin.'/';
if (is_file ($meskin.'confskin.inc')) {
    include $meskin.'confskin.inc';
} else {
    die('Skin not found : '.$meskin);
}

$skn = isset($selskin) ? '&amp;selskin='.$selskin : '';

$imgs         = ExploreImg("img/");
$theme        = ExploreDir('inc/img/icons/');
$countheme    = ExploreDir('inc/img/counter/');
$smileystheme = ExploreDir('inc/img/smileys/');
$skintheme    = ExploreDir('skins/');
$progbartheme = ExploreImg("inc/img/progbar/");
$avatartheme  = ExploreDir('inc/img/avatars/');

$fontNames = array(
    "Arial, Helvetica, sans-serif",
    "Verdana, 'Bitstream Vera Sans, sans-serif'",
    "'Trebuchet MS', Helvetica, sans-serif",
    "'Comic sans MS', Arial, sans-serif",
    "'Times New Roman', Times, serif",
    "Georgia, 'Times New Roman', serif",
    "'Courier New', Courier, monospace"
    );

$headinc .= '
    <script type="text/javascript">
        $(document).ready( function() {
            $("#gyaccordion").hoverAccordion({
                keepHeight: false,
                activateItem: 1,
				onClickOnly: true,
                speed: 400
            });
            $("#gyaccordion").children("li:first").addClass("firstitem");
            $("#gyaccordion").children("li:last").addClass("lastitem");
        });
    </script>
';

$headinc .= '
<link rel="stylesheet" media="screen" type="text/css" href="../inc/colorpicker/css/colorpicker.css" /> 
<script type="text/javascript" src="../inc/colorpicker/js/colorpicker.js"></script>
';

function GetSelector($inputname, $color) { // Palette de couleurs
	return '
			<div>
			  <input id="'.$inputname.'" name="'.$inputname.'" type="text" size="6" value="'.$color.'" style="font:12px Arial;text-align:center;width:76px;height:18px;border:1px solid #000;border-radius:4px 0 0 4px;float:left;" />
			  <div style="float:left;width:40px;height:20px;vertical-align:top;border:1px solid #000;border-left:none;background-color:'.$color.';padding:-4px 0 4px 0;"></div>
			  <div id="'.$inputname.'div" style="float:left;width:40px;height:20px;border:1px solid #000;border-left:none;background-color:'.$color.';border-radius:0 4px 4px 0;">&nbsp;</div>
			</div>'.
			BeginJavascript()."
			$('#".$inputname."').ColorPicker({
				onSubmit: function(hsb, hex, rgb, el) {
					$(el).val('#' + hex.toUpperCase());
					$(el).ColorPickerHide();
				},
				onChange: function (hsb, hex, rgb) {
					$('#".$inputname."div').css('backgroundColor', '#' + hex);
				},
				onBeforeShow: function () {
					$(this).ColorPickerSetColor(this.value);
				}
			})
			.bind('keyup', function(){
				$(this).ColorPickerSetColor(this.value);
			});".EndJavascript();
}

function SelectFontOptions($name, $value, &$fontNames) {
    $out = '
            <select name="'.$name.'">';
    foreach ($fontNames as $font) {
        $out .= '
              <option value="'.$font.'"'.Selected($value == $font).'>'.$font.'</option>';
    }
    return $out.'
            </select>';
}

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[67]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[67], '100%');

echo '
<div style="padding:16px 0;">'.ToHelp($lng, 'config2').'</div>';

if ($mod_css == "off") {
	echo '
<br />
<div class="notice" style="text-align:center;">'.$admin[894].'<br /></div>
<br />';
} 
else {
	echo '
<div style="text-align:center;">
'.$admin[68].'<br />'.$admin[69].'
</div>';
}

echo '
<p class="forum" style="text-align:left; padding:5px 20px;">'.$admin[725].' : '.$userprefs[10].$messreg.'</p>
<div style="width:650px; margin:0 auto;">
<hr />';
if ($selskin == 'no_skin') {
	echo '
  <p style="text-align:center;">'.$admin[1438].'</p>
  <fieldset>
	<form name="genskin" action="admin.php?lng='.$lng.'&amp;pg=config2" method="post">
	  <input type="hidden" name="regit" value="3" />
	  <p class="forum2" style="text-align:center;">'.$admin[1439].'
	    <input type="text" class="texte" name="nameskin" size=20 />
	  </p>
	  <p style="text-align:center;">'.SubmitButton($admin[38]).'</p>
    </form>
  </fieldset>';
} else {
	if ($mod_css != 'off') {
		echo '
  <p style="text-align:center;">'.$admin[722].'</p>';
		echo '
  <fieldset>'.legend($admin[724].$messreg2);
		if (FileDBExist($meskin.'style.css') && FileDBExist($meskin.'jqstyle.css')) {
			echo '
		<b>'.$admin[725].'&nbsp;:&nbsp;'.$selskin.'</b>';
		}
		echo '
	<form name="gencss" action="admin.php?lng='.$lng.'&amp;pg=config2" method="post">
	  <input type="hidden" name="regit" value="2" />
	  <input type="hidden" name="selskin" value="'.$selskin.'" />
	  <input type="hidden" name="mycss" value="'.$selskin.'" />
	  <p class="forum2" style="text-align:center;">'.$admin[723].'</p>
	  <p style="text-align:center;">'.SubmitButton($admin[726]).'</p>
    </form>
  </fieldset>
  <hr /><br />';
	}
	echo '
  <form name="conf2" action="admin.php?lng='.$lng.'&amp;pg=config2" method="post">
    <input type="hidden" name="regit" value="1" />
    <input type="hidden" name="selskin" value="'.$selskin.'" />

    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>';

	if ($mod_css == 'off') {
		// Pages
		echo '
    <fieldset>'.legend($admin[81]).'
      <table style="width:100%;">
        <tr>
          <td style="width:55%;padding:4px;text-align:left;">&bull; '.$admin[91].' </td>
          <td style="padding:4px;">
            <select name="page4">
              <option value="">'.$admin[90].'</option>';
		for ($i = 0; $i < count($imgs); $i++) {
			echo '
              <option value="'.$imgs[$i].'"'.Selected($page[4] == $imgs[$i]).'>'.$imgs[$i].'</option>';
		}
		echo '
            </select>
          </td>
        </tr>
      </table>
    </fieldset>
    <fieldset>'.legend($admin[83]).'
      <table style="width:100%;">';
		if ($mod_scr != 'off') {
			echo '
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[1384].'</td>
          <td style="padding:4px;">
            <select name="page28">';
			foreach (array($admin[1385] => $screen_choice, 'Full <-> [1024px]' => '', 'Full' => 'fix', 
						   '800px' => '800', '1024px' => '1024', '1280px' => '1280', '1600px' => '1600') as $key => $value) {
				echo '
              <option value="'.$value.'"'.Selected($page[28] == $value).'>'.$key.'</option>';
			}
			echo '
            </select>
          </td>
        </tr>';
		}
		echo '
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[623].'</td>
          <td style="padding:4px;"><input type="checkbox" name="page22" '.Checked($page[22] == 'on').' /></td>
        </tr>';
		echo '
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[243].'</td>
		  <td style="padding:4px;"><input type="checkbox" name="page7" '.Checked($page[7]).' /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[244].'</td>
		  <td style="padding:4px;"><input type="checkbox" name="page8" '.Checked($page[8]).' /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[459].'</td>
          <td style="padding:4px;">
            <select name="page13">
              <option value="">'.$admin[460].'</option>';
		for ($i = 0; $i < count($progbartheme); $i++) {
			echo '
              <option value="'.$progbartheme[$i].'"'.Selected($page[13] == $progbartheme[$i]).'>'.$progbartheme[$i].'</option>';
		}
		echo '
            </select>
          </td>
        </tr>';
		echo '
      </table>
    </fieldset>';
	} else {
		echo '
  <ul id="gyaccordion" style="max-width:650px; margin:auto;">
    <li>
      <a href="#">'.$admin[81].'</a>
      <ul>
	    <li>';
		// Bandeau
		echo '
      <table style="width:100%;">
        <tr>
          <td style="width:55%;padding:4px;text-align:left;">&bull; '.$admin[91].' </td>
          <td style="padding:4px;">
            <select name="page4">
              <option value="">'.$admin[90].'</option>';
		for ($i = 0; $i < count($imgs); $i++) {
			echo '
              <option value="'.$imgs[$i].'"'.Selected($page[4] == $imgs[$i]).'>'.$imgs[$i].'</option>';
		}
		echo '
            </select>
          </td>
        </tr>
        <tr>
          <td style="text-align:left;padding:4px;">&bull; '.$admin[82].'</td>
		  <td style="padding:4px;vertical-align:top;">'.GetSelector('page5', $page[5]).'</td>
        </tr>
        <tr>
          <td style="padding:4px;text-align:left;">&bull; '.$admin[88].' </td>
          <td>
            <select name="page6">
              <option value="">'.$admin[90].'</option>';
		for ($i = 0; $i < count($imgs); $i++) {
			echo '
			  <option value="'.$imgs[$i].'"'.Selected($page[6] == $imgs[$i]).'>'.$imgs[$i].'</option>';
		}
		echo '
            </select>
          </td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[87].'</td>
		  <td style="padding:4px;">'.GetSelector("bordure3", "$bordure[3]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[211].'</td>
		  <td style="padding:4px;"><input name="bordure4" class="texte" type="text" size="4" value="'.$bordure[4].'" /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1343].'</td>
		  <td style="padding:4px;"><input name="bordure5" class="texte" type="text" size="4" value="'.$bordure[5].'" /></td>
        </tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[405].'</a>
      <ul>
	    <li>';
		// Citations
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[85].'</td>
		  <td style="padding:4px;">'.SelectFontOptions('citation0', $citation[0], $fontNames).'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[86].'</td>
		  <td style="padding:4px;"><input name="citation1" class="texte" type="text" size="4" value="'.$citation[1].'" /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[93].'</td>
		  <td style="padding:4px;">'.GetSelector('citation2', $citation[2]).'</td>
        </tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[806].'</a>
      <ul>
	    <li>';	
		// Menu de navigation
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
		  <td style="padding:4px;width:55%;">&bull; '.$admin[85].'</td>
		  <td style="padding:4px;">'.SelectFontOptions('page18', $page[18], $fontNames).'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:4px;">&bull; '.$admin[86].'</td>
		  <td style="padding:4px;"><input name="page19" class="texte" type="text" size="4" value="'.$page[19].'" /></td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:4px;">&bull; '.$admin[101].'</td>
		  <td style="padding:4px;">'.GetSelector("lien4", "$lien[4]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:4px;">&bull; '.$admin[102].'</td>
		  <td style="padding:4px;">'.GetSelector("lien5", "$lien[5]").'</td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[88].'</td>
          <td style="padding:4px;">
            <select name="page21">
              <option value="">'.$admin[90].'</option>';
		for ($i = 0; $i < count($imgs); $i++) {
			echo '
              <option value="'.$imgs[$i].'"'.Selected($page[21] == $imgs[$i]).'>'.$imgs[$i].'</option>';
		}
		echo '
            </select>
          </td>
        </tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[83].'</a>
      <ul>
	    <li>';
		// Pages
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[1384].'</td>
          <td style="padding:4px;">
            <select name="page28">';
		foreach (array($admin[1385] => $screen_choice, 'Full <-> [1024px]' => '', 'Full' => 'fix', 
					   '800px' => '800', '1024px' => '1024', '1280px' => '1280', '1600px' => '1600') as $key => $value) {
			echo '
              <option value="'.$value.'"'.Selected($page[28] == $value).'>'.$key.'</option>';
		}
		echo '
            </select>
          </td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[623].'</td>
          <td style="padding:4px;"><input type="checkbox" name="page22" '.Checked($page[22] == 'on').' /></td>
        </tr>';
				
		echo '
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[82].'</td>
		  <td style="padding:4px;">'.GetSelector("page0", "$page[0]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[88].'</td>
          <td style="padding:4px;">
            <select name="page3">
              <option value="">'.$admin[90].'</option>';
		for ($i = 0; $i < count($imgs); $i++) {
			echo '
              <option value="'.$imgs[$i].'"'.Selected($page[3] == $imgs[$i]).'>'.$imgs[$i].'</option>';
		}
		echo '
            </select>
          </td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[321].'</td>
		  <td style="padding:4px;"><input type="checkbox" name="page10" '.Checked($page[10]).' /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[87].'</td>
		  <td style="padding:4px;">'.GetSelector("bordure0", "$bordure[0]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[211].'</td>
		  <td style="padding:4px;"><input name="texte4" class="texte" type="text" size="4" value="'.$texte[4].'" /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1343].'</td>
		  <td style="padding:4px;"><input name="bordure6" class="texte" type="text" size="4" value="'.$bordure[6].'" /></td>
        </tr>';

		echo '
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[243].'</td>
		  <td style="padding:4px;"><input type="checkbox" name="page7" '.Checked($page[7]).' /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[244].'</td>
		  <td style="padding:4px;"><input type="checkbox" name="page8" '.Checked($page[8]).' /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[459].'</td>
          <td style="padding:4px;">
            <select name="page13">
              <option value="">'.$admin[460].'</option>';
		for ($i = 0; $i < count($progbartheme); $i++) {
			echo '
              <option value="'.$progbartheme[$i].'"'.Selected($page[13] == $progbartheme[$i]).'>'.$progbartheme[$i].'</option>';
		}
		echo '
            </select>
          </td>
        </tr>';

		echo '
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[620].'</td>
		  <td style="padding:4px;"><input type="checkbox" name="page15" '.Checked($page[15]).' /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[14].", ".$web[172]." :".'</td>
		  <td style="padding:4px;width:50%;">'.GetSelector("texte8", "$texte[8]").'</td>
        </tr>';

		echo '
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[92].$admin[96].'</a>
      <ul>
	    <li>';
		// Titre des boîtes centrales
		echo '	
      <table style="width:100%;">
        <tr style="text-align:left;">
           <td style="padding:4px;width:55%;">&bull; '.$admin[82].'</td>
		   <td style="padding:4px;">'.GetSelector("titre1", "$titre[1]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[94].'</td>
          <td style="padding:4px;">
            <select name="titre8">
              <option value="">'.$admin[90].'</option>';
		for ($i = 0; $i < count($imgs); $i++) {
			echo '
              <option value="'.$imgs[$i].'"'.Selected($titre[8] == $imgs[$i]).'>'.$imgs[$i].'</option>';
		}
		echo '
            </select>
          </td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[93].'</td>
		  <td style="padding:4px;">'.GetSelector("titre0", "$titre[0]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[85].'</td>
		  <td style="padding:4px;">'.SelectFontOptions('titre2', $titre[2], $fontNames).'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[86].'</td>
		  <td style="padding:4px;"><input name="titre3" class="texte" type="text" size="4" value="'.$titre[3].'" /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[87].'</td>
		  <td style="padding:4px;">'.GetSelector("bordure7", "$bordure[7]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[211].'</td>
		  <td style="padding:4px;"><input name="bordure8" class="texte" type="text" size="4" value="'.$bordure[8].'" /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1343].'</td>
		  <td style="padding:4px;"><input name="bordure9" class="texte" type="text" size="4" value="'.$bordure[9].'" /></td>
        </tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[96].'</a>
      <ul>
	    <li>';
		// Boîtes centrales
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[85].'</td>
		  <td style="padding:4px;">'.SelectFontOptions('page1', $page[1], $fontNames).'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[86].'</td>
		  <td style="padding:4px;"><input name="page2" class="texte" type="text" size="4" value="'.$page[2].'" /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[95].'</td>
		  <td style="padding:4px;">'.GetSelector("texte0", "$texte[0]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[99].'</td>
		  <td style="padding:4px;">'.GetSelector("texte1", "$texte[1]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[100].'</td>
		  <td style="padding:4px;">'.GetSelector("texte2", "$texte[2]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[101].'</td>
		  <td style="padding:4px;">'.GetSelector("lien0", "$lien[0]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[102].'</td>
		  <td style="padding:4px;">'.GetSelector("lien1", "$lien[1]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[87].'</td>
		  <td style="padding:4px;">'.GetSelector("bordure10", "$bordure[10]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[211].'</td>
		  <td style="padding:4px;"><input name="bordure11" class="texte" type="text" size="4" value="'.$bordure[11].'" /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1343].'</td>
		  <td style="padding:4px;"><input name="bordure12" class="texte" type="text" size="4" value="'.$bordure[12].'" /></td>
        </tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[92].$admin[804].'</a>
      <ul>
	    <li>';
		// Titre des boîtes latérales
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[82].'</td>
		  <td style="padding:4px;">'.GetSelector("titre5", "$titre[5]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[94].'</td>
          <td style="padding:4px;">
            <select name="titre9">
              <option value="">'.$admin[90].'</option>';
		for ($i = 0; $i < count($imgs); $i++) {
			echo '
              <option value="'.$imgs[$i].'"'.Selected($titre[9] == $imgs[$i]).'>'.$imgs[$i].'</option>';
		}
		echo '
            </select>
          </td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[93].'</td>
		  <td style="padding:4px;">'.GetSelector("titre4", "$titre[4]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[85].'</td>
		  <td style="padding:4px;">'.SelectFontOptions('titre6', $titre[6], $fontNames).'</td>
        </tr>
        <tr style="text-align:left;">
		  <td style="padding:4px;">&bull; '.$admin[86].'</td>
		  <td style="padding:4px;"><input name="titre7" class="texte" type="text" size="4" value="'.$titre[7].'" /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[87].'</td>
		  <td style="padding:4px;">'.GetSelector("bordure13", "$bordure[13]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[211].'</td>
		  <td style="padding:4px;"><input name="bordure14" class="texte" type="text" size="4" value="'.$bordure[14].'" /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1343].'</td>
		  <td style="padding:4px;"><input name="bordure15" class="texte" type="text" size="4" value="'.$bordure[15].'" /></td>
        </tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[804].'</a>
      <ul>
	    <li>';
		// Boîtes latérales
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[85].'</td>
		  <td style="padding:4px;">'.SelectFontOptions('page16', $page[16], $fontNames).'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[86].'</td>
		  <td style="padding:4px;"><input name="page17" class="texte" type="text" size="4" value="'.$page[17].'" /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[95].'</td>
		  <td style="padding:4px;">'.GetSelector("texte5", "$texte[5]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[99].'</td>
		  <td style="padding:4px;">'.GetSelector("texte6", "$texte[6]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[100].'</td>
		  <td style="padding:4px;">'.GetSelector("texte7", "$texte[7]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[101].'</td>
		  <td style="padding:4px;">'.GetSelector("lien2", "$lien[2]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[102].'</td>
		  <td style="padding:4px;">'.GetSelector("lien3", "$lien[3]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1341].'</td>
		  <td style="padding:4px;"><input name="titre10" class="texte" type="text" size="5" value="'.$titre[10].'" /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[87].'</td>
		  <td style="padding:4px;">'.GetSelector("bordure16", "$bordure[16]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[211].'</td>
		  <td style="padding:4px;"><input name="bordure17" class="texte" type="text" size="4" value="'.$bordure[17].'" /></td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1343].'</td>
		  <td style="padding:4px;"><input name="bordure18" class="texte" type="text" size="4" value="'.$bordure[18].'" /></td>
        </tr>
    </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[800].'</a>
      <ul>
	    <li>';
		// Forum - Tables
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[801].'</td>
		  <td style="padding:4px;">'.GetSelector("forum0", "$forum[0]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[95].'</td>
		  <td style="padding:4px;">'.GetSelector("forum11", "$forum[11]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[802].'</td>
		  <td style="padding:4px;">'.GetSelector("forum1", "$forum[1]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[803].'</td>
		  <td style="padding:4px;">'.GetSelector("forum2", "$forum[2]").'</td>
        </tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[399].'</a>
      <ul>
	    <li>';
		// Formulaires
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
          <td style="padding:4px;width:55%;">&bull; '.$admin[400].'</td>
		  <td style="padding:4px;">'.GetSelector("presform1", "$presform[1]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[401].'</td>
		  <td style="padding:4px;">'.GetSelector("presform2", "$presform[2]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[402].'</td>
		  <td style="padding:4px;">'.GetSelector("presform3", "$presform[3]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[403].'</td>
		  <td style="padding:4px;">'.GetSelector("presform6", "$presform[6]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[95].'</td>
		  <td style="padding:4px;">'.GetSelector("presform0", "$presform[0]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[85].'</td>
		  <td style="padding:4px;">'.SelectFontOptions('presform4', $presform[4], $fontNames).'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[86].'</td>
		  <td style="padding:4px;"><input name="presform5" class="texte" type="text" size="4" value="'.$presform[5].'" /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[211].'</td>
		  <td style="padding:4px;"><input name="presform7" class="texte" type="text" size="4" value="'.$presform[7].'" /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[404].'</td>
		  <td style="padding:4px;">'.GetSelector("presform8", "$presform[8]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1343].'</td>
		  <td style="padding:4px;"><input name="presform9" class="texte" type="text" size="4" value="'.$presform[9].'" /></td>
        </tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[409].'</a>
      <ul>
	    <li>';
		// Boîte calendrier
		echo '
      <table>
        <tr style="text-align:left;">
		  <td style="padding:2px;width:55%">&bull; '.$admin[411].'</td>
		  <td style="padding:2px;">'.GetSelector("calendar0", "$calendar[0]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[412].'</td>
		  <td style="padding:2px;">'.GetSelector("calendar1", "$calendar[1]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[413].'</td>
		  <td style="padding:2px;">'.GetSelector("calendar2", "$calendar[2]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[414].'</td>
		  <td style="padding:2px;">'.GetSelector("calendar3", "$calendar[3]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[415].'</td>
		  <td style="padding:2px;">'.GetSelector("calendar4", "$calendar[4]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[417].'</td>
		  <td style="padding:2px;">'.GetSelector("calendar7", "$calendar[7]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[418].'</td>
		  <td style="padding:2px;">'.GetSelector("calendar8", "$calendar[8]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[85].' </td>
		  <td style="padding:2px;">'.SelectFontOptions('calendar5', $calendar[5], $fontNames).'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[86].'</td>
		  <td style="padding:2px;"><input name="calendar6" class="texte" type="text" size="4" value="'.$calendar[6].'" /></td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[865].'</td>
		  <td style="padding:2px;">'.GetSelector("calendar11", "$calendar[11]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$web[395].'</td>
		  <td style="padding:2px;">'.GetSelector("calendar10", "$calendar[10]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:2px;">&bull; '.$admin[1344].'</td>
          <td style="padding:2px;">
            <select name="calendar9">
              <option value="0px"'.Selected($calendar[9] == "0px").'>0px</option>
              <option value="1px"'.Selected($calendar[9] == "1px").'>1px</option>
              <option value="2px"'.Selected($calendar[9] == "2px").'>2px</option>
              <option value="3px"'.Selected($calendar[9] == "3px").'>3px</option>
            </select>
          </td>
		</tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[211].'</td>
		  <td style="padding:4px;"><input name="calendar12" class="texte" type="text" size="4" value="'.$calendar[12].'" /></td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[404].'</td>
		  <td style="padding:4px;">'.GetSelector("calendar13", "$calendar[13]").'</td>
        </tr>
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1343].'</td>
		  <td style="padding:4px;"><input name="calendar14" class="texte" type="text" size="4" value="'.$calendar[14].'" /></td>
        </tr>
      </table>';
	echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[805].'</a>
      <ul>
	    <li>';
		// Lignes de séparation
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
		  <td style="padding:4px;width:55%;">&bull; '.$admin[150].' :</td>
		  <td style="padding:4px;">'.GetSelector("barre0", "$barre[0]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:4px;">&bull; '.$admin[86].'</td>
		  <td style="padding:4px;"><input name="barre1" class="texte" type="text" size="4" value="'.$barre[1].'" /></td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:4px;">&bull; '.$admin[422].' :</td>
          <td style="padding:4px;">
            <select name="barre2">
              <option value="dotted"'.Selected($barre[2] == "dotted").'>dotted</option>
              <option value="dashed"'.Selected($barre[2] == "dashed").'>dashed</option>
              <option value="solid" '.Selected($barre[2] == "solid") .'>solid</option>
              <option value="double"'.Selected($barre[2] == "double").'>double</option>
              <option value="groove"'.Selected($barre[2] == "groove").'>groove</option>
              <option value="ridge" '.Selected($barre[2] == "ridge") .'>ridge</option>
              <option value="inset" '.Selected($barre[2] == "inset") .'>inset</option>
              <option value="outset"'.Selected($barre[2] == "outset").'>outset</option>
            </select>
          </td>
        </tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[340].'</a>
      <ul>
	    <li>';
		// Barre de défilement
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;">
		  <td colspan="2" style="padding:4px;text-align:center;">'.$admin[343].'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:4px;width:55%;">&bull; '.$admin[341].'</td>
		  <td style="padding:4px;">'.GetSelector("bordure1", "$bordure[1]").'</td>
		</tr>
        <tr style="text-align:left;">
		  <td style="padding:4px;">&bull; '.$admin[342].'</td>
		  <td style="padding:4px;">'.GetSelector("bordure2", "$bordure[2]").'</td>
		</tr>
      </table>';
		echo '
        </li>
	  </ul>
    </li>
  </ul>';
	}

	echo '
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>';
}
echo '
</div>';


btable();
include CHEMIN.'inc/bpage.inc';
?>
