<?php
/*******************************************************************************
 *   Admin Configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'config3.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[2] == '') {
        $nomzone = $admin[469];
        include 'access.inc';
        exit();
    }
}

$regit   = import('regit');
$xpb     = import('xpb', 'POST', FALSE);
$wpb     = import('wpb', 'POST', FALSE);
$skns    = import('skns', 'POST', FALSE);
$conf    = import('conf', '', FALSE, 0);
$messreg = '';

AddFreeBoxes();

if ($regit == 1) {
	$lst = '';
    foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
		foreach ($xpb[BOX_EDITO][$key] as $i => $value) {
			if (!empty($value) && empty($wpb[BOX_EDITO][$key][$i])) 
				$lst .= ' - [ '.BOX_EDITO.' ] [ '.$key.' ] [ '.$i.' ] => '.getLabelBox($boxes, substr($value, 2)).'\n';
		}
	}
	if ($lst == '') {
		$messreg = ' : &nbsp;OK';
	} else {
		echo BeginJavascript().'alert("'.addslashes($admin[706]).'\n\n'.$lst.'");'.EndJavascript();
	}
	
	$meskin = CHEMIN.'skins/'.$selskin.'/';
	if (is_file ($meskin.'confskin.inc')) {
		include $meskin.'confskin.inc';
	} else {
		include CHEMIN.'skins/no_skin/confskin.inc';
	}
	
	$site[4]     = import('site4'); // Nouvelles sur la page d'accueil
	$site[20]    = import('site20'); // Messages Forum sur la page d'accueil
	$site[21]    = import('site21'); // ID du message Livre d'or préféré
	$site[29]    = import('site29'); // Longueur en caractères des nouvelles/blogs en page d'accueil (140 par défaut)
	$site[31]    = import('site31'); // Blogs sur la page d'accueil
    $serviz[74]  = import('serviz74'); // Cacher les boîtes en page d'accueil ON/OFF
	$serviz[131] = import('serviz131'); // Pagge associée au blog hors pleine page
	
	foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
		foreach ($xpb[BOX_EDITO][$key] as $i => $value) {
			$args  = '';
			if (!empty($value)) {
				$wb   = intval($wpb[BOX_EDITO][$key][$i]);
				$pos  = strrpos($value, CONNECTOR, 2);
				$args = $wb == 0 ? '' : ($pos == 0 ? CONNECTOR : '').'W'.$wb;
			}
			$xpb[BOX_EDITO][$key][$i] = $value.$args;
		}
		$xposbox[BOX_EDITO][$key] = $xpb[BOX_EDITO][$key];
	}
	unset($xpb, $wpb);
	
	include 'inc/confskin.inc';
}
elseif ($regit == 2) { // copie config dans les autres skins
	$tmpbox = $xposbox;
	$tmpls  = $templates;
	if (!empty($skns)) {
		foreach ($skns as $skin) {
			$meskin = CHEMIN.'skins/'.$skin.'/';
			if (is_file($meskin.'confskin.inc')) {
				include $meskin.'confskin.inc';
			} else {
				include CHEMIN.'skins/no_skin/confskin.inc';
			}
			$xposbox   = $tmpbox;
			$templates = $tmpls;
			include 'inc/confskin.inc';
		}
		unset($skns);
	}
	$xposbox = $tmpbox;
} 

include CONFIG;
$meskin = CHEMIN.'skins/'.$selskin.'/';
if (is_file ($meskin.'confskin.inc')) {
    include $meskin.'confskin.inc';
} else {
    include CHEMIN.'skins/no_skin/confskin.inc';
}
$conf = !isset($templates[$conf]) ? 0 : $conf;

TestPosBoxes($xposbox[BOX_EDITO][BOX_LEFT], 5, 2);
TestPosBoxes($xposbox[BOX_EDITO][BOX_CENTER], 5, 2);
TestPosBoxes($xposbox[BOX_EDITO][BOX_RIGHT], 5, 2);
TestSizeBoxes($xposbox[BOX_EDITO][BOX_LEFT], $xposbox[BOX_EDITO][BOX_CENTER], $xposbox[BOX_EDITO][BOX_RIGHT]);

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[470]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[470], '100%');

include 'plugins/plugbox.inc';

$skn   = isset($selskin) ? '&amp;selskin='.$selskin : 'no_skin';
$skins = ExploreDir('skins/');

echo '
<div style="text-align:center">
  <p>'.ToHelp($lng, 'config3').$admin[471].'</p>
</div>

<div  style="text-align:center">
  <hr />
  <table style="text-align:left;width:100%;">
    <tr>
      <td class="forum" style="vertical-align:top; text-align:left; width:50%; padding:5px 20px;">
	    '.$admin[725].' : <strong>'.$userprefs[10].$messreg.'</strong>
	  </td>
      <td class="forum" style="text-align:center;vertical-align:top;">
	    '.$admin[707].'
        <form name="selskns" action="admin.php?lng='.$lng.'&amp;pg=config3" method="post">
          <input type="hidden" name="regit" value="2" />
          <input type="hidden" name="selskin" value="'.$selskin.'" /><br />    
	      <select name="skns[]" style="width:150px;" size="6" multiple="multiple">';

foreach ($skins as $skn)
	if ($skn != $selskin) echo '
			<option value="'.$skn.'">'.$skn.'</option>>';

echo '
		  </select>
		  <br />'.SubmitButton($admin[708]).'
        </form>
	  </td>
	</tr>
  </table>
</div>
<div style="margin-right:auto;margin-left:auto;width:98%;">
  <form name="conf3" action="admin.php?lng='.$lng.'&amp;pg=config3" method="post">
    <input type="hidden" name="regit" value="1" />
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
    <fieldset>'.legend($admin[1077]).'
      <table style="text-align:center;width:100%;margin:auto;">
        <tr>
          <td style="padding: 4px;">';
WriteColumnSelectBoxes('xpb['.BOX_EDITO.']['.BOX_LEFT.']', $xposbox[BOX_EDITO][BOX_LEFT], SelectBoxes($boxes, BOX_EDITO), true, true, 'wpb['.BOX_EDITO.']['.BOX_LEFT.']', $wposbox[BOX_EDITO][BOX_LEFT]);
echo '
          </td>
          <td style="padding: 4px;">';
WriteColumnSelectBoxes('xpb['.BOX_EDITO.']['.BOX_CENTER.']', $xposbox[BOX_EDITO][BOX_CENTER], SelectBoxes($boxes, BOX_EDITO), true, true, 'wpb['.BOX_EDITO.']['.BOX_CENTER.']', $wposbox[BOX_EDITO][BOX_CENTER]);
echo '
          </td>
          <td style="padding: 4px;">';
WriteColumnSelectBoxes('xpb['.BOX_EDITO.']['.BOX_RIGHT.']', $xposbox[BOX_EDITO][BOX_RIGHT], SelectBoxes($boxes, BOX_EDITO), true, true, 'wpb['.BOX_EDITO.']['.BOX_RIGHT.']', $wposbox[BOX_EDITO][BOX_RIGHT]);
echo '
          </td>
        </tr>
      </table>
    </fieldset>
	
    <fieldset>
      <table style="width:100%;">';

echo '
        <tr style="text-align:left;">
          <td>&bull; '.$admin[1078].'</td><td><input class="checkbox" type="checkbox" name="serviz74"'.Checked($serviz[74]).' /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[58].'</td><td><input class="texte" type="text" name="site4" size="3" value="'.$site[4].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[778].'</td><td><input class="texte" type="text" name="site31" size="3" value="'.$site[31].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[684].'</td><td><input class="texte" type="text" name="site29" size="7" value="'.$site[29].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[463].'</td><td><input class="texte" type="text" name="site20" size="3" value="'.$site[20].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[465].'</td>
          <td>
            <select name="site21">';
$dbwork = SelectDBFields(TYP_GUESTBK, 'a', '');
for ($i = 0; $i < count($dbwork); $i++) {
    ReadDoc($dbwork[$i][1]);
    $txt = CutLongWord(strip_tags($fieldc1),40);
    echo '
              <option value="'.$fileid.'"'.Selected($site[21] == $fileid).'>'.$fileid.' : '.$txt.' ...</option>';
}
echo '
            </select>
          </td>
        </tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[1382].'</td>
          <td>
			<select name="serviz131">';
foreach ($templates as $key=>$value) {
    echo '
			  <option value="'.$key.'"'.Selected($serviz[131] == $key).'>'.$value.'</option>';
}
echo '
			</select>		
          </td>
        </tr>
      </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
btable();
include(CHEMIN.'inc/bpage.inc');
?>
