<?php
/*******************************************************************************
 *   Admin Configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'config4.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[3] == '') {
        $nomzone = $admin[166];
        include 'access.inc';
        exit();
    }
}

function SectionNameCB($description, $name0, $value0, $name1, $value1, $menuico=false, $icovalue='', $readonly=false) {
    global $flag1, $flag2, $lang, $charset;
    echo '
      <div style="width:100%; padding-left:6px;">
        <div style="float:left; width:170px; text-align:left; padding-top:'.($lang[1] == '' ? '0' : '18').'px;">&bull; '.$description.'</div>
        <div style="float:left; width:300px; padding:0 4px 0; text-align:left">';
    if (empty($lang[1])) {
        echo '
          <div style="height:20px;">
            <input class="texte" name="'.$name0.'" type="text" style="width:230px;" value="'.htmlentities($value0, ENT_QUOTES, $charset).'" />
		  </div>';
    } else {
        echo '
          <div style="height:20px;margin-top:6px;">
            <img src="'.$flag1.'" alt="'.$lang[0].'" style="width:24px;height:16px;vertical-align:middle" /> &nbsp;
		    <input class="texte" name="'.$name0.'" type="text" style="width:230px;" value="'.htmlentities($value0, ENT_QUOTES, $charset).'" />
		  </div>
          <div style="height:20px;margin-top:2px;">
            <img src="'.$flag2.'" alt="'.$lang[1].'" style="width:24px;height:16px;vertical-align:middle" /> &nbsp;
		    <input class="texte" name="'.$name1.'" type="text" style="width:230px;" value="'.htmlentities($value1, ENT_QUOTES, $charset).'" />
		  </div>';
    }
    echo '
        </div>';
    if ($menuico) {
        echo '
        <div style="float:right;width:20px;margin-right:70px; padding-top:'.($lang[1] == '' ? '4' : '20').'px;">
          <input type="checkbox" name="'.$menuico.'" value="on"'.Checked($icovalue).($readonly ? ' disabled="disabled"' : '').' />
        </div>';
    }
    echo '
        <div style="clear:both;"></div>
      </div>';
}

function SectionNameSB($description, $name0, $value0, $name1, $value1, $dynabox=false, $dynavalue='') {
    global $flag1, $flag2, $lang, $charset, $admin;
    echo '
      <div style="width:100%; padding:2px 0 0 10px;">
        <div style="float:left; width:212px; text-align:left; padding-top:'.($lang[1] == '' ? '4' : '16').'px;">&bull; '.$description.'</div>
        <div style="float:left; width:208px; padding:2px; text-align:left">';
    if (empty($lang[1])) {
        echo '
          <input class="texte" name="'.$name0.'" type="text" size="20" value="'.htmlentities($value0, ENT_QUOTES, $charset).'" />';
    } else {
        echo '
          <div style="height:20px;margin-top:4px;">
            <img src="'.$flag1.'" width="24" height="16" alt="'.$lang[0].'" style="vertical-align:middle" /> &nbsp;
		    <input class="texte" name="'.$name0.'" type="text" size="20" value="'.htmlentities($value0, ENT_QUOTES, $charset).'" />
		  </div>
          <div style="height:20px;margin-top:4px;">
            <img src="'.$flag2.'" width="24" height="16" alt="'.$lang[1].'" style="vertical-align:middle" /> &nbsp;
		    <input class="texte" name="'.$name1.'" type="text" size="20" value="'.htmlentities($value1, ENT_QUOTES, $charset).'" />
		  </div>';
    }
    echo '
        </div>';
    if ($dynabox) {
        echo '
        <div style="float:right;width:100px;margin-right:60px; padding-top:'.($lang[1] == '' ? '4' : '18').'px;">
		  <select name="'.$dynabox.'">
			<option value="off"'.Selected($dynavalue == "off").'>'.$admin[358].'</option>
			<option value="open"'.Selected($dynavalue == "open").'>'.$admin[359].'</option>';
		if ($dynabox != 'dynabox4')
			echo '
			<option value="close"'.Selected($dynavalue == "close").'>'.$admin[360].'</option>';
		echo '
		  </select>
        </div>';
    }
    echo '
        <div style="clear:both;"></div>
      </div>';
}

function SectionSelect($description, $dynabox=false, $dynavalue='') {
    global $admin;

    echo '
      <div style="width:100%; margin-top:4px; padding-left:10px;">
        <div style="float:left; width:200px; text-align:left; padding-top:2px;">&bull; '.$description.'</div>';
    if ($dynabox) {
        echo '
        <div style="float:right;width:100px;margin-right:60px;">
		  <select name="'.$dynabox.'">
			<option value="off"'.Selected($dynavalue == "off").'>'.$admin[358].'</option>
			<option value="open"'.Selected($dynavalue == "open").'>'.$admin[359].'</option>
			<option value="close"'.Selected($dynavalue == "close").'>'.$admin[360].'</option>
		  </select>
        </div>';
    }
    echo '
        <div style="clear:both;"></div>
      </div>';
}

$regit = import('regit');

if ($regit == 1) {
    include CONFIG;
    $nom[0]  = str_replace('"', '', import('nom0', 'POST', false));  // Page Accueil langue principale
    $nom[10] = str_replace('"', '', import('nom10', 'POST', false)); // Page Accueil deuxième langue
    $nom[7]  = str_replace('"', '', import('nom7', 'POST', false));  // Nouvelles langue principale
    $nom[17] = str_replace('"', '', import('nom17', 'POST', false)); // Nouvelles deuxième langue
    $nom[42] = str_replace('"', '', import('nom42', 'POST', false)); // Blog langue principale
    $nom[43] = str_replace('"', '', import('nom43', 'POST', false)); // Blog deuxième langue
    $nom[2]  = str_replace('"', '', import('nom2', 'POST', false));  // Page des photos langue principale
    $nom[12] = str_replace('"', '', import('nom12', 'POST', false)); // Page des photos deuxième langue
    $nom[1]  = str_replace('"', '', import('nom1', 'POST', false));  // Page des téléchargements langue principale
    $nom[11] = str_replace('"', '', import('nom11', 'POST', false)); // Page des téléchargements deuxième langue
    $nom[3]  = str_replace('"', '', import('nom3', 'POST', false));  // Page des liens langue principale
    $nom[13] = str_replace('"', '', import('nom13', 'POST', false)); // Page des liens deuxième langue
    $nom[24] = str_replace('"', '', import('nom24', 'POST', false)); // FAQ langue principale
    $nom[25] = str_replace('"', '', import('nom25', 'POST', false)); // FAQ deuxième langue
    $nom[9]  = str_replace('"', '', import('nom9', 'POST', false));  // Livre d'or langue principale
    $nom[19] = str_replace('"', '', import('nom19', 'POST', false)); // Livre d'or deuxième langue
    $nom[22] = str_replace('"', '', import('nom22', 'POST', false)); // Forum langue principale
    $nom[23] = str_replace('"', '', import('nom23', 'POST', false)); // Forum deuxième langue
    $nom[26] = str_replace('"', '', import('nom26', 'POST', false)); // Statistiques langue principale
    $nom[27] = str_replace('"', '', import('nom27', 'POST', false)); // Statistiques deuxième langue
    $nom[46] = str_replace('"', '', import('nom46', 'POST', false)); // Contact langue principale
    $nom[47] = str_replace('"', '', import('nom47', 'POST', false)); // Contact deuxième langue
    
    $nom[44] = str_replace('"', '', import('nom44')); // Boite Menu langue principale
    $nom[45] = str_replace('"', '', import('nom45')); // Boite Menu deuxième langue
    $nom[6]  = str_replace('"', '', import('nom6'));  // Sondage langue principale
    $nom[16] = str_replace('"', '', import('nom16')); // Sondage deuxième langue
    $nom[8]  = str_replace('"', '', import('nom8'));  // Compteur langue principale
    $nom[18] = str_replace('"', '', import('nom18')); // Compteur deuxième langue
    $nom[20] = str_replace('"', '', import('nom20')); // Recherche langue principale
    $nom[21] = str_replace('"', '', import('nom21')); // Recherche deuxième langue
    $nom[32] = str_replace('"', '', import('nom32')); // Boite Calendrier langue principale
    $nom[33] = str_replace('"', '', import('nom33')); // Boite Calendrier deuxième langue
    $nom[34] = str_replace('"', '', import('nom34')); // Boite préférences utilisateur langue principale
    $nom[35] = str_replace('"', '', import('nom35')); // Boite préférences utilisateur deuxième langue
    $nom[38] = str_replace('"', '', import('nom38')); // Boite Newsletter langue principale
    $nom[39] = str_replace('"', '', import('nom39')); // Boite Newsletter deuxième langue
    $nom[36] = str_replace('"', '', import('nom36')); // Boite RSS langue principale
    $nom[37] = str_replace('"', '', import('nom37')); // Boite RSS deuxième langue
    $nom[40] = str_replace('"', '', import('nom40')); // Boite Webmaster - Infos langue principale
    $nom[41] = str_replace('"', '', import('nom41')); // Boite Webmaster - Infos deuxième langue
	$nom[48] = str_replace('"', '', import('nom48')); // Boîte réseaux sociaux langue principale
	$nom[49] = str_replace('"', '', import('nom49')); // Boîte réseaux sociaux deuxième langue
	$nom[54] = str_replace('"', '', import('nom54')); // Boîte nouveautés langue principale
	$nom[55] = str_replace('"', '', import('nom55')); // Boîte nouveautés deuxième langue
	$nom[54] = str_replace('"', '', import('nom54')); // Boîte nouveautés langue principale
	$nom[55] = str_replace('"', '', import('nom55')); // Boîte nouveautés deuxième langue
	$nom[56] = str_replace('"', '', import('nom56')); // Boîte Contact langue principale
	$nom[57] = str_replace('"', '', import('nom57')); // Boîte Contact deuxième langue
    
    $menuico[0] = import('menuico0'); // Icône Accueil
    $menuico[1] = import('menuico1'); // Icône Nouvelles
    $menuico[2] = import('menuico2'); // Icône Blog
    $menuico[3] = import('menuico3'); // Icône Photorama
    $menuico[4] = import('menuico4'); // Icône Téléchargements
    $menuico[5] = import('menuico5'); // Icône Liens
    $menuico[6] = import('menuico6'); // Icône FAQ
    $menuico[7] = import('menuico7'); // Icône Livre d'or
    $menuico[8] = import('menuico8'); // Icône Forum
    $menuico[9] = import('menuico9'); // Icône Stats
    $menuico[10] = import('menuico10'); // Icône Contact avancé
	
	$dynabox[0] = import('dynabox0'); // Boite Menu
	$dynabox[1] = import('dynabox1'); // Boite Sondage
	$dynabox[2] = import('dynabox2'); // Boite Compteur
	$dynabox[3] = import('dynabox3'); // Boite Recherche
	$dynabox[4] = import('dynabox4'); // Boite Calendrier
	$dynabox[5] = import('dynabox5'); // Boite préférences
	$dynabox[6] = import('dynabox6'); // Boite Newsletter
	$dynabox[7] = import('dynabox7'); // Boite RSS
	$dynabox[8] = import('dynabox8'); // Boite Webmaster - Infos
	$dynabox[9] = import('dynabox9'); // Boîte réseaux sociaux
	$dynabox[10] = import('dynabox10'); // Boîte Rubriques blog
	$dynabox[11] = import('dynabox11'); // Boîte Derniers billets blog
	$dynabox[12] = import('dynabox12'); // Boîte Derniers commentaires blog
	$dynabox[13] = import('dynabox13'); // Boîte Archives blog
	$dynabox[14] = import('dynabox14'); // Boîte Billets des amis blog
	$dynabox[15] = import('dynabox15'); // Boîte Nouveautés du site
	$dynabox[16] = import('dynabox16'); // Boîte Contacts avancés
	
    include 'inc/confupdt.inc';
}
include CONFIG;

if (is_file ($meskin.'confskin.inc')) {
    include $meskin.'confskin.inc';
} else {
    die('Skin not found : '.$meskin);
}

$headinc .= '
    <script type="text/javascript">
        $(document).ready( function() {
            $("#gyaccordion").hoverAccordion({
                keepHeight: false,
                activateItem: 1,
				onClickOnly: true,
                speed: 400
            });
            $("#gyaccordion").children("li:first").addClass("firstitem");
            $("#gyaccordion").children("li:last").addClass("lastitem");
        });
    </script>
';

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[167]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[167], '100%');

echo '
<div style="text-align:center">
  <p>'.ToHelp($lng, 'config4').$admin[168].'</p>
</div>
<hr />
<form name="conf4" action="admin.php?lng='.$lng.'&amp;pg=config4" method="post">
  <input type="hidden" name="regit" value="1" />
  <div style="margin:0 auto; width:640px; text-align:center;">
    <fieldset>'.legend($admin[70]).'
      ';

echo '
	  <ul id="gyaccordion" style="margin:0 auto;">
		<div class="quest" style="padding:2px 20px;">
		  <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
		  <div style="clear:both"></div>
		</div>
		<li>
		  <a href="#">'.$admin[806].'</a>
		  <ul>
			<li>
			  <div style="margin:4px auto; padding:0 0 8px 0;">
				<div style="float:right; margin-right:36px; text-align:center; line-height:16px;"><b>'.$admin[1244].'</b></div>
				<div style="clear:right"></div>';
        
SectionNameCB($admin[71],  "nom0",  $nom[0],  "nom10", $nom[10], "menuico0", $menuico[0], $serviz[1] != '0');
SectionNameCB($admin[72],  "nom7",  $nom[7],  "nom17", $nom[17], "menuico1", $menuico[1], $serviz[8] == '');
SectionNameCB($admin[780], "nom42", $nom[42], "nom43", $nom[43], "menuico2", $menuico[2], $serviz[53] == '');
SectionNameCB($admin[74],  "nom2",  $nom[2],  "nom12", $nom[12], "menuico3", $menuico[3], $serviz[9] == '');
SectionNameCB($admin[73],  "nom1",  $nom[1],  "nom11", $nom[11], "menuico4", $menuico[4], $serviz[10] == '');
SectionNameCB($admin[75],  "nom3",  $nom[3],  "nom13", $nom[13], "menuico5", $menuico[5], $serviz[11] == '');
SectionNameCB($admin[207], "nom24", $nom[24], "nom25", $nom[25], "menuico6", $menuico[6], $serviz[14] == '');
SectionNameCB($admin[76],  "nom9",  $nom[9],  "nom19", $nom[19], "menuico7", $menuico[7], $serviz[12] == '');
SectionNameCB($admin[164], "nom22", $nom[22], "nom23", $nom[23], "menuico8", $menuico[8], $serviz[13] == '');
SectionNameCB($admin[213], "nom26", $nom[26], "nom27", $nom[27], "menuico9", $menuico[9], $serviz[15] == '');
SectionNameCB($admin[1182], "nom46", $nom[46], "nom47", $nom[47], "menuico10", $menuico[10], $serviz[99] == '');

echo '
			  </div>
			</li>
		  </ul>
		</li>
		<li>
		  <a href="#">'.$admin[346].'</a>
		  <ul>
			<li>
			  <div style="margin:4px auto; text-align:center; padding:0 0 8px 0;">
				<div style="float:right; margin-right:40px; text-align:center;"><b>'.$admin[357].'</b></div>
				<div style="clear:right"></div>';
      
SectionNameSB($admin[880]." :", "nom44", $nom[44], "nom45", $nom[45], "dynabox0", $dynabox[0]);
SectionNameSB($admin[79],  "nom6",  $nom[6],  "nom16", $nom[16], "dynabox1", $dynabox[1]);
SectionNameSB($admin[80],  "nom8",  $nom[8],  "nom18", $nom[18], "dynabox2", $dynabox[2]);
SectionNameSB($admin[163], "nom20", $nom[20], "nom21", $nom[21], "dynabox3", $dynabox[3]);
SectionNameSB($admin[448], "nom32", $nom[32], "nom33", $nom[33], "dynabox4", $dynabox[4]);
SectionNameSB($admin[449], "nom34", $nom[34], "nom35", $nom[35], "dynabox5", $dynabox[5]);
SectionNameSB($admin[548], "nom38", $nom[38], "nom39", $nom[39], "dynabox6", $dynabox[6]);
SectionNameSB($admin[610], "nom36", $nom[36], "nom37", $nom[37], "dynabox7", $dynabox[7]);
SectionNameSB($admin[853], "nom40", $nom[40], "nom41", $nom[41], "dynabox8", $dynabox[8]);
SectionNameSB($admin[336], "nom48", $nom[48], "nom49", $nom[49], "dynabox9", $dynabox[9]);
SectionNameSB($admin[1374], "nom54", $nom[54], "nom55", $nom[55], "dynabox15", $dynabox[15]);
SectionNameSB($admin[1446], "nom56", $nom[56], "nom57", $nom[57], "dynabox16", $dynabox[16]);
echo '
				<div style="height:12px;"></div>';
SectionSelect($admin[769].' '.$web[400], "dynabox10", $dynabox[10]);
SectionSelect($admin[769].' '.$web[382], "dynabox11", $dynabox[11]);
SectionSelect($admin[769].' '.$web[401], "dynabox12", $dynabox[12]);
SectionSelect($admin[769].' '.$web[399], "dynabox13", $dynabox[13]);
SectionSelect($admin[769].' '.$web[402], "dynabox14", $dynabox[14]);

echo '
			  </div>
			</li>
		  </ul>
		</li>
	  </ul>      
	  <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>
    </fieldset>
  </div>
</form>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
