<?php
/*******************************************************************************
 *   Admin Configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'config5.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[4] == '') {
        $nomzone = $admin[169];
        include 'access.inc';
        exit();
    }
}

$regit = import('regit');

if ($regit == 1) {
    include CONFIG;
	$urls   = file_exists(MAPSURLS) ? file_get_contents(MAPSURLS) : '';
	$ctrlsb = $sitemap['SM'].$sitemap['BL'].$sitemap['AR'].$sitemap['NE'].$sitemap['PH'].$sitemap['DN'].$sitemap['FA'].$sitemap['LI'].$sitemap['GB'].$sitemap['FR'].$sitemap['AG'].$urls;

	// on renomme les scripts contenant des formulaires lutte anti-spam
	$site['PG']  = empty($site['PG'])  ? 'postguest'  : $site['PG'];
	$site['BLS'] = empty($site['BLS']) ? 'blogs'      : $site['BLS'];
	$site['BL']  = empty($site['BL'])  ? 'blog'       : $site['BL'];
	$site['FR']  = empty($site['FR'])  ? 'forum'      : $site['FR'];
	$site['FRT'] = empty($site['FRT']) ? 'fortopic'   : $site['FRT'];
	$site['TH']  = empty($site['TH'])  ? 'thread'     : $site['TH'];
	$site['GB']  = empty($site['GB'])  ? 'guestbk'    : $site['GB'];
	$site['NE']  = empty($site['NE'])  ? 'news'       : $site['NE'];
	$site['USR'] = empty($site['USR']) ? 'user'       : $site['USR'];
	$site['NL']  = empty($site['NL'])  ? 'newsletter' : $site['NL'];
	$site['DN']  = empty($site['DN'])  ? 'download'   : $site['DN'];
	$site['CT']  = empty($site['CT'])  ? 'contact'    : $site['CT'];
	
	$ctrlb = $site['PG'].$site['BLS'].$site['BL'].$site['FR'].$site['FRT'].$site['TH'].$site['GB'].$site['NE'].$site['USR'].$site['NL'].$site['DN'].$site['CT'];

	$sitepg  = import('sitepg');
	$sitepg  = empty($sitepg) ? 'postguest' : $sitepg;
	$sitepg  = preg_match('!^[a-z0-9_]{2,20}$!', $sitepg)  ? $sitepg  : $site['PG'];
	$sitebls = import('sitebls');
	$sitebls = empty($sitebls) ? 'blogs' : $sitebls;
	$sitebls = preg_match('!^[a-z0-9_]{2,20}$!', $sitebls) ? $sitebls : $site['BLS'];
	$sitebl  = import('sitebl');
	$sitebl  = empty($sitebl) ? 'blog' : $sitebl;
	$sitebl  = preg_match('!^[a-z0-9_]{2,20}$!', $sitebl)  ? $sitebl  : $site['BL'];
	$sitefr  = import('sitefr');
	$sitefr  = empty($sitefr) ? 'forum' : $sitefr;
	$sitefr  = preg_match('!^[a-z0-9_]{2,20}$!', $sitefr)  ? $sitefr  : $site['FR'];
	$sitefrt = import('sitefrt');
	$sitefrt = empty($sitefrt) ? 'fortopic' : $sitefrt;
	$sitefrt = preg_match('!^[a-z0-9_]{2,20}$!', $sitefrt) ? $sitefrt : $site['FRT'];
	$siteth  = import('siteth');
	$siteth  = empty($siteth) ? 'thread' : $siteth;
	$siteth  = preg_match('!^[a-z0-9_]{2,20}$!', $siteth)  ? $siteth  : $site['TH'];
	$sitegb  = import('sitegb');
	$sitegb  = empty($sitegb) ? 'guestbk' : $sitegb;
	$sitegb  = preg_match('!^[a-z0-9_]{2,20}$!', $sitegb)  ? $sitegb  : $site['GB'];
	$sitene  = import('sitene');
	$sitene  = empty($sitene) ? 'news' : $sitene;
	$sitene  = preg_match('!^[a-z0-9_]{2,20}$!', $sitene)  ? $sitene  : $site['NE'];
	$siteusr = import('siteusr');
	$siteusr = empty($siteusr) ? 'user' : $siteusr;
	$siteusr = preg_match('!^[a-z0-9_]{2,20}$!', $siteusr) ? $siteusr : $site['USR'];
	$sitenl  = import('sitenl');
	$sitenl  = empty($sitenl) ? 'newsletter' : $sitenl;
	$sitenl  = preg_match('!^[a-z0-9_]{2,20}$!', $sitenl)  ? $sitenl  : $site['NL'];
	$sitedn  = import('sitedn');
	$sitedn  = empty($sitedn) ? 'download' : $sitedn;
	$sitedn  = preg_match('!^[a-z0-9_]{2,20}$!', $sitedn)  ? $sitedn  : $site['DN'];
	$sitect  = import('sitect');
	$sitect  = empty($sitect) ? 'contact' : $sitect;
	$sitect  = preg_match('!^[a-z0-9_]{2,20}$!', $sitect)  ? $sitect  : $site['CT'];

	$ctrls   = array_count_values(array($sitepg, $sitebls, $sitebl, $sitefr, $sitefrt, $siteth, $sitegb, $sitene, $siteusr, $sitenl, $sitedn, $sitect));

	$sitepg  = file_exists(CHEMIN.$sitepg.'php')  || $ctrls[$sitepg]  > 1 ? $site['PG']  : $sitepg;
	$sitebls = file_exists(CHEMIN.$sitebls.'php') || $ctrls[$sitebls] > 1 ? $site['BLS'] : $sitebls;
	$sitebl  = file_exists(CHEMIN.$sitebl.'php')  || $ctrls[$sitebl]  > 1 ? $site['BL']  : $sitebl;
	$sitefr  = file_exists(CHEMIN.$sitefr.'php')  || $ctrls[$sitefr]  > 1 ? $site['FR']  : $sitefr;
	$sitefrt = file_exists(CHEMIN.$sitefrt.'php') || $ctrls[$sitefrt] > 1 ? $site['FRT'] : $sitefrt;
	$siteth  = file_exists(CHEMIN.$siteth.'php')  || $ctrls[$siteth]  > 1 ? $site['TH']  : $siteth;
	$sitegb  = file_exists(CHEMIN.$sitegb.'php')  || $ctrls[$sitegb]  > 1 ? $site['GB']  : $sitegb;
	$sitene  = file_exists(CHEMIN.$sitene.'php')  || $ctrls[$sitene]  > 1 ? $site['NE']  : $sitene;
	$siteusr = file_exists(CHEMIN.$siteusr.'php') || $ctrls[$siteusr] > 1 ? $site['USR'] : $siteusr;
	$sitenl  = file_exists(CHEMIN.$sitenl.'php')  || $ctrls[$sitenl]  > 1 ? $site['NL']  : $sitenl;
	$sitedn  = file_exists(CHEMIN.$sitedn.'php')  || $ctrls[$sitedn]  > 1 ? $site['DN']  : $sitedn;
	$sitect  = file_exists(CHEMIN.$sitect.'php')  || $ctrls[$sitect]  > 1 ? $site['CT']  : $sitect;

	if ($sitepg != $site['PG']) 
		if (!rename(CHEMIN.$site['PG'].'.php', CHEMIN.$sitepg.'.php')) $sitepg = $site['PG'];
		elseif (file_exists(CHEMIN.$site['PG'].'.php')) @unlink(CHEMIN.$site['PG'].'.php');

	if ($sitebls != $site['BLS'])
		if (!rename(CHEMIN.$site['BLS'].'.php', CHEMIN.$sitebls.'.php')) $sitebls = $site['BLS'];
		elseif (file_exists(CHEMIN.$site['BLS'].'.php')) @unlink(CHEMIN.$site['BLS'].'.php');

	if ($sitebl != $site['BL'])
		if (!rename(CHEMIN.$site['BL'].'.php', CHEMIN.$sitebl.'.php')) $sitebl = $site['BL'];
		elseif (file_exists(CHEMIN.$site['BL'].'.php')) @unlink(CHEMIN.$site['BL'].'.php');

	if ($sitefr != $site['FR'])
		if (!rename(CHEMIN.$site['FR'].'.php', CHEMIN.$sitefr.'.php')) $sitefr = $site['FR'];
		elseif (file_exists(CHEMIN.$site['FR'].'.php')) @unlink(CHEMIN.$site['FR'].'.php');

	if ($sitefrt != $site['FRT'])
		if (!rename(CHEMIN.$site['FRT'].'.php', CHEMIN.$sitefrt.'.php')) $sitefrt = $site['FRT'];
		elseif (file_exists(CHEMIN.$site['FRT'].'.php')) @unlink(CHEMIN.$site['FRT'].'.php');

	if ($siteth != $site['TH'])
		if (!rename(CHEMIN.$site['TH'].'.php', CHEMIN.$siteth.'.php')) $siteth = $site['TH'];
		elseif (file_exists(CHEMIN.$site['TH'].'.php')) @unlink(CHEMIN.$site['TH'].'.php');

	if ($sitegb != $site['GB'])
		if (!rename(CHEMIN.$site['GB'].'.php', CHEMIN.$sitegb.'.php')) $sitegb = $site['GB'];
		elseif (file_exists(CHEMIN.$site['GB'].'.php')) @unlink(CHEMIN.$site['GB'].'.php');

	if ($sitene != $site['NE'])
		if (!rename(CHEMIN.$site['NE'].'.php', CHEMIN.$sitene.'.php')) $sitene = $site['NE'];
		elseif (file_exists(CHEMIN.$site['NE'].'.php')) @unlink(CHEMIN.$site['NE'].'.php');

	if ($siteusr != $site['USR'])
		if (!rename(CHEMIN.$site['USR'].'.php', CHEMIN.$siteusr.'.php')) $siteusr = $site['USR'];
		elseif (file_exists(CHEMIN.$site['USR'].'.php')) @unlink(CHEMIN.$site['USR'].'.php');

	if ($sitenl != $site['NL'])
		if (!rename(CHEMIN.$site['NL'].'.php', CHEMIN.$sitenl.'.php')) $sitenl = $site['NL'];
		elseif (file_exists(CHEMIN.$site['NL'].'.php')) @unlink(CHEMIN.$site['NL'].'.php');

	if ($sitedn != $site['DN'])
		if (!rename(CHEMIN.$site['DN'].'.php', CHEMIN.$sitedn.'.php')) $sitedn = $site['DN'];
		elseif (file_exists(CHEMIN.$site['DN'].'.php')) @unlink(CHEMIN.$site['DN'].'.php');

	if ($sitect != $site['CT'])
		if (!rename(CHEMIN.$site['CT'].'.php', CHEMIN.$sitect.'.php')) $sitect = $site['CT'];
		elseif (file_exists(CHEMIN.$site['CT'].'.php')) @unlink(CHEMIN.$site['CT'].'.php');
	
	$ctrla = $sitepg.$sitebls.$sitebl.$sitefr.$sitefrt.$siteth.$sitegb.$sitene.$siteusr.$sitenl.$sitedn.$sitect;
	
    $site[5]     = import('site5'); // Activation des news ou pas
    $site[27]    = import('site27'); // Temps d'attente popup postage
    $site[28]    = import('site28'); // Barre de progression attente popup postage
    $site[30]    = import('site30'); // Activation du blog ou pas
	$site['NTC'] = max(1, import('siteNTC')); // Nombre de tentatives de connexion
	$site['PG']  = $sitepg; // Alias du script postguest.php
	$site['BLS'] = $sitebls; // Alias du script blogs.php
	$site['BL']  = $sitebl; // Alias du script blog.php
	$site['FR']  = $sitefr; // Alias du script forum.php
	$site['FRT'] = $sitefrt; // Alias du script fortopic.php
	$site['TH']  = $siteth; // Alias du script thread.php
	$site['GB']  = $sitegb; // Alias du script guestbk.php
	$site['NE']  = $sitene; // Alias du script news.php
	$site['USR'] = $siteusr; // Alias du script user.php
	$site['NL']  = $sitenl; // Alias du script newsletter.php
	$site['DN']  = $sitedn; // Alias du script download.php
	$site['CT']  = $sitect; // Alias du script contact.php

    $texte[3]   = import('texte3'); // Puce articles

    $serviz[0]  = 'on'; //  Citations, service désactivable par boite
    $serviz[1]  = import('serviz1'); // Choix page Accueil
    $serviz[2]  = max(1, import('serviz2')); // Nb de news / page
    $serviz[3]  = import('serviz3'); // Carnet de bord du site
    $serviz[4]  = max(1, import('serviz4')); // Nb de téléchargements / page
    $serviz[5]  = max(1, import('serviz5')); // Nb de liens / page
    $serviz[6]  = max(1, import('serviz6')); // Nb de FAQ / page
    $serviz[7]  = max(1, import('serviz7')); // Nb de messages Guestbook / page
    $serviz[8]  = import('serviz8'); // Nouvelles ON / OFF
    $serviz[9]  = import('serviz9'); // Photos ON / OFF
    $serviz[10] = import('serviz10'); // Téléchargements ON / OFF
    $serviz[11] = import('serviz11'); // Liens ON / OFF
    $serviz[12] = import('serviz12'); // Livre d'or ON / OFF
    $serviz[13] = import('serviz13'); // Forum ON / OFF
    $serviz[14] = import('serviz14'); // FAQ ON / OFF
    $serviz[15] = import('serviz15'); // Statistiques ON / OFF
    $serviz[16] = import('serviz16'); // Publication Nouvelles RSS ON / OFF
    $serviz[17] = max(1, import('serviz17')); // Nb de messages Forum / page
    // Catégories Forum ON / OFF transféré dans config7
    $serviz[19] = 'on'; //  Bannières, service désactivable par boite
    $serviz[20] = max(1, import('serviz20')); // Nb de messages Thread / page
    $serviz[21] = import('serviz21'); // Contact site ON /OFF
	$serviz[22] = import('serviz22'); // Bouton RSS dans boîte réseaux sociaux ON /OFF
    $serviz[25] = import('serviz25'); // Rotation automatique des bannières
    $serviz[26] = max(1, import('serviz26')); // Durée d'affichage en secondes d'une bannière
    $serviz[27] = import('serviz27'); // Billets RSS des amis ON / OFF
    $serviz[29] = import('serviz29'); // Réactions aux articles ON / OFF / Ok Admin
    $serviz[30] = max(1, import('serviz30')); // Nb Réactions aux articles / page
    $serviz[31] = trim(import('serviz31')); // Pseudo préférences webmaster
    if (empty($serviz[31])) $serviz[31] = ' ';
    $serviz[32] = import('serviz32'); // Accès à l'administration rapide
    $serviz[33] = import('serviz33'); // Compteur de lecture Articles
    // Compteur de lecture Threads Forum transféré dans config7
    $serviz[35] = import('serviz35'); // Compteur de Nb de téléchargements
    $serviz[36] = import('serviz36'); // Newsletter ON / OFF / TEST
    $serviz[37] = max(1, import('serviz37')); // Nb de news / articles publiés
    $serviz[39] = import('serviz39'); // Durée Cache RSS
    $serviz[40] = import('serviz40'); // Publication dans le livre d'or
    $serviz[41] = import('serviz41'); // Publication dans le forum
    $serviz[42] = import('serviz42'); // Option rédacteur
    $serviz[43] = import('serviz43'); // Avatar préférences webmaster
    $serviz[45] = 'on'; // forcé à on : Masquer l'icône Admin
    $serviz[46] = max(1, import('serviz46')); // Nb de messages Agenda / page
    $serviz[47] = import('serviz47'); // Agenda ON / OFF
    $serviz[48] = max(1, import('serviz48')); // Nb de messages maximum dans Tinymessage
    $serviz[49] = import('serviz49'); // Choix éditeur IE /compatible intégré ou popup
    $serviz[50] = max(1, import('serviz50')); // Nb maxi de fichiers dans data/error
    $serviz[51] = max(50, import('serviz51')); // Nb maxi de lignes dans l'anti-spam
    $serviz[52] = max(10, import('serviz52')); // Durée maxi de validité du code anti-spam
    $serviz[53] = import('serviz53'); // Blog ON / OFF
    $serviz[54] = import('serviz54'); // Publication Blog RSS ON / OFF
    $serviz[55] = max(1, import('serviz55')); // Nb de Blogs / page
    $serviz[56] = max(1, import('serviz56')); // Nb de blogs publiés
    $serviz[57] = import('serviz57'); // Commentaires sur Blog ON /OFF / OK Admin
    $serviz[58] = import('serviz58'); // Blog pleine page ON = 3cols /OFF = "" / 2cols
    $serviz[59] = import('serviz59'); // Menu dynamique Blog
    $serviz[60] = import('serviz60'); // Publication Articles RSS ON / OFF
    $serviz[61] = max(1, import('serviz61')); // Nb billets récents-commentaires / page
    $serviz[62] = import('serviz62'); // Recommander ON/OFF
    $serviz[63] = import('serviz63'); // Afficher le nombre d'abonnés à la newsletter ON/OFF
    $serviz[64] = import('serviz64'); // Cacher la date de création dans Articles ON/OFF
    $serviz[65] = import('serviz65'); // Cacher la date de modification dans Articles ON/OFF
    $serviz[66] = import('serviz66'); // Cacher la catégorie dans Articles ON/OFF
    $serviz[67] = import('serviz67'); // Cacher le compteur dans Articles ON/OFF
    $serviz[68] = import('serviz68'); // Cacher le bouton Imprimer dans Articles ON/OFF
    $serviz[69] = import('serviz69'); // Cacher la date de création dans Faq ON/OFF
    $serviz[70] = import('serviz70'); // Cacher la date de modification dans Faq  ON/OFF
    $serviz[71] = import('serviz71'); // Cacher le bouton Imprimer dans Faq ON/OFF
    $serviz[72] = import('serviz72'); // Cacher la date de création dans Nouvelles ON/OFF
    $serviz[73] = import('serviz73'); // Cacher l'auteur dans Nouvelles ON/OFF
	// Cacher les boîtes en page d'accueil ON/OFF transféré dans config3
    $serviz[75] = max(1, import('serviz75')); // Nombre de documents dans les listes en Admin
    $serviz[76] = import('serviz76'); // Cacher la date de modification dans Blog ON/OFF
    $serviz[77] = import('serviz77'); // Cacher la date de modification dans Download ON/OFF
    $serviz[78] = import('serviz78'); // Déplier la liste des téléchargements
    $serviz[79] = import('serviz79'); // Déplier la liste de la FAQ
    $serviz[80] = import('serviz80'); // Déplier la liste des liens
    $serviz[81] = import('serviz81'); // Déplier la liste des liens
    $serviz[82] = max(1, import('serviz82')); // Nombre d'articles dans le flux RSS articles
    $serviz[88] = import('serviz88'); // Activer le captcha pour les préférences
    $serviz[89] = import('serviz89'); // Activer le captcha pour les nouvelles
    $serviz[90] = import('serviz90'); // Activer le captcha pour le livre d'or
    $serviz[91] = import('serviz91'); // Activer le captcha pour le forum
    $serviz[92] = import('serviz92'); // Activer le captcha pour les réactions aux articles
    $serviz[93] = import('serviz93'); // Activer le captcha pour l'inscription à la newsletter
    $serviz[94] = import('serviz94'); // Activer le captcha pour recommander
    $serviz[95] = import('serviz95'); // Activer le captcha pour le contact webmestre
    $serviz[96] = import('serviz96'); // Activer le captcha pour le blog
    $serviz[97] = import('serviz97'); // Activer le captcha pour les commentaires blog
    $serviz[98] = import('serviz98'); // Désactiver pour les membres
    $serviz[99] = import('serviz99'); // Contact site avancé
    $serviz[100] = import('serviz100'); // Type de captcha 0=pas de captcha 1=image 2=texte 3=sélection texte
    $serviz[101] = import('serviz101'); // Largeur de l'éditeur
    $serviz[102] = import('serviz102'); // Cacher la barre de navigation dans articles ON/OFF
	$serviz[103] = import('serviz103'); // Ensemble des publications RSS
	$serviz[104] = import('serviz104'); // Inclure AddThis dans le blog
	$serviz[105] = import('serviz105'); // Inclure AddThis dans les articles
	$serviz[106] = import('serviz106'); // Inclure AddThis dans les nouvelles
	$serviz[107] = import('serviz107'); // Inclure AddThis dans le forum
    $serviz[108] = import('serviz108'); // Rotation automatique des citations
    $serviz[109] = max(1, import('serviz109')); // Durée d'affichage en secondes d'une citation
	$serviz[110] = max(1, import('serviz110')); // Délai suppression inscription newsletter
	$serviz[112] = import('serviz112'); // Utiliser l'aide intégrée
    $serviz[113] = import('serviz113'); // Cacher les mots-clés dans Articles ON/OFF
    $serviz[114] = import('serviz114'); // Cacher titre et auteur des billets ON/OFF
    $serviz[115] = import('serviz115'); // Captcha sensible à la casse ON/OFF
	$serviz[116] = import('serviz116'); // Nouveautés du site
	$serviz[117] = import('serviz117'); // Nouveautés depuis la dernière connexion
	$serviz[118] = import('serviz118'); // Nouveautés depuis un nombre de jours
	$serviz[119] = max(1, import('serviz119')); // Nombre de jours à mémoriser
	$serviz[120] = max(1, import('serviz120')); // Nb maxi de caractères des nouveautés
	$serviz[121] = import('serviz121'); // Inclure le calendrier dans les nouveautés
	$serviz[122] = import('serviz122'); // Inclure les articles dans les nouveautés
	$serviz[123] = import('serviz123'); // Inclure le blog dans les nouveautés
	$serviz[124] = import('serviz124'); // Inclure les téléchargements dans les nouveautés
	$serviz[125] = import('serviz125'); // Inclure la faq dans les nouveautés
	$serviz[126] = import('serviz126'); // Inclure leforum dans les nouveautés
	$serviz[127] = import('serviz127'); // Inclure les liens dans les nouveautés
	$serviz[128] = import('serviz128'); // Inclure le livre d'or dans les nouveautés
	$serviz[129] = import('serviz129'); // Inclure les nouvelles dans les nouveautés
	$serviz[130] = import('serviz130'); // Inclure les photos dans les nouveautés
	$serviz[132] = import('serviz132'); // Statistiques pleine page ON /OFF
	$serviz[133] = import('serviz133'); // Hauteur maxi d'une cellule de fil RSS
	$serviz[134] = import('serviz134'); // Nb maxi de caractères dans une cellule de fil RSS
	$serviz[135] = import('serviz135'); // Nb jours affichage image nouveauté
	$serviz[136] = import('serviz136'); // Image nouveauté articles ON / OFF / Membres
	$serviz[137] = import('serviz137'); // Image nouveauté nouvelles ON / OFF / Membres
	$serviz[138] = import('serviz138'); // Image nouveauté blog ON / OFF / Membres
	$serviz[139] = import('serviz139'); // Image nouveauté forum ON / OFF / Membres
	$serviz[140] = import('serviz140'); // Image nouveauté faq ON / OFF / Membres
	$serviz[141] = import('serviz141'); // Image nouveauté livre d'or ON / OFF / Membres
	$serviz[142] = import('serviz142'); // Image nouveauté photo ON / OFF / Membres
	$serviz[143] = import('serviz143'); // Image nouveauté téléchargements ON / OFF / Membres
	$serviz[144] = import('serviz144'); // Image nouveauté liens ON / OFF / Membres
	$serviz[145] = import('serviz145'); // Image nouveauté agenda ON / OFF / Membres
	
	if ($serviz[1] != '0') $menuico[0] = ''; // Icône Accueil
	if ($serviz[8] == '') $menuico[1] = ''; // Icône Nouvelles
	if ($serviz[53] == '') $menuico[2] = ''; // Icône Blog
	if ($serviz[9] == '') $menuico[3] = ''; // Icône Photorama
	if ($serviz[10] == '') $menuico[4] = ''; // Icône Téléchargements
	if ($serviz[11] == '') $menuico[5] = ''; // Icône Liens
	if ($serviz[14] == '') $menuico[6] = ''; // Icône FAQ
	if ($serviz[12] == '') $menuico[7] = ''; // Icône Livre d'or
	if ($serviz[13] == '') $menuico[8] = ''; // Icône Forum
	if ($serviz[15] == '') $menuico[9] = ''; // Icône Stats
	if ($serviz[99] == '') $menuico[10] = ''; // Icône Contact avancé

    $supervision[0]  = import('supervision0'); // e-mail compteur
    $supervision[1]  = max(1, import('supervision1')); // incrément de compteur pour e-mail
    $supervision[2]  = import('supervision2'); // e-mail publication nouvelle
    $supervision[3]  = import('supervision3'); // e-mail publication livre d'or
    $supervision[4]  = import('supervision4'); // e-mail publication forum
    $supervision[5]  = import('supervision5'); // Type d'e-mail PHP
    $supervision[6]  = import('supervision6'); // e-mail réagir aux articles
    $supervision[7]  = import('supervision7'); // e-mail inscription ou résiliation Newsletter
    $supervision[8]  = import('supervision8'); // e-mail publication blog
    $supervision[9]  = import('supervision9'); // e-mail commentaire blog
    $supervision[10] = import('supervision10'); // liste e-mails suprevision
    $supervision[11] = import('supervision11'); // e-mail ouverture ou fermeture de compte
    $supervision[12] = import('supervision12'); // e-mail erreurs de connexion

    $smtp[0] = import('smtp0'); // serveur SMTP
    $smtp[1] = import('smtp1'); // avec authentification ON / OFF
    $smtp[2] = import('smtp2'); // préfixe serveur "" / SSL / TLS
    $smtp[3] = import('smtp3'); // numéro de port SMTP
    $smtp[4] = import('smtp4'); // adresse mail utilisateur
    $smtp5   = import('smtp5'); 
    $smtp5_2 = import('smtp5_2');
    $smtp[5] = !empty($smtp5) && $smtp5_2 == $smtp5 ? $smtp5 : $smtp[5]; // mot de passe utilisateur
	
	$sitemap['SM'] = import('sitemapSM'); // Création d'un sitemap
	$sitemap['BL'] = import('sitemapBL'); // Inclure le blog dans le sitemap
	$sitemap['AR'] = import('sitemapAR'); // Inclure les articles dans le sitemap
	$sitemap['NE'] = import('sitemapNE'); // Inclure les nouvelles dans le sitemap
	$sitemap['PH'] = import('sitemapPH'); // Inclure les photos dans le sitemap
	$sitemap['DN'] = import('sitemapDN'); // Inclure les téléchargements dans le sitemap
	$sitemap['FA'] = import('sitemapFA'); // Inclure la faq dans le sitemap
	$sitemap['LI'] = import('sitemapLI'); // Inclure les liens dans le sitemap
	$sitemap['GB'] = import('sitemapGB'); // Inclure le livre d'or dans le sitemap
	$sitemap['FR'] = import('sitemapFR'); // Inclure le forum dans le sitemap
	$sitemap['AG'] = import('sitemapAG'); // Inclure l'agenda dans le sitemap

    include 'inc/confupdt.inc';
	
	$mapurls = import('urlsmap'); // URLs non indexées
	WriteFullDB(MAPSURLS, $mapurls);
	
	$ctrlsa  = $sitemap['SM'].$sitemap['BL'].$sitemap['AR'].$sitemap['NE'].$sitemap['PH'].$sitemap['DN'].$sitemap['FA'].$sitemap['LI'].$sitemap['GB'].$sitemap['FR'].$sitemap['AG'].$mapurls;
	$smtyps  = array(TYP_BLOG, TYP_ART, TYP_NEWS, TYP_PHOTO, TYP_DNLOAD, TYP_FAQ, TYP_LINKS, TYP_GUESTBK, TYP_FORUM, TYP_AGENDA);
	$smslcts = array(TYP_BLOG=>$sitemap['BL'], TYP_ART=>$sitemap['AR'], TYP_NEWS=>$sitemap['NE'], TYP_PHOTO=>$sitemap['PH'], TYP_DNLOAD=>$sitemap['DN'], 
	                 TYP_FAQ=>$sitemap['FA'], TYP_LINKS=>$sitemap['LI'], TYP_GUESTBK=>$sitemap['GB'], TYP_FORUM=>$sitemap['FR'], TYP_AGENDA=>$sitemap['AG']);
	if ($ctrlsb != $ctrlsa)
		foreach($smtyps as $smtyp) {
			if ($smslcts[$smtyp] == 'on') UpdateSitemaps($smtyp);
			UpdateSitemaps('URLS');
		}
	
	if ($site['URLR'] == 'on' && $ctrlb != $ctrla) {
		setURLrewriting('');
		setURLrewriting('on');
	}
	
    include_once CHEMIN.INCREP.'funcrss.php';
    UpdateRSSnews();
    UpdateRSSblog();
    UpdateRSSart();
	UpdateRSSall();
	header("location:admin.php?lng=".$lng."&pg=config5");
}

$mailer  = array( 'standard' => $admin[231]);
$dossier = opendir(CHEMIN.'inc/mail/');
while ($fichier = readdir($dossier)) {
	if (is_file(CHEMIN.'inc/mail/'.$fichier)) {
		$basefic = basename($fichier);
		$extension = substr($basefic, -4);
		$filename = substr($basefic, 0, -4);
		if ($extension == '.inc') {
			$mailer[$filename] = $admin[232].' '.$filename;
		}
	}
}
closedir($dossier);

$progbartheme = array('' => $admin[460]);
$dossier      = opendir(CHEMIN.'inc/img/progbar/');
while ($fichier = readdir($dossier)) {
	if (is_file(CHEMIN.'inc/img/progbar/'.$fichier)) {
		$path_parts = basename($fichier);
		$path_parts = substr($path_parts,strrpos($path_parts,'.')+1);
		if (IsImage($path_parts)) {
			$progbartheme[$fichier] = $fichier;
		}
	}
}
closedir($dossier);
@sort($progbartheme);

include CONFIG;
$mapurls = file_exists(MAPSURLS) ? file_get_contents(MAPSURLS) : '';
if (is_file ($meskin.'confskin.inc')) {
    include $meskin.'confskin.inc';
} else {
    die('Skin not found : '.$meskin);
}

$symbls = array('', '&bull;', '&deg;', '-');

function LineTXT($ls, $label, $name, $value, $size=16, $typ='text') {
	global $charset, $symbls;
	$indent = 12 + ($ls - 1) * 24;
    return '
		<label for="'.$name.'" style="padding-left:'.$indent.'px;"><b>'.$symbls[$ls].'</b>&nbsp;&nbsp;'.$label.'</label>
		<input style="margin-top:4px; position:absolute; left:60%;" class="texte" type="'.$typ.'" id="'.$name.'" name="'.$name.'" value="'.htmlentities($value, ENT_QUOTES, $charset).'" size="'.$size.'" />
		<br />';
}
function LineTXT2($label, $name, $value, $size=80) {
	global $charset, $symbls;
    return '
	  <div style="padding-left:16px;"><label for="'.$name.'">'.$label.'</label></div>
	  <div style="margin-top:-8px;padding-left:16px;">
	    <input class="texte" type="text" id="'.$name.'" name="'.$name.'" value="'.htmlentities($value, ENT_QUOTES, $charset).'" size="'.$size.'" />
	  </div>';
}
function LineCB($ls, $label, $name, $value) {
	global $symbls;
	$indent = 12 + ($ls - 1) * 24;
    return '
		<label for="'.$name.'" style="padding-left:'.$indent.'px;"><b>'.$symbls[$ls].'</b>&nbsp;&nbsp;'.$label.'
		<input style="margin-top:4px; position:absolute; left:60%;" type="checkbox" id="'.$name.'" name="'.$name.'"'.Checked($value).' />
		</label>
		<br />';
}
function LineSELECT($ls, $label, $name, $options, $value) {
	global $charset, $symbls;
	$indent = 12 + ($ls - 1) * 24;
    $out = '
		<label for="'.$name.'" style="padding-left:'.$indent.'px;"><b>'.$symbls[$ls].'</b>&nbsp;&nbsp;'.$label.'</label>
		<select style="max-width:180px; margin-top:4px; position:absolute; left:60%;" id="'.$name.'" name="'.$name.'">';
    foreach ($options as $key=>$val) {
        $out .= '
          <option value="'.$key.'"'.Selected($value == $key || $value == html_entity_decode($key, ENT_QUOTES, $charset)).'>'.$val.'</option>';
    }
    return $out.'
		</select>
		<br />';
}

$headinc .= '
    <script type="text/javascript">
        $(document).ready( function() {
            $("#gyaccordion").hoverAccordion({
                keepHeight: false,
                activateItem: 1,
				onClickOnly: true,
                speed: 400
            });
            $("#gyaccordion").children("li:first").addClass("firstitem");
            $("#gyaccordion").children("li:last").addClass("lastitem");
        });
    </script>
';

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[176]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[176], '100%');

// Préparation des tableaux d'options utilisés pour les selects
$options1      = array($admin[897], $admin[770], $admin[13], $admin[9], $admin[624]);
$options2      = array('off' => $web[314], 'on' => $web[313], 'mbr' => $admin[690]);
$options27     = array($admin[594], $admin[595], $admin[596], $admin[597], $admin[598], $admin[599]);
$option36      = array('' => $web[314], 'on' => $web[313].' + '.$admin[745], 'no' => $web[313].', '.$admin[916]);
$options39     = array(
    900 => $admin[613], 1800 => $admin[614], 3600 => $admin[615], 10800 => $admin[616],
    21600 => $admin[617], 43200 => $admin[618], 86400 => $admin[619]);
$options49     = array('' => $web[640], 'on' => $web[639]);
$options58     = array('' => $web[314], 'on' => $web[313], '2cols' => $web[313].', 2cols');
$confirm2      = array(0 => $admin[55], 1 => $admin[61]);
$confirm3      = array(2 => $web[314], 0 => $admin[55], 1 => $admin[61]);
$types_menu    = array($admin[397], $admin[398], $admin[504], $admin[621]);
$types_captcha = array(0 => $admin[1185], 1 => $admin[1186], 2 => $admin[1187], 3 => $admin[1372]);

$carspec1 = array('&nbsp;','!','#','*','+','-','.',':','&lt;','=','&gt;','@','^','~',
'&deg;','&curren;','&middot;','&ordm;','&plusmn;','&raquo;','&times;','&bull;');
$carspec2 = array();
foreach ($carspec1 as $car) {
    $carspec2[htmlentities($car, NULL, $charset)] = $car;
}
unset($carspec1);
$car1 = '&nbsp;&nbsp;<span class="texte" style="font-weight:bold;border:1px solid;" > &nbsp; '.$texte[3].' &nbsp; </span>';

echo '
<div style="text-align:center;">
  <p>'.ToHelp($lng, 'config5').$admin[177].'</p>
</div>
<div style="width:100%; margin:auto;">
<form name="conf5" action="admin.php?lng='.$lng.'&amp;pg=config5" method="post">
  <input type="hidden" name="regit" value="1" />';
  
echo '
  <ul id="gyaccordion" style="max-width:580px; margin:auto;">
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>';
// ADMINISTRATION
echo '
    <li>
      <a href="#">'.$admin[810].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			'.LineTXT(1, $admin[714], 'serviz31', trim($serviz[31])).'
			  '.LineCB(2, $admin[482], 'serviz32', $serviz[32], 40).'
			  '.LineSELECT(2, $admin[709], 'serviz49', $options49, $serviz[49], 40).'
			  '.LineTXT(2, $admin[1242], 'serviz101', trim($serviz[101]), 6, 40).'
			  '.LineCB(2, $admin[1342], 'serviz112', $serviz[112], 40).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[711], 'serviz42', $serviz[42]).'</div>
			<div>'.LineCB(1, $admin[937], 'serviz3', $serviz[3]).'</div>
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES Blog
echo '
    <li>
      <a href="#">'.$admin[217].' => '.$admin[770].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			<div style="margin-top:8px;">'.LineCB(1, $admin[780], 'serviz53', $serviz[53]).'</div>
			  '.LineSELECT(2, $admin[777], 'serviz58', $options58, $serviz[58]).'
			  '.LineSELECT(2, $admin[1221], 'serviz59', $types_menu, $serviz[59]).'
			  '.LineSELECT(2, $admin[775], 'site30', $confirm3, $site[30]).'
			  '.LineSELECT(2, $admin[774], 'serviz57', $confirm3, $serviz[57]).'
			  '.LineCB(2, $admin[1068], 'serviz76', $serviz[76]).'
			  '.LineCB(2, $admin[1069], 'serviz114', $serviz[114]).'
			  '.LineCB(2, $admin[347], 'serviz104', $serviz[104]).'
			  '.LineCB(2, $admin[1379], 'serviz123', $serviz[123]).'
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES Articles
echo '
    <li>
      <a href="#">'.$admin[217].' => '.$admin[5].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			<div style="margin-top:8px; padding-left:16px;">'.$symbls[1].'&nbsp;&nbsp;'.$admin[5].'</div>
			  '.LineSELECT(2, $admin[472], 'serviz29', $confirm3, $serviz[29]).'
			  '.LineCB(2, $admin[483], 'serviz33', $serviz[33]).'
			  '.LineCB(2, $admin[1064], 'serviz64', $serviz[64]).'
			  '.LineCB(2, $admin[1065], 'serviz65', $serviz[65]).'
			  '.LineCB(2, $admin[1066], 'serviz66', $serviz[66]).'
			  '.LineCB(2, $admin[1067], 'serviz67', $serviz[67]).'
			  '.LineCB(2, $admin[1068], 'serviz68', $serviz[68]).'
			  '.LineCB(2, $admin[1281], 'serviz102', $serviz[102]).'
			  '.LineCB(2, $admin[1346], 'serviz113', $serviz[113]).'
			  '.LineCB(2, $admin[347], 'serviz105', $serviz[105]).'
			  '.LineCB(2, $admin[1379], 'serviz122', $serviz[122]).'
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES Nouvelles - Photos
echo '
    <li>
      <a href="#">'.$admin[217].' => '.$admin[13].' - '.substr($admin[834], 0, -1).'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			<div style="margin-top:8px;">'.LineCB(1, $admin[72], 'serviz8', $serviz[8]).'</div>
			  '.LineSELECT(2, $admin[59], 'site5', $confirm3, $site[5]).'
			  '.LineCB(2, $admin[1064], 'serviz72', $serviz[72]).'
			  '.LineCB(2, $admin[1069], 'serviz73', $serviz[73]).'
			  '.LineCB(2, $admin[347], 'serviz106', $serviz[106]).'
			  '.LineCB(2, $admin[1379], 'serviz129', $serviz[129]).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[74], 'serviz9', $serviz[9]).'</div>
			  '.LineCB(2, $admin[1057], 'serviz81', $serviz[81]).'
			  '.LineCB(2, $admin[1379], 'serviz130', $serviz[130]).'
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES Téléchargements - Liens - FAQ
echo '
    <li>
      <a href="#">'.$admin[217].' => '.$admin[18].' - '.$admin[206].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			<div style="margin-top:8px;">'.LineCB(1, $admin[73], 'serviz10', $serviz[10]).'</div>
			  '.LineCB(2, $admin[484], 'serviz35', $serviz[35]).'
			  '.LineCB(2, $admin[1068], 'serviz77', $serviz[77]).'
			  '.LineCB(2, $admin[1057], 'serviz78', $serviz[78]).'
			  '.LineCB(2, $admin[1379], 'serviz124', $serviz[124]).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[207], 'serviz14', $serviz[14]).'</div>
			  '.LineCB(2, $admin[1064], 'serviz69', $serviz[69]).'
			  '.LineCB(2, $admin[1065], 'serviz70', $serviz[70]).'
			  '.LineCB(2, $admin[1068], 'serviz71', $serviz[71]).'
			  '.LineCB(2, $admin[1057], 'serviz79', $serviz[79]).'
			  '.LineCB(2, $admin[1379], 'serviz125', $serviz[125]).'
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES Liens - Livre d'or - Forum
echo '
    <li>
      <a href="#">'.$admin[217].' => '.$admin[10].' - '.$admin[11].' - '.$admin[9].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
		    <div style="margin-top:8px;">'.LineCB(1, $admin[75], 'serviz11', $serviz[11]).'</div>
			  '.LineCB(2, $admin[1057], 'serviz80', $serviz[80]).'
			  '.LineCB(2, $admin[1379], 'serviz127', $serviz[127]).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[76], 'serviz12', $serviz[12]).'</div>
			  '.LineSELECT(2, $admin[454], 'serviz40', $confirm2, $serviz[40]).'
			  '.LineCB(2, $admin[1379], 'serviz128', $serviz[128]).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[164], 'serviz13', $serviz[13]).'</div>
			  '.LineSELECT(2, $admin[454], 'serviz41', $confirm2, $serviz[41]).'
			  '.LineCB(2, $admin[347], 'serviz107', $serviz[107]).'
			  '.LineCB(2, $admin[1379], 'serviz126', $serviz[126]).'
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES Statistiques - Agenda - Recommander - Newsletter - Contact
echo '
    <li>
      <a href="#">'.$admin[217].' => '.$admin[212].' - '.$admin[624].' - '.$admin[249].' - '.$admin[546].' - '.substr($admin[1180], 0, -1).'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			<div style="margin-top:8px;">'.LineCB(1, $admin[213], 'serviz15', $serviz[15]).'</div>
			'.LineCB(2, $admin[1386], 'serviz132', $serviz[132]).'
			'.LineCB(1, $admin[651], 'serviz47', $serviz[47]).'
			'.LineCB(2, $admin[1379], 'serviz121', $serviz[121]).'
			'.LineCB(1, $admin[249], 'serviz62', $serviz[62]).'
			<div style="margin-top:8px;">'.LineSELECT(1, $admin[546], 'serviz36', $option36, $serviz[36]).'</div>
			  '.LineCB(2, $admin[1062], 'serviz63', $serviz[63]).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[1179], 'serviz21', $serviz[21]).'</div>
			  '.LineCB(2, $admin[1180], 'serviz99', $serviz[99]).'
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES Divers - Rotation - Nouveautés
echo '
    <li>
      <a href="#">'.$admin[217].' => '.str_replace('...', '', $admin[1116]).' - '.$admin[1425].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			'.LineSelect(1, $admin[71], 'serviz1', $options1, $serviz[1]).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[602].' ('.$web[402].')', 'serviz27', $serviz[27]).'</div>
			'.LineSELECT(1, $admin[480].$car1, 'texte3', $carspec2, $texte[3]).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[355], 'serviz25', $serviz[25]).'</div>
			  '.LineTXT(2, $admin[356], 'serviz26', $serviz[26], 3).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[496], 'serviz108', $serviz[108]).'</div>
			  '.LineTXT(2, $admin[497], 'serviz109', $serviz[109], 3).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[1374], 'serviz116', $serviz[116]).'</div>
			  '.LineCB(2, $admin[1375], 'serviz117', $serviz[117]).'
			  '.LineCB(2, $admin[1376], 'serviz118', $serviz[118]).'
			  '.LineTXT(3, $admin[1377], 'serviz119', $serviz[119], 3).'
			  '.LineTXT(3, $admin[1378], 'serviz120', $serviz[120], 4).'
			<div style="margin-top:8px;">'.LineTXT(1, $admin[1426], 'serviz135', $serviz[135], 3).'</div>
			  '.LineSELECT(2, $admin[1427].$admin[5].' :', 'serviz136', $options2, $serviz[136]).'
			  '.LineSELECT(2, $admin[1427].$admin[13].' :', 'serviz137', $options2, $serviz[137]).'
			  '.LineSELECT(2, $admin[1427].$admin[770].' :', 'serviz138', $options2, $serviz[138]).'
			  '.LineSELECT(2, $admin[1427].$admin[9].' :', 'serviz139', $options2, $serviz[139]).'
			  '.LineSELECT(2, $admin[1427].$admin[206].' :', 'serviz140', $options2, $serviz[140]).'
			  '.LineSELECT(2, $admin[1427].$admin[11].' :', 'serviz141', $options2, $serviz[141]).'
			  '.LineSELECT(2, $admin[1427].$admin[834], 'serviz142', $options2, $serviz[142]).'
			  '.LineSELECT(2, $admin[1427].$admin[18].' :', 'serviz143', $options2, $serviz[143]).'
			  '.LineSELECT(2, $admin[1427].$admin[10].' :', 'serviz144', $options2, $serviz[144]).'
			  '.LineSELECT(2, $admin[1427].$admin[624].' :', 'serviz145', $options2, $serviz[145]).'
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES Nombre d'éléments des listes
echo '  
    <li>
      <a href="#">'.$admin[217].' => '.$admin[239].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			'.LineTXT(1, $admin[472], 'serviz30', $serviz[30], 3).'
			'.LineTXT(1, $admin[72], 'serviz2', $serviz[2], 3).'
			<div style="margin-top:8px;">'.LineTXT(1, $admin[780], 'serviz55', $serviz[55], 3).'</div>
			  '.LineTXT(2, $admin[749], 'serviz61', $serviz[61], 3).'
			<div style="margin-top:8px;">'.LineTXT(1, $admin[73], 'serviz4', $serviz[4], 3).'</div>
			'.LineTXT(1, $admin[75], 'serviz5', $serviz[5], 3).'
			'.LineTXT(1, $admin[207], 'serviz6', $serviz[6], 3).'
			'.LineTXT(1, $admin[76], 'serviz7', $serviz[7], 3).'
			<div style="margin-top:8px;">'.LineTXT(1, $admin[164], 'serviz17', $serviz[17], 3).'</div>
			  '.LineTXT(2, $admin[98], 'serviz20', $serviz[20], 3).'
			<div style="margin-top:8px;">'.LineTXT(1, $admin[651], 'serviz46', $serviz[46], 3).'</div>
			'.LineTXT(1, $admin[682], 'serviz48', $serviz[48], 3).'
			'.LineTXT(1, $admin[683], 'serviz50', $serviz[50], 3).'
			'.LineTXT(1, $admin[1079], 'serviz75', $serviz[75], 3).'
			'.LineTXT(1, $admin[1309], 'serviz110', $serviz[110], 3).'
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES RSS
echo '		  
    <li>
      <a href="#">'.$admin[1304].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			'.LineCB(1, $admin[781], 'serviz54', $serviz[54]).'
			'.LineTXT(2, $admin[781], 'serviz56', $serviz[56], 3).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[795], 'serviz60', $serviz[60]).'</div>
			  '.LineTXT(2, $admin[1060], 'serviz82', max(1, $serviz[82]), 3).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[242], 'serviz16', $serviz[16]).'</div>
			  '.LineTXT(2, $admin[242], 'serviz37', $serviz[37], 3).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[1305], 'serviz103', $serviz[103]).'</div>
			'.LineCB(1, $admin[502], 'serviz22', $serviz[22]).'
			'.LineSELECT(1, $admin[612], 'serviz39', $options39, $serviz[39]).'
			'.LineTXT(1, $admin[1410], 'serviz133', $serviz[133], 4).'
			'.LineTXT(1, $admin[1411], 'serviz134', $serviz[134], 3).'
		  </div>
        </li>
	  </ul>
    </li>';
// SERVICES SITEMAP
echo '		  
    <li>
      <a href="#">'.$admin[1412].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 10px;">
			<div style="margin-top:8px;">'.LineCB(1, $admin[1413], 'sitemapSM', $sitemap['SM']).'</div>
			'.LineCB(2, $admin[780], 'sitemapBL', $sitemap['BL']).'
			'.LineCB(2, $admin[5].' :', 'sitemapAR', $sitemap['AR']).'
			'.LineCB(2, $admin[72], 'sitemapNE', $sitemap['NE']).'
			'.LineCB(2, $admin[74], 'sitemapPH', $sitemap['PH']).'
			'.LineCB(2, $admin[73], 'sitemapDN', $sitemap['DN']).'
			'.LineCB(2, $admin[207], 'sitemapFA', $sitemap['FA']).'
			'.LineCB(2, $admin[75], 'sitemapLI', $sitemap['LI']).'
			'.LineCB(2, $admin[76], 'sitemapGB', $sitemap['GB']).'
			'.LineCB(2, $admin[164], 'sitemapFR', $sitemap['FR']).'
			'.LineCB(2, $admin[651], 'sitemapAG', $sitemap['AG']).'
			<div style="margin:8px 16px 0 16px;">'.$admin[1414].'</div>
			<div style="text-align:center;margin:auto;"><textarea style="width:500px;height:160px;" name="urlsmap">'.$mapurls.'</textarea></div>
		  </div>
        </li>
	  </ul>
    </li>';
// CONTRIBUTION VISITEURS & ANTI-SPAM
echo '
    <li>
      <a href="#">'.$admin[600].' & '.$admin[761].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			'.LineSELECT(1, $admin[593], 'site27', $options27, $site[27]).'
			'.LineSELECT(1, $admin[601], 'site28', $progbartheme, $site[28]).'
			'.LineTXT(1, $admin[257], 'siteNTC', $site['NTC'], 4).'
		  </div>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			'.LineTXT(1, $admin[762], 'serviz51', $serviz[51], 4).'
			'.LineTXT(1, $admin[763], 'serviz52', $serviz[52], 4).'
		  </div>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			<label style="padding-left:12px;"><b>'.$symbls[1].'</b>&nbsp;&nbsp;'.$admin[1390].'</label><br />
			'.LineTXT(2, $admin[1391].'postguest.php :', 'sitepg', $site['PG'], 20).'
			'.LineTXT(2, $admin[1391].'blogs.php :', 'sitebls', $site['BLS'], 20).'
			'.LineTXT(2, $admin[1391].'blog.php :', 'sitebl', $site['BL'], 20).'
			'.LineTXT(2, $admin[1391].'forum.php :', 'sitefr', $site['FR'], 20).'
			'.LineTXT(2, $admin[1391].'fortopic.php :', 'sitefrt', $site['FRT'], 20).'
			'.LineTXT(2, $admin[1391].'thread.php :', 'siteth', $site['TH'], 20).'
			'.LineTXT(2, $admin[1391].'guestbk.php :', 'sitegb', $site['GB'], 20).'
			'.LineTXT(2, $admin[1391].'news.php :', 'sitene', $site['NE'], 20).'
			'.LineTXT(2, $admin[1391].'user.php :', 'siteusr', $site['USR'], 20).'
			'.LineTXT(2, $admin[1391].'newsletter.php :', 'sitenl', $site['NL'], 20).'
			'.LineTXT(2, $admin[1391].'download.php :', 'sitedn', $site['DN'], 20).'
			'.LineTXT(2, $admin[1391].'contact.php :', 'sitect', $site['CT'], 20).'
		  </div>
        </li>
	  </ul>
    </li>';
// CAPTCHA
$n34 = getLabel($nom[34 + ($lng == $lang[0] ? 0 : 1)]);
if (mb_substr($n34, 0, 1, $charset) == '§') $n34 = mb_substr($n34, 1, 999, $charset);
echo '
    <li>
      <a href="#">'.$admin[1174].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			'.LineSELECT(1, $admin[1184], 'serviz100', $types_captcha, $serviz[100]).'
			'.LineCB(2, $admin[1373], 'serviz115', $serviz[115]).'
			'.LineCB(1, $n34, 'serviz88', $serviz[88]).'
			'.LineCB(1, getLabel($nom[7 + ($lng == $lang[0] ? 0 : 10)]), 'serviz89', $serviz[89]).'
			'.LineCB(1, getLabel($nom[9 + ($lng == $lang[0] ? 0 : 10)]), 'serviz90', $serviz[90]).'
			'.LineCB(1, getLabel($nom[22 + ($lng == $lang[0] ? 0 : 1)]), 'serviz91', $serviz[91]).'
			'.LineCB(1, mb_substr($admin[472], 0, -1, $charset), 'serviz92', $serviz[92]).'
			'.LineCB(1, $web[246], 'serviz93', $serviz[93]).'
			'.LineCB(1, $admin[249], 'serviz94', $serviz[94]).'
			'.LineCB(1, $admin[1175], 'serviz95', $serviz[95]).'        
			'.LineCB(1, getLabel($nom[42 + ($lng == $lang[0] ? 0 : 1)]), 'serviz96', $serviz[96]).'
			'.LineCB(1, $admin[774], 'serviz97', $serviz[97]).'        
			'.LineCB(1, $admin[1176], 'serviz98', $serviz[98]).'        
		  </div>
        </li>
	  </ul>
    </li>';
// SUPERVISION
echo '
    <li>
      <a href="#">'.$admin[229].'</a>
      <ul>
	    <li>
		  <div style="margin:4px auto auto auto; padding:0 0 5px 0;">
			'.LineSELECT(1, $admin[230], 'supervision5', $mailer, $supervision[5]).'
			<fieldset style="margin:2px 20px;">'.legend('<span  style="font-weight:normal;">'.$admin[1416].'</span>').'
			  '.LineTXT(2, $admin[1417], 'smtp0', $smtp[0], 16).'
			  '.LineCB(2, $admin[1418], 'smtp1', $smtp[1]).'
			  '.LineTXT(2, $admin[1419], 'smtp2', $smtp[2], 4).'
			  '.LineTXT(2, $admin[1420], 'smtp3', $smtp[3], 2).'
			  '.LineTXT(2, $admin[1421], 'smtp4', $smtp[4], 20).'
			  '.LineTXT(2, $admin[1422].':', 'smtp5', '', 14, 'password').'
			  '.LineTXT(2, $admin[1422].$web[467].':', 'smtp5_2', '', 14, 'password').'
			</fieldset>
			<div style="margin-top:8px;">'.LineCB(1, $admin[234], 'supervision0', $supervision[0]).'</div>
			'.LineTXT(2, $admin[1063], 'supervision1', $supervision[1], 6).'
			<div style="margin-top:8px;">'.LineCB(1, $admin[1306], 'supervision11', $supervision[11]).'</div>
			'.LineCB(1, $admin[1307], 'supervision12', $supervision[12]).'
			'.LineCB(1, $admin[473], 'supervision6', $supervision[6]).'
			'.LineCB(1, $admin[235], 'supervision2', $supervision[2]).'
			'.LineCB(1, $admin[786], 'supervision8', $supervision[8]).'
			'.LineCB(1, $admin[1424], 'supervision9', $supervision[9]).'
			'.LineCB(1, $admin[236], 'supervision3', $supervision[3]).'
			'.LineCB(1, $admin[237], 'supervision4', $supervision[4]).'
			'.LineCB(1, $admin[520], 'supervision7', $supervision[7]).'
			<div style="padding-top:8px;">'.LineTXT2($admin[1083], 'supervision10', $supervision[10]).'</div>
		  </div>
        </li>
	  </ul>
    </li>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </ul>';
echo '
</form>'.BeginJavascript().'
document.conf5.serviz31.focus();'.EndJavascript().'
</div>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
