<?php
/*******************************************************************************
 *   BATCH DataBase Integrity Check
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '../../');
include CHEMIN.'inc/includes.inc';
include 'funcdbchk.inc';

$delta      = import('delta');
$range1     = import('range1');
$range2     = import('range2');
$integr     = import('integr');
$checkid    = import('checkid');
$checkerr   = import('checkerr');
$checkquiet = import('checkquiet');

if (empty($checkid)) {
    if (empty($range1)) {
        $range1 = 1;
    }
    else {
        $range1 = Min($range1,ReadCounter(NEXTID));
    }
    if (empty($range2)) {
        $range2 = ReadCounter(NEXTID)+10;
    }
    if ($range2 < $range1) {
        $range2 = $range1;
    }
    $checkid = $range1;
    if (empty($delta)) {
        $delta = DBCHK_DEFAULT;
    }
    else {
        $delta = min(DBCHK_MAX, max($delta, 1));
    }
}
echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
<title>'.strip_tags($admin[278]).'</title>
<meta name="Robots" content="NONE" />
'.JavascriptFile(CHEMIN.'inc/hpage.js');
if (file_exists($meskin.'style.css')){
	echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css" />';
} else {
	echo '
<link type="text/css" rel="stylesheet" href="no_skin/style.css">';
}
echo '
'.JavascriptFile(CHEMIN.'inc/hpage.js').'
</head>
<body class="tbl" style="overflow: hidden;">
<fieldset>
<p style="text-align:center;">'.$admin[295].'</p>
<p style="text-align:center;">[ '.$range1.' / <b>'.Min($checkid,$range2).'</b> / '.$range2.' ]</p>';

if ($checkid <= $range2) {
    $checkerr = $checkerr + CheckDBmP($checkid, $checkid + $delta, $checkquiet);
    $checkid += $delta;
    $nextstep = "setTimeout('PopupWindow(\"dbbatch.php?lng=".$lng."&range1=".$range1."&range2=".$range2."&checkquiet=".$checkquiet."&checkid=".$checkid."&checkerr=".$checkerr."&delta=".$delta."\",\"dbbatch\",400,250,\"no\",\"no\")', 1)";
}
else {
    echo '
<hr />
<p style="text-align:center;"><b>'.$admin[298].'</b></p>';
    if ($checkquiet != 1) {
        if ($checkerr == 0) {
            $dbresult = $admin[297];
        }
        else {
            $dbresult = $checkerr." ".$admin[576];
        }
        echo '
<p style="text-align:center;">'.$dbresult.'</p>
<p style="text-align:right;"><a href="#" onclick="window.close();"><b>'.$web[57].'&nbsp;</b></a></p>';
    }
    $nextstep = "";
}
echo '
</fieldset>';
if ($nextstep != "") {
    echo BeginJavascript().$nextstep.EndJavascript();
}
echo '
</body>
</html>';
?>
