<?php
/*******************************************************************************
 *   Admin Technicals Information
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'infos.inc')) {
    header('location:../index.php');
    die();
}

$itact = import('itact');

// Show phpinfo() output
if ($itact == 'phpinfo') {
	phpinfo();
	exit();
}
else {
	// Check for upgrade : code inspired from punbb and pwg
	$version            = array();
	$version['current'] = trim(MP_VERSION);
	$version['url']     = 'http://www.freeguppy.org/update.txt';
	$load_ok            = FALSE;
	$lines              = array();
	if (ini_get('allow_url_fopen')) {
		$lines = @file($version['url']);
		$load_ok = TRUE;
	}
	elseif ($curl = @curl_init($version['url'])){
		$timeout = 5; // set to zero for no timeout
		curl_setopt ($curl, CURLOPT_CONNECTTIMEOUT, $timeout);
		curl_setopt ($curl, CURLOPT_RETURNTRANSFER, 1);
		$version_content = curl_exec($curl);
		curl_close($curl);
		if ($version_content != FALSE) {
			$lines   = explode("\n", $version_content);
			$load_ok = TRUE;
		}
	}
	else {
		$version['errors'] = $admin[898];
	}
	if ($load_ok){
		$version['latest'] = trim($lines[0]);
		switch ($version['latest']){
		case '':
            $version['errors'] = $admin[899];
            break;
		default:
			if (version_compare($version['current'], $version['latest']) < 0) {
				$version['ok'] = $admin[900].'<br /><a href="'.trim($lines[2]).'" target="_blank" title="'.$admin[900].'">'.$admin[901].' '.$version['latest'].' '.$admin[902].' '.trim($lines[1])."</a>\n";
			}
			else {
				$version['ok'] = $admin[903];
			}
		}
	}
	$php_os = PHP_OS;
	$php_rel = @php_uname('r');
	$scrRes  = $scrWidth.'x'.$scrHeight.' / '.$scrAWidth.'x'.$scrAHeight;
	echo '
  <hr />
  <p style="text-align:center;"><strong>'.$admin[895].'</strong></p>
  <hr />
  <br />
  <div class="rep" style="margin:auto;width:632px;height:220px;overflow:auto;text-align:left;">
    <fieldset>'.legend($admin[904]).'
	  <ul>
	    <li>GuppY '.$version['current'].'</li>
	    <li>';
	if (!empty($version['ok'])) {
		echo '
		  <span style="color:green;">'.$version['ok'];
	}
	else {
		echo '
		  <span style="color:red;">'.$version['errors'];
	}
	$device = '';
	foreach ($detect->getRules() as $name => $regex) {
        $check = $detect->{'is'.$name}();
		if ($check) {
			$device = ': '.$name;
			break;
		}
	}
    echo '</span>
	    </li>
	  </ul>
    </fieldset>
    <fieldset>'.legend($admin[905]).'
	  <ul>
        <li>'.$admin[906].'&nbsp;:&nbsp;'.$php_os.' '.$php_rel.'</li>
        <li>PHP&nbsp;:&nbsp;'.phpversion().' ( <a href="admin.php?lng='.$lng.'&amp;pg=infos&amp;itact=phpinfo" target="_blank" title="'.$admin[907].'"><span style="color:#FF0000;"><strong>'.$admin[907].'</strong></span></a> )</li>
	    <li>'.$admin[53].$site[3].'</li>
		<li>UA: '.$detect->getUserAgent().'</li>
		<li>Device: '.($detect->isMobile() ? ($detect->isTablet() ? 'tablet'.$device : 'mobile'.$device) : 'computer').'</li>
		<li>'.$admin[1388].$scrRes.'</li>
	  </ul>
    </fieldset>';
	$pluginlist = ExploreDir('admin/plugins/');
	if (!empty($pluginlist)) {
        echo '
    <fieldset>'.legend($admin[908]).'
	  <ul>';
        $listplugin = 'Plugins : ';
        for ($i = 0; $i < count($pluginlist); $i++) {
            include("plugins/".$pluginlist[$i]."/plugin.inc");
            echo '
        <li><a href="admin.php?lng='.$lng.'&amp;pg=plugin&amp;plug='.$plugin_admin_url.'">'.strip_tags($plugin_admin_name).'</a></li>';
            $listplugin .= ($i!=0)? ', ' : '';
            $listplugin .= strip_tags($plugin_admin_name);
        }
        echo '
	  </ul>
    </fieldset>';
	}
    echo '
    <br />
  </div>
  <br />
  <hr />
  <p><strong>'.$admin[909].' :</strong></p>
  <hr />'.BeginJavascript().'
window.CopyToClipboard = function (rSource) {
    rSource.select();
    if(window.clipboardData){
        var r=clipboardData.setData("Text",rSource.value);
        rSource.blur();
        return 1;
    } else
        return 0;
}'.EndJavascript().'

  <textarea id="infos" rows="10" style="width:620px;padding:8px;" onfocus="if(window.CopyToClipboard(this)) alert(\''.$admin[910].'\');">
GuppY '.$version['current'].'
'.$admin[906].'&nbsp;:&nbsp;'.$php_os.' '.$php_rel.'
PHP&nbsp;:&nbsp;'.phpversion().'
'.$admin[53].$site[3];
	if (!empty($pluginlist)) {
        echo "\n".$listplugin;
    }
    echo '
UA: '.$detect->getUserAgent().'
Device: '.($detect->isMobile() ? ($detect->isTablet() ? 'tablet'.$device : 'mobile'.$device) : 'computer').'
'.$admin[1388].$scrRes.'
  </textarea>';
}
?>
