<?php
/*******************************************************************************
 *   Maintenance Routine
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'],'maintain.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[6] == '') {
        $nomzone = $admin[170];
        include 'access.inc';
        exit();
    }
}

$act    = import('act');
$see    = import('see');
$mod    = import('mod');
$modify = import('modify');

if ($act == 'fast') {
    $dbids = explode(' ', trim(import('ids')));
    $datas = array();
    $dbdocid = IndexDbFieldsByField(ReadDBFields(DOCID), 1);
    $types = array();
    foreach ($dbids as $id) {
        $type = $dbdocid[$id][0];
        if (import('i_'.$id) == 'on') {
            $types[$type] = $type;
            ActionOnFields('act', array($type, $id, 'i'), FALSE);
        }
        elseif (import('s_'.$id) == 'on') {
            $types[$type] = $type;
            ActionOnFields('sup', array($type, $id), FALSE);
        }
    }
    unset($dbids);
    foreach($types as $type) {
        ActionOnFields('reindex', array($type, 0));
    }
}
elseif (!empty($modify)) {
    ReadDoc($modify);
    $creadate  = $mcreadate;
    $moddate   = $mmoddate;
    $author    = addslashes(stripslashes($mauthor));
    $email     = addslashes(stripslashes($memail));
    $fielda1   = addslashes($fielda1);
    $fielda2   = addslashes($fielda2);
    $fieldb1   = addslashes($fieldb1);
    $fieldb2   = addslashes($fieldb2);
    $fieldc1   = addslashes($fieldc1);
    $fieldc2   = addslashes($fieldc2);
    $fieldd1   = addslashes($fieldd1);
    $fieldd2   = addslashes($fieldd2);
    $fieldweb  = addslashes($fieldweb);
    $fieldmail = addslashes($fieldmail);
    $fieldmod  = addslashes($fieldmod);
    WriteDoc('mod', $fileid);
}

$headinc .= JavascriptFile(CHEMIN.'admin/inc/maintain.js');
$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.$admin[192];
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[192], '100%');

if (empty($see) && empty($mod)) {
    $dbwork = SelectDBFieldsByStatus(ReadDBFields(DOCID),'d');
    @rsort($dbwork);
	echo '
<p>'.ToHelp($lng, 'maintain').'</p>
<div style="text-align:center;width:90%; max-width:600px; margin:auto;">'.$admin[221].'</div>
<hr />
<div style="text-align:center;width:90%; max-width:600px; margin:auto;">';
    if (count($dbwork) > 0) {
        echo '
  <form name="fast_actions" action="admin.php?lng='.$lng.'&amp;pg=maintain" method="post">
    <div style="float:right;padding-right:15px">'.SubmitButton($web[361]).' <img src="'.$reptheme.'/bas.png" alt="" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div><br /><br />
    <input type="hidden" id="lang_maintain_js"  value="'.$admin[60].': '.mb_strtolower($admin[893], $charset).'" />
    <input type="hidden" name="act" value="fast" />
    <table id="tableDB" style="width:100%;">
      <tr class="forum">
        <td style="padding:4px;">Id/Type</td>
        <td style="padding:4px;">'.$admin[679].'</td>
        <td style="padding:4px;">'.$admin[680].'</td>
      </tr>';
        $ids = '';
        $flng = ($lng == $lang[0]);
        $format_nextid = '%'.ceil(log10(ReadCounter(NEXTID))).'u';
        $format_fr = '%'.ceil(log10(ReadCounter(DBFORUMCOUNTER))).'u';
        for ($i = 0; $i < count($dbwork); $i++) {
            ReadDoc($dbwork[$i][1]);

            $fielda1 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fielda1)));
            $fielda2 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fielda2)));
            $fieldb1 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fieldb1)));
            $fieldb2 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fieldb2)));
            $fieldc1 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fieldc1)));
            $fieldc2 = strip_tags(str_replace('<!--', '', str_replace('-->', ' ', $fieldc2)));
            $champs0 = '';
            $champs1 = '';
            $champs2 = '';
            switch ($type) {
            case TYP_GUESTBK :
                $champs1 = $admin[175].$fielda1.' - ';
                $champs2 = $author;
                break;
            case TYP_BANNER :
                $champs1 = $fieldb1.' - ';
                $champs2 = $fielda1;
                break;
            case TYP_REACT :
                $champs0 = $web[292].Formatage($format_nextid, $fielda2).' - ';
                $champs1 = $admin[175].Formatage('%\' 2u', $fielda1).' - ';
                $champs2 = $author;
                break;
            case TYP_REBLOG :
                $champs0 = $admin[1117].Formatage($format_nextid, $fielda2).' - ';
                $champs1 = $web[379].Formatage('%\' 2u', $fielda1).' - ';
                $champs2 = $author;
                break;
            case TYP_NEWS :
                $champs1 = ($flng ? $fieldb1 : $fieldb2).' - ';
                $champs2 = $author;
                break;
            case TYP_MENUBOX :
            case TYP_DDMENUBOX :
            case TYP_MENUICO :
            case TYP_NWL :
            case TYP_FREEBOX :
            case TYP_SOCNET :
                $champs1 = ($flng ? $fieldb1 : $fieldb2);
                break;
            case TYP_FORUM :
                if ($fielda2 == '0') {
                    $champs1 = $admin[208].Formatage($format_fr, $fielda1).' + ';
                    $champs2 = '<b>'.$fieldb1.'</b>';
                }
                else {
                    $champs1 = $admin[208].Formatage($format_fr, $fielda1).' - ';
                    $champs2 = $admin[209].Formatage('%\' 2u', $fielda2);
                }
                break;
            case TYP_ART :
				if (substr($fieldd1, 0, 3) == 'MNU') {
					$mnu_id  = substr($fieldd1, 4);
					$fieldd1 = 'MNU';
					$boxname = '';
					$mbs     = ReadDbFields(DBMENUBOX);
					foreach ($mbs as $mb) {
						if ($mb[4] == $mnu_id) {
							$boxname = $lng == $lang[0] ? $mb[2] : $mb[3];
							break;
						}
					}
				}
				switch($fieldd1) {
				case 'MNU' :
					$champs0 = $boxname.' : ';
					break;
				case 'none' :
				default :
					$champs0 = $admin[681].' : ';
				}
                $champs1 = ($flng ? $fielda1 : $fielda2).' - ';
                $champs2 = ($flng ? $fieldb1 : $fieldb2);
                break;
            case TYP_BLOG :
                if ($serviz[54] == 'on' && $serviz[55] == 'on') {
                    if ($fieldd1 == 'right') {
                        $champs0 = $admin[353].' ';
                    }
                    else {
                        $champs0 = $admin[352].' ';
                    }
                    if (empty($fielda1)) {
                        $champs0 = $admin[681].' ';
                    }
                }
                $champs1 = ($flng ? $fielda1 : $fielda2).' - ';
                $champs2 = ($flng ? $fieldb1 : $fieldb2);
                break;
            case TYP_OPTMENU :
            case TYP_OPTDDMENU :
            case TYP_DNLOAD :
            case TYP_FAQ :
            case TYP_LINKS :
            case TYP_PHOTO :
            case TYP_RSS :
            case TYP_BSS :
                $champs1 = ($flng ? $fielda1 : $fielda2).' - ';
                $champs2 = ($flng ? $fieldb1 : $fieldb2);
                break;
            case TYP_THINK :
                $champs1 = ($flng ? $fieldb1 : $fieldb2).' - ';
                $champs2 = ($flng ? $fieldc1 : $fieldc2);
                break;
            case TYP_RECO :
                $champs1 = $fieldb1.' - ';
                $champs2 = ($flng ? $fieldc1 : $fieldc2);
                break;
            case TYP_AGENDA :
                $champs1 = $fielda1.' - ';
                $champs2 = ($flng ? $fieldc1 : $fieldc2);
                break;
            }

            echo '
      <tr '.($i %2 == 0 ? 'class="quest"' : 'class="rep"').'>
        <td style="padding:4px;white-space: nowrap;"><b>'.$fileid.' - '.$type.'</b></td>
        <td style="padding:4px;width:100%;text-align:left;">
          <a href="admin.php?lng='.$lng.'&amp;pg=maintain&amp;see='.$fileid.'" title="'.$admin[190].'"><img src="inc/img/files/look.gif" alt="'.$admin[190].'" title="'.$admin[190].'" /></a>
          <a href="admin.php?lng='.$lng.'&amp;pg=maintain&amp;mod='.$fileid.'" title="'.$admin[33].'"><img src="inc/img/files/edit.gif" alt="'.$admin[33].'" title="'.$admin[33].'" /></a>
          '.$champs0.'<b>'.$champs1.'</b>'.$champs2.'
        </td>
        <td style="padding:4px;white-space: nowrap;">';
        MakeRadioGroup(array( array('d', 'i', $fileid), array('d', 's', $fileid)));
            echo '
        </td>
      </tr>';
            $ids .= $fileid.' ';
        }
        echo '
    </table>
    <input type="hidden" name="ids" value="'.$ids.'" />
    <div style="text-align:right; padding-right:25px;">'.SubmitButton($web[361]).' <img src="'.$reptheme.'/up1.png" alt="" /></div>
  </form>';
    }
    else {
        echo '
  <p style="text-align: center;">'.$admin[854].'</p>';
    }
    echo '
</div>';
}
################################################################################
elseif (!empty($see)) {
    ReadDoc($see);
    $datecrea= FormatDate($creadate); $datemod= FormatDate($moddate);
    echo '
  <p>'.ToHelp($lng, 'maintain1').'
  <table>
    <tr>
        <td style="white-space:nowrap;">&nbsp;&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[193].'</b></td><td>'.$fileid.'</td>
    </tr>
    <tr>
        <td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[194].'</b></td><td>'.$type.'</td>
    </tr>
    <tr>
        <td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[195].'</b></td><td>'.$status.'</td>
    </tr>
    <tr>
        <td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[196].'</b></td><td>'.$datecrea.'</td>
    </tr>
    <tr>
        <td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[197].'</b></td><td>'.$datemod.'</td>
    </tr>
    <tr>
        <td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[198].'</b></td><td>'.$author.'</td>
    </tr>
    <tr>
        <td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[199].'</b></td><td>'.$email.'</td>
    </tr>
  </table>
  <hr />
  <br />';
    if (!empty($fielda1)) {
        echo '<fieldset><legend>FIELD A1</legend>'.$fielda1.'</fieldset>';
    }
    if (!empty($fielda2)) {
        echo '<fieldset><legend>FIELD A2</legend>'.$fielda2.'</fieldset>';
    }
    if (!empty($fieldb1)) {
        echo '<fieldset><legend>FIELD B1</legend>'.$fieldb1.'</fieldset>';
    }
    if (!empty($fieldb2)) {
        echo '<fieldset><legend>FIELD B2</legend>'.$fieldb2.'</fieldset>';
    }
    if (!empty($fieldc1)) {
        echo '<fieldset><legend>FIELD C1</legend>'.$fieldc1.'</fieldset>';
    }
    if (!empty($fieldc2)) {
        echo '<fieldset><legend>FIELD C2</legend>'.$fieldc2.'</fieldset>';
    }
    if (!empty($fieldd1)) {
        echo '<fieldset><legend>FIELD D1</legend>'.$fieldd1.'</fieldset>';
    }
    if (!empty($fieldd2)) {
        echo '<fieldset><legend>FIELD D2</legend>'.$fieldd2.'</fieldset>';
    }
    echo '
    <br />
    <hr />
    <p style="text-align:center;"><a href="admin.php?lng='.$lng.'&amp;pg=maintain">'.$admin[191].'</a></p>';
}
################################################################################
elseif (!empty($mod)) {
    ReadDoc($mod);
    echo '
<p>'.ToHelp($lng, 'maintain2').'</p>
<div style="width:80%; max-width:600px; margin:auto;">
<form name="hardmod" action="admin.php?lng='.$lng.'&amp;pg=maintain" method="post">
  <input type="hidden" name="modify" value="'.$mod.'" />
  <fieldset>
  <table>
    <tr><td style="white-space:nowrap;">&nbsp;&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[193].'</b></td><td>'.$fileid.'</td></tr>
    <tr><td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[194].'</b></td><td>'.$type.'</td></tr>
    <tr><td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[195].'</b></td><td>'.$status.'</td></tr>
    <tr><td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[196].'</b></td><td><input class="texte" type="text" name="mcreadate" size="20" value="'.$creadate.'" /></td></tr>
    <tr><td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[197].'</b></td><td><input class="texte" type="text" name="mmoddate" size="20" value="'.$moddate.'" /></td></tr>
    <tr><td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[198].'</b></td><td><input class="texte" type="text" name="mauthor" size="30" value="'.$author.'" /></td></tr>
    <tr><td style="white-space:nowrap;">&nbsp;</td><td style="white-space:nowrap;"><b>'.$admin[199].'</b></td><td><input class="texte" type="text" name="memail" size="40" value="'.$email.'" /></td></tr>
  </table>
  <br />
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>
</div>
<hr />
<p style="text-align:center;"><a href="admin.php?lng='.$lng.'&amp;pg=maintain">'.$admin[191].'</a></p>';
}

btable();
include CHEMIN.'inc/bpage.inc';
?>
