<?php
/*******************************************************************************
 *   Zone members configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'members.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[10] == '') {
        $nomzone = $admin[816];
        include 'access.inc';
        exit();
    }
}

$regit   = import('regit');
$act     = import('act');
$idpg    = import('idpg');
$del     = import('del');
$susp    = import('susp');
$group   = import('group');
$member  = import('member');
$msg1    = import('msg1');
$msg2    = import('msg2');
$msg3    = import('msg3');
$msg4    = import('msg4', 'POST', FALSE);
$spseudo = import('spseudo');
$search  = import('search');

if ($regit == 1) {
    include CONFIG;
    $members[0]  = import('members0'); // Activation de la zone membres
    $members[1]  = import('members1'); // Zone membre accès à la section Articles
    $members[2]  = import('members2'); // Zone membre accès à la section Photo
    $members[3]  = import('members3'); // Zone membre accès à la section Liens
    $members[4]  = import('members4'); // Zone membre accès à la section FAQ
    $members[5]  = import('members5'); // Zone membre accès à la section Forum
    $members[6]  = import('members6'); // Zone membre accès à la section Statistiques
    $members[7]  = import('members7'); // Zone membre accès à la section Téléchargement
    $members[8]  = import('members8'); // Zone membre accès publication Nouvelles
    $members[9]  = import('members9'); // Zone membre accès publication Livre d'Or
    $members[10] = import('members10'); // Zone membre accès publication Forum
    $members[11] = import('members11'); // Zone membre accès publication Réactions aux articles
    $members[12] = import('members12'); // Zone membre accès à la section Livre d'Or
    $members[13] = import('members13'); // Zone membre accès à la section Nouvelles
    $members[14] = import('members14'); // Zone membre accès à la section Agenda
    $members[15] = import('members15'); // Zone membre accès à la section Blog
    $members[16] = import('members16'); // Zone membre accès publication Blog
    $members[17] = import('members17'); // Zone membre accès à publication Commentaires blogs
    $members[18] = import('members18'); // Zone membre accès à inscription Newsletter
    $members[20] = import('members20'); // Zone membre accès contact avancé
    include('inc/confupdt.inc');
}
if ($regit == 2) {
    include CONFIG;
    $menuico[11] = import('menuico11'); // Icône connexion
    $nom[50]     = import('nom50', 'POST', false); // Bouton Connexion langue principale
    $nom[51]     = import('nom51', 'POST', false); // Bouton connexion deuxième langue
    $nom[52]     = import('nom52', 'POST', false); // Bouton déconnexion langue principale
    $nom[53]     = import('nom53', 'POST', false); // Bouton déonnexion deuxième langue
    include('inc/confupdt.inc');
}
if ($regit == 3) {
    include CONFIG;
    $members[19] = import('members19'); // Inscription membres on/off/mail/ok webmaster
    include('inc/confupdt.inc');
}
include CONFIG;
if (is_file(CHEMIN.'skins/'.$page[14].'/confskin'.INCEXT)){
    include CHEMIN.'skins/'.$page[14].'/confskin'.INCEXT;
} else {
    include CHEMIN.'skins/no_skin/confskin'.INCEXT;
}

if ($act == 3)
	$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
    var lng2   = "'.$lang[1].'";

    var m1 = document.membmsg.msg1.value;
    if (m1.length < 3) {
        sto += "  - '.addslashes($web[43].$admin[1177]).'\n";
		document.membmsg.msg1.className = "errorInputText";
        erreur = true;
    }
    if (lng2 > "") {
        var m2 = document.membmsg.msg2.value;
        if (m2.length < 3) {
			sto += "  - '.addslashes($web[43].$admin[1178]).'\n";
			document.membmsg.msg2.className = "errorInputText";
			erreur = true;
		}
	}
    if (erreur == true) {
        sto = "'.addslashes($web[44]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$err_msg1 = empty($msg1) && $regit == 4 ? true: false;
$err_msg2 = empty($msg2) && $regit == 4 && $lang[1] != '' ? true: false;
$erreur  = '';
$erreur .= $err_msg1 ? '<li>'.$web[43].$admin[1177].'</li>': '';
$erreur .= $err_msg2 ? '<li>'.$web[43].$admin[1178].'</li>': '';
if (!empty($erreur) && $act == 4 && $regit == 4) $act = 3;

include_once CHEMIN.'inc/func_groups.php';

################################################################################
// config zone membres
if($act == 1) {
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[829]);
	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[829], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members1').$admin[701]. $admin[830].'</p>
<hr />
<div style="width:560px; margin:auto;">
  <form name="members" action="admin.php?lng='.$lng.'&amp;pg=members" method="post">
    <input type="hidden" name="regit" value="1" />
    <input type="hidden" name="act" value="1" />
    <br />
    <table style="text-align:center;margin:auto;">
     <tr><td colspan="2" style="text-align:center;"><b>'.$admin[832].'</b><input type="checkbox" name="members0"'.Checked($members[0]).' /></td></tr>
    </table>
    <br />
    <div style="width:90%;margin:auto;">
      <fieldset><legend>'. $admin[831].'</legend>
        <br />
        <table style="margin:auto;width:80%;">
		  <tr><td style="width:80%;">&bull; '.$admin[833].'</td><td><input type="checkbox" name="members1"'.Checked($members[1]).' /></td></tr>
		  <tr><td>&bull; '.$admin[834].'</td><td><input type="checkbox" name="members2"'.Checked($members[2]).' /></td></tr>
		  <tr><td>&bull; '.$admin[835].'</td><td><input type="checkbox" name="members3"'.Checked($members[3]).' /></td></tr>
		  <tr><td>&bull; '.$admin[836].'</td><td><input type="checkbox" name="members4"'.Checked($members[4]).' /></td></tr>
		  <tr><td>&bull; '.$admin[837].'</td><td><input type="checkbox" name="members5"'.Checked($members[5]).' /></td></tr>
		  <tr><td>&bull; '.$admin[838].'</td><td><input type="checkbox" name="members6"'.Checked($members[6]).' /></td></tr>
		  <tr><td>&bull; '.$admin[839].'</td><td><input type="checkbox" name="members7"'.Checked($members[7]).' /></td></tr>
		  <tr><td>&bull; '.$admin[840].'</td><td><input type="checkbox" name="members12"'.Checked($members[12]).' /></td></tr>
		  <tr><td>&bull; '.$admin[841].'</td><td><input type="checkbox" name="members13"'.Checked($members[13]).' /></td></tr>
		  <tr><td>&bull; '.$admin[651].'</td><td><input type="checkbox" name="members14"'.Checked($members[14]).' /></td></tr>
		  <tr><td>&bull; '.$admin[770].'</td><td><input type="checkbox" name="members15"'.Checked($members[15]).' /></td></tr>
		  <tr><td>&bull; '.$admin[547].'</td><td><input type="checkbox" name="members18"'.Checked($members[18]).' /></td></tr>
		  <tr><td>&bull; '.$admin[1180].'</td><td><input type="checkbox" name="members20"'.Checked($members[20]).' /></td></tr>
	    </table>
      </fieldset>
      <br />
      <fieldset><legend>'. $admin[842].'</legend>
        <br />
        <table style="margin:auto;width:80%;">
		  <tr><td style="width:80%;">&bull; '.$admin[843].'</td><td><input type="checkbox" name="members8"'.Checked($members[8]).' /></td></tr>
		  <tr><td>&bull; '.$admin[844].'</td><td><input type="checkbox" name="members9"'.Checked($members[9]).' /></td></tr>
		  <tr><td>&bull; '.$admin[845].'</td><td><input type="checkbox" name="members10"'.Checked($members[10]).' /></td></tr>
		  <tr><td>&bull; '.$admin[846].'</td><td><input type="checkbox" name="members11"'.Checked($members[11]).' /></td></tr>
		  <tr><td>&bull; '.$admin[773].'</td><td><input type="checkbox" name="members16"'.Checked($members[16]).' /></td></tr>
		  <tr><td>&bull; '.$admin[774].'</td><td><input type="checkbox" name="members17"'.Checked($members[17]).' /></td></tr>
	    </table>
      </fieldset>
      <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>
    </div>
  </form>
</div>';
}
################################################################################
// gestion membres
elseif ($act == 2) {
    if (!empty($del)) {
        @chmod(MSGREP.$del.'.dtb', 0777);
        unlink(MSGREP.$del.'.dtb');
        DestroyMember($del);
        $dbredac = array();
        $file_redac = opendir(REDACREP);
        while ($nomfichier = readdir($file_redac)) {
            if( substr($nomfichier, -3) == 'inc' ) {
                $dbredac[] = str_replace(substr($nomfichier, -4), '', $nomfichier);
            }
        }
        closedir($file_redac);
        foreach ($dbredac as $redac) {
            if ($redac == $del) {
                unlink(REDACREP.$del.'.inc');
                break;
            }
        }
    }
	if (!empty($susp) && $susp != $userprefs[1]) {
		$userdb = ReadDBFields(MSGREP.$susp.DBEXT);
		$userdb[1][13] = $userdb[1][13] == 'on' ? 'off' : 'on';
		WriteDBFields(MSGREP.$susp.DBEXT, $userdb);
        $to = $userdb[1][3];
		if ($userdb[1][13] == 'on') {
            $sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$admin[696];
            $body  = $web[253].sprintf($admin[852], $susp, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
            $body .= $web[49].' '.$susp.'<br />'.$web[300].' : '.$userdb[0][0].'<br /><br />';
            $body .= '<a href="'.$site[3].'index.php?lng='.$lng.'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
            eMailHtmlTo($sujet, $body, $to);
		}
		else {
            $sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$admin[696];
            $body  = $web[253].sprintf($admin[1136], $susp, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
            $body .= $web[348].'<br />'.$user[($lang[0] == $lng ? 0 : 11)].'<br />';
            eMailHtmlTo($sujet, $body, $to);
		}
	}
    $dbuserspref = $dbusersok = array();
    $file_users = opendir(MSGREP);
    while ($nomfichier = readdir($file_users)) {
        if ( substr($nomfichier, -3) == 'dtb') {
			$pseudo = str_replace(substr($nomfichier, -4), '', $nomfichier);
			if ($pseudo == $userprefs[1]) {
				$dbuserspref[] = $pseudo;
				$dbusersok[]   = 'on';
			} else {
				$userdb = ReadDBFields(MSGREP.$nomfichier);
				if (isset($userdb[1][13])) {
					$dbuserspref[] = $pseudo;
					$dbusersok[]   = $userdb[1][13];
				}
			}
        }
    }
    closedir($file_users);
	$cr = array_multisort($dbuserspref, SORT_ASC, $dbusersok);
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.$admin[696];
	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[696], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members2').$admin[701].$admin[700].'<br /></p>
<hr /><br />
<div style="max-width:560px;margin:auto;">
  <fieldset style="margin:auto;width:100%;">
    <form name="membconnect" action="admin.php?lng='.$lng.'&amp;pg=members" method="post">
      <input type="hidden" name="regit" value="2" />
      <input type="hidden" name="act" value="2" />
      <table style="width:400px;margin:auto;text-align:center;">
        <tr>
	      <td colspan="2" style="text-align:center;">
            <label><strong>'.$admin[703].'</strong><input name="menuico11" type="checkbox" '.Checked($menuico[11]).' /></label>
	      </td>
        </tr>
        <tr class="rep">
          <td style="vertical-align:middle; text-align:center;">'.$admin[704].'</td>
          <td>'.($lang[1] != '' ? '<img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />' : '').'
	        <input class="texte" type="text" name="nom50" value="'.$nom[50].'" size="20" />'.
	        ($lang[1] != '' ? '<br /><img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />
	        <input class="texte" type="text" name="nom51" value="'.$nom[51].'" size="20" />' : '').'
	      </td>
        </tr>
        <tr class="rep">
          <td style="vertical-align:middle;text-align:center;">'.$admin[705].'</td>
          <td>'.($lang[1] != '' ? '<img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />' : '').'
	        <input class="texte" type="text" name="nom52" value="'.$nom[52].'" size="20" />'.
	        ($lang[1] != '' ? '<br /><img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />
	        <input class="texte" type="text" name="nom53" value="'.$nom[53].'" size="20" />' : '').'
	      </td>
        </tr>
        <tr><td colspan="2" style="text-align:center;">'.SubmitButton($admin[38]).'</td></tr>
      </table>
    </form>
  </fieldset>
  <br />
  <fieldset style="margin:auto;width:100%;">
    <form name="membnew" action="admin.php?lng='.$lng.'&amp;pg=members" method="post">
      <input type="hidden" name="regit" value="3" />
      <input type="hidden" name="act" value="2" />
      <p style="text-align:center;"><strong>'.$admin[1283].' :&nbsp;</strong>
        <select name="members19" onchange="javascript:membnew.submit();">
          <option value = ""'.Selected($members[19] == "").'>'.$admin[1300].'</option>
          <option value = "0"'.Selected($members[19] == "0").'>'.$admin[1301].'</option>
          <option value = "1"'.Selected($members[19] == "1").'>'.$admin[1302].'</option>
          <option value = "2"'.Selected($members[19] == "2").'>'.$admin[1303].'</option>
          <option value = "3"'.Selected($members[19] == "3").'>'.$admin[1277].'</option>
        </select>
        <input type="image" src="'.$reptheme.'/tolist.png" alt="'.$admin[144].'" title="'.$admin[144].'" style="vertical-align:middle;" />
      </p>
    </form>';
	if ($members[19] == '3') {
		echo '
    <form name="newmember" action="admin.php?lng='.$lng.'&amp;pg=compte&amp;uuser=new" method="post">
      <p style="text-align:center;">'.SubmitButton($admin[1278]).'</p>
    </form>';
	}
	echo '
  </fieldset>
  <br />
  <fieldset style="margin:auto;width:100%;">
    <p style="text-align:center;"><strong>'.$admin[1428].'&nbsp;</strong></p>
    <fieldset style="height:50px;">'.legend($admin[1429]).'
      <form name="membersearch" method="post" action="admin.php?lng='.$lng.'&amp;pg=members">
	    <input type="hidden" name="search" value="ok" />
        <input type="hidden" name="act" value="2" />
	    <div style="margin:auto;text-align:center;">'.$admin[517].' : <input type="text" class="texte" name="spseudo" size="24" />&nbsp;&nbsp;'.SubmitButton($web[58]).'</div>
      </form>
    </fieldset>';
	$nbdb = count($dbuserspref);
    if (empty($idpg)) {
        $idpg = 1;
    }
    else {
        while ($nbdb <= ($idpg - 1)* $serviz[75]) $idpg--;
    }
	if ($search == 'ok' && !empty($spseudo)) {
		$key = 0;
		for ($i = 0; $i < $nbdb; $i++)
			if (false !== stripos($dbuserspref[$i], $spseudo)) {
				$key = $i;
				break;
			}
		$idpg = floor($key / $serviz[75]) + 1;
	}
	if ($nbdb > 0 ) {
		$navbar = GetNavBar("admin.php?lng=".$lng."&amp;pg=members&amp;act=2&amp;tri=1&amp;idpg=", $nbdb, $idpg, $serviz[75]);
		echo $navbar.'
    <br />
    <table style="width:100%;margin:auto;">
      <tr class="forum2">
        <td style="width:34%;"><b>'.$admin[517].'</b></td>
        <td style="width:34%;text-align:left"><b>'.ucfirst($admin[928]).'</b></td>
        <td style="width:15%;text-align:center"><b>'.$admin[186].'</b></td>
        <td style="width:8%;text-align:center"><b>'.$admin[851].'</b></td>
        <td style="width:9%;text-align:center"><b>'.$admin[1019].'</b></td>
      </tr>';	
		$grps = ReadGroups();
		for ($i = $serviz[75]*($idpg-1); $i < Min($serviz[75]*$idpg, $nbdb); $i++) {
			$alt = $dbusersok[$i] == 'on' ? $admin[1021] : $admin[1020];
			$img = $dbusersok[$i] == 'on' ? 'on' : 'off';
			$userdb = ReadDBFields(GROUPS);
			echo '
      <tr '.($i % 2 == 0 ? 'class="rep"' : 'class="quest"').' style="text-align:center;margin:auto;">
        <td style="text-align:left;">'.$dbuserspref[$i].'</td>';
			echo '
        <td style="text-align:left;">';
			$dbgroup = ReadDBFields(GROUPS);
			for ($x = 0; $x < count($dbgroup); $x++) {
			  for ($m = 0; $m < count($dbgroup[$x]); $m++) {
				if ($dbgroup[$x][$m] == $dbuserspref[$i])
				echo 
		  $dbgroup[$x][0].'<br />';
			  }
			}
			echo '
        </td>
        <td>
		  <div class="pop" style="padding-left:47%;">
            <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;idpg='.$idpg.'&amp;del='.$dbuserspref[$i].'">
		      <img src="inc/img/files/sup.gif" style="width:14px;height:14px;" alt="'.$admin[186].'" />
		      <span style="top:20px;left:-114px;width:200px;"><em style="left:108px;"></em>'.$help[7].'</span>
		    </a>
		  </div>
        </td>
        <td>';
			if ($dbuserspref[$i] != $userprefs[1])
				echo '
		  <div class="pop" style="padding-left:42%;">
	        <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;idpg='.$idpg.'&amp;susp='.$dbuserspref[$i].'">
		      <img src="inc/img/files/'.$img.'.gif" style="width:14px;height:14px;" alt="'.$alt.'" />
		      <span style="top:20px;left:-124px;width:200px;"><em style="left:118px;"></em>'.$help[7].'</span>
			</a>
		  </div>';
			echo '
        </td>
        <td style="text-align:center;">';
			if ($dbuserspref[$i] != $userprefs[1])
				echo '
          <a href="admin.php?lng='.$lng.'&amp;pg=compte&amp;edit='.$dbuserspref[$i].'">
		    <img src="inc/img/files/edit.gif" width="14" height="14" alt="'.$admin[1019].'" title="'.$admin[1019].'" />
		  </a>';
			echo '
        </td>
      </tr>';
		}
		echo '
    </table>
    <br />'.$navbar;
	}
	echo '
  </fieldset>
</div>';
}
################################################################################
// écrire aux membres
elseif ($act == 3) {
	$topmess = '
	<a href="admin.php?lng='.$lng.'">Admin</a> > '.$admin[697];
    $dbusers = array();
    $file_users = opendir(MSGREP);
    while ($nomfichier = readdir($file_users)) {
        if (substr($nomfichier, -3) == 'dtb') {
			$pseudo = str_replace(substr($nomfichier, -4), '', $nomfichier);
			if ($pseudo != $userprefs[1]) $dbusers[] = $pseudo;
        }
    }
    closedir($file_users);
    @usort($dbusers, 'AsciiCompare');
    $dbgroup = ReadDBFields(GROUPS);

	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[697], "100%");
	if (!empty($erreur))
		echo displayErrorMsg($web[638], $erreur);
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members3').$admin[701].$admin[698].'<br />'.$admin[699].'</p>
<hr />
'.JavascriptFile(CHEMIN.'admin/inc/tinymsg.js').'
<div style="width:540px; margin:auto;">
  <form name="membmsg" action="admin.php?lng='.$lng.'&amp;pg=members" method="post" onsubmit="return VerifyForm(); return false;">
    <fieldset>
      <input type="hidden" name="regit" value="4" />
	  <input type="hidden" name="act" value="4" />
      <table style="text-align:center;margin:auto;">
	    <tr>
		  <td style="text-align:right;vertical-align:top;padding-top:6px;"><strong>'.$admin[697].': </strong></td>
		  <td style="text-align:left;">
			<select multiple="multiple" size="'.(count($dbusers) > 8 ? 9 : count($dbusers) + 1).'" name="msg4[]" style="width:120px;">
			  <option value="ALL" selected="selected">'.$admin[690].'</option>';
    foreach($dbusers as $user) {
        echo '
			  <option value="'.$user.'">'.$user.'</option>';
    }
    echo '
			</select>
		  </td>
		</tr>
		<tr>
		  <td style="text-align:right;"><strong>'.$admin[1123].': </strong></td>
		  <td style="text-align:left;">
			<select name="msg3" style="width:100px;">
			  <option value=""> -- '.$web[314].' -- </option>';
    for ($x = 0; $x < count($dbgroup); $x++) {
        echo '
			  <option value="'.$dbgroup[$x][0].'">'.$dbgroup[$x][0].'</option>';
    }
    echo '
			</select>
		  </td>
		</tr>
	  </table>';
    echo '
	  <table style="text-align:center;margin:auto;">
	    <tr>
		  <td style="text-align:center;"><img src="'.$flag1.'" style="width:24px;height:16px;" alt="'.$lang[0].'"/><br /></td>
	    </tr>
	    <tr>
		  <td style="background-color:#FFFFFF;text-align:center;"><textarea class="'.($err_msg1 ? 'errorInputText' : '').'" style="width:500px;margin:auto;" rows="10" name="msg1">'.$msg1.'</textarea></td>
	    </tr>
	    <tr>
		  <td  style="text-align:center;vertical-align:middle">
		    <a href="javascript:format1(\'b\')"><img class="clsCursor" src="'.CHEMIN.'inc/pgeditor/images/bold.gif" alt="'.$web[98].'" title="'.$web[98].'" /></a>&nbsp;
		    <a href="javascript:format1(\'i\')"><img class="clsCursor" src="'.CHEMIN.'inc/pgeditor/images/italic.gif" alt="'.$web[100].'" title="'.$web[100].'" /></a>&nbsp;
		    <a href="javascript:format1(\'u\')"><img class="clsCursor" src="'.CHEMIN.'inc/pgeditor/images/underline.gif" alt="'.$web[99].'" title="'.$web[99].'" /></a>&nbsp;
		    <a href="javascript:dolink1(\'href=http://'.$admin[457].'\')"><img class="clsCursor" src="'.CHEMIN.'inc/pgeditor/images/link.gif" alt="'.$web[170].'" title="'.$web[170].'" /></a>&nbsp;
		    &nbsp;';
      if ($page[12] != 'none') DrawSmileys("1");
      echo '
		  </td>
	    </tr>';
    if ($lang[1] != "") {
        echo '
	    <tr>
		  <td style="text-align:center;"><br /><img src="'.$flag2.'" style="width:24px;height:16px;" alt="'.$lang[1].'" /><br /></td>
	    </tr>
	    <tr>
		  <td style="background-color:#FFFFFF;text-align:center;"><textarea class="'.($err_msg2 ? 'errorInputText' : '').'" style="width:500px;margin:auto;" rows="10" name="msg2">'.$msg2.'</textarea></td>
	    </tr>
	    <tr>
		  <td  style="text-align:center;vertical-align:middle">
		    <a href="javascript:format2(\'b\')"><img class="clsCursor" src="'.CHEMIN.'inc/pgeditor/images/bold.gif" alt="'.$web[98].'" title="'.$web[98].'" /></a>&nbsp;
		    <a href="javascript:format2(\'i\')"><img class="clsCursor" src="'.CHEMIN.'inc/pgeditor/images/italic.gif" alt="'.$web[100].'" title="'.$web[100].'" /></a>&nbsp;
		    <a href="javascript:format2(\'u\')"><img class="clsCursor" src="'.CHEMIN.'inc/pgeditor/images/underline.gif" alt="'.$web[99].'" title="'.$web[99].'" /></a>&nbsp;
		    <a href="javascript:dolink2(\'href=http://'.$admin[457].'\')"><img class="clsCursor" src="'.CHEMIN.'inc/pgeditor/images/link.gif" alt="'.$web[170].'" title="'.$web[170].'" /></a>&nbsp;
		    &nbsp;';
        if ($page[12] != 'none') DrawSmileys("2");
        echo '
		  </td>
	    </tr>';
    }
    echo '
	  </table>
	  <br />
	</fieldset>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[694], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
}
################################################################################
// envoyer un message
elseif ($act == 4) {
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.$admin[697];
	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[697], '100%');
	
	if ($regit == 4) {
		$m1   = $msg1;
		$m2   = $msg2;
		$msg1 = str_replace(chr(10),'<br />', $msg1);
		$msg1 = str_replace(chr(13),'', $msg1);
		$msg1 = str_replace('[b]',  '<b>', $msg1);
		$msg1 = str_replace('[/b]', '</b>', $msg1);
		$msg1 = str_replace('[i]',  '<i>', $msg1);
		$msg1 = str_replace('[/i]', '</i>', $msg1);
		$msg1 = str_replace('[u]',  '<u>', $msg1);
		$msg1 = str_replace('[/u]', '</u>', $msg1);
		$msg1 = str_replace('[l]href=','<a href="', $msg1);
		$msg1 = str_replace('[/l]', '" target="_blank"><img src="'.$reptheme.'/site.png" alt="'.$web[304].'" /></a>', $msg1);
		$msg1 = str_replace('"',    "'", $msg1);

		$msg2 = str_replace(chr(10),'<br />', $msg2);
		$msg2 = str_replace(chr(13),'', $msg2);
		$msg2 = str_replace('[b]',  '<b>', $msg2);
		$msg2 = str_replace('[/b]', '</b>', $msg2);
		$msg2 = str_replace('[i]',  '<i>', $msg2);
		$msg2 = str_replace('[/i]', '</i>', $msg2);
		$msg2 = str_replace('[u]',  '<u>', $msg2);
		$msg2 = str_replace('[/u]', '</u>', $msg2);
		$msg2 = str_replace('[l]href=','<a href="', $msg2);
		$msg2 = str_replace('[/l]', '" target="_blank"><img src="'.$reptheme.'/site.png" alt="'.$web[304].'" /></a>', $msg2);
		$msg2 = str_replace('"',    "'", $msg2);

		$users = '';
		foreach ($msg4 as $user) $users .= $user.' ';
		$users = trim($users);
		$rec = '<?php
$tinymsg1 = stripslashes("'.$msg1.'");
$tinymsg2 = stripslashes("'.$msg2.'");
$tinymsg3 = stripslashes("'.$msg3.'");
$tinymsg4 = stripslashes("'.$users.'");
?>';
		WriteFullDB(TEMPREP.'sendtinymsg.inc',$rec);
		include TEMPREP.'sendtinymsg.inc';
		echo '
<p style="text-align:center;">'.$admin[689].'<br /></p>
<hr />';
		$msgdest  = (trim($tinymsg3.$tinymsg4) == '') ? $admin[691].' :' : (($tinymsg3 != '') ? $admin[1123].': <strong>'.$tinymsg3.'</strong>' : '');
		$msgdest .= ($tinymsg4 != '') ? '<br />'.$admin[1345].' : <strong>'.$tinymsg4.'</strong>' : '';
		echo '
<div style="width:540px; margin:auto;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$msgdest.'</p>
  <fieldset>
  <p style="text-align:center;"><img src="'.$flag1.'" style="width:24px;height:16px;" alt="'.$lang[0].'"/></p>
  <div class="bord" style="width:500px;margin:0 auto;">
'.PathToImage(replaceimg($tinymsg1));
		if ($lang[1] != "") {
			echo '
  </div>
  <br />
  <p style="text-align:center;"><img src="'.$flag2.'" style="width:24px;height:16px;" alt="'.$lang[1].'"/></p>
  <div class="bord" style="width:500px;margin:0 auto;">
'.PathToImage(replaceimg($tinymsg2));
		}
		echo '
  </div>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[694], 'self.location.href=\'admin.php?lng='.$lng.'&amp;pg=members&amp;act=4\'', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</div>';
		echo '
<hr />
<p style="text-align:center;">
  <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=3&amp;msg1='.$m1.'&amp;msg2='.$m2.'">'.$admin[688].'</a>
</p>';
	} else {
		include(TEMPREP.'sendtinymsg.inc');
		$mbrs = array();
		if ($tinymsg3 != '') {
			$groups = ReadGroups();
			$mbrs   = $groups[$tinymsg3];
		}
		if ($tinymsg4 != 'ALL') {
			$mbrs = array_merge($mbrs, explode(' ', $tinymsg4));
		} else {
			$file_users = opendir(MSGREP);
			while ($nomfichier = readdir($file_users)) {
				if ('.dtb' == $nomfichier) {
					@unlink(MSGREP.$nomfichier);
					continue;
				}
				if (substr($nomfichier, -3) == 'dtb' && $nomfichier != $userprefs[1].DBEXT) {
					$nomuser = str_replace(substr($nomfichier, -4), '', $nomfichier);
					$mbrs[] = $nomuser;
				}
			}
			closedir($file_users);
		}
		$mbrs       = array_unique($mbrs);
		$dbusers    = array();
		$file_users = opendir(MSGREP);
		while ($nomfichier = readdir($file_users)) {
			if (substr($nomfichier, -3) == 'dtb' && $nomfichier != $userprefs[1].DBEXT) {
				$nomuser = str_replace(substr($nomfichier, -4), '', $nomfichier);
				if (in_array($nomuser, $mbrs)) $dbusers[] = $nomuser;
			}
		}
		closedir($file_users);
		@sort($dbusers);
		echo '
<fieldset>
  <br />
  <p style="text-align:center;">'.$admin[692].'</p>
  <p style="text-align:center;">'.count($dbusers).' '.$admin[516].'</p>';
		if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
			$dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
		}
		$tinymsgsend = $tinymsg2 != '' ? $tinymsg1.'<br /><hr /><br />'.$tinymsg2 : $tinymsg1;
		
		$dbmsg    = array();
		$dbmsg[0] = $admin[690];
		$dbmsg[1] = GetCurrentDateTime();
		$dbmsg[2] = RemoveConnector(stripslashes($tinymsgsend));
		$dbmsg[3] = 'lu';
		$dbmsg[4] = 'send';
		$dbmsg[5] = '';
		$dbmsg[6] = '';
		$dbmsg[7] = $userprefs[8];
		AppendDBFields(MSGREP.$userprefs[1].DBEXT, $dbmsg);
		foreach ($dbusers as $user) {
			$userdb      = ReadDBFields(MSGREP.$user.DBEXT);
			$tinymsgsend = $lang[0] == $userdb[1][1] ? $tinymsg1 : $tinymsg2;
			$dbmsg       = array(
				$userprefs[1],
				GetCurrentDateTime(),
				RemoveConnector(stripslashes($tinymsgsend)),
				'new',
				'',
				'',
				'',
				$userprefs[8]);
			AppendDBFields(MSGREP.$user.DBEXT, $dbmsg);
		}
		echo '
  <hr />
  <p style="text-align:center;"><b>'.$admin[693].'</b></p>
  <br />';
		unlink(TEMPREP.'sendtinymsg.inc');
		echo '
</fieldset>';
	}
}
################################################################################
// gestion des groupes
elseif ($act == 5) {
    $mess = '';
    if ($regit == 5 && $group != '') { //ajouter groupe
        $group = preg_replace('! !', '_', $group);
        $mess = '<br />'.AddGroup($group) ? ucfirst($admin[928]).' '.$group.$admin[929].' !<br />' : ucfirst($admin[928]).' '.$group.$admin[931].' !<br />';
    } elseif ($regit == 6) { // supprimer groupe
        $mess = '<br />'.DelGroup($group) ? ucfirst($admin[928]).' '.$group.$admin[930].' !<br />' : ucfirst($admin[928]).' '.$group.' '.mb_strtolower($web[314], $charset).$admin[930].' !<br />';
    }
    $grps = ReadGroups();
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[925]);
	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[925], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members5').$admin[701].$admin[926].'</p>
<hr />'.$mess.'
<div style="width:400px; margin:auto;">
  <form name="membgrp" action="admin.php?lng='.$lng.'&amp;pg=members"  method="post">
    <fieldset style="padding-top:12px;">
	  <table class="bord" style="text-align:center;width:300px;margin:auto;">
	    <tr class="forum">
		  <td style="width:66%;text-align:left;"><b>'.ucfirst($admin[928]).'</b></td>
		  <td colspan="2" style="text-align:center;"><b>'.$admin[680].'</b></td>
		</tr>';
    foreach ($grps as $grp=>$mbrs) {
    echo '
		<tr class="rep">
		  <td style="width:33%;text-align:left;">'.$grp.'</td>
		  <td style="text-align:center;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=6&amp;group='.$grp.'" title="'.$admin[144].' '.$grp.'">
			<img src="inc/img/files/edit.gif" alt="'.$admin[144].'" /></a><br />
		  </td>
		  <td style="text-align:center;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=5&amp;regit=6&amp;group='.$grp.'" title="'.$admin[186].' '.$grp.'">
			<img src="inc/img/files/sup.gif" alt="'.$admin[186].'" /></a><br />
		  </td>
		</tr>';
    }
    unset($grps);
    echo '
	  </table><br />';
    echo '
      <input type="hidden" name="regit" value="5" />
	  <input type="hidden" name="act" value="5" />
	  <p style="text-align:center">'.$web[371].' '.$admin[928].' : <input class="texte" type="text" name="group" value="" style="width:196px;" /></p>
	</fieldset>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
}
################################################################################
// gestion des membres du groupe
elseif ($act == 6) { 
	$aMembers = import('aMembers', 'POST', FALSE);
    $mess = '';
    if ($regit == 'add' && $group != '' && count($aMembers) > 0) { 
		foreach ($aMembers as $member) {
			$mess .= AddMember($group, $member) ? ucfirst($admin[928]).' '.$group.' : '.$web[322].' '.$member.$admin[929].' !<br />' : ucfirst($web[322]).' '.$member.$admin[931].' !<br />';
		}
    } elseif ($regit == 'del' && $group != '' && $member != '') {
        $mess = DelMember($group, $member) ? ucfirst($admin[928]).' '.$group.' : '.$web[322].' '.$member.$admin[930].' !<br />' : ucfirst($web[322]).' '.$member.' '.mb_strtolower($web[314], $charset).$admin[930].' !<br />';
    }
	$mess = $mess == '' ? '' : '<br />'.$mess;
    $grps = ReadGroups();
	$lst  = $grps[$group];
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=5">'.$admin[925].'</a> > '.str_replace('Admin - ', '', $admin[928]);
	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable(ucfirst($admin[928]).' '.$group, '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members5').$admin[701].$admin[927].'</p>
<hr />'.$mess;
    if (FileDBExist(GROUPS)) {
        echo '
<div style="width:400px; margin:auto;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$group.'</p>
  <form name="members" action="admin.php?lng='.$lng.'&amp;pg=members"  method="post">
    <fieldset style="padding-top:12px;">
	  <table class="bord" style="text-align:center;margin:auto;width:300px;">
		<tr class="forum">
		  <td style="width:66%;text-align:left;"><b>'.ucfirst($web[321]).'</b></td>
		  <td style="text-align:center;"><b>'.$admin[186].'</b></td>
		</tr>';
        foreach ($lst as $mbr) {
			if (!empty($mbr))
				echo '
		<tr class="rep">
		  <td style="width:33%;text-align:left;">'.$mbr.'</td>
		  <td style="text-align:center;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=6&amp;regit=del&amp;group='.$group.'&amp;member='.$mbr.'" title="'.$admin[186].' '.$mbr.' de '.$group.'">
			<img src="inc/img/files/sup.gif" alt="'.$admin[186].'" /></a><br />
		  </td>
		</tr>
            ';
        }
        unset($grps);
        echo '
	  </table><br />';
        echo '
	  <input type="hidden" name="regit" value="add" />
	  <input type="hidden" name="act" value="6" />
	  <input type="hidden" name="group" value="'.$group.'" />
	  <p style="text-align:center">'.$web[371].' '.$web[322].' :</p>
	  <p style="text-align:center">';
        $dbuserspref = array();
        $file_users=opendir(MSGREP);
        while ($nomfichier=readdir($file_users)) {
			if ( substr($nomfichier,-3) == "dtb") {
				$nomuser = str_replace(substr($nomfichier,-4),"",$nomfichier);
				if (!in_array($nomuser, $lst)) $dbuserspref[] = $nomuser;
			}
        }
        closedir($file_users);
        @usort($dbuserspref,'AsciiCompare');
		$size = min(20, count($dbuserspref) + 2);
        echo '
		<select name="aMembers[]" id="aMembers" size="'.$size.'" multiple="multiple" style="width:160px;">';
        for ($i = 0; $i < count($dbuserspref); $i++) {
			echo '
		  <option value="'.$dbuserspref[$i].'">'.$dbuserspref[$i].'</option>';
        }
        echo '
		</select><br />
	  </p>
	</fieldset>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
    }
}
btable();
include CHEMIN.'inc/bpage.inc';
?>
