<?php
/*******************************************************************************
 *   Galeries photos
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'photorama.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[18] == '') {
        $nomzone = $admin[322];
        include 'access.inc';
        exit();
    }
}
header('Pragma: no-cache');

$regit  = import('regit');
$act    = import('act');
$id     = import('id');
$idpg   = import('idpg');
$selgal = import('selgal');

// actions rapides
if ($act == 'fast') { 
    $ids    = import('ids');
    $dirgal = import('dirgal');
    $dbids  = explode(' ', trim($ids));
    $data   = array();
    for ($ij = 0; $ij < count($dbids); $ij++) {
        $ii = $dbids[$ij];
        if (isset($_POST['a_'.$ii]) && $_POST['a_'.$ii] == 'on') {
            $data[] = array($ii, 'a');
        }
        elseif (isset($_POST['i_'.$ii]) && $_POST['i_'.$ii] == 'on') {
            $data[] = array($ii, 'i');
        }
        elseif (isset($_POST['d_'.$ii]) && $_POST['d_'.$ii] == 'on') {
            $data[] = array($ii, 'd');
        }
    }
    unset($dbids);
	
	if (!empty($data)) {
        $dbphoto = ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT);
		for ($i = 0; $i < count($dbphoto); $i++) {
			for ($j = 0; $j < count($data); $j++) {
				if ($data[$j][0] == $dbphoto[$i][0]) {
					$dbphoto[$i][1] = $data[$j][1];
					break;
				}
			}
		}
		WriteDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT, $dbphoto);
		unset($dbphoto);
	}
	unset($data);
    $act = 3;
}

if ($act == 'fast2') { 
    $ids2   = import('ids2');
    $dirgal = import('dirgal');
    $dirmin = $dirgal.'/vgnt';
    $dbids  = explode(' ', trim($ids2));
    $data   = array();
	for ($ij=0; $ij < count($dbids); $ij++) {
		$ii = $dbids[$ij];
        if (isset($_POST['i_'.$ii]) && $_POST['i_'.$ii] == 'on') {
			$data[] = array($ii, 'i');
		}
		elseif (isset($_POST['s_'.$ii]) && $_POST['s_'.$ii] == 'on') {
			$data[] = array($ii, 's');
		}
	}
	unset($dbids);
	
	if (!empty($data)) {
        $dbphoto = ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT);
		for ($j = 0; $j < count($data); $j++) {
            switch ($data[$j][1]) {
            case 'i' : 
                for ($i = 0; $i < count($dbphoto); $i++) 
                    if ($data[$j][0] == $dbphoto[$i][0]) $dbphoto[$i][1] = 'i';
                break;
            case 's' : 
                for ($i = 0; $i < count($dbphoto); $i++) 
                    if ($data[$j][0] == $dbphoto[$i][0]) $dbphoto[$i][1] = 's';
                break;
            }
			break;
        }
        $dbw = array();
        for ($i = 0; $i < count($dbphoto); $i++) 
            if ($dbphoto[$i][1] == 's') {
                if (is_file(PHOTOREP.$dirgal.'/'.$dbphoto[$i][2])) unlink(PHOTOREP.$dirgal.'/'.$dbphoto[$i][2]);
                if (is_file(PHOTOREP.$dirmin.'/'.$dbphoto[$i][2])) unlink(PHOTOREP.$dirmin.'/'.$dbphoto[$i][2]);
            } else
                $dbw[] = $dbphoto[$i];
		WriteDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT, $dbw);
		unset($dbphoto, $dbw);
	}
	unset($data);
    $act = 3;
}

if ($regit == 1) {
    include_once CONFIG;
    $serviz[83]  = import('serviz83'); // Nombre maximum de miniatures par galerie
    $serviz[84]  = import('serviz84'); // Largeur maximum d'une miniature
    $serviz[85]  = import('serviz85'); // Hauteur maximum d'une miniature
    $serviz[86]  = import('serviz86'); // Choix effet pour le phototrama
    $serviz[87]  = import('serviz87'); // Nombre maximum de galeries par page
    $serviz[111] = import('serviz111'); // Intervalle entre diapos en secondes
	$serviz[146] = import('serviz146'); // Nombre maximum de miniatures par ligne
	$serviz[147] = import('serviz147'); // Espace en pixels entre les miniatures
	$serviz[148] = import('serviz148'); // Position des miniatures L / C / R
    include('inc/confupdt.inc');
	$act = 1;
}
include CONFIG;

if ($regit == 2) {
    $dirgal  = import('dirgal');
    $dirmin  = $dirgal.'/vgnt';
    $wmax    = intval($serviz[84]);
    $hmax    = intval($serviz[85]);
    $nextid  = 1;
    $filecom = PHOTOREP.$dirgal.'/'.$dirgal.DBEXT;
    if (is_file($filecom)) {
        $dbphoto = ReadDBFields($filecom);
        if (!empty($dbphoto)) {
            $dbid    = array();
            for ($i = 0; $i < count($dbphoto); $i++) $dbid[] = $dbphoto[$i][0];
            rsort($dbid, SORT_NUMERIC);
            $nextid = $dbid[0] + 1;
        }
    }
	for ($i = 0; $i < 5; $i++) {
		$filename = trim(strip_tags($_FILES["new_photo$i"]['name']));
		$tmpname  = $_FILES["new_photo$i"]['tmp_name'];
		if ($filename != "" && is_uploaded_file($tmpname)) {
			$filename = trim($filename);
			$filename = str_replace(' ','_', $filename);
			$filename = str_replace('à','a', $filename);
			$filename = preg_replace('![éèê]!','e', $filename);
			$filename = preg_replace('![îï]!','i', $filename);
			$filename = preg_replace('![^-a-zA-Z0-9_\.]!', '', $filename);
			$uperror = false;

			if (!preg_match("`^([-a-z0-9_]+)(\.)([a-z0-9]{2,4})$`i", $filename)) { // contrôle nom de fichier valide
				$uperror = true;
			}
			if (is_file(PHOTOREP.$dirgal.'/'.$filename)) { // contrôle présence fichier
				$uperror = true; 
			}
			if(!$uperror) { // UPLOAD	
                list($wimg, $himg, $typimg) = getimagesize($tmpname);
                if ($wimg > $himg) {
                    $wmin = $wmax;
                    $hmin = ceil($himg * $wmax / $wimg);
                    if ($hmin > $hmax) {
                        $wmin = ceil($wmin * $hmax / $hmin);
                        $hmin = $hmax;
                    }
                } else {
                    $hmin = $hmax;        
                    $wmin = ceil($wimg * $hmax / $himg);
                    if ($wmin > $wmax) {
                        $hmin = ceil($hmin * $wmax / $wmin);
                        $wmin = $wmax;
                    }
                }
				if (move_uploaded_file($tmpname, PHOTOREP.$dirgal.'/'.$filename)) {
					@chmod(PHOTOREP.$dirgal.'/'.$filename, 0644);
                    // création des miniatures
					switch($typimg) {
					case 2 : // JPG
						$hfic = ImageCreateFromJpeg(PHOTOREP.$dirgal.'/'.$filename);
	          			$hvig = @ImageCreateTrueColor($wmin, $hmin);
	          			$cr   = @ImageCopyResampled($hvig, $hfic, 0, 0, 0, 0, $wmin, $hmin, $wimg, $himg);
	          			@ImageJpeg($hvig, PHOTOREP.$dirmin.'/'.$filename, 75);
	          			@chmod(PHOTOREP.$dirmin.'/'.$filename, 0666);
                        break;
					case 3 : // PNG
	          			$hfic = ImageCreateFromPng(PHOTOREP.$dirgal.'/'.$filename);
	          			$hvig = @ImageCreateTrueColor($wmin, $hmin);
	          			$cr = @ImageCopyResampled($hvig, $hfic, 0, 0, 0, 0, $wmin, $hmin, $wimg, $himg);
	          			@ImagePng($hvig, PHOTOREP.$dirmin.'/'.$filename);
	          			@chmod(PHOTOREP.$dirmin.'/'.$filename, 0666);
                        break;
                    }
                    if (isset($hfic)) @imagedestroy($hfic);
                    if (isset($hvig)) @imagedestroy($hvig);
                    unset($hfic, $hvig);
                    // ajout dans le fichier commentaires
                    $datas   = array($nextid, 'a', $filename, $wmin, $hmin, '','');
                    AppendDBFields($filecom, $datas);
                    $nextid++;
				}
            }
		}
	}
}

if ($regit == 3) {
    $dirgal   = import('dirgal');
    $comment1 = import('comment1', 'POST');
    $comment2 = import('comment2', 'POST');
    $dbphoto  = ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT);
    for ($i = 0; $i < count($dbphoto); $i++) {
        if ($id == $dbphoto[$i][0]) {
            $dbphoto[$i][5] = $comment1;
            $dbphoto[$i][6] = $comment2;
            break;
        }
    }
    WriteDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT, $dbphoto);
}

if ($regit == 4) {
    $dirgal  = import('dirgal');
    $dirmin  = $dirgal.'/vgnt';
    $wmax    = intval($serviz[84]);
    $hmax    = intval($serviz[85]);
	$n       = 0;
	$dbphoto = ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT);
	foreach ($dbphoto as $photo) {
		$filename = $photo[2];
		list($wimg, $himg, $typimg) = getimagesize(PHOTOREP.$dirgal.'/'.$filename);
		if ($wimg > $himg) {
			$wmin = $wmax;
			$hmin = ceil($himg * $wmax / $wimg);
			if ($hmin > $hmax) {
				$wmin = ceil($wmin * $hmax / $hmin);
				$hmin = $hmax;
			}
		} else {
			$hmin = $hmax;        
			$wmin = ceil($wimg * $hmax / $himg);
			if ($wmin > $wmax) {
				$hmin = ceil($hmin * $wmax / $wmin);
				$wmin = $wmax;
			}
		}
		if (file_exists(PHOTOREP.$dirmin.'/'.$filename)) unlink(PHOTOREP.$dirmin.'/'.$filename);
		// création des miniatures
		switch($typimg) {
		case 2 : // JPG
			$hfic = ImageCreateFromJpeg(PHOTOREP.$dirgal.'/'.$filename);
			$hvig = @ImageCreateTrueColor($wmin, $hmin);
			$cr   = @ImageCopyResampled($hvig, $hfic, 0, 0, 0, 0, $wmin, $hmin, $wimg, $himg);
			@ImageJpeg($hvig, PHOTOREP.$dirmin.'/'.$filename, 75);
			@chmod(PHOTOREP.$dirmin.'/'.$filename, 0666);
			break;
		case 3 : // PNG
			$hfic = ImageCreateFromPng(PHOTOREP.$dirgal.'/'.$filename);
			$hvig = @ImageCreateTrueColor($wmin, $hmin);
			$cr = @ImageCopyResampled($hvig, $hfic, 0, 0, 0, 0, $wmin, $hmin, $wimg, $himg);
			@ImagePng($hvig, PHOTOREP.$dirmin.'/'.$filename);
			@chmod(PHOTOREP.$dirmin.'/'.$filename, 0666);
			break;
		}
		if (isset($hfic)) @imagedestroy($hfic);
		if (isset($hvig)) @imagedestroy($hvig);
		unset($hfic, $hvig);
		$photo[3]    = $wmin;
		$photo[4]    = $hmin;
		$dbphoto[$n] = $photo;
		$n++;
	}
	WriteDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT, $dbphoto);
}

################################################################################
// config galeries
if($act == 1) {
	$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[638]);
    include_once CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[638], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'photorama1').$admin[331].'</p>
<hr />
<form name="galeries" action="admin.php?lng='.$lng.'&amp;pg=photorama" method="POST">
  <input type="hidden" name="regit" value="1" />
    <div style="width:540px;margin-left:auto;margin-right:auto;">
    <fieldset>
      <br />
      <table style="width:90%;margin:auto;">
        <tr style="text-align:left;"><td>&bull; '.$admin[129].'</td><td><input class="texte" type="text" name="serviz83" size="2" value="'.$serviz[83].'" /></td></tr>
        <tr style="text-align:left;"><td>&bull; '.$admin[130].'</td><td><input class="texte" type="text" name="serviz84" size="4" value="'.$serviz[84].'" /></td></tr>
        <tr style="text-align:left;"><td>&bull; '.$admin[131].'</td><td><input class="texte" type="text" name="serviz85" size="4" value="'.$serviz[85].'" /></td></tr>
        <tr style="text-align:left;"><td>&bull; '.$admin[1037].'</td><td><input class="texte" type="text" name="serviz87" size="2" value="'.$serviz[87].'" /></td></tr>
        <tr style="text-align:left;"><td>&bull; '.$admin[1450].'</td><td><input class="texte" type="text" name="serviz146" size="2" value="'.$serviz[146].'" /></td></tr>
        <tr style="text-align:left;"><td>&bull; '.$admin[1451].'</td><td><input class="texte" type="text" name="serviz147" size="3" value="'.$serviz[147].'" /></td></tr>
        <tr style="text-align:left;">
		  <td>&bull; '.$admin[1452].'</td>
		  <td>
		    <select name="serviz148">
			  <option value="L"'.Selected('L' == $serviz148).'>'.$admin[390].'</option>
			  <option value="C"'.Selected('C' == $serviz148).'>'.$admin[391].'</option>
			  <option value="R"'.Selected('R' == $serviz148).'>'.$admin[392].'</option>
			</select>
		  </td>
		</tr>
        <tr>
		  <td colspan="2">
            <fieldset><legend> '.$admin[134].' </legend>
              <table style="width:100%;">
                <tr>
				  <td>
				    <div style="margin-left:32px;">
                      <label><input type="radio" name="serviz86" onclick="javascript:document.getElementById(\'inter\').style.display=\'none\';" value="lightbox"'.Checked($serviz[86] == 'lightbox').'>'.$admin[1034].'</label><br />
                      <label><input type="radio" name="serviz86" onclick="javascript:document.getElementById(\'inter\').style.display=\'block\';" value="lytebox"'.Checked($serviz[86] == 'lytebox').'>'.$admin[1035].'</label><br />
					  <div id="inter" style="display:'.($serviz[86] == 'lytebox' ? 'block' : 'none').'; margin-left:20px;">&bull;&nbsp;'.$admin[1313].'
					    <input class="texte" type="text" name="serviz111" size="2" value="'.$serviz[111].'" />
					  </div>
                    </div>
				  </td>
				</tr>
              </table>
            </fieldset>
          </td>
		</tr>
      </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </div>
</form>';
}
################################################################################
// sélectionner une galerie
elseif ($act == 2) {
	$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[133]);
    include_once CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[133], '100%');
    $dbwork = ReadDBFields(DBPHOTO);
    $n      = $lng == $lang[0] ? 2 : 3;
    $lstgal = array();
    for ($i = 0; $i < count($dbwork); $i++) {
        $lstgal[$i] = $dbwork[$i][$n];
    }
    unset($dbwork);
    sort($lstgal);
    echo '
<p>'.ToHelp($lng, 'photorama3').'</p>
<form name="galsel" action="admin.php?lng='.$lng.'&amp;pg=photorama" method="POST">
  <input type="hidden" name="act" value="3" />
  <div style="width:480px;margin-left:auto;margin-right:auto;">
    <fieldset><legend>'.$admin[132].'</legend>
      <table style="width:80%;margin:auto;">
        <tr>
		  <td style="text-align:center;">
            <select name="selgal" style="width:300px;" onchange="submit();">
              <option value="" select="selected">'.$admin[1241].'</option>';
    for ($i = 0; $i < count($lstgal); $i++) {
        echo '
              <option value"'.$lstgal[$i].'">'.$lstgal[$i].'</option>';
    }
    echo '
            </select>
          </td>
		</tr>
		<noscript>
        <tr>
		  <td style="text-align:center;">'.SubmitButton($web[52]).'</td>
		</tr>
		</noscript>
      </table>
    </fieldset>
  </div>
  <br />
</form>';
}
################################################################################
// gérer les photos
elseif ($act == 3) {
	$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[133]);
    include_once CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[133], '100%');
	
    $nbresult = 10;
    $baseurl  = 'admin.php?lng='.$lng.'&amp;pg=photorama&amp;selgal='.$selgal;
    $dbwork   = ReadDBFields(DBPHOTO);
    $n        = $lng == $lang[0] ? 2 : 3;
    for ($i = 0; $i < count($dbwork); $i++) {
        if ($selgal == $dbwork[$i][$n]) {
            $dirgal = 'gal_'.$dbwork[$i][4];
            break;
        }
    }
    unset($dbwork);
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'photorama3').$admin[326].'<strong>'.$selgal.'</strong>'.$admin[223].'</p>';
    $dirmin  = $dirgal.'/vgnt';
    if ($dirgal != '') {
        if (!is_dir(PHOTOREP.$dirgal)) {
            if (@mkdir(PHOTOREP.$dirgal, 0777)) {
                @copy(CHEMIN.'data/index.php', PHOTOREP.$dirgal.'/index.php');
                @chmod(PHOTOREP.$dirgal.'/index.php', 0644);
            }
            if (@mkdir(PHOTOREP.$dirmin, 0777)) {
                @copy(CHEMIN.'data/index.php', PHOTOREP.$dirmin.'/index.php');
                @chmod(PHOTOREP.$dirmin.'/index.php', 0644);
            }
        }
        echo '
<hr />';
        echo '
<form name="galadd" action="'.$baseurl.'" method="POST" enctype="multipart/form-data">
  <input type="hidden" name="regit" value="2" />
  <input type="hidden" name="act" value="3" />
  <input type="hidden" name="selgal" value="'.$selgal.'" />
  <input type="hidden" name="dirgal" value="'.$dirgal.'" />
  <div style="width:640px;text-align:center;margin:auto;">
    <fieldset><legend>'.$admin[325].' ('.$dirgal.')</legend><br />
      <table style="width:100%;text-align:center;margin:auto;">';
        for ($i = 0; $i < 5; $i++) {
            echo '
        <tr>
	      <td width="20%">&bull; '.$admin[330].($i + 1).'</td>
          <td><input name="new_photo'.$i.'" class="texte" type="file" size="64" accept="image/jpg,image/jpeg,image/png"/></td>
	    </tr>';
        }
        echo '
      </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </div>
</form>
<br />';
        $dbphoto = ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT);
        $tmpi    = 0;
        $tmp[0]  = array();
        $tmp[1]  = array();
        $tmp[2]  = array();
        $tmp[3]  = array();
        $tmp[4]  = array();
        $tmp[5]  = array();
        for ($i = 0; $i < count($dbphoto); $i++) {
            if ($dbphoto[$i][1] != 'd') {
                $tmp[0][$tmpi] = $dbphoto[$i][0];
                $tmp[1][$tmpi] = $dbphoto[$i][1];
                $tmp[2][$tmpi] = $dbphoto[$i][2];
                $tmp[3][$tmpi] = $dbphoto[$i][3];
                $tmp[4][$tmpi] = $dbphoto[$i][4];
                $tmp[5][$tmpi] = '<tr><td style="vertical-align:top;width:20px;"><img src="'.$flag1.'" style="height:12px;" /></td><td>'.$dbphoto[$i][5].'</td></tr>';
                if ($lang[1] != '')
                    $tmp[5][$tmpi] .= '<tr><td style="vertical-align:top;width:20px;"><img src="'.$flag2.'" style="height:12px;" /></td><td>'.$dbphoto[$i][6].'</td></tr>';
                $tmpi++;
            }
        }
        if (empty($idpg)) {
          $idpg = 1;
        }
        else {
          while ($tmpi <= ($idpg - 1)* $nbresult) $idpg--;
        }
        if ($tmpi > 0) {
            $cr = array_multisort($tmp[2], SORT_ASC, $tmp[0], $tmp[1], $tmp[3], $tmp[4], $tmp[5]);
            $navbar = GetNavBar($baseurl.'&amp;act=3&amp;idpg=', $tmpi, $idpg, $nbresult);
            echo '
<div style="text-align:center;width:640px;margin: auto;">'.$navbar.'
  <fieldset><legend>'.$admin[633].' ('.$dirgal.')</legend>
    <form name="fast_actions" action="'.$baseurl.'&amp;idpg='.$idpg.'&amp;dirgal='.$dirgal.'&amp;act=fast" method="post">
      <div style="text-align:right;width:90%; padding-right:20px;">'.SubmitButton($web[361]).'
        <img src="'.$reptheme.'/bas.png" alt="" title="" />
	  </div>
      <table style="width:100%;">
        <tr class="forum">
          <td style="padding:4px;">'.$admin[834].'</td><td style="padding:4px;">'.$admin[679].'</td><td>'.$admin[680].'</td>
	    </tr>';
            $ids   = '';
            $nbdel = 0;
            for ($i = $nbresult*($idpg-1); $i < Min($nbresult*$idpg, $tmpi); $i++) {
                $fileid = $tmp[0][$i];
                $statut = $tmp[1][$i];
                if ($i %2 == 0)
                    echo '
        <tr class="rep">';
                else
                    echo '
        <tr class="quest">';
                echo '
          <td  style="padding:4px;width:'.$serviz[84].'px; text-align:center;">
            <a href="'.$baseurl.'&amp;act=4&amp;idpg='.$idpg.'&amp;id='.$fileid.'">
            <img src="'.PHOTOREP.$dirmin.'/'.$tmp[2][$i].'" style="width:'.$tmp[3][$i].'px;height:'.$tmp[4][$i].'px;vertical-align:bottom;" alt="'.$admin[368].'" title="'.$admin[368].'" /></a>';
                echo '
          </td>
		  <td style="padding:4px;">
            <table style="width:100%;">
              <tr><td style="padding:2px;">&bull; '.$tmp[2][$i].' ('.$tmp[3][$i].'x'.$tmp[4][$i].')</td></tr>'.$tmp[5][$i].'
            </table>';
                echo '
          <td  style="padding:4px;width:60px; white-space:nowrap;text-align:center;">';
                if ($statut == 'a') {
                    MakeRadioGroup(array( array('a', 'i', $fileid), array('a', 'd', $fileid) ));
                }
                elseif ($statut == 'i') {
                    MakeRadioGroup(array( array('i', 'a', $fileid), array('i', 'd', $fileid) ));
                }
                elseif ($status == 'd') {
                    MakeRadioGroup(array( array('d', 's', $fileid), array('d', 'i', $fileid) ));
                }
                echo '
          </td>
	    </tr>';
                $ids .= $fileid.' ';
            }
            echo '
      </table>
      <input type="hidden" name="ids" value="'.$ids.'" />
      <div style="text-align:right;width:90%; padding-right:20px;">'.SubmitButton($web[361]).'
        <img src="'.$reptheme.'/up1.png" alt="" style="padding-bottom: 3px;" />
	  </div>
    </form>'.$navbar.'
    <form name="galvgnt" action="'.$baseurl.'" method="POST">
      <input type="hidden" name="regit" value="4" />
      <input type="hidden" name="act" value="3" />
      <input type="hidden" name="dirgal" value="'.$dirgal.'" />
      <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[1268], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>
    </form>
  </fieldset>
</div>';
        } else {
            echo '
    <p style="text-align:center"><strong>'.$admin[854].'</strong><br />';
        }
        $tmpi2    = 0;
        $tmp2[0]  = array();
        $tmp2[1]  = array();
        $tmp2[2]  = array();
        $tmp2[3]  = array();
        $tmp2[4]  = array();
        $tmp2[5]  = array();
        for ($i = 0; $i < count($dbphoto); $i++) {
            if ($dbphoto[$i][1] == 'd') {
                $tmp2[0][$tmpi2] = $dbphoto[$i][0];
                $tmp2[1][$tmpi2] = $dbphoto[$i][1];
                $tmp2[2][$tmpi2] = $dbphoto[$i][2];
                $tmp2[3][$tmpi2] = $dbphoto[$i][3];
                $tmp2[4][$tmpi2] = $dbphoto[$i][4];
                $tmp2[5][$tmpi2] = '<tr><td style="vertical-align:top;width:20px;"><img src="'.$flag1.'" style="height:12px;" /></td><td>'.$dbphoto[$i][5].'</td></tr>';
                if ($lang[1] != '')
                    $tmp2[5][$tmpi2] .= '<tr><td style="vertical-align:top;width:20px;"><img src="'.$flag2.'" style="height:12px;" /></td><td>'.$dbphoto[$i][6].'</td></tr>';
                $tmpi2++;
            }
        }
        if ($tmpi2 > 0) {
            $cr = array_multisort($tmp2[2], SORT_ASC, $tmp2[0], $tmp2[1], $tmp2[3], $tmp2[4], $tmp2[5]);
            echo '
<div style="text-align:center;width: 100%; max-width: 580px; margin: auto;"><br />
  <fieldset><legend>'.$admin[170].'</legend>
    <form name="fast_actions2" action="'.$baseurl.'&amp;idpg='.$idpg.'&amp;dirgal='.$dirgal.'&amp;act=fast2" method="post">
      <div style="text-align:right;width:90%; padding-right:20px;">'.SubmitButton($web[361]).'
        <img src="'.$reptheme.'/bas.png" alt="" title="" />
	  </div>
      <table style="width:100%;">
        <tr class="forum">
          <td style="padding:4px;">'.$admin[834].'</td><td style="padding:4px;">'.$admin[679].'</td><td style="padding:4px;">'.$admin[680].'</td>
		</tr>';
            $ids2 = '';
            for ($i = 0; $i < $tmpi2; $i++) {
                $fileid = $tmp2[0][$i];
                if ($i %2 == 0)
                    echo '
        <tr class="rep">';
                else
                    echo '
        <tr class="quest">';
                echo '
          <td  style="padding:4px;width:'.$serviz[84].'px; text-align:center;">
            <img src="'.PHOTOREP.$dirmin.'/'.$tmp2[2][$i].'" style="width:'.$tmp2[3][$i].'px;height:'.$tmp2[4][$i].'px;vertical-align:bottom;" alt="'.$admin[368].'" title="'.$admin[368].'" />';
                echo '
          </td>
		  <td style="padding:4px;">
            <table cellpadding="0" cellspacing="2" width="100%" summary="">
              <tr><td colspan="2">&bull; '.$tmp2[2][$i].' ('.$tmp2[3][$i].'x'.$tmp2[4][$i].')</td></tr>'.$tmp2[5][$i].'
            </table>';
                echo '
          <td  style="padding:4px;width:60px; white-space:nowrap;text-align:center;">';
                MakeRadioGroup(array( array('d', 'i', $fileid), array('d', 's', $fileid)));
                echo '
          </td>
		</tr>';
                $ids2 .= $fileid.' ';
            }
            echo '
      </table>
      <input type="hidden" name="ids2" value="'.$ids2.'" />
      <div style="text-align:right;width:90%; padding-right:20px;">'.SubmitButton($web[361]).'
        <img src="'.$reptheme.'/up1.png" alt="" style="padding-bottom: 3px;" />
	  </div>
    </form>
  </fieldset>
</div>';
        }
    }
}
################################################################################
// ajouter des commentaires
elseif ($act == 4) {
    $baseurl = 'admin.php?lng='.$lng.'&amp;pg=photorama&amp;selgal='.$selgal;
    $dbwork  = ReadDBFields(DBPHOTO);
    $n       = $lng == $lang[0] ? 2 : 3;
    for ($i = 0; $i < count($dbwork); $i++) {
        if ($selgal == $dbwork[$i][$n]) {
            $dirgal = 'gal_'.$dbwork[$i][4];
            break;
        }
    }
    unset($dbwork);
    $dirmin  = $dirgal.'/vgnt';
    $dbphoto = ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT);
    for ($i = 0; $i < count($dbphoto); $i++) {
        if ($id == $dbphoto[$i][0]) {
            $photo    = $dbphoto[$i][2];
            $wimg     = $dbphoto[$i][3];
            $himg     = $dbphoto[$i][4];
            $comment1 = $dbphoto[$i][5];
            $comment2 = $dbphoto[$i][6];
            break;
        }
    }
	$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > <a href="'.$baseurl.'&amp;idpg='.$idpg.'&amp;act=3">'.str_replace('Admin - ', '', $admin[1036]).'</a> > '.str_replace('Admin - ', '', $admin[368]);
    include_once CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[368], '100%');
    echo '
<br />'.ToHelp($lng, 'photorama4').'
<div style="text-align:center;width: 100%; max-width: 600px; margin: auto;">
<form name="comments" action="'.$baseurl.'&amp;idpg='.$idpg.'&amp;id='.$id.'&amp;dirgal='.$dirgal.'&amp;act=3" method="post">
  <input type="hidden" name="regit" value="3" />
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$admin[368].' : <strong>'.$photo.'</strong> ('.$selgal.')</p>
  <fieldset>
  <p style="text-align:center;">
    <img src="'.PHOTOREP.$dirmin.'/'.$photo.'" style="width'.$wimg.'px;height:'.$himg.'px;vertical-align:bottom;" alt="'.$photo.'" title="'.$photo.'" />
  </p>
  <table style="width:100%;">
    <tr>
	  <td  style="padding:4px;text-align:center;">
        <img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />
        <input class="texte" type="text" name="comment1" value="'.$comment1.'" size="80" />';
    if ($lang[1] != "") {
        echo '
      </td>
	</tr>
    <tr>
	  <td  style="padding:4px;text-align:center;">
        <img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />
        <input class="texte" type="text" name="comment2" value="'.$comment2.'" size="80" />';
    }
    echo '
      </td>
	</tr>
  </table>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>
</div>';
    echo '
<div style="text-align:center;"><hr />
  <a href="'.$baseurl.'&amp;idpg='.$idpg.'&amp;act=3">'.$admin[1036].'</a>
</div>';
}
btable();
include CHEMIN.'inc/bpage.inc';
?>
