<?php
/*******************************************************************************
 *   Save
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'save.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[9] == '') {
        $nomzone = $admin[12];
        include 'access.inc';
        exit();
    }
}

$action    = import('action', 'POST');
$mode      = import('mode', 'POST');
$otherdirs = mb_strtolower(import('otherdirs', 'POST'), $charset);
$dirnames  = array('data', 'file', 'flash', 'img', 'pages', 'photo', 'skins');
$vdirs     = array();
$seldirs   = '';

if ($mode == 'SEL') {
	for ($i = 0; $i < count($dirnames); $i++) {
		$vdirs[]  = import($dirnames[$i], 'POST');
		$seldirs .= $vdirs[$i] == 'on' ? $dirnames[$i].'/ ' : '';
	}
	if (!empty($otherdirs)) {	
		$dbw = explode(';', $otherdirs);
		if ($dbw[0] == 'root') {
			$dirnames = array(substr($site[3], -1));
			$vdirs    = array('on');
			$seldirs  = $dbw[0];
		} else {
			$bad = array('.', '..');
			$dbw = array_diff($dbw, $bad);
			foreach ($dbw as $dir) {
				while (substr($dir, -1) == '/') $dir = substr($dir, 0, -1);
				if (is_dir(CHEMIN.$dir)) {
					$vdirs[]    = 'on';
					$seldirs   .= $dir.'/ ';
					$dirnames[] = $dir;
				}
			}
		}
	}
} elseif ($mode == 'ALL') {
	$dirnames = array(substr($site[3], -1));
	$vdirs    = array('on');
	$seldirs  = 'root';
}

if ($action == 'zip') {
    if ($seldirs == '') {
        echo BeginJavascript().'
alert("'.addslashes($admin[1248]).'");
window.location="admin.php?lng='.$lng.'&pg=save";
        '.EndJavascript();
    } else {
        $errfile = '';
        $errzip  = '';
        $dirs = array();
        for ($i = 0; $i < count($dirnames); $i++) {
            if ($vdirs[$i] == 'on' && is_dir(CHEMIN.$dirnames[$i])) {
                $dir    = $dirnames[$i];  
                $dirs[] = $dir;
            }
        }
        $zipname = $userprefs[1].'-'.date('Y-m-d-H-i-s').'.zip';
        $zip     = new ZipArchive();
        if ($zip->open(SAVEREP.$zipname, ZipArchive::CREATE | ZipArchive::OVERWRITE) === true) {
			StartTimer();
			$nf     = 0;
			$volume = 0;
			while (count($dirs)) {
				if (mb_strtolower($dir, $charset) == 'save') { // on exclue le rÃ©pertoire des sauvegardes
					array_shift($dirs);
					continue;
				}
				$dir = $dirs[0] == '/' ? '' : $dirs[0];
				$zip->addEmptyDir($dir);
				if (false === ($files = scandir(CHEMIN.$dir))) {
					$errfile .= sprintf($admin[1257], $nf);
					break;
				} else {
					$bad   = array('.', '..');
					$files = array_diff($files, $bad); 
					foreach ($files as $file) {
						if (is_file(CHEMIN.$dir.'/'.$file)) {
							if (!$zip->addFile(CHEMIN.$dir.DIRECTORY_SEPARATOR.$file, $dir.DIRECTORY_SEPARATOR.$file)) {
								$errfile .= $dir.'/'.$file.$admin[1249]."\n ";
							} else {
								$volume += filesize(CHEMIN.$dir.'/'.$file);
								$nf++;
							}
						} elseif (is_dir(CHEMIN.$dir.'/'.$file) && mb_strtolower($file, $charset) != 'save') {
							if (!strpos(TEMPREP, $dir.'/'.$file)) $dirs[] = $dir.'/'.$file;
						}
					}
				}
				unset($files);
				array_shift($dirs);
			}
			$timer = StopTimer();
			if ($volume < 1024)
				$volume .= ' B';
			elseif ($volume < 1048576)
				$volume = round($volume / 1024, 2).' Kb';
			else
				$volume = round($volume / 1048576, 2) . ' Mb';
			$cr = "\n".$nf.$admin[1252].' ('.$volume.')'."\n".$seldirs."\n".$web[116].' '.$timer.' '.($timer <= 1 ? $web[117] : $web[118]);
			if (!$errfile) {
				if (false === $zip->setArchiveComment($admin[1245].' '.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' '.$web[6].' '.$userprefs[1]."\n".$nf.$admin[1252].' ('.$volume.')'."\n".$seldirs)) {
					$errzip .= $admin[1250].$zipname."\n\n";
				}
			}
			$zip->close();
        } else {
            $errzip .= $admin[1250].$zipname."\n\n";
        }
        unset($dirs, $zip);
        $erreur = $errzip.$errfile;
        if ($erreur) { 
            echo BeginJavascript().'
alert("'.addslashes($erreur).'");
window.location="admin.php?lng='.$lng.'&pg=save";
            '.EndJavascript();
			$action = '';
        } elseif ($nf > 0) {
            $action = 'save';
        }
    }
}

if ($action != 'save') {
	$headinc .= BeginJavascript().'
function setAllRep() {
	var lbl1="'.$web[425].'";
	var lbl2="'.$admin[1256].'";
	if (document.saverep.setbutton.value == lbl1) {
		var lbl  = lbl2;
		var bool = true;
	}
	else {
		var lbl  = lbl1;
		var bool = false;
	}
	document.saverep.setbutton.value = lbl;
	document.saverep.data.checked    = bool;
	document.saverep.file.checked    = bool;
	document.saverep.flash.checked   = bool;
	document.saverep.img.checked     = bool;
	document.saverep.pages.checked   = bool;
	document.saverep.photo.checked   = bool;
	document.saverep.skins.checked   = bool;
}
function setMode(mode) {
	if (mode == "ALL") {
		document.getElementById("selmode").style.display = "none";
		document.getElementById("selmode2").style.display = "none";
	}
	else {
		document.getElementById("selmode").style.display = "block";
		document.getElementById("selmode2").style.display = "block";
	}
}
	'.EndJavascript();

	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1246]);
    include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[1246], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'save').$admin[1258].'</p>
<hr />
<div style="width:480px; margin:auto; text-align:center;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$admin[1247].'</p>
  <div style="text-align:center;">
  <form name="saverep" action="admin.php?lng='.$lng.'&amp;pg=save" method="post">
    <input type="hidden" name="action" value="zip" />
    <fieldset>
	  <table style="width:80%;margin:auto;">
        <tr>
	      <td style="padding:5px;width:50%;vertical-align:center;">
		    <label for="mode1"><input type="radio" id="mode1" name="mode" value="SEL" checked="checked" onclick="setMode(\'SEL\')" />'.$admin[1260].'</label><br /><br />
		    <label for="mode2"><input type="radio" id="mode2" name="mode" value="ALL" onclick="setMode(\'ALL\')" />'.$admin[1259].'</label>
	      </td>
          <td style="padding:5px;text-align:center;vertical-align:center;border-left: dashed 1px #000000;">
		    <div id="selmode" style="display:block;">'
              .$boutonleft.'<input name="setbutton" class="bouton" type="button" title="'.$web[425].'" onclick="setAllRep();" value="'.$web[425].'">'.$boutonright.'<br />';
    foreach ($dirnames as $dir) {
        echo '
              <div style="text-align: right; margin: 8px 80px 0 0">
                <label for="'.$dir.'">'.$dir.'/ <input type="checkbox" id="'.$dir.'" name="'.$dir.'" value="on" /></label>
              </div>';
    }
    echo '
			</div>
          </td>
        </tr>
        <tr>
          <td colspan="2" style="text-align:center;">
		    <div id="selmode2" style="display:block;">
              <br />'.$admin[1255].'<br /><input type="text" class="texte" name="otherdirs" size="60" />
			</div>
          </td>
        </tr>
      </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[1245], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
  </div>
</div>';
}

if ($action == 'save') {
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1246]);
    include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[1246], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'save').$admin[1258].'</p>
<hr />
<div style="width:500px; margin:auto; text-align:center;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$admin[1251].'</p>
  <fieldset>
    <br />
	<p style="text-align:center;"><b>'.$zipname.'</b></p>
	<p style="text-align:center;">'.str_replace("\n", '<br />', $cr).'</p>
	<br />
	<p style="text-align:center;">'.sprintf($admin[1253], 'admin.php?lng='.$lng.'&pg=upload').'</p>
	<br />
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:left">'.SubmitButton($web[135], 'self.location.href=\'admin.php?lng='.$lng.'&amp;pg=save\'', $imggauche, '').'</div>
    <div style="float:right">'.SubmitButton($web[362], 'self.location.href=\''.SAVEREP.$zipname.'\'', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</div>';
}

btable();
include CHEMIN.'inc/bpage.inc' ;
?>
