<?php
/*******************************************************************************
 *   Admin Search
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'search.inc')) {
	header('location:../index.php');
	die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[49] == '') {
        $nomzone = $admin[1264];
        include 'access.inc';
        exit();
    }
}

$regit = import('regit');

if (is_file(CONFIGREP.'searchconfig.inc')) {
	include CONFIGREP.'searchconfig.inc';
} else {
	$pertinencemin   = 35;   // Affiche les résultats de pertinence supérieure à cette valeur
	$resultbypage    = 10;   // Nombre de résultats par page
	$barcolor        = 'vert';   // Couleur de la barre de pertinence
	$bargrey         = '3';   // Fond de la barre de pertinence
	$styleocc[0]     = '';   // Couleur de la police
	$styleocc[1]     = '';   // Italique
	$styleocc[2]     = 'bold';   // Caractères gras
	$styleocc[3]     = '';   // Souligné
	$styleocc[4]     = 'on';   // "on"/"" Surligné en couleur
	$bgcolor[0]      = '#ECBDA2';   // Couleur de l'occurence n° 1
	$bgcolor[1]      = '#B6F3A2';   // Couleur de l'occurence n° 2
	$bgcolor[2]      = '#ECF3A2';   // Couleur de l'occurence n° 3
	$bgcolor[3]      = '#D1BDF3';   // Couleur de l'occurence n° 4
	$bgcolor[4]      = '#ECD887';   // Couleur de l'occurence n° 5
	$bgcolor[5]      = '#ECBDF3';   // Couleur de l'occurence n° 6
	$bgcolor[6]      = '#D1F36C';   // Couleur de l'occurence n° 7
	$bgcolor[7]      = '#D1D8F3';   // Couleur de l'occurence n° 8
	
	$exclure0 = 'a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u, v, w, x, y, z, un, une, d\', de, de la, du, des, l\', le, la, les, à, au, et, et un, et une, et de, et du, et des, et le, et la, et les, et à, et au, sur, sur le, sur la, dans, dans le, dans la, en, ce, cette, mon, ma, mes, ton, ta, tes, son, sa, ses, je, tu, il, on';
	$exclure1 = 'a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u, v, w, x, y, z, an, the, on, in, of';
}

if ($regit == 1) { 
	$pertmin       = intval(import('pertmin'));
	$pertmin       = ($pertmin < 0)   ? 0   : $pertmin;
	$pertmin       = ($pertmin > 100) ? 100 : $pertmin;
	$pertinencemin = $pertmin;
	$nbrslt        = intval(import('nbrslt'));
	$nbrslt        = ($nbrslt < 10) ? 10 : $nbrslt;
	$resultbypage  = $nbrslt;
	$barcolor      = import('barcol');
	$bargrey       = import('bargr');
	$styleocc[0]   = import('police');
	$styleocc[1]   = import('italic');
	$styleocc[2]   = import('bold');
	$styleocc[3]   = import('underline');
	$styleocc[4]   = import('hightlighted');
	$bgcolor[0]    = import('bgcolor0', 'POST', true, '#FF9999');
	$bgcolor[1]    = import('bgcolor1', 'POST', true, '#CCFF66');
	$bgcolor[2]    = import('bgcolor2', 'POST', true, '#CC99FF');
	$bgcolor[3]    = import('bgcolor3', 'POST', true, '#FFCC66');
	$bgcolor[4]    = import('bgcolor4', 'POST', true, '#CCCCFF');
	$bgcolor[5]    = import('bgcolor5', 'POST', true, '#FFCCCC');
	$bgcolor[6]    = import('bgcolor6', 'POST', true, '#FFFF99');
	$bgcolor[7]    = import('bgcolor7', 'POST', true, '#CCFFFF');
	
	$exclure0     = import('excl0');
	$exclure1     = import('excl1');
	
	$content = '<?php
/*******************************************************************************
 *   Config Search
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER[\'SCRIPT_NAME\'], \'config.inc\')) {
	header(\'location:../index.php\');
	die();
}

$pertinencemin = '.$pertinencemin.';   // Affiche les résultats de pertinence supérieure à cette valeur
$resultbypage  = '.$resultbypage.';   // Nombre de résultats par page
$barcolor      = stripslashes("'.$barcolor.'");   // Couleur de la barre de pertinence
$bargrey       = stripslashes("'.$bargrey.'");   // Fond de la barre de pertinence
$styleocc[0]   = stripslashes("'.$styleocc[0].'");   // Couleur de la police
$styleocc[1]   = stripslashes("'.$styleocc[1].'");   // Italique
$styleocc[2]   = stripslashes("'.$styleocc[2].'");   // Caractères gras
$styleocc[3]   = stripslashes("'.$styleocc[3].'");   // Souligné
$styleocc[4]   = stripslashes("'.$styleocc[4].'");   // "on"/"" Surligné en couleur
$bgcolor[0]    = stripslashes("'.$bgcolor[0].'");   // Couleur de l\'occurence n° 1
$bgcolor[1]    = stripslashes("'.$bgcolor[1].'");   // Couleur de l\'occurence n° 2
$bgcolor[2]    = stripslashes("'.$bgcolor[2].'");   // Couleur de l\'occurence n° 3
$bgcolor[3]    = stripslashes("'.$bgcolor[3].'");   // Couleur de l\'occurence n° 4
$bgcolor[4]    = stripslashes("'.$bgcolor[4].'");   // Couleur de l\'occurence n° 5
$bgcolor[5]    = stripslashes("'.$bgcolor[5].'");   // Couleur de l\'occurence n° 6
$bgcolor[6]    = stripslashes("'.$bgcolor[6].'");   // Couleur de l\'occurence n° 7
$bgcolor[7]    = stripslashes("'.$bgcolor[7].'");   // Couleur de l\'occurence n° 8

$exclure0      = stripslashes("'.$exclure0.'");
$exclure1      = stripslashes("'.$exclure1.'");
?>';

	WriteFullDB(CONFIGREP.'searchconfig.inc', $content);	
}

$headinc .= '
<link rel="stylesheet" media="screen" type="text/css" href="../inc/colorpicker/css/colorpicker.css" /> 
<script type="text/javascript" src="../inc/colorpicker/js/colorpicker.js"></script>
';

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1275]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1275], "100%");    

function GetSelector($inputname, $color) { // Palette de couleurs
	return '
			<div style="width:158px;height:20px;border:1px solid #000;border-radius:4px;">
			  <div style="float:left; width:117px; vertical-align:middle;  background-color:'.$color.';">
			    <input id="'.$inputname.'" name="'.$inputname.'" type="text" size="6" value="'.$color.'" style="border-radius:4px 0 0 4px;font:12px Arial;text-align:center;width:76px;height:18px;border-right:1px solid #000;" />
			  </div>
			  <div id="'.$inputname.'div" style="float:right;width:40px;height:20px;border-left:1px solid #000;background-color:'.$color.';">&nbsp;</div>
			</div>'.
			BeginJavascript()."
			$('#".$inputname."').ColorPicker({
				onSubmit: function(hsb, hex, rgb, el) {
					$(el).val('#' + hex.toUpperCase());
					$(el).ColorPickerHide();
				},
				onChange: function (hsb, hex, rgb) {
					$('#".$inputname."div').css('backgroundColor', '#' + hex);
				},
				onBeforeShow: function () {
					$(this).ColorPickerSetColor(this.value);
				}
			})
			.bind('keyup', function(){
				$(this).ColorPickerSetColor(this.value);
			});".EndJavascript();
}

echo '
<div style="text-align:center">
  <br />'.ToHelp($lng, 'search').$admin[1276].'
  <hr />
</div>';

echo '
<br />
<div style="width:530px; margin:auto;">
  <form action="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=search&amp;regit=1" method="POST" name="pres">
    <fieldset>'.legend('<b>'.$admin[1279].'</b>').'
      <table style="width:90%;margin:auto;">
	    <colgroup><col width="75%"><col width="25%"></colgroup>
        <tr>
          <td style="text-align:left;"><br />'.$admin[1280].'</td>
          <td style="text-align:left;">
		    <br/>
			<div style="float:left;">
			  <input type="text" name="pertmin" size="1" value="'.$pertinencemin.'"> %
			</div>
			<div class="pop" style="margin-left:10px;width:32px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertival-align:middle;" />
			  <span style="left:-170px;width:220px;"><em style="left:auto;right:54px;"></em>'.$help[1].'</span></a>
			</div>
		  </td>
        </tr>
        <tr>
          <td style="text-align:left;">'.$admin[1282].'</td>
          <td style="text-align:left;">
			<div style="float:left;">
  		      <input type="text" name="nbrslt" size="1" value="'.$resultbypage.'">
			</div>
			<div class="pop" style="margin-left:16px;width:32px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertival-align:middle;" />
			  <span style="left:-120px; width:170px;"><em style="left:auto;right:50px;"></em>'.$help[2].'</span></a>
			</div>
		  </td>
        </tr>
      </table>
	  <br />';	  //

$barlist  = array();
$greylist = array();
$dossier  = opendir(CHEMIN.'admin/inc/img/search');
while ($element = readdir($dossier)) {
	if (is_file(CHEMIN.'admin/inc/img/search/'.$element)) {
		if (strpos($element, 'bar.gif')) {
			$coloroption = substr($element, 0, strlen($element)-7);
			$barlist[$coloroption] = $coloroption;
		} elseif (strpos($element, 'gris.gif')) {
			$greylist[] = substr($element, 0, strlen($element)-8);
		}
	}
}
closedir($dossier);
asort($barlist);
asort($greylist);
$baroptions = '';
foreach ($barlist as $key => $value) {
	if ($key == $barcolor) {
		$baroptions .= '<option value="'.$key.'" selected="selected">'.$key.'</option>';
	} else {
		$baroptions .= '<option value="'.$key.'">'.$key.'</option>';
	}
}
$greyoptions = '';
foreach ($greylist as $key => $value) {
	if ($key == $bargrey) {
		$greyoptions .= '<option value="'.$key.'" selected="selected">'.$admin[1285].$value.'</option>';
	} else {
		$greyoptions .= '<option value="'.$key.'">'.$admin[1285].$value.'</option>';
	}
}
  
echo '
	  <fieldset>'.legend($admin[1284]).'
        <table style="width:90%;margin:auto;">
          <colgroup><col span="3"></colgroup>
          <tr>
            <td style="text-align:right;white-space:nowrap;"><br />
              <select name="barcol" onchange="images[\'bar\'].src=\''.CHEMIN.'admin/inc/img/search/\'+pres.barcol.options[pres.barcol.selectedIndex].value+\'bar.gif\'">
                '.$baroptions.'
			  </select>
            </td>
            <td style="text-align:center;white-space:nowrap;">
		      <br />
              <img id="bar" src="'.CHEMIN.'admin/inc/img/search/'.$barcolor.'bar.gif" style="width:33px;height:10px;" />
			  <img id="grey" src="'.CHEMIN.'admin/inc/img/search/'.$bargrey.'gris.gif" style="width:33px;height:10px;" />
            </td>
            <td style="text-align:left;white-space:nowrap;"><br />
              <select name="bargr" onchange="images[\'grey\'].src=\''.CHEMIN.'admin/inc/img/search/\'+pres.bargr.options[pres.bargr.selectedIndex].value+\'gris.gif\'">
                  '.$greyoptions.'</select>
            </td>
          </tr>
        </table>
	  </fieldset>
	  <br />
      <fieldset>'.legend($admin[1286]).'
        <table style="width:70%;margin:auto;">
          <colgroup><col width="70%"><col width="30%"></colgroup>
		  <tr style="height:48px;">
            <td style="text-align:left;"><br />'.$admin[1287].'</td>
            <td style="text-align:left;vertical-align:top;"><br/>'.GetSelector('police', "$styleocc[0]").'</td>
          </tr>
          <tr>
            <td style="text-align:left;">'.$admin[1288].'</td>
            <td style="text-align:left;vertical-align:top;"><input type="checkbox" name="italic" value="italic" '.(($styleocc[1] == "italic") ? 'checked="checked"' : '').'></td>
          </tr>
          <tr>
            <td style="text-align:left;">'.$admin[1289].'</td>
            <td style="text-align:left;vertical-align:top;"><input type="checkbox" name="bold" value="bold" '.(($styleocc[2] == "bold") ? 'checked="checked"' : '').'></td>
          </tr>
          <tr>
            <td style="text-align:left;">'.$admin[1290].'</td>
            <td style="text-align:left;vertical-align:top;"><input type="checkbox" name="underline" value="underline" '.(($styleocc[3] == "underline") ? 'checked="checked"' : '').'></td>
          </tr>
          <tr>
            <td style="text-align:left;">'.$admin[1291].'</td>
            <td style="text-align:left;vertical-align:top;"><input type="checkbox" name="hightlighted" value="on" '.(($styleocc[4] == "on") ? 'checked="checked"' : '').'></td>
          </tr>
        </table>
	  </fieldset>
	  <br />
      <fieldset>'.legend($admin[1292]).'
        <table style="width:70%;margin:auto;">
          <colgroup><col width="70%"><col width="30%"></colgroup>
		  <tr style="height:32px;">
		    <td style="text-align:left;">'.$admin[1293].' 1</td>
			<td style="text-align:left;">'.GetSelector('bgcolor0', $bgcolor[0]).'</td>
		  </tr>
		  <tr style="height:32px;">
		    <td style="text-align:left;">'.$admin[1293].' 2</td>
			<td style="text-align:left;">'.GetSelector('bgcolor1', $bgcolor[1]).'</td>
		  </tr>
		  <tr style="height:32px;">
		    <td style="text-align:left;">'.$admin[1293].' 3</td>
			<td style="text-align:left;">'.GetSelector('bgcolor2', $bgcolor[2]).'</td>
		  </tr>
		  <tr style="height:32px;">
		    <td style="text-align:left;">'.$admin[1293].' 4</td>
			<td style="text-align:left;">'.GetSelector('bgcolor3', $bgcolor[3]).'</td>
		  </tr>
		  <tr style="height:32px;">
		    <td style="text-align:left;">'.$admin[1293].' 5</td>
			<td style="text-align:left;">'.GetSelector('bgcolor4', $bgcolor[4]).'</td>
		  </tr>
		  <tr style="height:32px;">
		    <td style="text-align:left;">'.$admin[1293].' 6</td>
			<td style="text-align:left;">'.GetSelector('bgcolor5', $bgcolor[5]).'</td>
		  </tr>
		  <tr style="height:32px;">
		    <td style="text-align:left;">'.$admin[1293].' 7</td>
			<td style="text-align:left;">'.GetSelector('bgcolor6', $bgcolor[6]).'</td>
		  </tr>
		  <tr style="height:32px;">
		    <td style="text-align:left;">'.$admin[1293].' 8</td>
			<td style="text-align:left;">'.GetSelector('bgcolor7', $bgcolor[7]).'</td>
		  </tr>
	    </table>
	  </fieldset>
    </fieldset>
	<div class="quest" style="padding:2px 20px;">
  	  <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
	  <div style="clear:both"></div>
	</div>';
echo '
    <br />
    <fieldset>'.legend('<b>'.$admin[1294].'</b>').'
      <div style="text-align:center">'.$admin[1295].'</div>
      <br />
	  <div style="text-align:center">'
	    .($lang[1] != '' ? '<img class="flag1" src="'.$flag1.'" alt="" title="" />' : '').'
        <textarea style="width:96%;" rows="12" name="excl0">'.stripslashes($exclure0).'</textarea>
	  </div>';
if ($lang[1] != '') {
	echo '
	  <br />
	  <div style="text-align:center">
	    <img class="flag1" src="'.$flag2.'" alt="" title="" />
        <textarea style="width:96%;" rows="12" name="excl1">'.stripslashes($exclure1).'</textarea>
	  </div>';
}
echo '
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
