<?php
/*******************************************************************************
 *   Blacklist
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER["SCRIPT_NAME"], "sec_bla_def.inc")) {
    header("location:../index.php");
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[45] == '') {
        $nomzone = $admin[940];
        include 'access.inc';
        exit();
    }
}

include_once CHEMIN.INCREP.'security.inc';
$cfg = ReadSecurityConfig(BLA_CFG);
$def = ReadSecurityDatas(BLA_DEF);

$act  = isset($_POST['act'])  ? $_POST['act']  : (isset($_GET['act']) ? $_GET['act'] : 'list');
$id   = isset($_GET['id'])    ? $_GET['id']    : null;
$xdef = isset($_POST['xdef']) ? $_POST['xdef'] : null;

switch ($act) {
case 'add' :
    $xdef = array('id'     => $cfg['nextid'], 
	              'status' => 'on',
				  'ip'     => '',
				  'pseudo' => '',
				  'web'    => '',
				  'email'  => '',
				  'host'   => '',
				  'agent'  => '',
				  'mots'   => '',
				  'msg'    => '',
				  'url'    => '');
    $act = 'edit';
    break;
case 'edit' :
    $xdef = $def[$id];
    $act = 'edit';
    break;
case 'change' :
    $tmp1 = trim($xdef['ip']).trim($xdef['pseudo']).trim($xdef['email'])
        .trim($xdef['host']).trim($xdef['agent'].trim($xdef['web']).trim($xdef['mots']));
    $tmp2 = trim($xdef['msg']).trim($xdef['url']);
    if (empty($tmp1)) {
        $msg = $admin[1029];
        $act = 'edit';
    }
    elseif (empty($tmp2)) {
        $msg = $admin[1030];
        $act = 'edit';
    }
    else {
        $msg = '';
        $def[$xdef['id']] = $xdef;
        if ($cfg['nextid'] == $xdef['id']) {
            $cfg['nextid']++;
        }
        WriteSecurityConfig(BLA_CFG, $cfg);
        WriteSecurityDatas(BLA_DEF, $def);
        $act = 'list';
    }
    break;
case 'status' :
    $def[$id]['status'] = !empty($def[$id]['status']) && $def[$id]['status'] == 'on' ? '' : 'on';
    WriteSecurityDatas(BLA_DEF, $def);
    $act = 'list';
    break;
case 'delete' :
    unset($def[$id]);
    WriteSecurityDatas(BLA_DEF, $def);
    $act = 'list';
    break;
case 'list' :
default :
}

if ('list' == $act) {
    $widepage = 'on';
}
$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[996].' '.$web[479]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1433], '100%');

echo '
<p>'.ToHelp($lng, 'secbladef').'</p>
<div style="text-align:center;width:98%;margin:auto;">
  <p style="text-align:center;">'.$admin[1003].'</p>
  <hr />';

if ('list' == $act) {
    echo '
  <p style="text-align:center;">
    <a href="admin.php?lng='.$lng.'&amp;pg=sec_bla_def&amp;act=add">'.$admin[1006].'</a>
  </p>

  <fieldset>'.legend($admin[1433]);
    if (0 == count($def)) {
        echo '
    <p>'.$admin[1008].'</p>';
    } else {
        echo '
    <br />
    <table style="border:1px;width:100%;">
      <tr class="forum" style="text-align:center;">
        <td rowspan="2"> ID </td>
        <td colspan="7">'.$admin[1009].'</td>
        <td colspan="2">'.$admin[1010].'</td>
        <td rowspan="2">'.$admin[1011].'</td>
      </tr>
      <tr class="forum" style="text-align:center;">
        <td style="width:10%;">'.$admin[1012].'</td>
        <td style="width:10%;">'.$admin[1013].'</td>
        <td style="width:10%;">'.$admin[1014].'</td>
        <td style="width:10%;">'.$admin[1038].'</td>
        <td style="width:10%;">'.$admin[1015].'</td>
        <td style="width:10%;">'.$admin[1016].'</td>
        <td style="width:11%;">'.$admin[1118].'</td>

        <td style="width:10%;">'.$admin[1017].'</td>
        <td style="width:10%;">'.$admin[1018].'</td>
      </tr>
';
        $i = 0;
        foreach ($def as $id=>$def1) {
            $class = ++$i % 2 == 0 ? ' class="quest"' : ' class="rep"';
            $img = !empty($def[$id]['status']) && $def[$id]['status'] == 'on' ? 'off' : 'on';
            $txt = !empty($def[$id]['status']) && $def[$id]['status'] == 'on' ? $admin[1027] : $admin[1026];
            echo '
      <tr'.$class.'>
        <td style="text-align:center;">'.$id.'</td>
        <td style="text-align:center;">'.(empty($def1['ip'])? '': CutField($def1['ip'])).'</td>
        <td style="text-align:center;">'.(empty($def1['pseudo'])? '': CutField($def1['pseudo'])).'</td>
        <td style="text-align:center;">'.(empty($def1['email'])? '': CutField($def1['email'])).'</td>
        <td style="text-align:center;">'.(empty($def1['web'])? '': CutField($def1['web'])).'</td>
        <td style="text-align:center;">'.(empty($def1['host'])? '': CutField($def1['host'])).'</td>
        <td style="text-align:center;">'.(empty($def1['agent'])? '': CutField($def1['agent'])).'</td>
        <td style="text-align:center;">'.(empty($def1['mots'])? '': CutField($def1['mots'])).'</td>
        <td style="text-align:center;">'.(empty($def1['msg'])? '': CutField($def1['msg'])).'</td>
        <td style="text-align:center;">'.(empty($def1['url'])? '': CutField($def1['url'])).'</td>
        
        <td style="white-space:nowrap; text-align:center;">
          <a href="admin.php?lng=fr&amp;pg=sec_bla_def&amp;act=edit&amp;id='.$id.'" title="'.$admin[1025].'">
		    <img src="'.CHEMIN.'admin/inc/img/files/edit.gif" alt="'.$admin[1025].'" title="'.$admin[1025].'" />
		  </a>
          <a href="admin.php?lng=fr&amp;pg=sec_bla_def&amp;act=status&amp;id='.$id.'" title="'.$txt.'">
		    <img src="'.CHEMIN.'admin/inc/img/files/'.$img.'.gif" alt="'.$txt.'" title="'.$txt.'" />
		  </a>
          <a href="admin.php?lng=fr&amp;pg=sec_bla_def&amp;act=delete&amp;id='.$id.'" title="'.$admin[1028].'">
		    <img src="'.CHEMIN.'admin/inc/img/files/sup.gif" alt="'.$admin[1028].'" title="'.$admin[1028].'" />
		  </a>
        </td>
      </tr>

';
        }
    }
    echo '
    </table>
    <br />
  </fieldset>
';
  
}
elseif ('edit' == $act) {

    echo '
<p style="text-align:center;">
  <a href="admin.php?lng='.$lng.'&amp;pg=sec_bla_def&amp;act=list">'.$admin[1023].'</a> ||
  <a href="admin.php?lng='.$lng.'&amp;pg=sec_bla_def&amp;act=add">'.$admin[1006].'</a>
</p>
<form name="security" action="admin.php?lng='.$lng.'&amp;pg=sec_bla_def" method="post">
  <input type="hidden" name="act" value="change" />
  <input type="hidden" name="xdef[id]" value="'.$xdef['id'].'" />
  <fieldset>'.legend($admin[996].' <em>(ID='.$xdef['id'].')</em>');
    if (!empty($msg)) {
        echo '
  <p class="quest" style="font-weight:bold;text-align:center;">
    <img src="'.CHEMIN.'admin/inc/img/files/off.gif" alt="" title="" style="padding-right:3px;vertical-align:middle;" />
    '.$msg.'
  </p>';
    }
    echo '
    <p style="position:relative;width:100%;text-align:left;padding-left:5px;">
      <span style="margin-left:5%;">'.$admin[1024].'</span>
      <span style="position:absolute; left:30%;"><input type="checkbox" name="xdef[status]"'.Checked(empty($xdef['status'])? '': $xdef['status']).' /></span>
    </p>
    <fieldset>'.legend($admin[1009]).'
    <p style="position:relative;width:100%;text-align:left;">
      <span style="margin-left:5%;">'.$admin[1012].'</span>
      <span style="position:absolute; left:30%;"><input type="text" name="xdef[ip]" value="'.trim($xdef['ip']).'" size="30" /></span>
    </p>
    <p style="position:relative;width:100%;text-align:left;">
      <span style="margin-left:5%;">'.$admin[1013].'</span>
      <span style="position:absolute; left:30%;"><input type="text" name="xdef[pseudo]" value="'.trim($xdef['pseudo']).'" size="30" /></span>
    </p>
    <p style="position:relative;width:100%;text-align:left;">
      <span style="margin-left:5%;">'.$admin[1014].'</span>
      <span style="position:absolute; left:30%;"><input type="text" name="xdef[email]" value="'.trim($xdef['email']).'" size="50" /></span>
    </p>
    <p style="position:relative;width:100%;text-align:left;">
      <span style="margin-left:5%;">'.$admin[1038].'</span>
      <span style="position:absolute; left:30%;"><input type="text" name="xdef[web]" value="'.trim($xdef['web']).'" size="50" /></span>
    </p>
    <p style="position:relative;width:100%;text-align:left;">
      <span style="margin-left:5%;">'.$admin[1015].'</span>
      <span style="position:absolute; left:30%;"><input type="text" name="xdef[host]" value="'.trim($xdef['host']).'" size="50" /></span>
    </p>
    <p style="position:relative;width:100%;text-align:left;">
      <span style="margin-left:5%;">'.$admin[1016].'</span>
      <span style="position:absolute; left:30%;"><input type="text" name="xdef[agent]" value="'.trim($xdef['agent']).'" size="50" /></span>
    </p>
    <p style="position:relative;width:100%;text-align:left;">
      <span style="margin-left:5%;">'.$admin[1118].'</span>
      <span style="position:absolute; left:30%;">
        <input type="text" name="xdef[mots]" value="'.trim($xdef['mots']).'" size="50" />
        <br />
        <em>'.$admin[1119].'</em>
      </span>
      <br /><br />
    </p>
    </fieldset>
    <fieldset>'.legend($admin[1010]).'
    <p style="position:relative;width:100%;text-align:left;">
      <span style="margin-left:5%;">'.$admin[1017].'</span>
      <span style="position:absolute; left:30%;"><input type="text" name="xdef[msg]" value="'.trim($xdef['msg']).'" size="50" /></span>
    </p>
    <p style="position:relative;width:100%;text-align:left;margin-bottom:12px;">
      <span style="margin-left:5%;">'.$admin[1018].'</span>
      <span style="position:absolute; left:30%;"><input type="text" name="xdef[url]" value="'.trim($xdef['url']).'" size="50" /></span>
    </p>
    '.$admin[1039].'
    </fieldset>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>';
}

echo '
</div>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
