<?php
/*******************************************************************************
 *   Admin Technicals Information
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'update.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[48] == '') {
        $nomzone = $admin[904];
        include 'access.inc';
        exit();
    }
}

$version            = array();
$version['current'] = trim(MP_VERSION);
$version['url']     = 'http://www.freeguppy.org/update.txt';
$version['ok']      = '';
$load_ok            = FALSE;
$lines              = array();
if (ini_get('allow_url_fopen')) {
	$lines = @file($version['url']);
	$load_ok = TRUE;
}
elseif ($curl = @curl_init($version['url'])){
	$timeout = 5; // set to zero for no timeout
	curl_setopt ($curl, CURLOPT_CONNECTTIMEOUT, $timeout);
	curl_setopt ($curl, CURLOPT_RETURNTRANSFER, 1);
	$version_content = curl_exec($curl);
	curl_close($curl);
	if ($version_content != FALSE) {
		$lines   = explode("\n", $version_content);
		$load_ok = TRUE;
	}
}
else {
	$version['errors'] = $admin[898];
}
if ($load_ok) {
	$version['latest'] = trim($lines[0]);
	switch ($version['latest']){
	case '':
		$version['errors'] = $admin[899];
		break;
	default:
		$cmp = version_compare($version['current'], $version['latest']);
		switch ($cmp) {
		case -1 :
			$reco1 = '';
			$reco2 = '';
			$reco3 = '';
			if (version_compare(substr($version['current'], 0, 4).'0', substr($version['latest'], 0, 4).'0') < 0) {
				$reco3 = $admin[1273];
			} else {
				if (intval(substr($version['latest'], 4)) - intval(substr($version['current'], 4)) == 1) $reco1 = $admin[1273]; else $reco2 = $admin[1273];
			}
			$version['ok'] = '
			  <span style="color:green;">'.
			    $admin[900].'<br />'.
			    $admin[901].' '.$version['latest'].' '.$admin[902].' '.trim($lines[1]).'
			  </span><br /><br />'.
			  $admin[1271].'
			  <ul>
				<li><a href="'.trim($lines[3]).'" target="_blank" title="'.$admin[1269].'">'.$admin[1269].'</a> '.$reco1.'</li>
				<li><a href="'.trim($lines[4]).'" target="_blank" title="'.$admin[1270].'">'.$admin[1270].'</a> '.$reco2.'</li>
				<li><a href="'.trim($lines[2]).'" target="_blank" title="'.$admin[1272].$version['latest'].'">'.$admin[1272].$version['latest'].'</a> '.$reco3.'</li>
			  </ul>';
			break;
		case 0 :
			$version['ok'] = $admin[903];
			break;
		case 1 :
			$version['ok'] = $admin[1274];
			break;
		}
	}
}
elseif (empty($version['errors'])) {
	$version['errors'] = $admin[898];
}

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1266]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1266], '100%');
echo '
<p style="text-align:center;">'.ToHelp($lng, 'update').'</p>
<div style="padding:8px; width:480px; margin:auto; text-align:left;">
  <fieldset>'.legend($admin[904]).'
	<ul>
	  <li>GuppY '.$version['current'].'</li>
	  <li>';
	if ($version['ok'] != '') {
		echo $version['ok'];
	}
	else {
		echo '<span style="color:red;">'.$version['errors'].'</span>';
	}
    echo '</li>
	</ul>
  </fieldset>
</div>';

btable();
include CHEMIN.'inc/bpage.inc' ;
?>
