<?php
/*******************************************************************************
 *   Guest Post Routine
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if(session_id() == "") @session_start();

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

$crypt   = isset($_POST['crypt']) ? strip_tags($_POST['crypt']) : NULL;
$cryptok = (!$crypt) ? false : chk_crypt($crypt);

function TestCoherenceSoumission($typ, $pg, $num = null) {
    global $type, $fielda1;
    switch ($typ) {
    case TYP_REACT :
        if (FileDbExist(DBBASE.TestFileId($pg).INCEXT)) {
            ReadDoc($pg);
            return $type == TYP_ART;
        } else {
            return FALSE;
        }
        break;
    case TYP_REBLOG :
        if (FileDbExist(DBBASE.TestFileId($pg).INCEXT)) {
            ReadDoc($pg);
            return $type == TYP_BLOG;
        } else {
            return FALSE;
        }
        break;
    case TYP_THREAD :
        if (FileDbExist(DBBASE.TestFileId($pg).INCEXT)) {
            ReadDoc($pg);
            if ($type != TYP_FORUM) {
                return FALSE;
            } else {
                return $fielda1 == $num;
            }
        } else {
            return FALSE;
        }
        break;
    default :
        return TRUE;
    }
}

function FindIndexDBFields($fic, $submit0, $submit1, $submit2) {
    if (FileDBExist($fic)) {
        $DataDB = ReadDBFields($fic);
        for ($i = 0; $i < count($DataDB); $i++) {
            if (@stristr($DataDB[$i][0],$submit0)
            &&  @stristr($DataDB[$i][1],$submit1)
            &&  @stristr($DataDB[$i][2],$submit2)) {
                return $i;
            }
        }
    }
    return FALSE;
}

if (import('add', 'GET') != NULL) die('STOP ! Variable $add : illegal origine');
$add = import('add', 'POST');

switch ($add) {
case NULL :
    $lng      = import('lng');
    $typ      = import('typ');
    break;
case 1 :
    $lng      = import('lng', 'POST');
    $typ      = import('typ', 'POST');
    break;
default :
    die('STOP ! Variable $add : illegal value ('.$add.')');
}

// contre la faille CSRF
if ($add == 1) {
	$csrf = true;
	if (isset($_SESSION['postguest_token']) && isset($_SESSION['postguest_token_time']) && isset($_POST['token'])) {
		if ($_SESSION['postguest_token'] == $_POST['token']) {
			$timestamp_ancien = time() - ($serviz[52] * 60);
			if ($_SESSION['postguest_token_time'] >= $timestamp_ancien && 1 == preg_match('!^'.$site[3].$site['PG'].'.php!', $_SERVER['HTTP_REFERER'])) {
				$csrf = false;
			}
		}
	}
	if ($csrf === true) die('STOP ! Illegal action CSRF (IP='.$_SERVER['REMOTE_ADDR'].')');
}

$cryptdisp = '';
switch ($typ) {
case TYP_FORUM :
    if ($serviz[13] == '') {
        die('STOP ! Forum is not active !');
    }
    $cryptdisp = $serviz[91];
    break;
case TYP_THREAD :
    if ($serviz[13] == '') {
        die('STOP ! Forum is not active !');
    }
    break;
case TYP_GUESTBK :
    if ($serviz[12] == '') {
        die('STOP ! Guest book is not active !');
    }
    $cryptdisp = $serviz[90];
    break;
case TYP_NEWS :
    if ($serviz[8] == '' || $site[5] == 2) {
        die('STOP ! News submit is not active !');
    }
    $cryptdisp = $serviz[89];
    break;
case TYP_BLOG :
    if ($serviz[53] == '' || $site[30] == 2) {
        die('STOP ! Blog submit is not active !');
    }
    $cryptdisp = $serviz[96];
    break;
case TYP_REACT :
    if ($serviz[29] == '') {
        die('STOP ! Reaction is not active !');
    }
    $cryptdisp = $serviz[92];
    break;
case TYP_REBLOG :
    if ($serviz[57] == '') {
        die('STOP ! Comment is not active !');
    }
    $cryptdisp = $serviz[97];
    break;
case TYP_RECO :
    if ($serviz[62] == '') {
        die('STOP ! Recommander is not active !');
    }
    $cryptdisp = $serviz[94];
    break;
case TYP_MAIL :
    if ($user[3] == '') {
        die('STOP ! Mail is not active !');
    }
    $cryptdisp = $serviz[95];
    break;
default :
    die('STOP ! Variable $typ : illegal value ('.$typ.')');
}

switch ($lng) {
case $lang[0] :
case $lang[1] :
    break;
default :
    die('STOP ! Variable $lng : illegal value ('.$lng.')');
}

$pseudo    = import('pseudo', 'POST', true, '');
$ctrl_spam = import('code_pseudo', 'POST');
$pemail    = import('pemail', 'POST');
$pehide    = import('pehide', 'POST');
$pfmail    = import('pfmail', 'POST');
$ptit      = import('ptit', 'POST', false);
$purl      = import('purl', 'POST');
$cat       = import('cat');
$tocat     = import('tocat');
$catforum  = import('catforum', 'POST');
$rub       = import('rub', 'POST');
$num       = import('num');
$antispam  = import('antispam', 'POST');
$mod       = import('mod');
$group     = import('group', 'POST');
$index     = import('index');
$replymail = import('replymail');
$filesign  = import('filesign', 'POST');

$data   = array_pad(array(), 18, '');
$pseudo = KeepGoodChars($pseudo);
$pemail = checkEmail(CutLongWord($pemail));
$pfmail = checkEmail(CutLongWord($pfmail));
$purl   = checkUserWebsiteUrl(CutLongWord($purl, 80));
$ptit   = WrapLongWords(CutLongWord($ptit, 100));
$ptit   = ReplaceSpecialChars($ptit);

$err_pseudo = empty($pseudo) && $add == 1 ? true: false;
$err_pemail = empty($pemail) && $add == 1 ? true: false;
$err_pfmail = empty($pfmail) && $add == 1 && $typ == TYP_RECO ? true: false;
$err_ptit   = empty($ptit) && empty($mod) && $add == 1 ? true: false;
$err_crypt  = $serviz[100] != '0' && $cryptdisp == 'on' && ($userprefs[1] == '' || $serviz[98] == '') && !$cryptok && $add == 1 ? true: false;

$erreur  = '';
$erreur .= $err_pseudo ? '<li>'.$web[266].'</li>': '';
$erreur .= $err_pemail ? '<li>'.$web[42].'</li>': '';
$erreur .= $err_pfmail ? '<li>'.$web[122].'</li>': '';
$erreur .= $err_ptit ? '<li>'.$web[123].'</li>': '';
$erreur .= $err_crypt ? '<li>'.$web[529].'</li>': '';

$add = (empty($ptit) && empty($mod)) || $err_pseudo || $err_pemail ? null: $add;

if ($mod == 'top') {
	$forum6   = import('forum6');
	$forum[6] = empty($forum6) ? $forum[6] : $forum6;
}

if (1 != $add && !TestCoherenceSoumission($typ, $pg, $num)) die('STOP ! Problème de cohérence !');

define('PATH_PGEDITOR', 'inc/pgeditor/');		//Chemin relatif de l'éditeur (ne pas modifier)
define('PATH_CONFIG_PGEDITOR','inc/config_pgeditor_guppy/'); //Chemin relatif du fichier de configuration de l'éditeur
if ($typ == TYP_FORUM || $typ == TYP_THREAD || $typ == TYP_BLOG || $typ == TYP_REBLOG) {
    $dbmsg = ($userprefs[1] != '' && FileDBExist(MSGREP.$userprefs[1].DBEXT)) ? ReadDBFields(MSGREP.$userprefs[1].DBEXT) : NULL;
    $icon_img = (isset($dbmsg) && $userprefs[7] == $dbmsg[0][0]) ? 'image|' : '';
	define('TOOLBAR_MENU', 'color|bgcolor|bold|italic|underline|cite|code|left|center|right|'.$icon_img.'link|unlink|ordlist|bullist|undo|redo|smiley|preview|help');
} else {
	define('TOOLBAR_MENU', 'color|bgcolor|bold|italic|underline|left|center|right|link|unlink|ordlist|bullist|undo|redo|smiley|preview|help');
}
if ($userprefs[11] == 'on') define('WYSIWYG', false);
include CHEMIN.PATH_PGEDITOR.'pgeditor.php';

$ptxt  = recupCodePGEditor('ptxt');
$ptxt  = addslashes(parseCodePGEditor($ptxt));
$ptxt  = WrapLongWords(CutLongWord($ptxt,5000),150);
$pmess = str_replace("inc/img",$site[3]."inc/img",$ptxt);
if ((empty($ptxt) && empty($mod) && !JAVASCRIPT) || !empty($ctrl_spam)) $add = null;
$ok = $web[45];

$infos = 'IP: '.$_SERVER['REMOTE_ADDR'].' ('.gethostbyaddr($_SERVER['REMOTE_ADDR']).')<br />Referer : '.$_SERVER['PHP_SELF'].'<br />Browser : '.$_SERVER['HTTP_USER_AGENT'];

if ($add == 1) {

    ExecuteBlackList();

    if (!empty($log3)) {
        $url  = parse_url($log3);
        $host = isset($url['host']) ? $url['host'] : '';
        $ip   = gethostbyname($host);
        if (!empty($host) && $ip != $host) {
            if ($host != $_SERVER['SERVER_NAME'] && $host != 'www.'.$_SERVER['SERVER_NAME']) {
                die("STOP ! Illegal action from '$host' (IP=$ip)");
            }
        }
    }
    
	if (!in_array($typ, array(TYP_RECO, TYP_MAIL)) && is_file(MSGREP.$pseudo.DBEXT) && $pseudo != $userprefs[1]) {
		$erreur .= '<li>'.$web[392].'</li>';
		echo BeginJavascript().'
alert("'.addslashes($web[392]).'");'.EndJavascript();
	}
	else {
		$index = FindIndexDBFields(DBANTISPAM, $antispam, $_SERVER['REMOTE_ADDR'], $typ);
		if ($index === false && $typ != TYP_RECO) {
			/*******************************************************************
			 * Créez le fichier inc/postguest_antispam.inc pour ajouter ici
			 * la ou les actions que vous souhaitez
			 * par exemple : mail à l'administrateur, inscription dans un fichier...
			 ******************************************************************
			 * Create a file inc/postguest_antispam.inc
			 * to add here the action which you wish
			 * for example: e-mail with the administrator, inscription in a file...
			 ******************************************************************/
			if (is_file('inc/postguest_antispam.inc')) include 'inc/postguest_antispam.inc';
			die('STOP ! Anti-SPAM !');
		}
		else {
			DeleteDBFieldById(DBANTISPAM, $index);
			if ($typ == TYP_THREAD && !preg_match('!^[1-9][0-9]*$!', $num)) {
				die('STOP ! num : '.$num.' illegal value!');
			}
			if ($members[0] == 'on' && $userprefs[1] == '') {
				switch ($typ) {
				case TYP_NEWS :
					if ($members[8] == 'on') die('STOP ! News : '.$web[342].' !');
					break;
				case TYP_BLOG :
					if ($members[16] == 'on') die('STOP ! Blog : '.$web[342].' !');
					break;
				case TYP_GUESTBK :
					if ($members[9] == 'on') die('STOP ! Guest book : '.$web[342].' !');
					break;
				case TYP_FORUM :
				case TYP_THREAD :
					if ($members[10] == 'on') die('STOP ! Forum : '.$web[342].' !');
					break;
				case TYP_REACT :
					if ($members[11] == 'on' || $members[1] == 'on') die('STOP ! Reaction : '.$web[342].' !');
					break;
				case TYP_REBLOG :
					if ($members[17] == 'on' || $members[17] == 'on') die('STOP ! Comments : '.$web[342].' !');
					break;
				}
			}
		}
		if (!empty($site[28]) && JAVASCRIPT) {
			$show_progbar = true;
		}

		if ($mod == '') {
			if ($typ == TYP_THREAD && $serviz[41] != '1') {
				$dbworkmail = ReadDBFields(DBFORUM);
				for ($i = 0; $i < count($dbworkmail); $i++) {
					if ($num == $dbworkmail[$i][1]){
						$sujetthread = $dbworkmail[$i][5];
						$catthread   = $dbworkmail[$i][12];
						break;
					}
				}
				$dbmailuniq = Array();
				$dbworkuniq = ReadDBFields(DBTHREAD);
				for ($i = 0; $i < count($dbworkuniq); $i++) {
					if ($num == $dbworkuniq[$i][1] && $dbworkuniq[$i][2] == 0) {
						$pgview = $dbworkuniq[$i][3];
					}
					if ($num == $dbworkuniq[$i][1] && $dbworkuniq[$i][9] == 'on') {
						$dbmailuniq[] = $dbworkuniq[$i][5];
					}
				}
				$mailuniq = ValUnique($dbmailuniq);
				for ($i = 0; $i < count($mailuniq); $i++) {
					$to    = $mailuniq[$i];
					$sujet = $web[345].$sujetthread;
					$body  = $web[346].$sujetthread.'<br /><br />';
					$body .= $web[109].'<hr />'.ForceToAbsolute(stripslashes($ptxt)).'<hr /><br />';
					$body .= $web[347].'<br />';
					$body .= '<a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-5-'.$pgview.'-'.$catthread: $site['TH'].'.php?lng='.$lng.'&pg='.$pgview.'&cat='.$catthread).'">';
					$body .= $site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-5-'.$pgview.'-'.$catthread: $site['TH'].'.php?lng='.$lng.'&pg='.$pgview.'&cat='.$catthread);
					$body .= '</a><br /><br />';
					$body .= $web[348].'<br />'.$user[0];
					eMailHtmlTo($sujet, $body, $to);
				}
			}
			if ($typ == TYP_NEWS || $typ == TYP_BLOG || $typ == TYP_GUESTBK || $typ == TYP_FORUM || $typ == TYP_THREAD || $typ == TYP_REACT || $typ == TYP_REBLOG) {
				if ($typ == TYP_THREAD) {
					$data[0] = TYP_FORUM;
				}
				else {
					$data[0] = $typ;
				}
				$data[1] = '';
				if (!empty($site[5]) && $typ == TYP_NEWS) {
					$data[2] = 'i';
					$ok      = $web[48];
				}
				elseif (!empty($site[30]) && $typ == TYP_BLOG) {
					$data[2] = 'i';
					$ok      = $web[48];
				}
				elseif ($serviz[12] && $typ == TYP_GUESTBK) {
					if ($serviz[40]) {
						$data[2] = 'i';
						$ok      = $web[48];
					}
					else {
						$data[2] = 'a';
						$ok      = '';
					}
				}
				elseif ($serviz[13] && (($typ == TYP_FORUM) || ($typ == TYP_THREAD))) {
					if ($serviz[41]) {
						$data[2] = 'i';
						$ok      = $web[48];
					}
					else {
						$data[2] = 'a';
						$ok      = '';
					}
				}
				elseif ($serviz[29] == 'ok' && $typ == TYP_REACT) {
					$data[2] = 'i';
					$ok      = $web[48];
				}
				elseif ($serviz[57] == 'ok' && $typ == TYP_REBLOG) {
					$data[2] = 'i';
					$ok      = $web[48];
				}
				else {
					$data[2] = 'a';
					$ok      = '';
				}
				$data[3] = '';
				$data[4] = '';
				$data[5] = $pseudo;
				$data[6] = $pemail;
				$data[13] = $pehide;//($pehide == 'on') ? '' : 'on';
				$data[14] = '';
				$data[15] = '';
				switch ($typ) {
				case TYP_BLOG :
					$data[7] = $rub;
					$data[8] = addslashes(stripslashes($rub));
					break;
				case TYP_GUESTBK :
					$data[7] = GetNextChildNumber($typ);
					break;
				case TYP_REACT :
				case TYP_REBLOG :
					$data[7] = GetNextChildNumber($typ, $pg);
					$data[8] = $pg;
					break;
				case TYP_FORUM :
					$catthread = empty($catthread) ? $catforum : $catthread;
					if ($serviz[41]) {
						$data[7] = 1;
						$dbwork  = SelectDBFieldsByNotStatus(SelectDBFields(TYP_FORUM, '', ''), 'd');
						if (count($dbwork) > 0) {
							$data[7] = ReadCounter(DBFORUMCOUNTER)+1;
							WriteCounter(DBFORUMCOUNTER,$data[7]);
						}
					}
					else {
						$dbthrd = array();
						$dbwork = ReadDBFields(DBFORUM);
						for ($i = 0; $i < count($dbwork); $i++) {
							$dbthrd[] = $dbwork[$i][1];
						}
						@rsort($dbthrd);
						if (!empty($dbthrd)) {
							$data[7] = $dbthrd[0]+1;
							WriteCounter(DBFORUMCOUNTER,$data[7]);
						}
						else {
							$data[7] = ReadCounter(DBFORUMCOUNTER)+1;
							WriteCounter(DBFORUMCOUNTER,$data[7]);
						}
					}
					$data[8] = '0';
					break;
				case TYP_THREAD :
					$data[7]  = $num;
					$data[8]  = GetNextChildNumber(TYP_FORUM, $num);
					$dbns     = IndexDbFieldsByField(ReadDbFields(DBFORUM), 1);
					$catforum = $dbns[$num][12];
					unset($dbns);
					break;
				default :
					$data[7] = '';
					$data[8] = '';
				}
				if ($typ == TYP_GUESTBK) {
					if (trim($purl) == 'http://') {
						$purl = '';
					}
					$data[9]  = $purl;
					$data[10] = '';
					$data[11] = PutBR($ptxt);
					$data[12] = '';
				}
				elseif ($typ == TYP_FORUM || $typ == TYP_THREAD) {
					$data[9]  = $typ == TYP_FORUM ? $ptit : '';
					$data[10] = $catforum;
					if (!empty($userprefs[6])) {
						$data[11] = PutBR($ptxt).'<p style="text-align:right; padding-top:8px;">'.ReplaceFrSigns($userprefs[6]).'</p>';
					}
					else {
						$data[11] = PutBR($ptxt);
					}
					$data[12] = $userprefs[8];
					if (!empty($userprefs[1])) {
						$idcountmsg = ReadCounter(COUNTMSGREP.$pseudo.DBEXT) + 1;
					}
					else {
						$idcountmsg = 'v';
					}
					$data[14] = $idcountmsg;
					$data[15] = $userprefs[9];
					$data[16] = $replymail;
					$data[17] = '';
				}
				elseif ($typ == TYP_REACT || $typ == TYP_REBLOG) {
					$data[9]  = '';
					$data[10] = '';
					$data[11] = PutBR($ptxt);
					$data[12] = '';
					$data[17] = $group; /// modif accès privé
				}
				else {
					if ($site[5] == '0') {
						$data[9]  = $ptit;
						$data[10] = $ptit;
						$data[11] = PutBR($ptxt);
						$data[12] = PutBR($ptxt);
					}
					else {
						$data[9]  = $ptit;
						$data[10] = '';
						$data[11] = PutBR($ptxt);
						$data[12] = PutBR($ptxt);
					}
				}
				if (!empty($userprefs[1]) && ($typ == TYP_FORUM) || ($typ == TYP_THREAD)) {
					$idcountmsg = ReadCounter(COUNTMSGREP.$pseudo.DBEXT) + 1;
					WriteCounter(COUNTMSGREP.$pseudo.DBEXT,$idcountmsg);
				}
				$id = ActionOnFields('add', $data);
				$ok = $web[46].(empty($ok) ? '' : '<br />'.$ok);
			}
			elseif ($typ != TYP_RECO) {
				$ok = $web[47];
			}
			if ($typ == TYP_MAIL || $typ == TYP_RECO) {
				$ok = $web[46];
			}
		}
		else { // cas modif thread
			include 'inc/mod_thread.inc';
			$ok = $web[46];
		}

		$datefrmt = FormatDate(GetCurrentDateTime());
		if ($supervision[2] == 'on' && $typ == TYP_NEWS) {
			$eSub  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." ".$web[106];
			$eMsg  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[106].", ".$web[104]." ".$datefrmt.".<br />";
			$eMsg .= $web[107].stripslashes($pseudo)." (".stripslashes($pemail).").<br />";
			$eMsg .= $web[108].stripslashes($ptit)."<br />";
			$eMsg .= '<hr />'.$web[109].'<br />'.ForceToAbsolute(stripslashes($ptxt));
			$eMsg .= "<hr />".$web[349]." : ".$web[354].$id;
			$eMsg .= "<br />".$web[360].'<a href="'.$site[3].$site['NE'].".php?lng=".$lng."&pg=".$id.'">'.$site[3].$site['NE'].".php?lng=".$lng."&pg=".$id.'</a>';
			$eMsg .= "<br />".$web[350].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&form=2&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&form=2&id=".$id.'</a>';
			if ($site[5] == "1") {
				$eMsg .= "<br />".$web[351].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&act=a&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&act=a&id=".$id.'</a>';
			} else {
				$eMsg .= "<br />".$web[352].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&act=i&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&act=i&id=".$id.'</a>';
			}
			$eMsg .= "<br />".$web[353].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&del=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&del=".$id.'</a>';
			$eMsg .= "<hr />".$infos;
			$maillist = 
			eMailHtmlTo($eSub, $eMsg);
			$maillist = GetListCollaboratorEmail(TYP_NEWS);
			foreach($maillist as $email) eMailHtmlTo($eSub, $eMsg, $email);
		}
		if ($supervision[8] == "on" && $typ == TYP_BLOG) {
			$eSub  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." ".$web[396];
			$eMsg  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[396].", ".$web[104]." ".$datefrmt.".<br />";
			$eMsg .= $web[107].stripslashes($pseudo)." (".stripslashes($pemail).").<br />";
			$eMsg .= $web[108].stripslashes($ptit)."<br />";
			$eMsg .= '<hr />'.$web[109].'<br />'.ForceToAbsolute(stripslashes($ptxt));
			$eMsg .= "<hr />".$web[349]." : ".$web[354].$id;
			$eMsg .= "<br />".$web[360].'<a href="'.$site[3].$site['BL'].".php?lng=".$lng."&pg=".$id.'">'.$site[3].$site['BL'].".php?lng=".$lng."&pg=".$id.'</a>';
			$eMsg .= "<br />".$web[350].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=blog&form=2&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=blog&form=2&id=".$id.'</a>';
			if ($site[30] == "1") {
				$eMsg .= "<br />".$web[351].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=blog&act=a&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=blog&act=a&id=".$id.'</a>';
			} else {
				$eMsg .= "<br />".$web[352].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=blog&act=i&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=blog&act=i&id=".$id.'</a>';
			}
			$eMsg .= "<br />".$web[353].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=blog&del=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=blog&del=".$id.'</a>';
			$eMsg .= "<hr />".$infos;
			eMailHtmlTo($eSub, $eMsg);
			$maillist = GetListCollaboratorEmail(TYP_BLOG);
			foreach($maillist as $email) eMailHtmlTo($eSub, $eMsg, $email);
		}
		elseif ($supervision[9] == "on" && $typ == TYP_REBLOG) {
			$eSub  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." ".$web[379]." ".$web[381];
			$eMsg  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[379]." ".$web[381].", ".$web[104]." ".$datefrmt.".<br />";
			$eMsg .= $web[107].stripslashes($pseudo)." (".stripslashes($pemail).").<br />";
			ReadDoc($pg);
			$eMsg .= $web[183]." - ".$fieldb1."<br />";
			$eMsg .= '<hr />'.$web[109].'<br />'.ForceToAbsolute(stripslashes($ptxt));
			$eMsg .= "<hr />".$web[349]." : ".$web[39].$data[7]." - ".$web[355].$fileid." - ".$web[356].$id;
			$eMsg .= "<br />".$web[360].'<a href="'.$site[3].$site['BL'].".php?lng=".$lng."&pg=".$fileid."&reblog=".$id.'">'.$site[3].$site['BL'].".php?lng=".$lng."&pg=".$fileid."&reblog=".$id.'</a>';
			$eMsg .= "<br />".$web[350].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=reblog&form=2&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=reblog&form=2&id=".$id.'</a>';
			if ($serviz[57] == "ok") {
				$eMsg .= "<br />".$web[351].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=reblog&act=a&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=reblog&act=a&id=".$id.'</a>';
			} else {
				$eMsg .= "<br />".$web[352].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=reblog&act=i&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=reblog&act=i&id=".$id.'</a>';
			}
			$eMsg .= "<br />".$web[353].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=reblog&del=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=reblog&del=".$id.'</a>';
			$eMsg .= "<hr />".$infos;
			eMailHtmlTo($eSub, $eMsg);
			$maillist = GetListCollaboratorEmail(TYP_REBLOG);
			foreach($maillist as $email) eMailHtmlTo($eSub, $eMsg, $email);
		}
		elseif ($supervision[3] == "on" && $typ == TYP_GUESTBK) {
			$eSub  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." ".$web[113];
			$eMsg  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[113].", ".$web[104]." ".$datefrmt.".<br />";
			$eMsg .= $web[107].stripslashes($pseudo)." (".stripslashes($pemail).").<br />";
			$eMsg .= $web[112].stripslashes($purl)."<br />";
			$eMsg .= '<hr />'.$web[109].'<br />'.ForceToAbsolute(stripslashes($ptxt));
			$eMsg .= "<hr />".$web[349]." : ".$web[39].$data[7]." - ".$web[354].$id;
			$eMsg .= "<br />".$web[360].'<a href="'.$site[3].$site['GB'].".php?lng=".$lng."&pg=".$id.'">'.$site[3].$site['GB'].".php?lng=".$lng."&pg=".$id.'</a>';
			$eMsg .= "<br />".$web[350].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=guestbk&form=2&id=".$id.'">'."admin/admin.php?lng=".$lng."&pg=guestbk&form=2&id=".$id.'</a>';
			if ($serviz[40] != "") {
				$eMsg .= "<br />".$web[351].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=guestbk&act=a&id=".$id.'">'."admin/admin.php?lng=".$lng."&pg=guestbk&act=a&id=".$id.'</a>';
			} else {
				$eMsg .= "<br />".$web[352].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=guestbk&act=i&id=".$id.'">'."admin/admin.php?lng=".$lng."&pg=guestbk&act=i&id=".$id.'</a>';
			}
			$eMsg .= "<br />".$web[353].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=guestbk&del=".$id.'">'."admin/admin.php?lng=".$lng."&pg=guestbk&del=".$id.'</a>';
			$eMsg .= "<hr />".$infos;
			eMailHtmlTo($eSub, $eMsg);
			$maillist = GetListCollaboratorEmail(TYP_GUESTBK);
			foreach($maillist as $email) eMailHtmlTo($eSub, $eMsg, $email);
		}
		elseif ($supervision[6] == "on" && $typ == TYP_REACT) {
			$eSub  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." ".$web[182];
			$eMsg  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[182].", ".$web[104]." ".$datefrmt.".<br />";
			$eMsg .= $web[107].stripslashes($pseudo)." (".stripslashes($pemail).").<br />";
			ReadDoc($pg);
			$eMsg .= $web[183]." - ".$fieldb1."<br />";
			$eMsg .= '<hr />'.$web[109].'<br />'.ForceToAbsolute(stripslashes($ptxt));
			$eMsg .= "<hr />".$web[349]." : ".$web[39].$data[7]." - ".$web[355].$fileid." - ".$web[356].$id;
			$eMsg .= "<br />".$web[360].'<a href="'.$site[3]."articles.php?lng=".$lng."&pg=".$fileid."&react=".$id.'">'.$site[3]."articles.php?lng=".$lng."&pg=".$fileid."&react=".$id.'</a>';
			$eMsg .= "<br />".$web[350].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&form=2&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&form=2&id=".$id.'</a>';
			if ($serviz[29] == "ok") {
				$eMsg .= "<br />".$web[351].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&act=a&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&act=a&id=".$id.'</a>';
			} else {
				$eMsg .= "<br />".$web[352].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&act=i&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&act=i&id=".$id.'</a>';
			}
			$eMsg .= "<br />".$web[353].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&del=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&del=".$id.'</a>';
			$eMsg .= "<hr />".$infos;
			eMailHtmlTo($eSub, $eMsg);
			$maillist = GetListCollaboratorEmail(TYP_NEWS);
			foreach($maillist as $email) eMailHtmlTo($eSub, $eMsg, $email);
		}
		elseif ($supervision[4] == "on" && ($typ == TYP_FORUM || $typ == TYP_THREAD)) {
			$eSub  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." ".$web[114];
			$eMsg  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[114].", ".$web[104]." ".$datefrmt.".<br />";
			$eMsg .= $web[107].stripslashes($pseudo)." (".stripslashes($pemail).").<br />";
			if ($serviz[18] == "on") {
				$dbforcat = ReadDBFields(DBFORUMCAT);
				for ($i = 0; $i < count($dbforcat); $i++) {
					if ($catforum == $dbforcat[$i][0]) {
						if ($lng == $lang[0]) {
							$eMsg .= $web[130]." : ".$dbforcat[$i][1];
						}
						else {
							$eMsg .= $web[130]." : ".$dbforcat[$i][2];
						}
						break;
					}
				}
			}
			if ($typ == TYP_FORUM) {
				$eMsg .= " - ".$web[110]."<br />";
				$eMsg .= $web[108].stripslashes($ptit)."<br />";
			}
			else {
				$eMsg .= $web[111]."<br />";
			}
			$catthread = (!isset($catthread) || empty($catthread)) ? $catforum : $catthread;
			$thrdid = GetThreadId($data[7]);
			$eMsg  .= '<hr />'.$web[109].'<br />'.ForceToAbsolute(stripslashes($ptxt));
			$eMsg  .= "<hr />".$web[349]." : ".$web[63].$data[7]." - ".$web[354].$fileid;
			$eMsg  .= "<br />".$web[360].'<a href="'.$site[3].$site['TH'].".php?lng=".$lng."&pg=".$thrdid.'&cat='.$catthread."&id=".ceil($data[8]/$serviz[20])."#R".$data[8].'">'.$site[3].$site['TH'].".php?lng=".$lng."&pg=".$thrdid.'&cat='.$catthread."&id=".ceil($data[8]/$serviz[20])."#R".$data[8].'</a>';
			$eMsg  .= "<br />".$web[350].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&form=2&id=".$fileid.'&cat='.$catthread.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&form=2&id=".$fileid.'</a>';
			if ($serviz[41] != "") {
				$eMsg .= "<br />".$web[351].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&act=a&id=".$fileid.'&cat='.$catthread.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&act=a&id=".$fileid.'</a>';
			} else {
				$eMsg .= "<br />".$web[352].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&act=i&id=".$fileid.'&cat='.$catthread.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&act=i&id=".$fileid.'</a>';
			}
			$eMsg .= "<br />".$web[353].'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&del=".$fileid.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&del=".$fileid.'</a>';
			$eMsg .= "<hr />".$infos;
			eMailHtmlTo($eSub, $eMsg);
			$maillist = GetListCollaboratorEmail(TYP_FORUM);
			foreach($maillist as $email) eMailHtmlTo($eSub, $eMsg, $email);
		}
		elseif ($typ == TYP_RECO) {
			$eSub  = $web[125]." ".$pseudo;
			$eMsg  = $web[125]." ".$pseudo.", ".$web[104]." ".$datefrmt.".<br /><br />";
			$eMsg .= $pseudo." - <a href=\"mailto:".$pemail."\">".stripslashes($pemail)."</a> - ".$web[126];
			$eMsg .= " ".stripslashes($site[($lang[0] == $lng ? 0 : 11)])." (<a href='".$site[3]."'>".$site[3]."</a>).<br />";
			$eMsg .= $web[127]." - <a href='mailto:".$pemail."'>".stripslashes($pemail)."</a> - ".$web[128]."<br /><br />";
			eMailHtmlTo($eSub, $eMsg, $pfmail);
		}
		elseif ($typ == TYP_MAIL) {
			$eSub  = $ptit;
			$eMsg  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[330]." ".$pseudo." - <a href=\"mailto:".$pemail."\">".stripslashes($pemail)."</a> - ".$web[104]." ".$datefrmt.".<hr />";
			$eMsg .= "<br />".ForceToAbsolute(stripslashes($pmess));
			eMailHtmlTo($eSub, $eMsg, $pfmail, $pemail);
		}
	}
}
else {
    $antispam  = md5(uniqid(rand()));
    $antispams = ReadDBFields(DBANTISPAM);
    $timestamp = microtime(TRUE);
    array_push($antispams, array($antispam, $_SERVER['REMOTE_ADDR'], $typ, $timestamp));
    $timestamp -= $serviz[52] * 60;
    while($antispams[0][3] < $timestamp) {
        array_shift($antispams);
    }
    if (count($antispams) > $serviz[51]) {
        array_shift($antispams);
    }
    WriteDBFields(DBANTISPAM, $antispams);
}
if (!empty($userprefs[1])) {
    $pseudo = $userprefs[1];
}
if (!empty($userprefs[2])) {
    $pemail = $userprefs[2];
}
if ($typ == TYP_GUESTBK) {
    $title = $web[41];
}
elseif ($typ == TYP_NEWS) {
    $title = $web[4];
}
elseif ($typ == TYP_BLOG) {
    $title = $web[387];
}
elseif ($typ == TYP_FORUM) {
    $title = $web[19];
}
elseif ($typ == TYP_RECO) {
    $title = $web[124];
}
elseif ($typ == TYP_REACT) {
    $title = $web[182];
}
elseif ($typ == TYP_REBLOG) {
    $title = $web[380];
}
elseif ($typ == TYP_MAIL) {
    $title = $web[215]."  &nbsp;".$web[11];
}
elseif ($mod != "") {
    $title = $web[308]."  ".$web[334];
}
else {
    $title = $web[65];
}
$topmess = $title;

switch ($typ){
case TYP_THREAD :
case TYP_FORUM  :
    if ($userprefs[3] =="" || $userprefs[3] == "LR") {
        $userprefs3 = "L";
    }
    $widepage = $forum[3];
    break;
case TYP_BLOG   :
case TYP_REBLOG :
    if ($userprefs[3] == "" || $userprefs[3] == "LR") {
        $userprefs3 = "L";
    }
    $widepage = $serviz[58];
default :
}

$headinc .= BeginJavascript().'
var clic = 0;
function VerifyForm() {
    var sto = "";
    var messok = "";
    var erreur = false;
    var largeur = 300;
    var progbar = "'.$site[28].'";

    regexp = /^[a-zA-Z0-9_]{2,20}$/;
    if (!regexp.test(document.rapporter.pseudo.value)) {
        sto += "  - '.addslashes($web[266]).'\n";
		document.rapporter.pseudo.className = "errorInputText";
        erreur = true;
    }
	regexp = /^[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]+(\.[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]+)*@(([a-z0-9à-ö]([-a-z0-9à-ö]*[a-z0-9à-ö]+)?){1,63}\.)+([a-z0-9à-ö]([-a-z0-9à-ö]*[a-z0-9à-ö]+)?){2,63}$/i;
    if (!regexp.test(document.rapporter.pemail.value)) {
        sto += "  - '.addslashes($web[42]).'\n";
		document.rapporter.pemail.className = "errorInputText";
        erreur = true;
    }
    if (!regexp.test(document.rapporter.pfmail.value)) {
        sto += "  - '.addslashes($web[122]).'\n";
		document.rapporter.pfmail.className = "errorInputText";
        erreur = true;
    }';
if ($mod != 'up' && $mod != 'top' && $mod != 'raz') {
	$headinc .= validJSCodePGEditor("rapporter", "ptxt", "validation");
	$headinc .= '
    if (!validation) {
        sto += "  - '.addslashes($web[43]).'\n";
        erreur = true;
    }';
}
$headinc .= '
    if (document.rapporter.ptit.value.search(/\w/) == -1) {
        sto += "  - '.addslashes($web[123]).'\n";
		document.rapporter.ptit.className = "errorInputText";
        erreur = true;
    }';
if ($typ == TYP_GUESTBK) {
	$headinc .= '
	regexp = /(ftp|http|https):\/\/[a-z0-9à-ö-]+(.[a-z0-9à-ö-]+)*(:[0-9]+)?(\/.*)?$/i;
    if ((document.rapporter.purl.value != "") && (document.rapporter.purl.value != "http://")) { 
	  if (!regexp.test(document.rapporter.purl.value)) {
        sto += "  - '.addslashes($web[229]).'\n";
        erreur = true;
	  }
    }';
}
if ($serviz[100] != '0' && $cryptdisp == 'on' && ($serviz[98] == '' || $userprefs[1] == '')) {
	$headinc .= '
    regexp = /^[a-zA-Z0-9_]{2,20}$/;
    if (!regexp.test(document.rapporter.crypt.value)) {
        sto += "  - '.addslashes($web[529]).'\n";
		document.rapporter.crypt.className = "errorInputText";
        erreur = true;
    }';
}
$headinc .= '
    if (erreur) {
        sto = "'.addslashes($web[44]).'\n\n" + sto;
        alert(sto);
        return false;
    }
    else {
        clic++;
        var messok = "'.$site[27].'";
        if (clic == 1) {
            return true;
        }
        else {
            sto = "'.addslashes($web[220]).'" + sto;
            alert(sto);
            return false;
        }
    }
}
'.EndJavascript();

// contre la faille CSRF
$token = uniqid(rand(), true);
$_SESSION['postguest_token']      = $token;
$_SESSION['postguest_token_time'] = time();

$tconfig = import('tconfig', '', true, 0);
include 'inc/hpage.inc';
htable($title, "100%");

if ($typ == TYP_NEWS && $members[0] == "on" && $members[8] == "on" && $userprefs[1] == "") {
    echo "<p style=\"text-align:center;\">".$web[342]."</p><br />";
	if ($members[19] != '0' && $members[19] != '3') 
		echo "<p style=\"text-align:center;\"><a href=\"".CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].".php?lng=".$lng)."\">[".$web[160]."]</a></p><br />";
}
elseif ($typ == TYP_BLOG && $members[0] == "on" && $members[16] == "on" && $userprefs[1] == "") {
    echo "<p style=\"text-align:center;\">".$web[342]."</p><br />";
	if ($members[19] != '0' && $members[19] != '3') 
		echo "<p style=\"text-align:center;\"><a href=\"".CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].".php?lng=".$lng)."\">[".$web[160]."]</a></p><br />";
}
elseif ($typ == TYP_GUESTBK && $members[0] == "on" && $members[9] == "on" && $userprefs[1] == "") {
    echo "<p style=\"text-align:center;\">".$web[342]."</p><br />";
	if ($members[19] != '0' && $members[19] != '3') 
		echo "<p style=\"text-align:center;\"><a href=\"".CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].".php?lng=".$lng)."\">[".$web[160]."]</a></p><br />";
}
elseif (($typ == TYP_FORUM || $typ ==TYP_THREAD) && $members[0] == "on" && ($members[10] == "on" || $members[5] == "on") && $userprefs[1] == "" ) {
    echo "<p style=\"text-align:center;\">".$web[342]."</p><br />";
	if ($members[19] != '0' && $members[19] != '3') 
		echo "<p style=\"text-align:center;\"><a href=\"".CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].".php?lng=".$lng)."\">[".$web[160]."]</a></p><br />";
}
elseif ($typ == TYP_REACT && $members[0] == "on" && ($members[11] == "on" || $members[1] == "on") && $userprefs[1] == "" ) {
    echo "<p style=\"text-align:center;\">".$web[342]."</p><br />";
	if ($members[19] != '0' && $members[19] != '3') 
		echo "<p style=\"text-align:center;\"><a href=\"".CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].".php?lng=".$lng)."\">[".$web[160]."]</a></p><br />";
}
elseif ($typ == TYP_REBLOG && $members[0] == "on" && ($members[17] == "on" || $members[1] == "on") && $userprefs[1] == "" ) {
    echo "<p style=\"text-align:center;\">".$web[342]."</p><br />";
	if ($members[19] != '0' && $members[19] != '3') 
		echo "<p style=\"text-align:center;\"><a href=\"".CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].".php?lng=".$lng)."\">[".$web[160]."]</a></p><br />";
}
else {
    if ($ok == $web[45]) {
		$pehide = 'off';
        if ($typ == TYP_FORUM || $typ == TYP_THREAD) {
            if (!empty($pg)) {
                $dbpg = SelectDBFieldsById(ReadDBFields(DBFORUM), $num);
                if (count($dbpg) != 0) {
                    $cat = $dbpg[0][12];
                }
				if ($mod == 'maj' || $mod == 'stop' || $mod == 'move') {
					ReadDoc($pg);
					$lentxt    = mb_strlen($fieldc1, $charset);
					$possign   = mb_strrpos($fieldc1, '<p style="text-align:right; padding-top:8px;">', 0, $charset);
					$signforum = $possign !== false ? mb_substr($fieldc1, $possign, $lentxt, $charset) : '';
					$mettre    = '<?php $signforum = stripslashes("'.addslashes($signforum).'"); ?>';
					$filesign  = $userprefs[1].date('Ymdhi');
					WriteFullDB(TEMPREP.$filesign, $mettre);
					$ptxt      = $signforum != '' ? mb_substr($fieldc1, 0, $lentxt - mb_strlen($signforum, $charset), $charset) : $fieldc1;
					$pehide    = $fieldd1;
					$replymail = $fieldmail;
				}
            }
        }
        if (!isForumAccessGranted($cat)){
            echo "<p style='text-align:center;font-weight:bold;padding-bottom:48px;'><br />".$web[443]."</strong><br /></p>";
        } else {
			if (!empty($erreur))
				echo displayErrorMsg($web[44], $erreur);
			echo '
<p style="text-align:center;"><strong>'.$ok.'</strong></p>
  <form name="rapporter" action="'.($site['URLR'] == 'on'? $urlrw[14].'-5': $site['PG'].'.php').'" method="post" onsubmit="return VerifyForm(); return false;">
    <input type="hidden" name="lng" value="'.$lng.'" />
    <input type="hidden" name="typ" value="'.$typ.'" />
    <input type="hidden" name="tconfig" value="'.$tconfig.'" />
    <input type="hidden" name="antispam" value="'.$antispam.'" />
	<input type="hidden" name="token" id="token" value="'.$token.'" />
    <input type="hidden" name="add" value="1" />';
			if ($typ == TYP_FORUM && !empty($cat)) {
				echo '
    <input type="hidden" name="cat" value="'.$cat.'" />
    <input type="hidden" name="catforum" value="'.$cat.'" />';
			}
			if ($typ == TYP_THREAD) {
				echo '
    <input type="hidden" name="filesign" value="'.$filesign.'" />
    <input type="hidden" name="cat" value="'.$cat.'" />
    <input type="hidden" name="tocat" value="'.$tocat.'" />
    <input type="hidden" name="catforum" value="'.$cat.'" />
    <input type="hidden" name="num" value="'.$num.'" />';
			}
			if ($typ != TYP_RECO && $typ != TYP_MAIL) {
				echo '
    <input type="hidden" name="pfmail" value="pf@mail.fr" />';
			}
			if ($typ == TYP_MAIL) {
				echo '
    <input type="hidden" name="pfmail" value="'.$user[1].'" />';
			}
			if ($typ == TYP_GUESTBK || $typ == TYP_RECO || $typ == TYP_THREAD || $typ == TYP_REACT  || $typ == TYP_REBLOG) {
				echo '
    <input type="hidden" name="ptit" value="ptit" />';
			}
			if ($typ == TYP_REACT || $typ == TYP_REBLOG) {
				echo '
    <input type="hidden" name="pg" value="'.$pg.'" />';
			}
			if ($typ != TYP_GUESTBK) {
				echo '
    <input type="hidden" name="purl" value="http://fake" />';
			}
			echo '
    <table style="margin:auto;width:98%;">
    <tr><td style="text-align:center;">'.$web[49].'<span style="display:none;"><input type="text" name="code_pseudo" value="" /></span></td></tr>
    <tr><td style="text-align:center;"><input class="'.($err_pseudo ? 'errorInputText' : 'texte').'" type="text" name="pseudo" value="'.$pseudo.'" size="40" maxlength="20" /></td></tr>
    <tr><td style="text-align:center;">'.$web[50].'</td></tr>
    <tr><td style="text-align:center;"><input class="'.($err_pemail ? 'errorInputText' : 'texte').'" type="text" name="pemail" value="'.$pemail.'" size="40" /></td></tr>';
			if ($typ != TYP_RECO && $typ != TYP_MAIL) {
				echo '
    <tr><td style="text-align:center;">'.$web[115].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="pehide"'.Checked(empty($pehide)).' /></td></tr>
    <tr><td style="text-align:center;">'.$web[30].'</td></tr>';
			}
			if ($typ == TYP_MAIL) {
				echo '
    <tr><td style="text-align:center;"><p>'.$web[281].'</p></td></tr>
    <tr><td style="text-align:center;width:100%;"><input class="'.($err_ptit ? 'errorInputText' : 'texte').'" type="text" name="ptit" value="'.$ptit.'" size="45" /></td></tr>
    <tr><td style="text-align:center;"><p>'.$web[56].'</p></td></tr>';
        }
			if ($typ == TYP_NEWS) {
				echo '
    <tr><td style="text-align:center;"><p>'.$web[54].'</p></td></tr>
    <tr><td style="text-align:center;width:100%;"><input class="'.($err_ptit ? 'errorInputText' : 'texte').'" type="text" name="ptit" value="'.$ptit.'" size="45" /></td></tr>
    <tr><td style="text-align:center;"><p>'.$web[55].'</p></td></tr>';
			}
			if ($typ == TYP_BLOG) {
				echo '
    <tr><td style="text-align:center;"><p>'.$web[21].'</p></td></tr>
    <tr>
	  <td style="text-align:center;width:100%;">';
			$dbw = ReadDBFields(DBBLOG);
			sort($dbw);
			if (!empty($dbw)) {
				echo '
		<p>
		  <select name="rub">';
				$j        = ($lng == $lang[0]) ? 0 : 1 ;
				$bi_rub   = array();
				$curr_rub = '';
				$k        = 0;
				for ($i = 0; $i < count($dbw); $i++) {
					if ($dbw[$i][$j] != '' && $dbw[$i][$j] != $curr_rub) {
						$bi_rub[$k] = $dbw[$i][$j];
						$curr_rub   = $dbw[$i][$j];
						/// début modif blog privé
						$acces = 'no';
						include_once (CHEMIN.'inc/func_groups.php');
						if (CheckGroup($dbw[$i][6], $userprefs[1]) || $dbw[$i][6] == "") $acces = "ok";
						if ($acces == 'ok') {
						  echo '
			<option value="'.$bi_rub[$k].'"'.($rub == $bi_rub[$k] ? ' selected="selected"' : '').'>'.$bi_rub[$k].'</option>';
						  $k++;
						}
						/// fin modif blog privé
					}
				}
				echo '
		  </select>
		</p>';
			}
			else {
				echo '
		<input class="texte" type="text" name="rub" size="45" value="'.$rub.'" />';
			}
			echo '
      </td>
	</tr>
    <tr><td style="text-align:center;"><p>'.$web[387].'</p></td></tr>
    <tr><td style="text-align:center;width:100%;"><input class="'.($err_ptit ? 'errorInputText' : 'texte').'" type="text" name="ptit" value="'.$ptit.'" size="45" /></td></tr>
    <tr><td style="text-align:center;"><p>'.$web[388].'</p></td></tr>';
			}
			if ($typ == TYP_REBLOG || $typ == TYP_REACT) {
				echo '
	<tr>
	  <td style="text-align:center;">';
				ReadDoc($pg);
				$txtbl = ($lng == $lang[0]) ? $fieldc1 : $fieldc2 ;
				echo 
		$web[384].'<br /><br />
		<div class="rep" style="margin:auto;width:500px; height:160px; overflow:auto; border-style:groove;text-align:left;">'.stripslashes($txtbl).'</div>
		<br /><b>'.$web[56].'</b><br /><br /><input type="hidden" name="group" value="'.$fieldmod.'" />
	  </td>
	</tr>';
			}
			if ($typ == TYP_GUESTBK) {
				echo '
    <tr><td style="text-align:center;"><p>'.$web[51].'</p></td></tr>
    <tr><td style="text-align:center;width:100%;"><input class="texte" type="text" name="purl" size="45" value="http://" /></td></tr>
    <tr><td style="text-align:center;"><p>'.$web[56].'</p></td></tr>';
			}
			if ($typ == TYP_FORUM) {
				echo '
    <tr><td style="text-align:center;"><p>'.$web[344].' :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="replymail"'.Checked($replymail == 'on').' /></p></td></tr>
    <tr><td style="text-align:center;"><p>'.$web[64].'</p></td></tr>
    <tr><td style="text-align:center;width:100%;"><input class="'.($err_ptit ? 'errorInputText' : 'texte').'" type="text" name="ptit" value="'.$ptit.'" size="45" /></td></tr>
    <tr><td style="text-align:center;"><p>'.$web[56].'</p></td></tr>';
			}
			if ($typ == TYP_RECO) {
				echo '
    <tr><td style="text-align:center;"><p><br />'.$web[121].'</p></td></tr>
    <tr><td style="text-align:center;width:100%;"><input class="'.($err_pfmail ? 'errorInputText' : 'texte').'" type="text" name="pfmail" value="'.$pfmail.'" size="40" /></td></tr>';
			}
			if ($typ == TYP_THREAD) {
				if (!empty($pg)) {
					$rank = ReadDBFields(ADMINS);
					$modadm = ''; $moduser = '';
					for ($y = 0; $y < count($rank); $y++) {
						if ($rank[$y][0] == $userprefs[1] && $rank[$y][2] == 'on') {
							$modadm = 'yes';
							break;
						}
					}
					if ($userprefs[1] == $serviz[31]) {
						$modadm = 'yes';
					}
					if (count(SelectDBFields(TYP_FORUM, 'a', $pg)) != 0) {
						$dbtmp = ReadDBFields(DBTHREAD);
						for ($i = 0; $i < count($dbtmp); $i++) { // search topic id
							if ($dbtmp[$i][3] == $pg) {
								$idth = $dbtmp[$i][1];
								break;
							}
						}
						for ($i = 0; $i < count($dbtmp); $i++) {
							if ($dbtmp[$i][1] == $idth && $dbtmp[$i][6] != '') { // read topic
								ReadDoc($dbtmp[$i][3]);
								$st = explode('#',$fieldmod);
								if ($st[0] == 'c' || $st[0] == 's' || $fielda1 != $num) { // if topic closed
									if (($modadm != 'yes' || $mod != 'maj') && $mod != 'raz') {
										echo BeginJavascript().'
alert("'.addslashes($web[47]).'");
window.history.back();'.EndJavascript();
										die ('STOP !'.$web[47]);
									}
								}
								unset($dbtmp);
								break;
							}
						}
						ReadDoc($pg);
					}
						echo '
    <tr><td style="text-align:center;"><p>'.$web[344].' :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="replymail" /></p></td></tr>';
					if ($mod == '') { // cas normal
						echo '
    <tr><td style="text-align:center;"><p>'.$web[141].' <strong>'.$author.'</strong> '.$web[142].'</p></td></tr>
    <tr><td style="text-align:center;">&nbsp;</td></tr>
    <tr>
	  <td><br />
		<div class="rep" style="position:relative; margin:auto; width:500px; height:160px; overflow:auto; border-style:groove;text-align:left">
		  '.stripslashes($fieldc1).'
		</div><br />
      </td>
	</tr>';
					} else {
						if (WYSIWYG && (($author == $userprefs[1]) || $modadm == 'yes' || (!empty($serviz[31]) && $serviz[31]==$userprefs[1]))) {
							echo '
	<tr>
	  <td colspan="2" style="text-align:center;">';
							echo '
		<div class="bord" style="margin:auto;width:95%;padding:5px">';
							$ptit    = $fieldb1;
							$fieldc1 = str_replace(array("\n", "\r"), '', $fieldc1);
							$ptxt = addslashes(unparseCodePGEditor($typ == TYP_THREAD ? $ptxt : $fieldc1));
							if ($mod == 'maj') { //cas maj
								echo "
		  <input type=\"hidden\" name=\"mod\" value=\"maj\" />";
								$text = "<strong>".$web[369]." ".$web[7]." ".$web[334]."</strong><br />";
								if ($ptit != "") {
									$text .= "<br /><span class='rep'>".$ptit."</span><br /><br />";
								}
							}
							elseif ($mod == "stop") {
								echo "
		  <input type=\"hidden\" name=\"mod\" value=\"stop\" />";
								$text = "<strong>".$web[390]."</strong><br /><br />";
								if ($ptit != "") {
									$text .= "<br /><span class='rep'>".$ptit."</span><br /><br />";
								}
							}
							elseif ($mod == 'raz') {
								$text = '<strong>'.$web[7].'  '.$web[334].'</strong><br /><br /><span class="rep">'.$ptit.'</span><br /><br />';
								echo '
		  <input type="hidden" name="mod" value="raz" /><b>'.$web[621].'</b>&nbsp;';
							}
							elseif ($mod == 'move') {
								$dbfrom = SelectDBFieldsByField(ReadDBFields(DBFORUMCAT), 0, $cat);
								$dbto   = SelectDBFieldsByField(ReadDBFields(DBFORUMCAT), 0, $tocat);
								$text   = '<strong>'.$web[7].'  '.$web[334].'</strong><br /><br /><span class="rep">'.$ptit.'</span><br /><br />';
								$text  .= '<br /><b>'.$web[208].'&nbsp;'.$dbfrom[0][1].$web[634].$dbto[0][1].'</b><br />';
								echo '
		  <input type="hidden" name="mod" value="move" /><b>'.$web[632].'</b>&nbsp;';
							}
							else { //cas lock-up-top
								$text = "<strong>".$web[7]."  ".$web[334]."</strong><br /><br /><span class='rep'>".$ptit."</span><br /><br />";
								if ($mod == "lock") {
									echo "
		  <input type=\"hidden\" name=\"mod\" value=\"lock\" /><b>".$web[363]."</b>&nbsp;";
								}
								else {
									if ($forum[5] != "") {
										echo "
		  <input type=\"radio\" name=\"mod\" value=\"up\" checked=\"checked\" /><b>".$web[364]." </b>&nbsp;";
									}
									if ($forum[6] != "" && $mod == "top") {
										echo "
		  <input type=\"radio\" name=\"mod\" value=\"top\" /> <b>".$web[365]."</b><br />";
									}
								}
							}
							echo $text;
							echo "<input type=\"hidden\" name=\"pg\" value=".$pg." />";
							echo '</div><br />';
							if ($mod == 'stop') {
								echo '<p><strong>'.$userprefs[1].' , '.$web[391].'</strong></p><br />';
							}
							echo '</td></tr>';
						}
						else {
							echo "</table><br /><br /><p align='center'>";
							echo BeginJavascript().'
alert("'.addslashes($web[416]).'");
window.history.back();'.EndJavascript();
							die ('STOP !');
						}
					}
				}
			}
			echo '
    <tr>
	  <td style="text-align:center;">';
			if (($mod == '' || $mod == 'maj' || $mod == 'stop' || $mod == 'move')) { // pas d'éditeur pour lock, up, top
				echo '
		<table style="width:100%;text-align:center;margin:auto;">';
				if ($typ != TYP_RECO) {
					$we = 520;
					if ($scrWidth > 0) {
						if ($scrWidth < 801) $we = 500;
						if ($scrWidth < 769) $we = 420;
						if ($scrWidth < 601) $we = 300;
						if ($scrWidth < 556) $we = 520;
						if ($scrWidth < 540) $we = 420;
						if ($scrWidth < 480) $we = 300;
					}
					echo '
		  <tr><td style="text-align:center;">'.displayPGEditor('rapporter', 'ptxt', $we, 300, $ptxt, false).'</td></tr>';
				}
            if ($serviz[100] != '0' && $cryptdisp == 'on' && ($serviz[98] == '' || $userprefs[1] == '')) {
				$lbl = $serviz[100] == '3' ? $web[642] : '';
                echo '
		  <tr><td style="text-align:center;">'.dsp_crypt(0, 1, 3, 2, $lbl, $serviz[115] == 'on' ? $web[643] : '').'</td></tr>
		  <tr><td style="text-align:center;">'.($serviz[100] == '3' ? '' : $web[530]).'<input class="'.($err_crypt ? 'errorInputText' : 'texte').'" type="text" name="crypt" size="6" /></td></tr>';
            }
            echo '
		</table>';
			}
			echo '
      </td>
	</tr>';
			echo '
    <tr><td style="text-align:center;"><br />'.SubmitButton($web[52]).'</td></tr>
    <tr><td>&nbsp;</td></tr>
  </table>
</form>';
			echo BeginJavascript().'
document.rapporter.pseudo.focus();'.EndJavascript();
        } /// modif forum privé
    }
    else {
        echo '
<p style="text-align:center;"><strong>'.$ok.'</strong></p>';
        if ($typ == TYP_NEWS) {
            $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[8]: $site['NE'].'.php?lng='.$lng;
        }
        elseif ($typ == TYP_BLOG) {
            $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[1]: $site['BLS'].'.php?lng='.$lng;
        }
        elseif ($typ == TYP_REBLOG) {
            $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-4-'.$pg: $site['BL'].'.php?lng='.$lng.'&pg='.$pg;
        }
        elseif ($typ == TYP_GUESTBK) {
            $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[7]: $site['GB'].'.php?lng='.$lng;
        }
        elseif ($typ == TYP_FORUM) {
            if (!empty($catforum)) {
                $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-2-'.$catforum: $site['FR'].'.php?lng='.$lng.'&cat='.$catforum;
            }
            else {
                $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-31': $site['FR'].'.php?lng='.$lng;
            }
        }
        elseif ($typ == TYP_THREAD) {
            $dbwork = array();
            $dbwork = ReadDBFields(DBFORUM);
            for ($i = 0; $i < count($dbwork); $i++) {
                if ($dbwork[$i][1] == $num) {
                    $catforum = $dbwork[$i][12];
                }
            }
            if (!empty($catforum)) {
                $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-2-'.$catforum: $site['FR'].'.php?lng='.$lng.'&cat='.$catforum;
            }
            else {
                $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-31': $site['FR'].'.php?lng='.$lng;
            }
        }
        elseif ($typ == TYP_REACT) {
            $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[20].'-102-'.$pg.'-'.$tconfig: 'articles.php?lng='.$lng.'&pg='.$pg.'&tconfig='.$tconfig;
        }
        elseif ($typ == TYP_RECO || $typ == TYP_MAIL) {
            $backurl = $site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng;
        }
        echo '<hr />
<p style="text-align:center;">
  <a href="'.htmlentities($backurl, ENT_COMPAT, $charset).'">'.$web[135].'</a>
</p>'.BeginJavascript().'
var type = "'.$typ.'";
var messok = "'.$site[27].'";
messok++;
if (type == "'.TYP_RECO.'" || type == "'.TYP_MAIL.'") {
    setTimeout("window.history.go(-2);",2000*messok);
}
else {
    setTimeout(\'window.location="'.$backurl.'";\',2000*messok);
}'.EndJavascript();
    }
}
btable();
include 'inc/bpage.inc';
?>
