<?php
/*******************************************************************************
 *   Agenda
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';
include_once 'inc/lang/'.$lng.'-admin.inc';
if ($serviz[47] != 'on') {
    exit($web[143]);
}

$agv     = import('agv');
$an      = import('an');
$mois    = import('mois');
$idpg    = import('idpg');
$tconfig = import('tconfig', '', true, 0);

if ($members[0] == 'on' && $userprefs[1] == '' && $members[14] == 'on') {
    include 'inc/hpage.inc';
    htable($web[287], '100%');
    echo '
	<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
	  <p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
	</div>';
    btable();
    include 'inc/bpage.inc';
} else {
    if (empty($id)) {
        $id = 1; $wag = array();
    }
    $monthlist = array($web[268], $web[269], $web[270], $web[271], $web[272], $web[273],
        $web[274], $web[275], $web[276], $web[277], $web[278], $web[279]);
    $daylist   = array(0 => $admin[1162], $admin[1163], $admin[1164], $admin[1165],
        $admin[1166], $admin[1167], $admin[1168]);
    ############################################################################
    if ($agv == 1) {
        $pgid = explode('-', $idpg);
        $wag = array();
        for ($a = 0; $a < count($pgid)-1; $a++) {
            if (!is_file(DBBASE.TestFileId($pgid[$a]).INCEXT)) continue;
            ReadDoc($pgid[$a]);
            if ($type != TYP_AGENDA) continue;
            if (!isAccessGranted($fieldmod) || !isAuthorizedPublication($creadate)) continue;
            $wag[$a][0] = $fielda2;
            $wag[$a][1] = $fileid;
        }
        if (empty($wag)) {
            die('STOP ! Variable $idpg : illegal value !');
        }
        sort($wag);
    
        for ($jj = 0; $jj < count($wag); $jj++) {
            ReadDoc($wag[$jj][1]);
			$datcre = $creadate;
			$datmod = $moddate;
            $agtxt1 = substr($fielda1, 6, 2);
            $agtxt2 = substr($fielda1, 4, 2);
            $agtxt3 = substr($fielda1, 0, 4);
            $agtime = array();
            $agtime = explode('-', $fielda2);
			$agtime = array_pad($agtime, 2, '');
            if ($agtime[0] < '10:00') $agtime[0] = substr($agtime[0], 1, 7);
            if ($agtime[1] < '10:00') $agtime[1] = substr($agtime[1], 1, 7);
            if ($site[22] == 'H2'){
                $agtime[0] = str_replace(':', 'h', $agtime[0]);
                $agtime[1] = str_replace(':', 'h', $agtime[1]);
            }
            if ($agtime[0] != '' && $agtime[1] != '') $til = '<br />&darr;<br />';
            elseif ($agtime[0] != '' && $agtime[1] == '') $til= '<br />&darr;<br />&#133;';
            elseif ($agtime[0] == '' && $agtime[1] != '') $til = '&#133;<br />&darr;<br />';
            else $til = '';
            $mthname = $monthlist[$agtxt2-1];
            $dd = date('w', mktime(0, 0, 0, $agtxt2, $agtxt1, $agtxt3));
            $dayname = $daylist[$dd];
            if ($lng == $lang[0]) {
                $agtxt4 = $fieldc1;
            } else {
                $agtxt4 = empty($fieldc2) ? '<em>'.$web[442].'</em><br /><br />'.$fieldc1 : $fieldc2;
            }
            if ($jj == 0 ) {
                if ($web[284] == '0') {
                    $datecountry = $dayname.' '.$agtxt1.' '.$mthname.' '.$agtxt3;
                } elseif ($web[284] == '1') {
                    $datecountry = $mthname.' '.$agtxt1.' '.$agtxt3.', '.$dayname;
                } elseif ($web[284] == '2') {
                    $datecountry = $agtxt3.' '.$mthname.' '.$agtxt1.', '.$dayname;
                } else {
                    $datecountry = '';
                }
				$topmess = $web[285].' '.$datecountry;
                if (!empty($datecountry)) {
                    $datecountry = '<a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[17].'-22-'.$idpg.'-'.$pg.'-1-'.$tconfig: 'agenda.php?lng='.$lng.'&amp;idpg='.$idpg.'&amp;pg='.$pg.'&amp;agv=1&amp;tconfig='.$tconfig).'" title="'.$web[511].'">'.$datecountry.'</a>';
                }
                include 'inc/hpage.inc';
                htable($web[285].' '.$datecountry, '100%');
                echo '
    <br />';
            }
            echo '
    <table class="bord" style="margin:auto;width:98%;">
      <tr>
        <td class="quest" style="margin:1px;width:70px;font-weight:bold;text-align:center;vertical-align:top;padding-top:10px;">'.$agtime[0].$til.$agtime[1].'</td>
        <td class="rep" style="margin:1px;vertical-align:top;">'.getNewUpdateDoc($datcre, $datmod, $serviz[145]).$agtxt4;
            if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[37] == "on")) {
                echo '
          <p style="text-align:right;">
            <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=agenda&amp;form=2&amp;id='.$pgid[$jj].'">
              <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
            </a>
          </p>';
            }
            echo '
        </td>
      </tr>
    </table>';
        }
        echo '
    <p style="text-align:center;">
      <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[17].'-21-'.$agtxt2.'-'.$agtxt3.'-2-'.$tconfig: 'agenda.php?lng='.$lng.'&amp;mois='.$agtxt2.'&amp;an='.$agtxt3.'&amp;agv=2&amp;tconfig='.$tconfig).'">'.$web[286].' '.$mthname.' '.$agtxt3.'</a>
    </p>
    <br />';
        if ($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) {
            echo '
    <p style="text-align:right;">
      <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=agenda&amp;form=2&amp;id='.$pg.'">
	    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
	  </a>
    </p>';
        }
        btable();
        include 'inc/bpage.inc';
    }
    ############################################################################
    elseif ($agv == 2) {
        if (!$mois && !$an) {
            $mois = date('m');
            $an = date('Y');
        }
        if ($mois < 1) {
            $mois = 12;
            $an--;
        }
        if ($mois > 12) {
            $mois = 1;
            $an++;
        }
        $mthname = $monthlist[$mois-1];
		$topmess   = $web[287].' '.$mthname.' '.$an;
        include 'inc/hpage.inc';
        $permalink = '<a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[17].'-21-'.$mois.'-'.$an.'-2-'.$tconfig: 'agenda.php?lng='.$lng.'&amp;mois='.$mois.'&amp;an='.$an.'&amp;agv=2&amp;tconfig='.$tconfig).'" title="'.$web[511].'">'.$mthname.' '.$an.'</a>';
        htable($web[287].' '.$permalink, '100%');
        $dbwork = ReadDBFields(DBAGENDA);
        @sort($dbwork);
		$dbannee = array();
		foreach($dbwork as $dbw) {
			$ann = substr($dbw[2], -4);
			if (!in_array($ann, $dbannee)) $dbannee[] = $ann;
		}
		$ann = date('Y');
		if (!in_array($an, $dbannee)) $dbannee[] = $ann;
        echo '
    <br />
    <table style="margin:auto;">
      <tr>
        <td style="margin:1px;padding:4px;">';
		$ann_p = $an - ($mois == 1 ? 1 : 0);
		$ann_s = $an + ($mois == 12 ? 1 : 0);
		if ($dbannee[0] <= $ann_p) {
			echo '
          <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[17].'-21-'.sprintf('%02d', $mois-1).'-'.$an.'-2-'.$tconfig: 'agenda.php?lng='.$lng.'&amp;mois='.sprintf('%02d', $mois-1).'&amp;an='.$an.'&amp;agv=2&amp;tconfig='.$tconfig).'">
            <img src="'.$reptheme.'/calendarg.png" width="14" height="11" alt="'.$web[289].'" />
          </a>';
		}
		echo '
        </td>
        <td style="margin:1px;padding:4px;"><b>'.$permalink.'</b></td>
        <td style="margin:1px;padding:4px;">';
		if ($dbannee[count($dbannee)-1] >= $ann_s) {
			echo '
          <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[17].'-21-'.sprintf('%02d', $mois+1).'-'.$an.'-2-'.$tconfig: 'agenda.php?lng='.$lng.'&amp;mois='.sprintf('%02d', $mois+1).'&amp;an='.$an.'&amp;agv=2&amp;tconfig='.$tconfig).'">
            <img src="'.$reptheme.'/calendard.png" width="14" height="11" alt="'.$web[288].'" />
          </a>';
		}
		echo '
        </td>
      </tr>
    </table>';
        $mthag = array();
        for ($i = 0; $i < count($dbwork); $i++) {
            if ($dbwork[$i][2] == $mois.$an && isAccessGranted($dbwork[$i][6]) && isAuthorizedPublication($dbwork[$i][5])) {
                $mthag[] = $dbwork[$i][4];
            }
        }
        $controle = CheckDB1Field(DBAGENDA, $mois.$an, 2);
        if ($controle) {
            $lastday = "";
            $currentday = "";
            $k = 0;
            if (3 == abs($prt)) {
                $id = 1;
                $serviz[46] = 99999;
            }
            for ($i = $serviz[46]*($id-1); $i < Min($serviz[46]*$id, count($mthag)); $i++) {
                $k++;
                ReadDoc($mthag[$i]);
				$datcre = $creadate;
				$datmod = $moddate;
                $currentday = $fielda1;
                $agtime = array();
                $agtime = explode('-', $fielda2);
				$agtime = array_pad($agtime, 2, '');
                if ($agtime[0] < '10:00') $agtime[0] = substr($agtime[0], 1, 7);
                if ($agtime[1] < '10:00') $agtime[1] = substr($agtime[1], 1, 7);
                if ($site[22] == 'H2'){
                    $agtime[0] = str_replace(':', 'h', $agtime[0]);
                    $agtime[1] = str_replace(':', 'h', $agtime[1]);
                }
                if ($agtime[0] != '' && $agtime[1] != '') $til = '<br />&darr;<br />';
                elseif ($agtime[0] != '' && $agtime[1] == '') $til= '<br />&darr;<br />&#133;';
                elseif ($agtime[0] == '' && $agtime[1] != '') $til = '&#133;<br />&darr;<br />';
                else $til = '';
				$agtxt1 = substr($fielda1, 6, 2);
				$agtxt2 = substr($fielda1, 4, 2);
				$agtxt3 = substr($fielda1, 0, 4);
                $dd = date('w', mktime(0, 0, 0, $agtxt2, $agtxt1, $agtxt3));
                $dayname = $daylist[$dd];
                if ($lng == $lang[0]) {
                    $agtxt4 = $fieldc1;
                } else {
                    $agtxt4 = empty($fieldc2) ? '<em>'.$web[442].'</em><br /><br />'.$fieldc1 : $fieldc2;
                }
                if ($web[284]=='0') {
                    $datecountry=$dayname.' '.$agtxt1.' '.$mthname.' '.$agtxt3;
                }
                if ($web[284]=='1') {
                    $datecountry=$mthname.' '.$agtxt1.' '.$agtxt3.', '.$dayname;
                }
                if ($web[284]=='2') {
                    $datecountry=$agtxt3.' '.$mthname.' '.$agtxt1.', '.$dayname;
                }
                if ($currentday != $lastday) {
                    echo '
    <table class="bord" style="width:98%;">
      <tr>
        <td class="forum2"><b>'.$datecountry.'</b></td>
      </tr>
    </table>';
                }
                echo '
    <table class="bord" style="width:98%;">
      <tr>
        <td class="quest" style="margin:1px;width:70px;font-weight:bold;text-align:center;vertical-align:top;padding-top:10px;">'.$agtime[0].$til.$agtime[1].'<br /></td>
        <td class="rep" style="margin:1px;width:auto;vertical-align:top;">'.getNewUpdateDoc($datcre, $datmod, $serviz[145]).$agtxt4;
                    if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[37] == "on")) {
                        echo '
          <p style="text-align:right;"><a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=agenda&amp;form=2&amp;id='.$mthag[$i].'">
            <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
          </p>';
                }
                echo '
        </td>
      </tr>
    </table>';
                $lastday = $currentday;
            }
        } else {
            echo '
    <p style="text-align:center;">'.$web[290].'</p>';
        }
        echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[17].'-23-'.$mois.'-'.$an.'-2-'.$tconfig.'-': 'agenda.php?lng='.$lng.'&amp;mois='.$mois.'&amp;an='.$an.'&amp;agv=2&amp;tconfig='.$tconfig.'&amp;id='), count($mthag), $id, $serviz[46]);
        btable();
        include 'inc/bpage.inc';
    } else {
        die('STOP : Invalid value of agv ('.$agv.')');
    }
}
?>

