<?php
/*******************************************************************************
 *   Articles
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

function GetOptionCateg($mnu, $id) {
	global $lng, $lang, $fielda1, $fielda2, $fieldd1, $fieldd2;
	if (substr($mnu, 0, 3) == 'MNU') {
        $mnu_id = substr($mnu, 4);
        $dbw    = SelectDbFieldsByField(ReadDBFields(DBOPTMENU), 5, $mnu_id);
        foreach ($dbw as $item) {
            ReadDoc($item[4]);
			$urls = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
			$pg   = substr($urls[0], strpos($urls[0], 'pg=') + 3);
			$pos  = strpos($pg, '&');
			$pg   = $pos === false ? $pg : substr($pg, 0, $pos);
			if ($pg == $id) return ($lng == $lang[0] ? $fielda1 : $fielda2);
		}
	}
	return '';
}

function GetOptionBoxes($mnu, $id) {
	global $lng, $lang, $fieldc2, $fieldd1, $fieldd2;
	if (substr($mnu, 0, 3) == 'MNU') {
        $mnu_id = substr($mnu, 4);
        $dbw    = SelectDbFieldsByField(ReadDBFields(DBOPTMENU), 5, $mnu_id);
        foreach ($dbw as $item) {
            ReadDoc($item[4]);
			$urls = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
			$pg   = substr($urls[0], strpos($urls[0], 'pg=') + 3);
			$pos  = strpos($pg, '&');
			$pg   = $pos === false ? $pg : substr($pg, 0, $pos);
			if ($pg == $id) return $fieldc2;
		}
	}
	return '';
}

function ArtNavbar($mnu, $cat, $titre) {
	global $lng, $lang, $web, $site, $urlrw, $tconfig, $reptheme, $xposbox, 
		   $fieldb1, $fieldb2, $fieldc1, $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod, $creadate;
    $imgPrev = '<img src="'.$reptheme.'/precedent.png" style="vertical-align:middle;" alt="'.$web[32].'" title="'.$web[32].'" />';
    $imgNext = '<img src="'.$reptheme.'/suivant.png" style="vertical-align:middle;" alt="'.$web[34].'" title="'.$web[34].'" />';
	$nav     = $navp = $navn = $navs = $categ = '';
	$cat     = stripslashes($cat);
	$titre   = stripslashes($titre);
	if (substr($mnu, 0, 3) == 'MNU') {
        $mnu_id = substr($mnu, 4);
        $dbw    = SelectDbFieldsByField(ReadDBFields(DBOPTMENU), 5, $mnu_id);
		$dbart  = array();
		$cmd    = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[20].'-103' : 'articles.php';
        foreach ($dbw as $item) {
            ReadDoc($item[4]);
			if (!isAuthorizedPublication($creadate)) continue;
			if ($fieldc1 != '_SELF' || $fieldweb != $mnu_id || !isAccessGranted($fieldmod)) continue;
			$urls1 = explode('||', $fieldd1);
			$urls2 = explode('||', $fieldd2);			
			$url1  = $site['URLR'] == 'on' ? (empty($urls1[1]) ? '' : substr($urls1[1], 0, 7 + strlen($urlrw[20]))) : substr($urls1[0], 0, 12);
			$url2  = $site['URLR'] == 'on' ? (empty($urls2[1]) ? '' : substr($urls2[1], 0, 7 + strlen($urlrw[20]))) : substr($urls2[0], 0, 12);
			$url   = $lng == $lang[0] ? ($url1 == $cmd) : ($url2 == $cmd);
			$pg    = substr($urls1[0], strpos($urls1[0], 'pg=') + 3);
			$pos   = strpos($pg, '&');
			$pg    = $pos === false ? $pg : substr($pg, 0, $pos);
			// par défaut le titre de l'article est celui de l'option de menu
			$item[6] = $item[2];
			$item[7] = $item[3];
			if ($pg) { // récupère le titre de l'article pour la comparaison
				ReadDoc($pg);
				$item[6] = $fieldb1;
				$item[7] = $fieldb2;
			}
            if ($url) $dbart[] = $item;
			unset($urls1, $urls2);
		}
		sort($dbart);
		if (count($dbart) > 1) {
			$navs = '
			<form name="selnavart" action="#" method="post" style="display: inline; vertical-align: absmiddle;">
			  <select size="1" onchange="document.selnavart.action=this.value; document.selnavart.submit();" style="width:120px" title="">';
		}
		for ($i = 0; $i < count($dbart); $i++) {
			$sel      = '';
			$opttitre = stripslashes($dbart[$i][$lng == $lang[0] ? 2 : 3]);
			$arttitre = stripslashes($dbart[$i][$lng == $lang[0] ? 6 : 7]);
			if ($navs != '') {
				ReadDoc($dbart[$i][4]);
				$urls    = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
				$pg      = substr($urls[0], strpos($urls[0], 'pg=') + 3);
				$pos     = strpos($pg, '&');
				$pg      = $pos === false ? $pg : substr($pg, 0, $pos);
				$urls[0] = 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;mnuid='.$item[5].'&amp;tconfig='.$fieldmail;
				$urls[1] = $lng.'-'.$urlrw[20].'-103-'.$pg.'-'.$item[5].'-'.$fieldmail;
				$url = empty($urls[1]) ? $urls[0] : $site['URLR'] != 'on' ? $urls[0] : $urls[1];
				unset($urls);
				// indication des catégories et sous-catégories
				$curcat = str_replace('|', '-', strip_tags($dbart[$i][$lng == $lang[0] ? 0 : 1]));
				if ($categ != $curcat) {
					if ($categ == '') $navs .= '
				</optgroup>';
					$categ = $curcat;
					$navs .= '
				<optgroup label="'.$categ.'">';
				}
				$navs .= '
				<option value="'.$url.'"'.Selected($titre == $arttitre).'>'.strip_tags($opttitre).'</option>';
			}
			if ($titre == $arttitre) {
				if ($i > 0) { // précédent
					ReadDoc($dbart[$i - 1][4]);
					$urls    = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
					$pg      = substr($urls[0], strpos($urls[0], 'pg=') + 3);
					$pos     = strpos($pg, '&');
					$pg      = $pos === false ? $pg : substr($pg, 0, $pos);
					$urls[0] = 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;mnuid='.$item[5].'&amp;tconfig='.$fieldmail;
					$urls[1] = $lng.'-'.$urlrw[20].'-103-'.$pg.'-'.$item[5].'-'.$fieldmail;
					$url = empty($urls[1]) ? $urls[0] : $site['URLR'] != 'on' ? $urls[0] : $urls[1];
					unset($urls);
					$navp = '<a href="'.$url.'">'.$imgPrev.'</a>&nbsp;&nbsp;';
				}
				if ($i < count($dbart) - 1) { // suivant
					ReadDoc($dbart[$i + 1][4]);
					$urls    = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
					$pg      = substr($urls[0], strpos($urls[0], 'pg=') + 3);
					$pos     = strpos($pg, '&');
					$pg      = $pos === false ? $pg : substr($pg, 0, $pos);
					$urls[0] = 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;mnuid='.$item[5].'&amp;tconfig='.$fieldmail;
					$urls[1] = $lng.'-'.$urlrw[20].'-103-'.$pg.'-'.$item[5].'-'.$fieldmail;
					$url = empty($urls[1]) ? $urls[0] : $site['URLR'] != 'on' ? $urls[0] : $urls[1];
					unset($urls);
					$navn = '&nbsp;&nbsp;<a href="'.$url.'">'.$imgNext.'</a>';
				}
			}
		}
		if ($navs != '') $navs .= '
				</optgroup>
			  </select>
			</form>';
		$nav = '
		  <div style="margin:auto; text-align:center;">'.$navp.$navs.$navn.'</div>';
	}
	return $nav;
}

$isdoc = count(SelectDBFields(TYP_ART, 'a', $pg)) == 1;
if ($isdoc) {
    ReadDoc($pg);
	$isdoc = isAuthorizedPublication($creadate);
	if ($isdoc) {
		$countit     = TRUE;
		$txtart1     = $lng == $lang[0] ? $fieldb1 : $fieldb2;
		$txtart2     = $lng == $lang[0] ? $fieldc1 : $fieldc2;
		$txtart3     = str_replace('|', '-', $lng == $lang[0] ? $fielda1 : $fielda2);
		$txtart4     = FormatDate($moddate);
		$txtart5     = FormatDate($creadate);
		$txtart6     = $fieldd2;
		$txtart9     = $fieldweb;
		$txtart10    = $fieldmail;
		$groupeprive = $fieldmod;
		$mnuid       = import('mnuid', '', true, 0);
		$txtart8     = $mnuid > 0 ? 'MNU '.$mnuid : $fieldd1;
		$categ       = GetOptionCateg($txtart8, $pg);
		$txtart3     = $categ == '' ? $txtart3 : str_replace('|', '-', $categ);
		$boxes       = GetOptionBoxes($txtart8, $pg);
		$txtart9     = $boxes == '' ? $txtart9 : $boxes;
		$menus       = SelectDBFieldsByField(ReadDBFields(DBMENUBOX), 4, $mnuid);
		$txtart11    = $lng == $lang[0] ? (!isset($menus[0][2]) ? '' : $menus[0][2]) : (!isset($menus[0][3]) ? '' : $menus[0][3]);
		$img         = getNewUpdateDoc($creadate, $moddate, $serviz[136]);
	}
}
if (!$isdoc) {
    $countit     = FALSE;
    $txtart1     = $web[35];
    $txtart2     = $web[36];
    $txtart3     = '';
    $txtart4     = $web[37];
    $txtart5     = $web[37];
	$txtart6     = '';
    $txtart8     = '';
    $txtart9     = '';
    $txtart10    = '';
    $txtart11    = '';
    $groupeprive = '';
	$img         = '';
    header('HTTP/1.0 404 Not Found');
}
$topmess = $txtart1;

if (!empty($txtart6)) {
    $topmess = '<img src="'.CHEMIN.'img/'.$txtart6.'" style="float:right" alt="" />'.$topmess;
}

switch($txtart9) {
case 'W' :
	$userprefs3 = '';
	$widepage = 'on';
	break;
case 'L' :
	$userprefs3 = 'L';
	break;
case 'R' :
	$userprefs3 = 'R';
	break;
default : 
	$userprefs3 = '';
	break;
}

$tconfig = import('tconfig', '', true, 0);
$tconfig = !isset($templates[$tconfig]) ? 0 : $tconfig;
include 'inc/hpage.inc';
if ($members[0] == 'on' && $userprefs[1] == '' && $members[1] == 'on') {
    htable($topmess, '100%');
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
    btable();
}
else {
    if (!isAccessGranted($groupeprive)) {
        htable($topmess, '100%');
        echo '
<p style="text-align:center;"><br><br>'.$web[444].'<br /><br /></p>';
    } else {
		$urltitre = $site['URLR'] == 'on'? $lng.'-'.$urlrw[20].'-102-'.$pg.'-'.$tconfig: 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;tconfig='.$tconfig;
        htable($img.'<a href="'.$site[3].$urltitre.'" title="'.$web[511].'">'.$topmess.'</a>', '100%');
        if ($prt != -1 && $prt != 1) {
			if ($serviz[60] == 'on') {
				$rssartsurl = $site[3].($site['URLR'] == 'on'? DATAREP.$lng.'-'.$urlrw[19].'-28': sprintf(RSSART, $lng));
				echo '
<span class="pop" style="width:64px;">
  <a href="'.$rssartsurl.'" target="_blank">
    <img src="'.CHEMIN .$reptheme.'/rssguppy.png" style="border:0;vertical-align:bottom;"  alt="rss" />
    <span style="top:30px;"><em></em>'.$web[406].' : <br /><b> '.$rssartsurl.'</b></span>
  </a>
</span>
<br />';
			}
        }
        if (!empty($txtart2)) {
            echo '
<div style="padding: 6px;"><hr />'.$txtart2.'</div>';
			if ($serviz[113] != 'on') {
				$keywords = GetKeywords($pg);
				if (trim($keywords) != '') {
					echo '
<fieldset>'.legend($web[641]).$keywords.'</fieldset>';
				}
			}
            echo '
<hr />
<div style="width:100%">';
			if ($prt == 0 && $serviz[105] == 'on') {
				include CONFIGREP.'sncode.inc';
				if (!empty($coders))
					echo '
  <div style="padding-top:4px;">'.$coders.'</div>';
			}
			$artcounter = $serviz[33] == 'on' ? UpdateDocCounter($pg) : 0;
			$svz = 0;
            if ($countit) {
				if ($serviz[64] == '' || $serviz[65] == '' || $serviz[66] == '' || $serviz[67] == '') {
					$svz++;
					echo '
  <div style="float:left; width:44%; padding-left:12px; font-size:smaller;">';
					if ($serviz[64] == '') {
						echo '
'.$web[95].' <b>'.$txtart5.'</b><br />';
					}
					if ($serviz[65] == '') {
						echo '
'.$web[20].' <b>'.$txtart4.'</b><br />';
					}
					if ($serviz[66] == '') {
						echo '
'.$web[21].' <b>'.$txtart11.' - '.$txtart3.'</b><br />';
					}
					if ($serviz[67] == '' && $serviz[33] == 'on') {
						$txtcount = $artcounter < 2 ? $web[188] : $web[189];
						echo '
'.$web[190].' <b>'.$artcounter.' '.$txtcount.'</b><br />';
					}
					echo '
  </div>';
				}
				if ($prt == 0 && ($serviz[102] == '' || $serviz[68] == '')) {
					echo '
  <div style="float:left; width:'.($svz == 0 ? '100%' : '54%').';">';
					if ($serviz[102] == '') {
						$svz++;
						$navbar = ArtNavbar($txtart8, $txtart3, $txtart1);
						if ($navbar != '') {
							echo '
    <div style="margin:4px; text-align:center;">'.$navbar.'</div>';
						}
					}
					if ($serviz[68] == '') {
						$svz++;
						echo '
	<div  style="margin:4px; text-align:center; vertical-align:middle;">
      <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[20].'-1001-'.$pg.'--1': 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=-1').'" target="_blank"><img src="'.$reptheme.'/look.png"  style="width:16px;height:15px;" alt="'.$web[264].'" title="'.$web[264].'" />&nbsp;'.$web[264].'</a>
      &nbsp;
      <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[20].'-1001-'.$pg.'-1': 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=1').'" target="_blank"><img src="'.$reptheme.'/print.png" style="width:16px;height:15px;" alt="'.$web[22].'" title="'.$web[22].'" />&nbsp;'.$web[22].'</a>
    </div>';				
					}
				echo '
  </div>';
				}
			}
			echo '
  <div style="clear:both;"></div>
</div>';
			if ($countit && $svz > 0)
				echo'
<hr />';
			if ($countit && $prt == 0 && (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31] == $userprefs[1]) || ($serviz[32] == 'on' && $drtuser[15] == 'on'))) {
				echo '
<div style="text-align:right;">
  <a href="admin/admin.php?lng='.$lng.'&amp;pg=art&amp;form=2&amp;id='.$pg.'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
  <a href="admin/admin.php?lng='.$lng.'&amp;pg=art&amp;act=i&amp;id='.$pg.'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
  <a href="admin/admin.php?lng='.$lng.'&amp;pg=art&amp;del='.$pg.'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a>
</div>';
			}			
        }
        else {
            $countit = false;
        }
        if ($serviz[29] != '2' && $countit) {
            if ($prt == 0) {
				echo '<br />';
                include 'inc/boxreact.inc';
            }
        }
    }
}

btable();
include 'inc/bpage.inc';
?>
