<?php
/*******************************************************************************
 *   Blog
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[27] != 'on') {
    exit($web[143]);
}

$max_height = '72'; // max height of the items summary
$longword   = 300;
if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) $userprefs3 = BOX_LEFT;
$widepage = $serviz[58];
$tconfig  = $widepage == '' ? (in_array($serviz[131], array_keys($templates)) ? $serviz[131] : 0) : 0;
$topmess  = getLabel($nom[$lng == $lang[0]? 42: 43]);
$topmess .= ' - '.$web[402];

ReadDoc($id);
if ($lng == $lang[0]) {
    $rssurl = $fieldb1;
    $rsstxt = $fielda1;
}
else {
    $rssurl = $fieldb2;
    $rsstxt = $fielda2;
}
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/blog.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
include 'inc/hpage.inc';
htable($topmess,'100%');

if ($widepage == "on") {
    include CHEMIN.'inc/topblog.inc';
}

echo '
<table style="width:98%;">
  <tr>';
if ($widepage == 'on' || $userprefs3 != BOX_LEFT) {
    echo '
    <td id="BlogLeftBoxes" style="padding:4px;vertical-align:top;">';
    if ($widepage == "on") {
        echo fbox_blogcat()
            .fbox_bloglast()
            .fbox_blogcom();
    } else {
        echo fbox_blogcat()
            .fbox_bloglast()
            .fbox_blogcom()
            .fbox_blogcal()
            .fbox_blogrss();
    }
    echo '
    </td>';
}
echo '
    <td style="width:100%;vertical-align:top;padding:0px 4px 4px 4px;">';

// affichage blog rss ---------------------------------
include_once 'inc/lastRSS.inc';
$rss = new lastRSS;
$rss->cache_dir = substr(CACHEREP,0,strlen(CACHEREP)-1);
$rss->cache_time = $serviz[39];
$rs = $rss->Get($rssurl);
if (FALSE !== $rs) {
    $cpin  = strtoupper($rs['encoding']);
    $cpout = strtoupper($charset);
    if ($cpin == $cpout) {
        function MyIConv($txt) { return $txt; }
    } else {
        function MyIConv($txt) {
            global $cpin, $cpout;
            return iconv($cpin, $cpout, $txt);
        }
    }
	
    if (isset($rs['image_url']) && $rs['image_url'] != '') {
        echo '
      <div style="text-align:center;"><img src="'.$rs['image_url'].'" alt="" title="" /></div>';
    }
    echo '
      <p class="forum">
        <a href="'.$rs['link'].'" target="_blank"><b>'.MyIConv($rs['title']).'</b></a>
      </p>
      <br />
      <p><b>'.html_entity_decode(MyIConv($rs['description']), ENT_QUOTES, $charset).'</b></p>
      <hr style="width:10%" />';
    foreach($rs['items'] as $item) {
        if ($item['title'] == '' && $item['link'] == '') {
            $txt = '';
        }
        elseif ($item['title'] == '') {
            $txt = '
      <a href="'.$item['link'].'" target="_blank" title="">'.$item['link'].'</a>
      <br /><br />';
        }
        elseif ($item['link'] == "") {
            $txt = '
      <u>'.MyIConv($item['title']).'</u>
      <br /><br />';
        }
        else {
            $txt = '
      <a href="'.$item['link'].'" target="_blank" title="'.$web[296].'">'.MyIConv($item['title']).'"</a>
      <br /><br />';
        }
        $desc = html_entity_decode(MyIConv($item['description']), ENT_QUOTES, $charset);
        $txt1 = '
      <b>
'.$txt.'
      </b>'.$desc;
        if (strlen($desc) >= $longword) {
            echo '
      <div id="texte2'.$i.'" class="rep" style="margin: 0px; padding:2px">
      <div class="rep" style="height:'.$max_height.'px; overflow:hidden;">'.$txt1.'</div>
        <p style="text-align:right">
          <a href="javascript:cache(\'texte2'.$i.'\');montre(\'texte1'.$i.'\');" class="box" title="'.$web[296].'">
            '.$web[505].' <img src="'.$reptheme.'/open.png" alt="'.$web[296].'" title="'.$web[296].'" />
          </a>
        </p>
      </div>
      <div id="texte1'.$i.'" class="bord" style="display:none; margin: 2px; padding: 10px 5px 5px 5px">'.$txt1.'
        <p style="text-align:right;cursor:pointer;">
          <img src="'.$reptheme.'/close.png" alt="'.$web[57].'" title="'.$web[57].'" onclick="cache(\'texte1'.$i.'\');montre(\'texte2'.$i.'\')" />
        </p>
      </div>';
        }
        else{
            echo '
      <div class="rep">'.$txt1.'</div>';
        }

        if ($item['pubDate'] != '') {
            echo '
      <span style="color:#999">('.FormatDate($item['pubDate']).')</span>';
        }
        echo '
      <hr />';
        $i++;
    }
    $modfl = @filemtime(CACHEREP.'rsscache_'.md5($rssurl));
    if ($modfl == false) {
        $txt = $web[261];
    }
    else {
        $txt = $web[263].' <b>'.FormatDateStamp($modfl).'</b>';
    }
    echo '
      <p>'.$txt.'</p>';
}
else {
    echo '
      <p>'.$web[262].' '.$rssurl.'</p>';
}
// fin rss ----------------------------------------
echo '
    </td>';
if ($widepage == 'on' || $userprefs3 == BOX_LEFT) {
    echo '
    <td id="BlogRightBoxes" style="padding:4px;vertical-align:top;">';
    if ($widepage == "on") {
        echo fbox_blogcal()
            .fbox_blogrss();
    } else {
        echo fbox_blogcat()
            .fbox_bloglast()
            .fbox_blogcom()
            .fbox_blogcal()
            .fbox_blogrss();
    }
    echo '
    </td>';
}
echo '
  </tr>
</table>';
btable();
include CHEMIN.'inc/bpage.inc';
?>
