<?php
/*******************************************************************************
 *   Form Advanced contact
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

$crypt   = isset($_POST['crypt']) ? strip_tags($_POST['crypt']) : NULL;
$cryptok = (!$crypt) ? false : chk_crypt($crypt);

$ctconfig = import('ctconfig');
$ctconfig = empty($ctconfig) ? 'ctconfig' : $ctconfig;
if (is_file(CONFIGREP.$ctconfig.'.inc')) {
    include CONFIGREP.$ctconfig.'.inc';
} else {
    die('STOP ! Config file not found !');
}

function FindIndexDBFields($fic, $submit0, $submit1, $submit2) {
    if (FileDBExist($fic)) {
        $DataDB = ReadDBFields($fic);
        for ($i = 0; $i < count($DataDB); $i++) {
            if (@stristr($DataDB[$i][0],$submit0)
            &&  @stristr($DataDB[$i][1],$submit1)
            &&  @stristr($DataDB[$i][2],$submit2)) {
                return $i;
            }
        }
    }
    return FALSE;
}

define('PATH_PGEDITOR', 'inc/pgeditor/');
define('PATH_CONFIG_PGEDITOR','inc/config_pgeditor_guppy/'); //Chemin relatif du fichier de configuration de l'éditeur
define('TOOLBAR_MENU', 'color|bgcolor|bold|italic|underline|left|center|right|link|unlink|ordlist|bullist|undo|redo|smiley|preview|help');
if ($userprefs[11] == 'on') define('WYSIWYG', false);
include CHEMIN.PATH_PGEDITOR.'pgeditor.php';

$t = ($lng == $lang[0]) ? 0 : 10 ;
$n = ($lng == $lang[0]) ? 3 : 4 ;

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var messok = "";
    var erreur = false;

    if (document.rapporter.form1.value == "") {
        sto += "  - '.addslashes($web[40]).'\n";
		document.rapporter.form1.className = "errorInputText";
        erreur = true;
    } else {
        regexp = /^[a-zA-Z0-9_]{2,20}$/;
        if (!regexp.test(document.rapporter.form1.value)) {
            sto += "  - '.addslashes($web[266]).'\n";
			document.rapporter.form1.className = "errorInputText";
            erreur = true;
        }
    }
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.rapporter.form2.value)) {
        sto += "  - '.addslashes($web[42]).'\n";
		document.rapporter.form2.className = "errorInputText";
        erreur = true;
    }';
for ($i = 1; $i <= 6; $i++) {
    if ($chtxt[$i] == 'fix') {
        $headinc .= '
    if (document.rapporter.text'.$i.'.value == "") {
        sto += "  - '.addslashes($web[545].$ftxt[$i + $t].$web[546]).'\n";
		document.rapporter.text'.$i.'.className = "errorInputText";
        erreur = true;
    }';
    }
}
if ($chsel[0] == 'fix') 
    $headinc .= '
    if (document.rapporter.sel0.value == "???") {
        sto += "  - '.addslashes($web[545].$fsel[0 + $t].$web[549]).'\n";
		document.rapporter.sel0.className = "errorInputText";
        erreur = true;
    }';
if ($chrad[0] == 'fix') 
    $headinc .= '
    if (document.rapporter.rad0.value == "") {
        sto += "  - '.addslashes($web[545].$frad[0 + $t].$web[549]).'\n";
        erreur = true;
    }';
if ($chchk[0] == 'fix') {
    $chk = '';
    for ($i = 1; $i <= 4; $i++) {
        if ($fchk[$i + $t] != '') $chk .= '!document.rapporter.chk'.$i.'.checked && ';
    }
    $chk = substr($chk, 0, -3);
    $headinc .= '
    if ('.$chk.') {
        sto += "  - '.addslashes($web[545].$fchk[0 + $t].$web[550]).'\n";
        erreur = true;
    }';
}
$headinc .= "\n    ".validJSCodePGEditor("rapporter", "ptxt", "validation");
$headinc .= '
    if (!validation) {
        sto += "  - '.addslashes($web[43]).'\n";
        erreur = true;
    }';
if ($serviz[100] != '0' && ($serviz[98] == '' || $userprefs[1] == '')) {
	$headinc .= '
	regexp = /^[a-zA-Z0-9_]{2,20}$/;
	if (!regexp.test(document.rapporter.crypt.value)) {
		sto += "  - '.addslashes($web[529]).'\n";
		document.rapporter.crypt.className = "errorInputText";
		erreur = true;
	}';
}
$headinc .= '
    if (erreur) {
        sto = "'.addslashes($web[44]).'\n\n" + sto;
        alert(sto);
    return false;
    }
}'.EndJavascript();

if (import('act', 'GET') != NULL) die('STOP ! Variable $act : illegal origine !');
$act       = import('act', 'POST');
$antispam  = import('antispam');
$ctrl_spam = import('code_pseudo', 'POST');
            
$form0 = import('form0');
$form1 = import('form1');
$form2 = import('form2');
$text1 = import('text1');
$text2 = import('text2');
$text3 = import('text3');
$text4 = import('text4');
$text5 = import('text5');
$text6 = import('text6');
$sel0  = import('sel0');
$rad0  = import('rad0');
$chk1  = import('chk1');
$chk2  = import('chk2');
$chk3  = import('chk3');
$chk4  = import('chk4');
$chkar = import('chkar');

$ptxt = recupCodePGEditor('ptxt');
$ptxt = parseCodePGEditor($ptxt);
$ptxt = ForceToAbsolute(stripslashes($ptxt));
if (empty($ptxt) || !empty($ctrl_spam)) $act = null;

$topmess = $web[534];
$okmail  = false;
$typ     = TYP_MAIL;

$err_form1  = empty($form1) && $act == 'send';
$err_form11 = !$err_form1 && 1 != preg_match('/^[a-zA-Z0-9_]{2,20}$/', $form1) && $act == 'send';
$err_form2  = (empty($form2) || 1 != preg_match('/^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/', $form2)) && $act == 'send';
$err_txt1   = $chtxt[1] == 'fix' && empty($text1) && $act == 'send';
$err_txt2   = $chtxt[2] == 'fix' && empty($text2) && $act == 'send';
$err_txt3   = $chtxt[3] == 'fix' && empty($text3) && $act == 'send';
$err_txt4   = $chtxt[4] == 'fix' && empty($text4) && $act == 'send';
$err_txt5   = $chtxt[5] == 'fix' && empty($text5) && $act == 'send';
$err_txt6   = $chtxt[6] == 'fix' && empty($text6) && $act == 'send';
$err_crypt  = $serviz[100] != '0' && ($userprefs[1] == '' || $serviz[98] == '') && !$cryptok && $act == 'send' ? true: false;

$erreur  = '';
$erreur .= $err_form1 ? '<li>'.$web[40].'</li>': '';
$erreur .= $err_form11 ? '<li>'.$web[266].'</li>': '';
$erreur .= $err_form2 ? '<li>'.$web[42].'</li>': '';
$erreur .= $err_txt1 ? '<li>'.$web[545].$ftxt[1 + $t].$web[546].'</li>': '';
$erreur .= $err_txt2 ? '<li>'.$web[545].$ftxt[2 + $t].$web[546].'</li>': '';
$erreur .= $err_txt3 ? '<li>'.$web[545].$ftxt[3 + $t].$web[546].'</li>': '';
$erreur .= $err_txt4 ? '<li>'.$web[545].$ftxt[4 + $t].$web[546].'</li>': '';
$erreur .= $err_txt5 ? '<li>'.$web[545].$ftxt[5 + $t].$web[546].'</li>': '';
$erreur .= $err_txt6 ? '<li>'.$web[545].$ftxt[6 + $t].$web[546].'</li>': '';
$erreur .= $err_crypt ? '<li>'.$web[529].'</li>': '';

if ($act == 'send' && empty($erreur)) { // envoi du mail
    if ($chfic[0] != "0") {
        $okmail = true;
        for ($f = 0; $f < $chfic[0]; $f++) {
            if ($_FILES["fil_in$f"]['name'] != '') {
                $fichier = basename($_FILES["fil_in$f"]['name']);
                if (!is_uploaded_file($_FILES["fil_in$f"]['tmp_name'])) { 
                    $erreur .= '- '.$fichier." : ".$web[547].'\n';
                    $okmail = false;
                }
            }
        }
    }
	$index = FindIndexDBFields(DBANTISPAM, $antispam, $_SERVER['REMOTE_ADDR'], $typ);
	if ($index === false) {
		if (is_file('inc/postguest_antispam.inc')) include 'inc/postguest_antispam.inc';
		die('STOP ! Anti-SPAM !');
	} else {
		DeleteDBFieldById(DBANTISPAM, $index);
		
		$fmail0 = $fdest[1];
		for ($d = 2; $d < count($fdest); $d++)
			if ($form0 == ($lang[0] == $lng ? $fname[$d] : $f2name[$d])) {
				$fmail0 = $fdest[$d];
				break;
			}
		
		$corps  = '<table style="width:100%;">';
		$corps .= '<tr><td style="width:30%;"><u>'.$web[330].'</u> : </td><td style="width:70%;">'.$form1.'</td></tr>'."\n";
		$corps .= '<tr><td><u> '.$web[13].'</u>&nbsp;</td><td><a href="mailto:'.$form2.'">'.stripslashes($form2).'</a></td></tr>'."\n";
		$corps .= '<tr><td colspan="2"><hr /></td></tr>'."\n";
    // zones texte 1 à 3
		if ($text1) $corps .= '<tr><td><u> '.$ftxt[1 + $t].'</u> : </td><td>'.stripslashes($text1).'</td></tr>'."\n";
		if ($text2) $corps .= '<tr><td><u> '.$ftxt[2 + $t].'</u> : </td><td>'.stripslashes($text2).'</td></tr>'."\n";
		if ($text3) $corps .= '<tr><td><u> '.$ftxt[3 + $t].'</u> : </td><td>'.stripslashes($text3).'</td></tr>'."\n";
    //zone select
        if ($sel0 != '') $corps .= '<tr><td><u> '.$fsel[0 + $t].'</u> : </td><td>'.stripslashes($sel0).'</td></tr>'."\n";
    //zone boutons radio
		if ($rad0) $corps .= '<tr><td><u> '.$frad[0 + $t].'</u> : </td><td>'.stripslashes($rad0).'</td></tr>'."\n";
    // zone cases à cocher
		if ($chchk[0] != '' && $chk1 || $chk2 || $chk3 || $chk4) {
			$corps .= '<tr><td style="vertical-align:top"><u> '.$fchk[0 + $t].'</u> : </td><td>'."\n";
			if ($chk1) $corps .= '<span style="text-align:right;">- '.$fchk[1 + $t].'</span><br />'."\n";
			if ($chk2) $corps .= '<span style="text-align:right;">- '.$fchk[2 + $t].'</span><br />'."\n";
			if ($chk3) $corps .= '<span style="text-align:right;">- '.$fchk[3 + $t].'</span><br />'."\n";
			if ($chk4) $corps .= '<span style="text-align:right;">- '.$fchk[4 + $t].'</span><br />'."\n";
			$corps .= '</td></tr>'."\n";
		}
    // zones texte 4 à 6
		if ($text4) $corps .= '<tr><td><u> '.$ftxt[4 + $t].'</u> : </td><td>'.stripslashes($text4).'</td></tr>'."\n";
		if ($text5) $corps .= '<tr><td><u> '.$ftxt[5 + $t].'</u> : </td><td>'.stripslashes($text5).'</td></tr>'."\n";
		if ($text6) $corps .= '<tr><td><u> '.$ftxt[6 + $t].'</u> : </td><td>'.stripslashes($text6).'</td></tr>'."\n";
    // zone message
        $corps .= '<tr><td colspan="2"><hr /><u> '.$web[552].'</u> :<br />'.$ptxt.'</td></tr></table>'."\n";
    // entête du mail
		$delimiteur = '-----='.md5(uniqid(rand()));
		$entete = "MIME-Version: 1.0\n";
		$entete .= "Content-Type: multipart/mixed; boundary=\"$delimiteur\"\n";
    // confection de l'email
		$msg1  = "Ceci est un message au format MIME 1.0 multipart/mixed.\n";
		$msg1 .= "--$delimiteur\n";
		$msg1 .= "Content-Type: text/html; charset=\"utf-8\"\n";
		$msg1 .= "Content-Transfer-Encoding:8bit\n";
		$msg1 .= "\n";
		$msg2  = '';
		if ($chfic[0] != '0') {
			for ($f = 0; $f < $chfic[0]; $f++) {
				if ($_FILES["fil_in$f"]['name'] != '') {
					$fichier = basename($_FILES["fil_in$f"]['name']);
					$fp = fopen($_FILES["fil_in$f"]['tmp_name'], 'rb');
					$fichierjoint = fread($fp, filesize($_FILES["fil_in$f"]['tmp_name']));
					fclose($fp);
					$fichierjoint = chunk_split(base64_encode($fichierjoint));
					$msg2 .= "--$delimiteur\n";
					$msg2 .= "Content-Type: application/octet-stream; name=\"$fichier\"\n";
					$msg2 .= "Content-Transfer-Encoding: base64\n";
					$msg2 .= "Content-ID: <image1>\n";
					$msg2 .= "\n";
					$msg2 .= $fichierjoint . "\n";
					$msg2 .= "\n";
				}
			}
		}
		$msge = $msg1.$corps.$msg2;
		$msobj = $web[330].stripslashes($site[($lang[0] == $lng ? 0 : 11)]);
    // envoi de l'email
		if ($fdest[0] != '') $form2 = $form2."\nCc: ".$fdest[0];
		if ($chkar != '') $form2 = $form2."\nDisposition-Notification-To: ".$form2;
		if (mail($fmail0, $msobj, $msge, "From: ".$form2."\n".$entete)) {
			$okmail = true;
		} else {
			$okmail = false;
			echo BeginJavascript().'
alert("'.addslashes($web[44]).'\n\n - '.addslashes($web[551]).'");
			'.EndJavascript();
		}
	}
}
else {
    $antispam = md5(uniqid(rand()));
    $antispams = ReadDBFields(DBANTISPAM);
    $timestamp = microtime(TRUE);
    array_push($antispams, array($antispam, $_SERVER['REMOTE_ADDR'], TYP_MAIL, $timestamp));
    $timestamp -= $serviz[52] * 60;
    while($antispams[0][3] < $timestamp) {
        array_shift($antispams);
    }
    if (count($antispams) > $serviz[51]) {
        array_shift($antispams);
    }
    WriteDBFields(DBANTISPAM, $antispams);
}

include 'inc/hpage.inc';
htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && $members[20] == 'on') {
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
} else {
    if ($okmail) {
        if ($chfic[0] != 0) $corps .= '<hr />';
        for ($f = 0; $f < $chfic[0]; $f++) {
            if ($_FILES['fil_in'.$f]['name']) $corps .= '<u>PJ:</u> '.$_FILES['fil_in'.$f]['name'].'<br />';
        }
        echo '
    <div style="text-align:left; padding:8px;">
      <p>'.$web[539].'</p>
      <div class="rep bord" style="text-align:center;width:90%; padding:8px;margin:0 auto;">'.stripslashes($corps).'</div>
      <p style="text-align:left">'.$web[540].'</p>
    </div>';
    } else {
        function msgtext($check, $name, $texte, $ftexte, $err_txt) {
			global $fix, $charset;
            if ($check == 'fix') $ftexte .= $fix;
            echo '
          <tr><td style="width:50%;">'.$ftexte.' : </td>
          <td style="text-align:left;padding-left:40px;">
          <input class="'.($err_txt ? 'errorInputText' : 'texte').'" type="text" name="'.$name.'" value="'.htmlentities(stripslashes($texte), ENT_QUOTES, $charset).'" style="width:224px;" /><br />
          </td></tr>';
        }

		if (!empty($erreur))
			echo displayErrorMsg($web[542], $erreur);
        
        echo '
    <div style="text-align:center;">';
    // contact téléphonique
        if ($ftel[0] == 'on') {
            echo '  
    <div style="width:100%;text-align:left;">'.ForceToAbsolute(stripslashes($ftel[1 + $t])).'</div>';
        }
    // contact par courrier
        if ($flet[0] == 'on') {
            echo '
    <div style="width:100%;text-align:left;">'.ForceToAbsolute(stripslashes($flet[1 + $t])).'</div>';
        }
    // contact par mail
        echo '
    <div style="text-align:center;margin:auto;width:100%;">
      <form name="rapporter" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[2]: 'contact.php?lng='.$lng).'" enctype="multipart/form-data" method="post" onsubmit="return VerifyForm(); return false;">
      <fieldset><legend style="text-align:left;font-size: medium;">&bull; '.$web[541].'</legend>
        <input type="hidden" name="antispam" value="'.$antispam.'" />
        <input type="hidden" name="act" value="send" />
        <table style="width:440px;margin:auto;text-align:left;">
          <tr><td colspan="2" style="text-align:center;"><p>'.$web[45].'</p><span style="display:none;"><input type="text" name="code_pseudo" value="" /></span></td></tr>
          <tr><td colspan="2"><span style="text-align:left">(*) '.$web[543].'</span></td></tr>';
        $fix = ' <span> (*)</span>';
    // choix destinataire
        if (!isset($fdest[2])) { // si 1 seul destinataire pas de select
            echo '
          <tr><td colspan="2"><input type="hidden" name="form0" value="'.htmlentities($lang[0] == $lng ? $fname[1] : $f2name[1], ENT_QUOTES, $charset).'" /></td></tr>';
        } else {
            echo '
          <tr><td style="width:50%;padding:0 0 16px 0;">'.htmlentities($lang[0] == $lng ? $fname[0] : $f2name[0], ENT_QUOTES, $charset).' : </td>
          <td style="text-align:left;padding:0 0 16px 40px;">
            <select name="form0" style="width:228px;">';
			for ($d = 1; $d < count($fdest); $d++) {
                echo '
              <option value="'.htmlentities($lang[0] == $lng ? $fname[$d] : $f2name[$d], ENT_QUOTES, $charset).'"'.Selected($form0 == ($lang[0] == $lng ? $fname[$d] : $f2name[$d])).'>'.($lang[0] == $lng ? $fname[$d] : $f2name[$d]).'</option>';
			}
            echo '
			</select>
        </td></tr>';
        }
    // expéditeur
        $form1 = (!isset($form1) && $userprefs[1] != '') ? $userprefs[1] : $form1;
        $form2 = (!isset($form2) && $userprefs[2] != '') ? $userprefs[2] : $form2;
        echo '
          <tr><td style="width:50%;">'.$fmail[1 + $t].$fix.' :</td>
          <td style="width:50%;text-align:left;padding-left:40px;">
          <input class="'.($err_form1 || $err_form11 ? 'errorInputText' : 'texte').'" type="text" name="form1" value="'.htmlentities(stripslashes($form1), ENT_QUOTES, $charset).'" style="width:224px;" />
          </td></tr>
          <tr><td style="width:50%;padding:0 0 16px 0;">'.$fmail[2 + $t].$fix.' :</td>
          <td style="text-align:left;padding: 0 0 16px 40px;">
          <input class="'.($err_form2 ? 'errorInputText' : 'texte').'" type="text" name="form2" value="'.stripslashes($form2).'" style="width:224px;" />
          </td></tr>';
    // zones texte 1 à 3
        if ($chtxt[1] != '') msgtext ($chtxt[1], 'text1', $text1, $ftxt[1 + $t], $err_txt1);
        if ($chtxt[2] != '') msgtext ($chtxt[2], 'text2', $text2, $ftxt[2 + $t], $err_txt2);
        if ($chtxt[3] != '') msgtext ($chtxt[3], 'text3', $text3, $ftxt[3 + $t], $err_txt3);
    // zone select
        if ($chsel[0] != '') {
            if ($chsel[0] == 'fix') $fsel[0 + $t] .= $fix;
            echo '
          <tr><td style="width:50%;">'.$fsel[0 + $t].' : </td>
          <td style="text-align:left;padding-left:40px;">
            <select name="sel0" style="width:228px;">
              <option value="???">???</option>';
            if ($fsel[1]) {
                echo '
              <option value="'.$fsel[1 + $t].'"'; 
                if ($sel0 == $fsel[1 + $t]) echo ' selected="selected"'; 
                echo '> '.$fsel[1 + $t].'</option>';
            }
            if ($fsel[2]) {
                echo '
              <option value="'.$fsel[2 + $t].'"'; 
                if ($sel0 == $fsel[2 + $t]) echo ' selected="selected"'; 
                echo '> '.$fsel[2 + $t].'</option>';
            }
            if ($fsel[3]) {
                echo '
              <option value="'.$fsel[3 + $t].'"'; 
                if ($sel0 == $fsel[3 + $t]) echo ' selected="selected"'; 
                echo '> '.$fsel[3 + $t].'</option>';
            }
            if ($fsel[4]) {
                echo '
              <option value="'.$fsel[4 + $t].'"'; 
                if ($sel0 == $fsel[4 + $t]) echo ' selected="selected"'; 
                echo '> '.$fsel[4 + $t].'</option>';
            }
            echo '
            </select>';
            echo '
          </td></tr>';
        }
    // zone boutons radio
        if ($chrad[0] != '') {
            echo '
          <tr><td colspan="2">&nbsp;</td></tr>';
            if ($chrad[0] == 'fix') $frad[0 + $t] .= $fix;
            echo '
          <tr><td style="width:50%;vertical-align:top;">'.$frad[0 + $t].' : </td>
          <td style="padding-left:40px;">';
            if ($frad[1]) {
                echo '
          <input type="radio" name="rad0" value="'.$frad[1 + $t].'"'; 
                if ($rad0 == $frad[1 + $t]) echo ' checked="checked"';
                echo ' /> '.$frad[1 + $t].'<br />';
            }
            if ($frad[2]) {
                echo '
          <input type="radio" name="rad0" value="'.$frad[2 + $t].'"'; 
                if ($rad0 == $frad[2 + $t]) echo ' checked="checked"';
                echo ' /> '.$frad[2 + $t].'<br />';
            }
            if ($frad[3]) {
                echo '
          <input type="radio" name="rad0" value="'.$frad[3 + $t].'"'; 
                if ($rad0 == $frad[3 + $t]) echo ' checked="checked"';
                echo ' /> '.$frad[3 + $t].'<br />';
            }
            if ($frad[4]) {
                echo '
          <input type="radio" name="rad0" value="'.$frad[4 + $t].'"'; 
                if ($rad0 == $frad[4 + $t]) echo ' checked="checked"';
                echo ' /> '.$frad[4 + $t].'<br />';
            }
            echo '
          </td></tr>';
        }
    // zone à cocher
        if ($chchk[0] != '') {
            echo '
          <tr><td colspan="2">&nbsp;</td></tr>';
            if ($chchk[0] == 'fix') $fchk[0 + $t] .= $fix;
            echo '
          <tr><td style="width:50%;vertical-align:top;">'.$fchk[0 + $t].' : </td>
          <td style="padding-left:40px;">';
            if ($fchk[1]) {
                echo '
          <input type="checkbox" name="chk1"'; 
               if ($chk1) echo ' checked="checked"'; 
               echo ' /> '.$fchk[1 + $t].'<br />';
            }
            if ($fchk[2]) {
                echo '
          <input type="checkbox" name="chk2"'; 
               if ($chk2) echo ' checked="checked"'; 
               echo ' /> '.$fchk[2 + $t].'<br />';
            }
            if ($fchk[3]) {
                echo '
          <input type="checkbox" name="chk3"'; 
               if ($chk3) echo ' checked="checked"'; 
               echo ' /> '.$fchk[3 + $t].'<br />';
            }
            if ($fchk[4]) {
                echo '
          <input type="checkbox" name="chk4"'; 
               if ($chk4) echo ' checked="checked"'; 
               echo ' /> '.$fchk[4 + $t].'<br />';
            }
            echo '
          </td></tr>';
        }
    //zones texte 4 à 6
        echo '
          <tr><td colspan="2">&nbsp;</td></tr>';
        if ($chtxt[4] != '') msgtext ($chtxt[4], 'text4', $text4, $ftxt[4 + $t], $err_txt4);
        if ($chtxt[5] != '') msgtext ($chtxt[5], 'text5', $text5, $ftxt[5 + $t], $err_txt5);
        if ($chtxt[6] != '') msgtext ($chtxt[6], 'text6', $text6, $ftxt[6 + $t], $err_txt6);
        echo '
        </table>
        <table style="margin:auto;width:490px;">
          <tr>
		    <td style="text-align:center;">';
    // zone du message
        $ptxt = addslashes($ptxt);
        echo '
          <p style="text-align:center"><br />'.$fmes[1 + $t].$fix.' :<br /><br /></p>';
        echo displayPGEditor('rapporter', 'ptxt', 490, 240, $ptxt).'<br />';
    // pièces jointes
        if ($chfic[0] != '0') {
            echo '
          <input type="hidden" name="MAX_FILE_SIZE" value="2000000" />'.$web[548].' :<br />';
            for ($f = 0; $f < $chfic[0]; $f++) {
                echo '
          <input class="texte" type="file" name="fil_in'.$f.'" size="40" value="" /><br />';
            }
        }
        if ($far != '') { // accusé de réception
            echo '<br />'.$web[544].' <input type="checkbox" name="chkar" />';
        }
		echo '
		    </td>
		  </tr>';
        if ($serviz[100] != '0' && $serviz[95] == 'on' && ($serviz[98] == '' || $userprefs[1] == '')) {
			$lbl = $serviz[100] == '3' ? $web[642] : '';
            echo '
          <tr><td style="text-align:center;">'.dsp_crypt(0, 1, 3, 2, $lbl, $serviz[115] == 'on' ? $web[643] : '').'</td></tr>
          <tr><td style="text-align:center;">'.($serviz[100] == '3' ? '' : $web[530]).$fix.'&nbsp;<input class="'.($err_crypt ? 'errorInputText' : 'texte').'" type="text" name="crypt" size="6" /></td></tr>';
        }
        echo '
          <tr><td style="text-align:center"><br />'.SubmitButton($web[52]).'</td></tr>
        </table>
      </fieldset>
      </form>
    </div>
    </div>';
    }
}
btable();
include 'inc/bpage.inc';
?>
