<?php
/*******************************************************************************
 *   Download
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[10] != 'on') {
    exit($web[143]);
}

$dbwork = array();
if (isset($pg) && !empty($pg)) {
    $dbwork = SelectDbFieldsByField(ReadDBFields(DBDNLOAD), 4, $pg);
	$isdoc  = (count($dbwork) != 0);
	if ($isdoc) {
		$isdoc = isAuthorizedPublication($dbwork[0][5]);
        if (!isAccessGranted($dbwork[0][6])) {
			header('HTTP/1.0 403 Forbidden');
        }
    }
    if (!$isdoc) {
        $dbwork = array();
        header('HTTP/1.0 404 Not Found');
        $web[38] = '';
    }
} else {
    $dbwork2 = ReadDBFields(DBDNLOAD);
    $dbwork1 = array_filter($dbwork2, 'IsNotEmptyTitle');
    foreach ($dbwork1 as $db) {
        if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
            $dbwork[] = $db;
        }
    }
    unset($dbwork1, $dbwork2);
}
sort($dbwork);

$topmess = strip_tags(getLabel($nom[$lng == $lang[0] ? 1 : 11]));
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/download.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
$tconfig = import('tconfig', '', true, 0);
include 'inc/hpage.inc';
htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && $members[7] == 'on') {
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
} else {
    echo '
<div style="text-align:center;">'.$web[38].'</div>';
 	if (empty($id)) {
        $id = 1;
    }
 	if (!empty($dbwork)) {
        $typeRubrique = TYP_DNLOAD;
        $imgOpen = 'dl.png';
        $imgClose = 'dl1.png';
        $subImgOpen = 'puce1.png';
        $subImgClose = 'puce2.png';
        $mawmenu = (count($dbwork)-($serviz[4]*($id-1))>$serviz[4])? $serviz[4] : count($dbwork)-($serviz[4]*($id-1)) ;
        echo BeginJavascript().'
var maxsub = '.$mawmenu.';'.EndJavascript();
        $rubr = '';
        $l = 0;
        if (3 == abs($prt)) {
            $id = 1;
            $serviz[4] = 99999;
        }
		$isNew = false;
        for ($i = $serviz[4]*($id-1); $i < Min($serviz[4]*$id, count($dbwork)); $i++) {
            ReadDoc($dbwork[$i][4]);
			$fc       = explode(CONNECTOR, $fieldd1);
			$file     = $fc[0];
			$checksum = $fc[1];
			$fieldd1  = $file;
			$img      = getNewUpdateDoc($creadate, $moddate, $serviz[143]);
			if ($img != '') $isNew = true;
            if ($lng == $lang[0]) {
                $txt1 = $img.$fieldb1;
                $txt2 = $fieldc1;
                $txt3 = $fielda1;
            } else {
                $txt1     = $img.$fieldb2;
                $txt2     = $fieldc2;
                $txt3     = $fielda2;
				$fc       = explode(CONNECTOR, $fieldd2);
				$file     = $fc[0];
				$checksum = $fc[1];
				$fieldd2  = $file;
                if (preg_match('![/.]!', $fieldd2)) $file =  $fieldd1;
            }
            $txt5 = '';
            $accessDenied = !isAccessGranted($fieldmod) || !isAuthorizedPublication($creadate) || ($checksum != '-1' && $checksum != md5(@file_get_contents(CHEMIN.$file)));
            $licence = '';
            if ($fieldweb != '') {
                $licence = $fieldweb;
            }
            elseif (!preg_match('![/.]!', $file)) {
                $licence = $fieldd2;
            }
            if ($licence != '') {
                $txt5 = $licence;
            }
            $txtcount = '';
            if ($serviz[35] == 'on') {
                $downcounter  = ReadDocCounter($dbwork[$i][4]);
                $txtcount = ($downcounter <= 1)? $web[188] : $web[189] ;
            }
            if (preg_match('!^(http|ftp)!i',$file)) {
                $size = @filesize($file);
                if ($size === false) {
                    $txt4 = '???';
                } else {
                    $txt4 = (($lng == 'fr')? number_format($size/1000, 2, ',', ' ') : number_format($size/1000, 2, '.', ' '));
                }
            } else {
                $txt4 = (($lng == 'fr')? number_format(@filesize(CHEMIN.$file)/1000, 2, ',', ' ') : number_format(@filesize(CHEMIN.$file)/1000, 2, '.', ' '));
            }
            if ($accessDenied){
                $txt4 = '';
                $txt2 = '
<p style="text-align:center;"><br><br>'.$web[445].'<br /><br /></p>';
            }
            if ($rubr != $txt3) {
                $rubr = $txt3;
                if ($l > 0) {
                    echo '
</div>';
                }
                if (trim($rubr) != "") {
                    $l++;
                    echo '
<div id="titreRubr'.$typeRubrique.$i.'" class="rubr" style="cursor:pointer;" onclick="MontreCacheItems(\'imgOpen'.$typeRubrique.$i.'\',\'imgClose'.$typeRubrique.$i.'\',\'itemsRubr'.$typeRubrique.$i.'\',\'itemsRubrSelect\');">
  <img id="imgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" style="display:none;" />
  <img id="imgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgClose.'" alt="'.$web[57].'" title="'.$web[57].'" style="display:inline;" />
  &nbsp;'.$rubr.'
</div>';
                    if (count($dbwork) == 1) {
                        echo '
<div id="itemsRubrSelect" style="display:block;">';
                    } else {
                        echo '
<div id="itemsRubr'.$typeRubrique.$i.'" style="display:block;">';
                    }
                }
            }
            $n = (count($dbwork)>$serviz[4])? $i-$serviz[4]*$id+$serviz[4] : $i ;
            if (!$accessDenied) {
				echo '
		<div id="titreSubRubr'.$typeRubrique.$i.'" class="rubr" style="cursor:pointer;" onclick="MontreCacheItems(\'subImgOpen'.$typeRubrique.$i.'\',\'subImgClose'.$typeRubrique.$i.'\',\'itemSubRubr'.$typeRubrique.$i.'\',\'itemSubRubrSelect\');">'."\n".'
			<div style="float:left;text-align:right;margin-left:20px !important; margin-left:12px; height:15px;">
				<img id="subImgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" style="display:none;margin-top:3px;" /> 
				<img id="subImgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgClose.'" alt="'.$web[57].'" title="'.$web[57].'" style="display:inline;margin-top:5px;" /> 
			</div>'."\n".'
			<div style="text-align:justify;padding-left:35px;"><a id="subRubr'.$typeRubrique.$i.'">'.$txt1.'</a></div>'."\n".'
  	</div>'."\n";
				echo '<div style="clear:both;"></div>';
            	if (count($dbwork) == 1) {
                    echo '
  <div class="bord2" id="itemSubRubrSelect" style="display:block;">';
            	} else {
            	   echo '
  <div class="bord2" id="itemSubRubr'.$typeRubrique.$i.'" style="display:block;">';
            	}
            	echo '
  <div class="rep" style="margin:5px">'.$txt2.'<hr />';
				echo '
    <p style="font-size: 11px;">'.basename($file).'<span style="margin:0px 20px;">('.$txt4.' '.$web[28].')</span> '.
    $web[191].'&nbsp;'.$downcounter.'&nbsp;'.$txtcount;
				if ($prt == 0) {
					if (in_array( strrchr($file, '.'), array('.php', '.inc', '.css', '.htm', '', '.pdf', '.txt'))) {
						echo '
      <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].($txt5 == ''? '-2': '-3').'-0-'.$dbwork[$i][4].($txt5 != '' ? '-'.$txt5: ''): 'dwnld.php?lng='.$lng.'&amp;delay=0&amp;pg='.$dbwork[$i][4].($txt5 != ''? '&amp;li='.$txt5: '')).'"
        onclick="PopupWindow(\''.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].($txt5 == ''? '-2': '-3').'-0-'.$dbwork[$i][4].($txt5 != ''? '-'.$txt5: ''): 'dwnld.php?lng='.$lng.'&amp;delay=0&amp;pg='.$dbwork[$i][4].($txt5 != ''? '&amp;li='.$txt5: '')).'\',\'dnload\',800,600,\'yes\',\'yes\');return false;"
        title="'.$web[362].'" style="margin:0px 15px;" target="_blank">';
					} else {
						echo '
      <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].($txt5 == '' ? '-2': '-3').'-5-'.$dbwork[$i][4].($txt5 != '' ? '-'.$txt5: ''): 'dwnld.php?lng='.$lng.'&amp;delay=5&amp;pg='.$dbwork[$i][4].($txt5 != ''? '&amp;li='.$txt5: '')).'"
        onclick="PopupWindow(\''.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].($txt5 == ''? '-2': '-3').'-5-'.$dbwork[$i][4].($txt5 != '' ? '-'.$txt5: ''): 'dwnld.php?lng='.$lng.'&amp;delay=5&amp;pg='.$dbwork[$i][4].($txt5 != ''? '&amp;li='.$txt5: '')).'\',\'dnload\',540,340,\'no\',\'no\');return false;"
        title="'.$web[362].'" style="margin:0px 15px;" target="_blank">';
					}
					echo '
        <img src="'.$reptheme.'/download.png" alt="'.$web[362].'" title="'.$web[362].'"  style="vertical-align:middle;" />
      </a>';
					echo '
      <span style="float:right;">';
					echo '<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].'-4-'.$dbwork[$i][4].'-'.$tconfig: $site['DN'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;tconfig='.$tconfig).'"><img src="'.$reptheme.'/hyperlink.png" alt="'.$web[527].'" title="'.$web[527].'"  style="vertical-align:middle;" /></a>&nbsp;';
					if (empty($serviz[77])) {
						echo '
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].'-5-'.$dbwork[$i][4].'--1': $site['DN'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;prt=-1').'" target="_blank"><img src="'.$reptheme.'/look.png" alt="'.$web[264].'" title="'.$web[264].'"  style="vertical-align:middle;" /></a>&nbsp;
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].'-5-'.$dbwork[$i][4].'-1': $site['DN'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;prt=1').'" target="_blank"><img src="'.$reptheme.'/print.png" alt="'.$web[22].'" title="'.$web[22].'"  style="vertical-align:middle;" /></a>&nbsp;';
					}
					echo '
      </span>';
				}
                echo '<br />md5='.$checksum.'
    </p>
  </div>';
                if ($prt == 0 && ($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[19] == 'on')) {
                    echo '
  <div style="text-align:right;cursor:pointer;">
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=dnload&amp;form=2&amp;id='.$dbwork[$i][4].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=dnload&amp;act=i&amp;id='.$dbwork[$i][4].'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=dnload&amp;del='.$dbwork[$i][4].'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a>
  </div>';
                }
                echo '
</div>';
            }
        }
        if ($l > 0) {
            echo '
</div>';
        }
        if (0 == $prt && 'on' != $serviz[78] && !$isNew) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemsRubr"+ typeRubr + i) != null) || (document.all && document.all["itemsRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemsRubr"+ typeRubr + i] != undefined) ) {
		cache("itemsRubr"+ typeRubr + i);
		montre("imgOpen"+ typeRubr + i,"inline");
		cache("imgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
        if (0 == $prt && 'on' != $serviz[78]) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemSubRubr"+ typeRubr + i) != null) || (document.all && document.all["itemSubRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemSubRubr"+ typeRubr + i] != undefined) ) {
		cache("itemSubRubr"+ typeRubr + i);
		montre("subImgOpen"+ typeRubr + i,"inline");
		cache("subImgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
 	} elseif (!empty($pg)) {
        echo '
<p>'.$web[36].'</p>';
    }
 	echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].'-7-'.$tconfig.'-': $site['DN'].'.php?lng='.$lng.'&amp=tconfig='.$tconfig.'&amp;id='), count($dbwork), $id, $serviz[4]);
}
btable();
include 'inc/bpage.inc';
?>
