<?php
/*******************************************************************************
 *   Download (popup)
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[10] != 'on') {
    exit($web[143]);
}

function CalcDownloadTime($file_size, $modem_speed) {
    global $web;
    if ($file_size == $web[37]) {
        $calctime = $web[37];
    }
    else {
        $secondes = round($file_size/$modem_speed/10);
        $minutes = intval($secondes/60);
        $secondes = $secondes - 60*$minutes;
        $calctime = $minutes.' '.$web[202].' '.$secondes.' '.$web[203];
    }
    return $calctime;
}

$delay = import('delay');
$pg    = import('pg');
$li    = import('li');
$li    = htmlentities($li, ENT_QUOTES, $charset);

if (($dn = import('dn', 'GET')) != NULL) {
    die('STOP ! Variable $dn: illegal origine');
}
if (isset($dn) && $dn != 'yes') unset($dn);

if (!empty($pg)) {
    ReadDoc($pg);
	if ($type != "dn") {
		die('STOP ! Variable $pg : illegal value ('.$pg.')');
	}
    if (!isAccessGranted($fieldmod)){
        die('STOP ! '.$web[445]);
    }
    if ($lng == $lang[0]) {
        $nomdw = $fieldb1;
		$p     = strpos($fieldd1, CONNECTOR);
		$urldw = ($p > 0) ? substr($fieldd1, 0, $p): $fieldd1;
		$md5dw = ($p > 0) ? substr($fieldd1, $p + 2): '???';
    }
    else {
        $nomdw = $fieldb2;
		$p     = strpos($fieldd2, CONNECTOR);
		$urldw = ($p > 0) ? substr($fieldd2, 0, $p): $fieldd2;
		$md5dw = ($p > 0) ? substr($fieldd2, $p + 2): '???';
    }
    $licence     = $li;
    $nomfl       = basename($urldw);
    $sizefl      = FileSizeInKb($urldw);
    $sizefl      = $sizefl === FALSE ? $web[37] : $sizefl.' '.$web[28];
    $modfl       = @filemtime($urldw);
    $modfl       = $modfl === FALSE? $web[37] : FormatDateStamp($modfl);
    $dnldfl      = @filemtime(DBCOUNT.TestFileId($pg).DBEXT);
    $dnldfl      = $dnldfl === FALSE ? $web[37] : FormatDateStamp($dnldfl);
    $dnldcounter = UpdateDocCounter($pg);
    $txtcount    = $dnldcounter <= 1 ? $dnldcounter.' '.$web[188] : $dnldcounter.' '.$web[189];

    echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>'.$web[192].'</title>

<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
<meta name="Robots" content="None" />';
    if (isset($dn) || $licence == "") {
        echo'
<meta http-equiv="Refresh" content="'.$delay.'; URL='.$urldw.'" />';
    }
	if (file_exists($meskin."style.css")) {
		echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css">';
	}
	else {
		echo '
<link type="text/css" rel="stylesheet" href="no_skin/style.css">';
	}
    echo '
</head>';
    if (!isset($dn) && $licence != '') {
        $url = IndexDbFieldsByField(ReadDbFields(LICENCES), 0);
        echo '
<body class="quest" style="padding:4px;">
<br />
<div class="bord2 rep" style="padding:5 px; overflow:auto;">
  <fieldset><legend>'.$web[480].'</legend>
    <div style="padding: 5px;">'.sprintf($web[481], $licence).'</div>
    <div style="padding: 5px;">'.$web[482].'</div>';
	if (!empty($url[$licence][2]))
		echo '
    <div style="padding: 5px; font-weight: bold; text-align: center;"> &bull; <a title="'.$web[483].'" target="_blank" href="'.sprintf($url[$licence][2], $lng).'"><u>'.$web[483].'</u></a> &bull;</div>';
	echo '
    <div style="padding: 5px; text-align: left;"><br />'.$web[484].'</div>
    <form name="choice" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].'-6-'.$pg: 'dwnld.php?lng='.$lng.'&amp;pg='.$pg).'" method="post">
      <input type="hidden" name="dn" value="yes" />
      <div style="padding: 5px 20px; text-align:right">
'.SubmitButton($web[414], 'javascript:window.close();').' &nbsp; '.SubmitButton($web[415]).'
      </div>
    </form>
  </fieldset>
</div>
';
    }
    else {
        echo '
<body class="quest" style="padding: 4px;" onload="setTimeout(\'self.close();\',24000)">
  <fieldset>
  <div style="text-align;center;margin:auto;">'.$web[193].'</div><hr />
    <table style="margin:0 auto; text-align:center; padding:5px;">
      <tr>
        <td style="text-align:right;white-space:nowrap;">'.$web[218].'&nbsp;</td>
        <td style="text-align:left;white-space:nowrap;"><b>'.$nomdw.'</b></td>
      </tr>
      <tr>
        <td style="text-align:right;white-space:nowrap;vertical-align:top;">'.$web[194].'&nbsp;<br />MD5 :&nbsp;</td>
        <td style="text-align:left;white-space:nowrap;vertical-align:top;"><b><a href="'.$urldw.'" target="mainFrame">'.$nomfl.'</a></b><br />'.$md5dw.'</td>
      </tr>
      <tr>
        <td style="text-align:right;white-space:nowrap;">'.$web[263].'&nbsp;</td>
        <td style="text-align:left;white-space:nowrap;">'.$modfl.'</td>
      </tr>
      <tr>
        <td style="text-align:right;white-space:nowrap;">'.$web[199].'&nbsp;</td>
        <td style="text-align:left;white-space:nowrap;">'.$txtcount.'</td>
      </tr>
      <tr>
        <td style="text-align:right;white-space:nowrap;">'.$web[197].'&nbsp;</td>
        <td style="text-align:left;white-space:nowrap;">'.$dnldfl.'</td>
      </tr>
      <tr>
        <td style="text-align:right;white-space:nowrap;">'.$web[195].'&nbsp;</td>
        <td style="text-align:left;white-space:nowrap;">'.$sizefl.'</td>
      </tr>
      <tr>
        <td style="text-align:right;white-space:nowrap;">'.$web[198].'&nbsp;</td>
        <td style="text-align:left;white-space:nowrap;">'.CalcDownloadTime($sizefl,512).'</td>
        </tr>
      <tr>
        <td style="text-align:right;white-space:nowrap;">'.$web[200].'&nbsp;</td>
        <td style="text-align:left;white-space:nowrap;">'.CalcDownloadTime($sizefl,56).'</td>
      </tr>
      <tr>
        <td style="text-align:right;white-space:nowrap;">'.$web[201].'&nbsp;</td>
        <td style="text-align:left;white-space:nowrap;">'.CalcDownloadTime($sizefl,33.6).'</td>
      </tr>
    </table>
  </fieldset>';
    }
    echo '
</body>
</html>';
}
else die($pg.' not found !');
?>
