<?php
/*******************************************************************************
 *   FAQ
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[14] != 'on') {
    exit($web[143]);
}

$dbwork = array();
if (isset($pg) && !empty($pg)) {
    $dbwork = SelectDbFieldsByField(ReadDBFields(DBFAQ), 4, $pg);
	$isdoc  = (count($dbwork) != 0);
	if ($isdoc) {
		$isdoc = isAuthorizedPublication($dbwork[0][5]);
        if (!isAccessGranted($dbwork[0][6])) {
			header('HTTP/1.0 403 Forbidden');
        }
    }
    if (!$isdoc) {
        $dbwork = array();
        header('HTTP/1.0 404 Not Found');
    }
} else {
    $dbwork2 = ReadDBFields(DBFAQ);
    $dbwork1 = array_filter($dbwork2, 'IsNotEmptyTitle');
    foreach ($dbwork1 as $db) {
        if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
            $dbwork[] = $db;
        }
    }
    unset($dbwork1, $dbwork2);
}
sort($dbwork);

$topmess = strip_tags(getLabel($nom[$lng == $lang[0] ? 24 : 25]));
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/faq.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
include 'inc/hpage.inc';
htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && $members[4] == 'on') {
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
} else {
    if (empty($id)) {
        $id = 1;
    }
    if (!empty($dbwork)) {
        $typeRubrique = TYP_FAQ;
        $imgOpen = 'plus.png';
        $imgClose = 'minus.png';
        $subImgOpen = 'puce1.png';
        $subImgClose = 'puce2.png';
        $nfaqpg = (count($dbwork)-($serviz[6]*($id-1))>$serviz[6])? $serviz[6] : count($dbwork)-($serviz[6]*($id-1)) ;
        echo BeginJavascript().'
var maxsub = '.$nfaqpg.';'.EndJavascript();
        $rubr = '';
        $l = 0;
        if (3 == abs($prt)) {
            $id = 1;
            $serviz[6] = 999999;
        }
		$isNew = false;
        for ($i = $serviz[6]*($id-1); $i < Min($serviz[6]*$id, count($dbwork)); $i++) {
            ReadDoc($dbwork[$i][4]);
			$img = getNewUpdateDoc($creadate, $moddate, $serviz[140]);
			if ($img != '') $isNew = true;
            if ($lng == $lang[0]) {
                $txt1 = $img.$fieldb1;
                $txt2 = $fieldc1;
                $txt3 = $fielda1;
            } else {
                $txt1 = $img.$fieldb2;
                $txt2 = $fieldc2;
                $txt3 = $fielda2;
            }
            $txt4 = FormatDate($moddate);
            $txt5 = FormatDate($creadate);
            if ($rubr <> $txt3 || $txt3 == '') {
                $rubr = $txt3;
                if ($l > 0) {
                    echo '
</div>';
                }
                if (trim($rubr) != '') {
                    $l ++;
                    echo '
<div id="titreRubr'.$typeRubrique.$i.'" class="rubr" style="cursor:pointer;" onclick="MontreCacheItems(\'imgOpen'.$typeRubrique.$i.'\',\'imgClose'.$typeRubrique.$i.'\',\'itemsRubr'.$typeRubrique.$i.'\',\'itemsRubrSelect\');">
  <img id="imgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" style="display:none;" />
  <img id="imgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgClose.'" alt="'.$web[57].'" title="'.$web[57].'" style="display:inline;" />
  &nbsp;'.$rubr.'
</div>';
                    if (count($dbwork) == 1) {
                        echo '
<div id="itemsRubrSelect" style="display:block;">';
                    } else {
                        echo '
<div id="itemsRubr'.$typeRubrique.$i.'" style="display:block;">';
                    }
                }
            }
            $n = (count($dbwork) > $serviz[6])? $i-$serviz[6]*$id+$serviz[6] : $i ;
			echo '
		<div id="titreSubRubr'.$typeRubrique.$i.'" class="rubr" style="cursor:pointer;" onclick="MontreCacheItems(\'subImgOpen'.$typeRubrique.$i.'\',\'subImgClose'.$typeRubrique.$i.'\',\'itemSubRubr'.$typeRubrique.$i.'\',\'itemSubRubrSelect\');">'."\n".'
			<div style="float:left;text-align:right;margin-left:20px !important; margin-left:12px; height:15px;">
				<img id="subImgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" style="display:none;margin-top:3px;" /> 
				<img id="subImgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgClose.'" alt="'.$web[57].'" title="'.$web[57].'" style="display:inline;margin-top:5px;" /> 
			</div>'."\n".'
			<div style="text-align:justify;padding-left:35px;"><a id="subRubr'.$typeRubrique.$i.'">'.$txt1.'</a></div>'."\n".'
  	</div>'."\n";
            if (count($dbwork) == 1) {
                echo '
  <div class="bord2" id="itemSubRubrSelect" style="display:block;">';
            } else {
                echo '
  <div class="bord2" id="itemSubRubr'.$typeRubrique.$i.'" style="display:block;">';
            }
			echo '
    <div class="rep" style="margin:5px">
'.$txt2;

            if ($serviz[69] == '' || $serviz[70] == '' || $serviz[71] == '') {
                echo '
      <hr />
      <p style="font-size: 11px;">';
                if ($serviz[69] == '') {
                    echo '
        '.$web[95].'<strong style="margin-right:20px;">'.$txt5.'</strong>';
                }
                if ($serviz[70] == '') {
                    echo '
        '.$web[20].'<strong style="margin-right:20px;">'.$txt4.'</strong>';
                }
				if ($prt == 0) {
					echo '
        <span style="float:right;">';
					echo '
		  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[4].'-3-'.$dbwork[$i][4]: 'faq.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4]).'"><img src="'.$reptheme.'/hyperlink.png" style="vertical-align:middle;" alt="'.$web[527].'" title="'.$web[527].'" /></a>&nbsp;';
					if ($serviz[71] == '') {
						echo '
		  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[4].'-4-'.$dbwork[$i][4].'--1': 'faq.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;prt=-1').'" target="_blank"><img src="'.$reptheme.'/look.png" style="vertical-align:middle;" alt="'.$web[264].'" title="'.$web[264].'" /></a>&nbsp;
		  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[4].'-4-'.$dbwork[$i][4].'-1': 'faq.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;prt=1').'" target="_blank"><img src="'.$reptheme.'/print.png" style="vertical-align:middle;" alt="'.$web[22].'" title="'.$web[22].'" /></a>&nbsp;';
					}
					echo '
        </span>';
				}
                echo '
      </p>';
            }
            echo '
    </div>';

            if ($prt == 0 && ($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[21] == "on")) {
				echo '
    <div style="text-align:right;cursor:pointer;">
      <a href="admin/admin.php?lng='.$lng.'&amp;pg=faq&amp;form=2&amp;id='.$dbwork[$i][4].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
      <a href="admin/admin.php?lng='.$lng.'&amp;pg=faq&amp;act=i&amp;id='.$dbwork[$i][4].'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
      <a href="admin/admin.php?lng='.$lng.'&amp;pg=faq&amp;del='.$dbwork[$i][4].'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a>
    </div>';
            }
            echo '
  </div>';
        }
        if ($l > 0) {
            echo '
</div>';
        }
        if (0 == $prt && 'on' != $serviz[79] && !$isNew) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemsRubr"+ typeRubr + i) != null) || (document.all && document.all["itemsRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemsRubr"+ typeRubr + i] != undefined) ) {
		cache("itemsRubr"+ typeRubr + i);
		montre("imgOpen"+ typeRubr + i,"inline");
		cache("imgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
        if (0 == $prt && 'on' != $serviz[79]) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemSubRubr"+ typeRubr + i) != null) || (document.all && document.all["itemSubRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemSubRubr"+ typeRubr + i] != undefined) ) {
		cache("itemSubRubr"+ typeRubr + i);
		montre("subImgOpen"+ typeRubr + i,"inline");
		cache("subImgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
    } elseif (!empty($pg)) {
        echo '
<p>'.$web[36].'</p>';
    }
    echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[4].'-2-': 'faq.php?lng='.$lng.'&amp;id='), count($dbwork), $id, $serviz[6]);
}
btable();
include 'inc/bpage.inc';
?>
