<?php
/*******************************************************************************
 *   Forum Archive
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';
include 'inc/funcarch.php';

if ($serviz[13] != 'on') {
    exit($web[143]);
}

$cat = import('cat');
$pg  = import('pg');
$id  = import('id');

if ('on' == $serviz[18] && !isForumAccessGranted($cat)) {
	header('HTTP/1.0 403 Forbidden');
}

if (!empty($pg)) {
    $dbwork = SelectDBForumByID(ReadDBFields(DBFORUMARCH), $pg);
    if (count($dbwork) == 0) {
        $dbwork = array();
    }
}
elseif (!empty($cat)) {
    $dbwork = SelectDBForumByCat(ReadDBFields(DBFORUMARCH), $cat);
}
else {
    $dbwork = ReadDBFields(DBFORUMARCH);
}
$i = $lng == $lang[0] ? 0 : 1;
if ($serviz[18] != 'on') {
    $topmess =$web[226];
}
else {
    if (!empty($cat)) {
        $dbworkcat = ReadDBFields(DBFORUMCAT);
        $catxt = '';
        for ($k = 0; $k < count($dbworkcat); $k++) {
            if ($dbworkcat[$k][0] == $cat) {
                $catxt = $dbworkcat[$k][1+$i];
                break;
            }
        }
        $topmess = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-6': 'fortopicarch.php?lng='.$lng).'">'.$web[226].'</a> - '.$catxt;
    }
    else {
        $topmess = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-6': 'fortopicarch.php?lng='.$lng).'">'.$web[226].'</a>';
    }
}
if ($page[9] != '') {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
include 'inc/hpage.inc';
htable($topmess, '100%');

include_once CHEMIN.'inc/func_groups.php';
$acces = '';
if (IsValidForumCat($cat)) {
	$acces = 'ok'; 
}
if (IsPrivateForumCat($cat)) {
    $acces = 'no';
    if ($userprefs[1] != '') {    
        if (CheckGroup($cat, $userprefs[1])) $acces = 'ok';
    }
}
if ($acces == 'no') {
    echo '
<p style="text-align:center;font-weight:bold;padding-bottom:48px;"><br />'.$web[443].'</strong><br /></p>';
} else {
	if ($serviz[18] != 'on') {
		$archdate = ReadCounter(DBFORUMARCHDATE);
		if ($archdate > 0) {
			echo '
<p style="text-align:center;">
  '.$web[225].' '.FormatDate($archdate).'.<br />
  '.$web[224].'<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-31': $site['FR'].'.php?lng='.$lng).'">'.$web[223].'</a>.<br />
  <hr />
</p>';
		}
	}
	if (empty($id)) {
		$id = 1;
	}
	if (!empty($dbwork)) {
		for ($i = $serviz[17]*($id-1); $i < Min($serviz[17]*$id, count($dbwork)); $i++) {
			if ($serviz[34] == 'on') {
				$threadcounter = ReadDocCounter($dbwork[$i][2], ARCHDBBASE);
			}
			echo '
<table>
  <tr>
	<td class="forum2" style="margin:1px;white-space:nowrap";>
	  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-51-'.$dbwork[$i][2].'-'.$cat.'-'.$id: 'threadarch.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $cat).GetOptionnalArg('fid', $id)).'">'.$web[63].$dbwork[$i][1].'</a>
	</td>
	<td class="quest" style="margin:1px;width:100%;">
	  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-51-'.$dbwork[$i][2].'-'.$cat.'-'.$id: 'threadarch.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $cat).GetOptionnalArg('fid', $id)).'"><b>'.$dbwork[$i][5].'</b></a>
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[6].' ';
			if ($dbwork[$i][10] != 'on') {
				echo displayWriteEmail('forumarch1'.$i, $dbwork[$i][3], $dbwork[$i][4]);
			}
			else {
				echo '
	  <b>'.$dbwork[$i][3].'</b>';
			}
			echo ' '.$web[7].' '.FormatDate($dbwork[$i][6]);
			if ($dbwork[$i][7] != 0) {
				if ($dbwork[$i][11] != 'on') {
					$formail = displayWriteEmail('forumarch2'.$i, $dbwork[$i][8], $dbwork[$i][9]);
				}
				else {
					$formail = '
	  <b>'.$dbwork[$i][8].'</b>';
				}
				if ($dbwork[$i][7] == 1) {
					echo '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[93].' '.$formail.' '.$web[94].' '.FormatDate($dbwork[$i][0]).')';
				}
				else {
					echo '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$dbwork[$i][7].' '.$web[66]." ".$formail.' '.$web[94].' '.FormatDate($dbwork[$i][0]).')';
				}
			}
			else {
				echo '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[67];
			}
			if ($serviz[34] == 'on') {
				$txtcount = $threadcounter <= 1 ? $web[188] : $web[189];
				echo '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[217].' '.$threadcounter.' '.$txtcount; 
			}
			echo '
	  <br />
	</td>
  </tr>
</table>';
			if ($i < Min($serviz[17]*$id, count($dbwork))-1) {
				echo '
<hr />';
			}
		}
	}
	if (count($dbwork)>$serviz[17]) {
		echo '
<hr />'.GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-35-'.$cat.'-': 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbwork), $id, $serviz[17]);
	}
	if ($serviz[18] == 'on') {
		if (count($dbwork)<=$serviz[17]) {
			echo '
<hr />';
		}
		echo '
<p style="tex-align:center;">
  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-6': 'fortopicarch.php?lng='.$lng).'">'.$web[134].'</a>
</p>';
	}
}
btable();
include 'inc/bpage.inc';
?>
