<?php
/*******************************************************************************
 *   Admin help preview popup
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaim
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
define('MP_VERSION',      '5.0.0');
define('MP_DATE',         'February 15, 2014');
define('MP_COPYRIGHT',    '2004-2014');
define('INCEXT',          '.inc');

$charset = 'UTF-8';

$lng   = isset($_POST['lng']) ? $_POST['lng'] : (isset($_GET['lng']) ? $_GET['lng'] : 'fr');
$name  = isset($_POST['name']) ? $_POST['name'] : (isset($_GET['name']) ? $_GET['name'] : 'mainhlp');

include CHEMIN.$lng.'/'.$lng.'-admin.inc';

$hlp_title   = '';
$hlp_contenu = '';
if (is_file($lng.'/hlp_'.$name.INCEXT)) 
	include $lng.'/hlp_'.$name.INCEXT;
if (trim($hlp_contenu) == '')
	$hlp_contenu = '<p style="text-align:center;"><strong>'.$admin[1267].'</strong><br />( hlp_'.$name.INCEXT.' )</p>';

// Construction de la page
echo '
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

  <!--[  GuppY v'.MP_VERSION.' CeCILL Copyright (C) '.MP_COPYRIGHT.' by Laurent Duveau - http://www.freeguppy.org/  ]-->

<head>
<title>'.$admin[1265].' - '.$hlp_title.'</title>
<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
<meta name="Author" content="GuppY DEV" />
<meta name="Generator" content="GuppY"/>
<meta name="robots" content="noindex, nofollow" />
';
echo '
<link type="text/css" rel="stylesheet" href="'.CHEMIN.'stylehlp.css" />';
echo '
</head>
<body>
<div style="margin-top:4px;padding:4px;">
  <table style="width:640px;margin:auto;border:none;">
    <tbody class="quest">
    <tr>
      <td class="bord" style="width:114px; text-align:center; padding-left:6px;">
	    <img src="gylogo.png" alt="LOGO" style="width:100px;" />
	  </td>
      <td class="bord" style="width:300px; padding-left:12px;">
        <div style="text-align:left;">
    	  <span style="font-size:18pt;"><strong>GuppY v'.MP_VERSION.'</strong></span>
		  <br />'.MP_DATE.'<br />CeCILL Copyright&nbsp; 
		  <span style="font-size:12pt;"><strong>&copy;</strong></span>&nbsp; '.MP_COPYRIGHT.' : <strong>Laurent Duveau</strong>
		  <br />Initiated by Laurent Duveau and Nicolas Alves
	    </div>
      </td>
      <td class="bord" style="vertical-align:center;text-align:left;">
        <div style="padding-left:24px;">
		  <ul>
		    <li style="margin:3px 0;"><a href="http://www.freeguppy.org/index.php?lng='.$lng.'" target="_blank" title="GuppY\'s Web site">GuppY\'s Web site</a></li>
  		    <li style="margin:3px 0;"><a href="http://ghc.freeguppy.org/index.php?lng='.$lng.'" target="_blank" title="GuppY\'s FAQ">GuppY\'s FAQ</a></li>
		    <li style="margin:3px 0;"><a href="http://www.freeguppy.org/fortopic.php?lng='.$lng.'" target="_blank" title="GuppY\'s Forum">GuppY\'s Forum</a></li>
		  </ul>
		</div>
      </td>
    </tr>
	</tbody>
  </table>
</div>
<div style="padding:8px; margin-top:4px;">
  '.$hlp_contenu.'
</div>
<hr />
<div style="text-align:center;margin:0 auto 16px auto;">
  <a href="http://validator.w3.org/check?uri=referer" target="_blank" title="Valid HTML 5.0">
    <img src="img/general/html5.png" alt="Valid HTML 5.0" style="border:none;vertical-align:middle;" />
  </a>&nbsp;&nbsp;
  <a class="copyright" href="http://www.freeguppy.org/" title="freeguppy.org" target="_blank">
    <img src="img/general/gypower.png" alt="freeguppy.org" style="vertical-align:middle;border:none;" />
  </a>&nbsp; © 2004-2013 &nbsp;
  <a class="copyright" href="http://www.cecill.info/index.'.$lng.'.html" title="'.($lng == 'fr' ? 'En savoir plus ...' : 'More info...').'" target="_blank">
    <img src="img/general/gycecill_'.($lng == 'fr' ? 'f' : 'e').'.png" alt="'.($lng == 'fr' ? 'En savoir plus ...' : 'More info...').'" style="vertical-align:middle;border:none;" />
  </a>&nbsp;&nbsp;
  <a href="http://jigsaw.w3.org/css-validator/validator?uri=http://betas.freeguppy.org/" target="_blank" title="Valid CSS 3">
    <img src="img/general/css3.png" alt="Valid CSS 3" style="border:none;vertical-align:middle;" />
  </a>
</div>
</body>
</html>';
?>