<?php
/*******************************************************************************
 *   Blog
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'blog.inc')) {
    header('location:../index.php');
    die();
}

global $headinc, $widepage, $pg;

define('PATH_PGEDITOR', 'inc/pgeditor/');		                 //Chemin relatif de l'éditeur (ne pas modifier)
define('PATH_CONFIG_PGEDITOR','inc/config_pgeditor_guppy/');     //Chemin relatif du fichier de configuration de l'éditeur
include_once CHEMIN.PATH_PGEDITOR.'pgeditor.php';                //Fichier contenant toutes les fonctions nécessaires pour intégration de l'éditeur
include_once CHEMIN.PATH_PGEDITOR.'syntaxcolor/syntaxcolor.php'; //Coloration syntaxique

function BlogInfo($pos = NULL) {
    global $lng, $lang, $drtuser, $page, $site, $serviz, $userprefs, $web, $urlrw, $tconfig, 
        $id, $prt, $headinc, $pg, $topmess, $widepage, $sel, $cat, $datej, $date, $userprefs3, $reptheme;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    static $nbox = 0;
    $nbox++;
    $sel   = isset($sel) ? $sel : 'none';
    $pg    = isset($pg) ? $pg : '0';
    $cat   = isset($cat) ? $cat : '0';
    $datej = isset($datej) ? $datej : '0';
    $date  = isset($date) ? $date : '0';
    $out   = '';
    $longword = 220;
    if (isset($site[29]) && $site[29] > 0) $longword = $site[29];
    $max_height = round($longword/3*0.72);
    if ($page[9] != '') {
        $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/blog.gif" style="float:right;width:32px;height:32px;" alt="" />'.$topmess;
    }
    $xdbw = array();
    switch ($sel) {
    case 'pg': // cas billet unique ---------------------
        if (!empty($pg)) {
            $titre = '';
            $xdbw  = SelectDBFields(TYP_BLOG, 'a', $pg);
			$isdoc = count($xdbw) != 0;
            if ($isdoc) {
                ReadDoc($pg);
				$isdoc = isAuthorizedPublication($creadate);
                if (!isAccessGranted($fieldmod)) {
					header('HTTP/1.0 403 Forbidden');
                }
            }
			if (!$isdoc) {
                header('HTTP/1.0 404 Not Found');
            }
        }
        break;
    case 'cat': // cas liste catégorie -----------------
        if (!empty($cat)) {
            $titre = $cat;
            $dbwork = ReadDBFields(DBBLOG);
            if (!empty($dbwork)) {
                $j = $lng == $lang[0]? 0 : 1;
                for ($i = 0; $i < count($dbwork); $i++) {
                    if ($cat == strip_tags($dbwork[$i][0+$j]) && isAcccessGranted($dbwork[$i][6]) && isAuthorizedPublication($dbwork[$i][5])) {
                        $xdbw[$i][0] = TYP_BLOG;
                        $xdbw[$i][1] = $dbwork[$i][4];
                    }
                }
            }
        }
        break;
    case 'jour': // cas liste jour ---------------------
        if (!empty($datej)) {
            $titre = $web[403].substr(formatDate($datej), 0, 10);
            $date = $datej;
            $dbwork = ReadDBFields(DBBLOG);
            for ($i = 0; $i < count($dbwork); $i++) {
                if (!isAccessGranted($dbwork[$i][6])) continue;
                ReadDoc($dbwork[$i][4]);
                $datebi = CutLongWord($creadate, 8);
                if ($datebi == $datej && isAuthorizedPublication($creadate)) {
                    $xdbw[$i][0] = $typ;
                    $xdbw[$i][1] = $fileid;
                }
            }
        }
        break;
    case 'mois': // cas liste mois ---------------------
        if (!empty($date)) {
            $titre = $web[399].' '.substr(formatDate($date), 1, 7);
            $dbwork = ReadDBFields(DBBLOG);
            for ($i = 0; $i < count($dbwork); $i++) {
                if (!isAccessGranted($dbwork[$i][6])) continue;
                ReadDoc($dbwork[$i][4]);
                $datebi = CutLongWord($creadate, 6);
                if ($datebi == $date && isAuthorizedPublication($creadate)) {
                    $xdbw[$i][0] = $typ;
                    $xdbw[$i][1] = $fileid;
                }
            }
        }
        break;
    default: // cas liste globlale ---------------------
        $titre = $web[383];
        $dbwork = ReadDBFields(DBBLOG);
        foreach ($dbwork as $db) {
            if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
                $xdbw[] = array(TYP_BLOG, $db[4], 'a');
            }
        }
        unset($dbwork);
    }
    if (!empty($xdbw) || $sel == 'mois' || NULL == $pos) {
        @rsort($xdbw);
        if (empty($id)) {
            $id = 1;
        }
        if (NULL == $pos) {// blog
            $minblog = $serviz[55];
            $maxblog = Min($serviz[55]*$id,count($xdbw));
        } else {// edito
            $minblog = $site[31];
            $maxblog = Min($site[31],count($xdbw));
            $id = 1;
        }

        if (isset($prt) && 3 == abs($prt)) {
            $id = 1;
            $minblog = 99999;
            $maxblog = min($minblog, count($xdbw));
        }
        if (NULL == $pos) { // blog
            $out .= '
<div style="width:100%;">
  <table style="text-align:center;width:100%;">
    <tr>';
            if ($widepage == 'on' || $userprefs3 != BOX_LEFT) {
                $out .= '
      <td id="BlogLeftBoxes" style="vertical-align:top;">';
                if ($widepage == "on") {
                    $out .= fbox_blogcat()
                        .fbox_bloglast()
                        .fbox_blogcom();
                } else {
                    $out .= fbox_blogcat()
                        .fbox_bloglast()
                        .fbox_blogcom()
						.fbox_blogarch('archive')
                        .fbox_blogcal()
                        .fbox_blogrss();
                }
                $out .= '
      </td>';
            }
            $out .= '
      <td style="width:auto;vertical-align:top;">';
            $out .= '
		<div class="titrebox" style="width:auto;margin:0px;">'.$titre.'</div>';
        }
		$out .= '
		<div style="text-align:center;">';
		if ($serviz[54] == 'on') {
			$rssblogurl = $site[3].sprintf(RSSBLOG, $lng);
			$out .= '
		  <span class="pop" style="width:64px;margin-top:2px;">
		    <a href="'.$rssblogurl.'" target="_blank">
		      <img src="'.$reptheme.'/rssguppy.png" style="border:0;vertical-align:bottom;" alt="" /> 
			  <span style="top:30px;"><em></em>'.$web[398].':<br /><b> '.$rssblogurl.'</b></span>
		    </a>
		  </span>
		  ';
        }
        if ($site[30] != '2') {
			$out .= '
		  <form name="postblog'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_BLOG: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_BLOG).'" method="post">
			<div style="text-align:center;'.($serviz[54] == 'on' ? 'margin:0 64px 0 0;' : '').'">'.SubmitButton($web[386]).'</div>
		  </form>';
        } else
			$out .= '<br /><br />';
		$out .= '
		</div>';
        if (NULL == $pos) { // blog
            $out .= GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-31-'.$sel.'-'.$pg.'-'.$cat.'-'.$datej.'-'.$date.'-': $site['BLS'].'.php?lng='.$lng.'&amp;sel='.$sel.'&amp;pg='.$pg.'&amp;cat='.$cat.'&amp;datej='.$datej.'&amp;date='.$date.'&amp;id='), count($xdbw), $id, $minblog);
        }
        $nbrnvisi = count($xdbw) > $site[31] ? $site[31] : count($xdbw);
        if (count($xdbw) == 0) {
            // Cas particuliers
            if ($sel == 'mois') {
                // Le mois est vide
                $out .= '
		<p style="text-align:center; font-weight:bold;">'.$web[438].'</p>';
            } else {
                // Le blog est vide
                $out .= '
		<p style="text-align:center; font-weight:bold;">'.$web[439].($site[30] == '2'? '' : '<br />'.$web[440]).'</p>';
            }
        } else {
            // Cas général
            for ($i = $minblog*($id-1); $i < $maxblog; $i++) {
                ReadDoc($xdbw[$i][1]);
                $txt0 = $fileid;
				$img  = getNewUpdateDoc($creadate, $moddate, $serviz[138]);
                if ($lng == $lang[0]) {
                    $txt1 = $fieldb1;
                    $txt2 = $fieldc1;
                }
                else {
                    $txt1 = $fieldb2;
                    $txt2 = $fieldc2;
                }
                $txt2 = colorCode($txt2);
                if (!empty($txt2)) {
                    if (!empty($fieldd2)) {
                        $txt1 = '<img src="'.CHEMIN.'img/'.$fieldd2.'" style="text-align:right;" alt="'.$fieldd2.'"/>'.$txt1;
                    }
                    $out .= '
		<div style="padding:8px 4px 0px;text-align:left;">
		  <a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-4-'.$fileid: $site['BL'].'.php?lng='.$lng.'&amp;pg='.$fileid).'" title="'.$web[511].'">'.$img.'<b>'.$txt1.'</b></a> &nbsp;';
					if ($serviz[114] != 'on') {
						if ($fieldd1 != 'on' && !empty($email) && !empty($author)) {
							$out .= '- &nbsp;'.$web[6].displayWriteEmail('blog'.$i, $author, $email);
						}
						elseif (!empty($author)) {
							$out .= '- &nbsp;'.$web[6].'
          <b>'.$author.'</b>';
						}
					}
                    $out .= '
		</div>
		<div class="bord" style="margin:4px; padding: 1px;text-align:left;vertical-align:top">';
                    if (NULL != $pos) { // edito
                        $txt3 = '
		  <div id="blog3'.$i.'" class="rep" style="margin: 0px; padding:2px">';
                        if (strlen($txt2) >= $longword){
                            $txt3 .= '
            <div class="rep" style="height:'.$max_height.'px; overflow:hidden; padding: 4px;">'.$txt2.'</div>
            <p style="text-align:right">
		      <a href="javascript:ActiveMenu(\'blog3\',\'blog2\',0,'.$nbrnvisi.','.$i.')" class="box" title="'.$web[296].'">'.$web[505].' 
			    <img src="'.$reptheme.'/plus.png" alt="'.$web[296].'" />
		      </a>
            </p>
          </div>';
                        }
                        else {
                            $txt3 .= '
            <div class="rep" style="padding: 4px">'.$txt2.'</div>
		  </div>';
                        }
                        $out .= $txt3.'
		  <div id="blog2'.$i.'" class="bord" style="display:none; margin: 2px; padding: 5px">'.$txt2.'
		    <p style="text-align:right;cursor:pointer;">
	          <img src="'.$reptheme.'/minus.png" alt="'.$web[57].'" title="'.$web[57].'" onclick="cache(\'blog2'.$i.'\');montre(\'blog3'.$i.'\')" />
	        </p>
		  </div>
		</div>';
                    }
                    else { // blog
                        $out .= '
		  <div id="blog'.$i.'" class="rep" style="padding: 5px">'.$txt2.'</div>';
                    }
					if ($prt == 0 && $serviz[104] == 'on') {
						include CONFIGREP.'sncode.inc';
						if (!empty($coders))
							$out .= '
		  <div style="text-align:left;padding-top:6px;">'.$coders.'</div>';
					}
					$out .= '
		  <div style="padding:6px 4px 2px;font-size:0.9em;text-align:right;vertical-align:middle">
		    <form name="formblog'.$i.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-4-'.$fileid: $site['BL'].'.php?lng='.$lng.'&amp;pg='.$fileid).'" method="post">
              <b>'.$web[394].'</b>'.FormatDate($creadate).'&nbsp;';
                    if ($serviz[57] != "") {
                        $dbcom = ReadDBFields(DBREBLOG);
                        $nbcom = 0;
                        for ($k = 0; $k < count($dbcom); $k++) {
                            if ($dbcom[$k][1] == $txt0) {
                                ReadDoc($dbcom[$k][0]);
                                if ($status == 'a') {
                                    $nbcom++;
                                }
                            }
                        }
                        $fileid = $txt0;
                        if ($nbcom == 0) {
                            $nbcom = $web[430].' '.$web[379];
                        } elseif ($nbcom == 1) {
                            $nbcom = $nbcom.' '.$web[379];
                        } else {
                            $nbcom = $nbcom.' '.$web[379].'s';
                        }
						if ($serviz[57] != '2')
							$out .= '
			  <span style="font-size:smaller;"> - 
			    <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-4-'.$fileid: $site['BL'].'.php?lng='.$lng.'&amp;pg='.$fileid).'" title="'.$nbcom.' - '.$web[297].' '.$web[385].'"> '.$nbcom.' 
			      <img src="'.$reptheme.'/comment.png" alt="'.$nbcom.' - '.$web[297].' '.$web[385].'" title="'.$nbcom.' - '.$web[297].' '.$web[385].'" /> 
			    </a>
			  </span> &nbsp;';
                    }
                    $out .= '
			  <input type="hidden" name="cat" value="'.$cat.'"/>
			  <input type="hidden" name="sel" value="'.$sel.'"/>';
                    if (empty($serviz[76])) {
                        $out .= '
			  <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-41-'.$fileid.'--1': $site['BL'].'.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;prt=-1').'" target="_blank">
			    <img src="'.$reptheme.'/look.png" alt="'.$web[264].'" title="'.$web[264].'" />
			  </a>&nbsp;
			  <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-41-'.$fileid.'-1': $site['BL'].'.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;prt=1').'" target="_blank">
		        <img src="'.$reptheme.'/print.png" alt="'.$web[22].'" title="'.$web[22].'" />
			  </a>&nbsp;';
                    }
					$out .= '
              <a href="#top"><img src="'.$reptheme.'/haut.png"  style="width:12px;height:11px;" alt="'.$web[136].'" title="'.$web[136].'" /></a>';
                    $out .= '
		    </form>
          </div>
		</div>';
                    if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[39] == 'on')) {
                        $out .= '
        <div style="text-align:right; clear:both; margin-bottom:8px;">
          <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=blog&amp;form=2&amp;id='.$xdbw[$i][1].'">
	        <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
	      </a>
          <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=blog&amp;act=i&amp;id='.$xdbw[$i][1].'">
	        <img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" />
	      </a>
          <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=blog&amp;del='.$xdbw[$i][1].'">
	        <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
	      </a>
        </div>';
                    }
                }
            }
            if (NULL == $pos) { // blog
				$out .= GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-31-'.$sel.'-'.$pg.'-'.$cat.'-'.$datej.'-'.$date.'-': $site['BLS'].'.php?lng='.$lng.'&amp;sel='.$sel.'&amp;pg='.$pg.'&amp;cat='.$cat.'&amp;datej='.$datej.'&amp;date='.$date.'&amp;id='), count($xdbw), $id, $minblog);
            }
        }
        if (NULL == $pos) { // blog
            if ($site[30] != "2") {
                $out .= '
        <form action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_BLOG: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_BLOG).'" method="post">
          <div style="text-align:center;">'.SubmitButton($web[386]).'</div>
        </form>';
            }
            $out .= '
      </td>';
	  
            if (NULL == $pos && ($widepage == 'on' || $userprefs3 == BOX_LEFT)) {
                $out .= '
      <td id="BlogRightBoxes" style="vertical-align:top;">';
                if ($widepage == "on") {
                    $out .=	fbox_blogarch('archive')
						.fbox_blogcal()
                        .fbox_blogrss();
                } else {
                    $out .= fbox_blogcat()
                        .fbox_bloglast()
                        .fbox_blogcom()
						.fbox_blogarch('archive')
                        .fbox_blogcal()
                        .fbox_blogrss();
                }
                $out .= '
      </td>';
            }
            $out .= '
    </tr>
  </table>
</div>
';
        }
        return boxwide('BG'.$pos, $topmess, $out, ' BG'.$pos.$tconfig);
    }
    else {
        if (NULL == $pos) { // blog
            header('HTTP/1.0 404 Not found');
            $out .= '
<hr />
<div style="padding: 6px;">'.$web[36].'</div>
<hr />';
        } else { // edito
            if ($site[30] != '2') {
                $out .= '
<form name="comment" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_BLOG: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_BLOG).'" method="post">
  <div style="text-align:center;">'.SubmitButton($web[386]).'</div>
</form>
<hr />';
            }
            $out .= '
<p style="text-align:center; font-weight:bold;">'.$web[439].($site[30] == '2'? '' : '<br />'.$web[440]).'</p>';
            if (NULL == $pos && $site[30] != "2") {
                $out .= '
<hr />
<form name="comment" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_BLOG: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_BLOG).'" method="post">
  <div style="text-align:center;">'.SubmitButton($web[386]).'</div>
</form>
    ';
            }
        }
        return boxwide('BG'.$pos, $topmess, $out, ' BG'.$pos.$tconfig);
    }
}
?>
