<?php
/*******************************************************************************
 *   Site Bottom & Right of Page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'bpage.inc')) {
    header('location:../index.php');
    die();
}

$txtxhtml = $site[32] != 'on' ? '' : '
  <a href="http://validator.w3.org/check?uri=referer" target="_blank" title="Valid HTML 5.0">
	<img src="'.$reptheme.'/html5.png" alt="Valid HTML 5.0 '.$reptheme.'" style="vertical-align:middle;" />
  </a>
  &nbsp;';

$txtcss = $site[32] != 'on' ? '' : '
  &nbsp;
  <a href="http://jigsaw.w3.org/css-validator/validator?uri='.$site[3].'" target="_blank" title="Valid CSS 3">
	<img src="'.$reptheme.'/css3.png" alt="Valid CSS 3" style="vertical-align:middle;" />
  </a>';

$imgspe = $site[24] == 'N' ? '' : '
  <a href="http://www.freeguppy.org/" target="_blank" title="GuppY site">
	<img src="'.$reptheme.'/gy'.$site[24].'logo.png" alt="GuppY site" style="vertical-align:middle;" />
  </a>';

if ($lng == 'fr') {
	$txtspe = '
  &nbsp;
  <a class="copyright" href="http://www.freeguppy.org/" title="freeguppy.org" target="_blank">
	<img src="'.$reptheme.'/gypower.png" alt="freeguppy.org" style="vertical-align:middle;" />
  </a>
  &nbsp; '.html_entity_decode('© '.MP_COPYRIGHT, ENT_COMPAT, $charset).' &nbsp;
  <a class="copyright" href="http://www.cecill.info/index.fr.html" title="En savoir plus ..." target="_blank">
	<img src="'.$reptheme.'/gycecill_f.png" alt="En savoir plus ..." style="vertical-align:middle;" />
  </a>
  &nbsp;';
}
else {
	$txtspe = '
  &nbsp;
  <a class="copyright" href="http://www.freeguppy.org/" title="freeguppy.org" target="_blank">
	<img src="'.$reptheme.'/gypower.png" alt="freeguppy.org" style="vertical-align:middle;" />
  </a> &nbsp; '.html_entity_decode('© '.MP_COPYRIGHT, ENT_COMPAT, $charset).' &nbsp;
  <a class="copyright" href="http://www.cecill.info/index.en.html" title="More info ..." target="_blank">
	<img src="'.$reptheme.'/gycecill_e.png" alt="More info ..." style="vertical-align:middle;" />
  </a>
  &nbsp;';
}

if ($dispAdminOnly) {
	echo '
    <!-- Begin of ADMIN BOTTOM_BOXES -->
	<footer>
    <div style="margin-bottom:20px;">';
	// Haut
	echo '
	  <div style="text-align:center;">
	    <a href="#top">
		  <img src="'.$reptheme.'/up.png" alt="^" style="" />
		  <b> '.$web[136].' </b>
		  <img src="'.$reptheme.'/up.png" alt="^" style="" />
	    </a>
	  </div>';
    echo '
      <table class="BA'.$tconfig.'row'.$i.' bord" style="width:100%;">
        <tr>
          <td class="col0" style="width:88%;">'.ExecFunctionBox(BOX_TOP, '||fbox_ariane||W80').'</td>
          <td class="col3" style="width:12%;text-align:center;"><strong><a href="admin.php?lng='.$lng.'&amp;logout=1">'.$admin[19].'</a></strong></td>
        </tr>
      </table>';
	echo '<hr />'.$txtxhtml.$imgspe.$txtspe.$imgspe.$txtcss;
	if (!empty($skinCopyright)) {
		echo '
		<div id="skinCopyright">'.html_entity_decode($skinCopyright, ENT_QUOTES, $charset).'</div>';
	}
    echo '
    </div>
	</footer>
    <!-- End of ADMIN BOTTOM_BOXES -->
  </div>
	';
} else {
	if (is_file($meskin.'rightside.inc')) {
		include($meskin.'rightside.inc');
	} else {
		if ($widepage == '') {
			echo '
    
          <!-- Begin of UNDER_BOXES -->
		  <section>
          <div id="UnderBoxes">';
			foreach ($xposbox[$tconfig][BOX_UNDER] as $item) {
				$bc = '';
				if (strpos($item, 'fbox_cita') > 0 || strpos($item, 'fbox_ban') > 0) { 
					$bccount++; $bc = '||'.$bccount; 
				}
				$item = ExecFunctionBox(BOX_UNDER, $item);
				if (FALSE !== $item.$bc) {
					echo $item;
				}
			}
			echo '
          </div>
		  </section>
          <!-- End of UNDER_BOXES -->
			';
		}

		echo '
        </td>
		<!-- end center area -->';
		
		$right_empty = array_reduce($xposbox[$tconfig][BOX_RIGHT], 'EstNonVide', true);
		if ($widepage == '' && $userprefs3 != BOX_LEFT && !$right_empty) {
			echo '
			
		<!-- begin right column -->
        <td style="vertical-align:top;">
      
          <!-- Begin of RIGHT_BOXES -->
		  <aside>
          <div id="RightBoxes">';

			for ($ii=0; $ii < count($xposbox[$tconfig][BOX_RIGHT]); $ii++) {
				$bc1 = $bc2 = '';
				if ($userprefs3 == BOX_RIGHT && $xposbox[$tconfig][BOX_LEFT][$ii] != '') {
					if (strpos($xposbox[$tconfig][BOX_LEFT][$ii], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_LEFT][$ii], 'fbox_ban') > 0) { 
						$bccount++; $bc1 = '||'.$bccount; 
					}
					$item = ExecFunctionBox(BOX_RIGHT, $xposbox[$tconfig][BOX_LEFT][$ii].$bc1);
					if (FALSE !== $item) echo $item;
				}
				if ($userprefs3 != BOX_LEFT && $xposbox[$tconfig][BOX_RIGHT][$ii] != '') {
					if (strpos($xposbox[$tconfig][BOX_RIGHT][$ii], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_RIGHT][$ii], 'fbox_ban') > 0) { 
						$bccount++; $bc2 = '||'.$bccount; 
					}
					$item =  ExecFunctionBox(BOX_RIGHT, $xposbox[$tconfig][BOX_RIGHT][$ii].$bc2);
					if (FALSE !== $item) echo $item;
				}
			}
			
			echo '
          </div>
		  </aside>
		  <!-- End of RIGHT_BOXES -->';
			echo '
        </td>
		<!-- end right column -->';
		}
		echo '
      </tr>
    </table>
  </div>
  </section>
  <!-- End of MAIN_CONTENT -->
	';
	}

	echo '
  <footer>
  <!-- Begin of BOTTOM_BOXES -->
  <div id="BottomBoxes">';
	foreach ($xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT] as $i => $a) {
		$bc1 = $bc2 = $bc3 = '';
		if (!empty($xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i]) && (strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i], 'fbox_ban') > 0)) { 
			$bccount++; $bc1 = '||'.$bccount; 
		}
		if (!empty($xposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i]) && (strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i], 'fbox_ban') > 0)) { 
			$bccount++; $bc2 = '||'.$bccount;
		}
		if (!empty($xposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i]) && (strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i], 'fbox_ban') > 0)) { 
			$bccount++; $bc3 = '||'.$bccount; 
		}
		$item1 = ExecFunctionBox(BOX_BOTTOM, $xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i].$bc1);
		$item2 = ExecFunctionBox(BOX_BOTTOM, $xposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i].$bc2);
		$item3 = ExecFunctionBox(BOX_BOTTOM, $xposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i].$bc3);
		$nbitem = 0;
		if (FALSE !== $item1) $nbitem++;
		if (FALSE !== $item2) $nbitem++;
		if (FALSE !== $item3) $nbitem++;
		if ($nbitem > 0) {
			$w0 = $wposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i];
			$w1 = $wposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i];
			$w2 = $wposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i];
			$wcols = $nbitem < 3 ? ceil((100 - $w0 - $w1 - $w2) / (3 - $nbitem)) : 100;
			$wcol0 = $item1 === false || $w0 == '' ? ($w1 == 100 || $w2 == 100 ? '' : 'style="width:'.$wcols.'%;"') : 'style="width:'.$w0.'%;"';
			$wcol1 = $item2 === false || $w1 == '' ? ($w0 == 100 || $w2 == 100 ? '' : 'style="width:'.$wcols.'%;"') : 'style="width:'.$w1.'%;"';
			$wcol2 = $item3 === false || $w2 == '' ? ($w1 == 100 || $w0 == 100 ? '' : 'style="width:'.$wcols.'%;"') : 'style="width:'.$w2.'%;"';
			echo '
    <table class="row B'.$tconfig.'row'.$i.'">
      <tr>'.
        ($wcol0 != '' ? '<td class="col col0" '.$wcol0.'>'.(FALSE !== $item1 ? $item1 : '&nbsp;').'</td>' : '').
        ($wcol1 != '' ? '<td class="col col1" '.$wcol1.'>'.(FALSE !== $item2 ? $item2 : '&nbsp;').'</td>' : '').
        ($wcol2 != '' ? '<td class="col col2" '.$wcol2.'>'.(FALSE !== $item3 ? $item3 : '&nbsp;').'</td>' : '').'
      </tr>
    </table>';
		}
	}
	echo '
  </div>
  <!-- End of BOTTOM_BOXES -->
    ';
	
	echo '
  <!-- Begin of FOOTER -->
  <div id="footer" style="clear:both;">
	';

	// php or html scripts located in directory inc/incfoot are automatically include at the bottom of the page
	if (is_dir(CHEMIN.'inc/incfoot')) { 
		$hd = opendir(CHEMIN.'inc/incfoot');
		while ($file = readdir($hd)) { 
			if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
				include(CHEMIN.'inc/incfoot/'.$file);
			}
		}
	}
  
	// Haut
	echo '
	<div>
      <a class="top" href="#top">
        <img src="'.$reptheme.'/up.png" alt="^" style="" />
        <b> '.$web[136].' </b>
        <img src="'.$reptheme.'/up.png" alt="^" style="" />
      </a>
	</div>';

    ///////////////////////////////////////////////////////////////////////////////////
    //                                                                               //
    //                GuppY is protected by the CeCILL FREE LICENSE.                 //
    //  REMOVING OR MODIFYING THE FOLLOWING COPYRIGHT NOTICE IS STRICTLY FORBIDDEN.  //
    //                                                                               //
    ///////////////////////////////////////////////////////////////////////////////////
    
    
	if ($site[25] == 'T') {
		echo $imgspe.'
      <br />
'.$txtxhtml.$txtspe.$txtcss;
	}
	elseif ($site[25] == 'L') {
		echo $txtxhtml.$imgspe.$txtspe.$txtcss;
	}
	elseif ($site[25] == 'R') {
		echo $txtxhtml.$txtspe.$imgspe.$txtcss;
	}
	else {
		echo $txtxhtml.$imgspe.$txtspe.$imgspe.$txtcss;
	}

	if (!empty($skinCopyright)) {
		echo '
  <div id="skinCopyright">'.html_entity_decode($skinCopyright, ENT_QUOTES, $charset).'</div>
  
	';
	}


    ///////////////////////////    END of COPYRIGHT NOTICE    /////////////////////////


	if ($page[8] == 'on') {
		$timer = StopTimer();
		echo '
		<div class="timer">'.$web[116].' '.$timer.' '.($timer <= 1 ? $web[117] : $web[118]).'</div>';
	}

	echo '
  </div>
  <!-- end footer -->
  </footer>
  ';
}

echo '
</div>
<!-- end page -->

</body>
</html>';
if ($obgo) {
    ob_end_flush();
}
?>
