<?php
/*******************************************************************************
 *   Functions for blog boxes
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/
 
if (stristr($_SERVER['SCRIPT_NAME'], 'func_blogboxes.php')) {
  header('location:../index.php');
  die();
}

/*******************************************************************************
 * function fbox_????? : fill the box for ?????
 *
 * @param array $pos (zone, horizontal and/or vertical index...)
 * @param array $args (up to five specific arguments)
 * @return mixed (FALSE if private box, string content of the box)
 ******************************************************************************/

/*
    global $lng, $lang, $drtuser, $members, $nom, $page, $site, $serviz, $user, $userprefs, $web,
        $endurl, $npage, $pgtype, $topmess, $skn_logo, $flag1, $flag2,
        $tabcounter, $plugin_admin_name, $plugin_bar_name;
*/

################################################################################

function isBlogPage() {
    global $endurl;
    return 1 == preg_match('!blog(s?\.php)|(rss\.php)!', $endurl);
}

################################################################################

function fbox_blogcat($pos = NULL, $args = NULL) {
    global $pg, $lng, $lang, $drtuser, $serviz, $texte, $userprefs, $web, $dynabox, $site, $urlrw, $page, $tconfig, $reptheme, 
	       $creadate, $moddate;
    static $nbox = 0;
    $nbox++;
    $dbw0 = ReadDBFields(DBBLOG);
    $dbw = array();
    foreach ($dbw0 as $db) {
        if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
            $dbw[] = $db;
        }
    }
    unset($dbw0);
    if (!empty($dbw) && (NULL == $pos || !isBlogPage())) {
        $out = '';
    	$j = ($lng == $lang[0])? 0 : 1 ;
     	$k = 0;
     	$txtbi = array();
     	$curr_rubr = '';
     	$curr_bi = '';
     	for ($i = 0; $i < count($dbw); $i++) {
            if (isAccessGranted($dbw[$i][6]) && isAuthorizedPublication($dbw[$i][5])){
                if (trim($dbw[$i][0+$j]) != '') {
                 	$txtbi[$k][0] = trim($dbw[$i][0+$j]);
                 	$txtbi[$k][1] = trim($dbw[$i][2+$j]);
                 	$txtbi[$k][2] = $dbw[$i][4];
                 	if ($pg == $dbw[$i][4]) {
                 		$curr_rubr = $txtbi[$k][0];
                 		$curr_bi = $txtbi[$k][2];
                 	}
                 	$k++;
                }
            }
     	}
     	sort($txtbi);
    	$typeRubrique = 'blog'.$nbox;
     	$rubr = '';
     	$marqueur = $texte[3];
     	$curr_marq = '<img src="'.$reptheme.'/puce2.png" alt="puce" class="puce" />';
     	$url = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-2-pg-': $site['BL'].'.php?lng='.$lng.'&amp;sel=pg&amp;pg=');
     	$out .= '';
        switch ($serviz[59]) {
        case "0" : // liste de menu
            for ($i = 0; $i < count($txtbi); $i++) {
				ReadDoc($txtbi[$i][2]);
				$img = getNewUpdateDoc($creadate, $moddate, $serviz[138]);
				if ($rubr <> $txtbi[$i][0]) {
					if (!empty($rubr)) {
						$out .= '
  </ul>';
					}
            $rubr = $txtbi[$i][0];
       		$out .= '
  <p class="item">'.$rubr.'</p>
  <ul class="item">';
				}
         	if ($curr_bi == $txtbi[$i][2]) {
         		$out .= '
    <li class="curr_item">'.$curr_marq.' <a href="'.$url.$txtbi[$i][2].'">'.$img.$txtbi[$i][1].'</a>';
            }
            else {
                $out .= '
    <li class="item">'.$marqueur.' <a href="'.$url.$txtbi[$i][2].'">'.$img.$txtbi[$i][1].'</a>';
            }
            $out .= '
    </li>';
        }
        $out .= '
  </ul>';
            break;

     	case "1" : // menu dynamique
       	    $out .= '
  <form name="blog'.$nbox.'" action="" method="post">
    <p style="text-align:center;">';
            for ($i = 0; $i < count($txtbi); $i++) {
				ReadDoc($txtbi[$i][2]);
				$img = getNewUpdateDoc($creadate, $moddate, $serviz[138]);
            	if ($rubr <> strip_tags($txtbi[$i][0])) {
            		if (!empty($rubr)) {
                        $out .= '
      </select>';
                    }
                    $rubr = strip_tags($txtbi[$i][0]);
                    $maxlen = max(strlen($rubr), 25);
                    $out .= '
      <select size="1" onchange="document.blog.action=this.value; document.blog.submit();" style="width:166px">
        <option>'.$rubr.'</option>';
                }
                $out .= '
        <option value="'.$url.($site['URLR'] == 'on'? $txtbi[$i][2]: $txtbi[$i][2]).'">&nbsp;&nbsp;'.$marqueur.'&nbsp;'.$img.substr(strip_tags($txtbi[$i][1]), 0, $maxlen).'</option>';
            }
            if (!empty($rubr)) {
                $out .= '
      </select>';
            }
            $out .= '
    </p>
  </form>';
            break;
            
        case "2" : // menu liste dynamique nÂ°1
          	$openimg = $reptheme.'/plus.png';
          	$closeimg = $reptheme.'/minus.png';

        case "3" : // menu liste dynamique nÂ°2
          	if ($serviz[59] == "3") {
           		$openimg = $reptheme.'/open.png';
           		$closeimg = $reptheme.'/close.png';
          	}
            $l = 0;
			$isNew = false;
          	for ($i = 0; $i < count($txtbi); $i++) {
				ReadDoc($txtbi[$i][2]);
				$img = getNewUpdateDoc($creadate, $moddate, $serviz[138]);
				if ($img != '') $isNew = false;
           		if ($rubr <> $txtbi[$i][0]) {
           			if (!empty($rubr)) {
                        $out .= '
  </ul>';
                    }
             		$rubr = $txtbi[$i][0];
             		$rubric = '
    <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-3-cat-'.$txtbi[$i][0]: $site['BLS'].'.php?lng='.$lng.'&amp;sel=cat&amp;cat='.$txtbi[$i][0]).'">'.$txtbi[$i][0].'</a>';
                    $l++;
                    $out .= '
      <p id="titreRubr'.$typeRubrique.$l.'" class="rubr" style="cursor:pointer" onclick="MontreCacheItems(\'imgOpen'.$typeRubrique.$l.'\',\'imgClose'.$typeRubrique.$l.'\',\'itemsRubr'.$typeRubrique.$l.'\',\'itemsRubrSelect'.$nbox.'\');">
        <img id="imgOpen'.$typeRubrique.$l.'" src="'.$openimg.'" alt="'.$web[429].'" title="'.$web[429].'" style="display:none;" />
        <img id="imgClose'.$typeRubrique.$l.'" src="'.$closeimg.'" alt="'.$web[57].'" title="'.$web[57].'" style="display:inline;" /> '.$rubr.'
      </p>';
    				if ($curr_rubr == $txtbi[$i][0]) {
         			    $out .= '
  <ul id="itemsRubrSelect'.$nbox.'" class="item"> ';
    				}
                    else {
                        $out .= '
  <ul id="itemsRubr'.$typeRubrique.$l.'" class="item">';
    				}
                }
                if ($curr_bi == $txtbi[$i][2]) {
                    $out .= '
    <li class="curr_item">'.$curr_marq.' <a href="'.$url.($site['URLR'] == 'on'? $txtbi[$i][2]: $txtbi[$i][2]).'">'.$img.$txtbi[$i][1].'</a></li>';
                }
                else {
                    $out .= '
    <li class="item">'.$marqueur.' <a href="'.$url.($site['URLR'] == 'on'? $txtbi[$i][2]: $txtbi[$i][2]).'">'.$img.$txtbi[$i][1].'</a></li>';
                }
            }
            if (!empty($rubr)) {
                $out .= '
  </ul>';
            }
            if ($userprefs[1] == '' || $isNew) $out .= BeginJavascript().'
var nbRubr = '.($l+1).';
var typeRubr = "'.$typeRubrique.'";
for(var i = 0; i < nbRubr; i++) {
 if((document.getElementById && document.getElementById(\'itemsRubr\'+ typeRubr + i) != null) || (document.all && document.all[\'itemsRubr\'+ typeRubr + i] != undefined ) || (document.layers && document.layers[\'itemsRubr\'+ typeRubr + i] != undefined) ) {
  cache(\'itemsRubr\'+ typeRubr + i);
  montre(\'imgOpen\'+ typeRubr + i,\'inline\');
  cache(\'imgClose\'+ typeRubr + i);
 }
}'.EndJavascript();
            break;
        }
        if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[39] == "on")) {
            $out .= '
  <div style="text-align:right;">
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=blog">
      <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
    </a>
  </div>';
        }
        return boxthin('BG', $web[400], $out, ' CATBG'.$tconfig, $dynabox[10]);
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_blogcom($pos = NULL, $args = NULL) {
    global $lng, $lang, $serviz, $web, $dynabox, $site, $urlrw, $tconfig;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    $dbreac = array();
    $dbreac = ReadDBFields(DBREBLOG);
    @rsort($dbreac);
    if (!empty($dbreac) && $serviz[57] != '' && (NULL == $pos || !isBlogPage())) {
        $out = '';
        for ($i = 0; $i < min($serviz[61], count($dbreac)); $i++) {
            ReadDoc($dbreac[$i][0]);
			$img = getNewUpdateDoc($creadate, $moddate, $serviz[138]);
            if (isAccessGranted($fieldmod) && isAuthorizedPublication($creadate)) {
                $reac0 = $fieldc1; //($lng == $lang[0])? $fieldc1 : $fieldc2 ;
                $reac1 = formatDate($creadate);
                $reac2 = $fielda2;
                if (!empty($reac0) && ($status == "a")) {
                    $out .=  '
  <div style="width:auto;padding:3px 6px;text-align:left;">
    '.$reac1.'
    <br />
    <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-2-pg-'.$reac2: $site['BL'].'.php?lng='.$lng.'&amp;sel=pg&amp;pg='.$reac2).'" title="'.$web[297].'">'.$img.CutLongWord(strip_tags($reac0), 80).' ...</a>
  </div>';
                }
            }
        }
        return boxthin('BG', $web[401], $out, ' COMBG'.$tconfig, $dynabox[12]);
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_bloglast($pos = NULL, $args = NULL) {
    global $lng, $lang, $serviz, $web, $dynabox, $site, $urlrw, $tconfig;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    $dbw0 = ReadDBFields(DBBLOG);
    $dbwl = array();
    foreach ($dbw0 as $db) {
        if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
            $dbwl[] = $db;
        }
    }
    unset($dbw0);
    rsort($dbwl);
    if (!empty($dbwl) && (NULL == $pos || !isBlogPage())) {
        $out = '';
        $j = ($lng == $lang[0])? 0 : 1 ;
        for ($i = 0; $i < min($serviz[61], count($dbwl)); $i++) {
            $out .=  '
  <div style="width:auto;padding:3px 6px;text-align:left;">';
            if (trim($dbwl[$i][0+$j]) != "") {
                ReadDoc($dbwl[$i][4]);
				$img   = getNewUpdateDoc($creadate, $moddate, $serviz[138]);
                $sujet = ($lng == $lang[0])? $fieldb1 : $fieldb2 ;
                $sujet = $img.CutLongWord(strip_tags($sujet), 60).' ...';
                $out .=  '
    '.formatDate($creadate).'
    <br />
    <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-2-pg-'.$fileid: $site['BL'].'.php?lng='.$lng.'&amp;sel=pg&amp;pg='.$fileid).'" title="'.$web[297].'">'.$sujet.'</a>';
            }
            $out .=  '
  </div>';
        }
        return boxthin('BG', $web[382], $out, ' LSTBG'.$tconfig, $dynabox[11]);
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_blogcal($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $serviz, $texte, $userprefs, $web, $dynabox, $site, $urlrw, $tconfig;
    if ((NULL != $pos && !isBlogPage()) || NULL == $pos) {
        include_once CHEMIN.'inc/lang/'.$lng.'-special.inc';
        if (empty($date)) {
            $annee = date('Y');
            $mois  = date('m');
        }
        else {
            $annee = substr($date, 0, 4);
            $mois  = substr($date, 4, 2);
        }
        $jour           = date('d');
        $joursmois      = date('t',mktime(0,0,0,$mois,1,$annee));
        $premierjour    = date('w',mktime(0,0,0,$mois,1,$annee));
        $mois           = date('m',mktime(0,0,0,$mois,1,$annee));
        $annee          = date('Y',mktime(0,0,0,$mois,1,$annee));
        $jourj          = date('d',mktime(0,0,0,$mois,$jour,$annee));
        if ($premierjour == 0) {
            $premierjour = 7;
        }
        $semainepays = $web[153];
        if ($semainepays == 0) {
            $joursemaine = array(1 => $web[147], $web[148], $web[149], $web[150], $web[151], $web[152], $web[146]);
        }
        else {
            $joursemaine = array(1 => $web[146], $web[147], $web[148], $web[149], $web[150], $web[151], $web[152]);
        }
        $moispays = array(1 => $web[268], $web[269], $web[270], $web[271], $web[272], $web[273], $web[274], $web[275], $web[276], $web[277], $web[278], $web[279]);
        $nommois = $moispays[$mois*$mois/$mois];
        $date = getdate(time());
        $mois_ci = $date['mon'];
        $ann_ci = $date['year'];
        if ($mois == 1) {
            $mois_p = 12;
            $ann_p = $annee - 1;
        }
        else {
            $mois_p = $mois - 1;
            $ann_p = $annee;
        }
        if ($mois == 12) {
            $mois_s = 1; $ann_s = $annee + 1;
        }
        else {
            $mois_s = $mois + 1;
            $ann_s = $annee;
        }
        $mois_ci = sprintf('%02d', $mois_ci);
        $mois_p  = sprintf('%02d', $mois_p);
        $mois_s  = sprintf('%02d', $mois_s);
        $nbjours = date('d',mktime(0,0,0,$mois_s,0,$annee));
        if (!function_exists('MyMonth')) {
            function MyMonth($month, $year, $separator = '-') {
                global $site;
                if (($site[19] == 'E1') || ($site[19] == 'E2')) {
                    return $month . $separator . $year;
                } else {
                    return $year . $separator . $month;
                }
            }
        }
        $dat_max = date('Y') . date('m');
        $dbwork = ReadDBFields(DBBLOG);
        $dat_min = count($dbwork) == 0 ? $dat_max : substr($dbwork[0][5], 0, 6);
        $dat_p = $ann_p . $mois_p;
        $dat_s = $ann_s . $mois_s;
        $out = '';
        if ($dat_p >= $dat_min) {
            $tdleft = '
			<a href="'.($site['URLR'] =='on'? $lng.'-'.$urlrw[1].'-5-mois-'.$ann_p.$mois_p: $site['BLS'].'.php?lng='.$lng.'&amp;sel=mois&amp;date='.$ann_p.$mois_p).'" title="'.MyMonth($mois_p, $ann_p).'">
			  <img src="'.CHEMIN.'inc/img/bars/left.gif" alt="'.$mois_p.'-'.$ann_p.'" style="vertical-align:middle;" />
			</a>';
        } else {
            $tdleft = '<img src="'.CHEMIN.'inc/img/bars/left.gif" alt="'.$mois_p.'-'.$ann_p.'" style="vertical-align:middle;" />';
        }

        if ($dat_s <= $dat_max) {
            $tdright = '
			<a href="'.($site['URLR'] =='on'? $lng.'-'.$urlrw[1].'-5-mois-'.$ann_p.$mois_s: $site['BLS'].'.php?lng='.$lng.'&amp;sel=mois&amp;date='.$ann_p.$mois_s).'" title="'.MyMonth($mois_s, $ann_s).'">
			  <img src="'.CHEMIN.'inc/img/bars/right.gif" alt="'.MyMonth($mois_s, $ann_s).'" style="vertical-align:middle;" />
			</a>';
        } else {
            $tdright = '<img src="'.CHEMIN.'inc/img/bars/right.gif" alt="'.MyMonth($mois_s, $ann_s).'" style="vertical-align:middle;" />';
        }
        $out .= '
  <table class="cal" style="text-align;center;margin:auto;">
    <tr>
      <td class="cal3">'.$tdleft.'</td>
      <td colspan="5" style="text-align:center;white-space:nowrap;" class="cal3">
        <strong><a href="'.($site['URLR'] =='on'? $lng.'-'.$urlrw[1].'-5-mois-'.$ann_ci.$mois_ci: $site['BLS'].'.php?lng='.$lng.'&amp;sel=mois&amp;date='.$ann_ci.$mois_ci).'" title=">> '.MyMonth($mois_ci, $ann_ci).'">'.$nommois.' '.$annee.'</a></strong>
      </td>
      <td class="cal3">'.$tdright.'</td>
    </tr>
    <tr>';
        for ($nbrejours = 1; $nbrejours < 8; $nbrejours++) {
            $out .= '
      <td class="cals" style="text-align:center;"><strong>'.$joursemaine[$nbrejours].'</strong></td>';
        }
        $out .= '
    </tr>
    <tr>';
        if ((($joursmois + $premierjour + $semainepays - 1) % 7) == 0 )
            $max = 7*floor(($joursmois + $premierjour + $semainepays)/7);
        else
            $max = 7*ceil(($joursmois + $premierjour + $semainepays)/7);

        for ($i = 1; $i <= $max; $i++) {
            $a = $jour = $i - $premierjour + 1 - $semainepays;
            if ($i < $premierjour || $jour > $joursmois || $a == '') {
                if  (!($premierjour == 7 && $semainepays == 1)) {
                    $out .= '
      <td class="cal0">&nbsp;</td>';
                }
            }
            elseif ($jour > $nbjours) {
                $out .= '
      <td class="cal0">&nbsp;</td>';
            }
            else {
                $a = sprintf('%02d', $a);
                $jour = sprintf('%02d', $jour);
                if (cal_ferie($jour, $mois, $annee)) {
                    $textecal = $a;
                    $stylecal = ($mois == $mois_ci) && ($jourj == $a) ? 'cal4' : 'cal3';
                }
                else {
                    $textecal = $a;
                    if ($jourj == $a) {
                        if (($i%7) == $semainepays) {
                            $stylecal = $mois == $mois_ci ? 'cal4' : 'cal3';
                        }
                        else {
                            $stylecal = ($mois == $mois_ci && $annee == $ann_ci) ? 'cal2' : 'cal1';
                        }
                    }
                    else {
                        $stylecal = ($i%7) == $semainepays ? 'cal3' : 'cal1';
                    }
                }
                $jok = FALSE;
                for ($k = 0; $k < count($dbwork); $k++) {
                    $datebi = CutLongWord($dbwork[$k][5], 8);
                    if ($datebi == $annee.$mois.$a) {
                        if (isAccessGranted($dbwork[$k][6]) && isAuthorizedPublication($dbwork[$k][5])){
                            $jok = TRUE;
                            $datej = $datebi;
                        }
                        break;
                    }
                }
                if ($jok) {
                    $out .= '
      <td class="calevt">
        <a href="'.CHEMIN.($site['URLR'] =='on'? $lng.'-'.$urlrw[1].'-5-jour-'.$datej: $site['BLS'].'.php?lng='.$lng.'&amp;sel=jour&amp;datej='.$datej).'" title="'.substr(formatDate($datej), 0, 10).'">'.$textecal.'</a>
      </td>';
                }
                else {
                    $out .= '
      <td class="'.$stylecal.'">'.$textecal.'</td>';
                }
            }
            if (($i%7) == 0 and $i != $max) {
                $out .= '
        </tr>
        <tr>';
            }
        }
        $out .= '
    </tr>
  </table>';
        return boxthin('BG', $web[399], $out, ' CALBG'.$tconfig, $dynabox[13]);
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_blogarch($mode, $pos = NULL, $args = NULL) {
    global $lng, $lang, $web, $site, $urlrw, $tconfig;
	$archdate = ReadCounter(DBBLOGARCHDATE);
	if ($archdate > 0) {
		if ($mode == 'archive') {
			$out = '
<div style="text-align:center;">'.$web[586].' '.FormatDate($archdate).'
<br />'.$web[585].'<br /><a href="'.($site['URLR'] =='on'? $lng.'-'.$urlrw[1].'-7': 'blogsarch.php?lng='.$lng).'"><b>'.$web[584].'</b></a>
</div>';
		} else {
			$out = '
<div style="text-align:center;">'.$web[589].' '.FormatDate($archdate).'
<br />'.$web[588].'<br /><a href="'.($site['URLR'] =='on'? $lng.'-'.$urlrw[1]: $site['BLS'].'.php?lng='.$lng).'"><b>'.$web[587].'</b></a>
</div>';
		}
        return boxthin('BG', $web[584] , $out, ' ARCBG'.$tconfig);
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_blogrss($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $serviz, $userprefs, $web, $dynabox, $site, $urlrw, $page, $tconfig, $reptheme;
    $dbbss = ReadDBFields(DBBSS);
    sort($dbbss);
    if (!empty($dbbss) && $serviz[27] == 'on'&& (NULL == $pos || !isBlogPage())) {
        $i = $lng == $lang[0] ? 0 : 1;
        $out = '';
        for ($j = 0; $j < count($dbbss); $j++) {
            $out .= '
  <div class="item" style="padding:3px;text-align:left;"><a href="'.CHEMIN.($site['URLR'] =='on'? $lng.'-'.$urlrw[19].'-3-'.$dbbss[$j][4]: 'blogrss.php?lng='.$lng.'&amp;id='.$dbbss[$j][4]).'">'.$dbbss[$j][$i].'</a></div>';
        }
        if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[41] == "on")) {
            $out .= '
  <div style="text-align:right;">
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=bss">
	  <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
	</a>
  </div>';
        }
        return boxthin('BG', $web[402] , $out, ' RSSBG'.$tconfig, $dynabox[14]);
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_blog($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $page, $site, $serviz, $userprefs, $web,
        $id, $prt, $headinc, $pg, $topmess, $widepage, $urlrw;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    $topmess = $site[31] == 1 ? $web[389] : sprintf($web[3], $site[31]);
    include_once('inc/blog.inc');
    return BlogInfo($pos);
}
?>
