<?php
/*******************************************************************************
 *   Functions for boxes
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/
 
if (stristr($_SERVER['SCRIPT_NAME'], 'func_boxes.php')) {
  header('location:../index.php');
  die();
}

/*******************************************************************************
 * function fbox_????? : fill the box for ?????
 *
 * @param array $pos (zone, horizontal and/or vertical index...)
 * @param array $args (up to five specific arguments)
 * @return mixed (FALSE if private box, string content of the box)
 ******************************************************************************/

/*
    global $lng, $lang, $drtuser, $members, $nom, $page, $site, $serviz, $user, $userprefs, $web,
        $endurl, $npage, $pgtype, $topmess, $skn_logo, $flag1, $flag2,
        $tabcounter, $plugin_admin_name, $plugin_bar_name;
*/

################################################################################

function fbox_ariane($pos = NULL, $args = NULL) {
    global $lng, $lang, $nom, $page, $site, $web, $urlrw, 
        $endurl, $npage, $pgtype, $topmess, $tconfig;
	$root = $site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng);
    switch ($pgtype) {
    case 5 :
        $ariane = '<span class="arianeOff">'.$npage[5].'</span>';
        break;
    case 18 : // plugins
        if (isset($topmess) && !empty($topmess)) {
            $plugin_name = strip_tags($topmess);
        } else {
			$tmp = explode('/', $endurl);
			foreach ($tmp as $key=>$val) {
				if ($val == 'plugins') break;
			}
			$plugin_dirname = 'plugins/'.$tmp[$key + 1];
			$plugin_file    = CHEMIN.$plugin_dirname.'/plugin.inc';
            $plugin_name    = '';
            if (is_file($plugin_file)) {
                $plugin_bar_name = '';
                include $plugin_file;
                if (!empty($plugin_bar_name)) {
                    $plugin_name = $plugin_bar_name;
                }
            }
            if (empty($plugin_name)) {
                $plugin_name = '';
                if (is_file(CHEMIN.'admin/'.$plugin_dirname.'/plugin.inc')) {
                    $plugin_admin_name = '';
                    include_once CHEMIN.'admin/'.$plugin_dirname.'/plugin.inc';
                    if (!empty($plugin_admin_name)) {
                        $plugin_name = $plugin_admin_name;
                    }
                }
            }
            if (empty($plugin_name)) {
                $plugin_name = $web[465];
            }
        }
        $ariane = '<span class="arianeOn"><a href="'.$root.'"> '.getLabel($nom[($lng == $lang[0] ? 0 : 10)]).' </a></span> &gt; <span class="arianeOff">'.$plugin_name.'</span>';
        break;
    case 13 : // blog
        $topmess2 = explode(' - ', empty($topmess) ? $npage[$pgtype] : strip_tags($topmess));
        $last = ' &gt; <span class="arianeOff">'.array_pop($topmess2).'</span>';
        $middle = (0 == count($topmess2)) ? '' : ' &gt; <span class="arianeOn"><a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[1]: $site['BLS'].'.php?lng='.$lng).'" title="'.$topmess2[0].'">'.$topmess2[0].'</a></span>';
        $ariane = '<span class="arianeOn"><a href="'.$root.'"> '.getLabel($nom[($lng == $lang[0] ? 0 : 10)]).' </a></span>'.$middle.$last;
        break;
    case 3 : // forum
        $topmess2 = explode(' - ', empty($topmess) ? $npage[$pgtype] : strip_tags($topmess, '<a>'));
        $last = ' &gt; <span class="arianeOff">'.array_pop($topmess2).'</span>';
        $middle = '';
        foreach ($topmess2 as $item) {
            $middle .= ' &gt; <span class="arianeOn">'.$item.'</span>';
        }
        $ariane = '<span class="arianeOn"><a href="'.$root.'"> '.getLabel($nom[($lng == $lang[0] ? 0 : 10)]).' </a></span>'.$middle.$last;
        break;
    case FALSE :
        $ariane = '<span class="arianeOn"><a href="'.$root.'"> '.getLabel($nom[($lng == $lang[0] ? 0 : 10)]).' </a></span> &gt; <span class="arianeOff">'.(empty($topmess) ? '???' : strip_tags($topmess, '<a>')).'</span>';
        break;
    default :
        $topmess2 = explode(' > ', empty($topmess) ? $npage[$pgtype] : strip_tags($topmess, '<a>'));
        $last = ' &gt; <span class="arianeOff">'.array_pop($topmess2).'</span>';
        $middle = '';
        foreach ($topmess2 as $item) {
            $middle .= ' &gt; <span class="arianeOn">'.$item.'</span>';
        }
        $ariane = '<span class="arianeOn"><a href="'.$root.'"> '.getLabel($nom[($lng == $lang[0] ? 0 : 10)]).' </a></span>'.$middle.$last;
    }
	$out = '
<div class="ariane'.(in_array($pos, array(BOX_TOP, BOX_BOTTOM)) ? ' ARN'.$pos.$tconfig : '').'">'
	.$web[637].$ariane.'
</div>';
	if (in_array($pos, array(BOX_TOP, BOX_BOTTOM))) {
		return $out;
	} else {
		if (in_array($pos, array(BOX_LEFT, BOX_RIGHT))) {
			return '
<div class="'.$pos.$tconfig.'ARN">'.boxthin($pos, '', $out, ' ARN'.$pos.$tconfig).'
</div>';
		} else {
			return boxwide($pos, '', $out, ' ARN'.$pos.$tconfig);
		}
	}
}

################################################################################

function fbox_print($pos = NULL, $args = NULL) {
    global $serviz, $web, $endurl, $pgtype, $site, $lng, $prt, $urlrw, $page, $tconfig, $reptheme;
	$url1  = str_replace('&', '&amp;', $endurl).'&amp;prt=-2';
	$url2  = str_replace('&', '&amp;', $endurl).'&amp;prt=2';
	$url3  = str_replace('&', '&amp;', $endurl).'&amp;prt=-3';
	$url4  = str_replace('&', '&amp;', $endurl).'&amp;prt=3';
	if ($site['URLR'] == 'on' && strpos($endurl, '/admin/') === false) {
		$infos = explode('/', $_SERVER['SCRIPT_NAME']);
		$qstrs = explode('&', $_SERVER['QUERY_STRING']);
		$fname = explode('.', $infos[count($infos) - 1]);
		$urls  = array(
			'index'=>$urlrw[0].'-1', $site['BLS']=>$urlrw[1].'-1', $site['BL'].'pg'=>$urlrw[1].'-41', 'blogsarch'=>$urlrw[1].'-71', $site['BL'].'selpg'=>$urlrw[1].'-21', 
		    'blogsarchselpgcatdatejdateid'=>$urlrw[1].'-72', 'blogarchpg'=>$urlrw[1].'-43', $site['BL'].'pgreact'=>$urlrw[1].'-470', 'blogarchpgreact'=>$urlrw[1].'-480', 
		    'contact'=>$urlrw[2].'-1', 'connect'=>$urlrw[3].'-2', 'connectconnectuuser'=>$urlrw[3].'-31', 'compte'=>$urlrw[3].'-141', 'lostpass'=>$urlrw[3].'-160', 
			'faq'=>$urlrw[4].'-1', 'faqpg'=>$urlrw[4].'-4', 'faqid'=>$urlrw[4].'-5', $site['FRT']=>$urlrw[5].'-1', $site['FR'].'cat'=>$urlrw[5].'-3', 
			$site['TH'].'pgcat'=>$urlrw[5].'-40', $site['TH'].'pgcatid'=>$urlrw[5].'-50', 'threadarchpgcat'=>$urlrw[5].'-420', 'threadarchpgcatid'=>$urlrw[5].'-520', 
			'links'=>$urlrw[6].'-2', 'linkspg'=>$urlrw[6].'-3', $site['GB']=>$urlrw[7].'-1', $site['GB'].'id'=>$urlrw[7].'-20', $site['GB'].'pg'=>$urlrw[7].'-30', 
			$site['NE']=>$urlrw[8].'-1', $site['NE'].'pgid'=>$urlrw[8].'-31', $site['NE'].'pg'=>$urlrw[8].'-20', 'newsarch'=>$urlrw[8].'-261', 'newsarchpg'=>$urlrw[8].'-263', 
			'newsarchpgid'=>$urlrw[8].'-41', 'photorama'=>$urlrw[9].'-1', 'photorama2pg'=>$urlrw[9].'-20', 'photoramapg'=>$urlrw[9].'-40', 
			'stats'=>$urlrw[10].'-1', 'download'=>$urlrw[11].'-1', 'downloadpg'=>$urlrw[11].'-5', 'downloadid'=>$urlrw[11].'-70', 'search'=>$urlrw[12].'-1', 
			'tinymsg'=>$urlrw[13].'-1', 'tinymsgaction'=>$urlrw[13].'-31', 'tinymsgactionid'=>$urlrw[13].'-51', 'tinymsgactionidtofrom'=>$urlrw[13].'-41', 
			'tinymsgactiontofrom'=>$urlrw[13].'-21', $site['PG'].'typ'=>$urlrw[14].'-0', $site['PG'].'typmodnumpg'=>$urlrw[14].'-10', $site['PG'].'typnumpg'=>$urlrw[14].'-20', 
			$site['PG'].'typcat'=>$urlrw[14].'-30', $site['PG'].'typpg'=>$urlrw[14].'-40', $site['USR']=>$urlrw[15].'-0', $site['USR'].'uuser'=>$urlrw[15].'-50', 
			$site['USR'].'modifuuser'=>$urlrw[15].'-60', 'poll'=>$urlrw[16].'-1', 'agendamoisanagv'=>$urlrw[17].'-211', 'agendamoisanagvid'=>$urlrw[17].'-231', 
			'agendaidpgpgagv'=>$urlrw[17].'-221', $site['NL']=>$urlrw[18].'-0', 'rss'=>$urlrw[19].'-1', 'articlespg'=>$urlrw[20].'-1001', 'articlespgreact'=>$urlrw[20].'-1010'
			);
		$vars = '';
		$vals = '-';
		foreach($qstrs as $key=>$val) {
			if ($key != 'lng') {
				$param = explode('=', $val);
				$vars .= $param[0];
				$vals .= $param[1].'-';
			}
		}
		$urlr = '';
		foreach($urls as $key=>$url) {
			if ($fname[0].$vars == $key) {
				$urlr = $url;
				break;
			}
		}
		$url1 = $lng.'-'.$urlr.$vals.'-2';
		$url2 = $lng.'-'.$urlr.$vals.'2';
		$url3 = $lng.'-'.$urlr.$vals.'-3';
		$url4 = $lng.'-'.$urlr.$vals.'3';
	}
    if ($pgtype != 11) {
        $out = '
<div class="boxprint'.(in_array($pos, array(BOX_TOP, BOX_BOTTOM)) ? ' PRT'.$pos.$tconfig : '').'">
  <span style="float:right;">
    <a href="'.$url1.'" target="_blank"><img src="'.$reptheme.'/look.png" alt="'.$web[264].'" title="'.$web[264].'" /></a>&nbsp;
    <a href="'.$url2.'" target="_blank"><img src="'.$reptheme.'/print.png" alt="'.$web[22].'" title="'.$web[22].'" /></a>&nbsp;
  </span>
  <span style="float:right;padding-right:10px;">'.$web[470].'</span>
  ';
        if ( !in_array($pgtype, array(5, 8, 9, 12, 14, 15, 16, 18))
        &&   !($pgtype == 3 && (strpos($endurl, $site['FRT'].'.php') !== FALSE))
        &&   !($pgtype == 8 && empty($serviz[21]))
        &&   $pgtype !== FALSE
           ) {
            $out .= '
  <br style="clear:both" />
  <span style="float:right;">
    <a href="'.$url3.'" target="_blank"><img src="'.$reptheme.'/look.png" alt="'.$web[264].'" title="'.$web[264].'" /></a>&nbsp;
    <a href="'.$url4.'" target="_blank"><img src="'.$reptheme.'/print.png" alt="'.$web[22].'" title="'.$web[22].'" /></a>&nbsp;
  </span>
  <span style="float:right;padding-right:10px;">'.$web[471].'</span>
  ';
        }
        $out .= '
</div>';
		if (in_array($pos, array(BOX_TOP, BOX_BOTTOM))) {
			return $out;
		} else {
			if (in_array($pos, array(BOX_LEFT, BOX_RIGHT))) {
				return '
<div class="'.$pos.$tconfig.'PRT">'.boxthin($pos, '', $out, ' PRT'.$pos.$tconfig).'
</div>';
			} else {
				return boxwide($pos, '', $out, ' PRT'.$pos.$tconfig);
			}
		}
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_logo($pos = NULL, $args = NULL) {
    global $lang, $lng, $page, $site, $skn_logo, $urlrw, $tconfig;
    $logo = $skn_logo != '' ? $skn_logo : CHEMIN.'img/'.$page[4];
    if ($logo != CHEMIN.'img/') {
		$url = ($site['URLR'] == 'on')? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng;
        return '
  <div class="logo'.(in_array($pos, array(BOX_TOP, BOX_BOTTOM)) ? ' LO'.$pos.$tconfig : '').'">
    <a href="'.$site[3].$url.'" title="'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'">
      <img src="'.$logo.'" alt="'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'" />
    </a>
  </div>
';
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_menu($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $nom, $page, $site, $serviz, $userprefs, $web, $admin, $menuico, 
	    $urlrw, $tconfig, $flag1, $flag2, $dynabox, $endurl, $charset, $reptheme, 
		$fielda1, $fieldb1, $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
	$title_menu = getLabel($nom[$lng == $lang[0] ? 44 : 45]);
	$title_menu = mb_substr(trim($title_menu), 0, 1, $charset) == '§' ? '' : $title_menu;
	$flags = '';
    if ($lang[1] != '') { // boxlang
		if ($site['URLR'] == 'on') {
			$len     = strlen(parse_url($site[3], PHP_URL_PATH));
			$flagurl = substr($_SERVER['REQUEST_URI'], $len);
			$flagurl = $site[3].$lang[$lng == $lang[0] ? 1 : 0].'-'.substr($flagurl, 3);
		} else {
			$slng = strpos($endurl, '?lng=') > 0 || strpos($endurl, '&lng=') > 0 ? '' : 'lng='.$lng;
			if ($slng != '') $endurl .= (strpos($endurl, '?') > 0) ? '&'.$slng : '?'.$slng;
			$flagurl = str_replace('&', '&amp;', $endurl);
			if ($lng == $lang[0]) $flagurl = str_replace('lng='.$lang[0], 'lng='.$lang[1], $flagurl); 
			if ($lng == $lang[1]) $flagurl = str_replace('lng='.$lang[1], 'lng='.$lang[0], $flagurl); 
		}
		$flags = '
  	  <div class="pop menuIcons_flag" style="width:32px;">
	    <a href="'.$flagurl.'">';
		if ($lng == $lang[0]) {
			$flags .= '
		  <img src="'.$flag2.'" style="border:0;vertical-align:middle;" alt="'.$web[87].': '.$lang[1].'" />
	      <span style="top:'.($pos != BOX_LEFT && $pos != BOX_RIGHT ? 20 : 40).'px;left:0px;width:128px;text-align:center;"><em></em>'.$web[555].': <b>'.$lang[1].'</b></span>';
		} else {
			$flags .= '
		  <img src="'.$flag1.'" style="border:0;vertical-align:middle;" alt="'.$web[87].': '.$lang[0].'" />
	    <span style="top:'.($pos != BOX_LEFT && $pos != BOX_RIGHT ? 20 : 40).'px;width:128px;text-align:center;"><em></em>'.$web[556].': <b>'.$lang[0].'</b></span>';
		}
		$flags .= '
		</a>
	  </div><div class="c-left"></div>';
        if ($pos != BOX_LEFT && $pos != BOX_RIGHT) { // Drapeau menu horizontal
			$flags  = (($page[9] != '')? '<br />' : '').$flags;
        } else { // Drapeau menu boite latérale
			$flags = '
  	  <div class="pop menuIcons_flag" style="width:32px;">
	    <a href="'.$flagurl.'">';
			if ($lng == $lang[0]) {
				$flags .= '
		  <img src="'.$flag2.'" style="border:0;vertical-align:middle;" alt="'.$web[87].': '.$lang[1].'" />
	      <span style="top:26px;left:0px;width:128px;text-align:center;"><em></em>'.$web[555].': <b>'.$lang[1].'</b></span>';
			} else {
				$flags .= '
		  <img src="'.$flag1.'" style="border:0;vertical-align:middle;" alt="'.$web[87].': '.$lang[0].'" />
	    <span style="top:40px;width:128px;text-align:center;"><em></em>'.$web[556].': <b>'.$lang[0].'</b></span>';
			}
			$flags .= '
		</a>
	  </div><div class="c-left"></div>';
			$title_menu = $flags.$title_menu;
        }
    } // boxlang
    $base_current = basename(substr($_SERVER["SCRIPT_NAME"], strlen(parse_url($site[3], PHP_URL_PATH))));
    unset($dbw);
    $menu = array();
    $i    = ($lng == $lang[0])? 0 : 10;
    $j    = ($lng == $lang[0])? 0 : 1;
    //Home
    if ($serviz[1] == 0 && $menuico[0] == 'on') {
        $menu[getLabel($nom[$i+0]).'_home'] = array(
            'id'     => 'home',
            'name'   => strip_tags(getLabel($nom[$i+0])),
            'title'  => getLabel($nom[$i+0], 1),
            'icon'   => 'inc/img/icons/'.$page[9].'/home.gif',
            'url'    => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[0]: 'index.php',
			'base'   => 'index.php',
			'target' => '_SELF'
        );
    }
    //Blog
    if ($serviz[53] == 'on' && $menuico[2] == 'on') {
    	$menu[getLabel($nom[$j+42]).'_blog'] = array(
    		'id'      => 'blog',
            'name'   => strip_tags(getLabel($nom[$j+42])),
            'title'  => getLabel($nom[$j+42], 1),
    		'icon'    => 'inc/img/icons/'.$page[9].'/blog.gif',
    		'url'     => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[1]: $site['BLS'].'.php',
			'base'    => $site['BLS'].'.php',
			'target'  => '_SELF'
    	);
    }
    //Contact
    if ($serviz[21] == 'on' && $serviz[99] == 'on' && $menuico[10] == 'on') {
    	$menu[getLabel($nom[$j+46]).'_contact'] = array(
    		'id'     => 'contact',
            'name'   => strip_tags(getLabel($nom[$j+46])),
            'title'  => getLabel($nom[$j+46], 1),
    		'icon'   => 'inc/img/icons/'.$page[9].'/contact.gif',
    		'url'    => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[2]: $site['CT'].'.php',
			'base'   => $site['CT'].'.php',
			'target' => '_SELF'
    	);
    }
    //Connexion
    if ($menuico[11] == 'on') {
		$jj = $userprefs[1] == '' ? $j : $j + 2;
		$connectName = $userprefs[1] == ''? 'connect.php': 'connect.php?lng='.$lng.'&amp;connect=off';
		$connectNameURLR = $userprefs[1] == ''? $urlrw[3]: $urlrw[3].'-1';
    	$menu[getLabel($nom[$jj+50]).'_connect'] = array(
    		'id'     => 'connect',
            'name'   => strip_tags(getLabel($nom[$jj+50])),
            'title'  => getLabel($nom[$jj+50], 1),
    		'icon'   => 'inc/img/icons/'.$page[9].'/'.($userprefs[1] == '' ? 'login' : 'logout').'.gif',
    		'url'    => ($site['URLR'] == 'on')? $lng.'-'.$connectNameURLR: $connectName,
			'base'   => 'connect.php',
			'target' => '_SELF'
    	);
    }
    //FAQ
    if ($serviz[14] == 'on' && $menuico[6] == 'on') {
    	$menu[getLabel($nom[$j+24]).'_faq'] = array(
    		'id'     => 'faq',
            'name'   => strip_tags(getLabel($nom[$j+24])),
            'title'  => getLabel($nom[$j+24], 1),
    		'icon'   => 'inc/img/icons/'.$page[9].'/faq.gif',
    		'url'    => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[4]: 'faq.php',
			'base'   => 'faq.php',
			'target' => '_SELF'
    	);
    }
    //Forum
    if ($serviz[13] == 'on' && $menuico[8] == 'on') {
    	$forumName = ($serviz[18] == 'on')? $site['FRT'] : $site['FR'];
    	$forumNameURLR = ($serviz[18] == 'on')? $urlrw[5] : $urlrw[5].'-31';
    	$menu[getLabel($nom[$j+22]).'_forum'] = array(
    		'id'      => 'forum',
            'name'   => strip_tags(getLabel($nom[$j+22])),
            'title'  => getLabel($nom[$j+22], 1),
    		'icon'    => 'inc/img/icons/'.$page[9].'/forum.gif',
    		'url'     => ($site['URLR'] == 'on')? $lng.'-'.$forumNameURLR: $forumName.'.php',
			'base'    => $forumName.'.php',
			'target'  => '_SELF'
    	);
    }
    //Link
    if ($serviz[11] == 'on' && $menuico[5] == 'on') {
    	$menu[getLabel($nom[$i+3]).'_links'] = array(
    		'id'     => 'links',
            'name'   => strip_tags(getLabel($nom[$i+3])),
            'title'  => getLabel($nom[$i+3], 1),
    		'icon'   => 'inc/img/icons/'.$page[9].'/links.gif',
    		'url'    => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[6]: 'links.php',
			'base'   => 'links.php',
			'target' => '_SELF'
    	);
    }
    //Guestbook
    if ($serviz[12] == 'on' && $menuico[7] == 'on') {
    	$menu[getLabel($nom[$i+9]).'_guestbk'] = array(
    		'id'     => 'guestbook',
            'name'   => strip_tags(getLabel($nom[$i+9])),
            'title'  => getLabel($nom[$i+9], 1),
    		'icon'   => 'inc/img/icons/'.$page[9].'/guestbook.gif',
    		'url'    => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[7]: $site['GB'].'.php',
			'base'   => $site['GB'].'.php',
			'target' => '_SELF'
    	);
    }
    //News
    if ($serviz[8] == 'on' && $menuico[1] == 'on') {
    	$menu[getLabel($nom[$i+7]).'_news'] = array(
    		'id'     => 'news',
            'name'   => strip_tags(getLabel($nom[$i+7])),
            'title'  => getLabel($nom[$i+7], 1),
    		'icon'   => 'inc/img/icons/'.$page[9].'/news.gif',
    		'url'    => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[8]: $site['NE'].'.php',
			'base'   => $site['NE'].'.php',
			'target' => '_SELF'
    	);
    }
    //photorama
    if ($serviz[9] == 'on' && $menuico[3] == 'on') {
    	$photoName = 'photorama'; 
    	$menu[getLabel($nom[$i+2]).'_photo'] = array(
    		'id'     => 'photo',
            'name'   => strip_tags(getLabel($nom[$i+2])),
            'title'  => getLabel($nom[$i+2], 1),
    		'icon'   => 'inc/img/icons/'.$page[9].'/photo.gif',
    		'url'    => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[9].'-'.$tconfig: 'photorama.php?lng='.$lng.'&amp;tconfig='.$tconfig,
			'base'   => 'photorama.php',
			'target' => '_SELF'
    	);
    }
    //Stats
    if ($serviz[15] == 'on' && $menuico[9] == 'on') {
    	$menu[getLabel($nom[$j+26]).'_stats'] = array(
    		'id'     => 'stats',
            'name'   => strip_tags(getLabel($nom[$j+26])),
            'title'  => getLabel($nom[$j+26], 1),
    		'icon'   => 'inc/img/icons/'.$page[9].'/stats.gif',
    		'url'    => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[10]: 'stats.php',
			'base'    => 'stats.php',
			'target' => '_SELF'
    	);
    }
    //Download
    if ($serviz[10] == 'on' && $menuico[4] == 'on') {
    	$menu[getLabel($nom[$i+1]).'_download'] = array(
    		'id'     => 'download',
            'name'   => strip_tags(getLabel($nom[$i+1])),
            'title'  => getLabel($nom[$i+1], 1),
    		'icon'   => 'inc/img/icons/'.$page[9].'/download.gif',
    		'url'    => ($site['URLR'] == 'on')? $lng.'-'.$urlrw[11].'-'.$tconfig: $site['DN'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig,
			'base'   => $site['DN'].'.php',
			'target' => '_SELF'
    	);
    }
    //Admin
    $menu_admin = array();
    if (isAdmin($userprefs[1])) {
    	$menu_admin = array(
    		'id'     => 'admin',
    		'name'   => strip_tags($web[144]),
    		'title'  => $web[144],
    		'icon'   => 'inc/img/icons/'.$page[9].'/admin.gif',
    		'url'    => ($site['URLR'] == 'on')? 'admin/'.$lng.'-'.$urlrw[0].'-19': 'admin/admin.php?lng='.$lng,
			'base'   => 'admin.php',
			'target' => '_SELF'
    	);
    }
    //Plugins
    if (is_file(CHEMIN."inc/hplugins.inc")) {
    	include CHEMIN."inc/hplugins.inc";
    }
    //Icônes supplémentaires
    $dbw = SelectDBFieldsByType(ReadDBFields(DOCID), TYP_MENUICO);
    foreach ($dbw as $item) {
        if ($item[2] == 'a') {
            ReadDoc($item[1]);
			if (!isAccessGranted($fieldmod)) continue;
			if ($fieldweb == $tconfig || $fieldweb == 'ALL') {
				$urls = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
				if (preg_match('!https?://|ftps?://|www.!', $urls[0]))
					$url = $urls[0];
				else {
					$slng = (strpos($urls[0], '?lng=') > 0 || strpos($urls[0], '&lng=') > 0 || $site['URLR'] == 'on') ? '' : 'lng='.$lng;
					if ($slng != '') $urls[0] .= (strpos($urls[0], '?') > 0) ? '&'.$slng : '?'.$slng;
					$urls[0] = strpos($urls[0], 'tconfig') > 0 ? $urls[0] : $urls[0].'&amp;tconfig='.$tconfig;
					if (($fieldweb > 0 || $fieldweb == 'ALL') && strpos($urls[0], 'articles.php') !== false) {
						$pg      = substr($urls[0], strpos($urls[0], 'pg=') + 3);
						$pg      = strpos($pg, '&') > 0 ? substr($pg, 0, strpos($pg, '&')) : $pg;
						$urls[1] = $lng.'-'.$urlrw[20].($fieldweb == 'ALL' ? '-100-'.$pg : '-102-'.$pg.'-'.$fieldweb);
					}
					$url  = count($urls) == 1 ? $urls[0] : $site['URLR'] != 'on'? $urls[0] : $urls[1];
					$url  = CHEMIN.$url;
				}
				$icon_name = $lang[0] == $lng ? getLabel($fieldb1) : getLabel($fieldb2);
				$menu[$icon_name.'menuicon_'.$fielda1] = array(
					'id'      => strip_tags($fielda1),
					'name'    => $lang[0] == $lng ? strip_tags(getLabel($fieldb1)) : strip_tags(getLabel($fieldb2)),
					'title'   => $icon_name,
					'icon'    => 'img/'.$fieldc2,
					'url'     => $url,
					'base'    => strip_tags($fielda1).'.php',
					'target'  => $fieldc1,
					'docid'   => $item[1]
				);
			}
        }
    }
    ksort($menu);
    $out = '';
    $currentMenuClass = '';
    if ($pos != BOX_LEFT && $pos != BOX_RIGHT) { // Menu horizontal
   		$out .= $flags;
    	$out .= '
	  <nav>
      <div class="menuIcons MI'.$pos.$tconfig.'">
      <ul>';
    	// Admin
    	if (isAdmin($userprefs[1])) {
    		// Class ajouté à la section du menu affichée
			$target = strtoupper($menu_admin['target']) == '_SELF' ? '' : ' target="'.$menu_admin['target'].'"';
    		$currentMenuClass = ($base_current == $menu_admin['base'])? ' current' : '';
    		$contents = '
			<a href="'.CHEMIN.$menu_admin['url'].'" title="'.strip_tags($menu_admin['title']).'"'.$target.'>';
    		if($page[9] != '' && is_file(CHEMIN.$menu_admin['icon'])) {
    			$contents .= '
			  <img src="'.CHEMIN.$menu_admin['icon'].'" alt="'.strip_tags($menu_admin['name']).'" title="'.strip_tags($menu_admin['title']).'" '.(($page[20] != '')? 'class="imgover"' : '').' style="height:32px;" />';
    		}
    		$contents .= '
			  <span class="name_'.$menu_admin['id'].$currentMenuClass.'">'.$menu_admin['name'].'</span>';
    		$contents .= '
			</a>';
    		$out .= '
          <li class="menu_'.$menu_admin['id'].$currentMenuClass.'">'.$contents.'</li>';
    	}
    	// Sections du menu
    	$found_current = false;
    	foreach ($menu as $section) {
            if ($currentMenuClass != '') {
                $found_current = true;
                $currentMenuClass = '';
            }
            if (!$found_current) {
        		if (!isset($section['alturls'])) {
        		    $currentMenuClass = ($base_current == $section['base']) ? ' current' : '';
        		} else {
        		    $currentMenuClass = ($base_current == $section['base']) ? ' current' : '';
                    foreach($section['alturls'] as $url) {
                        if ($base_current == $url) {
                            $currentMenuClass = ' current';
                            break;
                        }
                    }
        		}
    		}
    		if ($page[9] != '' || $section['name'] != '') {
				if (strpos($section['url'], $site[3]) !== false) {
					$url  = CHEMIN.substr($section['url'], strlen($site[3]));
					$slng = (strpos($url, '?lng=') > 0 || strpos($url, '&lng=') > 0 || $site['URLR'] == 'on') ? '' : 'lng='.$lng;
					if ($slng != '') $url .= (strpos($url, '?') > 0) ? '&'.$slng : '?'.$slng;
				} elseif (preg_match('!https?://|ftps?://|www.!', $section['url'])) {
					$url = $section['url'];
				} else {
					$url  = CHEMIN.$section['url'];
					$slng = (strpos($url, '?lng=') > 0 || strpos($url, '&lng=') > 0 || $site['URLR'] == 'on') ? '' : 'lng='.$lng;
					if ($slng != '') $url .= (strpos($url, '?') > 0) ? '&'.$slng : '?'.$slng;
				}
				if ($section['target'] == '_POPUP')
					$target = '	onclick="window.open(this.href, \'popup'.(isset($section['docid']) ? $section['docid'] : '0').'\', 
						\'resizable=yes,status=yes,location=no,toolbar=yes,menubar=no,fullscreen=no,scrollbars=yes,dependent=no,width=1024,left=0,height=768,top=0\'); return false;"';
				else
					$target = strtoupper($section['target']) == '_SELF' ? '' : ' target="'.$section['target'].'"';
				$contents = '
			<a href="'.$url.'" title="'.strip_tags($section['title']).'"'.$target.'>';
    			if($page[9] != '' && is_file(CHEMIN.$section['icon'])) {
    				$contents .= '
			  <img src="'.CHEMIN.$section['icon'].'" alt="'.strip_tags($section['name']).'" title="'.strip_tags($section['title']).'" '.(($page[20] != '')? 'class="imgover"' : '').' style="height:32px;" />';
    			}
    			if ($section['name'] != '') {
    				$contents .= '
			  <span class="name_'.$section['id'].$currentMenuClass.'">'.$section['name'].'</span>';
    			}
    			$contents .= '
			</a>';

    			$out .= '
          <li class="menu_'.$section['id'].$currentMenuClass.'">
		    '.$contents.'
		  </li>';
    		}
    	}
    	$out .= '
      </ul>
      </div>
      <div style="clear:both;"></div>
	  </nav>';
      return $out;
    } else { // Menu boite latérale
    	$out .= '
	  <nav>
      <ul class="boxmenu">
    	';
    	// Sections du menu
    	$found_current = false;
    	$currentMenuClass = '';
    	foreach ($menu as $section) {
            if ($currentMenuClass != '') {
                $found_current = true;
                $currentMenuClass = '';
            }
            if (!$found_current) {
        		if (!isset($section['alturls'])) {
        		    $currentMenuClass = ($base_current == $section['base'])? ' curr_item' : '';
        		} else {
        		    $currentMenuClass = ($base_current == $section['base'])? ' curr_item' : '';
                    foreach($section['alturls'] as $url) {
                        if ($base_current == $url) {
                            $currentMenuClass = ' curr_item';
                            break;
                        }
                    }
        		}
    		}
    		if ($page[9] != '' || $section['name'] != '') {
				if (strpos($section['url'], $site[3]) !== false) {
					$url  = CHEMIN.substr($section['url'], strlen($site[3]));
					$slng = (strpos($url, '?lng=') > 0 || strpos($url, '&lng=') > 0 || $site['URLR'] == 'on') ? '' : 'lng='.$lng;
					if ($slng != '') $url .= (strpos($url, '?') > 0) ? '&'.$slng : '?'.$slng;
				} elseif (preg_match('!https?://|ftps?://|www.!', $section['url'])) {
					$url = $section['url'];
				} else {
					$url  = CHEMIN.$section['url'];
					$slng = (strpos($url, '?lng=') > 0 || strpos($url, '&lng=') > 0 || $site['URLR'] == 'on') ? '' : 'lng='.$lng;
					if ($slng != '') $url .= (strpos($url, '?') > 0) ? '&'.$slng : '?'.$slng;
				}
				if ($section['target'] == '_POPUP')
					$target = '	onclick="window.open(this.href, \'popup'.(isset($section['docid']) ? $section['docid'] : '0').'\', 
						\'resizable=yes,status=yes,location=no,toolbar=yes,menubar=no,fullscreen=no,scrollbars=yes,dependent=no,width=1024,left=0,height=768,top=0\'); return false;"';
				else
					$target = strtoupper($section['target']) == '_SELF' ? '' : ' target="'.$section['target'].'"';
				$contents = '<a href="'.$url.'" title="'.strip_tags($section['title']).'"'.$target.'>';
    			if($page[9] != '' && is_file(CHEMIN.$section['icon'])) {
    				$contents .= '<img src="'.CHEMIN.$section['icon'].'" alt="'.strip_tags($section['name']).'" title="'.strip_tags($section['title']).'" '.(($page[20] != '')? 'class="imgover"' : '').' style="height:32px;" />';
    			}
    			if ($section['name'] != '') {
    				$contents .= '<span class="name_'.$section['id'].$currentMenuClass.'">'.$section['name'].'</span>';
    			}
    			$contents .= '</a>';

    			$out .= '
          <li class="menu_'.$section['id'].$currentMenuClass.'">'.$contents.'</li>';
    		}
    	}
    	//Admin
    	if (isAdmin($userprefs[1])) {
    		// Class ajouté à la section du menu affichée
    		$currentMenuClass = ($base_current == $menu_admin['base'])? ' curr_item' : '';

    		$contents = ' <a href="'.CHEMIN.$menu_admin['url'].'" title="'.strip_tags($menu_admin['title']).'">';
    		if ($page[9] != '' && is_file(CHEMIN.$menu_admin['icon'])) {
    			$contents .= '<img src="'.CHEMIN.$menu_admin['icon'].'" alt="'.strip_tags($menu_admin['name']).'" title="'.strip_tags($menu_admin['title']).'"'.(($page[20] != '')? 'class="imgover"' : '').' style="height:32px;" />';
    		}
    		$contents .= '<span class="name_'.$menu_admin['id'].$currentMenuClass.'">'.$menu_admin['name'].'</span>';
    		$contents .= '</a>';

    		$out .= '
        <li class="menu_'.$menu_admin['id'].$currentMenuClass.'">'.$contents.'</li>';
    	}
    	$out .= '
      </ul>
	  </nav>';
        if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[28] == "on")) {
            $out .= '
	  <div class="f-right">
		'.displayQuickConfig($pos).'
	  </div>
	  <div class="c-right"></div>';
		}
    	return '
<div class="'.$pos.$tconfig.'MI">'.boxthin($pos, $title_menu, $out, ' MI'.$pos.$tconfig, $dynabox[0]).'
</div>';
    }
}

################################################################################

function fbox_cita($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $serviz, $userprefs, $web, $admin, $page, $tconfig, $reptheme;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
	$bc  = $args[0];
	$out = '';
    $dbw = SelectDBFields(TYP_THINK, 'a', '');
    if (count($dbw) > 0) {
		if ($serviz[108] == '') {
			srand(MakeSeed());
			$i = rand(0, count($dbw)-1);
			ReadDoc($dbw[$i][1]);
			if (isAuthorizedPublication($creadate)) {
				if ($lng == $lang[0]) {
					$txt1 = PathToImage($fieldc1);
					$txt2 = $fieldb1;
				} else {
					$txt1 = PathToImage($fieldc2);
					$txt2 = $fieldb2;
				}
				$txt1 = str_ireplace('<p>', ' ', $txt1);
				$txt1 = str_ireplace('</p>', ' ', $txt1);
				$out  = '
<div class="quote QOT'.$pos.$tconfig.'">
  <span class="labelcita">'.$web[5].'&nbsp;&nbsp;</span><span class="cita">'.$txt1.'&nbsp;&nbsp;</span><span class="author">'.$txt2.'</span>
</div>';
			}
		} else {
			$citatime = $serviz[109] * 1000;
			$out = '
<style type="text/css">
  #lgcita'.$bc.' { position: relative; }
  #lgcita'.$bc.' div { display: none; position: absolute; }
  #lgcita'.$bc.' #citafirst'.$bc.' { position: relative; display: block; }
</style>
<div class="quote">
  <div id="lgcita'.$bc.'">';
			$n = min($bc, count($dbw)) - 1;
			for ($i = 0; $i < count($dbw); $i++) {
				ReadDoc($dbw[$i][1]);
				if (!isAuthorizedPublication($creadate)) continue;
				if ($lng == $lang[0]) {
					$txt1 = PathToImage($fieldc1);
					$txt2 = $fieldb1;
				} else {
					$txt1 = PathToImage($fieldc2);
					$txt2 = $fieldb2;
				}
				$txt1 = str_ireplace('<p>', ' ', $txt1);
				$txt1 = str_ireplace('</p>', ' ', $txt1);
				$out .= '
    <div'.($i == $n ? ' id="citafirst'.$bc.'" ' : '').'>
      <span class="labelcita">'.$web[5].'&nbsp;&nbsp;</span><span class="cita">'.$txt1.'&nbsp;&nbsp;</span><span class="author">'.$txt2.'</span>
    </div>';
			}
			$out .= '
  </div>
  <script type="text/javascript">
    function nextcita'.$bc.'(speed) {
      $("#citafirst'.$bc.'").hide();
      if ($("#citafirst'.$bc.'").next().fadeOut(speed).length)
        $("#citafirst'.$bc.'").next().fadeIn(speed,function(){
          $("#citafirst'.$bc.'").removeAttr("id").next().attr("id","citafirst'.$bc.'");
        });
      else
        $("#lgcita'.$bc.' div:first").fadeIn(speed,function(){
		  $("#citafirst'.$bc.'").removeAttr("id");
          $("#lgcita'.$bc.' div:first").attr("id","citafirst'.$bc.'");
		});
    }
    setInterval("nextcita'.$bc.'(0)",'.$citatime.');
  </script>
</div>';
		}

        if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[28] == "on")) {
            $out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=think&amp;tconfig='.$tconfig.'">
    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
  </a>
</div>
<div class="c-right"></div>';
        }
		return $out;
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_count($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $nom, $page, $site, $serviz, $userprefs, $web, $admin, $tabcounter, $dynabox, $tconfig, $charset, $reptheme;
    $i = $lng == $lang[0] ? 0 : 10;
    $out1 = $out2 = '
<p class="box" style="text-align:left;">&nbsp;';
    if ($page[11] == '') {
        $out1 .= $tabcounter[0].'&nbsp;';
        $out2 .= $tabcounter[1].'&nbsp;';
    }
    else {
        $out1 .= AfficheCompteur(CHEMIN.'inc/img/counter/'.$page[11].'/', $tabcounter[0]);
        $out1 .= '&nbsp;&nbsp;';
        $out2 .= AfficheCompteur(CHEMIN.'inc/img/counter/'.$page[11].'/', $tabcounter[1]);
        $out2 .= '&nbsp;&nbsp;';
    }
    $out1 .= $tabcounter[0] == 1 ? $web[15] : $web[16];
    $out1 .= '
</p>';
    $out2 .= $tabcounter[1] == 1 ? $web[17] : $web[18];
    $out2 .= '
</p>';
    $out = $out1.$out2;
    if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[31] == "on")) {
        $out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=count&amp;tconfig='.$tconfig.'">
    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
  </a>
</div>
<div class="c-right"></div>';
    }
	$titre = getLabel($nom[$lng == $lang[0] ? 8 : 18]);
	$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
    return '
<div class="'.$pos.$tconfig.'CNT">'.boxthin($pos, $titre, $out, ' CNT'.$pos.$tconfig, $dynabox[2]).'
</div>';
}

################################################################################

function fbox_ban($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $serviz, $userprefs, $web, $admin, $page, $tconfig, $reptheme;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
	$bc  = $args[0];
    $dbw = SelectDBFields(TYP_BANNER, 'a', '');
    if (count($dbw) > 0) {
		if ($serviz[25] == '') {
			$out = '
<div class="banner">';
			srand(MakeSeed());
			$i = rand(0,count($dbw)-1);
			ReadDoc($dbw[$i][1]);
			if (isAuthorizedPublication($creadate)) {
				if ($lng == $lang[0]) {
					$img = $fielda1;
					$url = $fieldb1;
					$alt = empty($fieldd1) ? $url : $fieldd1;
				} else {
					$img = empty($fielda2) ? $fielda1 : $fielda2;
					$url = empty($fieldb2) ? $fieldb1 : $fieldb2;
					$alt = empty($fieldd2) ? $url : $fieldd2;
				}
				$img = CHEMIN.'img/'.$img;
				$extn = substr($img,-3);

				if (isImage($extn)) {
					if (!empty($url)) {
						$out .= '
  <a href="'.$url.'" target="_blank" title="'.$alt.'">';
					}
					$out .= '
    <img src="'.$img.'" alt="'.$alt.'" title="'.$alt.'" />';
					if (!empty($url)) {
						$out .= '
  </a>';
					}
				}
				elseif (IsFlash($extn)) {
					$out .= '
  <object class="flashban" type="application/x-shockwave-flash" data="'.$img.'" style="width:468px;height:60px;" title="'.$alt.'">
    <param name="wmode" value="transparent" />
    <param name="quality" value="high" />
    <param name="menu" value="false" />
    <param name="movie" value="'.$img.'" />
    <span><a href="http://www.adobe.com/go/getflashplayer/" title="'.$web[421].'">'.$web[421].'</a></span>
  </object>';
				}
			}
		} else {
			$bantime = $serviz[26] * 1000;
			$out = '
<style type="text/css">
  #ban'.$bc.' { position: relative; }
  #ban'.$bc.' a { display: none; position: absolute; }
  #ban'.$bc.' #banfirst'.$bc.' { position: relative; display: block; }
</style>
<div class="banner BAN'.$pos.$tconfig.'">
  <div id="ban'.$bc.'">';
			$n = min($bc, count($dbw)) - 1;
			for ($i = 0; $i < count($dbw); $i++) {
				ReadDoc($dbw[$i][1]);
				if (!isAuthorizedPublication($creadate)) continue;
				if ($lng == $lang[0]) {
					$img = $fielda1;
					$url = $fieldb1;
					$alt = empty($fieldd1) ? $url : $fieldd1;
				} else {
					$img = empty($fielda2) ? $fielda1 : $fielda2;
					$url = empty($fieldb2) ? $fieldb1 : $fieldb2;
					$alt = empty($fieldd2) ? $url : $fieldd2;
				}
				$img = CHEMIN.'img/'.$img;
				$extn = substr($img,-3);

				if (isImage($extn)) {
					if (!empty($url)) {
						$out .= '
    <a '.($i == $n ? 'id="banfirst'.$bc.'" ' : '').'href="'.$url.'" target="_blank" title="'.$alt.'">';
					}
					$out .= '
	  <img src="'.$img.'" alt="'.$alt.'" title="'.$alt.'" />';
					if (!empty($url)) {
						$out .= '
	</a>';
					}
				}
				elseif (IsFlash($extn)) {
					if (!empty($url)) {
						$out .= '
    <a '.($i == $n ? 'id="banfirst'.$bc.'" ' : '').'href="'.$url.'" target="_blank" title="'.$alt.'">';
					} else {
						$out .= '
    <a '.($i == $n ? 'id="banfirst'.$bc.'" ' : '').'href="#" target="_blank" title="'.$alt.'">';
					}
					$out .= '
	  <object class="flashban" type="application/x-shockwave-flash" data="'.$img.'" style="width:468px;height:60px;" title="'.$alt.'">
	    <param name="wmode" value="transparent" />
	    <param name="quality" value="high" />
	    <param name="menu" value="false" />
	    <param name="movie" value="'.$img.'" />
	  </object>
	</a>';
				}
			}
			$out .= '
  </div>
  <script type="text/javascript">
    function nextban'.$bc.'(speed) {
      if ($("#banfirst'.$bc.'").fadeOut(speed).next().length)
        $("#banfirst'.$bc.'").next().fadeIn(speed,function(){
          $("#banfirst'.$bc.'").removeAttr("id").next().attr("id","banfirst'.$bc.'");
        });
      else
        $("#ban'.$bc.' a:first").fadeIn(speed,function(){
		  $("#banfirst'.$bc.'").removeAttr("id");
          $("#ban'.$bc.' a:first").attr("id","banfirst'.$bc.'");
		});
    }
    setInterval("nextban'.$bc.'(0)",'.$bantime.');
  </script>';
		}
        if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[27] == "on")) {
            $out .= '
  <div class="f-right">
	'.displayQuickConfig($pos).'
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=banner&amp;tconfig='.$tconfig.'">
      <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
    </a>
  </div>
  <div class="c-right"></div>';
        }
        return $out.'
</div>';
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_search($pos = NULL, $args = NULL) {
    global $lng, $lang, $members, $nom, $page, $site, $serviz, $userprefs, $drtuser, $web, $admin, $dynabox, $urlrw, $tconfig, $charset, $reptheme;
    static $nbox = 0;
    $nbox++;
    $i = $lng == $lang[0] ? 0 : 1;
    $j = 10 * $i;
    $options  = '';
    $options .= SearchOption(true,                $members[1]  != 'on', TYP_ART,     $web[169]);
    $options .= SearchOption($serviz[29] == 'on', $members[1]  != 'on', TYP_REACT,   $web[187]);
    $options .= SearchOption($serviz[10] == 'on', $members[7]  != 'on', TYP_DNLOAD,  getLabel($nom[1+$j]));
    $options .= SearchOption($serviz[14] == 'on', $members[4]  != 'on', TYP_FAQ,     getLabel($nom[24+$i]));
    $options .= SearchOption($serviz[13] == 'on', $members[5]  != 'on', TYP_FORUM,   getLabel($nom[22+$i]));
    $options .= SearchOption($serviz[12] == 'on', $members[12] != 'on', TYP_GUESTBK, getLabel($nom[9+$j]));
    $options .= SearchOption($serviz[11] == 'on', $members[3]  != 'on', TYP_LINKS,   getLabel($nom[3+$j]));
    $options .= SearchOption($serviz[8]  == 'on', $members[13] != 'on', TYP_NEWS,    getLabel($nom[7+$j]));
    $options .= SearchOption($serviz[53] == 'on', $members[15] != 'on', TYP_BLOG,    getLabel($nom[42+$i]));
    $options .= SearchOption($serviz[9]  == 'on', $members[2]  != 'on', TYP_PHOTO,   getLabel($nom[2+$j]));
    $options .= SearchOption($serviz[47] == 'on', $members[14] != 'on', TYP_AGENDA,  $web[488]);
    $options .= SearchOption(true,                true                , TYP_ARCH,    $web[399]);

    if (in_array($pos, array(BOX_LEFT, BOX_RIGHT))) {
        $out = '
<div class="thinboxsearch TS'.$pos.$tconfig.'">
  <form name="thinsearch'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[12].'-'.$tconfig: 'search.php?lng='.$lng.'&amp;tconfig='.$tconfig).'" method="post" style="text-align:center">
    <input name="search" class="texte" type="text" size="18" value="'.$web[58].'" onfocus=\'this.value=""\' />
	<a href="#" onclick="javascript:document.thinsearch'.$nbox.'.submit();"> 
	  <img style="vertical-align:bottom;cursor:pointer;" src="'.$reptheme.'/search.png" alt="'.getLabel($nom[$lng == $lang[0] ? 20 : 21]).'" />
	</a>
    <div style="margin-top:-4px;">
	  <select name="searchin">
        <option value="" selected="selected">'.$web[168].'</option>
        '.$options.'
      </select>
	</div>';
        if ($lang[1] != '') {
            $out .= '
    <div style="margin-top:-4px;">
      <select name="searchlng">
        <option value="">['.$lang[0].'] '.$web[177].' ['.$lang[1].']</option>
        <option value="'.$lang[0].'"'.Selected($lng == $lang[0]).'>['.$lang[0].'] '.$web[178].'</option>
        <option value="'.$lang[1].'"'.Selected($lng == $lang[1]).'>['.$lang[1].'] '.$web[178].'</option>
      </select>
	</div>';
        } else {
            $out .= '
    <input type="hidden" name="searchlng" value="'.$lang[0].'" />';
        }
        $out.= '
 </form>
</div>';
        if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[49] == "on")) {
			$out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
</div>
<div class="c-right"></div>';
		}
		$titre = getLabel($nom[$lng == $lang[0] ? 20 : 21]);
		$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
        return '
<div class="'.$pos.$tconfig.'TS">'.boxthin($pos, $titre, $out, ' TS'.$pos.$tconfig, $dynabox[3]).'
</div>';
    } else {
       $out = '
<div class="wideboxsearch WS'.$pos.$tconfig.'">
  <form name="widesearch'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[12].'-2-'.$lng.'-'.$tconfig: 'search.php?lng='.$lng.'&amp;searchlng='.$lng.'&amp;tconfig='.$tconfig).'" method="post">
    <input type="hidden" name="searchin" value="" />
    <input name="search" class="texte" type="text" size="18" value="'.$web[58].'" onfocus=\'this.value=""\' />
	<a href="#" onclick="javascript:document.widesearch'.$nbox.'.submit();"> 
	  <img style="vertical-align:bottom;cursor:pointer;" src="'.$reptheme.'/search.png" alt="'.getLabel($nom[$lng == $lang[0] ? 20 : 21]).'" />
	</a>
 </form>
</div>';
        if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[49] == "on")) {
			$out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
</div>
<div class="c-right"></div>';
		}
		if (in_array($pos, array(BOX_TOP, BOX_BOTTOM))) {
			return $out;
		} else {
			return boxwide($pos, '', $out, ' WS'.$pos.$tconfig);
		}
    }
}

################################################################################

function fbox_search2($pos = NULL, $args = NULL) {
    global $lng, $lang, $members, $nom, $page, $site, $serviz, $userprefs, $drtuser, $web, $urlrw, $admin, $tconfig, $reptheme;
    static $nbox = 0;
    $nbox++;
    $i = $lng == $lang[0] ? 0 : 1;
    $j = 10 * $i;
    $options = '';
    $options .= SearchOption(true,                $members[1]  != 'on', TYP_ART,     $web[169]);
    $options .= SearchOption($serviz[29] == 'on', $members[1]  != 'on', TYP_REACT,   $web[187]);
    $options .= SearchOption($serviz[10] == 'on', $members[7]  != 'on', TYP_DNLOAD,  getLabel($nom[1+$j]));
    $options .= SearchOption($serviz[14] == 'on', $members[4]  != 'on', TYP_FAQ,     getLabel($nom[24+$i]));
    $options .= SearchOption($serviz[13] == 'on', $members[5]  != 'on', TYP_FORUM,   getLabel($nom[22+$i]));
    $options .= SearchOption($serviz[12] == 'on', $members[12] != 'on', TYP_GUESTBK, getLabel($nom[9+$j]));
    $options .= SearchOption($serviz[11] == 'on', $members[3]  != 'on', TYP_LINKS,   getLabel($nom[3+$j]));
    $options .= SearchOption($serviz[8]  == 'on', $members[13] != 'on', TYP_NEWS,    getLabel($nom[7+$j]));
    $options .= SearchOption($serviz[53] == 'on', $members[15] != 'on', TYP_BLOG,    getLabel($nom[42+$i]));
    $options .= SearchOption($serviz[9]  == 'on', $members[2]  != 'on', TYP_PHOTO,   getLabel($nom[2+$j]));
    $options .= SearchOption($serviz[47] == 'on', $members[14] != 'on', TYP_AGENDA,  $web[488]);
    $options .= SearchOption(true,                true                , TYP_ARCH,    $web[399]);

    $out = '
<div id="search2'.$nbox.'" class="'.(in_array($pos, array(BOX_LEFT, BOX_RIGHT)) ? 'thinboxsearch1 TS1' : 'wideboxsearch1 WS1').$pos.$tconfig.'">
  <form name="widesearch2'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[12].'-2-'.$lng.'-'.$tconfig: 'search.php?lng='.$lng.'&amp;searchlng='.$lng.'&amp;tconfig='.$tconfig).'" method="post">
    <input type="hidden" name="searchin" value="" />
    <input name="search" class="texte" type="text" style="width:120px;" value="'.$web[58].'" onfocus=\'this.value=""\' />
	<a href="#" onclick="javascript:document.widesearch2'.$nbox.'.submit();"> 
	  <img style="vertical-align:bottom;cursor:pointer;" src="'.$reptheme.'/search.png" alt="'.getLabel($nom[$lng == $lang[0] ? 20 : 21]).'" />
	</a>
    <div id="adv1'.$nbox.'" style="text-align:center; font-size:0.8em; margin-top:-2px;">
      <a href="javascript:cache(\'adv1'.$nbox.'\'); montre(\'adv2'.$nbox.'\'); montre(\'search1'.$nbox.'\');">'.$web[590].'</a>
    </div>
    <div id="adv2'.$nbox.'" style="display:none;text-align:center; font-size:0.8em; margin-top:-2px;">&nbsp;</div>
    <div id="search1'.$nbox.'" class="'.(in_array($pos, array(BOX_LEFT, BOX_RIGHT)) ? 'thinboxsearch2' : 'wideboxsearch2').'" style="display:none;'.(in_array($pos, array(BOX_LEFT, BOX_RIGHT)) ? '' : 'position:absolute;').'">
      <div>
	    <select name="searchin">
          <option value="" selected="selected">'.$web[168].'</option>
          '.$options.'
        </select>
	  </div>';
    if ($lang[1] != '') {
        $out .= '
      <div style="margin-top:-4px;">
        <select name="searchlng">
          <option value="">['.$lang[0].'] '.$web[177].' ['.$lang[1].']</option>
          <option value="'.$lang[0].'"'.Selected($lng == $lang[0]).'>['.$lang[0].'] '.$web[178].'</option>
          <option value="'.$lang[1].'"'.Selected($lng == $lang[1]).'>['.$lang[1].'] '.$web[178].'</option>
        </select>
	  </div>';
    } else {
        $out .= '
      <input type="hidden" name="searchlng" value="'.$lang[0].'" />';
        }
    $out.= '
      <img style="cursor:pointer;margin:-16px 6px 0 0;float:right;" src="'.$reptheme.'/close.png" alt="'.$web[57].'" title="'.$web[57].'" onclick="cache(\'adv2'.$nbox.'\'); cache(\'search1'.$nbox.'\'); montre(\'adv1'.$nbox.'\')" />
    </div>
  </form>
</div>';
    if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[49] == "on")) {
		$out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
</div>
<div class="c-right"></div>';
	}
	if (in_array($pos, array(BOX_TOP, BOX_BOTTOM))) {
		return $out;
	} else {
		if (in_array($pos, array(BOX_LEFT, BOX_RIGHT))) {
			return '
<div class="'.$pos.$tconfig.'SCH">'.boxthin($pos, '', $out, ' SCH'.$pos.$tconfig).'
</div>';
		} else {
			return boxwide($pos, '', $out, ' SCH'.$pos.$tconfig);
		}
	}
}

################################################################################

function fbox_freebox($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $serviz, $site, $userprefs, $web, $admin, $page, $tconfig, $charset, $reptheme;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    $sidebox = $pos == BOX_LEFT || $pos == BOX_RIGHT;
    $id = $args[0];
    ReadDoc($id);
    if (!isAccessGranted($fieldmod) || !isAuthorizedPublication($creadate)) return FALSE;
    if ($type != TYP_FREEBOX) return FALSE;
    if ($status != 'a') return FALSE;
	$dynbox = $fielda2;
	$class  = ' FB'.$fileid;
    if ($lng == $lang[0]) {
        $titre   = $fieldb1;
        $contenu = PathToImage($fieldc1);
    }
    else {
        $titre = $fieldb2;
        $contenu = PathToImage($fieldc2);
    }
	if ($pos == BOX_EDITO && mb_substr(trim($titre), 0, 2, $charset) == '§§') 
		$titre = sprintf(empty($userprefs[1]) ? $web[1] : $web[167], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), $userprefs[1]);
	$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
    $out = '
<div class="'.$pos.$tconfig.'fb'.$id.'">';
	$content = '
  <div class="box">'.$contenu.'</div>';

    if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[26] == 'on')) {
        $content .= '
  <div class="f-right">
	'.displayQuickConfig($pos).'
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=freebox&amp;form=2&amp;tri=ch&amp;id='.$id.'&amp;tconfig='.$tconfig.'">
      <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
    </a>
  </div>
  <div class="c-right"></div>';
    }
	if ($sidebox) {
		$out .= boxthin($pos, $titre, $content, $class, $dynbox);
	} else {
		$out .= boxwide($pos, $titre, $content, $class);
	}
	$out .= '
</div>';
    return $out;
}

################################################################################

function fbox_user($pos = NULL, $args = NULL) {
    global $lng, $lang, $members, $nom, $userprefs, $web, $admin, $endurl, $serviz, $cryptinstall, $dynabox, $site, $urlrw, $page, $tconfig, $charset, $reptheme;
    static $nbox = 0;
    $nbox++;
	if (empty($cryptinstall)) {
		if ($serviz[100] == '1') {
			$cryptinstall = CRYPTREP.'cryptographp.fct.php';
			include_once $cryptinstall;
		} elseif ($serviz[100] == '2') {
			$cryptinstall = CRYPTREP.'cryptotexte.fct.php';
			include_once $cryptinstall;
		}
	}
    $out = '
    <div class="box" style="text-align:center;margin:auto;">';

    if (!empty($userprefs[1])) {
        $out .='
	  <form name="useraccount'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-14': 'compte.php?lng='.$lng).'" method="post">
	    <div style="text-align:center;">'.SubmitButton($web[212]).'</div>
	  </form>
	  <form name="usermsg'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-3': 'tinymsg.php?lng='.$lng.'&amp;action=3').'" method="post">
	    <div style="text-align:center;">'.SubmitButton($web[318]).'</div>
	  </form>
	  <form name="useroff'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-1-off': 'connect.php?lng='.$lng.'&amp;connect=off').'" method="post">
	    <div style="text-align:center;">'.SubmitButton($web[372]).'</div>
	  </form>';
    }
    else {
        if ($members[19] != '0' && $members[19] != '3') {
            $out .='
	  <form name="usermemb'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-3-on-new': 'connect.php?lng='.$lng.'&amp;connect=on&amp;uuser=new').'" method="post">
	    <div style="text-align:center;">'.SubmitButton($web[160]).'</div>
	  </form>
	  <hr />';
        }
        $out.= '
      <b>'.$web[373].' :</b>
	  <div style="text-align:center;margin:auto;">
        <form name="userin'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3]: 'connect.php?lng='.$lng).'" method="post">
          <input type="hidden" name="connect" value="on"/>
          <input type="hidden" name="uuser" value="old"/>
          <div style="text-align:center;">
		    '.$web[49].'
            <div style="margin-top:-4px;"><input class="texte" type="text" name="pseudo" size="18" value=""/></div>
            '.$web[300].'
            <div style="margin-top:-4px;"><input class="texte" type="password" name="uid" size="18" value=""/></div>';
        if ($serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) {
			$lbl = $serviz[100] == '3' ? $web[642] : '';
            $out .= '
			<div style="margin:4px 0">
			  '.dsp_crypt(0, 1, 3, 0, $lbl, $serviz[115] == 'on' ? $web[643] : '').'
	          <div style="text-align:center;margin:auto;">
                '.($serviz[100] == '3' ? '' : $web[530]).'<input class="texte" type="text" name="crypt" size="6" />
			  </div>
			</div>';
        }
        $out .= '      
              '.SubmitButton($web[52]).'
          </div>
        </form>
	  </div>
	  <div style="text-align:center;">
	    <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-16': 'lostpass.php?lng='.$lng).'" style="font-size:0.9em;">'.$web[592].'</a>
	  </div><br />';
    }
    $out .= '
    </div>';

    $nbrmsg = array();
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($dbmsg[0][0] == $userprefs[7]) {
            for ($i = 2; $i < count($dbmsg); $i++) {
                if (isset($dbmsg[$i][3]) && $dbmsg[$i][3] == 'new') {
                    $nbrmsg[] = $dbmsg[$i][3];
                }
            }
        }
    }
    if (count($nbrmsg) != 0) {
        $out .= '
	<div style="text-align:center;">
      <a class="box" href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-3': 'tinymsg.php?lng='.$lng.'&amp;action=3').'">
        <img src="'.$reptheme.'/newmsg.gif" alt="'.$web[319].'" title="'.$web[319].'" />
      </a>';
        if (FALSE === stristr($endurl, 'tinymsg.php')) {
            $out .= '
        <object type="audio/wave" data="'.CHEMIN.'inc/mail/mail.wav" style="width:0; height:0;">
        <param name="src" value="'.CHEMIN.'inc/mail/mail.wav" />
        <param name="autoplay" value="true" />
        <param name="autoStart" value="1">
        <param name="controller" value="false">
        <param name="filename" value="'.CHEMIN.'inc/mail/mail.wav" />
        <param name="showcontrols" value="false" />
        </object>';
        }
        $out .= '
    </div>';
    }
    $out .= '
    <hr />';
    $file_users=opendir(MSGREP);
    $nbr_membres=0;
    while ($nomfichier = readdir($file_users)) {
        if ('.dtb' == $nomfichier) {
            @unlink(MSGREP.$nomfichier);
            continue;
        }
        if( substr($nomfichier,-3) == "dtb" ) {
            $nbr_membres++;
        }
    }
    closedir($file_users);
    if ($nbr_membres >1) {
        $text_nbr_membres = $web[321];
    }
    else {
        $text_nbr_membres = $web[322];
    }
    $out .= '
    <div class="box" style="text-align:left;">&nbsp;
	  <img src="'.$reptheme.'/nbrmembres.png" alt="'.$web[320].'" title="'.$web[320].'" />&nbsp;'.$nbr_membres." ".$text_nbr_membres.'
	</div>
    <div class="box" style="text-align:left;margin-top:6px;"><b>'.$web[175].'</b></div>';
    $regusers = ReadDBFields(DBIPSTATS);
    $usersonline = array();
    for ($i = 0; $i < count($regusers); $i++) {
        if (!empty($regusers[$i][2])) {
            $usersonline[] = $regusers[$i][2];
        }
    }
    @usort($usersonline,'AsciiCompare');
    if (empty($usersonline)) {
        $out .= '
    <div class="box" style="text-align:center;">'.$web[176].'</div>';
    }
    else {
        $out .= '
    <div class="box" style="text-align:left;margin-top:4px;">';
        $uniqueusers = array();
        $uniqueusers[] = $usersonline[0];
        for ($i = 1; $i < count($usersonline); $i++) {
            if ($usersonline[$i] != $usersonline[$i-1]) {
                $uniqueusers[] = $usersonline[$i];
            }
        }
        for ($i = 0; $i < count($uniqueusers); $i++) {
            if ($userprefs[1] != '' && $userprefs[1] != $uniqueusers[$i]) {
                $from = $userprefs[1];
                $out .= '
	  
      <img src="'.$reptheme.'/puce1.png" style="margin: 0 4px;" alt="'.$web[321].'" title="'.$web[321].'" />
      <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-2-1-'.$uniqueusers[$i].'-'.$from: 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;to='.$uniqueusers[$i].'&amp;from='.$from).'">
        <img src="'.$reptheme.'/mail.png" alt="'.$web[214]." ".$uniqueusers[$i].'" title="'.$web[214]." ".$uniqueusers[$i].'" />
      </a>&nbsp;&nbsp;'.$uniqueusers[$i].'
      <br />';
            }
            else {
                $out .= '
      <img src="'.$reptheme.'/puce2.png" style="margin: 0 4px;" alt="'.$web[321].'" title="'.$web[321].'" />'.$uniqueusers[$i].'
      <br />';
            }
        }
        $out .= '
    </div>';
    }
    if ($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) {
		$out .= '
	<div class="f-right">
 	  '.displayQuickConfig($pos).'
    </div>
	<div class="c-right"></div>';
	}
	$titre = getLabel($nom[$lng == $lang[0] ? 34 : 35]);
	$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
    return '
<div class="'.$pos.$tconfig.'USR">'.boxthin($pos, $titre, $out, ' USR'.$pos.$tconfig, $dynabox[5]).'
</div>';
}

################################################################################

function fbox_webm($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $nom, $serviz, $user, $userprefs, $web, $admin, $page, $site, $dynabox, $urlrw, $tconfig, $charset, $reptheme, $meskin;
    if (isset($user[1])) $em = BreakEMail($user[1]);
    $out = '
<div class="box" style="padding-left:4px;">
  <table style="width:100%;">';
    if ($serviz[21] == 'on') {
		$out .= '
	<tr>';
        if ($serviz[99] == 'on') {
            $out .= '
      <td style="text-align:center;"><img src="'.$reptheme.'/mail.png" alt="'.$web[173].' '.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'" title="'.$web[173].' '.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'" /></td>
      <td><a class="box" href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[2]: $site['CT'].'.php?lng='.$lng).'" title="'.$web[534].'">&nbsp;'.$web[534].'</a></td>';
        } else {
            $out .= '
      <td style="text-align:center;"><img src="'.$reptheme.'/mail.png" alt="'.$web[173].' '.$user[0].'" title="'.$web[173].' '.$user[0].'" /></td>';
            if ($user[3] == 'on') {
                $out .= '
      <td><a class="box" href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_MAIL: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_MAIL).'" title="'.$web[173].' '.$user[0].'">&nbsp;'.$web[11].'</a></td>';
            } else {
				$org  = 'webm';
                $out .= '
	  <td style="text-align:left;"><a class="gypoplight" href="#?w=300&amp;rel=popup_'.$org.'&amp;btn='.$web[57].'&amp;msk='.$meskin.'" title="'.$web[173].' '.$user[0].'">'.addslashes($user[0]).'</a></td>
	<div class="gypopup_block" id="popup_'.$org.'">
	  <p style="text-align:center;margin:8px 0;">'.$web[644].'</p>
	  <p style="text-align:center;margin:8px 0;">
	  <a href="javascript:showEmails'.$org.'(\''.$em[0].'\',\''.$em[1].'\',\''.$em[2].'\');" style="text-align:center;margin:8px 0;">'.addslashes($user[0]).'</a>
	  </p>
	  <p style="text-align:center;margin:8px 0;"><b><span id="lblemail'.$org.'">(--------------)</span></b></p>
	</div>';
	$out .=
	BeginJavascript().'
	  function showEmails'.$org.'(em1, em2, em3) {
		var emailFinal = "<a href=\'mailto:" + em1 + "@" + em2 + "." + em3 + "\' onclick=\'{$(\'#gyfade , .gypopup_block\').fadeOut(function() {$(\'#gyfade, a.close\').remove();})};\'>" + em1 + "@" + em2 + "." + em3 + "</a>";
		document.getElementById("lblemail'.$org.'").innerHTML = emailFinal;
	  }
	'.EndJavascript();
            }
        }
		$out .= '
	</tr>';
    }
    if (!empty($user[2])) {
        $irc = BreakIRC($user[2]);
    }
    $img = '';
    if (isset($user[4])) 
        switch ($user[4]) {
        case 'ICQ'      : $img = CHEMIN.'inc/img/browser/icq.gif'; break;
        case 'MSN'      : $img = CHEMIN.'inc/img/browser/msn.gif'; break;
        case 'Yahoo'    : $img = CHEMIN.'inc/img/browser/yahoo.gif'; break;
        case 'Gtalk'    : $img = CHEMIN.'inc/img/browser/googletalk.gif'; break;
        case 'Skype'    : $img = CHEMIN.'inc/img/browser/skype.gif'; break;
        case 'AIM'      : $img = CHEMIN.'inc/img/browser/aim.gif'; break;
        case 'Teamspeak': $img = CHEMIN.'inc/img/browser/teamspeak.gif'; break;
        default         : $img = '';
        }
    if (!empty($img)) {
        $js = empty($irc) ? '#' : "JavaScript:ContactMe('$user[4]','$user[0]','$irc[0]','$irc[1]','$irc[2]'); return false;";
        $out .= '
	<tr>
	  <td style="text-align:center;"><img src="'.$img.'" alt="'.$web[422].$user[4].'" title="'.$web[422].$user[4].'" /></td>
      <td><a class="box" href="'.$js.'" title="'.$web[422].$user[4].'">&nbsp;'.$web[422].$user[4].'</a></td>
	</tr>';
    }
    if ($serviz[62] == 'on') {
        $out .= '
    <tr>
      <td style="text-align:center;"><img src="'.$reptheme.'/reco.png" alt="'.$web[124].'" title="'.$web[124].'" /></td>
      <td><a class="box" href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_RECO: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_RECO).'" title="'.$web[124].'">&nbsp;'.$web[120].'</a></td>
	</tr>';
    }
    if (is_dir(CHEMIN.'mobile')) {
        $out .= '
    <tr>
      <td style="text-align:center;"><img src="'.$reptheme.'/mobile.png" alt="'.$web[295].'" title="'.$web[295].'" /></td>
      <td><a class="box" href="'.CHEMIN.'mobile?lng='.$lng.'" title="'.$web[295].'" target="_blank">&nbsp;'.$web[295].'</a></td>
	</tr>';
    }
    $out .= '
  </table>
</div>';
    if ($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) {
        $out .= '
	<div class="f-right">
	  '.displayQuickConfig($pos).'
    </div>
	<div class="c-right"></div>';
    }
	$titre = getLabel($nom[$lng == $lang[0] ? 40 : 41]);
	$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
    return '
<div class="'.$pos.$tconfig.'PRT">'.boxthin($pos, $titre, $out, ' WEB'.$pos.$tconfig, $dynabox[8]).'
</div>';
}

################################################################################

function fbox_guest($pos = NULL, $args = NULL) {
    global $lng, $lang, $members, $nom, $page, $serviz, $site, $userprefs, $web, $urlrw, $reptheme;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email, $tconfig, 
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    static $nbox = 0;
    $nbox++;
    if ($serviz[12] == 'on' && $site[21] > 0) {
        $messok = false;
        if (count(SelectDBFields(TYP_GUESTBK, 'a', $site[21])) != 0) {
            $messok = true;
        }
        $topmess = getLabel($nom[$lng == $lang[0] ? 9 : 19]).' - '.$web[180];
        if ($page[9] != '') {
            $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/guestbook.gif" style="float:right;width:32px;height:32px;" alt="" />'.$topmess;
        }
        if ($members[0] == "on" && $userprefs[1] == "" && $members[12] == "on") {
            $out = '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		$out .= '
  <p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	$out .= '
</div>';
        }
        else {
            $out = '
<form name="guestbk'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_GUESTBK: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_GUESTBK).'" method="post">
  <div style="text-align:center;">'.SubmitButton($web[41]).'</div>
</form>
<hr />';
            if ($messok) {
                ReadDoc($site[21]);
                $out .= '
<div style="text-align:center;margin:auto;">
  <table style="width:98%;margin:auto;">
    <tr>
      <td class="forum" style="width:12%;">'.$web[39].$fielda1.'</td>
      <td class="quest" >'.$web[6].' ';
                if ($fieldd1 != "on") {
					$out .= displayWriteEmail('guest', $author, $email);
                }
                else {
                    $out .= '
        <b>'.$author.'</b>';
                }
                $out .= '
      '.$web[7].' '.FormatDate($creadate);

                if (!empty($fieldb1)) {
                    $out .= '
        <br />&nbsp;&nbsp;&nbsp;&nbsp;
        <img src="'.$reptheme.'/gbkurl.png" style="width:17px;height:17px;" alt="*"/>&nbsp;&nbsp;<a href="'.$fieldb1.'" target="_blank">'.$fieldb1.'</a>';
                }
                $out .= '
      </td>
    </tr>
    <tr>
      <td colspan="2" style="text-align:left;">'.$fieldc1.'</td>
    </tr>
  </table>
</div>
<hr />';
            }
        }
        return boxwide($pos, $topmess, $out, ' GBK'.$pos.$tconfig);
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_forum($pos = NULL, $args = NULL) {
    global $lng, $lang, $forum, $members, $nom, $page, $site, $serviz, $userprefs, $web, $urlrw, $tconfig, $reptheme;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    if ($serviz[13] == 'on' && $site[20] > 0) {
		$dbworkcat = array();
        $l = $lng == $lang[0] ? 0 : 1;
        if ($serviz[18] == 'on') {
            $dbworkcat = ReadDBFields(DBFORUMCAT);
        }
        $dbwork = array();
        $dbwork1 = ReadDBFields(DBTHREAD);
        if ('' == $serviz[18]) {
            $dbwork = $dbwork1;
        } else {
            foreach ($dbwork1 as $db) {
                if (isForumAccessGranted($db[8])) {
                    $dbwork[] = $db;
                }
            }
        }
        unset($dbwork1);
        @sort($dbwork);
        $dbfor = ReadDBFields(DBFORUM);
        $dbmess = array();
        $j = 0;
        if (!empty($dbwork)) {
            $newdate = date('YmdHi',time()-(86400*$forum[8]));
            $messtop = '<img src="'.$reptheme.'/msg_t.gif" alt="'.$web[370].'" title="'.$web[370].'" style="vertical-align:-5px" />';
            $messnew = '<img src="'.$reptheme.'/msg_n.png" alt="'.$web[371].'" title="'.$web[371].'" style="vertical-align:-5px" />';
            for ($i = count($dbwork)-1; $i >= max(0,count($dbwork)-$site[20]); $i--) {
                ReadDoc($dbwork[$i][3]);
				$img = getNewUpdateDoc($creadate, $moddate, $serviz[139]);
                $dbmess[$j] = array_pad(array(), 10, '');
                if ($fielda2 == '0') {
                    $dbmess[$j][0] = $fileid;
                    $sujet = strip_tags($fieldb1);
                } else {
                    for ($k = 0; $k < count($dbfor); $k++) {
                        if ($fielda1 == $dbfor[$k][1]) {
                            $fieldb2 = $dbfor[$k][12];
                            $dbmess[$j][0] = $dbfor[$k][2];
                            $sujet = strip_tags($dbfor[$k][5]);
                            $nbrep = $dbfor[$k][7];
                            $dbmess[$j][7] = $dbwork[$i][2];
                            $dbmess[$j][8] = $dbfor[$k][3];
                        }
                    }
                }
                $dbmess[$j][1] = $fieldb2;
                for ($k = 0; $k < count($dbworkcat); $k++) {
                    if ($dbworkcat[$k][0] == $fieldb2) {
                        $dbmess[$j][2] = $dbworkcat[$k][$l+1];
                    }
                }
                $fieldc1 = str_replace('<br />', ' &#172; ',$fieldc1);
                $tabc = SplitText(strip_tags($fieldc1),100);
                $dbmess[$j][3] = $tabc[0];
                $dbmess[$j][4] = FormatDate($creadate).'<br />';
                if ($newdate < $creadate || $newdate < $moddate) {
                    $dbmess[$j][4] = FormatDate($creadate).'<br />'.$messnew.' ';
                }
                if ($moddate != $creadate) {
                    if ($moddate > date('YmdHi')) {
                        $dbmess[$j][4] = FormatDate(date('YmdHi')).'<br />'.$messtop.' ';
                    } elseif ($fieldmod != '') {
                        $datemod = explode('#',$fieldmod);
                        $dbmess[$j][4] = FormatDate($datemod[2]).'<br />';
                    } else {
                        $dbmess[$j][4] = FormatDate($moddate).'<br />';
                    }
                }
                $dbmess[$j][5] = $img.$sujet;
                $dbmess[$j][6] = (ceil($dbmess[$j][7]/ $serviz[20]));
                $dbmess[$j][9] = $author;
                $j++;
            }
        }
        $topmess = getLabel($nom[$l+22]).' '.$web[179];
        if ($page[9] != '') {
            $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" style="float:right;width:32px;height:32px;" alt=""/>'.$topmess;
        }
        if ($members[0] == 'on' && $userprefs[1] == '' && $members[5] == 'on') {
            $out = '
<div style="text-align:center;margin:20px 0;">'.$web[342];
			if ($members[19] != '0' && $members[19] != '3') 
				$out .= '
<p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
			$out .= '
</div>';
        } else {
            $out = '';
            if (!empty($dbmess)) {
                $out .= '
<br />
<div style="text-align:center;margin:auto;">
  <table class="bord" style="margin:8px auto;text-align:center;width:99%;">';
                for ($i = 0; $i < count($dbmess); $i++) {
					$dbmess[$i][7] = empty($dbmess[$i][7]) ? 0 : $dbmess[$i][7];
                    $bgcol = $i %2 == 0 ? 'rep' : 'quest';
                    $tmpmess = '
    <tr class="'.$bgcol.'" style="vertical-align:top">';
                    if ($serviz[18] == 'on') {
						$urw = empty($dbmess[$i][1]) ? '-31' : '-2-'.getForumcatId($dbmess[$i][1]);
                        $tmpmess .= '
      <td rowspan="2" style="width:22%;padding:3px;">
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].$urw: $site['FR'].'.php?lng='.$lng.'&amp;cat='.getForumcatId($dbmess[$i][1])).'" title ="'.$web[297].'"><b>'.$dbmess[$i][2].'</b></a>
      </td>';
                    }
					$urw0 = empty($dbmess[$i][1]) ? '-41-'.$dbmess[$i][0] : '-4-'.$dbmess[$i][0].'-'.getForumcatId($dbmess[$i][1]);
					$urw1 = empty($dbmess[$i][1]) ? '-411-'.$dbmess[$i][0] : '-5-'.$dbmess[$i][0].'-'.getForumcatId($dbmess[$i][1]);
                    $tmpmess .= '
      <td colspan="2" style="padding:3px;">
        <b>'.$web[384].' <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].$urw0: $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbmess[$i][0].'&amp;cat='.getForumcatId($dbmess[$i][1])).'" title ="'.$web[6].' '.$dbmess[$i][8].' ... '.$web[297].' ">'.$dbmess[$i][5].'</a></b>
      </td>
    </tr>
    <tr class="'.$bgcol.'" style="vertical-align:top">
      <td style="width:100%;padding:3px;">
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].$urw1.'-'.$dbmess[$i][6].'-R'.$dbmess[$i][7]: $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbmess[$i][0].'&amp;cat='.getForumcatId($dbmess[$i][1]).'&amp;id='.$dbmess[$i][6].'#R'.$dbmess[$i][7]).'" title ="'.$web[6].' '.$dbmess[$i][9].' ... '.$web[297].' "> '.$dbmess[$i][3].' ...</a>
      </td>
      <td style="white-space:nowrap;padding:3px;"> '.$dbmess[$i][4].' ('.$web[6].' '.$dbmess[$i][9].')</td>
    </tr>';
                    $out .= $tmpmess;
                }
                $out .= '
  </table>
</div>';
            }
        }
        return boxwide($pos, $topmess, $out, ' FRA'.$pos.$tconfig);
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_poll($pos = NULL, $args = NULL) {
    global $lng, $lang, $nom, $drtuser, $page, $site, $serviz, $userprefs, $web, $admin, $dynabox, $urlrw, $tconfig, $charset, $reptheme;
    static $nbox = 0;
    $nbox++;
    $commun = PollCalculation();
    if ($lng == $lang[0]) {
        $i = 0;
        $j = 0;
        $txt = empty($commun[0][0])? '': $commun[0][0];
    }
    else {
        $i = 10;
        $j = 1;
        $txt = empty($commun[0][1])? '': $commun[0][1];
    }
	$titre = getLabel($nom[$i+6]);
	$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
    $dbippoll = ReadDbFields(DBIPPOLL);
    $dejaVote = FALSE;
    $now_time = time();
    foreach ($dbippoll as $item) {
        list($jour, $mois, $annee) = explode('/', substr($item[1], 0, 10));
        list($heure, $minute, $seconde) = explode(':', substr($item[1], 10, 18));
        if ($now_time < mktime($heure, $minute, $seconde, $mois, $jour, $annee) + POLL_TIME) {
            if ($_SERVER['REMOTE_ADDR'] == $item[0]) {
                $dejaVote = TRUE;
                break;
            }
        }
    }
    if ($dejaVote) {
        // déjà voté
        $out = '
<p class="box" style="text-align:center;padding:2px 0;font-weight:bold;">'.$txt.'</p>
<p class="box" style="text-align:center;padding:2px 0;"><a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[16]: 'poll.php?lng='.$lng).'" title="'.$web[10].'">'.$web[10].'</a></p>';
    } else {
        // pas encore voté
        $out = '
<form action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[16]: 'poll.php?lng='.$lng).'" method="post" name="formV'.$nbox.'">
  <table style="text-align:center;font:arial 10px;line-height:12px;">
    <tr>
      <td class="box" style="text-align:center;font-weight:bold;padding:6px 2px;">'.$txt.'</td>
    </tr>';
         for ($k = 1; $k < count($commun); $k++) {
            $out .= '
    <tr style="vertical-align:top;">
      <td style="text-align:left;padding:2px;">
	    <label>
		  <input type="radio" name="choix" value="'.$k.'"/>
          <span class="box" style="text-indent:6px; text-align:left">'.$commun[$k][$j].'</span>
		</label>
	  </td>
    </tr>';
        }
        $out .= '
    <tr><td style="text-align:center;padding:2px;">'.SubmitButton($web[9]).'</td></tr>
    <tr><td style="text-align:center;padding:2px;"><a class="box" href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[16]: 'poll.php?lng='.$lng).'" title="'.$web[10].'">'.$web[10].'</a></td></tr>
  </table>
</form>';
        if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[25] == "on")) {
            $out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=poll&amp;tconfig='.$tconfig.'">
    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
  </a>
</div>
<div class="c-right"></div>';
        }
    }
    return '
<div class="'.$pos.$tconfig.'POL">'.boxthin($pos, $titre, $out, ' POL'.$pos.$tconfig, $dynabox[1]).'
</div>';
}

################################################################################

function fbox_cal($pos = NULL, $args = NULL) {
    global $lng, $lang, $nom, $drtuser, $page, $serviz, $userprefs, $web, $admin, $dynabox, $site, $urlrw, $tconfig, $charset, $reptheme;
    if ($serviz[47] == 'on') {
		$titre = getLabel($nom[$lng == $lang[0] ? 32 : 33]);
		$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
		$hcal = '190';
        $out = BeginJavascript().'
function getElement(aID) {
    return (document.getElementById) ? document.getElementById(aID) : document.all[aID];
}
function getIFrameDocument(aID){ 
    var rv = null; 
    var frame=getElement(aID);
    if (frame.contentDocument)
      rv = frame.contentDocument;
    else // bad Internet Explorer  ;)
      rv = document.frames[aID].document;
      return rv;
  }
    
function adjustMyFrameHeight() {
	var frame = getElement("calbox'.$pos.$tconfig.'");
	var frameDoc = getIFrameDocument("calbox'.$pos.$tconfig.'");
	frame.height = frameDoc.body.offsetHeight;
}'.EndJavascript().'
<noscript>';
		$hcal = '240';
		$out .= '
</noscript>
<div class="cal" style="text-align:center;margin:auto;background:inherit;">
  <iframe class="cal" id="calbox'.$pos.$tconfig.'" src="'.CHEMIN.'inc/'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[17].'-'.$pos.'-'.$tconfig: 'calendar.php?lng='.$lng.'&amp;pos='.$pos.'&amp;tconfig='.$tconfig).'" height="'.$hcal.'"></iframe>
</div>
';
        if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[37] == "on")) {
            $out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=agenda" title="'.$web[308].'&amp;tconfig='.$tconfig.'">
    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
  </a>
</div>
<div class="c-right"></div>';
        }
        return '
<div class="'.$pos.$tconfig.'CAL">'.boxthin($pos, $titre, $out, ' CAL'.$pos.$tconfig, $dynabox[4]).'
</div>';
    } else {
        return FALSE;
    }
}

################################################################################

function fbox_newslet($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $members, $nom, $serviz, $userprefs, $web, $admin, $page, $cryptinstall, $dynabox, $site, $urlrw, $tconfig, $charset, $reptheme;
    static $nbox = 0;
    $nbox++;
    if (($members[0] == 'on' && $members[18] == 'on') && ($userprefs[1] == '')) {
        return FALSE;
    } else {
		$titre = getLabel($nom[$lng == $lang[0] ? 38 : 39]);
		$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
		if (empty($cryptinstall)) {
			if ($serviz[100] == '1') {
				$cryptinstall = CRYPTREP.'cryptographp.fct.php';
				include_once $cryptinstall;
			} elseif ($serviz[100] == '2') {
				$cryptinstall = CRYPTREP.'cryptotexte.fct.php';
				include_once $cryptinstall;
			}
		}
		// suppression des inscriptions en attente hors délai
		$tmp = ReadDBFields(NEWSLET_WAIT);
		for ($i = 0; $i < count($tmp); $i++) {
			if ((date('Ymd') - $serviz[110]) > substr($tmp[$i][3], 0, 8)) {
				unset($tmp[$i]);
			}
		}
		WriteDBFields(NEWSLET_WAIT, $tmp);
        $nabon = CountDBFields(NEWSLET_LIST);
        $mot   = $nabon < 2 ? $web[257] : $web[258];
        $txt1  = !empty($userprefs[1]) ? $userprefs[1] : $web[259];
        $txt2  = !empty($userprefs[2]) ? $userprefs[2] : $web[260];
        $txt3  = ($nabon == 0)
            ? $mot.'<br />'.$web[176]
            : $nabon.' '.$mot;
        $txt3 = $serviz[63] == 'on' ? '' : '
    <div class="nwl_nabon" style="text-align:center;">'.$txt3.'</div>';
        if (empty($userprefs[1])) { // non membre
            $out = '
<form name="subscribe'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[18]: $site['NL'].'.php?lng='.$lng).'" method="post">
  <input type="hidden" name="nlsecure" value="on" />
  <div class="box">
    <div style="text-align:center;">'.$web[247].'<span style="display:none;"><input type="text" name="code_pseudo" value="" /></span></div>
    <div style="text-align:center;"><input class="texte" type="text" name="nlpseudo" size="20" value="'.$txt1.'" onfocus="this.value=\'\'" /></div>
    <div style="text-align:center;margin-top:-4px;"><input class="texte" type="text" name="nlmail" size="20" value="'.$txt2.'" onfocus="this.value=\'\'" /></div>
    <div style="padding-left:35px;"><label><input type="radio" name="action" value="sub" checked="checked" />'.$web[237].'</label></div>
    <div style="padding-left:35px;"><label><input type="radio" name="action" value="unsub" />'.$web[236].'</label></div>';
            if ($serviz[100] != '0' && $serviz[93] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) {
				$lbl = $serviz[100] == '3' ? $web[642] : '';
                $out .= '
	<div style="text-align:center;margin-top:8px;">'.dsp_crypt(0, 1, 3, 1, $lbl, $serviz[115] == 'on' ? $web[643] : '');      
                $out .= 
	  ($serviz[100] == '3' ? '' : $web[530]).'<input class="texte" type="text" name="crypt" size="6" />
	</div>';
            }
            $out .= '
    <div style="text-align:center;">'.SubmitButton($web[52]).'</div>'.$txt3.'
  </div>
</form>';
        } else {
            $abon = CheckDB2Fields(NEWSLET_LIST, $userprefs[1], 0, $userprefs[2], 1);
            if ($abon) { // abonné
                $out = '
<form name="unsubscribe'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[18]: $site['NL'].'.php?lng='.$lng).'" method="post">
  <input type="hidden" name="nlsecure" value="on" />
  <input type="hidden" name="action" value="unsub" />
  <input type="hidden" name="nlpseudo" value="'.$userprefs[1].'" />
  <input type="hidden" name="nlmail" value="'.$userprefs[2].'" />
  <div class="box">
    <div style="text-align:center;">'.$web[500].'<span style="display:none;"><input type="text" name="code_pseudo" value="" /></span></div>';
                if ($serviz[100] != '0' && $serviz[93] == 'on' && $serviz[98] == '') {
					$lbl = $serviz[100] == '3' ? $web[642] : '';
                    $out .= '
	<div style="text-align:center;margin-top:8px;">
	  '.dsp_crypt(0, 1, 3, 1, $lbl, $serviz[115] == 'on' ? $web[643] : '');      
                    $out .= 
	  ($serviz[100] == '3' ? '' : $web[530]).'<input class="texte" type="text" name="crypt" size="6" />
	</div>';
                }
                $out .= '
    <div style="text-align:center;">'.SubmitButton($web[236]).'</div>'.$txt3.'
  </div>
</form>';
            } else {
                $tmp = CheckDB2Fields(NEWSLET_WAIT, $userprefs[1], 0, $userprefs[2], 1);
                if ($tmp) { // abonnement en attente de confirmation
                    $out = '
    <div style="text-align:center;">'.$web[501].'</div>'.$txt3;
                } else { // non abonné à la newsletter
                    $out = '
<form name="subscribe'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[18]: $site['NL'].'.php?lng='.$lng).'" method="post">
  <input type="hidden" name="nlsecure" value="on" />
  <input type="hidden" name="action" value="sub" />
  <div class="box">
    <div style="text-align:center;">'.$web[247].'<span style="display:none;"><input type="text" name="code_pseudo" value="" /></div>
    <div style="text-align:center;"><input class="texte" type="text" name="nlpseudo" size="20" value="'.$txt1.'" onfocus="this.value=\'\'" /></div>
    <div style="text-align:center;margin-top:-4px;"><input class="texte" type="text" name="nlmail" size="20" value="'.$txt2.'" onfocus="this.value=\'\'" /></div>';
                    if ($serviz[100] != '0' && $serviz[93] == 'on' && $serviz[98] == '') {
						$lbl = $serviz[100] == '3' ? $web[642] : '';
                        $out .= '
	  <div style="text-align:center;">
	    '.dsp_crypt(0, 1, 3, 1, $lbl, $serviz[115] == 'on' ? $web[643] : '');
                        $out .= 
		($serviz[100] == '3' ? '' : $web[530]).'<input class="texte" type="text" name="crypt" size="6" />
	  </div>';
                    }
                    $out .= '
    <div style="text-align:center;">'.SubmitButton($web[237]).'</div>'.$txt3.'
  </div>
</form>';
                }
            }
        }

        if (($serviz[32]=="on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32]=="on" && $drtuser[33]=="on")) {
            $out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=newsletter&amp;tconfig='.$tconfig.'">
    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
  </a>
</div>
<div class="c-right"></div>';
        }
        return '
<div class="'.$pos.$tconfig.'PRT">'.boxthin($pos, $titre, $out, ' NWL'.$pos.$tconfig, $dynabox[6]).'
</div>';
    }
}

################################################################################

function fbox_socnet($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $serviz, $userprefs, $web, $admin, $page, $nom, $site, $urlrw, $tconfig, $charset, 
		$status, $fieldb1, $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2, $dynabox, $meskin, $reptheme;
    $dbnet = ReadDBFields(DBSOCNET);
	@sort($dbnet);
	$reprs = is_dir($meskin.'rsicons') ? $meskin.'rsicons' : CHEMIN.'img';
    $out = '';
	if ($serviz[22] == 'on' && ($serviz[16] == 'on' || $serviz[54] == 'on' || $serviz[60] == 'on' || $serviz[103] == 'on')) {
		$out .= '
<div style="float:left; text-align:center; margin:auto; padding:0 2px;">
  <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[19]: 'rss.php?lng='.$lng).'">
    <img src="'.$reprs.'/rssicon.png" alt="'.$web[617].'" title="'.$web[617].'" />
  </a>
</div>';
	}
    for ($j = 0; $j < count($dbnet); $j++) {
		ReadDoc($dbnet[$j][4]);
		if ($status == 'a') {
			$out .= '
<div style="text-align:center; margin:auto; float:left; padding:0 2px;">';
			if ($fieldd2 != '') {
				$out .= $fieldd2;
			} else {
				if (trim($fieldd1) != '') {
					if ($fieldc1 == '_POPUP') {
						$out .= '
  <a href="" onclick="PopupWindow(\''.$fieldd1.'\', \'sn'.$j.'\', 1024, 768, \'yes\', \'yes\');">';
					} else {
						$out .= '
  <a href="'.$fieldd1.'" target="'.$fieldc1.'">';
					}
				}
				$out .= '
  <img src="'.$reprs.'/'.$fieldc2.'" alt="'.(strip_tags($fieldb1)).'" title="'.(strip_tags($fieldb1)).'" />';
				if (trim($fieldd1) != '') 
					$out .= '
  </a>';
			}
			$out .= '
</div>';
		}
    }
	$out .= '
<div style="clear:both;"></div>';
    if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[50] == 'on')) {
        $out .= '
<div style="float:right;">
  '.displayQuickConfig($pos).'
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=socnet&amp;tconfig='.$tconfig.'">
    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
  </a>
</div>
<div class="c-right"></div>';
    }
	$titre = getLabel($nom[$lng == $lang[0] ? 48 : 49]);
	$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
	if (in_array($pos, array(BOX_TOP, BOX_BOTTOM))) {
		return '<div class="boxnet NET'.$pos.$tconfig.'">'.$out.'</div>';
	} else {
		if (in_array($pos, array(BOX_LEFT, BOX_RIGHT))) {
			return '
<div class="'.$pos.$tconfig.'NET">'.boxthin($pos, $titre, $out, ' NET'.$pos.$tconfig, $dynabox[9]).'
</div>';
		} else {
			return boxwide($pos, $titre, $out, ' NET'.$pos.$tconfig);
		}
	}
}

################################################################################

function fbox_rss($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $nom, $serviz, $userprefs, $web, $admin, $page, $dynabox, $site, $urlrw, $tconfig, $charset, $reptheme;
    $dbrss = ReadDBFields(DBRSS);
    sort($dbrss);
    $out = '';
    $i = $lng == $lang[0] ? 0 : 1;
	$titre = getLabel($nom[36 + $i]);
	$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
    for ($j = 0; $j < count($dbrss); $j++) {
        $out .= '
<div style="text-align:center;"><a class="box" href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[19].'-2-'.$dbrss[$j][4]: 'newsrss.php?lng='.$lng.'&amp;id='.$dbrss[$j][4]).'">'.$dbrss[$j][$i].'</a></div>';
    }
    if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[34] == 'on')) {
        $out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=rss&amp;tconfig='.$tconfig.'">
    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
  </a>
</div>
<div class="c-right"></div>';
    }
    return '
<div class="'.$pos.$tconfig.'RSS">'.boxthin($pos, $titre, $out, ' RSS'.$pos.$tconfig, $dynabox[7]).'
</div>';
}

################################################################################

function fbox_news($pos = NULL, $args = NULL) {
    global $id, $pg, $lng, $lang, $drtuser, $members, $nom, $page, $site, $serviz, $user, $userprefs, $web, 
	     $topmess, $prt, $urlrw, $tconfig, $reptheme, $charset;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    static $nbox = 0;
    $nbox++;
    $out = '';
    $id = strip_tags($id);
    $longword = 300;
    if (isset($site[29]) && $site[29] > 0) {
        $longword = $site[29];
    }
    $max_height = round($longword/3*0.72);
    if ($members[0] == 'on' && $userprefs[1] == '' && $members[13] == 'on') {
    	$out .= '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		$out .= '
  <p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	$out .= '
</div>';
    } else {
		$outrs = '';
		if ($prt == 0 && $serviz[106] == 'on') {
			include CONFIGREP.'sncode.inc';
			if (!empty($coders))
				$outrs .= '
<div style="padding:12px 0 4px 0;">'.$coders.'</div>';
		}
		if ($pos != BOX_EDITO) {
			$archdate = ReadCounter(DBNEWSARCHDATE);
			if ($archdate > 0) {
				$out .= '
<div style="text-align:center;padding: 0 0 12px 0;">'.$web[580].' '.FormatDate($archdate).'
  <br />'.$web[579].' <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[8].'-26': 'newsarch.php?lng='.$lng).'">'.$web[578].'
  <img src="'.$reptheme.'/ed_copy.png"  style="vertical-align:-4px;" alt="" /></a>
</div>';
			}
		}
		$out .= '
<div style="text-align:center;">';
		if ($serviz[16] == 'on') {
			$rssnewsurl = $site[3].sprintf(RSSNEWS, $lng);
			$out .= '
  <span class="pop" style="width:64px;">
    <a href="'.$rssnewsurl.'" target="_blank">
      <img src="'.CHEMIN .$reptheme.'/rssguppy.png" style="border:0;vertical-align:bottom;" alt="rss" />
      <span style="top:30px;"><em></em>'.$web[221].':<br /><b> '.$rssnewsurl.'</b></span>
    </a>
  </span><span class="c-left"></span>
  ';
		}
		if ($site[5] != '2') {
			$out .= '
  <form name="postnews'.$nbox.'" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_NEWS: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_NEWS).'" method="post">
    <div style="text-align:center;'.($serviz[16] == 'on' ? 'margin:0 64px 0 0;' : '').'">'.SubmitButton($web[4]).'</div>
  </form>';
		} else
			$out .= '<br />';
		$out .= '
</div>
<br />';
		if (!empty($pg)) {
			$db1 = SelectDbFieldsByField(ReadDbFields(DBNEWS), 4, $pg);
			$db2 = array_filter($db1, 'IsNotEmptyTitle');
			if (empty($db2) || 1 != count($db2) || !isAccessGranted($db2[0][6]) || !isAuthorizedPublication($db2[0][5])) {
				header('HTTP/1.0 404 Not Found');
				$dbwnews = array();
			} else {
				$dbwnews = array(array(TYP_NEWS, $pg, 'a'));
			}
		} else {
			$db1 = ReadDbFields(DBNEWS);
			$db2 = array_filter($db1, 'IsNotEmptyTitle');
			$dbwnews = array();
			foreach ($db2 as $db) {
				if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
					$dbwnews[] = array(TYP_NEWS, $db[4], 'a');
				}
			}
			@rsort($dbwnews);
		}
		unset($db1, $db2);
		if ($pos == BOX_EDITO) { // edito
			$minnews = 0;
			$maxnews = Min($site[4], count($dbwnews));
			$id = 1;
		}
		else { // news
			$id = empty($id) ? 1 : $id;
			$minnews = $serviz[2]*($id-1);
			$maxnews = Min($serviz[2]*$id, count($dbwnews));
		}
		if (!empty($dbwnews)) {
			for ($i = $minnews; $i < $maxnews; $i++) {
				ReadDoc($dbwnews[$i][1]);
				$img = getNewUpdateDoc($creadate, $moddate, $serviz[137]);
				if ($lng == $lang[0]) {
					$txt1 = $fieldb1;
					$txt2 = $fieldc1;
				}
				else {
					$txt1 = $fieldb2;
					$txt2 = $fieldc2;
				}
				$txt2 .= $outrs;
				// date création
				if ($serviz[73] == '') {
					$txt73 = ' - '.$web[6].' ';
					if ($fieldd1 != 'on') {
						$txt73 .= displayWriteEmail('boxnews'.$i, $author, $email);
					} else {
						$txt73 .= '
    <b>'.$author.'</b> ';
					}
				} else {
					$txt73 = '';
				}
				// auteur
				if ($serviz[72] == '') {
					$txt72 = (empty($txt73) ? ' - ' : ' ').$web[7].' '.FormatDate($creadate);
				} else {
					$txt72 = '';
				}
				// icone
				if (!empty($fieldd2)) {
					$txt1 = '<img src="'.CHEMIN.'img/'.$fieldd2.'" style="text-align:right;" alt="'.$fieldd2.'" />'.$txt1;
				}
				$out .= '
<div class="bord" style="padding: 1px;">
  <div class="quest">
	  <a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[8].'-2-'.$fileid: $site['NE'].'.php?lng='.$lng.'&amp;pg='.$fileid).'" title="'.$web[511].'">'.$img.'<b>'.$txt1.'</b></a>'.$txt73.$txt72.'
  </div>';
				if ($pos == BOX_EDITO) { // edito : nouvelle réduite
					$txt3 = '
    <div id="texte3'.$i.'" class="rep" style="margin: 0px; padding:2px">';
					if (mb_strlen($txt2, $charset) >= $longword) {
						$txt3 .= '
      <div class="rep" style="height:'.$max_height.'px; overflow:hidden;">
        '.$txt2.'
      </div>
      <p style="text-align:right">
        <a href="javascript:ActiveMenu(\'texte3\',\'texte2\',0,'.$maxnews.','.$i.')" class="box" title="'.$web[296].'">
          '.$web[505].' <img src="'.$reptheme.'/plus.png" alt="'.$web[296].'" />
        </a>
      </p>
    </div>' ;
					} else {
						$txt3 .= '
      <div class="rep">'.$txt2.'</div>
    </div>';
					}
					$out .= $txt3.'
    <div id="texte2'.$i.'" class="rep" style="display:none; margin: 0px; padding: 10px 5px 5px 5px">'.$txt2;
                    $out .= '
      <p style="text-align:right;cursor:pointer;"><img src="'.$reptheme.'/minus.png" alt="'.$web[57].'" title="'.$web[57].'" onclick="cache(\'texte2'.$i.'\');montre(\'texte3'.$i.'\')" />
      </p>
    </div>';
				} else { // news : nouvelle complète
					$out .= '
    <div id="texte'.$i.'" class="rep">'.$txt2.'</div>';
				}
				if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[14] == 'on')) {
					$out .= '
    <div style="text-align:right;">
      <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=news&amp;form=2&amp;id='.$dbwnews[$i][1].'&amp;tconfig='.$tconfig.'">
	    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
	  </a>
      <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=news&amp;act=i&amp;id='.$dbwnews[$i][1].'&amp;tconfig='.$tconfig.'">
	    <img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" />
	  </a>
      <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=news&amp;del='.$dbwnews[$i][1].'&amp;tconfig='.$tconfig.'">
	    <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
	  </a>
    </div>';
				}
				$out .= '
  </div>
  <br />';
			}
		} elseif (!empty($pg)) {
			$out .= '
  <p>'.$web[36].'</p>';
		}
		$pg = empty($pg)? '0': $pg;
		if ($pos != BOX_EDITO) { // news
			$out .= GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[8].'-3-'.$pg.'-': $site['NE'].'.php?lng='.$lng.'&amp;pg='.$pg.'&amp;id='), count($dbwnews), $id, $serviz[2]);
		}
    }
    if ($pos != BOX_EDITO) {
        $topmess = getLabel($nom[$lng == $lang[0] ? 7 : 17]);
    } else {
        if (count($dbwnews) > 1 && $site[4] > 1) {
            $topmess = sprintf($web[2], min($site[4], count($dbwnews)));
        } else {
            $topmess = $web[145];
        }
    }
    if ($page[9] != '') {
        $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/news.gif" style="float:right;width:32px;height:32px;" alt="" />'.$topmess;
    }
    return boxwide($pos, $topmess, $out, ' NEW'.$pos.$tconfig);
}

################################################################################

function fbox_lastdoc($pos = NULL, $args = NULL) {
    global $lng, $lang, $nom, $page, $serviz, $site, $userprefs, $web, $admin, $urlrw, $tconfig, 
	       $charset, $reptheme, $drtuser, $dynabox;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
	if ($serviz[116].$serviz[118] != 'onon') return false;
    static $nbox = 0;
    $nbox++;
    $out   = '';
	$ndays = !empty($serviz[119]) && is_numeric($serviz[119]) ? $serviz[119] : '15';
	$dat   = date('YmdHi', strtotime($ndays.' days ago'));
	$db    = $dba = $dbb = array();
	$docid = SelectDBFieldsByStatus(ReadDBFields(DOCID), 'a');
	$dbdat = ReadDBFields(DOCDATES);
	foreach ($dbdat as $item) if ($item[2] >= $dat) $db[] = array($item[2], $item[0]);
	rsort($db);
	$dbag = $dbar = $dbbl = $dbdn = $dbfa = $dbfr = $dbli = $dbgb = $dbne = $dbph = array();
	foreach ($db as $item) {
		$typ    = SelectDBFieldsByField($docid, 1, $item[1]);
		$idat   = substr(FormatDate($item[0]), 0, 10);
		$typdoc = empty($typ[0][0]) ? '' : $typ[0][0];
		switch ($typdoc) {
		case 'ag' : // agenda
			if ($serviz[121] == 'on') {
				ReadDoc($item[1]);
				if (isAuthorizedPublication($creadate) && isAccessGranted($fieldmod) && $status == 'a') {
					$url0 = 'agenda.php?lng='.$lng.'&amp;idpg='.$fileid.'-'.'&amp;pg='.$item[0].'&amp;agv=1&amp;tconfig='.$tconfig;
					$url1 = $lng.'-'.$urlrw[17].'-22-'.$fileid.'-'.$fileid.'-1-'.$tconfig;
					$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.$fielda1.' - '.CutLongWord(strip_tags($lng == $lang[0] ? $fieldc1 : $fieldc2), 36).'...</b></a>';
					$dbag[] = array($lng == $lang[0] ? $nom[32] : $nom[33], $link);
				}
			}
			break;
		case 'ar' : // articles et réactions
		case 'ra' : 
			if ($serviz[122] == 'on') {
				if ($typdoc == 'ra') {
					$dbw = SelectDBFieldsByField(ReadDBFields(DBREACT), 0, $item[1]);
					$id  = $dbw[0][1];
				} else
					$id = $item[1];
				if (!in_array($id, $dba)) {
					ReadDoc($id);
					if (isAuthorizedPublication($creadate) && isAccessGranted($fieldmod) && $status == 'a') {
						$fa1  = $fielda1;
						$fa2  = $fielda2;
						$fb1  = $fieldb1;
						$fb2  = $fieldb2;
						$dbwo = ReadDBFields(DBOPTMENU);
						$url0 = '';
						foreach ($dbwo as $item1) {
							ReadDoc($item1[4]);
							if (!isAuthorizedPublication($creadate) || !isAccessGranted($fieldmod) || $status != 'a') continue;
							$urls = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
							$pg   = substr($urls[0], strpos($urls[0], 'pg=') + 3);
							$pos1 = strpos($pg, '&');
							$pg   = $pos1 === false ? $pg : substr($pg, 0, $pos1);
							if ($pg == $id) {
								$url0 = 'articles.php?lng='.$lng.'&pg='.$pg.'&mnuid='.$item1[5].'&tconfig='.$fieldmail;
								$url1 = $lng.'-'.$urlrw[20].'-103-'.$pg.'-'.$item1[5].'-'.$fieldmail;
								break;
							}
						}
						if (!empty($url0)) {
							$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.strip_tags($lng == $lang[0] ? $fa1 : $fa2).' - '.strip_tags($lng == $lang[0] ? $fb1 : $fb2).'</b></a>';
							$dbar[] = array($web[169].' - '.$web[187], $link); 
							$dba[]  = $id;
						}
					}
				}
			}
			break;
		case 'bl' : // blog et commentaires
		case 'rb' : 
			if ($serviz[123] == 'on') {
				if ($typdoc == 'rb') {
					$dbw = SelectDBFieldsByField(ReadDBFields(DBREBLOG), 0, $item[1]);
					$id  = $dbw[0][1];
				} else
					$id = $item[1];
				if (!in_array($id, $dbb)) {
					ReadDoc($id);
					if (isAuthorizedPublication($creadate) && isAccessGranted($fieldmod) && $status == 'a') {
						$url0 = $site['BL'].'.php?lng='.$lng.'&amp;sel=pg&amp;pg='.$fileid;
						$url1 = $lng.'-'.$urlrw[1].'-2-pg-'.$fileid;
						$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.strip_tags($lng == $lang[0] ? $fielda1 : $fielda2).' - '.strip_tags($lng == $lang[0] ? $fieldb1 : $fieldb2).'</b></a>';
						$dbbl[] = array($lng == $lang[0] ? $nom[42] : $nom[43].' - '.$web[407], $link); 
						$dbb[]  = $id;
					}
				}
			}
			break;
		case 'dn' : // téléchargements
			if ($serviz[124] == 'on') {
				ReadDoc($item[1]);
				if (isAuthorizedPublication($creadate) && isAccessGranted($fieldmod) && $status == 'a') {
					$url0 = $site['DN'].'.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;tconfig='.$tconfig;
					$url1 = $lng.'-'.$urlrw[11].'-4-'.$fileid.'-'.$tconfig;
					$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.strip_tags($lng == $lang[0] ? $fielda1 : $fielda2).' - '.strip_tags($lng == $lang[0] ? $fieldb1 : $fieldb2).'</b></a>';
					$dbdn[] = array($lng == $lang[0] ? $nom[1] : $nom[11], $link);
				}
			}
			break;
		case 'fa' : // faq
			if ($serviz[125] == 'on') {
				ReadDoc($item[1]);
				if (isAuthorizedPublication($creadate) && isAccessGranted($fieldmod) && $status == 'a') {
					$url0 = 'faq.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;tconfig='.$tconfig;
					$url1 = $lng.'-'.$urlrw[4].'-6-'.$fileid.'-'.$tconfig;
					$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.strip_tags($lng == $lang[0] ? $fielda1 : $fielda2).' - '.strip_tags($lng == $lang[0] ? $fieldb1 : $fieldb2).'</b></a>';
					$dbfa[] = array($lng == $lang[0] ? $nom[24] : $nom[25], $link);
				}
			}
			break;
		case 'fr' : // forum
			if ($serviz[126] == 'on') {
				ReadDoc($item[1]);
				$dbw  = SelectDBFieldsByField(ReadDBFields(DBFORUM), 1, $fielda1);
				$fid  = $dbw[0][2];
				$urw0 = empty($fieldb2) ? '-41-'.$fid : '-4-'.$fid.'-'.getForumcatId($fieldb2);
				$urw1 = empty($fieldb2) ? '-411-'.$fid : '-5-'.$fid.'-'.getForumcatId($fieldb2);
				$url0 = $site['TH'].'.php?lng='.$lng.'&amp;pg='.$fid.'&amp;cat='.getForumcatId($fieldb2).($fielda2 == '0' ? '' : '&amp;id=1#R'.$fielda2);
				$url1 = $lng.'-'.$urlrw[5].($fielda2 == '0' ? $urw0 : $urw1.'-1-R'.$fielda2);
				$lbl0 = ($fielda2 == '0' ? 'S' : 'R').$fielda1;
				$lbl1 = $fielda2 == '0' ? $fieldb1 : CutLongWord(strip_tags($fieldc1), 36).'...';
				$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.$lbl0.' - '.strip_tags($lbl1).'</b></a>';
				$dbfr[] = array($lng == $lang[0] ? $nom[22] : $nom[23], $link);
			}
			break;
		case 'li' : // liens
			if ($serviz[127] == 'on') {
				ReadDoc($item[1]);
				if (isAuthorizedPublication($creadate) && isAccessGranted($fieldmod) && $status == 'a') {
					$url0 = 'links.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;tconfig='.$tconfig;
					$url1 = $lng.'-'.$urlrw[6].'-5-'.$fileid.'-'.$tconfig;
					$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.strip_tags($lng == $lang[0] ? $fielda1 : $fielda2).' - '.strip_tags($lng == $lang[0] ? $fieldb1 : $fieldb2).'</b></a>';
					$dbli[] = array($lng == $lang[0] ? $nom[3] : $nom[13], $link);
				}
			}
			break;
		case 'gb' : // livre d'or
			if ($serviz[128] == 'on') {
				ReadDoc($item[1]);
				$url0 = $site['GB'].'.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;tconfig='.$tconfig;
				$url1 = $lng.'-'.$urlrw[7].'-4-'.$fileid.'-'.$tconfig;
				$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.$author.' - '.CutLongWord(strip_tags($fieldc1), 36).'...</b></a>';
				$dbgb[] = array($lng == $lang[0] ? $nom[9] : $nom[19], $link);
			}
			break;
		case 'ne' : // nouvelles
			if ($serviz[129] == 'on') {
				ReadDoc($item[1]);
				if (isAuthorizedPublication($creadate)) {
					$url0 = $site['NE'].'.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;tconfig='.$tconfig;
					$url1 = $lng.'-'.$urlrw[9].'-2-'.$fileid.'-'.$tconfig;
					$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.strip_tags($lng == $lang[0] ? $fielda1 : $fielda2).' - '.strip_tags($lng == $lang[0] ? $fieldb1 : $fieldb2).'</b></a>';
					$dbne[] = array($lng == $lang[0] ? $nom[7] : $nom[17], $link);
				}
			}
			break;
		case 'ph' : // photos
			if ($serviz[130] == 'on') {
			ReadDoc($item[1]);
			if (isAuthorizedPublication($creadate) && isAccessGranted($fieldmod) && $status == 'a') {
				$url0 = 'photorama2.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;tconfig='.$tconfig;
				$url1 = $lng.'-'.$urlrw[9].'-2-'.$fileid.'-'.$tconfig;
				$link = $idat.' : <a href="'.CHEMIN.($site['URLR'] == 'on' ? $url1 : $url0).'" target="_SELF" title=""><b>'.strip_tags($lng == $lang[0] ? $fielda1 : $fielda2).' - '.strip_tags($lng == $lang[0] ? $fieldb1 : $fieldb2).'</b></a>';
				$dbph[] = array($lng == $lang[0] ? $nom[2] : $nom[12], $link);
			}
			}
			break;
		}
	}
	unset($db);
	$dbw = array($dbag, $dbar, $dbbl, $dbdn, $dbfa, $dbfr, $dbli, $dbgb, $dbne, $dbph);
	foreach ($dbw as $db) {
		if (!empty($db)) {
			$out .= '
	<fieldset><legend>'.$db[0][0].'</legend>';
			foreach ($db as $item) {
				$out .= '
	  <div>'.$item[1].'</div>';
			}
			$out .= '
	</fieldset>';
		}
	}
	unset($dbag, $dbar, $dbbl, $dbdn, $dbfa, $dbfr, $dbli, $dbgb, $dbne, $dbphn, $dbw);
	if ($out != '') {
		$sidebox    = $pos == BOX_LEFT || $pos == BOX_RIGHT;
		$titre      = getLabel($nom[$lng == $lang[0] ? 54 : 55]);
		$titre      = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
		$longword   = empty($serviz[120]) ? 500 : $serviz[120];
		$max_height = round($longword/3*0.72);
		$txt        = '
	<a id="hautlastdoc'.$nbox.'"></a>
	<div style="text-align:center;">'.sprintf($web[645], $ndays).'</div>
    <div id="lastdoc'.$nbox.'" style="margin: 0px; padding:2px">';
		if (mb_strlen($out, $charset) >= $longword) {
			$txt .= '
      <div style="height:'.$max_height.'px; overflow:hidden;">
        '.$out.'
      </div>
      <div style="text-align:right;">
        <a href="#lastdoc'.$nbox.'" title="'.$web[296].'" onclick="cache(\'lastdoc'.$nbox.'\'); montre(\'lastdoc2'.$nbox.'\');">
          '.$web[505].' <img src="'.$reptheme.'/plus.png" alt="'.$web[296].'" />
        </a>
      </div>';
			} else {
				$txt .= '
      <div>'.$out.'</div>';
			}
			$txt .= '
	</div>
    <div id="lastdoc2'.$nbox.'" style="display:none; margin: 0px; padding: 10px 5px 5px 5px">'.$out;
            $txt .= '
      <div style="text-align:right;">
	    <img src="'.$reptheme.'/minus.png" style="cursor:pointer;" alt="'.$web[57].'" title="'.$web[57].'" onclick="cache(\'lastdoc2'.$nbox.'\');montre(\'lastdoc'.$nbox.'\');" />
      </div>
    </div>';
		if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[5] == 'on')) {
			$txt .= '
	<div class="f-right">
	  '.displayQuickConfig($pos).'
	</div><div class="c-right"></div>';
		}
		if ($sidebox) {
			return '
<div class="'.$pos.$tconfig.'NOV">'.boxthin($pos, $titre, $txt, ' NOV'.$pos.$tconfig, $dynabox[15]).'
</div>';
		} else
			return boxwide($pos, $titre, $txt, ' NOV'.$pos.$tconfig);
	} else
		return false;
}

################################################################################

function fbox_newsarch($pos = NULL, $args = NULL) {
    global $id, $pg, $lng, $lang, $drtuser, $members, $nom, $page, $site, $serviz, $userprefs, $web, $topmess, $urlrw, $tconfig, $reptheme;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    $out = '';
    $id = strip_tags($id);
    $longword = 300;
    if (isset($site[29]) && $site[29] > 0) {
        $longword = $site[29];
    }
    $max_height = round($longword/3*0.72);
    if ($members[0] == 'on' && $userprefs[1] == '' && $members[13] == 'on') {
    	$out .= '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		$out .= '
  <p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	$out .= '
</div>';
    } else {
		$archdate = ReadCounter(DBNEWSARCHDATE);
		if ($archdate > 0) {
			$out .= '
	<div style="text-align:center;margin:8px 0;">'.$web[583].' '.FormatDate($archdate).'
	  <br />'.$web[582].' <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[8]: $site['NE'].'.php?lng='.$lng).'">'.$web[581].'
	  <img src="'.$reptheme.'/ed_copy.png"  style="vertical-align:-4px;" alt="" /></a>
	</div>';
		}
		if (!empty($pg)) {
			$db1 = SelectDbFieldsByField(ReadDbFields(DBNEWSARCH), 4, $pg);
			$db2 = array_filter($db1, 'IsNotEmptyTitle');
			if (1 != count($db2) || !isAccessGranted($db2[0][6]) || !isAuthorizedPublication($db2[0][5])){
				header('HTTP/1.0 404 Not Found');
				$dbwnews = array();
			} else {
				$dbwnews = array(array(TYP_NEWS, $pg, 'a'));
			}
		} else {
			$db1 = ReadDbFields(DBNEWSARCH);
			$db2 = array_filter($db1, 'IsNotEmptyTitle');
			$dbwnews = array();
			foreach ($db2 as $db) {
				if (isAccessGranted($db[6])) {
					$dbwnews[] = array(TYP_NEWS, $db[4], 'a');
				}
			}
		}
		@rsort($dbwnews);
        unset($db1, $db2);
		$id = empty($id) ? 1 : $id;
		$minnews = $serviz[2]*($id-1);
		$maxnews = Min($serviz[2]*$id, count($dbwnews));

        if (!empty($dbwnews)) {
            for ($i = $minnews; $i < $maxnews; $i++) {
                ReadDoc($dbwnews[$i][1], ARCHDBBASE);
                if ($lng == $lang[0]) {
                    $txt1 = $fieldb1;
                    $txt2 = $fieldc1;
                }
                else {
                    $txt1 = $fieldb2;
                    $txt2 = $fieldc2;
                }
                // date création
                if ($serviz[72] == '') {
                    $txt72 = ' - '.$web[6].' ';
                    $txt72 .= '
    <b>'.$author.'</b> ';
                } else {
                    $txt72 = '';
                }
                // auteur
                if ($serviz[73] == '') {
                    $txt73 = (empty($txt72) ? ' - ' : ' ').$web[7].' '.FormatDate($creadate);
                } else {
                    $txt73 = '';
                }
                // icone
                if (!empty($fieldd2)) {
                    $txt1 = '<img src="'.CHEMIN.'img/'.$fieldd2.'" style="text-align:right;" alt="'.$fieldd2.'" />'.$txt1;
                }
                $out .= '
<div class="bord" style="padding: 1px;">
  <div class="forum2"><p><b>'.$txt1.'</b>'.$txt72.$txt73.'</p></div>';
                $out .= '
    <div id="texte'.$i.'" class="rep">'.$txt2.'</div>';
                $out .= '
  </div>
  <br />';
            }
        } elseif (!empty($pg)) {
            $out .= '
  <p>'.$web[36].'</p>';
        }
		$pg = empty($pg)? '0': $pg;
        $out .= GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[8].'-4-'.$pg.'-': 'newsarch.php?lng='.$lng.'&amp;pg='.$pg.'&amp;id='), count($dbwnews), $id, $serviz[2]);
    }
    $topmess = $web[578];
    if ($page[9] != '') {
        $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/news.gif" style="float:right;width:32px;height:32px;" alt="" />'.$topmess;
    }
    return boxwide($pos, $topmess, $out, ' NWA'.$pos.$tconfig);
}

################################################################################

function fbox_menubox($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $site, $serviz, $userprefs, $web, $admin,$texte, $page, 
	    $dynabox, $urlrw, $tconfig, $charset, $reptheme,
        $type, $fileid, $status, $creadate, $moddate, $author, $email,$fielda1, $fielda2, 
		$fieldb1, $fieldb2, $fieldc1, $fieldc2,$fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    static $nbox = 0;
    $nbox++;
    $sidebox = $pos == BOX_LEFT || $pos == BOX_RIGHT;
	$ilng    = $lng == $lang[0] ? 0 : 1 ;
    $menu    = $args[0];
    ReadDoc($menu);
    if (!isAccessGranted($fieldmod) || !isAuthorizedPublication($creadate)) return FALSE;
    if ($type != TYP_MENUBOX) return FALSE;
    if ($status != 'a') return FALSE;
    $type_menu = $fieldweb;
	$class     = ' MNU'.$fileid;
	$dynbox    = $fielda2;
    $titre     = $lng == $lang[0] ? $fieldb1 : $fieldb2;
	$titre     = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
    $contenu   = PathToImage($lng == $lang[0] ? $fieldc1 : $fieldc2);
    $len       = strlen(parse_url($site[3], PHP_URL_PATH));
    $url_self  = $site['URLR'] == 'on' ? substr($_SERVER['REQUEST_URI'], $len): substr($_SERVER['PHP_SELF'], $len).($_SERVER['QUERY_STRING'] == '' ? '' : '?'.$_SERVER['QUERY_STRING']);
	$url_self .= $site['URLR'] == 'on' ? '': (strpos($url_self, 'tconfig') > 0 ? '' : '&amp;tconfig='.$tconfig);
    $dbw       = SelectDbFieldsByField(ReadDBFields(DBOPTMENU), 5, $menu);
    /**
     * $optmenu : tableau des options de menu
     *
     * $optmenu[*][0] = catégorie
     * $optmenu[*][1] = titre de l'option
     * $optmenu[*][2] = ID de l'option de menu
     * $optmenu[*][3] = URL de l'option de menu
     * $optmenu[*][4] = target du lien
     * $optmenu[*][5] = ID de la boîte menu
     * $optmenu[*][6] = indique si c'est la page courante (true/false]
	 * $optmenu[*][7] = indique si nouveauté
	 * $optmenu[*][8] = image new ou maj
     **/
    $optmenu  = array();
    $curr_cat = '';
    foreach ($dbw as $item) {
        if (!isAccessGranted($item[6])) continue;
        ReadDoc($item[4]);
		if (!isAuthorizedPublication($creadate)) continue;
        if ($status != 'a') continue;
		$img  = '';
		$urls = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
		$pg   = '';
		if (preg_match('!https?://|ftps?://|www.!', $urls[0]))
			$url = $urls[0];
		else {
			if (strpos($urls[0], 'articles.php') !== false) {
				$pg      = substr($urls[0], strpos($urls[0], 'pg=') + 3);
				$pos1    = strpos($pg, '&');
				$pg      = $pos1 === false ? $pg : substr($pg, 0, $pos1);
				$urls[0] = 'articles.php?lng='.$lng.'&pg='.$pg.'&mnuid='.$item[5].'&tconfig='.$fieldmail;
				$urls[1] = $lng.'-'.$urlrw[20].'-103-'.$pg.'-'.$item[5].'-'.$fieldmail;
			}
			$url = empty($urls[1]) ? $urls[0] : $site['URLR'] != 'on' ? $urls[0] : $urls[1];
			if (strpos($url, $site[3]) !== false) {
				$url  = CHEMIN.substr($url, strlen($site[3]));
				$slng = (strpos($url, '?lng=') > 0 || strpos($url, '&amp;lng=') > 0 || $site['URLR'] == 'on') ? '' : 'lng='.$lng;
				if ($slng != '') $url .= (strpos($url, '?') > 0) ? '&amp;'.$slng : '?'.$slng;
			} else {
				$url  = CHEMIN.$url;
				$slng = (strpos($url, '?lng=') > 0 || strpos($url, '&lng=') > 0 || $site['URLR'] == 'on') ? '' : 'lng='.$lng;
				if ($slng != '') $url .= (strpos($url, '?') > 0) ? '&'.$slng : '?'.$slng;
			}
		}
		if ($fieldc1 == '_POPUP')
			$target = '	onclick="window.open(this.href, \'popup'.$item[4].'\', '
				.'\'resizable=yes,status=yes,location=no,toolbar=yes,menubar=no,fullscreen=no,scrollbars=yes,dependent=no,width=1024,left=0,height=768,top=0\'); return false;"';
		else
			$target = ' target="'.$fieldc1.'"';
		$target = strtoupper($fieldc1) == '_SELF' ? '' : $target;
        $is_curr = basename($url_self) == basename($url);
		$isNew   = $img != '';
        if ($is_curr) {
            $curr_cat = trim($item[0 + $ilng]);
			$dynbox   = $dynbox != 'off' ? 'open' : $dynbox;
        }
		if (!empty($pg)) {
			ReadDoc($pg);
			$imgpg = getNewUpdateDoc($creadate, $moddate, $serviz[136]);
			$isNew = $isNew || ($imgpg != '');
			$img   = $imgpg != '' ?  $imgpg : $img;
		}
		$optmenu[] = array(trim($item[0 + $ilng]), trim($item[2 + $ilng]), $item[4], $url, $target, $item[5], $is_curr, $isNew, $img);
    }
    unset($dbw);
    sort($optmenu);

    $curcats = array();
    /**
     * $liste = liste des catégories et items dans l'ordre d'affichage
     *
     * $liste[*]['opt'] = item du tableau $optmenu d'où provient l'élément
     * $liste[*]['cat'] = est-ce une catégorie (true/false)
     * $liste[*]['txt'] = texte de l'élément, cad soit la [sous-]catégorie, soit le titre du lien
     * $liste[*]['niv'] = niveau d'indentation (0=racine)
     * $liste[*]['vis'] = est-ce un élément visible (true/false)
     * $liste[*]['new'] = est-ce un élément nouveau ou modifié
	 *
     **/
    $liste = array();
    foreach ($optmenu as $item) {
        if (empty($item[0])) {
            $i = 0;
        } else {
            $cats = explode('|', $item[0]);
            $xcat = '';
            for ($i = 0; $i < count($cats); $i++) {
                $xcat .= (empty($xcat) ? '' : '|').$cats[$i];
                // @ pour supprimer les NOTICE dûes à l'initialisation aléatoire des tableaux
                if (@$curcats[$i] != @$cats[$i]) {
                    $liste[] = array(
                        'cat' => TRUE, 'txt' => trim($cats[$i]), 'niv' => $i+1,
                        'vis' => (0 === strpos($curr_cat, $xcat)), 'opt' => $item, 'new' => $item[7]);
                    $curcats[$i] = $cats[$i];
                    array_splice($curcats, $i+1);
                }
            }
        }
        $liste[] = array('cat' => FALSE, 'txt' => $item[8].$item[1], 'niv' => $i+1, 'vis' => $item[6], 'opt' => $item, 'new' => $item[7]);
    }
    unset($cats, $curcats);
    $content = '';
    if (!empty($optmenu)) {
        $out = '
<div class="'.$pos.$tconfig.'mb'.$menu.'">';
        $content = empty($contenu) ? '' : '
 <div class="box">
'.$contenu.'
 </div>';
        $typeRubrique = 'mnu'.$nbox;
      	$marqueur = $texte[3].' ';
      	$curr_marq = '<img src="'.$reptheme.'/puce2.png" alt="&gt;" class="puce" />&nbsp;';
      	$rubr = '---';

      	switch ($type_menu) {
        /**********************************************************************/
  		case "0" : // liste de menu
            $niveau = 0;
            $content .= '
 <div class="mbtype0">
  <ul class="item">';
            foreach ($liste as $item) {
                $opt = $item['opt'];
                while ($niveau > $item['niv']) {
                    $niveau--;
                    $padding = str_pad('', 3*$niveau);
                    $content .=  '
'.$padding.'  </ul>
'.$padding.' </div>
'.$padding.'</li>';
                }
                $niveau = $item['niv'];
                $padding = str_pad('', 3*$niveau);
                if ($item['cat']) {
                    $content .=  '
'.$padding.'<li>
'.$padding.' <div>
'.$padding.'  <p class="rubr categ niv'.$item['niv'].'">'.$item['txt'].'</p>
'.$padding.'  <ul class="item">';
                }
                else {
                    $content .= '
'.$padding.'<li class="link '.($opt[6] ? 'curr_item' : 'item').' niv'.$item['niv'].'">'.($opt[6] ? $curr_marq : $marqueur).'<a href="'.htmlentities($opt[3]).'" title="'.strip_tags($opt[1]).'"'.$opt[4].'>'.$item['txt'].'</a>';
        			if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[26] == 'on')) {
        				$content .= '
'.$padding.' <span class="f-right">
'.$padding.'  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=optmenu&amp;menubox='.$opt[5].'&amp;form=2&amp;tri=-id&amp;id='.$opt[2].'">
'.$padding.'   <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
'.$padding.'  </a>
'.$padding.' </span>';
        			}
                    $content .= '
'.$padding.'</li>';
                }
            }
            while ($niveau > 1) {
                $niveau--;
                $padding = str_pad('', 3*$niveau);
                $content .= '
'.$padding.'  </ul>
'.$padding.' </div>
'.$padding.'</li>';
            }
            $content .= '
  </ul>
 </div>';
    	break;

        /**********************************************************************/
    	case "1" : // menu dynamique
            $niveau = 0;
            $content .= '
 <div class="mbtype1">
  <form name="'.$typeRubrique.'" method="post">
   <p class"ta-center">';
            foreach ($liste as $item) {
                $opt = $item['opt'];
                if ($item['cat'] && 1 == $item['niv']) {
                    if (0 != $niveau) {
            $content .= '
    </select>';
                    }
                    $content .= '
    <select size="1" onchange="if (\'\' != this.value) { document.'.$typeRubrique.'.action=this.value; document.'.$typeRubrique.'.submit(); }" title="">';
                }
                $selected = $opt[6] ? ' selected="selected"' : '';
                $padding = '';
                for ($i = 1; $i < $item['niv']; $i++) $padding .= '&nbsp; ';
                if ($item['cat']) {
                    $content .= '
     <option class="categ niv'.$item['niv'].'" value=""'.$selected.'>'.$padding.strip_tags($item['txt']).'</option>';
                } else {
                    if (0 == $niveau) {
                    $content .= '
    <select size="1" onchange="if (\'\' != this.value) { document.'.$typeRubrique.'.action=this.value; document.'.$typeRubrique.'.submit(); }" title="">';
                    }
            		$content .= '
     <option class="link niv'.$item['niv'].($opt[6] ? ' current' : '').'" value="'.$opt[3].'"'.$selected.'>'.$padding.$marqueur.strip_tags($item['txt']).'</option>';
                }
                $niveau = $item['niv'];
            }
            $content .= '
    </select>
   </p>
  </form>
 </div>';
            break;

        /**********************************************************************/
    	case "2" : // menu liste dynamique n°1
    		$openimg = $reptheme.'/plus.png';
    		$closeimg = $reptheme.'/minus.png';
        /**********************************************************************/
    	case "3" : // menu liste dynamique n°2
    		if ($type_menu == "3") {
        		$openimg = $reptheme.'/open.png';
        		$closeimg = $reptheme.'/close.png';
    		}

            $niveau = 0;
			$cpt    = 0;
			$nliste = $liste;
            $nums   = array_pad(array(), 12, 1);
            $bids   = array();
            $cache  = '';
            $content .= '
 <div class="mbtype'.$type_menu.'">
  <ul class="item">';
            foreach ($liste as $item) {
                $opt = $item['opt'];
                while ($niveau > $item['niv']) {
                    $niveau--;
                    $padding = str_pad('', 3*$niveau);
                    $content .=  '
'.$padding.'  </ul>
'.$padding.' </div>
'.$padding.'</li>';
                }
                $niveau = $item['niv'];
                $padding = str_pad('', 3*$niveau);
                if ($item['cat']) {
					$n = $cpt + 1;
					$isNew = false;
					while ($n < count($nliste) && !$nliste[$n]['cat']) {
						if ($nliste[$n]['new']) {
							$isNew = true;
							break;
						}
						$n++;
					} 
                    $baseid = 'mb'.$opt[5].'_'.$item['niv'].'_'.$nums[$item['niv']]++;
                    if (!$item['vis'] && !$isNew) {
                        $cache .= '
  $(\'#'.$baseid.'\').toggle(); $(\'#'.$baseid.'p\').toggle(); $(\'#'.$baseid.'m\').toggle();';
                    }
                    $onclick = '$(\'#'.$baseid.'\').toggle(); '
                        .'$(\'#'.$baseid.'p\').toggle(); '
                        .'$(\'#'.$baseid.'m\').toggle(); ';
                    $content .=  '
'.$padding.'<li>
'.$padding.' <div>
'.$padding.'  <p class="rubr categ niv'.$item['niv'].'" onclick="'.$onclick.'">'
    .'<img id="'.$baseid.'p" style="display:none" src="'.$openimg.'" alt="'.$web[429].'" title="'.$web[429].'"  />'
    .'<img id="'.$baseid.'m" src="'.$closeimg.'" alt="'.$web[57].'" title="'.$web[57].'" /> '.$item['txt'].'</p>
'.$padding.'  <ul id="'.$baseid.'" class="item">';
                }
                else {
                    $content .= '
'.$padding.'<li class="link '.($opt[6] ? 'curr_item' : 'item').' niv'.$item['niv'].'">'.($opt[6] ? $curr_marq : $marqueur).'<a href="'.htmlentities($opt[3]).'" title="'.strip_tags($opt[1]).'"'.$opt[4].'>'.$item['txt'].'</a>';
        			if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[26] == 'on')) {
        				$content .= '
'.$padding.' <span class="f-right">
'.$padding.'  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=optmenu&amp;menubox='.$opt[5].'&amp;form=2&amp;tri=-id&amp;id='.$opt[2].'">
'.$padding.'   <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
'.$padding.'  </a>
'.$padding.' </span>';
        			}
                    $content .= '
'.$padding.'</li>';
                }
				$cpt++;
            }
            while ($niveau > 1) {
                $niveau--;
                $padding = str_pad('', 3*$niveau);
                $content .= '
'.$padding.'  </ul>
'.$padding.' </div>
'.$padding.'</li>';
            }
            $content .= '
  </ul>
 </div>';
            if ($cache != '') {
                $content .= BeginJavascript().$cache.EndJavascript();
            }
            break;

        /**********************************************************************/
    	case "4" : // menu dynamique compact
            $content .= '
 <div class="mbtype4">
  <form name="'.$typeRubrique.'" method="post">
   <p class="ta-center">
    <select size="1" onchange="if (\'\' != this.value) { document.'.$typeRubrique.'.action=this.value; document.'.$typeRubrique.'.submit(); }" title="">';
            foreach ($liste as $item) {
                $opt = $item['opt'];
                $selected = $opt[6] ? ' selected="selected"' : '';
                $padding = '';
                for ($i = 1; $i < $item['niv']; $i++) $padding .= '&nbsp; ';
                if ($item['cat']) {
            		$content .= '
     <option class="categ niv'.$item['niv'].'" value=""'.$selected.'>'.$padding.strip_tags($item['txt']).'</option>';
                } else {
            		$content .= '
     <option class="link niv'.$item['niv'].($opt[6] ? ' current' : '').'" value="'.$opt[3].'"'.$selected.'>'.$padding.$marqueur.strip_tags($item['txt']).'</option>';
                }
            }
            $content .= '
    </select>
   </p>
  </form>
 </div>';
            break;

        }

        if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[26] == 'on')) {
            $content .= '
  <div class="f-right">
    '.displayQuickConfig($pos).'
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=menu&amp;form=2&amp;tri=ch&amp;id='.$menu.'">
      <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
    </a>
  </div>
  <div class="c-right"></div>';
        }
        if ($sidebox) {
            $out .= boxthin($pos, $titre, $content, $class, $dynbox);
        } else {
            $out .= boxwide($pos, $titre, $content, $class);
        }
        $out .= '
</div>';
        return $out;
    } else {
        return false;
    }
}

################################################################################

function fbox_ddmenubox($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $site, $serviz, $userprefs, $web, $admin, $dynabox, $urlrw, $tconfig, $charset, $meskin, $reptheme;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
    static $nbox = 0;
    $nbox++;
    $sidebox = $pos == BOX_LEFT || $pos == BOX_RIGHT;
	$ilng    = $lng == $lang[0] ? 0 : 1 ;
    $menu    = $args[0];
    ReadDoc($menu);
    if (!isAccessGranted($fieldmod) || !isAuthorizedPublication($creadate)) return FALSE;
    if ($type != TYP_DDMENUBOX) return FALSE;
    if ($status != 'a') return FALSE;
    $type_menu = $fielda2;
	$class     = ' '.$type_menu.$fileid;
    $titre     = $lng == $lang[0] ? $fieldb1 : $fieldb2;
	$titre     = mb_substr(trim($titre), 0, 1, $charset) == '§' || $type_menu == 'DDL' ? '' : $titre;
    $dbw       = SelectDbFieldsByField(ReadDBFields(DBOPTDDMENU), 5, $menu);
	$optmenu   = array();
    foreach ($dbw as $item) {
        if (!isAccessGranted($item[6])) continue;
        ReadDoc($item[4]);
		if (!isAuthorizedPublication($creadate)) continue;
        if ($status != 'a') continue;
		if ($type_menu == 'DDL') {
			$panel     = $ilng == 0 ? $fieldc1 : $fieldc2;
			$optmenu[] = array(trim($item[2 + $ilng]), $panel);
		} else {
			$urls = explode('||', $lng == $lang[0]? $fieldd1: $fieldd2);
			$icon = $fieldc2;
			if (trim($urls[0]) == '?') {
				$url    = '';
				$target = '';
			} else {
				if (preg_match('!https?://|ftps?://|www.!', $urls[0]))
					$url = $urls[0];
				else {
					$urls[0] = !empty($fieldmail) && strpos($urls[0], 'tconfig') > 0 ? $urls[0] : $urls[0].'&tconfig='.$fieldmail;
					if (!empty($urls[1]) && $fieldmail > 0 && strpos($urls[0], 'articles.php') !== false) {
						$pg      = substr($urls[0], strpos($urls[0], 'pg=') + 3);
						$pg      = strpos($pg, 'tconfig') > 0? substr($pg, 0, strlen($pg) - 10): $pg;
						$urls[1] = $lng.'-'.$urlrw[20].'-102-'.$pg.'-'.$fieldmail;
					}
					$url = empty($urls[1])? $urls[0]: $site['URLR'] != 'on'? $urls[0]: $urls[1];
					if (strpos($url, $site[3]) !== false) {
						$url  = CHEMIN.substr($url, strlen($site[3]));
						$slng = (strpos($url, '?lng=') > 0 || strpos($url, '&amp;lng=') > 0 || $site['URLR'] == 'on') ? '' : 'lng='.$lng;
						if ($slng != '') $url .= (strpos($url, '?') > 0) ? '&amp;'.$slng : '?'.$slng;
					} elseif ($url != '#') {
						$url  = CHEMIN.$url;
						$slng = (strpos($url, '?lng=') > 0 || strpos($url, '&lng=') > 0 || $site['URLR'] == 'on') ? '' : 'lng='.$lng;
						if ($slng != '') $url .= (strpos($url, '?') > 0) ? '&'.$slng : '?'.$slng;
					}
				}
				if ($fieldc1 == '_POPUP')
					$target = '	onclick="window.open(this.href, \'popup'.$item[4].'\', 
						\'resizable=yes,status=yes,location=no,toolbar=yes,menubar=no,fullscreen=no,scrollbars=yes,dependent=no,width=1024,left=0,height=768,top=0\'); return false;"';
				else
					$target = ' target="'.$fieldc1.'"';
				$target = strtoupper($fieldc1) == '_SELF' ? '': $target;
			}
			$optmenu[] = array($item[0], trim($item[2 + $ilng]), str_replace('&', '&amp;', $url), $target, $icon);
		}
    }
    unset($dbw);
    if (!empty($optmenu)) {
		sort($optmenu);
		$downarrow  = '&nbsp;&nbsp;<img src="'.$meskin.'img/down-arrow.png" />';
		$rightarrow = '<img src="'.$meskin.'img/right-arrow.png" style="float:right;padding-top:3px;" />';
		if ($type_menu == 'DDL') {
			$out = '';
			$content = '
    <ul class="dropdown dropdown-linear">';
			$n = 0;
			foreach ($optmenu as $opt) {
				$content .= '
	  <li class="T'.$n.'">'.$opt[0].'
		<ul>
		  <li class="C'.$n.'">'.$opt[1].'</li>
		</ul>
	  </li>';
				$n++;
			}
			$content .= '
	</ul>';
            $out .= boxwide($pos, $titre, $content, $class);
			if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[26] == 'on')) 
				$out .= displayQuickConfig($pos);
			return $out;
		} else {
        $out = '
<table>
  <tr>
    <td>';
		switch ($type_menu) {
		case 'DDH' :
			$content = '
    <ul class="dropdown dropdown-horizontal  H'.$nbox.'">';
			break;
		case 'DDV' :
			$content = '
    <ul class="dropdown dropdown-vertical  V'.$nbox.'">';
			break;
		}
		$cnt = count($optmenu);
		$i   = 0;
		while ($i < $cnt) {
			$img = empty($optmenu[$i][4]) ? '' : '<img src="'.CHEMIN.'img/'.$optmenu[$i][4].'" style="padding-right:6px;vertical-align:top;max-height:16px;" />';
			$cur = explode('-', $optmenu[$i][0]);
			$c   = count($cur);
			$p   = $c;
			if ($i > 0) {
				$pred = explode('-', $optmenu[$i - 1][0]);
				$p    = count($pred);
			}
			if ($i + 1 < $cnt) {
				$succ = explode('-', $optmenu[$i + 1][0]);
				$s    = count($succ);
			}
			if ($c == $s)
				$content .= $optmenu[$i][2] == '' ? '
	    <li class="L'.$optmenu[$i][0].'">'.$img.$optmenu[$i][1] : '
	    <li class="L'.$optmenu[$i][0].'"><a href="'.$optmenu[$i][2].'"'.$optmenu[$i][3].'>'.$img.$optmenu[$i][1].'</a>';
			elseif ($s > $c) {
				$arrow    = $c == 1 ? $downarrow : $rightarrow;
				$content .= $optmenu[$i][2] == '' ? '
	    <li class="L'.$optmenu[$i][0].'">'.$img.$optmenu[$i][1].$arrow : '
	    <li class="dir L'.$optmenu[$i][0].'"><a href="'.$optmenu[$i][2].'"'.$optmenu[$i][3].'>'.$img.$optmenu[$i][1].'</a>'.$arrow;
					$content .= '
	    <ul>';					
			}
			elseif ($s < $c) {
				$content .= $optmenu[$i][2] == '' ? '
	    <li class="L'.$optmenu[$i][0].'">'.$img.$optmenu[$i][1].'</li>' : '
	    <li class="L'.$optmenu[$i][0].'"><a href="'.$optmenu[$i][2].'"'.$optmenu[$i][3].'>'.$img.$optmenu[$i][1].'</a></li>';
				$content .= '
	    </ul>
	    </li>';
				for ($k = 1; $k < $c - $s; $k++)
					$content .= '
	    </ul>
	    </li>';
			}
			$i++;
		}
		$content .= '
	  </ul>';
        if ($sidebox) {
            $out .= boxthin($pos, $titre, $content, $class);
        } else {
            $out .= boxwide($pos, $titre, $content, $class);
        }
        $out .= '
    </td>
  </tr>
</table>';
        if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == 'on' && $drtuser[26] == 'on')) 
			$out .= displayQuickConfig($pos);
        return $out;
		}
    } else {
        return false;
    }
}

################################################################################

function fbox_contact($pos = NULL, $args = NULL) {
    global $lng, $lang, $drtuser, $nom, $urlrw, $site, $serviz, $userprefs, $web, $admin, $dynabox, $tconfig, $charset, $reptheme;
    $out = '
<div class="box" style="text-align:left;">';
	$ctfiles = ReadDBFields(CONFIGREP.'ctconfigs.dtb');
	foreach($ctfiles as $ct) {
		$out .= '
  <div style="margin-top:4px;">
    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[2].'-2-'.$ct[1] : $site['CT'].'.php?lng='.$lng.'&amp;ctconfig='.$ct[1]).'" title="'.$ct[$lng == $lang[0] ? 3 : 4].'">
	  <img alt="mail" src="'.$reptheme.'/mail.png" style="margin: 0 8px -4px 12px;" />'.($ct[$lng == $lang[0] ? 3 : 4]).'
	</a>
  </div>';
	}
    $out .= '
</div>';
    if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[13] == "on")) {
        $out .= '
<div class="f-right">
  '.displayQuickConfig($pos).'
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=contact&amp;act=1">
    <img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" />
  </a>
</div>
<div class="c-right"></div>';
    }
	$titre = getLabel($nom[$lng == $lang[0] ? 56 : 57]);
	$titre = mb_substr(trim($titre), 0, 1, $charset) == '§' ? '' : $titre;
    return '
<div class="'.$pos.$tconfig.'CT">'.boxthin($pos, $titre, $out, ' CT'.$pos.$tconfig, $dynabox[16]).'
</div>';
}

################################################################################

function isAdmin($pseudo) {
    global $serviz;
    if (empty($pseudo) && trim($serviz[31]) == '') return TRUE;
    if ($pseudo == $serviz[31]) return TRUE;
    if ($serviz[42] == 'on') {
		static $admins = null;
		if (!isset($admins)) {
			$admins = ReadDbFields(ADMINS);
		}
		foreach ($admins as $admin) {
			if ($pseudo == $admin[0]) return TRUE;
		}
	}
    return FALSE;
}
?>
