<?php
/*******************************************************************************
 *   Load Includes
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (version_compare(phpversion(), '5.1', '<')) {
    die(sprintf('Insufficient version of PHP (%s) : 5.1 or higher necessary', phpversion()));
}

if (@preg_match("!//|/\*|#|:/|\.\./|%2E\./|\.%2E/|%2E%2E/|document.cookie|/script!i", $_SERVER["QUERY_STRING"])) {
    die("Requête non autorisée - Request not allowed");
}

if (stristr($_SERVER['SCRIPT_NAME'], 'includes.inc')) {
    header('location:../index.php');
    die();
}

error_reporting( E_ALL ^ E_NOTICE );

$endurl = strip_tags($_SERVER['REQUEST_URI']);
$lang   = array('','');
include CHEMIN.'inc/functions.php';
include CONFIG;
$tconfig = 0;

switch ($serviz[100]) {
case '1' :
    $cryptinstall = CRYPTREP.'cryptographp.fct.php';
    include $cryptinstall;
	break;
case '2' :
    $cryptinstall = CRYPTREP.'cryptotexte.fct.php';
    include $cryptinstall;
	break;
case '3' :
    $cryptinstall = CRYPTREP.'cryptoseltexte.fct.php';
    include $cryptinstall;
	break;
}

if (substr($serviz[101], -2) != 'px') $serviz[101] = '800px';

include CHEMIN.'inc/func_groups.php';
include CHEMIN.'inc/func_boxes.php';
include CHEMIN.'inc/func_blogboxes.php';

$prt = import('prt');
if (!in_array($prt, array(-3, -2, -1, 0, 1, 2, 3))) $prt = 0;
date_default_timezone_set($site['TZ']);

function TestInteger($name) {
    $GLOBALS[$name] = import($name);
    if (isset($GLOBALS[$name])) {
        $n = preg_match('!^([0-9]+)!', $GLOBALS[$name], $res);
        if ($n == 0 || $res[1] == '')
            $GLOBALS[$name] = NULL;
        else
            $GLOBALS[$name] = $res[1];
    }
}

if (strpos($endurl, '/admin/') === false) {
    TestInteger('pg');
} else {
    $pg = import('pg');
}
TestInteger('id');
TestInteger('num');

$userprefs = array_pad(array(), 16, '');
$lng = import('lng');
if (!empty($_COOKIE[USER_COOKIE])) {
    $userprefs = explode(CONNECTOR, $_COOKIE[USER_COOKIE]);
    $userprefs[0] = strip_tags($userprefs[0]);
    $userprefs[1] = preg_replace('![^a-zA-Z0-9_]!i', '', substr(strip_tags($userprefs[1]), 0, 20));
    $userprefs[2] = strip_tags($userprefs[2]);

    $userprefs[3] = strip_tags($userprefs[3]);
    $userprefs[4] = strip_tags($userprefs[4]);
    $userprefs[5] = strip_tags($userprefs[5]);
    $userprefs[6] = str_replace('\n', '<br />', strip_tags($userprefs[6]));
    if (($userprefs[0] == $lang[0] || $userprefs[0] == $lang[1]) && empty($lng)) {
        $lng = strip_tags($userprefs[0]);
    }
    $userprefs[7] = strip_tags($userprefs[7]);
    $userprefs[8] = strip_tags($userprefs[8]);
    $userprefs[9] = strip_tags($userprefs[9]);
    $userprefs[10] = strip_tags($userprefs[10]);
    $userprefs[11] = strip_tags($userprefs[11]);
    $userprefs[12] = strip_tags($userprefs[12]);
    $userprefs[13] = strip_tags($userprefs[13]);
    $userprefs[14] = strip_tags($userprefs[14]);
    $userprefs[15] = strip_tags($userprefs[15]);
    $userprefs[16] = strip_tags($userprefs[16]);
}

if (!isset($selskin)) $selskin = import('selskin');
$selskin = preg_replace('`[^-a-z0-9_]`i', '', $selskin);
if (empty($page[14])) {
    $page[14] = 'no_skin';
}
if (!empty($userprefs[10])) {
    $page[14] = $userprefs[10];
}
if (!empty($selskin)) {
    $page[14] = $selskin;
}
if (empty($selskin)) {
    $selskin = $page[14];
}

if (empty($lng)) {
    $lng = $lang[0];
} elseif (($lng != $lang[0]) && ($lng != $lang[1])) {
    $lng = $lang[0];
}

if ($userprefs[1] != '' && FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
    $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
    if ($userprefs[7] != $dbmsg[0][0]) {
        $userprefs = array_pad(array(), 12, '');
        setcookie(USER_COOKIE, '');
		$location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-8-'.$admin[939]: $site['USR'].'.php?lng='.$lng.'&erreur='.$admin[939]);
        echo '
<script type="text/javascript">
  alert('.$admin[939].');
  window.location="'.$location.'";
</script>';
		header("location:".$location); 
    }
} else {
    $userprefs = array_pad(array(), 16, '');
    setcookie(USER_COOKIE, '');
}

if (!isset($_SERVER['REQUEST_URI'])) {
    $REQUEST_URI = $_SERVER['SCRIPT_NAME']."?".$_SERVER['QUERY_STRING'];
}
StartTimer();

if (is_file(CHEMIN.'skins/'.$page[14].'/skin'.INCEXT)) {
    include CHEMIN.'skins/'.$page[14].'/skin'.INCEXT;
} else {
    include CHEMIN.'skins/no_skin/skin'.INCEXT ;
}
if (is_file(CHEMIN.'skins/'.$page[14].'/confskin'.INCEXT)) {
    include CHEMIN.'skins/'.$page[14].'/confskin'.INCEXT ;
} else {
    include CHEMIN.'skins/no_skin/confskin'.INCEXT;
}
$reptheme = is_dir($meskin.'general') ? $meskin.'general' : CHEMIN.'inc/img/general/'.$page[27];

include(CHEMIN.INCREP."lang/".$lng."-web".INCEXT);
include CHEMIN.INCREP.'lang/'.$lng.'-help'.INCEXT;
include CHEMIN.INCREP.'lang/'.$lng.'-admin'.INCEXT;

if (strpos($endurl, '/admin/') !== false) {
    include CHEMIN.'admin/inc/admfunctions.php';
}

if (!headers_sent()) header('Content-type: text/html; charset='.$charset);

if ($lng == $lang[0]) {
    $npage = array($web[169], getLabel($nom[1]), getLabel($nom[24]), getLabel($nom[22]), getLabel($nom[9]), getLabel($nom[0]), getLabel($nom[3]),
        getLabel($nom[7]), getLabel($nom[2]), getLabel($nom[6]), getLabel($nom[20]), getLabel($nom[26]), $web[144], getLabel($nom[42]),
        $web[485], $web[486], $web[487], $web[488], $web[489], $web[490]
        );
} else {
    $npage = array($web[169], getLabel($nom[11]), getLabel($nom[25]), getLabel($nom[23]), getLabel($nom[19]), getLabel($nom[10]), getLabel($nom[13]),
        getLabel($nom[17]), getLabel($nom[12]), getLabel($nom[16]), getLabel($nom[21]), getLabel($nom[27]), $web[144], getLabel($nom[43]),
        $web[485], $web[486], $web[487], $web[488], $web[489], $web[490]
        );
}


$flag1 = CHEMIN.INCREP.'lang/'.$lang[0].'.gif';
$flag2 = CHEMIN.INCREP.'lang/'.$lang[1].'.gif';

if (stristr($_SERVER['SCRIPT_NAME'], 'calendar.php') === false && strpos($endurl, '/install/') === false) {
    include CHEMIN.INCREP.'log.inc' ;
    include CHEMIN.'inc/log_stats.inc';
}

include CHEMIN.'inc/security.inc';
ExecuteBannishment();

$userAgent = $_SERVER['HTTP_USER_AGENT'];
if ((strpos($userAgent,  'MSIE') !== false) and (strpos($userAgent, 'compatible') !== false)
and (strpos($userAgent, 'Opera')=== false) and (strpos($userAgent, 'Gecko') === false)
and (strpos($userAgent, 'Konqueror') === false))
    $browser = 'OK';
elseif ((strpos($userAgent, 'Gecko') !== false) and (strpos($userAgent, 'Safari') === false) and (strpos($userAgent, 'Konqueror') === false))
    $browser = 'OK';
elseif (strpos($userAgent, 'Konqueror') !== false)
    $browser = 'OK';
elseif (strpos($userAgent, 'Safari') !== false)
    $browser = 'OK';
elseif (strpos($userAgent, 'Opera') !== false) {
    $version = (float)substr($userAgent, strpos($userAgent, 'Opera/') + 6, 4);
    $browser = $version >= 9.0 ? 'OK' : 'KO';
}
else
  $browser = 'KO';
  
if (strpos($endurl, '/admin/') === false && strpos($endurl, '/install/') === false) {
    if ($serviz[44] == 'on' &&  ($userprefs[1] == '' || ( $serviz[31] != '' && $serviz[31] != $userprefs[1]))) {
        header('location: '.CHEMIN.'maintenance.php');
    }
}
?>
