/*******************************************************************************
 *   jQuery scripts
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaim
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

$(function() {
	$('#gytabs').css('display', 'block');
	$('#gytabs').click(function(event) {
		var actuel = event.target;
		if (!/li/i.test(actuel.nodeName) || actuel.className.indexOf('gyactif') > -1) {
			return;
		}
		$(actuel).addClass('gyactif').siblings().removeClass('gyactif');
		setDisplay();
	});
	function setDisplay() {
		var modeAffichage;
		$('#gytabs li').each(function(rang) {
			modeAffichage = $(this).hasClass('gyactif') ? '' : 'none';
			$('.gytabitem').eq(rang).css('display', modeAffichage);
		});
	}
	setDisplay(); 
});

/**
 * HoverAccordion - jQuery plugin for intuitively opening accordions and menus
 * 
 * http://berndmatzner.de/jquery/hoveraccordion/
 * 
 * Copyright (c) 2008-2010 Bernd Matzner
 * 
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Version: 0.9.1
 * 
 * Requires jQuery 1.4.4 or higher
 */
(function($) {
    $.fn.hoverAccordion = function(options) {
        // Setup options
        options = jQuery.extend({
            // Speed at which the subitems open up - valid options are: 
			// slow, normal, fast, or integer for duration in milliseconds
            speed : 'fast',
            // true: Automatically activate items with links corresponding to the current page, 
			// 2: Activate item #2 (numbering starts with 1!)
            activateItem : true,
            // true: Set the height of each accordion item to the size of the largest one, 
			// false: Leave height as is
            keepHeight : false,
            // true: Handle accordion on click only rather than hovering, 
			// false: React to hovering
            onClickOnly : false,
            // Class name of the initially active element
            classActive : 'active',
            // Class name for header items
            classHeader : 'header',
            // Class name for hover effect
            classHover : 'hover',
            // Class name for open header items
            classOpen : 'opened',
            // Class name for closed header items
            classClosed : 'closed'
        }, options);

        // Current hover status
        var container = this;

        // Current URL
        var pageHref = window.location.href;

        // Interval for detecting intended element activation
        var i = 0;

        // Change display status of subitems when hovering
        function doHover(itemList, itemHeader, listHeight) {

            // Change only one display status at a time
            var oldList = $(container).find('.' + options.classOpen).closest(
            'li').find('ul:first');

            if (false === oldList.is(':animated')) {
                if (options.keepHeight == true) {
                    listHeight = maxHeight;
                }

                // Change display status if not already open
                if (itemHeader.hasClass(options.classOpen) == false) {
                    itemList.children().show();
                    itemList.animate({
                        height : listHeight
                    }, {
                        step : function(n, fx) {
                            itemList.height(listHeight - n);
                        },
                        duration : options.speed
                    });

                    oldList.animate({
                        height : 0
                    }, {
                        step : function(n, fx) {
                            itemList.height(listHeight - n);
                        },
                        duration : options.speed
                    }).children().hide();

                    // Switch classes for headers
                    itemHeader.addClass(options.classOpen).removeClass(
                    options.classClosed);

                    oldList.closest('li').removeClass(options.classActive)
                    .find('a:first').addClass(options.classClosed).removeClass(
                    options.classOpen);
                }
            }
        }

        var itemNo = 0;
        var maxHeight = 0;

        // Setup initial state and hover events
        $(this)
        .children('li')
        .each(
        function() {
            var item = $(this);
            var isActive = false;

            itemNo++;

            var itemHeader = item.find('a:first').addClass(options.classHeader);

            if (itemHeader.length > 0) {
                // Hover effect for all links
                itemHeader.hover(function() {
                    itemHeader.addClass(options.classHover);
                }, function() {
                    itemHeader.removeClass(options.classHover);
                });

                var itemHref = itemHeader.attr('href');

                if (itemHref == '#') {
                    // Add a click event if the header does not contain a link
                    itemHeader.click(function() {
                        this.blur();
                        return false;
                    });
                } else if (options.activateItem == true
                && pageHref.indexOf(itemHref) > 0
                && pageHref.length - pageHref.lastIndexOf(itemHref) == itemHref.length) {
                    isActive = true;
                    item.addClass(options.classActive);
                    itemHeader.removeClass(options.classClosed).addClass(
                    options.classOpen);
                }
            }

            var itemList = item.find('ul:first');

            // Initialize subitems
            if (itemList.length > 0) {
                var listHeight = itemList.height();

                if (maxHeight < listHeight)
                    maxHeight = listHeight;

                if (options.onClickOnly == true) {
                    itemHeader.click(function() {
                        doHover(itemList, itemHeader, listHeight);
                    });
                } else {
                    // Bind hover events to all headers of sublists
                    itemHeader.hover(function() {
                        i = setInterval(function() {
                            doHover(itemList, itemHeader, listHeight);
                            clearInterval(i);
                        }, 400);
                    }, function() {
                        clearInterval(i);
                    });
                }

                // Set current link to current URL to 'active'
                if (options.activateItem === true) {
                    itemList
                    .children('li')
                    .each(
                    function() {
                        var m = $(this).find('a').attr('href');
                        if (m) {
                            if (pageHref.indexOf(m) > 0
                            && pageHref.length - pageHref.lastIndexOf(m) == m.length) {
                                isActive = true;
                                item.addClass(options.classActive);
                                itemHeader.removeClass(options.classClosed)
                                .addClass(options.classOpen);
                            }
                        }
                    });
                } else if (parseInt(options.activateItem, 10) == itemNo) {
                    isActive = true;
                    item.addClass(options.classActive);
                    itemHeader.removeClass(options.classClosed).addClass(
                    options.classOpen);
                }
            }

            // Close all subitems except for those with active items
            if (!isActive) {
                itemHeader.removeClass(options.classOpen);
                if (itemList.length > 0) {
                    itemList.children().hide();
                    itemHeader.addClass(options.classClosed);
                }
            }
        });

        return this;
    };
})(jQuery);

// fonctions pour fntre modale
$(document).ready(function(){
						   		   
	//When you click on a link with class of poplight and the href starts with a # 
	$('a.gypoplight[href^=#]').click(function() {
		var popURL = $(this).attr('href'); //Get Popup href to define size
				
		//Pull Query & Variables from href URL
		var tabvar    = popURL.split('?')[1].split('&');
		var popWidth  = tabvar[0].split('=')[1]; //Gets w= the first query string value
		var popID     = tabvar[1].split('=')[1]; //Gets rel= the second query string value
		var titleBtn  = tabvar[2].split('=')[1]; //Gets btn= the third query string value
		var meskin    = tabvar[3].split('=')[1]; //Gets btn= the fourth query string value
		
		//Fade in the Popup and add close button
		var btnLink = '<a href="#" class="close"><img src="' + meskin + 'img/close_pop.png" class="gybtn_close" title="' + titleBtn + '" alt="' + titleBtn + '" /></a>';
		if (titleBtn == '0') {
			btnLink = '<a href="#" class="close"></a>';
		}
		$('#' + popID).fadeIn().css({ 'width': Number( popWidth ) }).prepend(btnLink);
		
		//Define margin for center alignment (vertical + horizontal) - we add 80 to the height/width to accomodate for the padding + border width defined in the css
		var popMargTop = ($('#' + popID).height() + 80) / 2;
		var popMargLeft = ($('#' + popID).width() + 80) / 2;
		
		//Apply Margin to Popup
		$('#' + popID).css({ 
			'margin-top' : -popMargTop,
			'margin-left' : -popMargLeft
		});
		
		//Fade in Background
		$('body').append('<div id="gyfade"></div>'); //Add the fade layer to bottom of the body tag.
		$('#gyfade').css({'filter' : 'alpha(opacity=80)'}).fadeIn(); //Fade in the fade layer 
		
		return false;
	});
	
	
	//Close Popups and Fade Layer
	$('a.close, #gyfade').live('click', function() { //When clicking on the close or fade layer...
	  	$('#gyfade , .gypopup_block').fadeOut(function() {
			$('#gyfade, a.close').remove();  
	}); //fade them both out
		
		return false;
	});

	
});
