<?php
/*******************************************************************************
 *   Calendar function
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'en-special.inc')) {
    header('location:../index.php');
    die();
}

function cal_ferie($jour, $mois, $annee) {
    static $ferie = array();
    $jref = sprintf('%02d/%02d', $jour, $mois);
    if (!isset($ferie[$annee])) {
        $easter  = easter_days($annee);
        $paques  = date('d/m', mktime(12, 0, 0, 3, 21+$easter, $annee));
        // détermination des autres fêtes religieuses mobiles (other feasts days)
        $fripaq  = date('d/m', mktime(12, 0, 0, 3, 21+$easter-2, $annee));   // Good friday (before Easter)
        $lunpaq  = date('d/m', mktime(12, 0, 0, 3, 21+$easter+1, $annee));   // Easter monday
        $ascens  = date('d/m', mktime(12, 0, 0, 3, 21+$easter+39, $annee));  // Ascension day
        $lunpent = date('d/m', mktime(12, 0, 0, 3, 21+$easter+50, $annee));  // Whitsun monday

        // liste des jours fériés de l'année, jj/mm (all public holidays of the year, dd/mm)
        //  -----        you can add or change your public holidays here     -------
        $ferie[$annee] = array('01/01', $fripaq, $paques, $lunpaq, '01/05', $ascens,
            $lunpent, '15/08', '01/11', '25/12', '26/12');
    }
    return in_array($jref, $ferie[$annee]);
}
