<?php
/*******************************************************************************
 *   Plugin PostGuestEditor
 *   Version  : 2.6.0 (2012/09/13)
 *   Compatibility : Guppy v5.x
 *   Licence  : GNU Lesser General Public License
 *   Author   : jérôme CROUX (Djchouix)
 *   Web site : http://lebrikabrak.info/
 *   E-mail   : jchouix@wanadoo.fr
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release. 
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '../../../');
include CHEMIN.'inc/includes.inc';
$lng = isset($_GET['lng'])? $_GET['lng'] : 'en';
$configpath = isset($_GET['configpath'])? $_GET['configpath'] : null;
$wysiwyg = isset($_GET['wysiwyg'])? (boolean) $_GET['wysiwyg'] : false;
if ($wysiwyg) {
	$nameditor = isset($_GET['nameditor'])? $_GET['nameditor'] : null;
	if (!preg_match("`^[-a-z0-9_]+$`i", $lng.$nameditor) || !preg_match("`^[-a-z0-9_][-a-z0-9_/]+/$`i", $configpath)) die('erreur dans les variables passées en paramètre !');
} else {
	$nameform = isset($_GET['nameform'])? $_GET['nameform'] : null;
	$nametextarea = isset($_GET['nametextarea'])? $_GET['nametextarea'] : null;
	if (!preg_match("`^[-a-z0-9_]+$`i", $lng.$nameform.$nametextarea) || !preg_match("`^[-a-z0-9_][-a-z0-9_/]+/$`i", $configpath)) die('erreur dans les variables passées en paramètre !');
}
define('PATH_PGEDITOR', 'inc/pgeditor/');		//Chemin relatif de l'éditeur
define('PATH_CONFIG_PGEDITOR', $configpath); //Chemin relatif du fichier de configuration
define('WYSIWYG', $wysiwyg);		//Type d'éditeur
include CHEMIN.PATH_PGEDITOR.'pgeditor.php';
include CHEMIN.PATH_PGEDITOR.'syntaxcolor/syntaxcolor.php'; //Coloration syntaxique

$send = isset($_POST['send'])? $_POST['send'] : null;
if ($send == 'ok') {
	$ptxt = recupCodePGEditor('code');
	$ptxt = parseCodePGEditor($ptxt);
//	$ptxt = str_replace(' src="',' src="'.BASEPATH, $ptxt);
	$ptxt = preg_replace_callback(	// Path des images
		'` src="([^"]+)"`',
		create_function(
            '$matches',	
			'return (strpos($matches[1], "http://") === FALSE)? " src=\"".BASEPATH.$matches[1]."\"" : $matches[0];'
        ),
        $ptxt
	);

	$ptxt = colorCode($ptxt); //Coloration syntaxique
}
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<title><?php echo $lang_pgeditor[19]; ?></title>
<link type="text/css" rel="stylesheet" href="<?php echo CHEMIN.PATH_CSS_PGEDITOR; ?>pgeditor.css" />
<!-- compliance patch for microsoft browsers -->
<!--[if lt IE 7]>
	<link rel="stylesheet" type="text/css" media="screen" href="<?php echo CHEMIN.PATH_CSS_PGEDITOR; ?>pgeditor-ie.css" />
<![endif]-->
<link type="text/css" rel="stylesheet" href="<?php echo CHEMIN.PATH_CSS_PGEDITOR; ?>syntaxcolor.css" />  <!-- Coloration syntaxique -->
<?php
if (file_exists($meskin."style.css")) {
   echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css" />'."\n";
} else {
    echo '
<link type="text/css" rel="stylesheet" href="no_skin/style.css">';
}

if ($send != 'ok') {
	echo BeginJavascript().'
function Preview()
{	
	';
	if ($wysiwyg) {
		echo '
	var htmlcode = window.opener.document.getElementById("'.$nameditor.'_WYSIWYG_PGEditor").contentWindow.document.body.innerHTML;
	htmlcode = opener.'.$nameditor.'.parseImage(htmlcode);
	document.forms["preview"].elements["code_content"].value = htmlcode;';
	} else {
		echo '
	var htmlcode = window.opener.document.forms["'.$nameform.'"].elements["'.$nametextarea.'"].value;
	document.forms["preview"].elements["code"].value = htmlcode;';
	}
	echo '
	document.preview.submit();
}'.EndJavascript();
}
?>
</head>
<body class="tblbox">
<?php
if ($send == 'ok') {
	echo '
		<div class="preview">
			<div class="content">
	 		'.$ptxt.'
			</div>
		</div>
		<hr style="margin-top:15px;" />
		<div style="text-align:right;"><button title="'.$lang_pgeditor[1].'" onclick="window.close();">'.$lang_pgeditor[1].'</button></div>
	'."\n";
} else {
	$nameContent = ($wysiwyg)? 'code_content' : 'code';
	
	echo '
  		<form name="preview" action="preview.php?lng='.$lng.'&amp;wysiwyg='.$wysiwyg.'&amp;configpath='.$configpath.'" method="post">
  		<input type="hidden" name="send" value="ok" />
		<input type="hidden" name="'.$nameContent.'" value="" />
  		</form>'.BeginJavascript().'
Preview();'.EndJavascript();
}
?>
</body>
</html>
