<?php
/*******************************************************************************
 *   Statistics Reporting
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'statshow.inc')) {
  header('location:../index.php');
  die();
}

$per = import('per');
$anal = import('anal');

if (empty($per)) {
    $per = 1;
}
echo '
<form name="chgestat" action="'.(CHEMIN == '' ? ($site['URLR'] == 'on'? $lng.'-'.$urlrw[10]: 'stats.php?lng='.$lng) : 'admin.php?lng='.$lng.'&amp;pg=statsvw').'" method="post">

<table style="margin:auto;text-align:center;">
  <tr>
    <td style="padding:5px;"><b>'.$web[71].'</b></td>
    <td style="padding:5px;">
      <select name="per">
        <optgroup label="'.$web[447].'">
        <option value="1"'.Selected($per == 1).'>'.$web[72].'</option>
        <option value="2"'.Selected($per == 2).'>'.$web[73].'</option>
        <option value="3"'.Selected($per == 3).'>'.$web[74].'</option>
        </optgroup>';
$foptions = ListStatsFiles();
if (!empty($foptions)) {
    echo '
        <optgroup label="'.$web[448].'">';
    foreach ($foptions as $name => $value) {
    echo '
        <option value="'.$value.'"'.Selected($per === $value).'>'.$name.'</option>';
    }
    echo '
        </optgroup>';
}
echo '
      </select>
    </td>
  </tr>
  <tr>
    <td style="padding:5px;"><b>'.$web[76].'</b></td>
    <td style="padding:5px;">
      <select name="anal">
        <option value="1"'.Selected($anal == 1).'>'.$web[77].'</option>
        <option value="2"'.Selected($anal == 2).'>'.$web[78].'</option>
        <option value="3"'.Selected($anal == 3).'>'.$web[79].'</option>
      </select>
    </td>
  </tr>
  <tr style="text-align:center;">
    <td style="padding:5px;" colspan="2">'.SubmitButton($web[80]).'</td>
  </tr>
</table>
</form>';

if (!empty($anal)) {
    $tmp = explode(',', $per);
    $per = $tmp[0];
    $file = isset($tmp[1]) ? $tmp[1] : '';
    echo '
<hr />';
}

if ($anal == 1) {
    switch($per) {
    case 1 : $result = AnalyzeDay(CalcDay($file));     $txt = $web[81]; break;
    case 2 : $result = AnalyzeMonth(CalcMonth($file)); $txt = $web[82]; break;
    case 3 : $result = AnalyzeYear(CalcYear($file));   $txt = $web[83]; break;
    }
    echo '
<p class="quest" style="text-align:center;"><b>'.$txt.'</b></p>
<table style="margin:auto;text-align:center;">
  <tr>';

    $bar = 200/$result['max1'];
    for ($k = 0; $k < count($result['tab1']); $k++) {
        echo '
    <td style="width:2em;vertical-align:bottom;text-align:center;white-space:nowrap;">
      '.$result['tab1'][$k][0].'<br />
        <img src="'.CHEMIN.'inc/img/bars/vertbleu.gif" style="width:10px;margin 0 2px;height:'.round($result['tab1'][$k][0]*$bar).'px;" alt="'.$result['tab1'][$k][0].'"/>
    </td>';
    }
    echo '
  </tr>
  <tr>';
    for ($k = 0; $k < count($result['tab1']); $k++) {
        echo '
    <td style="vertical-align:bottom;text-align:center;white-space:nowrap;">
      <b>'.$result['tab1'][$k][1].'</b>
    </td>';
    }
    switch($per) {
    case 1 : $txt = $web[84]; break;
    case 2 : $txt = $web[85]; break;
    case 3 : $txt = $web[86]; break;
    }
    echo '
  </tr>
</table>
<br />
<p class="quest" style="text-align:center;"><b>'.$txt.'</b></p>
<table style="margin:auto;text-align:center;">
  <tr>';

    $bar = 200/$result['max2'];
    for ($k = 0; $k < count($result['tab2']); $k++) {
        echo '
    <td style="width:2em;vertical-align:bottom;text-align:center;white-space:nowrap;">
      '.$result['tab2'][$k][0].'<br />
        <img src="'.CHEMIN.'inc/img/bars/vertbleu.gif" width="10" hspace="2" height="'.round($result['tab2'][$k][0]*$bar).'" alt="'.$result['tab2'][$k][0].'"/>
    </td>';
    }
    echo '
  </tr>
  <tr>';
    for ($k = 0; $k < count($result['tab2']); $k++) {
        echo '
    <td style="vertical-align:bottom;text-align:center;white-space:nowrap;">
      <b>'.$result['tab2'][$k][1].'</b>
    </td>';
    }
    echo '
  </tr>
</table>';
}

elseif ($anal == "2") {
    switch($per) {
    case 1 : $result = AnalyzeLang(CalcDay($file));  break;
    case 2 : $result = AnalyzeLang(CalcMonth($file));    break;
    case 3 : $result = AnalyzeLang(CalcYear($file)); break;
    }
    echo '
<p class="quest" style="text-align:center;"><b>'.$web[87].'</b></p>
<table style="margin:auto;text-align:left;">';
    $bar = 250/$result['max1'];
    for ($k = 0; $k < count($result['tab1']); $k++) {
        if ($result['tab1'][$k][0] > 0) {
            echo '
  <tr>
    <td style="width:100px;margin:10px;"><b>'.$result['tab1'][$k][1].' </b></td>
    <td style="white-space:nowrap;margin:10px;">
      <img src="'.CHEMIN.'inc/img/bars/vert.gif" style="width:'.round($result['tab1'][$k][0]*$bar).'px;height:10px;margin:0 5px;" alt="'.$result['tab1'][$k][1].'"/> '.$result['tab1'][$k][0].'
    </td>
  </tr>';
        }
    }
    echo '
</table>

<br />
<p class="quest" style="text-align:center;"><b>'.$web[88].'</b></p>
<table style="margin:auto;text-align:left;">';
    $bar = 250/$result['max2'];
    for ($k = 0; $k < count($result['tab2']); $k++) {
        if ($result['tab2'][$k][0] > 0) {
            echo '
  <tr>
    <td style="width:100px;margin:10px;"><b>'.$result['tab2'][$k][1].' </b></td>
    <td style="white-space:nowrap;margin:10px;">
      <img src="'.CHEMIN.'inc/img/bars/orange.gif" style="width:'.round($result['tab2'][$k][0]*$bar).'px;height:10px;margin:0 5px;" alt="'.$result['tab2'][$k][1].'" /> '.$result['tab2'][$k][0].'
    </td>
  </tr>';
        }
    }
    echo '
</table>
<br />';
}

elseif ($anal == "3") {
    switch($per) {
    case 1 : $result = AnalyzeNavOs(CalcDay($file));  break;
    case 2 : $result = AnalyzeNavOs(CalcMonth($file));    break;
    case 3 : $result = AnalyzeNavOs(CalcYear($file)); break;
    }
    echo '
<p class="quest" style="text-align:center;"><b>'.$web[89].'</b></p>
<table style="margin:auto;text-align:left;">';
    $bar = 250/$result['max1'];
    for ($k = 0; $k < count($result['tab1']); $k++) {
        if ($result['tab1'][$k][0] > 0) {
            echo '
  <tr>
    <td style="width:100px;margin:10px;"><b>'.$result['tab1'][$k][1].' </b></td>
    <td style="white-space:nowrap;margin:10px;">
      <img src="'.CHEMIN.'inc/img/bars/rouge.gif" width="'.round($result['tab1'][$k][0]*$bar).'" height="10" hspace="5" alt="'.$result['tab1'][$k][1].'" /> '.$result['tab1'][$k][0].'
    </td>
  </tr>';
        }
    }
    echo '
</table>
<br />
<p class="quest" style="text-align:center;"><b>'.$web[90].'</b></p>
<table style="margin:auto;text-align:left;">';
    $bar = 250/$result['max2'];
    for ($k = 0; $k < count($result['tab2']); $k++) {
        if ($result['tab2'][$k][0] > 0) {
            echo '
  <tr>
    <td style="width:100px;margin:10px;"><b>'.$result['tab2'][$k][1].' </b></td>
    <td style="white-space:nowrap;margin:10px;">
      <img src="'.CHEMIN.'inc/img/bars/bleu.gif" width="'.round($result['tab2'][$k][0]*$bar).'" height="10" hspace="5" alt="'.$result['tab2'][$k][1].'" /> '.$result['tab2'][$k][0].'
    </td>
  </tr>';
        }
    }
    echo '
</table>';
}

switch($anal) {
    case 1 :
        echo '
<br />
<p>'.$web[449].'</p>';
        break;
    case 2 :
    case 3 :
        echo '
<br />
<p>'.$web[510].'</p>';
        break;
}
?>
