<?php
/*******************************************************************************
 *   Functions for plugins Ajoutemenu and AjouteFreeBox
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

function AjouteMenu_getBox($nbox) {
    global $user;
    if (is_file(CHEMIN.'data/plugins/ajoutemenu/config'.$nbox.'.dtb')) {
        $lignes = file(CHEMIN.'data/plugins/ajoutemenu/config'.$nbox.'.dtb');
        $data = array(
            'name0' => trim($lignes[0]), // nom du menu
            'name1' => trim($lignes[1]),
            'note0' => trim($lignes[19]), // note au-dessus
            'note1' => empty($lignes[20]) ? '' : trim($lignes[20]),
            'typemenu' => trim($lignes[2]) // type du menu
        );
        return $data;
    } else {
        return FALSE;
    }
}

function AjouteMenu_getOption($nbox, $nitem) {
    static $am = array();
    if (!array_key_exists($nbox, $am)) {
        if (is_file(CHEMIN.'data/plugins/ajoutemenu/menu'.$nbox.'.dtb')) {
            $tmp = ReadDbFields(CHEMIN.'data/plugins/ajoutemenu/menu'.$nbox.'.dtb');
            foreach ($tmp as $item) {
                $am[$nbox][$item[4]] = $item;
            }
        } else {
            return FALSE;
        }
    }
    if (isset($am[$nbox][$nitem]) && 'd' != $am[$nbox][$nitem][5]) {
        return $am[$nbox][$nitem];
    } else {
        return FALSE;
    }
}

function AjouteFreebox_getBox($nbox) {
    if (is_file(CHEMIN.'data/plugins/ajoutefreebox/config'.$nbox.'.inc')) {
        include CHEMIN.'data/plugins/ajoutefreebox/config'.$nbox.'.inc';
		$data     = array_fill(0, 18, '');
		$data[0]  = 'fb';
		$data[2]  = 'a';
		$data[5]  = (isset($user[0]) && '' != $user[0]) ? $user[0] : 'webmaster';
		$data[6]  = (isset($user[1]) && '' != $user[1]) ? $user[1] : 'webmaster@guppy.cms';
		$data[7]  = 'TBLRAUE';
		$data[9]  = addslashes($freetitle1);
		$data[10] = addslashes($freetitle2);
		$data[11] = addslashes($freetext1);
		$data[12] = addslashes($freetext2);
        return $data;
    } else {
        return FALSE;
    }
}

function Diaporama_getDiaporamas() {
    if (is_file(CHEMIN.'data/plugins/diaporama/liste.dtb')) {
		$datas  = array();
		$diapos = ReadDBFields(CHEMIN.'data/plugins/diaporama/liste.dtb');
		foreach ($diapos as $diapo)
			if ($diapo[2] == 'a') {
				if (is_file(CHEMIN.'data/plugins/diaporama/param'.$diapo[1].'.dtb')) {
					$params = ReadDBFields(CHEMIN.'data/plugins/diaporama/param'.$diapo[1].'.dtb');
					$datas[] = array($diapo[1], strip_tags($diapo[3]), strip_tags($diapo[4]), 
					                 strip_tags($diapo[5]), strip_tags($diapo[6]), 
					                 $params[13][1], $params[12][1], $params[6][1], $params[7][1]);
				}
			}
        return $datas;
    } else {
        return FALSE;
    }
}

?>
