<?php
/*******************************************************************************
 *   Links
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[11] != 'on') {
    exit($web[143]);
}

$dbwork = array();
if (!empty($pg)) {
    $dbwork = SelectDbFieldsByField(ReadDBFields(DBLINKS), 4, $pg);
	$isdoc  = (count($dbwork) != 0);
	if ($isdoc) {
		$isdoc = isAuthorizedPublication($dbwork[0][5]);
        if (!isAccessGranted($dbwork[0][6])) {
			header('HTTP/1.0 403 Forbidden');
        }
    }
    if (!$isdoc) {
        $dbwork = array();
        header('HTTP/1.0 404 Not Found');
        $web[38] = '';
    }
} else {
    $dbwork2 = ReadDBFields(DBLINKS);
    $dbwork1 = array_filter($dbwork2, 'IsNotEmptyTitle');
    foreach ($dbwork1 as $db) {
        if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
            $dbwork[] = $db;
        }
    }
    unset($dbwork1, $dbwork2);
}
sort($dbwork);

$topmess = strip_tags(getLabel($nom[$lng == $lang[0] ? 3 : 13]));
if ($page[9] != '') {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/links.gif" style="float:right;width:32px;height:32px;" alt="" />'.$topmess;
}
include 'inc/hpage.inc';
htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && $members[3] == 'on') {
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
} else {
    echo '<p style="text-align:center;">'.$web[38].'</p>';
    if (empty($id)) {
        $id = 1;
    }
    if (!empty($dbwork)) {
        $typeRubrique = TYP_LINKS;
        $imgOpen = "plus.png";
        $imgClose = "minus.png";
        $subImgOpen = "puce1.png";
        $subImgClose = "puce2.png";
        $nlpg = (count($dbwork)-($serviz[5]*($id-1))>$serviz[5])? $serviz[5] : count($dbwork)-($serviz[5]*($id-1)) ;
        echo BeginJavascript().'
var maxsub = '.$nlpg.';'.EndJavascript();
        $rubr = '';
        $l = 0;
        if (3 == abs($prt)) {
            $id = 1;
            $serviz[5] = 99999;
        }
		$isNew = false;
        for ($i = $serviz[5]*($id-1); $i < Min($serviz[5]*$id, count($dbwork)); $i++) {
            ReadDoc($dbwork[$i][4]);
			$img = getNewUpdateDoc($creadate, $moddate, $serviz[144]);
			if ($img != '') $isNew = true;
            if ($lng == $lang[0]) {
                $txt1 = $img.$fieldb1;
                $txt2 = $fieldc1;
                $txt3 = $fielda1;
                $txt4 = $fieldd1;
            } else {
                $txt1 = $img.$fieldb2;
                $txt2 = $fieldc2;
                $txt3 = $fielda2;
                $txt4 = $fieldd2;
            }
            if ($rubr <> $txt3 || $txt3 == '') {
                $rubr = $txt3;
                if ($l > 0) {
                    echo '
</div>';
                }
                if (trim($rubr) != '') {
                    $l ++;
                    echo '
<div id="titreRubr'.$typeRubrique.$i.'" class="rubr" style="cursor:pointer;" onclick="MontreCacheItems(\'imgOpen'.$typeRubrique.$i.'\',\'imgClose'.$typeRubrique.$i.'\',\'itemsRubr'.$typeRubrique.$i.'\',\'itemsRubrSelect\');">
  <img id="imgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" style="display:none;" />
  <img id="imgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgClose.'" alt="'.$web[57].'" title="'.$web[57].'" style="display:inline;" />
  &nbsp;'.$rubr.'
</div>';
                    if (count($dbwork) == 1) {
                    	echo '
<div id="itemsRubrSelect" style="display:block;">';
                    } else {
                    	echo '
<div id="itemsRubr'.$typeRubrique.$i.'" style="display:block;">';
                    }
                }
            }
            $n = (count($dbwork) > $serviz[5])? $i-$serviz[5]*$id+$serviz[5] : $i ;
			echo '
		<div id="titreSubRubr'.$typeRubrique.$i.'" class="rubr" style="cursor:pointer;" onclick="MontreCacheItems(\'subImgOpen'.$typeRubrique.$i.'\',\'subImgClose'.$typeRubrique.$i.'\',\'itemSubRubr'.$typeRubrique.$i.'\',\'itemSubRubrSelect\');">'."\n".'
			<div style="float:left;text-align:right;margin-left:20px !important; margin-left:12px; height:15px;">
				<img id="subImgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" style="display:none;margin-top:3px;" /> 
				<img id="subImgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgClose.'" alt="'.$web[57].'" title="'.$web[57].'" style="display:inline;margin-top:5px;" /> 
			</div>'."\n".'
			<div style="text-align:justify;padding-left:35px;"><a id="subRubr'.$typeRubrique.$i.'">'.$txt1.'</a></div>'."\n".'
  	</div>'."\n";
			if (count($dbwork) == 1) {
				echo '
<div class="bord2" id="itemSubRubrSelect" style="display:block;">';
			} else {
				echo '
<div class="bord2" id="itemSubRubr'.$typeRubrique.$i.'" style="display:block;">';
			}
			$printurl = $prt != 0 ? ' <strong> '.$txt4.' </strong>' : '';
			echo '
  <div class="rep" style="margin:5px">'.$txt2;
			echo '
    <p style="text-align:right;cursor:pointer;">
			<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[6].'-1-'.$dbwork[$i][4]: 'links.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4]).'"><img src="'.$reptheme.'/hyperlink.png" alt="'.$web[527].'" title="'.$web[527].'"  style="vertical-align:middle;" /></a>&nbsp;&nbsp;
      <a href="'.$txt4.'" target="_blank">
        <img src="'.$reptheme.'/site.png" alt="'.$web[304].'" title="'.$web[304].'" style="vertical-align:middle;" />'.$printurl.'
     </a>
   </p>'."\n";
			echo '</div>';
            if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[20] == "on")) {
                echo '
  <div style="text-align:right;cursor:pointer;">
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=links&amp;form=2&amp;id='.$dbwork[$i][4].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=links&amp;act=i&amp;id='.$dbwork[$i][4].'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=links&amp;del='.$dbwork[$i][4].'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a>
  </div>';
        	}
        	echo '
</div>';
        }
        if ($l > 0) {
            echo '
</div>';
        }
        if (0 == $prt && 'on' != $serviz[80] && !$isNew) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemsRubr"+ typeRubr + i) != null) || (document.all && document.all["itemsRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemsRubr"+ typeRubr + i] != undefined) ) {
		cache("itemsRubr"+ typeRubr + i);
		montre("imgOpen"+ typeRubr + i, "inline");
		cache("imgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
        if (0 == $prt && 'on' != $serviz[80]) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemSubRubr"+ typeRubr + i) != null) || (document.all && document.all["itemSubRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemSubRubr"+ typeRubr + i] != undefined) ) {
		cache("itemSubRubr"+ typeRubr + i);
		montre("subImgOpen"+ typeRubr + i, "inline");
		cache("subImgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
 	} else if (!empty($pg)) {
        echo '
<p>'.$web[36].'</p>';
    }
    echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[6].'-4-': 'links.php?lng='.$lng.'&amp;id='), count($dbwork), $id, $serviz[5]);
}
btable();
include 'inc/bpage.inc';
?>
