<?php
/*******************************************************************************
 *   News RSS
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';
if ($serviz[38] != 'on') {
    exit($web[143]);
}

$screen_choice1 = $page[28];
$style = '';
if ($screen_choice1 == 'fix') {
	$style = 'auto';
}
elseif ($screen_choice1 != '') {
	$style = $screen_choice1;
}
else {
	if (isset($_COOKIE[STYLE_COOKIE])) {
		$style = $_COOKIE[STYLE_COOKIE];
	}
	else {
		$style='auto';
	}
}
if ($style != 'auto') {
	$userprefs[3] = BOX_LEFT;
}

ReadDoc($id);
if ($lng == $lang[0]) {
    $rssurl = $fieldb1;
    $rsstxt = getLabel($nom[36]).' - '.$fielda1;
}
else {
    $rssurl = $fieldb2;
    $rsstxt = getLabel($nom[37]).' - '.$fielda2;
}
if ($page[9] != '') {
    $rsstxt = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/news.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$rsstxt;
}
$topmess = $rsstxt;
$topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;
include 'inc/hpage.inc';

$max_width  = $style != '1024' ? ($style == '800' ? '500px' : 'auto') : '720px';
$max_height = $serviz[133]; 
$longword   = $serviz[134];

htable($topmess,'100%');
include 'inc/lastRSS.inc';
$rss             = new lastRSS;
$rss->default_cp = strtoupper($charset);
$rss->cache_dir  = substr(CACHEREP, 0, strlen(CACHEREP)-1);
$rss->cache_time = $serviz[39];
$rs              = $rss->Get($rssurl);
if (FALSE !== $rs) {
    $cpin  = strtoupper($rs['encoding']);
    $cpout = strtoupper($charset);
    if ($cpin == $cpout) {
        function MyIConv($txt) { return $txt; }
    } else {
        function MyIConv($txt) {
            global $cpin, $cpout;
            return iconv($cpin, $cpout, $txt);
        }
    }
	
    if (isset($rs['image_url']) && $rs['image_url'] != '') {
		if (isset($rs['image_width']))
			$styleimg = $rs['image_width'] > 540 || $rs['image_width'] == '' ? ' style="width:540px;"' : ' style="width:'.$rs['image_width'].'px;"';
		else
			$styleimg = ' style="width:540px;"';
        echo '
<div style="text-align:center;margin:auto;"><img src="'.$rs['image_url'].'" alt="" title="'.$rs['image_title'].'"'.$styleimg.' /></div>';
    }
    if (isset($rs['link']) && $rs['title'] != '') {
		if (preg_match('!^https?://([-a-z0-9.]+)+(/[-a-z0-9.]*)*(\?[-a-z0-9=&/]+)?$!', $rs['link']))
			echo '
<p class="forum"><b><a href="'.$rs['link'].'" target="_blank">'.MyIConv($rs['title']).'</a></b></p>
<br />';
		else
			echo '
<p class="forum"><b>'.MyIConv($rs['title']).'</b></p>
<p style="text-align:center;margin:auto;">'.$rs['link'].'</p><br />';
	}
    if (isset($rs['description'])) {
		echo '
<p><b>'.html_entity_decode(MyIConv($rs['description']), ENT_QUOTES, $charset).'</b></p>
<hr style="width:60%" />';
	}
	
    $i=0;
    foreach($rs['items'] as $item) {
        $i++;
        if ($item['title'] == '' && $item['link'] == '') {
            $txt = '';
        }
        elseif ($item['title'] == '') {
            $txt = '<a href="'.$item['link'].'" target="_blank">'.$item['link'].'</a><br /><br />';
        }
        elseif ($item['link'] == '') {
            $txt = '<u>'.MyIConv($item['title']).'</u><br /><br />';
        }
        else {
            $txt = '<a href="'.$item['link'].'" target="_blank" title="'.$web[297].'">'.MyIConv($item['title']).'&nbsp; <img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a><br /><br />';
        }
        $desc = html_entity_decode(MyIConv($item['description']), ENT_QUOTES, $charset);
        $txt1 = '<b>'.$txt.'</b>'.$desc;
        if (strlen($desc) >= $longword) {
            echo '
<div id="texte2'.$i.'" class="rep" style="margin:2px auto; padding:10px 5px 5px 5px;max-width:'.$max_width.';">
  <div class="rep" style="height:'.$max_height.'; overflow:hidden; text-align:justify;">'.$txt1.'</div>
    <p style="text-align:right">
      <a href="javascript:cache(\'texte2'.$i.'\');montre(\'texte1'.$i.'\');" class="box" title="'.$web[296].'">
      '.$web[505].' <img src="'.$reptheme.'/open.png" alt="'.$web[296].'" /></a>
    </p>
</div>
<div id="texte1'.$i.'" class="bord" style="display:none; margin:2px auto; padding: 10px 5px 5px 5px; text-align:justify;max-width:'.$max_width.';">
  '.$txt1.'
  <p style="text-align:right;cursor:pointer;">
    <img src="'.$reptheme.'/close.png" alt="'.$web[57].'" title="'.$web[57].'" onclick="cache(\'texte1'.$i.'\');montre(\'texte2'.$i.'\')" />
  </p>
</div>';
        }
        else{
            echo '
<div class="rep" style="margin:2px auto; padding: 10px 5px 5px 5px; text-align:justify;max-width:'.$max_width.';>'.$txt1.'</div>';
        }

        if (isset($item['pubDate']) && $item['pubDate'] != '') {
            echo '
<div style="color:#999;max-width:'.$max_width.';margin:auto;">('.FormatDate($item['pubDate']).')</div>';
        } else {
            echo '
<div style="color:#999;max-width:'.$max_width.';margin:auto;">(???)</div>';
		}
        echo '
<hr style="max-width:'.$max_width.';" />';
    }
    $modfl = @filemtime(CACHEREP.'rsscache_'.md5($rssurl));
    if ($modfl == false) {
        $txt = $web[261];
    }
    else {
        $txt = $web[263].' <b>'.FormatDateStamp($modfl).'</b>';
    }
    echo '
<p>'.$txt.'</p>';
}
else {
    echo '
<p>'.$web[262].' '.$rssurl.'</p>';
}
btable();
include 'inc/bpage.inc';
?>
