<?php
/*******************************************************************************
 *   Photos
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include_once 'inc/includes.inc';

if ($serviz[9] != 'on') {
    exit($web[143]);
}

if (isset($pg) && !empty($pg)) {
    $dbwork = SelectDbFieldsByField(ReadDBFields(DBPHOTO), 4, $pg);
	$isdoc  = (count($dbwork) != 0);
	if ($isdoc) {
		$isdoc = isAuthorizedPublication($dbwork[0][5]);
        if (!isAccessGranted($dbwork[0][6])) {
			header('HTTP/1.0 403 Forbidden');
        }
    }
    if (!$isdoc) {
        $dbwork = array();
        header('HTTP/1.0 404 Not Found');
        $web[38] = '';
    }
} else {
	$dbwork = array();
    $dbwork2 = ReadDBFields(DBPHOTO);
    $dbwork1 = array_filter($dbwork2, 'IsNotEmptyTitle');
    foreach ($dbwork1 as $db) {
        if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
            $dbwork[] = $db;
        }
    }
    unset($dbwork1, $dbwork2);
}
sort($dbwork);

$topmess = strip_tags(getLabel($nom[$lng == $lang[0] ? 2 : 12]));
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/photo.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}

$tconfig = import('tconfig', '', true, 0);
include 'inc/hpage.inc';
htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && $members[7] == 'on') {
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
} else {
 	if (empty($id)) {
        $id = 1;
    }
 	if (!empty($dbwork)) {
        $typeRubrique = TYP_PHOTO;
        $imgOpen      = 'plus.png';
        $imgClose     = 'minus.png';
        $subImgOpen   = 'puce1.png';
        $subImgClose  = 'puce2.png';
        $mawmenu      = (count($dbwork)-($serviz[87]*($id-1))>$serviz[87])? $serviz[87] : count($dbwork)-($serviz[87]*($id-1)) ;
        echo BeginJavascript().'
var maxsub = '.$mawmenu.';'.EndJavascript();
        $rubr  = '';
        $l     = 0;
		$isNew = false;
        for ($i = $serviz[87]*($id-1); $i < Min($serviz[87]*$id, count($dbwork)); $i++) {
            ReadDoc($dbwork[$i][4]);
			$img = getNewUpdateDoc($creadate, $moddate, $serviz[142]);
			if ($img != '') $isNew = true;
            if ($lng == $lang[0]) {
                $txt1 = $img.$fieldb1;
                $txt2 = $fieldc1;
                $txt3 = $fielda1;
            } else {
                $txt1 = $img.$fieldb2;
                $txt2 = $fieldc2;
                $txt3 = $fielda2;
            }
            $accessDenied = !isAccessGranted($fieldmod) || !isAuthorizedPublication($creadate);
            if ($accessDenied){
                $txt2 = '
<p style="text-align:center;"><br><br>'.$web[445].'<br /><br /></p>';
            }
            $dirgal = 'gal_'.$fileid;
			$dirmin = $dirgal.'/vgnt';
            if ($rubr != $txt3) {
                $rubr = $txt3;
                if ($l > 0) {
                    echo '
</div>';
                }
                if (trim($rubr) != "") {
                    $l++;
                    echo '
<div id="titreRubr'.$typeRubrique.$i.'" class="rubr" style="cursor:pointer;" onclick="MontreCacheItems(\'imgOpen'.$typeRubrique.$i.'\',\'imgClose'.$typeRubrique.$i.'\',\'itemsRubr'.$typeRubrique.$i.'\',\'itemsRubrSelect\');">
  <img id="imgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" style="display:none;" />
  <img id="imgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgClose.'" alt="'.$web[57].'" title="'.$web[57].'" style="display:inline;" />
  &nbsp;'.$rubr.'
</div>';
                    if (count($dbwork) == 1) {
                        echo '
<div id="itemsRubrSelect" style="display:block;">';
                    } else {
                        echo '
<div id="itemsRubr'.$typeRubrique.$i.'" style="display:block;">';
                    }
                }
            }
            $n = (count($dbwork) > $serviz[87])? $i-$serviz[87]*$id+$serviz[87] : $i ;
            if (!$accessDenied) {
                $dbphoto = ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT);
                $tmpi    = 0;
                for ($ii = 0; $ii < count($dbphoto); $ii++) {
                    if ($dbphoto[$ii][1] == 'a') {
                        $tmpi++;
                    }
                }
                unset($dbphoto);
				echo '
		<div id="titreSubRubr'.$typeRubrique.$i.'" class="rubr" style="cursor:pointer;" onclick="MontreCacheItems(\'subImgOpen'.$typeRubrique.$i.'\',\'subImgClose'.$typeRubrique.$i.'\',\'itemSubRubr'.$typeRubrique.$i.'\',\'itemSubRubrSelect\');">'."\n".'
			<div style="float:left;text-align:right;margin-left:20px !important; margin-left:12px; height:15px;">
				<img id="subImgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" style="display:none;margin-top:3px;" /> 
				<img id="subImgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgClose.'" alt="'.$web[57].'" title="'.$web[57].'" style="display:inline;margin-top:5px;border:none" /> 
			</div>'."\n".'
			<div style="text-align:justify;padding-left:35px;"><a id="subRubr'.$typeRubrique.$i.'">'.$txt1.'</a><span style="float:right;font-weight:normal;">('.$tmpi.' photos)</span></div>'."\n".'
  	</div>'."\n";
				echo '<div style="clear:both;"></div>';
            	if (count($dbwork) == 1) {
                    echo '
  <div class="bord2" id="itemSubRubrSelect" style="display:block;">';
            	} else {
            	   echo '
  <div class="bord2" id="itemSubRubr'.$typeRubrique.$i.'" style="display:block;">';
            	}
            	echo '
  <div class="rep" style="margin:5px">'.$txt2.'<hr />';
                if ($tmpi > 0) {				
                    $photourl = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[9].'-2-'.$fileid.'-'.$tconfig: 'photorama2.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;tconfig='.$tconfig);
                    echo '
  <div style="margin:auto; text-align:center;">
	<form name="photos'.$fileid.'" action="'.$photourl.'" method="post">
	  '.SubmitButton($web[528]).'
	</form>
  </div>';
                }
                if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31] == $userprefs[1]) || ($serviz[32] == 'on' && $drtuser[18] == 'on')) {
                    echo '
  <div style="text-align:right;cursor:pointer;">
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=photo&amp;form=2&amp;id='.$dbwork[$i][4].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=photo&amp;act=i&amp;id='.$dbwork[$i][4].'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=photo&amp;del='.$dbwork[$i][4].'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a>
  </div>';
                }
                echo '
  </div>';
                echo '
</div>';
            }
        }
        if ($l > 0) {
            echo '
</div>';
        }
        if ('on' != $serviz[81] && !$isNew) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemsRubr"+ typeRubr + i) != null) || (document.all && document.all["itemsRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemsRubr"+ typeRubr + i] != undefined) ) {
		cache("itemsRubr"+ typeRubr + i);
		montre("imgOpen"+ typeRubr + i,"inline");
		cache("imgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
        if ('on' != $serviz[81]) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemSubRubr"+ typeRubr + i) != null) || (document.all && document.all["itemSubRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemSubRubr"+ typeRubr + i] != undefined) ) {
		cache("itemSubRubr"+ typeRubr + i);
		montre("subImgOpen"+ typeRubr + i,"inline");
		cache("subImgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
 	} elseif (!empty($pg)) {
        echo '
<p>'.$web[36].'</p>';
    }
    echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[9].'-5-'.$tconfig.'-': 'photorama.php?lng='.$lng.'&amp;tconfig='.$tconfig.'&amp;id='), count($dbwork), $id, $serviz[87]);
}
btable();
include_once 'inc/bpage.inc';
?>
