<?php
/*******************************************************************************
 *   Photos
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include_once 'inc/includes.inc';

if ($serviz[9] != 'on') {
    exit($web[143]);
}

$pg = import('pg');
if (!empty($pg)) {
    $dbwork = SelectDbFieldsByField(ReadDBFields(DBPHOTO), 4, $pg);
	$isdoc  = (count($dbwork) != 0);
	if ($isdoc) {
		$isdoc = isAuthorizedPublication($dbwork[0][5]);
        if (!isAccessGranted($dbwork[0][6])) {
			header('HTTP/1.0 403 Forbidden');
        }
    }
    if (!$isdoc) {
        $dbwork = array();
        header('HTTP/1.0 404 Not Found');
        $web[38] = '';
    }
}
sort($dbwork);
if (!empty($dbwork)) {
    ReadDoc($dbwork[0][4]);
    if ($lng == $lang[0]) {
        $txt1 = $fieldb1;
        $txt2 = $fieldc1;
        $txt3 = $fielda1;
    } else {
        $txt1 = $fieldb2;
        $txt2 = $fieldc2;
        $txt3 = $fielda2;
    }
    $accessDenied = !isAccessGranted($fieldmod) || !isAuthorizedPublication($creadate);
    if ($accessDenied) {
        $txt2 = '
<p style="text-align:center;"><br><br>'.$web[445].'<br /><br /></p>';
    }
    $dirgal = 'gal_'.$fileid;
    $dirmin = $dirgal.'/vgnt';
    $dbphoto = ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT);
    $tmpi    = 0;
    $tmp[0]  = array();
    $tmp[1]  = array();
    $tmp[2]  = array();
    $tmp[3]  = array();
    $tmp[4]  = array();
    $tmp[5]  = array();
    $tmp[6]  = array();
    for ($ii = 0; $ii < count($dbphoto); $ii++) {
        if ($dbphoto[$ii][1] == 'a') {
            $tmp[0][$tmpi] = $dbphoto[$ii][0];
            $tmp[1][$tmpi] = $dbphoto[$ii][1];
            $tmp[2][$tmpi] = $dbphoto[$ii][2];
            $tmp[3][$tmpi] = $dbphoto[$ii][3];
            $tmp[4][$tmpi] = $dbphoto[$ii][4];
            $tmp[5][$tmpi] = $dbphoto[$ii][5];
            $tmp[6][$tmpi] = $dbphoto[$ii][6];
            $tmpi++;
        }
    }
    unset($dbphoto);
    $cr = array_multisort($tmp[2], SORT_ASC, $tmp[0], $tmp[1], $tmp[3], $tmp[4], $tmp[5], $tmp[6]);
}
switch ($serviz[86]) {
case 'lightbox' :
    if (is_dir(CHEMIN.'inc/photo/lightbox')) {
		$headinc .= '
<link href="'.CHEMIN.'inc/photo/lightbox/css/lightbox.css" rel="stylesheet" />'.
JavascriptFile(CHEMIN.'inc/photo/lightbox/js/lightbox-2.6.min.js').
JavascriptFile(CHEMIN.'inc/photo/lightbox/js/modernizr.custom.js');
        function OpenBoxPhoto ($img, $txt, $diapo) {
			return '
	<a href="'.$img.'" title="'.$txt.'" rel="lightbox[plants]">';
        }
    }
    break;
case 'lytebox' :
    if (is_dir(CHEMIN.'inc/photo/lytebox')) {
        $headinc .= '
<link rel="stylesheet" href="'.CHEMIN.'inc/photo/lytebox/lytebox.css" type="text/css" media="screen" />'.
JavascriptFile(CHEMIN.'inc/photo/lytebox/lytebox.js');
        function OpenBoxPhoto ($img, $txt, $diapo) {
			global $serviz;
            return '
	<a href="'.$img.'" class="lytebox" data-lyte-options="slide:true group:vacation slideInterval:'.($serviz[111]*1000).'" data-title="'.$txt.'" rel="lyteshow['.$diapo.']">';
        }
    }
    break;
}

$topmess = strip_tags(getLabel($nom[$lng == $lang[0] ? 2 : 12])).' - '.$txt3.' : '.$txt1;
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/photo.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
$tconfig = import('tconfig', '', true, 0);
include_once 'inc/hpage.inc';
htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && $members[7] == 'on') {
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
} else {
 	if (!empty($dbwork)) {
        echo '
  <div class="rep" style="margin:5px"><strong>'.$txt3.'</strong> : '.$txt1.'<span style="float:right;">('.$tmpi.' photos)</span><hr />'.$txt2.'<hr />';
        if ($tmpi > 0) {
			$pos = $serviz[148] == 'L' ? 'left' : ($serviz[148] == 'C' ? 'center' : 'right');
            echo '
      <div style="width:100%; margin:auto; padding-left:4px; text-align:'.$pos.';">';
            $nbmin = min($serviz[83], $tmpi);
			$nbpl  = min($serviz[146], $nbmin);
			$nb    = 0;
            for ($ii = 0; $ii < $nbmin; $ii++) {
                $filemin = PHOTOREP.$dirmin.'/'.$tmp[2][$ii];
                $fileimg = PHOTOREP.$dirgal.'/'.$tmp[2][$ii];
                $comment = $lng == $lang[0] ? $tmp[5][$ii] : $tmp[6][$ii];
                echo OpenBoxPhoto($fileimg, $comment, 'diapo'.$fileid).'
      <img src="'.$filemin.'" style="width:'.$tmp[3][$ii].'px;height:'.$tmp[4][$ii].'px;padding:0 '.($serviz[147]/2).'px '.$serviz[147].'px '.($serviz[147]/2).'px;vertical-align:bottom;" alt="" title="" /></a>';
				$nb++;
				if ($nb == $nbpl) {
					echo '<br />';
					$nb = 0;
				}
            }
            if ($nbmin < $tmpi)
                echo '
      <strong>...</strong>';
            for ($ii = $nbmin; $ii < $tmpi; $ii++) {
                $filemin = PHOTOREP.$dirmin.'/'.$tmp[2][$ii];
                $fileimg = PHOTOREP.$dirgal.'/'.$tmp[2][$ii];
                $comment = $lng == $lang[0] ? $tmp[5][$ii] : $tmp[6][$ii];
                echo '
      <span style="display:none;">'.OpenBoxPhoto($fileimg, $comment, 'diapo'.$fileid).'
      <img src="'.$filemin.'"  style="width:'.$tmp[3][$ii].'px;height:'.$tmp[4][$ii].'px;vertical-align:bottom;" alt="" title="" /></a></span>';
            }
            echo '
  </div><div style="clear:both;"></div>';
        }
        unset($tmp[0],$tmp[1],$tmp[2],$tmp[3],$tmp[4],$tmp[5],$tmp[6]);
        $photourl = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[9].'-'.$tconfig: 'photorama.php?lng='.$lng.'&amp;tconfig='.$tconfig);
        echo '
  <hr />
  <div style="margin:auto; text-align:center;">
    <form name="photos'.$fileid.'" action="'.$photourl.'" method="post">
	  '.SubmitButton($web[135]).'
	</form>
  </div>';
        if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31] == $userprefs[1]) || ($serviz[32] == 'on' && $drtuser[18] == 'on')) {
            echo '
  <div style="text-align:right;cursor:pointer;">
    <a href="admin/admin.php?lng='.$lng.'&amp;pg=photorama&amp;act=3&amp;selgal='.$txt1.'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
  </div>';
        }
        echo '
  </div>';
 	} elseif (!empty($pg)) {
        echo '
<p>'.$web[36].'</p>';
    }
}
btable();

include_once 'inc/bpage.inc';
?>
