<?php
/*******************************************************************************
 *   Forum Thread Archive
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';
include 'inc/funcarch.php';
include_once CHEMIN.'inc/func_groups.php';

define('PATH_PGEDITOR', 'inc/pgeditor/');
define('PATH_CONFIG_PGEDITOR','inc/config_pgeditor_guppy/');
include CHEMIN.PATH_PGEDITOR.'pgeditor.php';   
include CHEMIN.PATH_PGEDITOR.'syntaxcolor/syntaxcolor.php';


if ($serviz[13] != 'on') {
    exit($web[143]);
}

$pg   = import('pg');
$thrd = import('thrd');
$cat  = import('cat');
$id   = import('id');
$fid  = import('fid');

$thread = 0;
if (!empty($pg)) {
    $dbwork = SelectDBForumByID(ReadDBFields(DBFORUMARCH),$pg);
    if (count($dbwork) != 0) {
        $thread = $dbwork[0][1];
        $cat    = $dbwork[0][12];
    }
}
elseif (!empty($thrd)) {
    $dbwork = ReadDBFields(DBTHREADARCH);
    foreach ($dbwork as $dbw) {
        if ($dbw[1] == $thrd && $dbw[2] == '0') {
            $thread = $thrd;
            $pg     = $dbw[3];
            $cat    = $dbw[8];
        }
    }
}

if ('on' == $serviz[18] && !isForumAccessGranted($cat)) {
	header('HTTP/1.0 403 Forbidden');
}

if ($serviz[34] == 'on') {
    $threadcounter = UpdateDocCounterArch($pg);
}

$dbthrd = SelectDBThreadByThread(ReadDBFields(DBTHREADARCH),$thread);
@sort($dbthrd);

include 'inc/hpage.inc';
$i = $lng == $lang[0] ? 0 : 1;
ReadDoc($pg, ARCHDBBASE);

if ((CheckGroup($cat, $userprefs[1]) != 1) && (!is_numeric($cat) && $CatForumOn))  { 
	header("location:".($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php'));
	die();
}
if (preg_match('/^pr/i', $fieldb2) && (CheckGroup($fieldb2, $userprefs[1]) != 1)) {
	header("location:".($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php'));
	die();
}

if ($serviz[18] != 'on') {
    $topmess = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-34-'.$fid: 'forumarch.php?lng='.$lng.GetOptionnalArg('id', $fid)).'">'.$web[226].'</a> - '.$web[63].$fielda1;
}
else {
    if (!empty($cat)) {
        $catxt = getForumCatName($cat);
        $topmess = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-6': 'fortopicarch.php?lng='.$lng).'">'.$web[226].'</a> - <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-35-'.$cat.$fid: 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $fid)).'">'.$catxt.'</a> - '.$web[63].$fielda1;
    }
    else {
        $topmess = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-6': 'fortopicarch.php?lng='.$lng).'">'.$web[226].'</a> - '.$web[63].$fielda1;
    }
}
if ($page[9] != '') {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
htable($topmess, '100%');
echo '
<table style="width:100%;">
  <tr>
    <td class="forum" style="width:15%">'.$web[63].$fielda1.'</td>
    <td class="forum2" height="42" style="width:85%">
      <b>'.$fieldb1.'</b>
      <br />
      &nbsp;&nbsp;&nbsp;'.$web[6].' ';
if ($fieldd1 != 'on') {
    echo displayWriteEmail('threadarch1', $author, $email);
}
else {
    echo '
      <b>'.$author.'</b>';
}
$fieldc1 = colorCode($fieldc1); 
echo '
      '.$web[7].' '.FormatDate($creadate).'
    </td>
  </tr>
  <tr>
    <td class="quest" colspan="2">'.$fieldc1.'</td>
  </tr>
</table>
<hr />';
if (empty($id)) {
    $id = 1;
}
if (!empty($dbthrd)) {
    if (3 == abs($prt)) {
        $id = 1;
        $serviz[20] = 99999;
    }
    for ($i = $serviz[20]*($id-1); $i < Min($serviz[20]*$id, count($dbthrd)); $i++) {
        ReadDoc($dbthrd[$i][3], ARCHDBBASE);
        echo '
<table style="width:100%;">
  <tr>
    <td class="quest" style="text-align:center;width:15%">'.$web[68].$fielda2.'</td>
    <td class="quest" style="width:85%">'.$web[6].' ';
        if ($fieldd1 != "on") {
            echo displayWriteEmail('threadarch2'.$i, $author, $email);
        }
        else {
            echo '<b>'.$author.'</b>';
        }
        $fieldc1 = colorCode($fieldc1);
        echo '
      '.$web[7].' '.FormatDate($creadate).'
    </td>
  </tr>
  <tr>
    <td class="rep" colspan="2">'.$fieldc1.'</td>
  </tr>
</table>';
    }
}
if (count($dbthrd)>$serviz[20]) {
    echo '
<hr />'.GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-52-'.$pg.'-'.$cat.'-': 'threadarch.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbthrd), $id, $serviz[20]);
}
echo '
<p style="text-align:center;">
  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-35-'.$cat.$fid: 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $fid)).'">'.$web[70].'</a>
</p>';

btable();
include 'inc/bpage.inc';
?>
