<?php
/*******************************************************************************
 *   Confirm User preferencies
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[28] != 'on') {
    exit($web[143]);
}

$crypt   = isset($_POST['crypt']) ? strip_tags($_POST['crypt']) : NULL;
$cryptok = (!$crypt) ? false : chk_crypt($crypt);

$topmess = getLabel($nom[($lng == $lang[0] ? 34 : 35)]);
$topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;

$setusercookie  = import('setusercookie');
$ctrl_spam      = import('code_pseudo', 'POST');
$unreg          = import('unreg');
$ulang          = import('ulang');
$upseudo        = KeepGoodChars(RemoveConnector(RemoveQuote(stripslashes(CutLongWord(import('upseudo'),20)))));
$uemail         = CutLongWord(import('uemail'));
$uboxes         = import('uboxes');
$ushow          = import('ushow');
$usign          = WrapLongWords(stripslashes(import('usign')));
$uuid           = import('uuid');
$uuid2          = import('uuid2');
$udesign        = import('udesign');
$ueditor        = import('ueditor');
$avatar         = import('avatar');
$avatar         = IsImage(substr($avatar, -3)) ? $avatar : 'unknown';
$usave          = import('usave') == 'on' ? 1 : 0;
$uwebsite       = import('uwebsite');
$uimgsign       = import('uimgsign');
$uextavatar     = import('uextavatar');
$suite          = import('suite');
$modif          = import('modif');
$uuser          = import('uuser');

$uwebsite   = empty($uwebsite) ? 'http://' : $uwebsite;
$uimgsign   = empty($uimgsign) ? 'http://' : $uimgsign;
$uextavatar = empty($uextavatar)  ? 'http://' : $uextavatar;

$err_pseudo = empty($upseudo) && $setusercookie == 1 ? true: false;
$err_uid    = empty($uuid) && $modif != '1' && $setusercookie == 1 ? true: false;
$err_uid2   = $uuid != $uuid2 && $setusercookie == 1 ? true: false;
$err_uemail = empty($uemail) && $setusercookie == 1 ? true: false;
$err_uweb   = 'http://' != $uwebsite && 1 != preg_match('!^https?://([-a-z0-9.]+)+(/[-a-z0-9.]*)*(\?[-a-z0-9=&/]+)?$!', $uwebsite) && $setusercookie == 1 ? true : false;
$err_uimg   = 'http://' != $uimgsign && 1 != preg_match('!^https?://([-a-z0-9.]+)+(/[-a-z0-9.]*)*(\?[-a-z0-9=&/]+)?$!', $uimgsign) && $setusercookie == 1 ? true : false;
$err_uext   = 'http://' != $uextavatar && 1 != preg_match('!^https?://([-a-z0-9.]+)+(/[-a-z0-9.]*)*(\?[-a-z0-9=&/]+)?$!', $uextavatar) && $setusercookie == 1 ? true : false;
$err_uimg   = $err_uimg && !IsImage(substr($uimgsign, -3));
$err_uext   = $err_uext && !IsImage(substr($uextavatar, -3));
$err_crypt  = $serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '') && !$cryptok && $setusercookie == 1 ? true: false;

$erreur  = '';
$erreur .= $err_pseudo ? '<li>'.$web[266].'</li>': '';
$erreur .= $err_uid ? '<li>'.$web[302].'</li>': '';
$erreur .= $err_uid2 ? '<li>'.$web[466].'</li>': '';
$erreur .= $err_uemail ? '<li>'.$web[42].'</li>': '';
$erreur .= $err_uweb ? '<li>'.$web[545].$web[51].$web[554].'</li>': '';
$erreur .= $err_uimg ? '<li>'.$web[545].$web[623].$web[554].'</li>': '';
$erreur .= $err_uext ? '<li>'.$web[545].$web[627].$web[554].'</li>': '';
$erreur .= $err_crypt ? '<li>'.$web[529].'</li>': '';

$uwebsite   = $err_uweb ? 'http://' : $uwebsite;
$uimgsign   = $err_uimg ? 'http://' : $uimgsign;
$uextavatar = $err_uext ? 'http://' : $uextavatar;

function MajPassCollaborator($redac, $pass) {
	$filedroits = CHEMIN.'admin/'.REDACREP.$redac.INCEXT;
	if (!is_file($filedroits)) {
		return false;
	}
	include $filedroits;
	$drtuser[38] = md5($pass);
    $mettre      = "<?php
if (stristr(\$_SERVER['SCRIPT_NAME'], '".$redac.".inc')) {
    header('location:../index.php');
    die();
}

\$drtuser[0]  = \"".$drtuser[0]."\";  // Accès à config générale
\$drtuser[1]  = \"".$drtuser[1]."\";  // Accès à config site
\$drtuser[2]  = \"".$drtuser[2]."\";  // Accès à config accueil
\$drtuser[3]  = \"".$drtuser[3]."\";  // Accès à config section
\$drtuser[4]  = \"".$drtuser[4]."\";  // Accès à Config services
\$drtuser[5]  = \"".$drtuser[5]."\";  // Accès à Config boites
\$drtuser[6]  = \"".$drtuser[6]."\";  // Accès à Maintenance
\$drtuser[7]  = \"".$drtuser[7]."\";  // Accès à Archivage Forum
\$drtuser[8]  = \"".$drtuser[8]."\";  // Accès à Contrôle d'intégrité DB
\$drtuser[9]  = \"".$drtuser[9]."\";  // Accès à Mot de passe Collaborateur
\$drtuser[10] = \"".$drtuser[10]."\"; // Accès à Config zone membres
\$drtuser[11] = \"".$drtuser[11]."\"; // Accès à Travaux
\$drtuser[12] = \"".$drtuser[12]."\"; // Accès à Droits
\$drtuser[13] = \"".$drtuser[13]."\"; // Accès à Contact avancé
\$drtuser[14] = \"".$drtuser[14]."\"; // Accès à Nouvelles
\$drtuser[15] = \"".$drtuser[15]."\"; // Accès à Articles
\$drtuser[16] = \"".$drtuser[16]."\"; // Accès à Réactions Articles
\$drtuser[17] = \"".$drtuser[17]."\"; // Accès à Boîtes menus
\$drtuser[18] = \"".$drtuser[18]."\"; // Accès à Photos
\$drtuser[19] = \"".$drtuser[19]."\"; // Accès à Téléchargements
\$drtuser[20] = \"".$drtuser[20]."\"; // Accès à Liens
\$drtuser[21] = \"".$drtuser[21]."\"; // Accès à FAQ
\$drtuser[22] = \"".$drtuser[22]."\"; // Accès à Livre d'or
\$drtuser[23] = \"".$drtuser[23]."\"; // Accès à Forum
\$drtuser[24] = \"".$drtuser[24]."\"; // Accès à Config Forum
\$drtuser[25] = \"".$drtuser[25]."\"; // Accès à Sondage
\$drtuser[26] = \"".$drtuser[26]."\"; // Accès à Boites libres
\$drtuser[27] = \"".$drtuser[27]."\"; // Accès à Bannières
\$drtuser[28] = \"".$drtuser[28]."\"; // Accès à Citations
\$drtuser[29] = \"".$drtuser[29]."\"; // Accès à Menu icônes
\$drtuser[30] = \"".$drtuser[30]."\"; // Statut à afficher
\$drtuser[31] = \"".$drtuser[31]."\"; // Accès à Compteur
\$drtuser[32] = \"".$drtuser[32]."\"; // Accès à Statistiques
\$drtuser[33] = \"".$drtuser[33]."\"; // Accès à Newsletter
\$drtuser[34] = \"".$drtuser[34]."\"; // Accès à Nouvelles RSS
\$drtuser[35] = \"".$drtuser[35]."\"; // Accès à Logs
\$drtuser[36] = \"".$drtuser[36]."\"; // Accès à Fichiers
\$drtuser[37] = \"".$drtuser[37]."\"; // Accès à Agenda
\$drtuser[38] = \"".$drtuser[38]."\"; // Password
\$drtuser[39] = \"".$drtuser[39]."\"; // Accès à Blogs
\$drtuser[40] = \"".$drtuser[40]."\"; // Accès à Réactions Blogs
\$drtuser[41] = \"".$drtuser[41]."\"; // Accès à Blog RSS
\$drtuser[42] = \"".$drtuser[42]."\"; // Fonction
\$drtuser[43] = \"".$drtuser[43]."\"; // Accès à Config Style
\$drtuser[44] = \"".$drtuser[44]."\"; // Accès à Import
\$drtuser[45] = \"".$drtuser[45]."\"; // Accès à Sécurité
\$drtuser[46] = \"".$drtuser[46]."\"; // Accès à Mise à jour / Extension
\$drtuser[47] = \"".$drtuser[47]."\"; // Accès à Sauvegarde du site
\$drtuser[48] = \"".$drtuser[48]."\"; // Accès à Version de GuppY
\$drtuser[49] = \"".$drtuser[49]."\"; // Accès à Config Recherche
\$drtuser[50] = \"".$drtuser[50]."\"; // Accès à Réseaux sociaux
\$drtusersv[0] = \"".$drtusersv[0]."\"; // e-mail publication article
\$drtusersv[1] = \"".$drtusersv[1]."\"; // e-mail publication réaction article
\$drtusersv[2] = \"".$drtusersv[2]."\"; // e-mail publication nouvelle
\$drtusersv[3] = \"".$drtusersv[3]."\"; // e-mail publication blog
\$drtusersv[4] = \"".$drtusersv[4]."\"; // e-mail publication commentaire blog
\$drtusersv[5] = \"".$drtusersv[5]."\"; // e-mail publication livre d\'or
\$drtusersv[6] = \"".$drtusersv[6]."\"; // e-mail publication forum";
	foreach($drtuserplg as $plg => $value) {
        $mettre .= "
\$drtuserplg['$plg'] = \"".$value."\"; // Accès plugin $plg";
    }
	$mettre .='
?>';
    WriteFullDB($filedroits, $mettre);
	return true;
}

$usermess = '';
if (($members[19] == '0' && !isset($_COOKIE[USER_COOKIE])) || ($members[19] == '3' && $userprefs[1] != $serviz[31])) {
	echo BeginJavascript().'
alert("'.addslashes($web[512]).'");
history.back();
'.EndJavascript();
	include 'inc/hpage.inc';
	htable($topmess, '100%');
	echo '<br /><p style="text-align:center;"><strong>'.$web[512].'</strong></p>';
	btable();
	include 'inc/bpage.inc';
    exit('<p style="text-align:center;"><br><strong>'.$web[512].'</strong></p>');
}

// contrôle en attente déjà inscrit
if (is_file(TEMPREP.$upseudo.DBEXT)) {
    $dbmsg = ReadDBFields(TEMPREP.$upseudo.DBEXT);
    switch($suite) {
		case '' : // inscription en attente
            include('inc/hpage.inc');
            htable($topmess, '100%');
            echo '
<br />
<p style="text-align:center;"><strong>'.$web[577].'</strong></p>';
            btable();
            include 'inc/bpage.inc';
            break;
        case 'ok' : // confirmation mail
            if ($uuid == $dbmsg[0][0]){
                WriteDBFields(MSGREP.$upseudo.DBEXT, $dbmsg);
                DestroyDBFile(TEMPREP.$upseudo.DBEXT);
                unset($dbmsg);
				echo BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'"'.EndJavascript();
            } else {
                die('STOP : bad password');
            }
			exit();
            break;
        case 'go' : // confirmation webmaster
            include 'inc/hpage.inc';
            htable($topmess, '100%');
            WriteDBFields(MSGREP.$upseudo.DBEXT, $dbmsg);
            DestroyDBFile(TEMPREP.$upseudo.DBEXT);
			echo sprintf($web[558], $upseudo);
            $uemail = $dbmsg[1][3];
            $to     = $uemail;
            $sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[515];
            $body   = $web[245].sprintf($web[516], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
            $body  .= $web[49].' '.$upseudo.'<br />'.$web[300].' : '.$dbmsg[0][0].'<br />'.$web[517];
            $body  .= '<a href="'.$site[3].'index.php?lng='.$lng.'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
            $body  .= $web[235].'<br />'.$user[0].'<br />';
            eMailHtmlTo($sujet,$body,$to);
            btable();
            include 'inc/bpage.inc';
            break;
        case 'no' : // refus
            include 'inc/hpage.inc';
            htable($topmess, '100%');
            DestroyDBFile(TEMPREP.$upseudo.DBEXT);
            $uemail = $dbmsg[1][3];
            $to     = $uemail;
            $sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[518];
            $body   = $web[240].sprintf($web[519], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
            $body  .= $web[235].'<br />'.$user[0].'<br />';
            eMailHtmlTo($sujet,$body,$to);
            btable();
            include 'inc/bpage.inc';
            break;
        default: /// attente de confirmation
            include 'inc/hpage.inc';
            htable($topmess, '100%');
            switch($members[19]) {
            case 1 :
                echo '
<br />
<p style="text-align:center;"><strong>'.$web[513].'</strong></p>';
                break;
            case 2 :
                echo '
<br />
<p style="text-align:center;"><strong>'.$web[514].'</strong></p>';
                break;
            }
            btable();
            include 'inc/bpage.inc';
            exit();
    }
}

if ($suite != '') {
    switch($suite) {
        case 'ok' : // confirmation mail
			echo BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3]: 'connect.php?lng='.$lng).'"'.EndJavascript();
			break;
        case 'go' : // confirmation webmaster
        case 'no' : // refus
            include('inc/hpage.inc');
            htable($topmess, '100%');
            echo '
<br />
<p style="text-align:center;"><strong>'.$web[459].'</strong></p>';
            btable();
            include('inc/bpage.inc');
			exit();
			break;
		default :
			echo BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'"'.EndJavascript();
	}
}

// enregistrement nouveau ou modif
if ($setusercookie == 1 && empty($ctrl_spam)) {
	$pseudok = true;
	$msg     = '';
	$dbmail  = array();
	$bad     = array('.', '..', 'index.php');
	$files   = scandir(MSGREP);
	$files   = array_diff($files, $bad);
	foreach ($files as $file) {
		if ($file == $upseudo.DBEXT) {
			if ($uuser == 'new') {
				$pseudok = false;
				$msg     = $web[231];
				break;
			}
		} else {
			$userdb = ReadDBFields(MSGREP.$file);
			if (isset($userdb[1][3])) $dbmail[] = $userdb[1][3];
		}
	}
	if ($pseudok) {
		$files = scandir(TEMPREP);
		foreach ($files as $file) {
			if ($file == $upseudo.DBEXT) {
				if ($uuser == 'new') {
					$pseudok = false;
					$msg     = $web[231];
					break;
				}
			} else {
				$userdb = ReadDBFields(MSGREP.$file);
				if (isset($userdb[1][3])) $dbmail[] = $userdb[1][3];
			}
		}
	}
	if ($pseudok && ($uuser == 'new' || ($modif == 1 && $userprefs[2] != $uemail)) && in_array($uemail, $dbmail)) {
		$pseudok    = false;
		$msg       .= ' - '.$web[557];
		$err_uemail = true;
		$err_uid    = $uuid != $uuid2 ? true: false;
		$err_uid2   = $uuid != $uuid2 ? true: false;
	}
    if ($pseudok) {
		$continue = true;
        if (($serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) && $err_crypt) {
			$msg .= ' - '.$web[529];
            $continue = false;			
        }
		if ($continue && empty($erreur)) {
			if ($uimgsign != 'http://') {
				list($wimg, $himg, $timg, $aimg) = getimagesize($uimgsign);
				if ($wimg == 0 || $himg == 0 || $wimg > 468 || $himg > 60) {
					$msg .= ' - '.$web[624];
					$continue = false;
				} else {
					$frcode  = 'fr_'.$upseudo;
					$frsigns = ReadFrSigns();
					if (isset($frsigns[$frcode])) {
						$frsigns[$frcode]['image'] = $uimgsign;
					} else {
						$frsigns[$frcode]['image']   = $uimgsign;
						$frsigns[$frcode]['status']  = 'a';
						$frsigns[$frcode]['origine'] = 'e';
					}
					WriteFrSigns($frsigns);
				}
			} elseif (empty($uimgsign) || $uimgsign == 'http://') {
				$frcode  = 'fr_'.$upseudo;
				$frsigns = ReadFrSigns();
				if (isset($frsigns[$frcode])) unset($frsigns[$frcode]);
				WriteFrSigns($frsigns);
			}
		}
		if ($continue) {
			if ($uextavatar != 'http://') {
				list($wimg, $himg, $timg, $aimg) = getimagesize($uextavatar);
				if ($wimg == 0 || $himg == 0 || $wimg > 60 || $himg > 60) {
					$msg .= ' - '.$web[628];
					$continue = false;
				}
			}
		}
		if ($continue && empty($erreur)) {
			$userdb       = (is_file(MSGREP.$upseudo.DBEXT)) ? ReadDBFields(MSGREP.$upseudo.DBEXT) : array();
			$lng          = $ulang;
			$usertemp[0]  = $ulang;
			$usertemp[1]  = $upseudo;
			$usertemp[2]  = $uemail;
			$usertemp[3]  = $uboxes;
			$usertemp[4]  = $ulang;
			$usertemp[5]  = $ushow;
			$usertemp[6]  = RemoveConnector(stripslashes($usign));
			$usertemp[6]  = str_replace(chr(10), '<br />', $usertemp[6]);
			$usertemp[7]  = ($modif == '1' && empty($uuid)) ? $userdb[0][0] : md5(empty($uuid) ? GenerateUID() : $uuid);
			$usertemp[8]  = trim($avatar);
			$usertemp[9]  = $uwebsite == 'http://' ? '' : $uwebsite;
			$usertemp[10] = $udesign;
			$usertemp[11] = $ueditor;
			$usertemp[12] = 'on';
			$usertemp[13] = (is_file(MSGREP.$upseudo.DBEXT)) ? $userprefs[13] : GetCurrentDateTime();
			$usertemp[14] = (is_file(MSGREP.$upseudo.DBEXT)) ? $userprefs[14] : GetCurrentDateTime();
			$usertemp[15] = $uextavatar == 'http://' || $avatar != 'unknown' ? '' : $uextavatar;
			$usertemp[16] = (is_file(MSGREP.$upseudo.DBEXT)) ? $userprefs[15] : GetCurrentDateTime();
			$userdb[0][0] = $usertemp[7];
			$userdb[1][0] = '0';
			if ($uuser == 'new') {
				$userdb[1][1] = $usertemp[0].CONNECTOR.$usertemp[1].CONNECTOR.$usertemp[2].CONNECTOR.$usertemp[3].CONNECTOR.$usertemp[4].CONNECTOR.$usertemp[5].CONNECTOR.
				  $usertemp[6].CONNECTOR.$usertemp[7].CONNECTOR.$usertemp[8].CONNECTOR.$usertemp[9].CONNECTOR.$usertemp[10].CONNECTOR.$usertemp[11].CONNECTOR.$usertemp[12].CONNECTOR.
				  $usertemp[13].CONNECTOR.$usertemp[14].CONNECTOR.$usertemp[15].CONNECTOR.$usertemp[16];
				if ($serviz[31] != '') {
					$userdb[2][0] = $serviz[31].CONNECTOR.GetCurrentDateTime().CONNECTOR.'&nbsp; '.
					$web[253].' '.sprintf($web[167], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), $usertemp[1]).CONNECTOR.'new'.CONNECTOR.
						CONNECTOR.CONNECTOR.CONNECTOR.$serviz[43].CONNECTOR.substr($page[23], 4);
				}
			} else {
				$userdb[1][1]  = $usertemp[0];
				$userdb[1][3]  = $usertemp[2];
				$userdb[1][4]  = $usertemp[3];
				$userdb[1][5]  = $usertemp[4];
				$userdb[1][6]  = $usertemp[5];
				$userdb[1][7]  = $usertemp[6];
				$userdb[1][8]  = $usertemp[7];
				$userdb[1][9]  = $usertemp[8];
				$userdb[1][10] = $usertemp[9];
				$userdb[1][11] = $usertemp[10];
				$userdb[1][12] = $usertemp[11];
				$userdb[1][14] = $usertemp[13];
				$userdb[1][15] = $usertemp[14];
				$userdb[1][16] = $usertemp[15];
				$userdb[1][17] = $usertemp[16];
			}
			if (1 == $usave) {
				$userdb[1] = array_merge(array(0 => 1), $usertemp);
			}
			if (($members[19] == '') || $modif == '1') {
				WriteDBFields(MSGREP.$usertemp[1].DBEXT, $userdb);
				$userdata = implode(CONNECTOR, $usertemp);
				setcookie(USER_COOKIE, $userdata, time() + 157680000);
				$usermess = $web[161];
				if (!empty($userprefs[4])) {
					include CHEMIN.'inc/lang/'.$userprefs[4].'-web'.INCEXT;
				} else {
					include CHEMIN.'inc/lang/'.$lng.'-web'.INCEXT;
				}
				if ($uuser == 'new' && $supervision[11] == 'on') {
					$sujet = $web[608];
					$body  = $web[253].' '.$user[0].'<br /><br />'.sprintf($web[609], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
					$body .= $web[455].$_SERVER['REMOTE_ADDR'].'<br /><br />';
					$to    = $user[1];
					eMailHtmlTo($sujet, $body, $to);
				}
				if ($uuser == 'old' && !empty($uuid)) {
					MajPassCollaborator($upseudo, $uuid);
				}
				include 'inc/hpage.inc';
				htable($topmess, '100%');
				echo '
<br />
<p style="text-align:center;"><b>'.$usermess.'</b></p>';
				btable();
				include 'inc/bpage.inc';
				echo '
<br />'.BeginJavascript().'
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-14': 'compte.php?lng='.$lng).'"\', 3000);
'.EndJavascript();
				header('location:'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-14': 'compte.php?lng='.$lng));
				exit();
			}
			
			WriteDBFields(TEMPREP.$usertemp[1].DBEXT, $userdb);
			if ($members[19] == '1'){ // confirmation par mail
				$adrimg = $skn_logo != '' ? $skn_logo : CHEMIN.'img/'.$page[4];
				while ('../' == substr($adrimg, 0, 3)) $adrimg = substr($adrimg, 3);
				$to    = $uemail;
				$sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[523];
				$body  = '<div style="margin:auto;padding:8px;width:600px;border: solid 1px #000000;border-radius:4px;">';
				$body .= '<p style="text-align:center;"><img src="'.$site[3].$adrimg.'" style="max-width:600px;" /></p><hr />';
				$body .= '<p style="text-align:left;font:12pt Arial;">';
				$body .= $web[245].sprintf($web[524], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
				$body .= $web[49].' <b>'.$upseudo.'</b><br />'.$web[300].' : <b>'.$uuid.'</b><br /><br />';
				$body .= $web[525];
				$body .= '<a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-1-ok-'.$upseudo.'-'.$uuid: $site['USR'].'.php?lng='.$lng.'&suite=ok&upseudo='.$upseudo.'&uuid='.$uuid).'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
				$body .= $web[235].'<br />'.$user[0].'<br />';
				$body .= '</p></div>';
				eMailHtmlTo($sujet, $body, $to);
				$response = '<br /><p style="text-align:center;"><strong>'.$web[513].'</strong></p>';
			}
			elseif ($members[19] == '2'){ // confirmation webmaster
				$sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.ucfirst($web[321]);
				$body  = '<div style="margin:auto;padding:8px;width:600px;border: solid 1px #000000;border-radius:4px;">';
				if ($skn_logo != '') {
					$adrimg = $skn_logo;
					while ('../' == substr($adrimg, 0, 3)) $adrimg = substr($adrimg, 3);
					$body .= '<p style="text-align:center;"><img src="'.$site[3].$adrimg.'" style="max-width:600px;" /></p><hr />';
				}
				$body .= '<p style="text-align:left;font:12pt Arial;">';
				$body .= sprintf($web[520], $upseudo, $uemail, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<hr />';
				$body .= $web[521].' : ';
				$body .= '<a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-2-go-'.$upseudo: $site['USR'].'.php?lng='.$lng.'&suite=go&upseudo='.$upseudo).'">'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-2-go-'.$upseudo: 'user.php?lng='.$lng.'&suite=go&upseudo='.$upseudo).'</a><br />';
				$body .= $web[522].' : ';
				$body .= '<a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-2-no-'.$upseudo: $site['USR'].'.php?lng='.$lng.'&suite=no&upseudo='.$upseudo).'">'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-2-no-'.$upseudo: 'user.php?lng='.$lng.'&suite=no&upseudo='.$upseudo).'</a>';
				eMailHtmlTo($sujet, $body);
				$response = '<br /><p style="text-align:center;"><strong>'.$web[514].'</strong></p>';
			}
			include 'inc/hpage.inc';
			htable($topmess, '100%');
			echo $response;
			btable();
			include 'inc/bpage.inc';
			exit();
        }
    }
	if (!empty($msg)) {
		$erreur .= '<li>'.$msg.'</li>';
        echo BeginJavascript().'
alert("'.addslashes($msg).'");
		'.EndJavascript();
    }
}

// suppression des préférences
if ($unreg == 1) { 
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($dbmsg[0][0] == $userprefs[7]) {
            DestroyDBFile(MSGREP.$userprefs[1].DBEXT);
        }
    }
    if (FileDBExist(COUNTMSGREP.$userprefs[1].DBEXT)) {
        DestroyDBFile(COUNTMSGREP.$userprefs[1].DBEXT);
    }
    if (FileDBExist(CHEMIN.'admin/'.REDACREP.$userprefs[1].INCEXT)) {
        DestroyDBFile(CHEMIN.'admin/'.REDACREP.$userprefs[1].INCEXT);
    }
	if ($supervision[11] == 'on') {
		$sujet = $web[610];
		$body  = $web[253].' '.$user[0].'<br /><br />'.sprintf($web[611], $userprefs[1], stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
		$body .= $web[455].$_SERVER['REMOTE_ADDR'].'<br /><br />';
		$to    = $user[1];
		eMailHtmlTo($sujet, $body, $to);
	}
	$userprefs = array_fill(0, 17, '');
    setcookie(USER_COOKIE, '', time() - 3600);
    $usermess = $web[163];
    include 'inc/hpage.inc';
    htable($topmess, '100%');
    echo '
<br />
<p style="text-align:center;"><b>'.$userprefs[1].' '.$usermess.'...!</b></p>
<br />';
    btable();
    include 'inc/bpage.inc';
	sleep(4);
    echo BeginJavascript().'
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'"\', 3000);
'.EndJavascript();
	header('location:'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng));
    exit();
}

// cas normal inscription ou modif
if (empty($userprefs[7])) {
	$userprefs[7] = GenerateUID();
	$usave        = false;
} else {
	$dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
	$usave = 1 == $dbmsg[1][0];
}

$headinc .= BeginJavascript().'
function VerifyForm() {
	var sto = "";
	var erreur = false;
	var modif = "'.$modif.'";
	var uid = document.userprefnow.uuid.value;
	var uid2 = document.userprefnow.uuid2.value;
	var uweb = document.userprefnow.uwebsite.value;
	var uimg = document.userprefnow.uimgsign.value;
	var uext = document.userprefnow.uextavatar.value;
	regexp = /^[a-zA-Z0-9_]{2,20}$/;
	if (!regexp.test(document.userprefnow.upseudo.value)) {
		sto += "  - '.addslashes($web[266]).'\n";
		document.userprefnow.upseudo.className = "errorInputText";
		erreur = true;
	}
	if (modif == "" || (modif == "1" && uid != "")) {
		regexp = /^[a-zA-Z0-9]{5,20}$/;
		if (!regexp.test(uid) || uid.length < 5 || uid.length > 20) {
			sto += "  - '.addslashes($web[302]).'\n";
			document.userprefnow.uuid.className = "errorInputText";
			erreur = true;
		}
	}
	if (uid != uid2) {
		sto += "  - '.addslashes($web[466]).' !\n";
		document.userprefnow.uuid.className = "errorInputText";
		document.userprefnow.uuid2.className = "errorInputText";
		erreur = true;
	}
	regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
	if (!regexp.test(document.userprefnow.uemail.value)) {
		sto += "  - '.addslashes($web[42]).'\n";
		document.userprefnow.uemail.className = "errorInputText";
		erreur = true;
	}
	regexp = /(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
    if (uweb != "http://" && !regexp.test(uweb)) {
        sto += \'  - '.addslashes($web[545].$web[51].$web[554]).'\n\';
		document.userprefnow.uwebsite.className = "errorInputText";
		document.userprefnow.uwebsite.value = "http://";
        erreur = true;
    }
    if (uimg != "http://" && !regexp.test(uimg)) {
        sto += \'  - '.addslashes($web[545].$web[623].$web[554]).'\n\';
		document.userprefnow.uimgsign.className = "errorInputText";
		document.userprefnow.uimgsign.value = "http://";
        erreur = true;
    }
	';
if ($page[23] != 'none') {
	$headinc .= '
	regexp = /(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
    if (uext != "http://" && !regexp.test(uext)) {
        sto += \'  - '.addslashes($web[545].$web[627].$web[554]).'\n\';
		document.userprefnow.uextavatar.className = "errorInputText";
		document.userprefnow.uextavatar.value = "http://";
        erreur = true;
    }
	';
}
if ($serviz[100] != '0' && ($serviz[98] == '' || $userprefs[1] == '')) {
	$headinc .= '
    regexp = /^[a-zA-Z0-9_]{2,20}$/;
	if (!regexp.test(document.userprefnow.crypt.value)) {
		sto += "  - '.addslashes($web[529]).'\n";
		document.userprefnow.crypt.className = "errorInputText";
		erreur = true;
	}';
}
$headinc .= '
	if (erreur == true) {
        sto = "'.addslashes($web[265]).'\n\n" + sto;
		alert(sto);
		return false;
	}
}'.EndJavascript();

include 'inc/hpage.inc';
htable($topmess, '100%');
if (!empty($erreur))
	echo displayErrorMsg($web[638], $erreur);

echo '
<div style="text-align:center;width:96%;margin:auto;">
  <div style="padding-left:4px;margin-left:auto;margin-right:auto;text-align:left;">
	<p style="text-align:center;">'.$web[156].'</p>
	<p style="text-align:center;">'.$web[157].'</p>
	<hr />';
if (!empty($usermess)) {
	echo '
	<p style="text-align:center;"><b>'.$usermess.'</b></p>
	<br />';
}
if ($userprefs[1] != '') {
	$value_pseudo = 'value="'.$userprefs[1].'" readonly="readonly"';
} else {
	$value_pseudo = 'value="'.$upseudo.'"';
}

echo '
	<form name="userprefnow" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'" method="post" onsubmit="return VerifyForm(); return false;">
	  <input type="hidden" name="setusercookie" value="1" />';
if ($modif == '1') {
	echo '
	  <input type="hidden" name="modif" value="1" />
	  <input type="hidden" name="uuser" value="old" />';
} else
	echo '
	  <input type="hidden" name="uuser" value="'.$uuser.'" />';
echo '
	  <br />
	  <fieldset><legend>'.$web[377].'</legend>
		<table class="tbl" style="margin:auto;width:98%;">
		  <tr>
			<td style="margin:2px;width:40%;">&bull; '.$web[49].'<span style="display:none;"><input type="text" name="code_pseudo" value="" /></td>
			<td style="margin:2px;"><input type="text"  class="'.($err_pseudo ? 'errorInputText' : 'texte').'" name="upseudo" size="30" '.$value_pseudo.' /></td>
		  </tr>';
if ($members[0] == "on") {
	echo '
		  <tr>
			<td colspan="2" style="margin:2px;"><input type="hidden" name="ushow" value="on" />&nbsp;&nbsp;</td>
		  </tr>';
} else {
	echo '
		  <tr>
			<td colspan="2" style="margin:2px;text-align:center;">'.$web[213].'<input type="checkbox" name="ushow"'.Checked(!$userprefs[5] || $userprefs[5] == 'on').' /></td>
		  </tr>';
}
echo '
		  <tr>
			<td style="margin:2px;">&bull; '.$web[300].' :</td>
			<td style="margin:2px;">
			  <div style="float:left;">
				<input type="password" class="'.($err_uid ? 'errorInputText' : 'texte').'" name="uuid" size="30" value="'.($modif == '1' ? '' : $userprefs[1] != '' ? $userprefs[7] : $uuid).'" />
			  </div>'.($modif == '1' ? '
			  <span class="pop f-left" style="width:auto;margin-left:8px;">
				<a><img src="'.$reptheme.'/say.png" alt="" title="" />
				<span style="width:280px;left:-260px;"><em style="left:auto;right:20px;"></em>'.$help[3].'</span></a>
			  </span><span class="c-left"></span>' : '').'
			</td>
		  </tr>
		  <tr>
			<td style="margin:2px;">&bull; '.$web[300].' '.$web[467].' :</td>
			<td style="margin:2px;"><input type="password" class="'.($err_uid2 ? 'errorInputText' : 'texte').'" name="uuid2" size="30" value="'.($modif == '1' ? '' : $userprefs[1] != '' ? $userprefs[7] : $uuid).'" /></td>
		  </tr>
		  <tr>
			<td style="margin:2px;">&bull; '.$web[50].'</td>
			<td style="margin:2px;"><input type="text" class="'.($err_uemail ? 'errorInputText' : 'texte').'" name="uemail" size="40" value="'.$userprefs[2].'" /></td>
		  </tr>
		  <tr>
			<td style="margin:2px;">&bull; '.$web[51].'</td>
			<td style="margin:2px;"><input type="text" class="'.($err_uweb ? 'errorInputText' : 'texte').'" name="uwebsite" size="40" value="'.(empty($userprefs[9]) ? 'http://' : $userprefs[9]).'" /></td>
		  </tr>
		  <tr>
			<td style="margin:2px;">&bull; '.$web[219].'</td>
			<td style="margin:2px;"><textarea name="usign" rows="2" cols="30">'.stripslashes($userprefs[6]).'</textarea></td>
		  </tr>
		  <tr>
			<td style="margin:2px;">&bull; '.$web[623].' :</td>';
$frsigns = ReadFrSigns();
$imgsign = 'http://';
foreach ($frsigns as $code => $frsign) {
	if ('fr_'.$userprefs[1] == $code && 'a' == $frsign['status'] && 'e' ==  $frsign['origine']) {
		$imgsign = $frsign['image'];
		break;
	}
}
echo '
			<td style="margin:2px;">
				<div style="float:left;"><input type="text" class="'.($err_uimg ? 'errorInputText' : 'texte').'" name="uimgsign" size="40" value="'.$imgsign.'" /></div>
				<span class="pop f-left" style="width:auto;margin-left:8px;">
				  <a><img src="'.$reptheme.'/say.png" alt="" title="" />
				  <span style="width:280px;left:-260px;"><em style="left:auto;right:20px;"></em>'.$help[6].'</span></a>
				</span><span class="c-left"></span>
			</td>
		  </tr>
		</table>
		<br />
	  </fieldset>
	  <br />
	  <fieldset><legend>'.$web[378].'</legend>
		<table class="tbl" style="margin:auto;width:98%;">';
if ($lang[1] != '') {
	echo '
		  <tr>
			  <td style="width:45%;">&bull; '.$web[155].'</td>
			  <td>
				<select name="ulang">
				  <option value="'.$lang[0].'"'.Selected($userprefs[0] == $lang[0]).'>'.$lang[0].'</option>
				  <option value="'.$lang[1].'"'.Selected($userprefs[0] == $lang[1]).'>'.$lang[1].'</option>
				</select>
			  </td>
		  </tr>';
} else {
	echo '
		  <input type="hidden" name="ulang" value="'.$lang[0].'" />';
}
$uskintheme = ExploreDir('skins/');
echo '
		  <tr>
			<td>&bull; '.$web[307].'</td>
			<td>
			  <select name="udesign">
				<option value="">'.$web[315].'</option>';
for ($i = 0; $i < count($uskintheme); $i++) {
	echo '
				<option value="'.$uskintheme[$i].'"'.Selected($userprefs[10] == $uskintheme[$i]).'>'.$uskintheme[$i].'</option>';
}
echo '
			  </select>
			</td>
		  </tr>
		  <tr>
			<td>&bull; '.$web[164].'</td>
			<td>
			<select name="uboxes">
			<option value="'.BOX_LEFT.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_LEFT.BOX_RIGHT).'>'.$web[165].'</option>
			<option value="'.BOX_LEFT.'"'.Selected($userprefs[3] == BOX_LEFT).'>'.$web[166].'</option>
			<option value="'.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_RIGHT).'>'.$web[232].'</option>
			</select>
			</td>
		  </tr>
		  <tr>
			<td>&bull; '.$web[375].'</td>
			<td><input type="checkbox" name="ueditor"'.Checked($userprefs[11]).' /></td>
		  </tr>
		  <tr>
			 <td colspan="2" style="text-align:center;">';
if ($page[23] != 'none') {
	$imgavatars = array();
	$dossier = opendir(CHEMIN.'inc/img/avatars/'.$page[23].'/');
	while ($fichier = readdir($dossier)) {
		if (is_file(CHEMIN.'inc/img/avatars/'.$page[23].'/'.$fichier)) {
			$path_parts = basename($fichier);
			$path_parts = substr($path_parts,strrpos($path_parts,'.')+1);
			if (Isimage($path_parts)) {
				$imgavatars[] = $fichier;
			}
		}
	}
	closedir($dossier);
	@sort($imgavatars);
	echo '
	  <fieldset><legend>'.$web[303].'</legend>
	    <div style="max-height:400px;overflow:auto;">
		  <table class="tbl" style="margin:auto;width:60%;">
		    <tr>';
	$nbrimgavatar = 0; $j= count($imgavatars);
	for ($i = 0; $i < count($imgavatars); $i++) {
		echo '
			  <td style="text-align:center;margin:4px;padding:4px;"><label>
			    <img src="'.CHEMIN.'inc/img/avatars/'.$page[23].'/'.$imgavatars[$i].'" alt="'.$imgavatars[$i].'" title="'.$imgavatars[$i].'" />
			    <br />
			    <input type="radio" value="'.$imgavatars[$i].'" name="avatar"'.Checked($userprefs[8] == $imgavatars[$i]).' /></label>
			  </td>';
		$nbrimgavatar++; $j--;
		if ($nbrimgavatar == 5 && $j != 0) {
			$nbrimgavatar = 0;
			echo '
		    </tr>
		    <tr>';
		}
	}
	$vid = 5 - count($imgavatars)%5 ;
	if ($vid != 5) {
		echo '
			  <td style="margin:4px;padding:4px;" colspan="'.$vid.'">&nbsp;</td>';
	}
	echo '
		    </tr>
		  </table>
		</div>
		<div style="width:550px;text-align:center;margin:6px auto auto auto;">
		  <span style="float:left;">
			<label><input type="radio" value="unknown" name="avatar"'.Checked($userprefs[8] == 'unknown' && !empty($userprefs[15])).' />'.$web[627].' :</label>
			<input type="text" class="'.($err_uext ? 'errorInputText' : 'texte').'" name="uextavatar" style="width:300px;" value="'.(empty($userprefs[15]) ? 'http://' : $userprefs[15]).'" />
		  </span>
		  <span class="pop f-left" style="width:auto;margin-left:6px;">
			<a><img src="'.$reptheme.'/say.png" alt="" title="" />
			<span style="left:-260px;"><em style="left:auto;right:20px;"></em>'.$help[8].'</span></a>
		  </span><span class="c-left"></span>
		</div>
		<div style="clear:both;"></div>';
	if ($userprefs[8] == 'unknown' && !empty($userprefs[15]))
		echo '
		<div style="text-align:center;width:100%;margin:auto;">
		  <img src="'.$userprefs[15].'" alt="" title="'.$userprefs[1].'" style="max-width:60px; max-height:60px;" />
		</div>';
	echo '
	  </fieldset>';
}
echo '
			</td>
		  </tr>
		</table>
	  </fieldset>
	  <fieldset style="padding:0 12px;"><legend>'.$web[472].'</legend>
		<p style="text-align:justify;">'.$web[473].'</p>
		<p style="text-align:justify;"><label><input type="checkbox" name="usave"'.Checked($usave).' style="vertical-align:middle" /> '.$web[474].'</label></p>
	  </fieldset>';
if ($serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) {
	$lbl = $serviz[100] == '3' ? $web[642] : '';
	echo '
	  <div style="text-align:center;">'.dsp_crypt(0, 1, 3, 2, $lbl, $serviz[115] == 'on' ? $web[643] : '');
	if ($serviz[100] == '1') echo '<br />';
	echo ($serviz[100] == '3' ? '' : $web[530]).'<input class="'.($err_crypt ? 'errorInputText' : 'texte').'" type="text" name="crypt" size="6" /><br /></div>';
}
echo '
	  <p style="text-align:center;">'.SubmitButton($web[154]).'</p>
	</form>
  </div>
</div>';
if ($userprefs[1] != '') { // suppression des préférences
	echo '
<hr />
<div style="text-align:center;">
  <form name="userbye" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'" method="post">
	<input type="hidden" name="unreg" value="1" />
'.SubmitButton($web[162]).'
  </form>
</div>';
}

btable();
include 'inc/bpage.inc';
?>
